<?php
return [

    'lbs' => [
        'name' => 'LetsBeSafe',
        'productName' => 'LetsBeSafe',
        'supportEmail' => config( 'app.supportEmail' ),
        'supportPhone' => config( 'app.phoneNumber' ),
        'standardUnitPrice' => '49.50',
        'standardShipping' => '0',
        'expeditedShipping' => '18.00',
        'favicon' => '/lbs/img/icon.png',
        // 'logo' => '/lbs/img/lbs-logo.png',
        'logo' => 'https://primarywellness.com/img/lbs/lbs-logo.png',
        'phoneIcon' => 'https://primarywellness.com/img/lbs/phone.png',
        'emailIcon' => 'https://primarywellness.com/img/lbs/email.png',
        'primaryColor' => '#24315E',
        'productUrl' => config( 'app.orderAppUrl' )
    ],

    'lbs_tests' => [
        'HSV_1' => [
            'label' => 'Herpes 1',
            'page_title' => 'Oral Herpes (HSV-1) Test',
            'quest_name_for_pdf' => 'HSV 1 IGG',
            'quest_code_for_pdf' => '3636'
        ],
        'HSV_2' => [
            'label' => 'Herpes 2',
            'page_title' => 'Genital Herpes (HSV-2) Test',
            'quest_name_for_pdf' => 'HSV 2 IGG',
            'quest_code_for_pdf' => '3640',
        ],
        'HSV_1_2_PANEL' => [
            'label' => 'Herpes 1 & 2',
            'page_title' => 'Herpes Type 1 and Type 2 Panel',
            'quest_name_for_pdf' => 'HSV 1/2 IGG TYPE SP',
            'quest_code_for_pdf' => '6447'
        ],
        'HIV_1_2' => [
            'label' => 'HIV 1 & 2 Antibody (4th Gen)',
            'page_title' => 'HIV 1 & 2 Antibody (4th Gen) Test',
            'quest_name_for_pdf' => 'HIV1/2 AG/AB,4 W/RFL',
            'quest_code_for_pdf' => '91431'
        ],
        'HEP_A' => [
            'label' => 'Hepatitis A',
            'page_title' => 'Hepatitis A Test',
            'quest_name_for_pdf' => 'HEP A IGM AB',
            'quest_code_for_pdf' => '512'
        ],
        'HEP_B' => [
            'label' => 'Hepatitis B',
            'page_title' => 'Hepatitis B Test',
            'quest_name_for_pdf' => 'HEP B SURF AG W/CONF',
            'quest_code_for_pdf' => '498'
        ],
        'HEP_C' => [
            'label' => 'Hepatitis C',
            'page_title' => 'Hepatitis C Test',
            'quest_name_for_pdf' => 'HEP C AB W/REFL HCV',
            'quest_code_for_pdf' => '8472'
        ],
        'GEN_CHL' => [
            'label' => 'Chlamydia',
            'page_title' => 'Genital Chlamydia Test',
            'quest_name_for_pdf' => 'Chlamydia trachomatis RNA, TMA, Urogenital',
            'quest_code_for_pdf' => '11361'
        ],
        'GEN_GON' => [
            'label' => 'Gonorrhea',
            'page_title' => 'Genital Gonorrhea Test',
            'quest_name_for_pdf' => 'Neisseria gonorrhoeae RNA, TMA, Urogenital',
            'quest_code_for_pdf' => '11362'
        ],
        'GEN_CHL_GON' => [
            'label' => 'Chlamydia + Gonorrhea',
            'page_title' => '--',
            'quest_name_for_pdf' => 'CT/GC RNA,TMA,UROGEN',
            'quest_code_for_pdf' => '11363'
        ],
        'ORAL_CHL_GON' => [
            'label' => 'Chlamydia + Gonorrhea (Oral)',
            'page_title' => '--',
            'quest_name_for_pdf' => 'Chlamydia/Neisseria gonorrhoeae RNA, TMA, Throat',
            'quest_code_for_pdf' => '70051'
        ],
        'CHL_GON_PANEL' => [
            'page_title' => 'Chlamydia & Gonorrhea (Oral + Genital) Panel',
            'quest_components' => [ 'GEN_CHL_GON', 'ORAL_CHL_GON' ]
        ],
        'SYPH' => [
            'label' => 'Syphilis',
            'page_title' => 'Syphilis Test',
            'quest_name_for_pdf' => 'RPR (Diagnosis) with Reflex to Titer and Treponema pallidum Antibody, IA',
            'quest_code_for_pdf' => '36126'
        ],
        'HIV_RNA' => [
            'label' => 'HIV RNA Test for Early Detection',
            'page_title' => 'HIV RNA Test for Early Detection',
            'quest_name_for_pdf' => 'HIV 1 RNA, QL RT PCR',
            'quest_code_for_pdf' => '16185'
        ],
        '12TP' => [
            'label' => '12-Test Panel',
            'page_title' => 'Full 12-Panel STD Test',
            'quest_components' => [ 'HSV_1', 'HSV_2', 'GEN_CHL_GON', 'HEP_A', 'HEP_B', 'HEP_C', 'SYPH', 'HIV_1_2', 'UA', 'CBC' ]
        ],
        '12TP_WITH_HIV_RNA' => [
            'label' => '12-Test Panel with HIV RNA Early Detection',
            'page_title' => 'Full 12-Panel STD Test with HIV Early RNA Detection',
            'quest_components' => [ 'HSV_1', 'HSV_2', 'GEN_CHL_GON', 'HEP_A', 'HEP_B', 'HEP_C', 'SYPH', 'HIV_RNA', 'UA', 'CBC' ]
        ],
        'UA' => [
            'page_title' => 'Urinalysis - Complete',
            'quest_name_for_pdf' => 'UA, COMPLETE',
            'quest_code_for_pdf' => '5463'
        ],
        'TRICH_MALE' => [
            'label' => 'Trichomoniasis',
            'page_title' => 'Trichomoniasis Test',
            'sex' => 'M',
            'quest_name_for_pdf' => 'T.VAGINALIS RNA,MALE',
            'quest_code_for_pdf' => '90801'
        ],
        'TRICH_MALE_WITH_URINALYSIS' => [
            'label' => 'Trichomoniasis with urinalysis',
            'page_title' => 'Trichomoniasis Test',
            'sex' => 'M',
            'quest_components' => [ 'TRICH_MALE', 'UA' ]
        ],
        'TRICH_FEMALE' => [
            'label' => 'Trichomoniasis',
            'page_title' => 'Trichomoniasis Test',
            'sex' => 'F',
            'quest_name_for_pdf' => 'TRICHOMONAS VAG RNA, QL',
            'quest_code_for_pdf' => '19550'
        ],
        'TRICH_FEMALE_WITH_URINALYSIS' => [
            'label' => 'Trichomoniasis with urinalysis',
            'page_title' => 'Trichomoniasis Test',
            'sex' => 'F',
            'quest_components' => [ 'TRICH_FEMALE', 'UA' ]
        ],
        'MYCO_GEN' => [
            'label' => 'Mycoplasma genitalium',
            'page_title' => 'Mycoplasma Genitalium',
            'quest_name_for_pdf' => 'M.GENITALIUM, TMA',
            'quest_code_for_pdf' => '91475'
        ],
        'CBC' => [
            'page_title' => 'CBC (includes Differential and Platelets)',
            'quest_name_for_pdf' => 'CBC (includes Differential and Platelets)',
            'quest_code_for_pdf' => '6399'
        ],
        'CMP' => [
            'page_title' => 'Comprehensive Metabolic Panel',
            'quest_name_for_pdf' => 'Comprehensive Metabolic Panel',
            'quest_code_for_pdf' => '10231'
        ],
    ],

    'countries' => [
        'AF' => 'Afghanistan',
        'AL' => 'Albania',
        'DZ' => 'Algeria',
        'AS' => 'American Samoa',
        'AD' => 'Andorra',
        'AO' => 'Angola',
        'AI' => 'Anguilla',
        'AQ' => 'Antarctica',
        'AG' => 'Antigua and Barbuda',
        'AR' => 'Argentina',
        'AM' => 'Armenia',
        'AW' => 'Aruba',
        'AU' => 'Australia',
        'AT' => 'Austria',
        'AZ' => 'Azerbaijan',
        'BS' => 'Bahamas',
        'BH' => 'Bahrain',
        'BD' => 'Bangladesh',
        'BB' => 'Barbados',
        'BY' => 'Belarus',
        'BE' => 'Belgium',
        'BZ' => 'Belize',
        'BJ' => 'Benin',
        'BM' => 'Bermuda',
        'BT' => 'Bhutan',
        'BO' => 'Bolivia',
        'BA' => 'Bosnia and Herzegovina',
        'BW' => 'Botswana',
        'BV' => 'Bouvet Island',
        'BR' => 'Brazil',
        'BQ' => 'British Antarctic Territory',
        'IO' => 'British Indian Ocean Territory',
        'VG' => 'British Virgin Islands',
        'BN' => 'Brunei',
        'BG' => 'Bulgaria',
        'BF' => 'Burkina Faso',
        'BI' => 'Burundi',
        'KH' => 'Cambodia',
        'CM' => 'Cameroon',
        'CA' => 'Canada',
        'CT' => 'Canton and Enderbury Islands',
        'CV' => 'Cape Verde',
        'KY' => 'Cayman Islands',
        'CF' => 'Central African Republic',
        'TD' => 'Chad',
        'CL' => 'Chile',
        'CN' => 'China',
        'CX' => 'Christmas Island',
        'CC' => 'Cocos [Keeling] Islands',
        'CO' => 'Colombia',
        'KM' => 'Comoros',
        'CG' => 'Congo - Brazzaville',
        'CD' => 'Congo - Kinshasa',
        'CK' => 'Cook Islands',
        'CR' => 'Costa Rica',
        'HR' => 'Croatia',
        'CU' => 'Cuba',
        'CY' => 'Cyprus',
        'CZ' => 'Czech Republic',
        'CI' => 'Côte d’Ivoire',
        'DK' => 'Denmark',
        'DJ' => 'Djibouti',
        'DM' => 'Dominica',
        'DO' => 'Dominican Republic',
        'NQ' => 'Dronning Maud Land',
        'DD' => 'East Germany',
        'EC' => 'Ecuador',
        'EG' => 'Egypt',
        'SV' => 'El Salvador',
        'GQ' => 'Equatorial Guinea',
        'ER' => 'Eritrea',
        'EE' => 'Estonia',
        'ET' => 'Ethiopia',
        'FK' => 'Falkland Islands',
        'FO' => 'Faroe Islands',
        'FJ' => 'Fiji',
        'FI' => 'Finland',
        'FR' => 'France',
        'GF' => 'French Guiana',
        'PF' => 'French Polynesia',
        'TF' => 'French Southern Territories',
        'FQ' => 'French Southern and Antarctic Territories',
        'GA' => 'Gabon',
        'GM' => 'Gambia',
        'GE' => 'Georgia',
        'DE' => 'Germany',
        'GH' => 'Ghana',
        'GI' => 'Gibraltar',
        'GR' => 'Greece',
        'GL' => 'Greenland',
        'GD' => 'Grenada',
        'GP' => 'Guadeloupe',
        'GU' => 'Guam',
        'GT' => 'Guatemala',
        'GG' => 'Guernsey',
        'GN' => 'Guinea',
        'GW' => 'Guinea-Bissau',
        'GY' => 'Guyana',
        'HT' => 'Haiti',
        'HM' => 'Heard Island and McDonald Islands',
        'HN' => 'Honduras',
        'HK' => 'Hong Kong SAR China',
        'HU' => 'Hungary',
        'IS' => 'Iceland',
        'IN' => 'India',
        'ID' => 'Indonesia',
        'IR' => 'Iran',
        'IQ' => 'Iraq',
        'IE' => 'Ireland',
        'IM' => 'Isle of Man',
        'IL' => 'Israel',
        'IT' => 'Italy',
        'JM' => 'Jamaica',
        'JP' => 'Japan',
        'JE' => 'Jersey',
        'JT' => 'Johnston Island',
        'JO' => 'Jordan',
        'KZ' => 'Kazakhstan',
        'KE' => 'Kenya',
        'KI' => 'Kiribati',
        'KW' => 'Kuwait',
        'KG' => 'Kyrgyzstan',
        'LA' => 'Laos',
        'LV' => 'Latvia',
        'LB' => 'Lebanon',
        'LS' => 'Lesotho',
        'LR' => 'Liberia',
        'LY' => 'Libya',
        'LI' => 'Liechtenstein',
        'LT' => 'Lithuania',
        'LU' => 'Luxembourg',
        'MO' => 'Macau SAR China',
        'MK' => 'Macedonia',
        'MG' => 'Madagascar',
        'MW' => 'Malawi',
        'MY' => 'Malaysia',
        'MV' => 'Maldives',
        'ML' => 'Mali',
        'MT' => 'Malta',
        'MH' => 'Marshall Islands',
        'MQ' => 'Martinique',
        'MR' => 'Mauritania',
        'MU' => 'Mauritius',
        'YT' => 'Mayotte',
        'FX' => 'Metropolitan France',
        'MX' => 'Mexico',
        'FM' => 'Micronesia',
        'MI' => 'Midway Islands',
        'MD' => 'Moldova',
        'MC' => 'Monaco',
        'MN' => 'Mongolia',
        'ME' => 'Montenegro',
        'MS' => 'Montserrat',
        'MA' => 'Morocco',
        'MZ' => 'Mozambique',
        'MM' => 'Myanmar [Burma]',
        'NA' => 'Namibia',
        'NR' => 'Nauru',
        'NP' => 'Nepal',
        'NL' => 'Netherlands',
        'AN' => 'Netherlands Antilles',
        'NT' => 'Neutral Zone',
        'NC' => 'New Caledonia',
        'NZ' => 'New Zealand',
        'NI' => 'Nicaragua',
        'NE' => 'Niger',
        'NG' => 'Nigeria',
        'NU' => 'Niue',
        'NF' => 'Norfolk Island',
        'KP' => 'North Korea',
        'VD' => 'North Vietnam',
        'MP' => 'Northern Mariana Islands',
        'NO' => 'Norway',
        'OM' => 'Oman',
        'PC' => 'Pacific Islands Trust Territory',
        'PK' => 'Pakistan',
        'PW' => 'Palau',
        'PS' => 'Palestinian Territories',
        'PA' => 'Panama',
        'PZ' => 'Panama Canal Zone',
        'PG' => 'Papua New Guinea',
        'PY' => 'Paraguay',
        'YD' => "People's Democratic Republic of Yemen",
        'PE' => 'Peru',
        'PH' => 'Philippines',
        'PN' => 'Pitcairn Islands',
        'PL' => 'Poland',
        'PT' => 'Portugal',
        'PR' => 'Puerto Rico',
        'QA' => 'Qatar',
        'RO' => 'Romania',
        'RU' => 'Russia',
        'RW' => 'Rwanda',
        'RE' => 'Réunion',
        'BL' => 'Saint Barthélemy',
        'SH' => 'Saint Helena',
        'KN' => 'Saint Kitts and Nevis',
        'LC' => 'Saint Lucia',
        'MF' => 'Saint Martin',
        'PM' => 'Saint Pierre and Miquelon',
        'VC' => 'Saint Vincent and the Grenadines',
        'WS' => 'Samoa',
        'SM' => 'San Marino',
        'SA' => 'Saudi Arabia',
        'SN' => 'Senegal',
        'RS' => 'Serbia',
        'CS' => 'Serbia and Montenegro',
        'SC' => 'Seychelles',
        'SL' => 'Sierra Leone',
        'SG' => 'Singapore',
        'SK' => 'Slovakia',
        'SI' => 'Slovenia',
        'SB' => 'Solomon Islands',
        'SO' => 'Somalia',
        'ZA' => 'South Africa',
        'GS' => 'South Georgia and the South Sandwich Islands',
        'KR' => 'South Korea',
        'ES' => 'Spain',
        'LK' => 'Sri Lanka',
        'SD' => 'Sudan',
        'SR' => 'Suriname',
        'SJ' => 'Svalbard and Jan Mayen',
        'SZ' => 'Swaziland',
        'SE' => 'Sweden',
        'CH' => 'Switzerland',
        'SY' => 'Syria',
        'ST' => 'São Tomé and Príncipe',
        'TW' => 'Taiwan',
        'TJ' => 'Tajikistan',
        'TZ' => 'Tanzania',
        'TH' => 'Thailand',
        'TL' => 'Timor-Leste',
        'TG' => 'Togo',
        'TK' => 'Tokelau',
        'TO' => 'Tonga',
        'TT' => 'Trinidad and Tobago',
        'TN' => 'Tunisia',
        'TR' => 'Turkey',
        'TM' => 'Turkmenistan',
        'TC' => 'Turks and Caicos Islands',
        'TV' => 'Tuvalu',
        'UM' => 'U.S. Minor Outlying Islands',
        'PU' => 'U.S. Miscellaneous Pacific Islands',
        'VI' => 'U.S. Virgin Islands',
        'UG' => 'Uganda',
        'UA' => 'Ukraine',
        'SU' => 'Union of Soviet Socialist Republics',
        'AE' => 'United Arab Emirates',
        'GB' => 'United Kingdom',
        'US' => 'United States',
        'ZZ' => 'Unknown or Invalid Region',
        'UY' => 'Uruguay',
        'UZ' => 'Uzbekistan',
        'VU' => 'Vanuatu',
        'VA' => 'Vatican City',
        'VE' => 'Venezuela',
        'VN' => 'Vietnam',
        'WK' => 'Wake Island',
        'WF' => 'Wallis and Futuna',
        'EH' => 'Western Sahara',
        'YE' => 'Yemen',
        'ZM' => 'Zambia',
        'ZW' => 'Zimbabwe',
        'AX' => 'Åland Islands',
    ]
];
