<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <?php
      $appInternalName = config('app.internalName');
      $appConfig = config('constants.' . $appInternalName);
      $storeOrderDetailJson = $order->detailJson();
    $storeOrderSelectedOptions = json_decode(@$storeOrderDetailJson->selected_options ?? "{}");
    $selectedLab = @$storeOrderSelectedOptions->lab;
     ?>
    <meta charset="utf-8">
    <title>{{$appConfig['name']}}</title>
    <link rel="icon" href="{{asset($appConfig['favicon'])}}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{{asset('vendor/fontawesome/css/all.min.css')}}">
    <link rel="stylesheet" href="{{asset('css/style.css')}}">
    <link rel="stylesheet" href="{{asset('css/flyer.css')}}">
    <style>
        :root {
        --pry-color:{{$appConfig['primaryColor']}};
      }
    </style>
</head>

<body>
    <div class="print-none bg-white py-3 mb-4">
        <div class="container p-0" style="width:8.5in">
            <div class="row justify-content-between align-items-center">
                <div class="col-5 text-start">
                    <a href="{{url()->previous()}}"><i class="fal fa-angle-left me-1"></i> Go back</a>
                </div>
                <div class="col-5">
                    <a href="javascript:;" onclick="return printPDF()" class="btn btn-dark py-3 w-100 rounded-0 shadow"><i class="fal fa-print me-1"></i> Print</a>
                </div>
            </div>
        </div>
    </div>
    <div class="coupon-container px-5 py-4">
      <div class="d-flex align-items-center justify-content-between my-4">
        <span class="navbar-brand"><img src="{{asset($appConfig['logo'])}}" height="60" alt=""></span>
        <h4 class="md-title text-pry m-0">INVOICE</h4>
      </div>
      <div class="mb-3 d-flex align-items-start justify-content-between">
        <div class="">
          <p class="mb-2" style="color: #000; font-size: 16px;"><b>LetsBeSafe Health Inc.</b></p>
          <p style="font-size:15px"><?= config('app.address') ?></p>
        </div>
        <div class="text-end">
          <p class="mb-3" style="color: #000; font-size: 16px;"><b>Contact Us</b></p>
          <p style="font-size:15px">{{$appConfig['supportEmail']}}</p>
          <p style="font-size:15px">{{$appConfig['supportPhone']}}</p>
          <p style="font-size:15px">{{$appConfig['productUrl']}}</p>
        </div>
      </div>
        @include('app.my-account.admin.orders.sub.template.order-breakdown', ['storeOrder' => $order])
    </div>
    <div class="print-none mt-4">
        <footer class="bg-dark text-md-center py-2 d-flex justify-content-center flex-wrap">
            <div class="text-white mt-lg-0 mt-2">
                <small class="opacity-75">&copy; {{getdate()["year"]}} LetsBeSafe. All rights reserved.</small>
            </div>
        </footer>
    </div>
</body>
<script type="text/javascript">
    function printPDF() {
        window.print();
    }
</script>

</html>
