/*!
 * Font Awesome Pro 6.1.2 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license (Commercial License)
 * Copyright 2022 Fonticons, Inc.
 */
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", ["M160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160s160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01zM256 320c0 52.93-43.06 96-96 96c-52.93 0-96-43.07-96-96V192c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96V320z", ""]],
    "1": [256, 512, [], "31", ["M256 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h64V123.8L49.75 154.6C35.02 164.5 15.19 160.4 5.375 145.8C-4.422 131.1-.4531 111.2 14.25 101.4l96-64c9.828-6.547 22.45-7.187 32.84-1.594C153.5 41.37 160 52.22 160 64.01v352h64C241.7 416 256 430.3 256 448z", ""]],
    "2": [320, 512, [], "32", ["M320 448c0 17.67-14.33 32-32 32H32c-13.08 0-24.83-7.953-29.7-20.09c-4.859-12.12-1.859-26 7.594-35.03l193.6-185.1c31.36-30.17 33.95-80 5.812-113.4c-14.91-17.69-35.86-28.12-58.97-29.38C127.4 95.83 105.3 103.9 88.53 119.9L53.52 151.7c-13.08 11.91-33.33 10.89-45.2-2.172C-3.563 136.5-2.594 116.2 10.48 104.3l34.45-31.3c28.67-27.34 68.39-42.11 108.9-39.88c40.33 2.188 78.39 21.16 104.4 52.03c49.8 59.05 45.2 147.3-10.45 200.8l-136 130H288C305.7 416 320 430.3 320 448z", ""]],
    "3": [320, 512, [], "33", ["M320 344c0 74.98-61.02 136-136 136H103.6c-46.34 0-87.31-29.53-101.1-73.48c-5.594-16.77 3.484-34.88 20.25-40.47c16.75-5.609 34.89 3.484 40.47 20.25c5.922 17.77 22.48 29.7 41.23 29.7H184c39.7 0 72-32.3 72-72s-32.3-72-72-72H80c-13.2 0-25.05-8.094-29.83-20.41C45.39 239.3 48.66 225.3 58.38 216.4l131.4-120.4H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h240c13.2 0 25.05 8.094 29.83 20.41c4.781 12.3 1.516 26.27-8.203 35.19l-131.4 120.4H184C258.1 208 320 269 320 344z", ""]],
    "4": [384, 512, [], "34", ["M384 334.2c0 17.67-14.33 32-32 32h-32v81.78c0 17.67-14.33 32-32 32s-32-14.33-32-32v-81.78H32c-10.97 0-21.17-5.625-27.05-14.89c-5.859-9.266-6.562-20.89-1.875-30.81l128-270.2C138.6 34.33 157.8 27.56 173.7 35.09c15.97 7.562 22.78 26.66 15.22 42.63L82.56 302.2H256V160c0-17.67 14.33-32 32-32s32 14.33 32 32v142.2h32C369.7 302.2 384 316.6 384 334.2z", ""]],
    "5": [320, 512, [], "35", ["M320 344.6c0 74.66-60.73 135.4-135.4 135.4H104.7c-46.81 0-88.22-29.83-103-74.23c-5.594-16.77 3.469-34.89 20.23-40.48c16.83-5.625 34.91 3.469 40.48 20.23c6.078 18.23 23.08 30.48 42.3 30.48h79.95c39.36 0 71.39-32.03 71.39-71.39s-32.03-71.38-71.39-71.38H32c-9.484 0-18.47-4.203-24.56-11.48C1.359 254.5-1.172 244.9 .5156 235.6l32-177.2C35.27 43.09 48.52 32.01 64 32.01l192 .0049c17.67 0 32 14.33 32 32s-14.33 32-32 32H90.73L70.3 209.2h114.3C259.3 209.2 320 269.1 320 344.6z", ""]],
    "6": [320, 512, [], "36", ["M167.7 160.8l64.65-76.06c11.47-13.45 9.812-33.66-3.656-45.09C222.7 34.51 215.3 32.01 208 32.01c-9.062 0-18.06 3.833-24.38 11.29C38.07 214.5 0 245.5 0 320c0 88.22 71.78 160 160 160s160-71.78 160-160C320 234.4 252.3 164.9 167.7 160.8zM160 416c-52.94 0-96-43.06-96-96s43.06-95.1 96-95.1s96 43.06 96 95.1S212.9 416 160 416z", ""]],
    "7": [320, 512, [], "37", ["M315.6 80.14l-224 384c-5.953 10.19-16.66 15.88-27.67 15.88c-5.469 0-11.02-1.406-16.09-4.359c-15.27-8.906-20.42-28.5-11.52-43.77l195.9-335.9H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h256c11.45 0 22.05 6.125 27.75 16.06S321.4 70.23 315.6 80.14z", ""]],
    "8": [320, 512, [], "38", ["M267.5 249.2C290 226.1 304 194.7 304 160c0-70.58-57.42-128-128-128h-32c-70.58 0-128 57.42-128 128c0 34.7 13.99 66.12 36.48 89.19C20.83 272.5 0 309.8 0 352c0 70.58 57.42 128 128 128h64c70.58 0 128-57.42 128-128C320 309.8 299.2 272.5 267.5 249.2zM144 96.01h32c35.3 0 64 28.7 64 64s-28.7 64-64 64h-32c-35.3 0-64-28.7-64-64S108.7 96.01 144 96.01zM192 416H128c-35.3 0-64-28.7-64-64s28.7-64 64-64h64c35.3 0 64 28.7 64 64S227.3 416 192 416z", ""]],
    "9": [320, 512, [], "39", ["M160 32.01c-88.22 0-160 71.78-160 160c0 85.57 67.71 155.1 152.3 159.2l-64.65 76.06c-11.47 13.45-9.812 33.66 3.656 45.09c6 5.125 13.38 7.62 20.72 7.62c9.062 0 18.06-3.823 24.38-11.28C281.9 297.5 320 266.6 320 192C320 103.8 248.2 32.01 160 32.01zM160 288c-52.94 0-96-43.06-96-95.1s43.06-96 96-96s96 43.06 96 96S212.9 288 160 288z", ""]],
    "00": [640, 512, [], "e467", ["M352 176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176zM496 96C451.8 96 416 131.8 416 176V336C416 380.2 451.8 416 496 416C540.2 416 576 380.2 576 336V176C576 131.8 540.2 96 496 96z", "M0 176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176zM144 96C99.82 96 64 131.8 64 176V336C64 380.2 99.82 416 144 416C188.2 416 224 380.2 224 336V176C224 131.8 188.2 96 144 96z"]],
    "360-degrees": [640, 512, [], "e2dc", ["M608 0c-17.67 0-31.1 14.33-31.1 32s14.33 32 31.1 32S640 49.67 640 32S625.7 0 608 0z", "M496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM512 368c0 8.828-7.188 16-16 16S480 376.8 480 368v-224C480 135.2 487.2 128 496 128S512 135.2 512 144V368zM304 192C298.8 192 293.8 192.6 288.8 193.5c2.127-29.43 18.77-55.55 45.48-68.91c15.81-7.906 22.22-27.12 14.31-42.94c-7.938-15.8-27.16-22.23-42.94-14.31C255.3 92.58 224 143.2 224 199.5L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM320 368c0 8.828-7.188 16-16 16S288 376.8 288 368v-96C288 263.2 295.2 256 304 256S320 263.2 320 272V368zM118.2 197.6l52.91-84.67C177.3 103.1 177.6 90.66 172 80.48C166.3 70.31 155.6 64 144 64H32C14.31 64 0 78.33 0 96s14.31 32 32 32h54.25L36.88 207C30.69 216.9 30.38 229.3 36 239.5C41.66 249.7 52.38 256 64 256h19.78C108.2 256 128 275.8 128 300.2v39.56C128 364.2 108.2 384 83.78 384c-9.875 0-18.75-5.484-23.16-14.31c-7.938-15.81-27.12-22.28-42.94-14.3c-15.81 7.906-22.22 27.12-14.31 42.92C18.72 428.1 49.53 448 83.78 448C143.4 448 192 399.5 192 339.8V300.2C192 252.6 161.1 212 118.2 197.6z"]],
    "a": [384, 512, [97], "41", ["M381.5 435.7l-160-384C216.6 39.78 204.9 32.01 192 32.01S167.4 39.78 162.5 51.7l-160 384c-6.797 16.31 .9062 35.05 17.22 41.84c16.38 6.828 35.08-.9219 41.84-17.22l31.8-76.31h197.3l31.8 76.31c5.109 12.28 17.02 19.7 29.55 19.7c4.094 0 8.266-.7969 12.3-2.484C380.6 470.7 388.3 452 381.5 435.7zM119.1 320L192 147.2l72 172.8H119.1z", ""]],
    "abacus": [576, 512, [129518], "f640", ["M128 336h32V312H128V336zM528 32h-480C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-352C576 53.49 554.5 32 528 32zM512 416l-64 .0002V384h-32v32h-128V384H256v32H160L160 384H128l0 32L64 416V240h64v24h32V240h96v24h32V240h128v96h32v-96h64V416zM512 208h-64v-32h-32v32h-128v-32H256v32H160v-32H128v32H64V96l63.1 .0002L128 128h32l0-31.1H256V128h32V96h128V128h32V96L512 96V208zM256 336h32V312H256V336z", "M176 264h-64C103.2 264 96 271.2 96 280v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-16C192 271.2 184.8 264 176 264zM176 128l-64 0C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16h64C184.8 176 192 168.8 192 160V144C192 135.2 184.8 128 176 128zM304 336h-64C231.2 336 224 343.2 224 352v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C320 343.2 312.8 336 304 336zM176 336h-64C103.2 336 96 343.2 96 352v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C192 343.2 184.8 336 176 336zM464 128l-64 0C391.2 128 384 135.2 384 144V160c0 8.836 7.164 16 16 16h64C472.8 176 480 168.8 480 160V144C480 135.2 472.8 128 464 128zM304 264h-64C231.2 264 224 271.2 224 280v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-16C320 271.2 312.8 264 304 264zM464 336h-64c-8.836 0-16 7.164-16 16v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C480 343.2 472.8 336 464 336zM304 128l-64 0C231.2 128 224 135.2 224 144V160c0 8.836 7.164 16 16 16h64C312.8 176 320 168.8 320 160V144C320 135.2 312.8 128 304 128z"]],
    "accent-grave": [192, 512, [], "60", ["M35.65 39.39c12.26-33.91 56.54-49.97 87.8-31.85c15.66 9.051 26.41 24.44 29.45 42.25l22.57 131.7c2.986 17.32-6.9 34.29-23.49 40.31s-35.11-.6484-43.99-15.83L40.3 90.61C31.18 75.03 29.5 56.36 35.65 39.39z", ""]],
    "acorn": [448, 512, [], "f6ae", ["M400 192V224c0 173.9-128.1 233.1-176 255.1c-47.05-22.87-176-82.13-176-255.1V192H400z", "M.0014 160C.0014 160 .0014 160 .0014 160C.0014 160 .0014 160 .0014 160zM352 64.04l-100.5 .0017c3.375-9.373 8.5-18.12 15.12-25.1C272.3 31.54 272 22.04 265.1 16.17l-11.25-11.37c-3.125-3.125-7.75-5.125-12-4.75c-4.375 .25-8.5 2.125-11.38 5.375c-14.75 16.75-24.5 36.1-29.38 58.62L96 64.04c-52.99 0-95.99 42.98-95.1 95.97C.0053 177.6 14.38 192 32 192h384c17.62 0 31.1-14.37 31.1-31.98C447.1 107 404.1 64.04 352 64.04zM447.1 160C447.1 160 447.1 160 447.1 160C447.1 160 447.1 160 447.1 160z"]],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", ["M400 0h-320C53.49 0 32 21.49 32 48v416C32 490.5 53.49 512 80 512h320c26.51 0 48-21.49 48-48v-416C448 21.49 426.5 0 400 0zM240 128c35.35 0 64 28.65 64 64s-28.65 64-64 64c-35.34 0-64-28.65-64-64S204.7 128 240 128zM336 384h-192C135.2 384 128 376.8 128 368C128 323.8 163.8 288 208 288h64c44.18 0 80 35.82 80 80C352 376.8 344.8 384 336 384z", "M240 256c35.35 0 64-28.65 64-64s-28.65-64-64-64c-35.34 0-64 28.65-64 64S204.7 256 240 256zM272 288h-64C163.8 288 128 323.8 128 368C128 376.8 135.2 384 144 384h192c8.836 0 16-7.164 16-16C352 323.8 316.2 288 272 288zM496 64H448v96h48C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 320H448v96h48c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320zM496 192H448v96h48C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192z"]],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM176 128c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S140.7 128 176 128zM272 384h-192C71.16 384 64 376.8 64 368C64 323.8 99.82 288 144 288h64c44.18 0 80 35.82 80 80C288 376.8 280.8 384 272 384zM496 320h-128C359.2 320 352 312.8 352 304S359.2 288 368 288h128C504.8 288 512 295.2 512 304S504.8 320 496 320zM496 256h-128C359.2 256 352 248.8 352 240S359.2 224 368 224h128C504.8 224 512 231.2 512 240S504.8 256 496 256zM496 192h-128C359.2 192 352 184.8 352 176S359.2 160 368 160h128C504.8 160 512 167.2 512 176S504.8 192 496 192z", "M176 256c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S140.7 256 176 256zM208 288h-64C99.82 288 64 323.8 64 368C64 376.8 71.16 384 80 384h192c8.836 0 16-7.164 16-16C288 323.8 252.2 288 208 288z"]],
    "air-conditioner": [576, 512, [], "f8f4", ["M64 128v32h448V128H64zM208 424c0 22.06-17.94 40-40 40S128 446.1 128 424c0-16.38 9.812-30.94 25.02-37.09c12.28-4.969 18.2-18.97 13.23-31.25c-4.984-12.28-18.92-18.16-31.27-13.25C101.6 355.9 80 387.1 80 424c0 48.53 39.47 88 88 88s88-39.47 88-88V256H208V424zM441 310.4c-12.34-4.906-26.28 .9687-31.27 13.25c-4.969 12.28 .9531 26.28 13.23 31.25C438.2 361.1 448 375.6 448 392c0 22.06-17.94 40-40 40s-40-17.94-40-40V256H320v136c0 48.53 39.47 88 88 88s88-39.47 88-88C496 355.1 474.4 323.9 441 310.4z", "M528 0h-480C21.6 0 0 21.6 0 48v128C0 202.4 21.6 224 48 224h480C554.4 224 576 202.4 576 176v-128C576 21.6 554.4 0 528 0zM512 160H64V128h448V160z"]],
    "airplay": [576, 512, [], "e089", ["M576 128v192c0 50.86-39.86 92.19-89.93 95.39c-3.221-5.695-6.955-11.15-11.69-15.89L428.4 352H480c17.66 0 32-14.34 32-32V128c0-17.66-14.34-32-32-32H96C78.34 96 64 110.3 64 128v192c0 17.66 14.34 32 32 32h51.64l-45.45 46.94c-4.947 4.945-8.865 10.57-12.19 16.45C39.9 412.2 0 370.9 0 320V128c0-52.94 43.06-96 96-96h384C532.9 32 576 75.06 576 128z", "M307.6 296.1C302.1 290.7 295.1 288 288 288c-7.055 0-14.09 2.703-19.45 8.109l-132.5 136.8C118.8 450.2 131.1 480 155.7 480h264.7c24.6 0 36.89-29.77 19.54-47.13L307.6 296.1z"]],
    "alarm-clock": [512, 512, [9200], "f34e", ["M121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V288C232 294.4 234.5 300.5 239 304.1L287 352.1C296.4 362.3 311.6 362.3 320.1 352.1C330.3 343.6 330.3 328.4 320.1 319L280 278.1V184z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM256 160C269.3 160 280 170.7 280 184V278.1L320.1 319C330.3 328.4 330.3 343.6 320.1 352.1C311.6 362.3 296.4 362.3 287 352.1L239 304.1C234.5 300.5 232 294.4 232 288V184C232 170.7 242.7 160 256 160V160zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"]],
    "alarm-exclamation": [512, 512, [], "f843", ["M390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V296C232 309.3 242.7 320 256 320C269.3 320 280 309.3 280 296V184z", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0zM288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384zM280 296C280 309.3 269.3 320 256 320C242.7 320 232 309.3 232 296V184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184V296z"]],
    "alarm-plus": [512, 512, [], "f844", ["M390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM232 200V264H168C154.7 264 144 274.7 144 288C144 301.3 154.7 312 168 312H232V376C232 389.3 242.7 400 256 400C269.3 400 280 389.3 280 376V312H344C357.3 312 368 301.3 368 288C368 274.7 357.3 264 344 264H280V200C280 186.7 269.3 176 256 176C242.7 176 232 186.7 232 200z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM280 264H344C357.3 264 368 274.7 368 288C368 301.3 357.3 312 344 312H280V376C280 389.3 269.3 400 256 400C242.7 400 232 389.3 232 376V312H168C154.7 312 144 301.3 144 288C144 274.7 154.7 264 168 264H232V200C232 186.7 242.7 176 256 176C269.3 176 280 186.7 280 200V264zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"]],
    "alarm-snooze": [512, 512, [], "f845", ["M121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240H262.9L181.1 345.3C175.4 352.5 174.4 362.3 178.4 370.5C182.5 378.8 190.8 384 200 384H312C325.3 384 336 373.3 336 360C336 346.7 325.3 336 312 336H249.1L330.9 230.7C336.6 223.5 337.6 213.7 333.6 205.5C329.5 197.2 321.2 192 312 192L200 192z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4zM312 192C321.2 192 329.5 197.2 333.6 205.5C337.6 213.7 336.6 223.5 330.9 230.7L249.1 336H312C325.3 336 336 346.7 336 360C336 373.3 325.3 384 312 384H200C190.8 384 182.5 378.8 178.4 370.5C174.4 362.3 175.4 352.5 181.1 345.3L262.9 239.1H200C186.7 239.1 176 229.3 176 215.1C176 202.7 186.7 191.1 200 191.1L312 192z"]],
    "album": [448, 512, [128189], "f89f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416z", "M64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288z"]],
    "album-circle-plus": [576, 512, [], "e48c", ["M384 32C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "album-circle-user": [576, 512, [], "e48d", ["M384 32C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"]],
    "album-collection": [512, 512, [], "f8a0", ["M12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C509.1 186.6 513.3 200.3 511.6 213.1L479.6 469.1C476.6 493.1 456.2 512 432 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2V176.2zM256 480C357.6 480 440 419.1 440 344C440 268.9 357.6 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480z", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24zM72 344C72 268.9 154.4 208 256 208C357.6 208 440 268.9 440 344C440 419.1 357.6 480 256 480C154.4 480 72 419.1 72 344zM256 376C273.7 376 288 365.3 288 352C288 338.7 273.7 328 256 328C238.3 328 224 338.7 224 352C224 365.3 238.3 376 256 376zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472z"]],
    "album-collection-circle-plus": [640, 512, [], "e48e", ["M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2L12.02 176.2zM288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104V104z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "album-collection-circle-user": [640, 512, [], "e48f", ["M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2L12.02 176.2zM288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104V104z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480V480zM496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384z"]],
    "alicorn": [640, 512, [], "f6b0", ["M64.36 215.7C54.07 223.3 47.1 235.3 48 248L48 304c0 8.837-7.164 16-16 16l-16 .0001C7.163 320 0 312.8 0 304V248C0 199.4 39.4 160 88 160H88.46C74.58 175.5 66.12 195 64.36 215.7zM632 32L531.9 32c-3.064 3.188-6.437 5.976-10.2 8.299c5.11 5.38 9.91 10.47 13.69 14.5c5.534 5.908 8.613 13.71 8.59 21.8l.0394 6.695l92.44-36.66c3.673-2.456 4.684-7.412 2.228-11.08C637.2 33.34 634.7 32.01 632 32z", "M543.9 76.6c.0176-8.098-3.049-15.89-8.59-21.8c-3.779-4-8.581-9.119-13.69-14.5c11.06-6.84 19.52-17.5 22.2-30.67c.8555-4.385-2.037-8.626-6.422-9.483C536.9 .0508 536.5 0 535.1 0h-120c-69.23 0-127.1 64-127.1 128c-63.92 0-104.3-36.77-127.7-90.26C156.9 30.2 146.7 30.01 143.2 37.46C133.2 58.6 127.1 81.73 128 105.1c0 67 51 136.2 128 150.9C159.1 256 117.3 182.7 102.6 147C60.11 178.7 51.35 238.8 83.05 281.3C86.46 285.9 90.3 290.1 94.48 293.1l-25.66 68.49c-4.555 12.16-5.325 25.42-2.177 38.01l21.77 87.28C91.97 502 104.8 512 119.5 512h32.98c20.81 0 36.08-19.55 31.05-39.74l-21.26-85.39l23.78-63.61l102.1 22.34L288.1 480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.2C404.6 297.4 416.1 269.3 416.1 240c0-.2207-.0952-.4121-.105-.6328V136.9L431.1 144l18.89 37.72c7.449 14.86 25.08 21.53 40.52 15.36l32.53-13.07c12.17-4.861 20.11-16.63 20.1-29.74L543.9 76.6zM480 96c-8.836 0-16-7.164-16-16c0-8.838 7.125-16 15.96-16s16 7.162 16 16C495.1 88.84 488.8 96 480 96z"]],
    "alien": [448, 512, [128125], "f8f5", ["M224 .0001c-123.8 0-224 87.99-224 232.5c0 111.7 134.2 224.5 194.9 269.9c17.25 12.87 41 12.87 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.99 347.8 .0001 224 .0001zM176 319.1h-32c-44.12 0-80-35.87-80-79.1c0-8.874 7.125-15.1 16-15.1h32c44.12 0 80 35.87 80 79.99C192 312.9 184.9 319.1 176 319.1zM304 319.1h-32c-8.875 0-16-7.125-16-15.1c0-44.12 35.88-79.99 80-79.99h32c8.875 0 16 7.124 16 15.1C384 284.1 348.1 319.1 304 319.1z", "M112 223.1h-32c-8.875 0-16 7.126-16 15.1c0 44.12 35.88 79.1 80 79.1h32c8.875 0 16-7.124 16-15.1C192 259.9 156.1 223.1 112 223.1zM368 223.1h-32c-44.13 0-80 35.87-80 79.99c0 8.875 7.125 15.1 16 15.1h32c44.13 0 80-35.87 80-79.1C384 231.1 376.9 223.1 368 223.1z"]],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", ["M560 128l-32 .0001c-8.875 0-16 7.125-16 15.1v80h-32V176c0-8.875-7.125-16-16-16H416v-64L464 96C472.9 96 480 88.88 480 80v-32C480 39.12 472.9 32 464 32h-32C423.1 32 416 39.12 416 48V64l-48 .0002c-8.875 0-16 7.125-16 16v48H224v-48c0-8.875-7.125-16-16-16L160 64V48C160 39.12 152.9 32 144 32h-32C103.1 32 96 39.12 96 48v32C96 88.88 103.1 96 112 96L160 96v64H112c-8.875 0-16 7.125-16 16v48H64V144c0-8.875-7.125-15.1-16-15.1l-32-.0001c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1v-31.1c0-8.875-7.125-16-16-16H192v-32h192v32h-48c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM224 320H160V224h64V320zM416 320h-64V224h64V320z", "M160 320h64V224H160V320zM352 224v96h64V224H352z"]],
    "align-center": [448, 512, [], "f037", ["M128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H320C337.7 288 352 302.3 352 320C352 337.7 337.7 352 320 352H128zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H128z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-justify": [448, 512, [], "f039", ["M32 352C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-left": [448, 512, [], "f036", ["M32 352C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H256C273.7 288 288 302.3 288 320C288 337.7 273.7 352 256 352H32zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96H32z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-right": [448, 512, [], "f038", ["M192 352C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H192zM192 96C174.3 96 160 81.67 160 64C160 46.33 174.3 32 192 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H192z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-slash": [640, 512, [], "f846", ["M399.7 288H512C529.7 288 544 302.3 544 320C544 337.7 529.7 352 512 352H481.4L399.7 288zM236.4 160H512C529.7 160 544 174.3 544 192C544 209.7 529.7 224 512 224H318.1L236.4 160zM98.4 51.82C103.2 40.19 114.6 32 128 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H243.7L324.9 352H128zM128 224C110.3 224 96 209.7 96 192C96 185.9 97.71 180.2 100.7 175.3L162.5 224H128zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416H406.2L487.4 480H128z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "alt": [640, 512, [], "e08a", ["M416 416c0 17.69 14.31 32 32 32h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160C430.3 384 416 398.3 416 416z", "M608 128h-144.6L217 436C210.9 443.6 201.7 448 192 448H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h144.6L423 76C429.1 68.41 438.3 64 448 64h160c17.69 0 32 14.31 32 32S625.7 128 608 128z"]],
    "amp-guitar": [512, 512, [], "f8a1", ["M256 48c30.41 0 64.14 24.03 89.71 48h65.94C389.5 69.16 325.8 0 256 0S122.5 69.16 100.3 96h65.85C191.7 72.03 225.5 48 256 48zM384 384c-8.836 0-16 7.164-16 16S375.2 416 384 416s16-7.164 16-16S392.8 384 384 384zM320 384c-8.836 0-16 7.164-16 16S311.2 416 320 416s16-7.164 16-16S328.8 384 320 384zM384 288c-8.836 0-16 7.164-16 16S375.2 320 384 320s16-7.164 16-16S392.8 288 384 288zM256 384c-8.836 0-16 7.164-16 16S247.2 416 256 416s16-7.164 16-16S264.8 384 256 384zM192 384c-8.836 0-16 7.164-16 16S183.2 416 192 416s16-7.164 16-16S200.8 384 192 384zM224 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S232.8 336 224 336zM160 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S168.8 336 160 336zM128 384c-8.836 0-16 7.164-16 16S119.2 416 128 416s16-7.164 16-16S136.8 384 128 384zM112 304C112 312.8 119.2 320 128 320s16-7.164 16-16S136.8 288 128 288S112 295.2 112 304zM304 304c0 8.836 7.164 16 16 16s16-7.164 16-16S328.8 288 320 288S304 295.2 304 304zM176 304C176 312.8 183.2 320 192 320s16-7.164 16-16S200.8 288 192 288S176 295.2 176 304zM352 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S360.8 336 352 336zM288 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S296.8 336 288 336zM240 304C240 312.8 247.2 320 256 320s16-7.164 16-16S264.8 288 256 288S240 295.2 240 304z", "M464 96h-416C21.49 96 0 117.5 0 144v320C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-320C512 117.5 490.5 96 464 96zM416 152c13.25 0 24 10.75 24 24S429.3 200 416 200s-24-10.75-24-24S402.7 152 416 152zM320 152c13.25 0 24 10.75 24 24S333.3 200 320 200s-24-10.75-24-24S306.7 152 320 152zM192 152c13.25 0 24 10.75 24 24S205.3 200 192 200S168 189.3 168 176S178.7 152 192 152zM96 152c13.25 0 24 10.75 24 24S109.3 200 96 200S72 189.3 72 176S82.75 152 96 152zM448 448H64V256h384V448z"]],
    "ampersand": [384, 512, [], "26", ["M318 364.7l60.59-90.89c9.812-14.7 5.844-34.58-8.875-44.37c-14.78-9.828-34.63-5.828-44.38 8.875l-52.19 78.28L318 364.7z", "M201.3 239.5l51.72-40.08C275.3 181.4 288 154.7 288 126.2c0-51.91-42.22-94.14-94.13-94.14H142.1C90.22 32.01 48 74.25 48 126.2c0 27.14 10.09 53.13 28.62 73.42l30.06 32.25L41.31 282.5C15.06 303.7 0 335.2 0 368.9c0 61.25 49.84 111.1 111.1 111.1l70-.0049c37.53 0 72.44-18.64 93.28-49.87l7.188-10.77l47.03 50.47C334.9 476.6 343.4 480 352 480c7.812 0 15.66-2.844 21.81-8.594c12.94-12.05 13.66-32.3 1.594-45.23L201.3 239.5zM142.1 96.01h51.75C210.5 96.01 224 109.5 224 126.2c0 9.156-4.094 17.7-10.69 23.05L157.5 192.5L123.7 156.2C116.1 147.9 112 137.3 112 126.2C112 109.5 125.5 96.01 142.1 96.01zM221.1 394.6c-8.938 13.39-23.88 21.39-39.94 21.39H111.1C85.13 416 64 394.9 64 368.9c0-14.28 6.375-27.64 17-36.22l69.53-53.88l86.16 92.44L221.1 394.6z"]],
    "anchor": [576, 512, [9875], "f13d", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96zM288 128C305.7 128 320 113.7 320 96C320 78.33 305.7 64 288 64C270.3 64 256 78.33 256 96C256 113.7 270.3 128 288 128z", "M256 448V240H320V448H368C421 448 464 405 464 352V345.9L456.1 352.1C447.6 362.3 432.4 362.3 423 352.1C413.7 343.6 413.7 328.4 423 319L479 263C488.4 253.7 503.6 253.7 512.1 263L568.1 319C578.3 328.4 578.3 343.6 568.1 352.1C559.6 362.3 544.4 362.3 535 352.1L528 345.9V352C528 440.4 456.4 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256z"]],
    "anchor-circle-check": [640, 512, [], "e4aa", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "anchor-circle-xmark": [640, 512, [], "e4ac", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "anchor-lock": [640, 512, [], "e4ad", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H368C373.4 448 378.8 447.5 384 446.7V480C384 490.1 386.7 501.3 391.6 510.3C383.9 511.4 376 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "angel": [640, 512, [], "f779", ["M415.1 64c0 2.25-3.25 6.125-9.125 10.25c6.625 8.375 12.37 17.25 16.62 27.13C438.7 90.88 447.1 78 447.1 64c0-35.25-57.25-64-127.1-64S192 28.75 192 64c0 14 9.251 26.88 24.5 37.38c4.125-9.875 9.875-18.88 16.62-27.13C227.3 70.25 224 66.38 224 64c0-8 33.1-32 95.1-32S415.1 56 415.1 64zM603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c4.75-9.75 8.655-16.62 11.9-22.12c9.5-16.5 14.47-26.47 14.47-53.22c0-51.13-46.87-96-100.4-96c-24.87 0-48.97 10.25-66.34 28.12L352.6 261.5c25.65 8.545 47.54 26.75 60.02 51.72L511.1 512h55.57c13.87 0 26.69-7.125 34.19-19C609.2 480.9 610.1 465.9 603.7 453.1zM148.5 160.1C95.04 160.1 48.01 204.9 48.01 256c0 26.75 4.1 36.75 14.5 53.25c3.25 5.5 7.125 12.25 11.87 22c6.625 13.5 6.625 29.62 0 43.13l-38.09 78.75C29.92 466 30.76 480.9 38.26 493C45.76 504.9 58.57 512 72.57 512h55.43l99.4-198.8c12.52-25.04 34.46-43.24 60.2-51.75L214.1 188.3C197.5 170.3 173.3 160.1 148.5 160.1z", "M320 224c44.25 0 79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144S275.8 224 320 224zM412.6 313.2c-17.54-35.08-53.38-57.17-92.6-57.17S244.9 278.2 227.4 313.2L127.1 512h383.1L412.6 313.2z"]],
    "angle": [448, 512, [], "e08c", ["M274.7 278.5C258.9 255.9 239.9 235.5 218.5 218.1L240.4 174.3C269.4 196.4 294.8 223.1 315.5 253.2L274.7 278.5zM332.4 280.3C350.2 312.1 363.1 347 370.1 384H321.1C314.9 356.2 304.9 329.9 291.6 305.7L332.4 280.3z", "M238.3 35.38C254.1 43.28 260.5 62.5 252.6 78.31L83.78 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C20.91 480 10.61 474.3 4.779 464.8C-1.052 455.4-1.581 443.6 3.378 433.7L195.4 49.69C203.3 33.88 222.5 27.47 238.3 35.38V35.38z"]],
    "angle-90": [448, 512, [], "e08d", ["M322.3 279.7l-41.1 24.66C295.4 328.9 306.1 355.6 312.6 384h49.13C354.5 346.6 340.9 311.5 322.3 279.7zM96 167.4c28.39 6.477 55.15 17.16 79.68 31.36l24.66-41.1C168.5 139.1 133.4 125.5 96 118.3V167.4zM227.2 175.1L202.4 216.4c23.35 17.23 43.96 37.84 61.19 61.19l41.31-24.79C283.4 222.8 257.2 196.6 227.2 175.1z", "M416 416H64V63.1C64 46.33 49.67 32 32 32S0 46.33 0 63.1V448c0 17.67 14.33 32 32 32h384C433.7 480 448 465.7 448 448S433.7 416 416 416z"]],
    "angle-down": [384, 512, [8964], "f107", ["M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z", ""]],
    "angle-left": [256, 512, [8249], "f104", ["M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z", ""]],
    "angle-right": [256, 512, [8250], "f105", ["M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z", ""]],
    "angle-up": [384, 512, [8963], "f106", ["M352 352c-8.188 0-16.38-3.125-22.62-9.375L192 205.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 348.9 360.2 352 352 352z", ""]],
    "angles-down": [384, 512, ["angle-double-down"], "f103", ["M192 288C183.8 288 175.6 284.9 169.4 278.6l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 210.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 284.9 200.2 288 192 288z", "M192 480c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 402.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 476.9 200.2 480 192 480z"]],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", ["M384 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L269.3 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C400.4 444.9 392.2 448 384 448z", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"]],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", ["M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z", "M256 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256l-137.4-137.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C272.4 444.9 264.2 448 256 448z"]],
    "angles-up": [384, 512, ["angle-double-up"], "f102", ["M352 448c-8.188 0-16.38-3.125-22.62-9.375L192 301.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 444.9 360.2 448 352 448z", "M352 256c-8.188 0-16.38-3.125-22.62-9.375L192 109.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 252.9 360.2 256 352 256z"]],
    "ankh": [320, 512, [9765], "f644", ["M296 256h-272C10.75 256 0 266.8 0 280v32c0 13.25 10.75 24 24 24h272c13.25 0 24-10.75 24-24v-32C320 266.8 309.2 256 296 256z", "M120 488C120 501.3 130.8 512 144 512h32c13.25 0 24-10.75 24-24V336h-80V488zM160 0C89.25 0 32 55.63 32 144C32 181.6 47.5 222 68.63 256h182.8C272.5 222 288 181.6 288 144C288 55.63 230.8 0 160 0zM160 244.9C139.1 222.1 112 178.6 112 144c0-39.5 18.38-64 48-64s48 24.5 48 64C208 178.6 180.9 222.1 160 244.9z"]],
    "apartment": [576, 512, [], "e468", ["M400 0C426.5 0 448 21.49 448 48V192H528C554.5 192 576 213.5 576 240V464C576 490.5 554.5 512 528 512H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H128V48C128 21.49 149.5 0 176 0H400zM368 320C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368zM512 368C512 359.2 504.8 352 496 352H464C455.2 352 448 359.2 448 368V400C448 408.8 455.2 416 464 416H496C504.8 416 512 408.8 512 400V368zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM384 80C384 71.16 376.8 64 368 64H336C327.2 64 320 71.16 320 80V112C320 120.8 327.2 128 336 128H368C376.8 128 384 120.8 384 112V80zM208 64C199.2 64 192 71.16 192 80V112C192 120.8 199.2 128 208 128H240C248.8 128 256 120.8 256 112V80C256 71.16 248.8 64 240 64H208zM384 176C384 167.2 376.8 160 368 160H336C327.2 160 320 167.2 320 176V208C320 216.8 327.2 224 336 224H368C376.8 224 384 216.8 384 208V176zM496 320C504.8 320 512 312.8 512 304V272C512 263.2 504.8 256 496 256H464C455.2 256 448 263.2 448 272V304C448 312.8 455.2 320 464 320H496zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 224C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240z", "M384 112C384 120.8 376.8 128 368 128H336C327.2 128 320 120.8 320 112V80C320 71.16 327.2 64 336 64H368C376.8 64 384 71.16 384 80V112zM80 320C71.16 320 64 312.8 64 304V272C64 263.2 71.16 256 80 256H112C120.8 256 128 263.2 128 272V304C128 312.8 120.8 320 112 320H80zM384 304C384 312.8 376.8 320 368 320H336C327.2 320 320 312.8 320 304V272C320 263.2 327.2 256 336 256H368C376.8 256 384 263.2 384 272V304zM512 400C512 408.8 504.8 416 496 416H464C455.2 416 448 408.8 448 400V368C448 359.2 455.2 352 464 352H496C504.8 352 512 359.2 512 368V400zM128 400C128 408.8 120.8 416 112 416H80C71.16 416 64 408.8 64 400V368C64 359.2 71.16 352 80 352H112C120.8 352 128 359.2 128 368V400zM208 320C199.2 320 192 312.8 192 304V272C192 263.2 199.2 256 208 256H240C248.8 256 256 263.2 256 272V304C256 312.8 248.8 320 240 320H208zM240 64C248.8 64 256 71.16 256 80V112C256 120.8 248.8 128 240 128H208C199.2 128 192 120.8 192 112V80C192 71.16 199.2 64 208 64H240zM384 208C384 216.8 376.8 224 368 224H336C327.2 224 320 216.8 320 208V176C320 167.2 327.2 160 336 160H368C376.8 160 384 167.2 384 176V208zM464 320C455.2 320 448 312.8 448 304V272C448 263.2 455.2 256 464 256H496C504.8 256 512 263.2 512 272V304C512 312.8 504.8 320 496 320H464zM128 208C128 216.8 120.8 224 112 224H80C71.16 224 64 216.8 64 208V176C64 167.2 71.16 160 80 160H112C120.8 160 128 167.2 128 176V208zM208 224C199.2 224 192 216.8 192 208V176C192 167.2 199.2 160 208 160H240C248.8 160 256 167.2 256 176V208C256 216.8 248.8 224 240 224H208z"]],
    "aperture": [512, 512, [], "e2df", ["M0 256c0 22.14 3.105 43.51 8.391 64h173.7l-127.8-221.3C20.4 142.1 0 196.6 0 256zM324.4 9.523L237.5 160h255.7C463.6 86.94 401.3 30.83 324.4 9.523zM220.6 509.3C232.2 510.9 243.1 512 256 512c69.86 0 133.1-28.05 179.3-73.42l-86.93-150.6L220.6 509.3z", "M187.6 502.5L274.5 352H18.78C48.38 425.1 110.7 481.2 187.6 502.5zM76.69 73.42l86.93 150.6l127.7-221.3C279.8 1.119 268 0 256 0C186.1 0 122.9 28.05 76.69 73.42zM503.6 192h-173.7l127.8 221.3C491.6 369.9 512 315.4 512 256C512 233.9 508.9 212.5 503.6 192z"]],
    "apostrophe": [192, 512, [], "27", ["M192 128v96c0 70.58-57.42 128-128 128c-17.67 0-32-14.33-32-32s14.33-32 32-32c35.3 0 64-28.7 64-64V218.1C117.9 221.7 107.3 224 96 224C42.98 224 0 181 0 128s42.98-96 96-96S192 74.98 192 128z", ""]],
    "apple-core": [384, 512, [], "e08f", ["M364.3 448.1C336.8 486.3 299.8 512 256 512c-32 0-48-16-64-16c-16 0-32 16-64 16c-43.65 0-80.68-25.77-108.2-63.13C65.82 417.1 95.1 364.1 95.1 304c0-62.99-33.19-118.1-82.93-149.2C29.96 138.3 51.94 128 80.01 128c32 .002 79.99 16.03 111.1 32.03c31.99-16 80.1-32.06 112.1-32.06c27.96 0 49.8 10.39 66.68 26.93C321.1 186 287.1 241.1 287.1 304C287.1 364.2 318.2 417.3 364.3 448.1z", "M288 0v32c0 44.18-35.82 80-80 80H176v-32c0-44.18 35.82-80 80-80H288z"]],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", ["M336 128c-32 0-80.02 16.03-112 32.03c-32.01-16-79.1-32.02-111.1-32.03C32 128 .4134 210.5 .0033 288c-.5313 99.97 63.99 224 159.1 224c32 0 48-16 64-16c16 0 32 16 64 16c96 0 160.4-122.8 159.1-224C447.7 211.6 416 128 336 128z", "M320 0v32c0 44.18-35.82 80-80 80H208v-32c0-44.18 35.82-80 80-80H320z"]],
    "archway": [512, 512, [], "f557", ["M480 160H32V96H480V160zM480 416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416V192H480V416z", "M480 32C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H480zM480 192H32V160H480V192z"]],
    "arrow-down": [384, 512, [8595], "f063", ["M160 370.8V64c0-17.69 14.33-31.1 31.1-31.1S224 46.31 224 64v306.8l-32 32L160 370.8z", "M192 480c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 402.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 476.9 200.2 480 192 480z"]],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", ["M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.969l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4c6.312-6.883 14.94-10.38 23.61-10.38C223.7 320.3 231.5 323.1 237.6 328.7z"]],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", ["M357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.969l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4c6.312-6.883 14.94-10.38 23.61-10.38C223.7 320.3 231.5 323.1 237.6 328.7z"]],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", ["M448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 288 447.1 288H319.1C302.3 288 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z", "M151.6 470.1c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.973L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03S160 46.33 160 64.03v302l32.4-35.39c11.46-12.49 31.67-14.39 45.22-1.973c13.03 11.95 13.9 32.22 1.969 45.27L151.6 470.1z"]],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", ["M431.6 138l-87.1-96.09c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C196.5 151.1 197.3 171.4 210.4 183.3c13.02 11.95 33.27 11.04 45.22-1.973L288 145.9v302C288 465.7 302.3 480 320 480s32-14.33 32-32.03V145.9l32.4 35.39c11.42 12.45 31.63 14.43 45.22 1.973C442.7 171.4 443.5 151.1 431.6 138z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", ["M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", ["M416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z", "M73.38 297.4C79.63 291.1 87.81 287.1 96 287.1s16.38 3.125 22.62 9.375L192 370.7V191.1c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C60.88 330.1 60.88 309.9 73.38 297.4z"]],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", ["M32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z", "M342.6 297.4c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25C47.63 291.1 55.81 288 64 288s16.38 3.125 22.62 9.375L160 370.8V192c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38C309.9 284.9 330.1 284.9 342.6 297.4z"]],
    "arrow-down-left": [320, 512, [], "e091", ["M310.6 150.6L109.3 352H64V306.8l201.4-201.4c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z", "M256 416H32c-17.67 0-32-14.31-32-32V160c0-17.69 14.33-32 32-32s32 14.31 32 32v192h192c17.67 0 32 14.31 32 32S273.7 416 256 416z"]],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", ["M54.63 502.6L176 381.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C234.3 283.9 228.1 277.7 220.2 274.5C216.3 272.8 212.2 272 208 272h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-121.4 121.4c-12.5 12.5-12.5 32.75 0 45.25S42.13 515.1 54.63 502.6z", "M274.5 220.2c3.242 7.84 9.479 14.08 17.32 17.32C295.7 239.2 299.8 240 304 240h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l121.4-121.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L336 130.8V80c0-17.69-14.31-32-32-32s-32 14.31-32 32v127.1C272 212.2 272.8 216.3 274.5 220.2z"]],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", ["M160 434.8l-32-32V32c0-17.69 14.31-32 32-32s32 14.31 32 32v370.8L160 434.8z", "M310.6 329.4c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 434.8l105.4-105.4C271.6 323.1 279.8 320 288 320S304.4 323.1 310.6 329.4z"]],
    "arrow-down-right": [320, 512, [], "e093", ["M210.8 352L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 306.8V352H210.8z", "M288 416H64c-17.67 0-32-14.31-32-32s14.33-32 32-32h192V160c0-17.69 14.33-32 32-32s32 14.31 32 32v224C320 401.7 305.7 416 288 416z"]],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", ["M320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", ["M320 192h96c17.67 0 32-14.33 32-32V64c0-17.6-14.4-32-32-32h-96c-17.67 0-32 14.33-32 32v96C288 177.7 302.3 192 320 192zM480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", ["M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-to-arc": [512, 512, [], "e4ae", ["M480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224z", "M390.6 185.4C403.1 197.9 403.1 218.1 390.6 230.6L278.6 342.6C266.1 355.1 245.9 355.1 233.4 342.6L121.4 230.6C108.9 218.1 108.9 197.9 121.4 185.4C133.9 172.9 154.1 172.9 166.6 185.4L223.1 242.7V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32V242.7L345.4 185.4C357.9 172.9 378.1 172.9 390.6 185.4H390.6z"]],
    "arrow-down-to-bracket": [448, 512, [], "e094", ["M448 416v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256C405 512 448 469 448 416z", "M201.4 342.6l-128-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 242.8V32c0-17.69 14.31-32 32-32s32 14.31 32 32v210.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0c12.49 12.49 12.51 32.74 0 45.25l-128 128C234.1 355.1 213.9 355.1 201.4 342.6z"]],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", ["M32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z", "M73.38 185.4C79.63 179.1 87.81 175.1 96 175.1s16.38 3.125 22.62 9.375L192 258.7V79.1c0-17.69 14.31-32 32-32s32 14.31 32 32V258.7l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C60.88 218.1 60.88 197.9 73.38 185.4z"]],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", ["M352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z", "M86.63 169.4L160 242.8V64c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38C303.6 163.1 311.8 160 320 160s16.38 3.125 22.62 9.375c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25S74.13 156.9 86.63 169.4z"]],
    "arrow-down-to-square": [512, 512, [], "e096", ["M448 96h-64v64h64v288H64V160h64V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96z", "M146.4 232.4C133.3 244.4 132.5 264.6 144.4 277.7l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.71-12.57-33.9-10.37-45.22 1.969L288 269.8V32.03C288 14.33 273.7 0 256 0S224 14.33 224 32.03v237.8L191.6 234.4C179.6 221.4 159.4 220.5 146.4 232.4z"]],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", ["M492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-up-across-line": [576, 512, [], "e4af", ["M0 256C0 238.3 14.33 224 32 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H32C14.33 288 0 273.7 0 256z", "M41.37 406.6C28.88 394.1 28.88 373.9 41.37 361.4C53.87 348.9 74.13 348.9 86.63 361.4L127.1 402.7V288H191.1V402.7L233.4 361.4C245.9 348.9 266.1 348.9 278.6 361.4C291.1 373.9 291.1 394.1 278.6 406.6L182.6 502.6C170.1 515.1 149.9 515.1 137.4 502.6L41.37 406.6zM128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V192H128V64zM438.6 9.372L534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6C522.1 163.1 501.9 163.1 489.4 150.6L448 109.3V223.1H384V109.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372H438.6zM416 480C398.3 480 384 465.7 384 448V320H448V448C448 465.7 433.7 480 416 480z"]],
    "arrow-down-up-lock": [640, 512, [], "e4b0", ["M246.6 406.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6L9.373 406.6C-3.124 394.1-3.124 373.9 9.373 361.4C21.87 348.9 42.13 348.9 54.63 361.4L96 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H288V109.3L246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C303.4 3.371 311.5 0 320 0C328.5 0 336.6 3.372 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V223.1H426.8C419.9 238.5 416 254.8 416 271.1V287.1H160V402.7L201.4 361.4C213.9 348.9 234.1 348.9 246.6 361.4C259.1 373.9 259.1 394.1 246.6 406.6H246.6zM160 63.1V191.1H96V63.1C96 46.33 110.3 31.1 128 31.1C145.7 31.1 160 46.33 160 63.1zM288 448V319.1H352V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", ["M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", ["M320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z", "M16.41 373.1c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.629 13.89-8.414 21.61-8.414c8.672 0 17.3 3.504 23.61 10.39L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03S160 46.33 160 64.03v302l32.4-35.39C204.4 317.7 224.6 316.7 237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0L16.41 373.1z"]],
    "arrow-left": [448, 512, [8592], "f060", ["M447.1 256C447.1 273.7 433.7 288 416 288H109.3l-32-32l32-32H416C433.7 224 447.1 238.3 447.1 256z", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"]],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", ["M384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z", "M182.6 406.6c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0C188.9 111.6 192 119.8 192 128S188.9 144.4 182.6 150.6L109.3 224H288c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3l73.38 73.38C195.1 373.9 195.1 394.1 182.6 406.6z"]],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", ["M77.25 256l32-32H480c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3L77.25 256z", "M182.6 406.6c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l105.4 105.4C188.9 367.6 192 375.8 192 384S188.9 400.4 182.6 406.6z"]],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", ["", "M137.4 233.4L265.4 105.4C277.9 92.88 298.1 92.88 310.6 105.4C323.1 117.9 323.1 138.1 310.6 150.6L237.2 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H237.2L310.6 361.4C323.1 373.9 323.1 394.1 310.6 406.6C298.1 419.1 277.9 419.1 265.4 406.6L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4V233.4zM64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96z"]],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", ["M32 64C14.31 64 0 78.31 0 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96C64 78.31 49.69 64 32 64z", "M310.6 150.6L237.3 224H416c17.69 0 32 14.31 32 32s-14.31 32-32 32h-178.8l73.38 73.38C316.9 367.6 320 375.8 320 384s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z"]],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", ["M143.1 320H179.8L236.6 433.7C244.5 449.5 238.1 468.7 222.3 476.6C206.5 484.5 187.3 478.1 179.4 462.3L121.2 346L143.1 320z", "M.0003 425.1V55.18C.0003 42.38 10.38 32 23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H144L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1H.0003z"]],
    "arrow-right": [448, 512, [8594], "f061", ["M338.8 288H32C14.33 288 .0016 273.7 .0016 256S14.33 224 32 224h306.8l32 32L338.8 288z", "M256 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256l-137.4-137.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C272.4 444.9 264.2 448 256 448z"]],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", ["M480 336H109.3l57.38-57.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-112 112c-12.5 12.5-12.5 32.75 0 45.25l112 112C127.6 508.9 135.8 512 144 512s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L109.3 400H480c17.69 0 32-14.31 32-32S497.7 336 480 336z", "M32 176h370.8l-57.38 57.38c-12.5 12.5-12.5 32.75 0 45.25C351.6 284.9 359.8 288 368 288s16.38-3.125 22.62-9.375l112-112c12.5-12.5 12.5-32.75 0-45.25l-112-112c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L402.8 112H32c-17.69 0-32 14.31-32 32S14.31 176 32 176z"]],
    "arrow-right-from-arc": [512, 512, [], "e4b1", ["M256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64z", "M345.4 121.4C357.9 108.9 378.1 108.9 390.6 121.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L390.6 390.6C378.1 403.1 357.9 403.1 345.4 390.6C332.9 378.1 332.9 357.9 345.4 345.4L402.7 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H402.7L345.4 166.6C332.9 154.1 332.9 133.9 345.4 121.4V121.4z"]],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", ["M160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64c17.67 0 32-14.33 32-32S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h64c17.67 0 32-14.33 32-32S177.7 416 160 416z", "M502.6 278.6l-128 128c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L402.8 288H192C174.3 288 160 273.7 160 256s14.31-32 32-32h210.8l-73.38-73.38c-12.5-12.5-12.5-32.75 0-45.25c12.49-12.49 32.74-12.51 45.25 0l128 128C515.1 245.9 515.1 266.1 502.6 278.6z"]],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", ["M64 416V96c0-17.69-14.31-32-32-32S0 78.31 0 96v320c0 17.69 14.31 32 32 32S64 433.7 64 416z", "M265.4 105.4c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C259.1 400.4 256 392.2 256 384s3.125-16.38 9.375-22.62L338.8 288H160C142.3 288 128 273.7 128 256s14.31-32 32-32h178.8l-73.38-73.38C252.9 138.1 252.9 117.9 265.4 105.4z"]],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", ["M402.8 288H32C14.31 288 0 273.7 0 255.1S14.31 224 32 224h370.8l32 32L402.8 288z", "M320 384c0-8.188 3.125-16.38 9.375-22.62L434.8 256l-105.4-105.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C323.1 400.4 320 392.2 320 384z"]],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", ["", "M502.6 278.6L374.6 406.6C362.1 419.1 341.9 419.1 329.4 406.6C316.9 394.1 316.9 373.9 329.4 361.4L402.7 288H32C14.31 288 0 273.7 0 256C0 238.3 14.31 224 32 224H402.7L329.4 150.6C316.9 138.1 316.9 117.9 329.4 105.4C341.9 92.88 362.1 92.88 374.6 105.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6zM608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64z"]],
    "arrow-right-to-arc": [512, 512, [], "e4b2", ["M224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C238.3 64 224 49.67 224 32z", "M185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L342.6 233.4C355.1 245.9 355.1 266.1 342.6 278.6L230.6 390.6C218.1 403.1 197.9 403.1 185.4 390.6C172.9 378.1 172.9 357.9 185.4 345.4L242.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H242.7L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4V121.4z"]],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", ["M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z", "M342.6 278.6l-128 128c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h210.8L169.4 150.6c-12.5-12.5-12.5-32.75 0-45.25c12.49-12.49 32.74-12.51 45.25 0l128 128C355.1 245.9 355.1 266.1 342.6 278.6z"]],
    "arrow-right-to-city": [640, 512, [], "e4b3", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48C288 21.49 309.5 0 336 0H432zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M121.4 153.4C133.9 140.9 154.1 140.9 166.6 153.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L166.6 358.6C154.1 371.1 133.9 371.1 121.4 358.6C108.9 346.1 108.9 325.9 121.4 313.4L146.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H146.7L121.4 198.6C108.9 186.1 108.9 165.9 121.4 153.4V153.4z"]],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", ["M384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z", "M137.4 105.4c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C131.1 400.4 128 392.2 128 384s3.125-16.38 9.375-22.62L210.8 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h178.8L137.4 150.6C124.9 138.1 124.9 117.9 137.4 105.4z"]],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", ["M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.86 0-95.19-15.58-134.2-44.86c-14.14-10.59-17-30.66-6.391-44.81c10.61-14.09 30.69-16.97 44.8-6.375c27.84 20.91 61 31.94 95.89 31.94C344.3 415.8 416 344.1 416 256s-71.67-159.8-159.8-159.8C205.9 96.22 158.6 120.3 128.6 160H80V118.2C122.1 64.58 186.1 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z", "M192 224H48c-17.67 0-32-14.31-32-32V48c0-17.69 14.33-32 32-32s32 14.31 32 32V160H192c17.67 0 32 14.31 32 32S209.7 224 192 224z"]],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", ["M396.5 390.2c10.59 14.16 7.75 34.22-6.375 44.81c-39.03 29.28-85.36 44.86-134.2 44.86C132.5 479.9 32 379.4 32 256s100.5-223.9 223.9-223.9c69.15 0 134 32.47 176.1 86.12V160h-48.61c-29.97-39.7-77.25-63.78-127.6-63.78C167.7 96.22 96 167.9 96 256s71.69 159.8 159.8 159.8c34.88 0 68.03-11.03 95.88-31.94C365.9 373.3 385.9 376.1 396.5 390.2z", "M464 224H320c-17.69 0-32-14.31-32-32s14.31-32 32-32h112V48c0-17.69 14.31-32 32-32s32 14.31 32 32V192C496 209.7 481.7 224 464 224z"]],
    "arrow-trend-down": [576, 512, [], "e097", ["M466.7 352L320 205.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6L9.372 150.6C-3.124 138.1-3.124 117.9 9.372 105.4C21.87 92.88 42.13 92.88 54.63 105.4L191.1 242.7L297.4 137.4C309.9 124.9 330.1 124.9 342.6 137.4L512 306.7V352L466.7 352z", "M384 352H512V224C512 206.3 526.3 192 544 192C561.7 192 576 206.3 576 224V384C576 401.7 561.7 416 544 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352z"]],
    "arrow-trend-up": [576, 512, [], "e098", ["M512 160V205.3L342.6 374.6C330.1 387.1 309.9 387.1 297.4 374.6L191.1 269.3L54.63 406.6C42.13 419.1 21.87 419.1 9.372 406.6C-3.124 394.1-3.124 373.9 9.372 361.4L169.4 201.4C181.9 188.9 202.1 188.9 214.6 201.4L320 306.7L466.7 160L512 160z", "M352 128C352 110.3 366.3 96 384 96H544C561.7 96 576 110.3 576 128V288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288V160H384C366.3 160 352 145.7 352 128z"]],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", ["M32 64C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80v322.8l-32 32l-31.1-32V80C160 71.19 152.8 64 144 64H32z", "M297.4 329.4l-105.4 105.4L86.62 329.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l127.1 128C175.6 508.9 183.8 512 191.1 512s16.37-3.125 22.62-9.375l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 316.9 297.4 329.4z"]],
    "arrow-turn-down-left": [512, 512, [], "e2e1", ["M77.25 287.1l32-31.1H432C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32v176c0 44.11-35.88 80-80 80H109.3L77.25 287.1z", "M137.4 438.6c12.5 12.5 32.75 12.5 45.25 0C188.9 432.4 192 424.2 192 415.1s-3.125-16.38-9.375-22.62L77.25 287.1L182.6 182.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-128 127.1c-12.5 12.5-12.5 32.75 0 45.25L137.4 438.6z"]],
    "arrow-turn-down-right": [512, 512, [], "e3d6", ["M402.7 320H80C35.87 320 0 284.1 0 240V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V240C64 248.8 71.19 256 80 256H402.7L434.7 287.1L402.7 320z", "M374.6 438.6C362.1 451.1 341.9 451.1 329.4 438.6C323.1 432.4 320 424.2 320 416C320 407.8 323.1 399.6 329.4 393.4L434.7 288L329.4 182.6C316.9 170.1 316.9 149.9 329.4 137.4C341.9 124.9 362.1 124.9 374.6 137.4L502.6 265.4C515.1 277.9 515.1 298.1 502.6 310.6L374.6 438.6z"]],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", ["M224 109.3V432c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V109.3l31.1-32L224 109.3z", "M214.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-127.1 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l105.4-105.4l105.4 105.4C303.6 188.9 311.8 192 319.1 192s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L214.6 9.375z"]],
    "arrow-up": [384, 512, [8593], "f062", ["M224 141.3V448c0 17.69-14.33 31.1-31.1 31.1S160 465.7 160 448V141.3l32-32L224 141.3z", "M352 256c-8.188 0-16.38-3.125-22.62-9.375L192 109.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 252.9 360.2 256 352 256z"]],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", ["M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6z", "M18.38 183.3C5.35 171.3 4.475 151.1 16.41 138L104.4 41.94c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.2 204.4 194.3 192.4 181.3L160 145.9v302c0 17.7-14.33 32.03-32 32.03S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.38-23.61 10.38C32.27 191.7 24.52 188.9 18.38 183.3z"]],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", ["M357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z", "M216 191.7c-8.672 0-17.3-3.5-23.61-10.38L160 145.9v302c0 17.7-14.33 32.03-32 32.03S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.2 18.38 183.3C5.35 171.3 4.475 151.1 16.41 138L104.4 41.94c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27C231.5 188.9 223.7 191.7 216 191.7z"]],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", ["M448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88s-16.63-19.86-29.56-19.86H319.1C302.3 287.9 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.1 195.7 203.9 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", ["M210.4 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.59-12.46-33.8-10.48-45.22 1.969L352 366.1V64.03C352 46.33 337.7 32 320 32s-32 14.33-32 32.03v302l-32.4-35.4C243.6 317.7 223.4 316.8 210.4 328.7z", "M16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27c-13.02 11.95-33.27 11.04-45.22-1.973L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C52.17 193.8 31.97 195.8 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138z"]],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", ["M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-from-arc": [512, 512, [], "e4b4", ["M64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256z", "M121.4 166.6C108.9 154.1 108.9 133.9 121.4 121.4L233.4 9.372C245.9-3.124 266.1-3.124 278.6 9.372L390.6 121.4C403.1 133.9 403.1 154.1 390.6 166.6C378.1 179.1 357.9 179.1 345.4 166.6L288 109.3V320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V109.3L166.6 166.6C154.1 179.1 133.9 179.1 121.4 166.6H121.4z"]],
    "arrow-up-from-bracket": [448, 512, [], "e09a", ["M384 352v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-64c0-17.67-14.33-32-32-32S384 334.3 384 352z", "M246.6 9.375l128 128c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L256 109.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3L118.6 182.6c-12.5 12.5-32.75 12.5-45.25 0c-12.49-12.49-12.51-32.74 0-45.25l128-128C213.9-3.125 234.1-3.125 246.6 9.375z"]],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", ["M32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z", "M374.6 214.6C368.4 220.9 360.2 224 352 224s-16.38-3.125-22.62-9.375L256 141.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V141.3L118.6 214.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C387.1 181.9 387.1 202.1 374.6 214.6z"]],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", ["M48 192H192V416.5C172.1 416.4 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V240C0 213.5 21.49 192 48 192V192zM558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C383.1 416.5 384 416.5 384 416.5V192H528C554.5 192 576 213.5 576 240V425C570.7 421.9 564.8 419.6 558.5 418.1V418.1z", "M320 319.1C320 337.7 305.7 352 287.1 352C270.3 352 255.1 337.7 255.1 319.1V109.3L230.6 134.6C218.1 147.1 197.9 147.1 185.4 134.6C172.9 122.1 172.9 101.9 185.4 89.37L265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L390.6 89.37C403.1 101.9 403.1 122.1 390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6L320 109.3V319.1zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"]],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", ["M352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z", "M41.38 214.6c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C336.4 220.9 328.2 224 320 224s-16.38-3.125-22.62-9.375L224 141.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V141.3L86.63 214.6C74.13 227.1 53.88 227.1 41.38 214.6z"]],
    "arrow-up-from-square": [512, 512, [], "e09c", ["M512 160v288c0 35.28-28.72 64-64 64H64c-35.28 0-64-28.72-64-64V160c0-35.28 28.72-64 64-64h32v63.92L64 160v288h384V160l-32-.0824V96h32C483.3 96 512 124.7 512 160z", "M167.8 159.7c8.895 0 17.63-3.711 23.76-10.39L224 113.9V320c0 17.7 14.33 32.02 32 32.02S288 337.7 288 320V113.9l32.4 35.39c6.321 6.881 14.96 10.38 23.63 10.38c17.65 0 31.97-14.29 31.97-32.01c0-7.734-2.781-15.51-8.409-21.66l-87.1-96.09C273.5 3.314 264.8-.0002 256-.0002S238.5 3.314 232.4 9.945l-87.1 96.09c-5.628 6.152-8.409 13.93-8.409 21.66C135.1 145.4 150.3 159.7 167.8 159.7z"]],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", ["M240 0C266.5 0 288 21.49 288 48V256H528C554.5 256 576 277.5 576 304V400C576 408 574 415.6 570.6 422.2C566.8 420.5 562.7 419.1 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C172.1 416.5 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C13.27 419.1 9.239 420.5 5.439 422.2C1.965 415.6 0 408 0 400V304C0 277.5 21.49 256 48 256H64V48C64 21.49 85.49 0 112 0H240z", "M505.4 134.6L480 109.3V255.1H416V109.3L390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6C332.9 122.1 332.9 101.9 345.4 89.37L425.4 9.372C437.9-3.124 458.1-3.124 470.6 9.372L550.6 89.37C563.1 101.9 563.1 122.1 550.6 134.6C538.1 147.1 517.9 147.1 505.4 134.6H505.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"]],
    "arrow-up-left": [320, 512, [], "e09d", ["M310.6 406.6C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L64 205.3V160h45.25l201.4 201.4C323.1 373.9 323.1 394.1 310.6 406.6z", "M32 384c-17.67 0-32-14.31-32-32V128c0-17.69 14.33-32 32-32h224c17.67 0 32 14.31 32 32s-14.33 32-32 32H64v192C64 369.7 49.67 384 32 384z"]],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", ["M288 512c-109.8 0-202.8-78.53-220.9-186.7C64.16 307.9 75.94 291.4 93.34 288.4c17.72-3.156 33.94 8.844 36.88 26.25C143.2 391.9 209.5 448 288 448c88.22 0 160-71.78 160-160c0-78.47-56.06-144.8-133.3-157.8c-17.44-2.938-29.19-19.41-26.28-36.84C291.4 75.91 307.8 64 325.3 67.09C433.5 85.22 512 178.1 512 288C512 411.5 411.5 512 288 512z", "M333.3 336c12.5-12.5 12.5-32.77 0-45.26L109.3 63.99H192c17.67 0 31.99-14.33 31.99-31.1C223.1 14.32 209.7 0 192 0H32C23.16 0 15.16 3.578 9.371 9.367C3.578 15.16 0 23.16 0 31.1V192c0 17.67 14.32 31.1 31.99 31.1S63.99 209.7 63.99 192V109.2L288 336C300.5 348.5 320.8 348.5 333.3 336z"]],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", ["M192 109.3V480c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3l32-32L192 109.3z", "M288 192c-8.188 0-16.38-3.125-22.62-9.375L160 77.25L54.63 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C304.4 188.9 296.2 192 288 192z"]],
    "arrow-up-right": [320, 512, [], "e09f", ["M256 205.3l-201.4 201.4C48.38 412.9 40.19 416 32 416s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L210.8 160H256V205.3z", "M288 384c-17.67 0-32-14.31-32-32V160H64C46.33 160 32 145.7 32 128s14.33-32 32-32h224c17.67 0 32 14.31 32 32v224C320 369.7 305.7 384 288 384z"]],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", ["M177.4 289.4L64 402.8V352c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.465 12.22c3.24 7.832 9.479 14.07 17.31 17.31C23.69 511.2 27.84 512 32 512h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l113.4-113.4c12.5-12.5 12.5-32.75 0-45.25S189.9 276.9 177.4 289.4z", "M509.5 19.78c-3.242-7.84-9.479-14.08-17.32-17.32C488.3 .8477 484.2 0 480 0h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-113.4 113.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L448 109.3V160c0 17.69 14.31 32 32 32s32-14.31 32-32V32C512 27.84 511.2 23.69 509.5 19.78z"]],
    "arrow-up-right-dots": [576, 512, [], "e4b7", ["M480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80zM352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208zM448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336zM352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM320 336C320 362.5 298.5 384 272 384C245.5 384 224 362.5 224 336C224 309.5 245.5 288 272 288C298.5 288 320 309.5 320 336zM224 464C224 437.5 245.5 416 272 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512C245.5 512 224 490.5 224 464zM192 464C192 490.5 170.5 512 144 512C117.5 512 96 490.5 96 464C96 437.5 117.5 416 144 416C170.5 416 192 437.5 192 464zM480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336zM576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208z", "M127.1 32C127.1 14.33 142.3 0 159.1 0H287.1C305.7 0 320 14.33 320 32V160C320 177.7 305.7 192 287.1 192C270.3 192 255.1 177.7 255.1 160V109.3L54.63 310.6C42.13 323.1 21.87 323.1 9.372 310.6C-3.124 298.1-3.124 277.9 9.372 265.4L210.7 64H159.1C142.3 64 127.1 49.67 127.1 32z"]],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", ["M0 128C0 92.65 28.65 64 64 64H160C177.7 64 192 78.33 192 96C192 113.7 177.7 128 160 128H64V416H352V320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320V416C416 451.3 387.3 480 352 480H64C28.65 480 0 451.3 0 416V128z", "M256 64C256 46.33 270.3 32 288 32H416C433.7 32 448 46.33 448 64V192C448 209.7 433.7 224 416 224C398.3 224 384 209.7 384 192V141.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6C156.9 298.1 156.9 277.9 169.4 265.4L338.7 96H288C270.3 96 256 81.67 256 64z"]],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", ["M544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.3 204.4 194.3 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.39-23.61 10.39c-7.719 0-15.47-2.785-21.61-8.414C5.35 171.4 4.475 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", ["M480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", ["M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224 195.8 203.8 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", ["M416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z", "M374.6 326.6C368.4 332.9 360.2 336 352 336s-16.38-3.125-22.62-9.375L256 253.3V432c0 17.69-14.31 32-32 32s-32-14.31-32-32V253.3l-73.38 73.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C387.1 293.9 387.1 314.1 374.6 326.6z"]],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", ["M32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z", "M41.38 342.6c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C336.4 348.9 328.2 352 320 352s-16.38-3.125-22.62-9.375L224 269.3V448c0 17.69-14.31 32-32 32s-32-14.31-32-32V269.3l-73.38 73.38C74.13 355.1 53.88 355.1 41.38 342.6z"]],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", ["M448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224 195.8 203.8 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", ["M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.3 204.4 194.3 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.39-23.61 10.39c-7.719 0-15.47-2.785-21.61-8.414C5.35 171.4 4.475 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", ["M320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrows-cross": [448, 512, [], "e0a2", ["M54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0c-12.49 12.49-12.51 32.74 0 45.25L178.8 256L224 210.8L54.63 41.38zM416 288c-17.69 0-32 14.31-32 32v50.75L269.3 256L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z", "M445.5 51.78c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L9.375 425.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L384 141.3V192c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 59.84 447.2 55.69 445.5 51.78z"]],
    "arrows-down-to-line": [576, 512, [], "e4b8", ["M544 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480z", "M521.4 233.4C533.9 220.9 554.1 220.9 566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L470.6 374.6C458.1 387.1 437.9 387.1 425.4 374.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4C341.9 220.9 362.1 220.9 374.6 233.4L416 274.7V64C416 46.33 430.3 32 448 32C465.7 32 480 46.33 480 64V274.7L521.4 233.4zM201.4 233.4C213.9 220.9 234.1 220.9 246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L150.6 374.6C138.1 387.1 117.9 387.1 105.4 374.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L96 274.7V64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64V274.7L201.4 233.4z"]],
    "arrows-down-to-people": [640, 512, [], "e4b9", ["M359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.1 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480z", "M168 24V142.1L191 119C200.4 109.7 215.6 109.7 224.1 119C234.3 128.4 234.3 143.6 224.1 152.1L160.1 216.1C151.6 226.3 136.4 226.3 127 216.1L63.03 152.1C53.66 143.6 53.66 128.4 63.03 119C72.4 109.7 87.6 109.7 96.97 119L120 142.1V24C120 10.75 130.7 0 144 0C157.3 0 168 10.75 168 24V24zM415 152.1C405.7 143.6 405.7 128.4 415 119C424.4 109.7 439.6 109.7 448.1 119L472 142.1V24C472 10.75 482.7 0 496 0C509.3 0 520 10.75 520 24V142.1L543 119C552.4 109.7 567.6 109.7 576.1 119C586.3 128.4 586.3 143.6 576.1 152.1L512.1 216.1C503.6 226.3 488.4 226.3 479 216.1L415 152.1z"]],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", ["M32 223.1c-17.67 0-32 14.33-32 32S14.33 287.1 32 287.1s32-14.33 32-32S49.67 223.1 32 223.1zM224 287.1c17.67 0 32-14.33 32-32s-14.33-32-32-32S192 238.3 192 255.1S206.3 287.1 224 287.1zM160 255.1c0-17.67-14.33-32-32-32S96 238.3 96 255.1S110.3 287.1 128 287.1S160 273.7 160 255.1zM416 223.1c-17.67 0-32 14.33-32 32S398.3 287.1 416 287.1s32-14.33 32-32S433.7 223.1 416 223.1zM320 223.1c-17.67 0-32 14.33-32 32S302.3 287.1 320 287.1s32-14.33 32-32S337.7 223.1 320 223.1z", "M160 127.1c8.188 0 16.38-3.125 22.62-9.376L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.376C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.276 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.125-22.62 9.376L256 402.7v-50.75c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.75l-9.375-9.376C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.371 22.67-9.415l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"]],
    "arrows-from-line": [448, 512, [], "e0a4", ["M32 287.1h384c17.69 0 32-14.3 32-31.99s-14.31-32.01-32-32.01H32c-17.69 0-32 14.33-32 32.01S14.31 287.1 32 287.1z", "M160 127.1c8.188 0 16.38-3.125 22.62-9.375L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.375C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.93 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.277 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.127-22.62 9.377L256 402.7v-50.76c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.76l-9.375-9.375C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32.01c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.37 22.67-9.414l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"]],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", ["M361.4 182.6c-12.5-12.5-12.5-32.75 0-45.25C367.6 131.1 375.8 128 384 128s16.38 3.125 22.62 9.375l96 96c12.5 12.5 12.5 32.75 0 45.25l-96 96c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L402.8 288H256V224h146.8L361.4 182.6z", "M150.6 329.4c12.5 12.5 12.5 32.75 0 45.25C144.4 380.9 136.2 384 128 384s-16.38-3.125-22.62-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H256v64H109.3L150.6 329.4z"]],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", ["M64 416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V416zM640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416z", "M246.6 137.4C259.1 149.9 259.1 170.1 246.6 182.6L205.3 223.1H434.7L393.4 182.6C380.9 170.1 380.9 149.9 393.4 137.4C405.9 124.9 426.1 124.9 438.6 137.4L534.6 233.4C547.1 245.9 547.1 266.1 534.6 278.6L438.6 374.6C426.1 387.1 405.9 387.1 393.4 374.6C380.9 362.1 380.9 341.9 393.4 329.4L434.7 288H205.3L246.6 329.4C259.1 341.9 259.1 362.1 246.6 374.6C234.1 387.1 213.9 387.1 201.4 374.6L105.4 278.6C92.88 266.1 92.88 245.9 105.4 233.4L201.4 137.4C213.9 124.9 234.1 124.9 246.6 137.4V137.4z"]],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", ["M109.3 96H160c17.69 0 32-14.31 32-32S177.7 32 160 32H32C27.84 32 23.69 32.85 19.78 34.46C11.94 37.7 5.705 43.94 2.463 51.78C.8477 55.69 0 59.84 0 64v128c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3L178.8 256L224 210.8L109.3 96zM416 288c-17.69 0-32 14.31-32 32v50.75L269.3 256L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z", "M416 224c17.69 0 32-14.31 32-32V64c0-4.164-.8477-8.312-2.463-12.22c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L64 370.8V320c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.461 12.22c3.242 7.84 9.48 14.08 17.32 17.32C23.69 479.2 27.84 480 32 480h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3L384 141.3V192C384 209.7 398.3 224 416 224z"]],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", ["M204.2 290.5C200.3 288.8 196.2 288 192 288H64c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L160 397.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C218.3 299.9 212.1 293.7 204.2 290.5zM502.6 9.375c-12.49-12.49-32.74-12.51-45.25 0L352 114.8V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.463 12.22c3.242 7.84 9.479 14.08 17.32 17.32C311.7 223.2 315.8 224 320 224h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l105.4-105.4C515.1 42.13 515.1 21.88 502.6 9.375z", "M192 32C174.3 32 160 46.31 160 64v50.75L54.63 9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L114.8 160H64C46.31 160 32 174.3 32 192s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.465C212.1 218.3 218.3 212.1 221.5 204.2C223.2 200.3 224 196.2 224 192V64C224 46.31 209.7 32 192 32zM397.3 352H448c17.69 0 32-14.31 32-32s-14.31-32-32-32h-128c-4.164 0-8.312 .8477-12.22 2.461c-7.84 3.242-14.08 9.48-17.32 17.32C288.8 311.7 288 315.8 288 320v128c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l105.4 105.4c12.5 12.5 32.75 12.5 45.25 0c12.49-12.49 12.51-32.74 0-45.25L397.3 352z"]],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", ["M490.1 257.7C486.8 256.5 483.3 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H173.2l41.38-41.38c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0l-95.1 96c-12.5 12.5-12.5 32.75 0 45.25l95.1 96c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25L173.2 416h173.6c74.33 0 140-47.38 163.5-117.9C515.9 281.3 506.9 263.2 490.1 257.7z", "M165.2 160h173.6l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0l95.1-96c12.5-12.5 12.5-32.75 0-45.25l-95.1-96c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L338.8 96H165.2C90.87 96 25.15 143.4 1.652 213.9C-3.941 230.7 5.121 248.8 21.9 254.3C25.25 255.5 28.66 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160z"]],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", ["M165.2 160H416c17.67 0 31.99-14.31 31.99-32c0-8.188-3.115-16.38-9.365-22.62l-95.1-96C336.4 3.125 328.2 0 320 0c-17.05 0-31.1 13.73-31.1 32c0 8.188 3.125 16.38 9.375 22.62L338.8 96H165.2c-130.1 0-165.2 119.2-165.2 128C-.0003 241.7 14.39 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160zM479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H96c-17.67 0-31.99 14.31-31.99 32c0 8.188 3.115 16.38 9.365 22.62l95.1 96C175.6 508.9 183.8 512 191.1 512c17.05 0 31.1-13.73 31.1-32c0-8.188-3.125-16.38-9.375-22.62L173.2 416h173.6c130.1 0 165.2-119.2 165.2-128C512 270.3 497.6 256 479.1 256z", "M264 320C277.3 320 288 309.3 288 296v-80c0-13.31-10.8-24.01-24.01-24.01c-2.546 0-5.111 .411-7.589 1.226l-24 8C222.3 204.6 215.1 213.9 215.1 223.1C215.1 237.3 226.8 248 240 248v48C240 309.3 250.8 320 264 320z"]],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", ["M630.6 342.6l-96 96C528.4 444.9 520.2 448 512 448s-16.38-3.125-22.63-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L480 338.8V176C480 167.2 472.8 160 464 160h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h128C508.1 96 544 131.9 544 176v162.8l41.38-41.38c12.5-12.5 32.75-12.5 45.25 0S643.1 330.1 630.6 342.6z", "M304 352h-128C167.2 352 160 344.8 160 336V173.3l41.38 41.38C207.6 220.9 215.8 224 224 224s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-96-96c-12.5-12.5-32.75-12.5-45.25 0l-96 96c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L96 173.3V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"]],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", ["M462.4 329.8C433.4 419.7 350.4 480 255.1 480C184.6 480 119.9 445.5 80 389.9V464c0 17.69-14.33 32-32 32s-32-14.31-32-32V320c0-17.69 14.33-32 32-32h128c17.67 0 32 14.31 32 32s-14.33 32-32 32H131.6C159.7 391.5 205.5 416 256 416c66.58 0 125.1-42.53 145.5-105.8c5.422-16.78 23.38-26.03 40.3-20.59C458.6 294.1 467.9 313 462.4 329.8z", "M496 48V192c0 17.69-14.33 32-32 32h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h44.38C352.3 120.5 306.5 96 256 96C189.4 96 130.9 138.5 110.5 201.8C105.1 218.6 87.08 227.9 70.19 222.4c-16.81-5.406-26.05-23.47-20.61-40.28C78.59 92.34 161.5 32 256 32c71.36 0 136.1 34.52 176 90.09V48c0-17.69 14.33-32 32-32S496 30.31 496 48z"]],
    "arrows-spin": [512, 512, [], "e4bb", ["M177.4 49.38C186.2 49.38 193.4 56.54 193.4 65.38V170.7C193.4 185 176.1 192.1 166.1 182.1L135.5 151.5C111.6 179.5 97.14 215.8 97.14 255.5C97.14 266.7 98.27 277.5 100.4 288H35.47C33.93 277.4 33.14 266.6 33.14 255.5C33.14 198.2 54.71 145.8 90.18 106.2L60.69 76.69C50.61 66.61 57.74 49.38 71.1 49.38H177.4zM348.2 332.2L377.2 361.2C402.1 333.1 417.1 296.1 417.1 255.5C417.1 244.7 416.1 234.2 414 224H478.9C480.4 234.3 481.1 244.8 481.1 255.5C481.1 313.7 458.9 366.7 422.6 406.6L453.6 437.6C463.7 447.7 456.5 464.9 442.3 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V343.5C320.9 329.3 338.1 322.1 348.2 332.2L348.2 332.2z", "M257.1 95.53C245.8 95.53 234.7 96.72 224 98.97V33.97C234.8 32.36 245.9 31.53 257.1 31.53C315.3 31.53 368.3 53.72 408.2 90.11L437.6 60.69C447.7 50.61 464.9 57.75 464.9 72V177.4C464.9 186.2 457.7 193.4 448.9 193.4H343.5C329.3 193.4 322.1 176.1 332.2 166.1L362.9 135.4C334.7 110.6 297.7 95.53 257.1 95.53L257.1 95.53zM182.1 348.2L153.1 377.1C181.1 401.1 217.4 415.5 257.1 415.5C267.7 415.5 278 414.5 288 412.6V477.4C277.9 478.8 267.6 479.5 257.1 479.5C199.8 479.5 147.4 457.1 107.8 422.5L76.69 453.6C66.61 463.7 49.37 456.5 49.37 442.3V336.9C49.37 328.1 56.54 320.9 65.37 320.9H170.7C184.1 320.9 192.1 338.1 182.1 348.2H182.1zM35.47 288H100.4z"]],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", ["M246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V384C352 336.6 326.3 295.3 288 273.1V109.3L246.6 150.6z", "M2.428 275.8C3.99 271.1 6.305 268.4 9.373 265.4L105.4 169.4C117.9 156.9 138.1 156.9 150.6 169.4C163.1 181.9 163.1 202.1 150.6 214.6L109.3 255.1H224C294.7 255.1 352 313.3 352 384C352 419.3 380.7 448 416 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H416C345.3 512 288 454.7 288 384C288 348.7 259.3 319.1 224 319.1H109.3L150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6C138.1 419.1 117.9 419.1 105.4 406.6L9.38 310.6C9.378 310.6 9.383 310.6 9.38 310.6C9.358 310.6 9.327 310.6 9.305 310.6C3.575 304.8 .0259 296.9 .0003 288.1C0 288 0 287.1 .0003 287.9C.0128 283.8 .8221 279.6 2.428 275.8L2.428 275.8zM2.428 275.8C.8755 279.5 .0131 283.6 .0006 287.9C.0006 287.9 .0006 287.1 .0006 287.1C.0006 288 .0006 288.1 .0006 288.1L2.428 275.8zM.0006 288.1L2.428 275.8z"]],
    "arrows-to-circle": [640, 512, [], "e4bd", ["", "M9.372 9.372C21.87-3.124 42.13-3.124 54.63 9.372L159.1 114.7V95.1C159.1 78.33 174.3 63.1 191.1 63.1C209.7 63.1 223.1 78.33 223.1 95.1V191.1C223.1 196.3 223.1 200.5 221.6 204.2C220 207.1 217.7 211.5 214.7 214.6L214.6 214.7C211.5 217.7 207.1 220 204.2 221.6C200.5 223.1 196.3 223.1 191.1 223.1H95.1C78.33 223.1 63.1 209.7 63.1 191.1C63.1 174.3 78.33 159.1 95.1 159.1H114.7L9.372 54.63C-3.124 42.13-3.124 21.87 9.372 9.372V9.372zM96 352C78.33 352 64 337.7 64 320C64 302.3 78.33 288 96 288H192H192.1C200.9 288 208.8 291.6 214.6 297.3L214.7 297.4C217.7 300.5 220 304 221.6 307.8C223.1 311.5 224 315.7 224 319.1V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V397.3L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L114.7 352L96 352zM448 64C465.7 64 480 78.33 480 96V114.7L585.4 9.373C597.9-3.124 618.1-3.124 630.6 9.373C643.1 21.87 643.1 42.13 630.6 54.63L525.3 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H448C439.2 224 431.2 220.4 425.4 214.7L425.3 214.6C422.3 211.5 419.1 207.1 418.4 204.2C416.9 200.5 416 196.4 416 192.1V191.1V96C416 78.33 430.3 64 448 64H448zM525.3 352L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L480 397.3V416C480 433.7 465.7 448 448 448C430.3 448 416 433.7 416 416V320C416 319.1 416 319.9 416 319.9C416 315.6 416.9 311.5 418.4 307.8C419.1 303.1 422.3 300.4 425.4 297.4C431.1 291.6 439.1 288 447.9 288C447.9 288 447.1 288 448 288H544C561.7 288 576 302.3 576 320C576 337.7 561.7 352 544 352L525.3 352zM384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256z"]],
    "arrows-to-dot": [512, 512, [], "e4be", ["", "M288 82.74L297.4 73.37C309.9 60.88 330.1 60.88 342.6 73.37C355.1 85.87 355.1 106.1 342.6 118.6L278.6 182.6C266.1 195.1 245.9 195.1 233.4 182.6L169.4 118.6C156.9 106.1 156.9 85.87 169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37L223.1 82.75V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32L288 82.74zM329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L429.3 223.1H480C497.7 223.1 512 238.3 512 255.1C512 273.7 497.7 287.1 480 287.1H429.3L438.6 297.4C451.1 309.9 451.1 330.1 438.6 342.6C426.1 355.1 405.9 355.1 393.4 342.6L329.4 278.6zM182.6 233.4C195.1 245.9 195.1 266.1 182.6 278.6L118.6 342.6C106.1 355.1 85.87 355.1 73.37 342.6C60.88 330.1 60.88 309.9 73.37 297.4L82.75 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H82.74L73.37 214.6C60.88 202.1 60.88 181.9 73.37 169.4C85.87 156.9 106.1 156.9 118.6 169.4L182.6 233.4zM169.4 438.6C156.9 426.1 156.9 405.9 169.4 393.4L233.4 329.4C245.9 316.9 266.1 316.9 278.6 329.4L342.6 393.4C355.1 405.9 355.1 426.1 342.6 438.6C330.1 451.1 309.9 451.1 297.4 438.6L288 429.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V429.3L214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6H169.4zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256z"]],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", ["M416 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 224 416 224zM160 256c0-17.67-14.33-32-32-32S96 238.3 96 256s14.33 32 32 32S160 273.7 160 256zM32 224C14.33 224 0 238.3 0 256s14.33 32 32 32s32-14.33 32-32S49.67 224 32 224zM224 288c17.67 0 32-14.33 32-32s-14.33-32-32-32S192 238.3 192 256S206.3 288 224 288zM320 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 224 320 224z", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.115-22.62 9.365l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"]],
    "arrows-to-eye": [640, 512, [], "e4bf", ["M112 78.06V40C112 26.75 122.7 15.1 136 15.1C149.3 15.1 160 26.75 160 40V136C160 149.3 149.3 160 136 160H40C26.75 160 15.1 149.3 15.1 136C15.1 122.7 26.75 112 40 112H78.06L15.03 48.97C5.657 39.6 5.657 24.4 15.03 15.03C24.4 5.657 39.6 5.657 48.97 15.03L112 78.06zM591 15.03C600.4 5.657 615.6 5.657 624.1 15.03C634.3 24.4 634.3 39.6 624.1 48.97L561.9 112H600C613.3 112 624 122.7 624 136C624 149.3 613.3 160 600 160H504C490.7 160 480 149.3 480 136V40C480 26.75 490.7 15.1 504 15.1C517.3 15.1 528 26.75 528 40V78.06L591 15.03zM15.03 463L78.06 400H40C26.75 400 15.1 389.3 15.1 376C15.1 362.7 26.75 352 40 352H136C149.3 352 160 362.7 160 376V472C160 485.3 149.3 496 136 496C122.7 496 112 485.3 112 472V433.9L48.97 496.1C39.6 506.3 24.4 506.3 15.03 496.1C5.657 487.6 5.657 472.4 15.03 463V463zM528 433.9V472C528 485.3 517.3 496 504 496C490.7 496 480 485.3 480 472V376C480 362.7 490.7 352 504 352H600C613.3 352 624 362.7 624 376C624 389.3 613.3 400 600 400H561.9L624.1 463C634.3 472.4 634.3 487.6 624.1 496.1C615.6 506.3 600.4 506.3 591 496.1L528 433.9z", "M133.5 243.9C158.6 193.6 222.7 112 320 112C417.3 112 481.4 193.6 506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 320 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9V243.9zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320z"]],
    "arrows-to-line": [448, 512, [], "e0a7", ["M32 287.1h384c17.69 0 32-14.3 32-31.99s-14.31-32.01-32-32.01H32c-17.69 0-32 14.33-32 32.01S14.31 287.1 32 287.1z", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.116-22.62 9.366l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"]],
    "arrows-turn-right": [448, 512, [], "e4c0", ["M342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L201.4 310.6C188.9 298.1 188.9 277.9 201.4 265.4C213.9 252.9 234.1 252.9 246.6 265.4L342.6 361.4z", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6C284.9 234.1 284.9 213.9 297.4 201.4L338.7 159.1H128C92.65 159.1 64 188.7 64 223.1V255.1C64 273.7 49.67 287.1 32 287.1C14.33 287.1 0 273.7 0 255.1V223.1C0 153.3 57.31 95.1 128 95.1H338.7L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4z"]],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", ["M342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L262.6 486.6C250.1 499.1 229.9 499.1 217.4 486.6C204.9 474.1 204.9 453.9 217.4 441.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L217.4 326.6C204.9 314.1 204.9 293.9 217.4 281.4C229.9 268.9 250.1 268.9 262.6 281.4L342.6 361.4zM384 384C384 348.7 412.7 319.1 448 319.1C483.3 319.1 512 348.7 512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384z", "M249.4 25.37C261.9 12.88 282.1 12.88 294.6 25.37C307.1 37.87 307.1 58.13 294.6 70.63L269.3 95.1H416C469 95.1 512 138.1 512 191.1V223.1C512 241.7 497.7 255.1 480 255.1C462.3 255.1 448 241.7 448 223.1V191.1C448 174.3 433.7 159.1 416 159.1H269.3L294.6 185.4C307.1 197.9 307.1 218.1 294.6 230.6C282.1 243.1 261.9 243.1 249.4 230.6L169.4 150.6C156.9 138.1 156.9 117.9 169.4 105.4L249.4 25.37zM128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128z"]],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", ["M54.63 361.4L96 402.8V256h64v146.8l41.38-41.38c12.5-12.5 32.75-12.5 45.25 0C252.9 367.6 256 375.8 256 384s-3.125 16.38-9.375 22.62l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25S42.13 348.9 54.63 361.4z", "M9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96C252.9 111.6 256 119.8 256 128s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0L160 109.3V256H96V109.3L54.63 150.6C42.13 163.1 21.88 163.1 9.375 150.6z"]],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", ["M184 136c8.188 0 16.38-3.125 22.62-9.375L224 109.3V224h64V109.3l17.38 17.38C311.6 132.9 319.8 136 328 136c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62l-72-72C272.4 3.125 264.2 0 256 0S239.6 3.125 233.4 9.375l-72 72C155.1 87.63 152 95.81 152 104C152 121.1 165.7 136 184 136zM328 376c-8.188 0-16.38 3.125-22.62 9.375L288 402.8V288H224v114.8l-17.38-17.38C200.4 379.1 192.2 376 184 376c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.38 9.375 22.62l72 72C239.6 508.9 247.8 512 256 512s16.38-3.125 22.62-9.375l72-72C356.9 424.4 360 416.2 360 408C360 390.9 346.3 376 328 376z", "M512 255.1c0 8.188-3.125 16.41-9.375 22.66l-72 72C424.4 356.9 416.2 360 408 360c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62L402.8 288h-293.5l17.38 17.38C132.9 311.6 136 319.8 136 328c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375l-72-72C3.125 272.4 0 264.2 0 255.1s3.125-16.34 9.375-22.59l72-72C87.63 155.1 95.81 152 104 152c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62L109.3 224h293.5l-17.38-17.38C379.1 200.4 376 192.2 376 184c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375l72 72C508.9 239.6 512 247.8 512 255.1z"]],
    "arrows-up-to-line": [576, 512, [], "e4c2", ["M32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32z", "M54.63 278.6C42.13 291.1 21.87 291.1 9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6C234.1 291.1 213.9 291.1 201.4 278.6L160 237.3V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V237.3L54.63 278.6zM374.6 278.6C362.1 291.1 341.9 291.1 329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L425.4 137.4C437.9 124.9 458.1 124.9 470.6 137.4L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6C554.1 291.1 533.9 291.1 521.4 278.6L480 237.3V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V237.3L374.6 278.6z"]],
    "asterisk": [448, 512, [10033, 61545], "2a", ["", "M417.1 368c-5.937 10.27-16.69 16-27.75 16c-5.422 0-10.92-1.375-15.97-4.281L256 311.4V448c0 17.67-14.33 32-31.1 32S192 465.7 192 448V311.4l-118.3 68.29C68.67 382.6 63.17 384 57.75 384c-11.06 0-21.81-5.734-27.75-16c-8.828-15.31-3.594-34.88 11.72-43.72L159.1 256L41.72 187.7C26.41 178.9 21.17 159.3 29.1 144C36.63 132.5 49.26 126.7 61.65 128.2C65.78 128.7 69.88 130.1 73.72 132.3L192 200.6V64c0-17.67 14.33-32 32-32S256 46.33 256 64v136.6l118.3-68.29c3.838-2.213 7.939-3.539 12.07-4.051C398.7 126.7 411.4 132.5 417.1 144c8.828 15.31 3.594 34.88-11.72 43.72L288 256l118.3 68.28C421.6 333.1 426.8 352.7 417.1 368z"]],
    "at": [512, 512, [61946], "40", ["M495.1 256.3v20.96c.0001 46.74-29.27 90.22-74.22 103C408.8 383.9 396.1 384.1 384 384v-65.31c2.672 .5651 5.164 1.621 7.1 1.621c22.06 0 40-17.96 40-40.05l0-16.16c.0001-91.97-67.02-174.3-158.6-183.2C168.6 70.76 79.1 153.4 79.1 256.3c0 87.88 64.61 160.9 148.8 174.1c15.62 2.441 27.24 15.5 27.24 31.31c-.0001 19.52-17.42 35.04-36.71 32.07c-130.2-20.08-226.1-145.2-198.5-285.9c18.34-93.45 93.57-168.8 187-187.1C361.2-9.332 495.1 107.1 495.1 256.3z", "M384 318.7c-18.1-3.825-32.01-19.18-32.01-38.43v-120.1c0-8.846-7.171-16.02-16.01-16.02l-31.98 .0036c-7.299 0-13.2 4.992-15.12 11.68C274.1 148.6 257.6 144.1 240 144.1c-61.86 0-112 50.2-112 112.1s50.13 112.1 111.1 112.1c26.44 0 50.43-9.544 69.59-24.88C327.1 366.3 353.7 381.7 384 384V318.7zM239.1 304.3c-26.47 0-48-21.56-48-48.05s21.53-48.05 48-48.05s48 21.56 48 48.05S266.5 304.3 239.1 304.3z"]],
    "atom": [512, 512, [9883], "f5d2", ["M470.2 128c-10.88-19.5-40.51-50.75-116.3-41.88C332.4 34.88 299.6 0 256 0S179.6 34.88 158.1 86.12C82.34 77.38 52.71 108.5 41.83 128c-16.38 29.38-14.91 73.12 25.23 128c-40.13 54.88-41.61 98.63-25.23 128c29.13 52.38 101.6 43.63 116.3 41.88C179.6 477.1 212.4 512 256 512s76.39-34.88 97.9-86.13C368.5 427.6 441 436.4 470.2 384c16.38-29.38 14.91-73.13-25.23-128C485.1 201.1 486.5 157.4 470.2 128zM95.34 352c-4.001-7.25-.1251-24.75 15-48.25c6.876 6.5 14.13 12.87 21.88 19.12c1.625 13.75 4.001 27.13 6.751 40.13C114.3 363.9 99.09 358.6 95.34 352zM132.2 189.1C124.5 195.4 117.2 201.8 110.3 208.2C95.22 184.8 91.34 167.2 95.34 160c3.376-6.125 16.38-11.5 37.88-11.5c1.75 0 3.876 .375 5.751 .375C136.1 162.2 133.8 175.6 132.2 189.1zM256 64c9.502 0 22.25 13.5 33.88 37.25C278.6 105 267.4 109.3 256 114.1C244.6 109.3 233.4 105 222.1 101.2C233.7 77.5 246.5 64 256 64zM256 448c-9.502 0-22.25-13.5-33.88-37.25C233.4 407 244.6 402.7 256 397.9c11.38 4.875 22.63 9.135 33.88 12.89C278.3 434.5 265.5 448 256 448zM256 336c-44.13 0-80.02-35.88-80.02-80S211.9 176 256 176s80.02 35.88 80.02 80S300.1 336 256 336zM416.7 352c-3.626 6.625-19 11.88-43.63 11c2.751-12.1 5.126-26.38 6.751-40.13c7.752-6.25 15-12.63 21.88-19.12C416.8 327.2 420.7 344.8 416.7 352zM401.7 208.2c-6.876-6.5-14.13-12.87-21.88-19.12c-1.625-13.5-3.876-26.88-6.751-40.25c1.875 0 4.001-.375 5.751-.375c21.5 0 34.51 5.375 37.88 11.5C420.7 167.2 416.8 184.8 401.7 208.2z", "M256 224C238.4 224 223.1 238.4 223.1 256S238.4 288 256 288c17.63 0 32-14.38 32-32S273.6 224 256 224z"]],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", ["M423.1 56.87C379.1 12.86 300.3 31.62 224 79.12C147.6 31.62 68.87 12.86 24.87 56.87C-19.14 100.9-.3849 179.6 47.12 256c-47.5 76.38-66.25 155.1-22.25 199.1C66.12 496.4 140.4 484.5 224 432.5c83.25 51.88 157.8 64 199.1 22.63c44-44 25.25-122.8-22.25-199.1C448.4 179.6 467.1 100.9 423.1 56.87zM70.12 102.1c9.316-9.316 39.67-12.54 97.26 17.88c-29 23.75-55.5 50.25-79.13 79.13C63.37 151.9 57.74 114.5 70.12 102.1zM70.12 409.9c-12.38-12.38-6.751-49.75 18.13-97.01c28.75 34.88 53 57.38 79.13 78.88C119.1 416.6 82.49 422.3 70.12 409.9zM224 355c-44.88-34.25-73-65-98.88-99.01C153.4 218.5 186.6 184.1 224 156.6c37.38 28.38 70.63 61.88 99 99.38C288.8 300.9 258 329 224 355zM377.9 409.9c-12.38 12.38-49.88 6.75-97.26-18.13c26-21.5 50.25-43.88 79.13-78.88C384.6 360.1 390.3 397.5 377.9 409.9zM359.8 199.1c-23.62-28.88-50.13-55.38-79.13-79.13c57.33-30.29 87.89-27.24 97.26-17.88C390.3 114.5 384.6 151.9 359.8 199.1z", "M255.1 255.1c0 17.63-14.38 32-32 32s-32-14.37-32-32c0-17.62 14.38-32.03 32-32.03S255.1 238.3 255.1 255.1z"]],
    "audio-description": [576, 512, [], "f29e", ["M170.8 280H213.2L192 237.7L170.8 280zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM274.7 349.5C271.3 351.2 267.6 352 264 352c-8.812 0-17.28-4.859-21.5-13.27L233.2 320H150.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l72-144c8.125-16.25 34.81-16.25 42.94 0l72 144C291.4 329.1 286.6 343.5 274.7 349.5zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z", "M213.5 173.3c-8.125-16.25-34.81-16.25-42.94 0l-72 144c-5.938 11.86-1.125 26.27 10.75 32.2c11.88 5.969 26.28 1.125 32.19-10.73L150.8 320H233.2l9.367 18.73C246.8 347.1 255.2 352 264 352c3.594 0 7.25-.8125 10.69-2.531c11.88-5.938 16.69-20.34 10.75-32.2L213.5 173.3zM170.8 280L192 237.7L213.2 280H170.8zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"]],
    "audio-description-slash": [640, 512, [], "e0a8", ["M306.7 349.5c-3.438 1.719-7.094 2.531-10.69 2.531c-8.812 0-17.28-4.859-21.5-13.27l-9.367-18.73H182.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l42.49-84.97L32 121.8l0 294.2c0 35.35 28.65 64 64 64l393.1 .0002l-174.6-136.8C312.4 345.7 309.8 347.9 306.7 349.5zM202.8 280h31.05l-22.3-17.48L202.8 280zM544 32L96 32c-6.645 0-12.96 1.176-18.96 3.073l258.1 202.1V184c0-13.25 10.75-24 24-24h56c52.94 0 96 43.06 96 96c0 35.29-19.35 65.85-47.78 82.53l135.9 106.5c4.621-8.783 7.922-18.37 7.922-29.02L608 96C608 60.65 579.3 32 544 32zM464 256c0-26.47-21.53-48-48-48h-32v67.66l35.68 27.97C444.4 301.7 464 281.2 464 256z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 .0003 24.03 .0003c-7.125 0-14.19 3.158-18.91 9.189c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "austral-sign": [448, 512, [], "e0a9", ["M96 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H122.7L96 288zM56 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H82.67L56 384zM125.3 384L152 320H296L322.7 384H125.3zM365.3 320H416C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384H392L365.3 320zM325.3 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H352L325.3 224zM192 224H256L282.7 288H165.3L192 224z", "M224 32C236.9 32 248.6 39.77 253.5 51.69L413.5 435.7C420.3 452 412.6 470.7 396.3 477.5C379.1 484.3 361.3 476.6 354.5 460.3L224 147.2L93.54 460.3C86.74 476.6 68.01 484.3 51.69 477.5C35.38 470.7 27.66 452 34.46 435.7L194.5 51.69C199.4 39.77 211.1 32 224 32H224z"]],
    "avocado": [512, 512, [], "e0aa", ["M371.5-.0006c-39.21 0-78.72 15.74-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9c-35.27 9.666-150.6 61.92-150.6 197.8c0 113.4 92.35 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.86 42.56-130 115.1-203.7l4.357-4.371c27.94-28.03 41.91-64.77 41.91-101.5C512 70.27 455.6-.0006 371.5-.0006zM200.4 383.1c-54.51 0-72.49-43.58-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3c54.52 0 72.5 43.59 72.5 72.66C319.5 325.4 260.9 383.1 200.4 383.1z", "M319.5 264.7c0 60.74-58.63 119.3-119.1 119.3c-54.51 0-72.49-43.59-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3C301.5 191.1 319.5 235.6 319.5 264.7z"]],
    "award": [384, 512, [], "f559", ["M95.96 358.3C81.98 350.2 78.43 328.2 67.08 316.9c-3.762-3.764-8.764-6.619-13.97-9.332l-51.4 125.7c-3.25 8.188-1.781 17.48 3.875 24.25c5.656 6.75 14.53 9.898 23.12 8.148l45.19-9.035l21.43 42.27C99.46 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.375 17.65-6.082 21.24-14.88l47.06-114.5c-13.95-3.367-26.44-16.4-39.76-19.96C130.5 358.4 109.7 366.3 95.96 358.3zM382.3 433.2l-51.39-125.6c-5.215 2.717-10.23 5.574-14 9.344c-11.34 11.35-14.89 33.3-28.88 41.39c-13.79 7.977-34.53 .1504-50.28 4.359c-13.31 3.557-25.8 16.58-39.74 19.95l47.06 114.5c3.594 8.797 11.74 14.5 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.23-4.973 21.35-13.14l21.43-42.28l45.19 9.035c8.594 1.75 17.47-1.398 23.12-8.148C384.1 450.7 385.5 441.4 382.3 433.2z", "M383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-13.79-7.979-34.54-.1637-50.29-4.375C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.8 17.73 95.98 25.7C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c13.79 7.979 34.53 .1582 50.28 4.369C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34c15.75-4.209 36.49 3.617 50.28-4.359c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192zM192 272C147.8 272 112 236.2 112 192c0-44.27 35.81-80 80-80s80 35.73 80 80C272 236.2 236.2 272 192 272z"]],
    "award-simple": [384, 512, [], "e0ab", ["M278.4 328.9l34.9 163.8c2.727 13.09-10.86 23.55-22.82 17.57L192 461.1l-98.44 49.22c-11.96 5.98-25.54-4.48-22.82-17.57l34.9-163.8c12.61 5.949 30.55-.207 44.41 3.498C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56C247.8 328.7 265.8 334.9 278.4 328.9z", "M368 176c0-15.13-15.83-27.97-19.56-41.92c-3.855-14.43 3.316-33.45-3.996-46.09c-7.412-12.81-27.54-16.07-37.93-26.47c-10.41-10.4-13.65-30.53-26.47-37.95c-12.64-7.314-31.66-.1465-46.09-4.006C219.1 15.83 207.1 0 192 0C176.9 0 164 15.83 150.1 19.56C135.6 23.42 116.6 16.24 103.1 23.55C91.17 30.97 87.92 51.09 77.52 61.49c-10.4 10.4-30.53 13.65-37.95 26.47C32.26 100.6 39.43 119.6 35.57 134C31.83 148 16 160.9 16 176c0 15.13 15.83 27.97 19.56 41.92C39.42 232.4 32.24 251.4 39.55 264c7.418 12.82 27.54 16.07 37.94 26.47c10.41 10.4 13.65 30.53 26.47 37.95c12.64 7.312 31.66 .1445 46.09 4.004C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56c14.43-3.857 33.45 3.316 46.09-3.996c12.82-7.414 16.07-27.54 26.47-37.94c10.41-10.4 30.53-13.65 37.95-26.47c7.316-12.64 .1465-31.66 4.004-46.09C352.2 203.1 368 191.1 368 176zM192 256C147.8 256 112 220.2 112 176C112 131.7 147.8 96 192 96s80 35.73 80 80C272 220.2 236.2 256 192 256z"]],
    "axe": [640, 512, [129683], "f6b2", ["M9.373 434.7c-12.5 12.5-12.5 32.76 0 45.26l22.63 22.63c12.5 12.5 32.76 12.5 45.26-.0012l253.8-253.8L263.2 180.9L9.373 434.7zM502.6 77.25c12.5-12.5 12.5-32.76-.0001-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26 0l-29.82 29.82l67.88 67.88L502.6 77.25zM576 160v32c0 88.22-71.78 160-160 160h-32v63.99l31.1-.0032C539.5 416 640 315.5 640 192V160L576 160z", "M384 352v63.99l-.0027-114.3L233.4 151.1C220.9 138.6 220.9 118.4 233.4 105.9l96.5-96.49c6.25-6.25 14.44-9.375 22.63-9.375s16.38 3.125 22.63 9.375l150.6 150.6L576 160v32c0 88.22-71.78 160-160 160H384z"]],
    "axe-battle": [512, 512, [], "f6b3", ["M101 13.61c-3.125-13-17.66-18.13-26.78-8.876C28.63 50.86 0 117.6 0 192s28.62 141.1 74.25 187.3c9.125 9.252 23.66 4.126 26.78-8.876c5.404-22.65 15.54-42.94 29.19-59.58C152.9 283.2 188.3 269.1 224 269.1V114.9c-35.74 0-71.12-14.03-93.78-41.67C116.6 56.55 106.4 36.25 101 13.61zM512 160.9c-6.854-61.57-33.46-116.3-72.63-155.8c-9.139-9.209-24.54-4.087-27.58 8.524c-6.09 25.24-18.08 47.59-34.33 65.18c-22.41 24.26-55.3 36.07-88.33 36.07H288v154.3h1.127c33.03 0 65.92 11.81 88.33 36.07c16.25 17.59 28.24 39.93 34.33 65.18c3.043 12.61 18.44 17.73 27.58 8.523C478.5 339.4 505.1 284.7 512 223.1L449.3 192L512 160.9z", "M288 64v431.1C288 504.8 280.8 512 272 512h-32C231.2 512 224 504.8 224 496V64c0-17.67 14.33-32 32-32S288 46.33 288 64z"]],
    "b": [320, 512, [98], "42", ["M257.1 242.4C276.1 220.1 288 191.6 288 160c0-70.58-57.42-128-128-128H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l160-.0049c70.58 0 128-57.42 128-128C320 305.3 294.6 264.8 257.1 242.4zM64 96.01h96c35.3 0 64 28.7 64 64s-28.7 64-64 64H64V96.01zM192 416H64v-128h128c35.3 0 64 28.7 64 64S227.3 416 192 416z", ""]],
    "baby": [448, 512, [], "f77c", ["M224 159.1c44.25 0 79.99-35.75 79.99-79.1S268.3 0 224 0S144 35.75 144 79.1S179.8 159.1 224 159.1zM156.8 411.8l31.22-31.22l-60.04-53.09l-52.29 52.28C61.63 393.8 60.06 416.1 72 432l48 64c7.846 10.48 19.88 16 32.03 16c8.344 0 16.78-2.609 23.97-8c17.69-13.25 21.25-38.33 8-56L156.8 411.8zM408.7 145c-12.75-18.12-37.63-22.38-55.76-9.75l-40.63 28.5c-52.63 37-124.1 37-176.8 0l-40.63-28.5C76.84 122.6 51.97 127 39.22 145C26.59 163.1 30.97 188 48.97 200.8l40.63 28.5C101.7 237.7 114.7 244.3 128 250.2L128 288h192l.0002-37.71c13.25-5.867 26.22-12.48 38.34-21.04l40.63-28.5C417.1 188 421.4 163.1 408.7 145zM320 327.4l-60.04 53.09l31.22 31.22L264 448c-13.25 17.67-9.687 42.75 8 56c7.189 5.391 15.63 8 23.97 8c12.16 0 24.19-5.516 32.03-16l48-64c11.94-15.92 10.38-38.2-3.719-52.28L320 327.4z", "M320 288v39.44l-60.04 53.09H188l-60.04-53.09V288H320z"]],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", ["M256 192H.1405C2.742 117.9 41.34 52.95 98.99 14.1C112.2 5.175 129.8 9.784 138.9 22.92L256 192zM32 464C32 437.5 53.49 416 80 416C106.5 416 128 437.5 128 464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464z", "M480 96C497.7 96 512 110.3 512 128C512 145.7 497.7 160 480 160H448V224C448 249.2 442.2 274.2 430.9 297.5C419.7 320.8 403.2 341.9 382.4 359.8C361.6 377.6 336.9 391.7 309.7 401.4C282.5 411 253.4 416 223.1 416C194.6 416 165.5 411 138.3 401.4C111.1 391.7 86.41 377.6 65.61 359.8C44.81 341.9 28.31 320.8 17.05 297.5C5.794 274.2 0 249.2 0 224H384V160C384 124.7 412.7 96 448 96H480z"]],
    "backpack": [448, 512, [127890], "f5d4", ["M96 384v128h256v-128H96zM176 56c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V80H320V56C320 25.12 294.9 0 264 0h-80C153.1 0 128 25.12 128 56V80h48V56z", "M320 80H128c-70.75 0-128 57.25-128 128V448c0 35.38 28.62 64 64 64h32v-192c0-17.62 14.38-32 32-32h192c17.62 0 32 14.38 32 32v192h32c35.38 0 64-28.62 64-64V208C448 137.3 390.8 80 320 80zM320 200c0 4.375-3.625 8-8 8h-176C131.6 208 128 204.4 128 200v-16C128 179.6 131.6 176 136 176h176C316.4 176 320 179.6 320 184V200z"]],
    "backward": [512, 512, [9194], "f04a", ["M459.5 71.41l-171.5 142.9v83.45l171.5 142.9C480.1 457.7 512 443.3 512 415.1V96.03C512 68.66 480.1 54.28 459.5 71.41z", "M255.1 96.03v319.9c0 27.37-31.88 41.74-52.51 24.62L11.44 280.6c-15.25-12.87-15.25-36.37 0-49.24l192-159.1C224.1 54.28 255.1 68.66 255.1 96.03z"]],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", ["M0 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C49.67 64.03 64 78.36 64 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C14.33 447.1 0 433.6 0 415.1z", "M64 227.9l171.5-156.5C256.1 54.28 288 68.66 288 96.03v131.9l171.5-156.5C480.1 54.28 512 68.66 512 96.03v319.9c0 27.37-31.88 41.74-52.5 24.62L288 285.2v130.7c0 27.37-31.88 41.74-52.5 24.62L64 285.2V227.9z"]],
    "backward-step": [320, 512, ["step-backward"], "f048", ["M31.1 64.03c-17.67 0-31.1 14.33-31.1 32v319.9c0 17.67 14.33 32 32 32C49.67 447.1 64 433.6 64 415.1V96.03C64 78.36 49.67 64.03 31.1 64.03z", "M267.5 71.41l-192 159.1C67.82 237.8 64 246.9 64 256c0 9.094 3.82 18.18 11.44 24.62l192 159.1c20.63 17.12 52.51 2.75 52.51-24.62v-319.9C319.1 68.66 288.1 54.28 267.5 71.41z"]],
    "bacon": [576, 512, [129363], "f7e5", ["M564.7 99.68l-21.4-23.87l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l37.43 41.74C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.486 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68zM261.3 266.5l21.92-40.08c31.31-57.27 77.33-101.2 133-127l104.8-48.56l-34.08-38.01c-11.28-12.6-28.84-16.33-43.69-9.518l-92.75 42.99c-51.13 23.69-93.34 64.03-122.1 116.6L207.7 200.7c-27.11 49.56-66.8 87.5-114.8 109.8l-68.88 31.94c-11.86 5.486-20.28 16.52-23.09 30.23c-2.938 14.35 .9062 29.18 10.31 39.65l18.06 20.15l113.4-52.55C192.3 356.1 233.2 317.8 261.3 266.5z", "M543.3 75.81l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l-22.34-24.91l113.4-52.55c49.48-22.95 90.45-62.16 118.5-113.4l21.92-40.08c31.31-57.27 77.33-101.2 133-127l104.8-48.56l23.03 25.68L543.3 75.81z"]],
    "bacteria": [640, 512, [], "e059", ["M416 352c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32C448 366.3 433.7 352 416 352zM361.1 65.26l-11.34 3.357C341.5 53.13 328.8 40.76 313.4 33.05l2.838-10.85c2.482-9.477-3.223-19.16-12.74-21.62C293.9-1.901 284.2 3.801 281.8 13.27l-2.82 10.78C273.4 23.86 267.8 24.2 262.2 25.15C250.8 27.04 239.1 30.22 229.1 33.39L225.7 23.93c-3.305-9.225-13.5-14.11-22.75-10.76c-9.266 3.279-14.1 13.41-10.81 22.65l3.498 9.793C180.2 52.27 165.6 60.07 151.7 69.19L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.457 8.611c-12.66 10.78-24.33 22.54-34.96 35.33L79.52 119.5C71.59 113.7 60.44 115.4 54.63 123.4C48.82 131.3 50.56 142.4 58.51 148.1l8.885 6.465C58.5 168.5 50.86 183.1 44.41 198.5L33.93 194.9c-9.334-3.186-19.44 1.721-22.64 10.99C8.086 215.2 13.04 225.3 22.34 228.4l10.33 3.541C29.88 241.9 26.88 251.8 25.15 262.2C24.07 268.6 23.94 274.1 24.33 281.2L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7C3.041 314.4 10.13 319.4 17.8 319.4c1.682 0 3.387-.2303 5.08-.7382l11.27-3.33c8.086 15.15 20.68 27.55 36.39 35.43l-2.887 11.06c-2.471 9.479 3.246 19.15 12.77 21.62c1.496 .3809 3.004 .5666 4.488 .5666c7.92 0 15.14-5.287 17.23-13.28l2.863-10.97c1.027 .0371 2.074 .2577 3.098 .2577c16.64 0 32.32-5.174 45.66-13.89l8.59 8.809c3.49 3.578 8.129 5.379 12.78 5.379c4.477 0 8.942-1.662 12.41-5.01c7.062-6.822 7.225-18.04 .3711-25.07l-9.14-9.373C184.6 311.6 188.9 301.3 190.9 289.8c.8887-5.332 2.244-10.5 3.801-15.56L203.8 278.5c2.447 1.143 5.022 1.684 7.563 1.684c6.689 0 13.09-3.762 16.13-10.19C231.6 261.1 227.8 250.6 218.9 246.4L210.1 242.3c.668-.9883 1.197-2.078 1.894-3.047c2.4-3.334 5.152-6.354 7.877-9.408c3.623-4.074 7.504-7.857 11.64-11.41c3.213-2.727 6.441-5.428 9.943-7.814c1.119-.7695 2.323-1.419 3.469-2.154l3.922 8.856c2.945 6.625 9.474 10.57 16.32 10.57c2.4 0 4.836-.4844 7.178-1.502c9-3.959 13.08-14.42 9.115-23.39L277.4 193.9c4.078-1.135 8.14-2.324 12.38-3.031c12.6-2.098 23.91-7.094 33.76-13.9l9.996 9.012c3.408 3.082 7.687 4.593 11.95 4.593c4.848 0 9.684-1.962 13.2-5.829c6.609-7.26 6.053-18.47-1.24-25.04l-9.713-8.756c8.49-14.18 12.74-30.77 11.64-48.18l11.86-3.511c9.428-2.793 14.8-12.66 11.99-22.05C380.5 67.81 370.6 62.49 361.1 65.26zM128 256C110.3 256 96 241.7 96 223.1c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C160 241.7 145.7 256 128 256zM208 160c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C224 152.8 216.8 160 208 160z", "M615.7 230.8l11.58-3.425c9.439-2.781 14.81-12.65 12-22.04c-2.297-7.711-9.383-12.69-17.06-12.69c-1.682 0-3.387 .2313-5.08 .7391l-11.27 3.33c-8.088-15.15-20.68-27.55-36.4-35.43l2.888-11.06c2.469-9.477-3.248-19.15-12.77-21.62c-1.496-.3809-3.004-.5658-4.488-.5658c-7.92 0-15.14 5.288-17.23 13.28l-2.865 10.97c-1.027-.0371-2.073-.2574-3.096-.2574c-16.64 0-32.32 5.173-45.66 13.89L477.6 157.1c-3.49-3.578-8.129-5.38-12.78-5.38c-4.477 0-8.942 1.663-12.41 5.011c-7.062 6.822-7.225 18.04-.3711 25.07l9.14 9.373c-5.854 9.221-10.17 19.6-12.08 31.05c-.8887 5.33-2.244 10.49-3.801 15.56L436.2 233.5c-2.445-1.143-5.022-1.685-7.562-1.685c-6.691 0-13.09 3.763-16.13 10.19c-4.186 8.854-.3599 19.42 8.546 23.58l8.797 4.115c-.668 .9883-1.195 2.078-1.892 3.045c-2.416 3.355-5.186 6.4-7.932 9.473c-3.602 4.047-7.463 7.805-11.58 11.33c-3.219 2.73-6.453 5.438-9.959 7.828c-1.119 .7715-2.321 1.418-3.467 2.152l-3.922-8.855c-2.945-6.627-9.474-10.57-16.32-10.57c-2.4 0-4.836 .4849-7.178 1.501c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-4.078 1.135-8.14 2.324-12.38 3.031c-12.6 2.098-23.91 7.092-33.76 13.9l-9.996-9.012c-3.41-3.082-7.689-4.594-11.95-4.594c-4.848 0-9.684 1.962-13.2 5.829c-6.611 7.262-6.055 18.47 1.24 25.04l9.713 8.756c-8.49 14.18-12.74 30.77-11.64 48.17l-11.86 3.512c-9.428 2.793-14.8 12.66-11.99 22.05c2.783 9.385 12.69 14.71 22.15 11.94l11.34-3.359c8.287 15.49 20.99 27.86 36.38 35.57l-2.839 10.85c-2.48 9.479 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l2.82-10.78c5.508 .1875 11.11-.1523 16.75-1.102c11.37-1.893 22.23-5.074 33.1-8.24l3.379 9.455c3.305 9.223 13.5 14.11 22.75 10.76c9.266-3.277 14.1-13.41 10.81-22.65l-3.498-9.792c15.41-6.654 30.08-14.46 43.95-23.57l6.321 8.429c5.891 7.838 17.05 9.443 24.93 3.602c7.885-5.863 9.496-16.97 3.617-24.82l-6.457-8.611c12.66-10.78 24.33-22.54 34.96-35.33l8.816 6.413c7.932 5.795 19.08 4.076 24.89-3.855c5.811-7.906 4.07-19-3.874-24.77l-8.885-6.465c8.893-13.88 16.54-28.52 22.99-43.91l10.47 3.59c9.334 3.188 19.44-1.719 22.64-10.99c3.213-9.258-1.739-19.35-11.04-22.53l-10.33-3.541c2.791-9.961 5.793-19.84 7.521-30.21C615.9 243.4 616.1 237 615.7 230.8zM416 416c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C448 401.7 433.7 416 416 416zM128 191.1c-17.67 0-32 14.33-32 32C96 241.7 110.3 256 128 256c17.67 0 32-14.33 32-32C160 206.3 145.7 191.1 128 191.1z"]],
    "bacterium": [576, 512, [], "e05a", ["M543 102.9c-3.711-12.51-16.92-19.61-29.53-15.92l-15.12 4.48c-11.05-20.65-27.98-37.14-48.5-47.43l3.783-14.46c3.309-12.64-4.299-25.55-16.99-28.83c-12.76-3.309-25.67 4.295-28.96 16.92l-3.76 14.37c-7.344-.25-14.81 .2031-22.33 1.469C366.5 36.05 351.7 39.73 337.3 43.94l-4.301-12.03c-4.406-12.3-17.1-18.81-30.34-14.34c-12.35 4.371-18.8 17.88-14.41 30.2l4.303 12.04c-20.6 8.889-40.16 19.64-58.69 31.83L225.9 81.01C217.1 70.56 203.1 68.42 192.6 76.21C182.1 84.03 179.9 98.83 187.8 109.3l7.975 10.63C178.8 134.3 163.3 150.3 149.1 167.4L138 159.3C127.5 151.6 112.6 153.9 104.8 164.5c-7.748 10.54-5.428 25.33 5.164 33.03l11.09 8.066C109.2 224.1 98.79 243.7 90.18 264.3l-12.93-4.431c-12.45-4.248-25.92 2.293-30.18 14.65C42.78 286.9 49.38 300.3 61.78 304.6l13.05 4.474c-3.717 13.27-6.978 26.71-9.28 40.53c-1.432 8.592-1.63 17.07-1.112 25.41l-15.45 4.566c-12.59 3.709-19.74 16.87-16 29.38c3.062 10.28 12.51 16.91 22.75 16.91c2.242 0 4.514-.3066 6.771-.9844l15.02-4.441c10.78 20.21 27.57 36.73 48.53 47.24l-3.852 14.75c-3.293 12.63 4.33 25.53 17.02 28.83C141.2 511.8 143.2 512 145.2 512c10.56 0 20.19-7.049 22.98-17.7l3.816-14.63c1.369 .0508 2.868 .3418 4.231 .3418c22.18 0 42.99-6.896 60.78-18.51l11.45 11.74c4.654 4.771 10.84 7.172 17.04 7.172c5.969 0 11.92-2.217 16.54-6.68c9.416-9.096 9.633-24.06 .4941-33.43l-12.19-12.5c7.805-12.29 13.56-26.13 16.11-41.4c1.186-7.107 3.082-13.95 5.158-20.7l12.04 5.635c3.264 1.523 6.695 2.246 10.08 2.246c8.922 0 17.46-5.018 21.51-13.59c5.582-11.8 .4785-25.89-11.4-31.45l-11.73-5.486c.8945-1.318 1.592-2.773 2.523-4.062c3.186-4.424 6.844-8.434 10.46-12.49c4.852-5.459 10.05-10.53 15.6-15.28c4.275-3.627 8.572-7.221 13.23-10.4c1.494-1.031 3.1-1.896 4.629-2.877l5.23 11.81c3.928 8.834 12.63 14.1 21.75 14.1c3.201 0 6.449-.6465 9.572-2c11.1-5.279 17.44-19.22 12.15-31.18L401.9 258.5c5.438-1.512 10.86-3.078 16.52-4.021c16.8-2.797 31.88-9.459 45.02-18.54l13.33 12.02c4.547 4.109 10.25 6.125 15.94 6.125c6.463 0 12.91-2.617 17.6-7.773c8.814-9.68 8.072-24.62-1.654-33.38l-12.95-11.68c11.32-18.9 16.99-41.02 15.52-64.23l15.81-4.681C539.6 128.6 546.7 115.4 543 102.9zM192 368c-26.51 0-48.01-21.49-48.01-48s21.5-48 48.01-48S240.1 293.5 240.1 320S218.6 368 192 368zM272 232c-13.25 0-23.92-10.75-23.92-24c0-13.26 10.67-23.1 23.92-23.1c13.26 0 23.1 10.74 23.1 23.1C295.1 221.3 285.3 232 272 232z", "M240.1 320c0 26.51-21.5 48-48.01 48S144 346.5 144 320s21.5-48 48.01-48S240.1 293.5 240.1 320z"]],
    "badge": [512, 512, [], "f335", ["M437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98V74.98z", ""]],
    "badge-check": [512, 512, [], "f336", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM352.1 224.1C362.3 215.6 362.3 200.4 352.1 191C343.6 181.7 328.4 181.7 319 191L224 286.1L184.1 247C175.6 237.7 160.4 237.7 151 247C141.7 256.4 141.7 271.6 151 280.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L352.1 224.1z", "M352.1 191C362.3 200.4 362.3 215.6 352.1 224.1L240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L151 280.1C141.7 271.6 141.7 256.4 151 247C160.4 237.7 175.6 237.7 184.1 247L224 286.1L319 191C328.4 181.7 343.6 181.7 352.1 191z"]],
    "badge-dollar": [512, 512, [], "f645", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM276.1 149.3C276.1 138.2 267.1 129.2 256.9 129.2C245.8 129.2 236.8 138.2 236.8 149.3V157.8C230.1 159.1 223.7 161.1 217.8 163.7C201.7 171 187.9 184.5 184.5 203.1C182.6 214.9 183.7 225.4 188.1 234.8C192.5 244.1 199.5 250.8 206.6 255.6C219.2 264.1 235.9 269.2 248.1 273.1L251.3 273.8C266.7 278.5 277.6 282.1 284.5 287.1C287.5 289.3 288.8 291.1 289.4 292.5C290 293.9 290.7 296.4 289.8 301.2C289 305.9 286.3 309.8 279.7 312.6C272.4 315.7 260.1 317.2 246.4 314.9C239.6 313.8 227.4 309.6 216.8 306C214.4 305.2 212.1 304.4 209.9 303.7C199.4 300.2 188.1 305.9 184.6 316.3C181.1 326.8 186.8 338.2 197.2 341.6C198.6 342.1 200.3 342.7 202.3 343.3C211.5 346.5 226.2 351.5 236.8 353.8V362.7C236.8 373.8 245.8 382.8 256.9 382.8C267.1 382.8 276.1 373.8 276.1 362.7V354.7C283.4 353.6 289.6 351.9 295.4 349.4C312.3 342.2 325.7 328.3 329.2 308C331.2 296.9 330.3 286.2 326.1 276.6C321.1 267 315.2 259.1 308 254.8C294.9 245.2 277.2 239.8 263.7 235.8L262.9 235.5C247.3 230.8 236.2 227.4 229.1 222.5C225.1 220.4 224.8 218.8 224.3 217.7C223.9 216.9 223.2 214.1 223.9 210.8C224.5 207.7 226.8 203.6 234.3 200.2C241.9 196.7 253.5 194.9 267.4 197.1C272.3 197.9 287.4 200.8 291.7 201.1C302.4 204.8 313.4 198.5 316.2 187.8C319.1 177.1 312.7 166.2 302 163.3C296.8 161.9 284.2 159.4 276.1 158.2L276.1 149.3z", "M256.9 129.2C267.1 129.2 276.1 138.2 276.1 149.3V158.2C284.2 159.5 296.8 161.9 302 163.3C312.7 166.2 319.1 177.1 316.2 187.8C313.4 198.5 302.4 204.8 291.7 201.1C287.4 200.8 272.3 197.9 267.4 197.1C253.5 194.9 241.9 196.7 234.3 200.2C226.8 203.6 224.5 207.7 223.9 210.8C223.2 214.1 223.9 216.9 224.3 217.7C224.8 218.8 225.1 220.4 229.1 222.5C236.2 227.4 247.3 230.8 262.9 235.5L263.7 235.8C277.2 239.8 294.9 245.2 308 254.8C315.2 259.1 321.1 267 326.1 276.6C330.3 286.2 331.2 296.9 329.2 308C325.7 328.3 312.3 342.2 295.4 349.4C289.6 351.9 283.4 353.6 276.1 354.7V362.7C276.1 373.8 267.1 382.8 256.9 382.8C245.8 382.8 236.8 373.8 236.8 362.7V353.8C226.2 351.5 211.5 346.5 202.3 343.3C200.3 342.7 198.6 342.1 197.2 341.6C186.8 338.2 181.1 326.8 184.6 316.4C188.1 305.9 199.4 300.2 209.9 303.7C212.1 304.4 214.4 305.2 216.8 306C227.4 309.6 239.6 313.8 246.4 314.9C260.1 317.2 272.4 315.7 279.7 312.6C286.3 309.8 289 305.1 289.8 301.2C290.7 296.4 290 293.9 289.4 292.5C288.8 291.1 287.5 289.3 284.5 287.1C277.6 282.1 266.7 278.5 251.3 273.8L248.1 273.1C235.9 269.2 219.2 264.2 206.6 255.6C199.5 250.8 192.5 244.1 188.1 234.8C183.7 225.4 182.6 214.9 184.5 203.1C187.9 184.5 201.7 171 217.8 163.7C223.7 161.1 230.1 159.1 236.8 157.8V149.3C236.8 138.2 245.8 129.2 256.9 129.2L256.9 129.2z"]],
    "badge-percent": [512, 512, [], "f646", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224zM320 288C302.3 288 288 302.3 288 320C288 337.7 302.3 352 320 352C337.7 352 352 337.7 352 320C352 302.3 337.7 288 320 288zM336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L336.1 208.1z", "M224 192C224 209.7 209.7 224 192 224C174.3 224 160 209.7 160 192C160 174.3 174.3 160 192 160C209.7 160 224 174.3 224 192zM352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L208.1 336.1z"]],
    "badge-sheriff": [512, 512, [], "f8a2", ["M256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z", "M432 304c-4.508 0-8.781 .8203-12.92 1.982L389.4 256l29.71-49.98C423.2 207.2 427.5 208 432 208C458.5 208 480 186.5 480 160s-21.49-48-48-48c-20.87 0-38.45 13.4-45.06 32h-64.19l-35.53-59.81C297.4 75.38 304 62.54 304 48C304 21.49 282.5 0 256 0S208 21.49 208 48c0 14.58 6.579 27.43 16.84 36.23L189.4 144H125.1C118.5 125.4 100.9 112 80 112C53.49 112 32 133.5 32 160s21.49 48 48 48c4.518 0 8.801-.8242 12.95-1.99L122.8 256L92.95 305.1C88.8 304.8 84.52 304 80 304C53.49 304 32 325.5 32 352s21.49 48 48 48c20.87 0 38.45-13.4 45.06-32h64.19l35.53 59.81C214.6 436.6 208 449.5 208 464c0 26.51 21.49 48 48 48s48-21.49 48-48c0-14.58-6.579-27.43-16.84-36.23L322.6 368h64.31c6.611 18.6 24.19 32 45.06 32c26.51 0 48-21.49 48-48S458.5 304 432 304zM256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z"]],
    "badger-honey": [640, 512, [129441], "f6b4", ["M560 287.1l22.58-45.16c-10.91 1.611-24.44 3.9-41.04 8.258L560 287.1zM622.3 142.5c-57.63-32.63-71-50.73-115.5-69.98c-13.38-5.75-27.38-8.479-41.25-8.479c-19.12 0-38.13 5.255-55.5 15.26C392.9 89.03 373.1 96.02 355 96.02H128c-22.27 0-42.88 6.158-61.11 16.14C85.63 173.6 130.1 224 185 224h60.67c16.33 0 32.5-3.668 47.5-11C350.4 178.3 416.1 160 483 160h153.7C633.8 152.6 628.9 146.2 622.3 142.5z", "M640 175.3c0 11.88-9.125 32.35-16.12 47.6c-17.62 38.49-65.61-10.9-235.1 103l27 134.1C417.6 470.8 410.1 480 400 480h-63.38c-7.625 0-14.12-5.375-15.62-12.88L297.9 352H192.2l-33 66.88l15.5 41.25C177.4 470.3 169.7 480 159.2 480H95.5C88.13 480 81.75 475 80 467.9L65.88 432.5c-3.125-12.62-2.375-25.88 2.25-38l21.38-57.38C64.13 320.3 43.88 289.4 36 255.1H16c-8.875 0-16-7.126-16-16V224c0-48.48 27.2-90.15 66.89-111.9C85.63 173.6 130.1 224 185 224h60.67c16.33 0 32.5-3.668 47.5-11c54.14-32.78 115.8-50.37 178.1-52.26c.418 12.89 10.83 23.23 23.82 23.23C509.2 183.1 520 173.3 520 160h116.8C638.7 164.7 640 169.9 640 175.3z"]],
    "badminton": [640, 512, [], "e33a", ["M122.1 367.2c-3.16-3.962-7.818-6.037-12.52-6.037c-3.497 0-7.018 1.142-9.965 3.492l-87.57 69.85c-7.925 6.318-12.05 15.64-12.05 25.05c0 6.994 2.283 14.04 6.983 19.93l9.975 12.51c6.319 7.924 15.64 12.05 25.04 12.05c6.995 0 14.04-2.284 19.93-6.984l87.57-69.85c3.962-3.16 6.025-7.821 6.025-12.52c0-3.497-1.141-7.012-3.491-9.958L122.1 367.2zM607.1 399.1c0-26.51-21.49-48.01-48-48.01s-48 21.5-48 48.01L512 431.1h96L607.1 399.1zM496.8 490.9c-.5547 1.672-.8185 3.371-.8185 5.043c0 8.709 7.03 16.02 16 16.02c6.688 0 12.94-4.251 15.19-10.94l16-48.01c.543-1.637 .6954-3.367 .6954-5.003l-32.75-.0598L496.8 490.9zM544 495.1c0 8.844 7.153 16 15.1 16s16-7.159 16-16l.1181-47.97l-32.23 .0273L544 495.1zM623.2 490.9l-14.31-42.94l-32.75 .0325c0 1.637 .1524 3.394 .6954 5.031l15.1 48.01c2.25 6.688 8.5 10.94 15.19 10.94c8.969 0 16-7.309 16-16.02C624 494.3 623.7 492.6 623.2 490.9z", "M575.8 158.3c0-123-107.6-158.2-164.5-158.2c-47.65 0-98.25 17.02-141.3 51.36C266.8 54.04 183.4 116.3 183.4 219.6c0 26.56 6.051 51.77 17.73 74.26l-85.91 68.56c2.605 .9824 5.061 2.375 6.922 4.709l29.93 37.54c1.854 2.324 2.688 5.038 3.07 7.785l86.72-69.2c29.48 23.15 66.84 34.91 106.3 34.91c47.66 0 98.25-16.1 141.3-51.34C545.5 282.1 575.8 218.3 575.8 158.3zM512.1 158.8c0 40.77-22.23 85.73-62.6 117.9c-31.58 25.15-68.26 37.8-101.7 37.8c-46.63 0-100.4-28.72-100.4-94.81c0-102.5 104.9-155.9 164.2-155.9C445.3 63.77 512.1 83.03 512.1 158.8z"]],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", ["M288 232C288 245.3 298.7 256 312 256C325.3 256 336 245.3 336 232V160H400C426.5 160 448 181.5 448 208V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160H112V232C112 245.3 122.7 256 136 256C149.3 256 160 245.3 160 232V160H288V232z", "M224 48C188.7 48 160 76.65 160 112V232C160 245.3 149.3 256 136 256C122.7 256 112 245.3 112 232V112C112 50.14 162.1 0 224 0C285.9 0 336 50.14 336 112V232C336 245.3 325.3 256 312 256C298.7 256 288 245.3 288 232V112C288 76.65 259.3 48 224 48z"]],
    "bagel": [640, 512, [129391], "e3d7", ["M584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.25 4.135-25.75 15.5-39.76 18.98C444.9 346.5 448 325.6 448 304c0-11.38-1.068-22.5-2.609-33.46C474.3 264.4 495.1 238.7 495.1 208c0-35.3-28.69-64-64-64c-13.37 0-25.75 4.125-36.02 11.16c-20-25.21-44.83-46.43-73.25-61.96c2.9-5.742 6.178-11.05 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208z", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM80 288C71.16 288 64 280.8 64 272C64 263.2 71.16 256 80 256S96 263.2 96 272C96 280.8 88.84 288 80 288zM112 416C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384S128 391.2 128 400C128 408.8 120.8 416 112 416zM144 224C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192S160 199.2 160 208C160 216.8 152.8 224 144 224zM240 448C231.2 448 224 440.8 224 432C224 423.2 231.2 416 240 416S256 423.2 256 432C256 440.8 248.8 448 240 448zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM304 416C295.2 416 288 408.8 288 400C288 391.2 295.2 384 304 384s16 7.162 16 16C320 408.8 312.8 416 304 416zM304 256C295.2 256 288 248.8 288 240C288 231.2 295.2 224 304 224S320 231.2 320 240C320 248.8 312.8 256 304 256zM432 0c-63.46 0-120.2 28.52-158.4 73.33c17.2 4.887 33.68 11.48 49.07 19.88c2.895-5.711 6.201-11.07 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.24 4.131-25.76 15.49-39.76 18.98c-4.617 17.13-10.95 33.54-19.04 48.93C424.3 415.6 428.1 416 432 416c114.9 0 208-93.13 208-208S546.9 0 432 0z"]],
    "bags-shopping": [576, 512, [128717], "f847", ["M64 160H128V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H240C195.8 224 160 259.8 160 304V464C160 469.5 160.6 474.8 161.6 480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160V160zM224 48C197.5 48 176 69.49 176 96V160H272V96C272 69.49 250.5 48 224 48zM320 352C320 387.3 348.7 416 384 416C419.3 416 448 387.3 448 352V336C448 327.2 455.2 320 464 320C472.8 320 480 327.2 480 336V352C480 405 437 448 384 448C330.1 448 288 405 288 352V336C288 327.2 295.2 320 304 320C312.8 320 320 327.2 320 336V352z", "M512 256C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320C192 284.7 220.7 256 256 256H512zM320 336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352C288 405 330.1 448 384 448C437 448 480 405 480 352V336C480 327.2 472.8 320 464 320C455.2 320 448 327.2 448 336V352C448 387.3 419.3 416 384 416C348.7 416 320 387.3 320 352V336z"]],
    "baguette": [640, 512, [129366], "e3d8", ["M639.6 118c-4.062 50.83-35.66 103.5-80.53 134.3L227.7 479.3c-45 30.84-105.2 40.95-153.4 25.59c-22.88-7.268-42.88-22.38-56.29-42.54c-13.3-20.04-19.58-44.33-17.61-68.4c4.062-50.83 35.66-103.5 80.53-134.3l16.73-11.46l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8l87.09-59.66l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L352.3 73.72l59.95-41.07C443.3 11.38 481.6 0 518.2 0c16.46 0 32.57 2.303 47.54 7.055c22.88 7.268 42.88 22.38 56.29 42.54C635.3 69.63 641.6 93.92 639.6 118z", "M124.5 229.8L97.62 248.2l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8zM238.4 151.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8zM427.3 148.7L352.3 73.72l-26.85 18.4l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688C433.6 165.1 433.6 154.9 427.3 148.7z"]],
    "bahai": [512, 512, ["haykal"], "f666", ["M338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z", "M496.3 202.5l-110-15.38l41.88-104.4c6.626-16.63-11.63-32.25-26.63-22.63L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0C248.6 0 241.4 4.25 238.6 12.88L204.5 120L110.5 60.12c-15-9.5-33.22 5.1-26.6 22.63l41.85 104.4L15.71 202.5C-1.792 205-5.917 228.8 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.782 31 13.35 31c1.25 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.126 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C327.1 509.8 333.2 512 338.4 512c9.501 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c17.38 3.75 29.25-17.25 17.38-30.5l-74.51-83.5l98.14-52.72C517.9 228.8 513.8 205 496.3 202.5zM338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z"]],
    "baht-sign": [320, 512, [], "e0ac", ["M176 32V64H112V32C112 14.33 126.3 0 144 0C161.7 0 176 14.33 176 32zM176 288V384H112V288H176zM176 128V224H112V128H176zM112 448H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V448z", "M0 101.6C0 80.82 16.82 64 37.57 64H176C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H41.74C18.69 448 0 429.3 0 406.3V101.6zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"]],
    "ball-pile": [576, 512, [], "f77e", ["M80 352C35.84 352 0 387.8 0 432S35.84 512 80 512S160 476.2 160 432S124.2 352 80 352zM288 352c-44.16 0-80 35.84-80 80S243.8 512 288 512s80-35.84 80-80S332.2 352 288 352zM496 352c-44.16 0-80 35.84-80 80s35.84 80 80 80s80-35.84 80-80S540.2 352 496 352zM288 0C243.8 0 208 35.84 208 80S243.8 160 288 160s80-35.84 80-80S332.2 0 288 0z", "M176 168C131.8 168 96 203.8 96 248s35.84 80 80 80S256 292.2 256 248S220.2 168 176 168zM400 168c-44.16 0-80 35.84-80 80s35.84 80 80 80S480 292.2 480 248S444.2 168 400 168z"]],
    "balloon": [384, 512, [], "e2e3", ["M176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z", "M384 192c0-106-85.96-192-192-192S0 85.96 0 192c0 84.42 101.3 196.4 158.8 238.7l-29.07 58.14c-2.469 4.969-2.219 10.84 .6875 15.56C133.3 509.1 138.5 512 144 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-29.07-58.14C282.7 388.4 384 276.4 384 192zM176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z"]],
    "balloons": [640, 512, [], "e2e4", ["M515.3 434.8C564 393.1 640 302.1 640 232C640 139.2 568.4 64 480 64c-54.14 0-101.8 28.41-130.8 71.62C350.9 146.2 352 156.1 352 168c0 31.86-12.03 64.75-27.65 94.08c16.38 64.44 78.47 137.5 120.4 172.7l-27.05 54.11c-2.469 4.969-2.219 10.84 .6875 15.56C421.3 509.1 426.5 512 432 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L515.3 434.8zM464 160C437.5 160 416 181.5 416 208C416 216.8 408.8 224 400 224S384 216.8 384 208C384 163.9 419.9 128 464 128C472.8 128 480 135.2 480 144S472.8 160 464 160z", "M195.3 370.8C244 329.1 320 238.1 320 168C320 75.21 248.4 0 160 0S0 75.21 0 168c0 70.07 75.99 161.1 124.7 202.8l-27.02 54.04c-2.469 4.969-2.219 10.84 .6875 15.56C101.3 445.1 106.5 448 112 448h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L195.3 370.8zM144 96C117.5 96 96 117.5 96 144C96 152.8 88.84 160 80 160S64 152.8 64 144C64 99.88 99.88 64 144 64C152.8 64 160 71.16 160 80S152.8 96 144 96z"]],
    "ballot": [448, 512, [], "f732", ["M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM128 272C128 280.8 120.8 288 112 288h-32C71.25 288 64 280.8 64 272v-32C64 231.3 71.25 224 80 224h32C120.8 224 128 231.3 128 240V272zM128 144C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144v-32C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112V144zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.838 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z", "M112 352h-32C71.25 352 64 359.3 64 368v32C64 408.8 71.25 416 80 416h32C120.8 416 128 408.8 128 400v-32C128 359.3 120.8 352 112 352zM112 224h-32C71.25 224 64 231.3 64 240v32C64 280.8 71.25 288 80 288h32C120.8 288 128 280.8 128 272v-32C128 231.3 120.8 224 112 224zM112 96h-32C71.25 96 64 103.3 64 112v32C64 152.8 71.25 160 80 160h32C120.8 160 128 152.8 128 144v-32C128 103.3 120.8 96 112 96z"]],
    "ballot-check": [448, 512, [], "f733", ["M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM64 112C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112v32C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144V112zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM163.3 227.3l-56 56C104.2 286.4 100.1 288 96 288S87.81 286.4 84.69 283.3l-24-24c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L96 249.4l44.69-44.69c6.25-6.25 16.38-6.25 22.62 0S169.6 221.1 163.3 227.3zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.836 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z", "M80 160h32C120.8 160 128 152.8 128 144v-32C128 103.3 120.8 96 112 96h-32C71.25 96 64 103.3 64 112v32C64 152.8 71.25 160 80 160zM112 352h-32C71.25 352 64 359.3 64 368v32C64 408.8 71.25 416 80 416h32C120.8 416 128 408.8 128 400v-32C128 359.3 120.8 352 112 352zM163.3 204.7c-6.25-6.25-16.38-6.25-22.62 0L96 249.4L83.31 236.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l24 24C87.81 286.4 91.91 288 96 288s8.188-1.562 11.31-4.688l56-56C169.6 221.1 169.6 210.9 163.3 204.7z"]],
    "ban": [512, 512, [128683, "cancel"], "f05e", ["M144.8 99.5L412.5 367.2C400.1 384.7 384.7 400.1 367.2 412.5L99.5 144.8C111.1 127.3 127.3 111.9 144.8 99.5V99.5z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"]],
    "ban-bug": [512, 512, ["debug"], "f7f9", ["M206.4 161.2C220.1 150.4 237.3 144 255.1 144C275.8 144 293.9 151.2 307.8 163L335.8 146.3C343.3 141.7 353.2 144.2 357.7 151.8C362.3 159.3 359.8 169.2 352.2 173.7L327.7 188.4C331.6 196.4 334.3 205.1 335.4 214.2L364.9 208.3C373.5 206.6 381.1 212.2 383.7 220.9C385.4 229.5 379.8 237.1 371.1 239.7L336 246.7V265.3L371.1 272.3C379.8 274 385.4 282.5 383.7 291.1C381.1 299.8 373.5 305.4 364.9 303.7L344.1 299.7L206.4 161.2zM305.6 350.8C291.9 361.6 274.7 368 255.1 368C236.2 368 218.1 360.8 204.2 348.1L176.2 365.7C168.7 370.3 158.8 367.8 154.3 360.2C149.7 352.7 152.2 342.8 159.8 338.3L184.3 323.6C180.4 315.6 177.7 306.1 176.6 297.8L147.1 303.7C138.5 305.4 130 299.8 128.3 291.1C126.6 282.5 132.2 274 140.9 272.3L175.1 265.3V224C175.1 223.1 176 222.2 176 221.3L305.6 350.8z", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"]],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", ["M296.6 251.4C305.8 245.7 312 235.6 312 224C312 206.3 297.7 192 280 192H237.3L182.5 137.2C189.4 131.5 198.3 128 208 128H280C333 128 376 170.1 376 224C376 253.2 362.9 279.4 342.3 297L296.6 251.4zM168 261.3L232 325.3V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V261.3z", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"]],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", ["M112 224C103.3 224 96 231.3 96 240v64C96 312.8 103.3 320 112 320h117.5l-96-96H112zM400 224h-130.8l32 32H384v32h-50.81l32 32H400c8.75 0 16-7.25 16-16v-64C416 231.3 408.8 224 400 224zM319.4 160c15.62 0 28.62 11.25 31.38 25.88C351.6 189.5 354.8 192 358.6 192h16.12c5 0 8.75-4.5 8-9.375C378.1 151.8 351.6 128 319.4 128c-15.62 0-28.62-11.25-31.38-25.88C287.3 98.5 284.1 96 280.3 96h-16.29c-5 0-8.59 4.5-7.965 9.375C260.7 136.3 287.3 160 319.4 160z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192c0-41.38 13.25-79.75 35.75-111.1l267.4 267.4C335.8 434.8 297.4 448 256 448zM412.3 367.1L144.9 99.75C176.3 77.25 214.6 64 256 64C361.9 64 448 150.1 448 256C448 297.4 434.8 335.8 412.3 367.1z"]],
    "banana": [576, 512, [], "e2e5", ["M303.1 142.3c0-61.51-16.74-86.79-16.74-103c0-22.2 19.9-39.25 40.91-39.25c38.58 0 119.7 103.8 119.7 221.9c0 21.14-2.247 42.79-7.066 64.78c-9.965 .8795-19.93 2.558-29.7 6.055l-84.84 30.34L297.6 294.6c-8.299-8.267-17.73-14.7-27.61-20.07C276.4 262.7 303.1 216.7 303.1 142.3z", "M575.1 390.5c0-3.695-.8637-7.445-2.687-10.96l-15.12-29.17c-21.05-40.62-63.08-64.65-106.9-64.65c-13.43 0-27.02 2.257-40.22 6.984l-84.84 30.34L297.6 294.6C274.4 271.4 243.7 259.5 212.8 259.5c-23.72 0-47.57 6.985-68.29 21.25L106.3 307.1c-6.732 4.641-10.35 12.09-10.35 19.67c0 14.96 12.7 23.92 24.04 23.92c4.695 0 9.443-1.379 13.61-4.269l38.13-26.29C184.2 311.6 198.5 307.4 212.7 307.4c10.64 0 21.24 2.344 30.97 6.949c-50.62 62.37-128.3 100.1-211.4 100.1C14.42 414.4 0 428.8 0 446.5v31.45c0 17.72 14.66 32.09 32.46 32.09l28.98 .0009c68.41 0 286.5 25.73 363.9-171.6c9.021-3.227 17.95-4.722 26.53-4.722c27.65 0 51.7 15.53 63.7 38.63l15.12 29.17c3.484 6.737 11.74 13.01 21.41 13.01C564.1 414.5 575.1 404.6 575.1 390.5z"]],
    "bandage": [640, 512, [129657, "band-aid"], "f462", ["M480 96H576C611.3 96 640 124.7 640 160V352C640 387.3 611.3 416 576 416H480V96zM448 416H192V96H448V416zM272 184C258.7 184 248 194.7 248 208C248 221.3 258.7 232 272 232C285.3 232 296 221.3 296 208C296 194.7 285.3 184 272 184zM368 232C381.3 232 392 221.3 392 208C392 194.7 381.3 184 368 184C354.7 184 344 194.7 344 208C344 221.3 354.7 232 368 232zM272 280C258.7 280 248 290.7 248 304C248 317.3 258.7 328 272 328C285.3 328 296 317.3 296 304C296 290.7 285.3 280 272 280zM368 328C381.3 328 392 317.3 392 304C392 290.7 381.3 280 368 280C354.7 280 344 290.7 344 304C344 317.3 354.7 328 368 328zM64 96H160V416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96z", "M192 416H160V96H192V416zM480 416H448V96H480V416z"]],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", ["M64 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H64V224zM128 160H160C177.7 160 192 174.3 192 192C192 209.7 177.7 224 160 224H128V160z", "M.2467 60.03C2.439 42.49 18.43 30.05 35.97 32.25L43.91 33.24C91.95 39.24 127.1 80.08 127.1 128.5V384C127.1 401.7 142.3 416 159.1 416H191.1C262.7 416 320 358.7 320 287.1V255.1C320 238.3 305.7 223.1 288 223.1H272C254.3 223.1 240 209.7 240 191.1C240 174.3 254.3 159.1 272 159.1H288C341 159.1 384 202.1 384 255.1V287.1C384 394 298 480 191.1 480H159.1C106.1 480 63.1 437 63.1 384V128.5C63.1 112.4 51.98 98.75 35.97 96.74L28.03 95.75C10.49 93.56-1.946 77.57 .2467 60.03z"]],
    "banjo": [512, 512, [129685], "f8a3", ["M192 152c-92.78 0-168 75.21-168 168c0 92.78 75.22 168 168 168s168-75.22 168-168C360 227.2 284.8 152 192 152zM192 432c-61.76 0-112-50.24-112-112S130.2 208 192 208s112 50.24 112 112S253.8 432 192 432z", "M165.9 485.3v.4616C165.9 500.3 177.5 512 192 512s26.13-11.75 26.13-26.25v-.4616C209.6 486.6 200.9 488 192 488S174.5 486.6 165.9 485.3zM56.49 418.5c-7 6.5-10.12 16.62-7.743 25.87s9.626 16.5 18.88 18.87s19.13-.4999 25.63-7.5C79.05 445.4 66.84 432.7 56.49 418.5zM218.1 154.1C218.1 139.7 206.4 128 192 128c-14.5 0-26.21 11.75-26.21 26.12L165.7 154.6c-.0625 .0098 .0625-.0098 0 0C174.4 153.3 182.9 152 192 152c8.979 0 17.56 1.273 26.15 2.631c-.0293-.0039 .0293 .0039 0 0L218.1 154.1zM56.88 184.9c-9.875 10-10.25 25.1-.625 36.37c10.34-14.2 23.04-26.41 37.24-36.76C83.25 174.9 66.88 174.9 56.88 184.9zM26.64 293.7L26.25 293.8C11.75 293.8 0 305.5 0 320c0 14.38 11.75 26.12 26.25 26.12l.3792 .02c.0039 .0273-.0039-.0273 0 0C25.27 337.5 24 328.1 24 320C24 310.9 25.26 302.4 26.64 293.7C26.63 293.8 26.65 293.6 26.64 293.7zM357.8 293.8l-.3885-.0508c-.0117-.0684 .0117 .0684 0 0C358.8 302.4 360 310.9 360 320c0 8.977-1.266 17.55-2.621 26.15c.0039-.0273-.0039 .0273 0 0l.3821-.02c14.5 0 26.25-11.75 26.25-26.12C384 305.5 372.3 293.8 357.8 293.8zM327.8 418.8c-10.35 14.2-23.04 26.41-37.24 36.76c6.5 7 16.62 10.12 25.87 7.743s16.5-9.625 18.88-18.87S334.8 425.3 327.8 418.8zM194.3 381.6l11.38-11.25C207.1 368.9 208 366.9 208 364.8S207.1 360.5 205.6 359L153 306.4C151.5 304.9 149.5 304 147.4 304S143.1 304.9 141.6 306.4L130.4 317.6c-3.125 3.125-3.125 8.25 0 11.38L183 381.6C186.1 384.8 191.1 384.8 194.3 381.6zM502.6 38.1l-29.63-29.62c-12.5-12.5-32.75-12.5-45.25 0l-46.25 46.38c-3.875 3.875-6.75 8.5-8.5 13.75l-12.26 36.62l-74.73 74.64c17.8 12.05 33.19 27.43 45.23 45.23l74.87-74.87L442.5 139c5.25-1.75 9.875-4.625 13.75-8.5L502.6 84.17C515.1 71.79 515.1 51.5 502.6 38.1z"]],
    "barcode": [512, 512, [], "f02a", ["M40 32C53.25 32 64 42.75 64 56V456C64 469.3 53.25 480 40 480H24C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32H40zM128 48V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V48C96 39.16 103.2 32 112 32C120.8 32 128 39.16 128 48zM200 32C213.3 32 224 42.75 224 56V456C224 469.3 213.3 480 200 480H184C170.7 480 160 469.3 160 456V56C160 42.75 170.7 32 184 32H200zM296 32C309.3 32 320 42.75 320 56V456C320 469.3 309.3 480 296 480H280C266.7 480 256 469.3 256 456V56C256 42.75 266.7 32 280 32H296zM448 56C448 42.75 458.7 32 472 32H488C501.3 32 512 42.75 512 56V456C512 469.3 501.3 480 488 480H472C458.7 480 448 469.3 448 456V56zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V48z", ""]],
    "barcode-read": [576, 512, [], "f464", ["M48 136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V56C0 25.07 25.07 0 56 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H56C51.58 48 48 51.58 48 56V136zM528 56C528 51.58 524.4 48 520 48H440C426.7 48 416 37.25 416 24C416 10.75 426.7 0 440 0H520C550.9 0 576 25.07 576 56V136C576 149.3 565.3 160 552 160C538.7 160 528 149.3 528 136V56zM136 464C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H56C25.07 512 0 486.9 0 456V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V456C48 460.4 51.58 464 56 464H136zM528 376C528 362.7 538.7 352 552 352C565.3 352 576 362.7 576 376V456C576 486.9 550.9 512 520 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H520C524.4 464 528 460.4 528 456V376z", "M168 128C181.3 128 192 138.7 192 152V360C192 373.3 181.3 384 168 384H152C138.7 384 128 373.3 128 360V152C128 138.7 138.7 128 152 128H168zM328 128C341.3 128 352 138.7 352 152V360C352 373.3 341.3 384 328 384H312C298.7 384 288 373.3 288 360V152C288 138.7 298.7 128 312 128H328zM384 152C384 138.7 394.7 128 408 128H424C437.3 128 448 138.7 448 152V360C448 373.3 437.3 384 424 384H408C394.7 384 384 373.3 384 360V152zM256 144V368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144z"]],
    "barcode-scan": [640, 512, [], "f465", ["M0 256C0 242.7 10.75 232 24 232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H24C10.75 280 0 269.3 0 256z", "M64 56C64 42.75 74.75 32 88 32H104C117.3 32 128 42.75 128 56V192H64V56zM128 320V456C128 469.3 117.3 480 104 480H88C74.75 480 64 469.3 64 456V320H128zM192 320V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464V320H192zM288 320V456C288 469.3 277.3 480 264 480H248C234.7 480 224 469.3 224 456V320H288zM288 192H224V56C224 42.75 234.7 32 248 32H264C277.3 32 288 42.75 288 56V192zM384 320V456C384 469.3 373.3 480 360 480H344C330.7 480 320 469.3 320 456V320H384zM384 192H320V56C320 42.75 330.7 32 344 32H360C373.3 32 384 42.75 384 56V192zM480 320V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464V320H480zM480 192H448V48C448 39.16 455.2 32 464 32C472.8 32 480 39.16 480 48V192zM576 320V456C576 469.3 565.3 480 552 480H536C522.7 480 512 469.3 512 456V320H576zM576 192H512V56C512 42.75 522.7 32 536 32H552C565.3 32 576 42.75 576 56V192zM192 192H160V48C160 39.16 167.2 32 176 32C184.8 32 192 39.16 192 48V192z"]],
    "bars": [448, 512, ["navicon"], "f0c9", ["M0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"]],
    "bars-filter": [448, 512, [], "e0ad", ["M64 256C64 238.3 78.33 224 96 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM256 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H256C273.7 384 288 398.3 288 416C288 433.7 273.7 448 256 448z"]],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", ["M320 160H448V128H320V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H320V160zM192 384H448V352H192V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H192V384z", "M0 112C0 85.49 21.49 64 48 64H320V224H48C21.49 224 0 202.5 0 176V112zM0 336C0 309.5 21.49 288 48 288H192V448H48C21.49 448 0 426.5 0 400V336z"]],
    "bars-sort": [448, 512, [], "e0ae", ["M0 256C0 238.3 14.33 224 32 224H288C305.7 224 320 238.3 320 256C320 273.7 305.7 288 288 288H32C14.33 288 0 273.7 0 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM160 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H160C177.7 384 192 398.3 192 416C192 433.7 177.7 448 160 448z"]],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", ["M64 256C64 238.3 78.33 224 96 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H96C78.33 288 64 273.7 64 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"]],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", ["M256.7 447.2c.6964-8.538 8.287-14.61 16.49-14.61c7.1 0 15.44 6.938 15.44 15.92c0 2.358-.6524 5.88-.6524 15.72c0 15.25 2.383 30.16 6.209 44.66c110.8-16.63 198.2-104.1 214.7-215c-14.55-3.851-29.59-5.871-44.74-5.871c-10.47 0-16.24 .895-18.13 .895c-2.764 0-16.44-2.306-16.44-15.97c0-16.26 16.36-16.81 29.99-16.81l2.931 .0029c16.64 0 33.14 2.056 49.2 5.834C511.7 259.9 512 258 512 256c0-141.4-114.6-256-256-256C253.9 0 251.1 .2578 249.9 .3047c3.658 15.51 6.111 31.34 6.111 47.54c0 6-.2813 12.03-.7813 18C254.6 74.19 247.6 80.5 239.3 80.5c-6.091 0-16.03-4.68-16.03-15.97c0-1.733 .7149-7.153 .7149-16.69c0-15.26-2.389-30.18-6.225-44.69C106.9 19.79 19.5 107.3 3.08 218.3c14.44 3.819 29.38 5.79 44.45 5.79c10.07 0 15.59-.811 17.42-.811c6.229 0 16.49 4.657 16.49 15.99c0 16.11-16.13 16.77-29.73 16.77L48.16 256c-16.33 0-32.25-2.445-47.85-6.109C.2578 251.1 0 253.9 0 256c0 141.4 114.6 256 256 256c2.066 0 4.062-.2578 6.117-.3086C258.5 496.2 256 480.4 256 464.2C256 458.5 256.3 452.8 256.7 447.2zM273.4 384c0-28 78.29-109.4 108.1-109.4c9.35 0 16 7.72 16 16.03c0 5.965-3.364 11.68-9.131 14.43c-78.82 37.57-75.92 95-98.94 95C276.8 400.1 273.4 388.5 273.4 384zM238.2 128.9c0 27.78-78.3 108.1-108.6 108.1c-8.612 0-16.01-6.963-16.01-15.98c0-6.002 3.394-11.75 9.163-14.49c80.3-38.08 76.21-94.5 99.39-94.5C234.7 112.8 238.2 124.2 238.2 128.9z", "M64.95 223.3c-1.823 0-7.349 .811-17.42 .811c-15.08 0-30.01-1.971-44.45-5.79c-1.535 10.37-2.521 20.89-2.773 31.62c15.6 3.664 31.52 6.109 47.85 6.109l3.558 .0052c13.68 0 29.73-.6505 29.73-16.77C81.44 227.9 71.24 223.3 64.95 223.3zM238.2 128.9c0-4.404-3.473-16.02-16.02-16.02c-22.61 0-13.18 37.42-73.27 79.32C124.1 208.1 113.6 207.2 113.6 221.8c0 9.099 7.466 15.98 16.01 15.98c2.312 0 4.625-.5 6.844-1.531C216.3 198.6 238.2 130.5 238.2 128.9zM249.9 .3047c-10.9 .2578-21.59 1.273-32.11 2.852c3.836 14.51 6.225 29.43 6.225 44.69c0 9.536-.7149 14.96-.7149 16.69c0 11.23 9.803 15.97 16.03 15.97c8.219 0 15.22-6.312 15.91-14.66c.5-5.969 .7813-12 .7813-18C256 31.64 253.6 15.81 249.9 .3047zM462.5 256.1l-2.931-.0029c-13.8 0-29.99 .5533-29.99 16.81c0 13.66 13.68 15.97 16.44 15.97c1.895 0 7.667-.895 18.13-.895c15.15 0 30.18 2.02 44.74 5.871c1.553-10.46 2.555-21.08 2.803-31.91C495.6 258.1 479.1 256.1 462.5 256.1zM381.5 274.6c-2.316 0-4.663 .5103-6.878 1.587c-78.99 37.47-101.2 106.3-101.2 107.8c0 4.524 3.536 16.03 16.01 16.03c6.062 0 11.88-3.469 14.56-9.344c36.92-80.69 93.51-76.9 93.51-100.1C397.5 282.2 390.7 274.6 381.5 274.6zM288.7 448.5c0-9.007-7.472-15.92-15.44-15.92c-8.203 0-15.79 6.074-16.49 14.61C256.3 452.8 256 458.5 256 464.2c0 16.19 2.453 32 6.117 47.5c10.89-.2578 21.58-1.27 32.09-2.848C290.4 494.3 288 479.4 288 464.2C288 454.3 288.7 450.8 288.7 448.5z"]],
    "baseball-bat-ball": [640, 512, [], "f432", ["M576 432c0 44.25-35.78 80-79.91 80s-79.72-35.75-79.72-80s35.59-80 79.72-80S576 387.8 576 432z", "M57.89 397.2c-6.262-8.616-16.02-13.19-25.92-13.19c-23.33 0-31.98 20.68-31.98 32.03c0 6.522 1.987 13.1 6.115 18.78l46.52 64C58.89 507.4 68.64 512 78.55 512c23.29 0 31.97-20.66 31.97-32.03c0-6.522-1.988-13.1-6.115-18.78L57.89 397.2zM640 99.38c0-13.61-4.133-27.34-12.72-39.2l-23.63-32.5c-13.44-18.5-33.77-27.68-54.12-27.68c-13.89 0-27.79 4.281-39.51 12.8L307.8 159.7C262.2 192.8 220.4 230.9 183.4 273.4c-24.22 27.88-59.18 63.99-103.5 99.63l56.34 77.52c53.79-35.39 99.15-55.3 127.1-67.27c51.87-22 101.3-49.87 146.9-82.1l202.3-146.7C630.5 140.4 640 120 640 99.38z"]],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", ["M393 192L426.1 265.8C431.5 277.9 445.7 283.3 457.8 277.9C469.9 272.5 475.3 258.3 469.9 246.2L445.6 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H130.4L106.1 246.2C100.7 258.3 106.1 272.5 118.2 277.9C130.3 283.3 144.5 277.9 149.9 265.8L182.1 192H393zM192 319.1C192 311.1 184.8 303.1 176 303.1C167.2 303.1 160 311.1 160 319.1V415.1C160 424.8 167.2 431.1 176 431.1C184.8 431.1 192 424.8 192 415.1V319.1zM272 319.1V415.1C272 424.8 279.2 431.1 288 431.1C296.8 431.1 304 424.8 304 415.1V319.1C304 311.1 296.8 303.1 288 303.1C279.2 303.1 272 311.1 272 319.1zM416 319.1C416 311.1 408.8 303.1 400 303.1C391.2 303.1 384 311.1 384 319.1V415.1C384 424.8 391.2 431.1 400 431.1C408.8 431.1 416 424.8 416 415.1V319.1z", "M149.9 265.8C144.5 277.9 130.3 283.3 118.2 277.9C106.1 272.5 100.7 258.3 106.1 246.2L210.1 14.18C215.5 2.087 229.7-3.323 241.8 2.099C253.9 7.521 259.3 21.72 253.9 33.82L149.9 265.8zM322.1 33.82C316.7 21.72 322.1 7.521 334.2 2.099C346.3-3.323 360.5 2.087 365.9 14.18L469.9 246.2C475.3 258.3 469.9 272.5 457.8 277.9C445.7 283.3 431.5 277.9 426.1 265.8L322.1 33.82z"]],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", ["M393 192L426.1 265.8C431.5 277.9 445.7 283.3 457.8 277.9C469.9 272.5 475.3 258.3 469.9 246.2L445.6 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H130.4L106.1 246.2C100.7 258.3 106.1 272.5 118.2 277.9C130.3 283.3 144.5 277.9 149.9 265.8L182.1 192H393z", "M149.9 265.8C144.5 277.9 130.3 283.3 118.2 277.9C106.1 272.5 100.7 258.3 106.1 246.2L210.1 14.18C215.5 2.087 229.7-3.323 241.8 2.099C253.9 7.521 259.3 21.72 253.9 33.82L149.9 265.8zM322.1 33.82C316.7 21.72 322.1 7.521 334.2 2.099C346.3-3.323 360.5 2.087 365.9 14.18L469.9 246.2C475.3 258.3 469.9 272.5 457.8 277.9C445.7 283.3 431.5 277.9 426.1 265.8L322.1 33.82z"]],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", ["M447.8 86.83L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031C511.5 270.8 512 263.4 512 256C512 191.1 487.6 131.1 447.8 86.83zM148.7 171.3L64.21 86.83c-28.39 32.16-48.9 71.38-58.3 114.8C19.41 205.4 33.34 208 48 208C86.34 208 121.1 193.9 148.7 171.3zM194.5 171.9L256 233.4l169.2-169.2C380 24.37 320.9 0 256 0C248.6 0 241.2 .4922 233.1 1.113C237.8 16.15 240 31.8 240 48C240 95.19 222.8 138.4 194.5 171.9zM208 48c0-14.66-2.623-28.59-6.334-42.09C158.2 15.31 118.1 35.82 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48zM304 464c0 14.66 2.623 28.59 6.334 42.09c43.46-9.4 82.67-29.91 114.8-58.3l-84.48-84.48C318.1 390.9 304 425.7 304 464zM363.3 340.7l84.48 84.48c28.39-32.16 48.9-71.38 58.3-114.8C492.6 306.6 478.7 304 464 304C425.7 304 390.9 318.1 363.3 340.7zM317.5 340.1L256 278.6l-169.2 169.2C131.1 487.6 191.1 512 256 512c7.438 0 14.75-.4922 22.03-1.113C274.2 495.8 272 480.2 272 464C272 416.8 289.2 373.6 317.5 340.1zM171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C.4922 241.2 0 248.6 0 256c0 64.93 24.37 124 64.21 169.2L233.4 256L171.9 194.5z", "M310.3 506.1c-10.54 2.279-21.32 3.855-32.3 4.793C274.2 495.8 272 480.2 272 464c0-47.19 17.18-90.39 45.52-123.9L256 278.6l-169.2 169.2c-8.01-7.07-15.55-14.62-22.62-22.62L233.4 256L171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C2.051 222.1 3.627 212.2 5.906 201.7C19.41 205.4 33.34 208 48 208c38.34 0 73.1-14.12 100.7-36.69L64.21 86.83C71.28 78.82 78.82 71.28 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48c0-14.66-2.623-28.59-6.334-42.09C212.2 3.627 222.1 2.051 233.1 1.113C237.8 16.15 240 31.8 240 48c0 47.19-17.18 90.39-45.52 123.9L256 233.4l169.2-169.2c8.01 7.07 15.55 14.62 22.62 22.62L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031c-.9375 10.98-2.514 21.76-4.793 32.3C492.6 306.6 478.7 304 464 304c-38.34 0-73.1 14.12-100.7 36.69l84.48 84.48c-7.07 8.01-14.62 15.55-22.62 22.62l-84.48-84.48C318.1 390.9 304 425.7 304 464C304 478.7 306.6 492.6 310.3 506.1z"]],
    "basketball-hoop": [640, 512, [], "f435", ["M192 240h256V160H192V240zM320 0C102.1 0 0 169.8 0 208.1v118c0 25.43 15.05 48.44 38.35 58.63l93.09 40.72L115.4 288l.7285-.7832C104.8 285.3 96 275.9 96 264C96 250.7 106.7 240 120 240H160V160c0-17.64 14.34-32 32-32h256c17.66 0 32 14.36 32 32v80h40C533.3 240 544 250.7 544 264c0 11.88-8.789 21.3-20.12 23.22L524.6 288l-16.04 137.5l93.09-40.73C624.9 374.6 640 351.6 640 326.1V208.1C640 167.8 534.1 0 320 0z", "M520 240H120C106.7 240 96 250.7 96 264C96 277.3 106.7 288 120 288h27.61l24.48 209.8c.5527 4.738 4.955 14.16 15.9 14.16c4.312 0 8.536-1.746 11.6-4.98l54.41-57.27l54.41 57.27C311.4 510.2 315.6 512 320 512s8.594-1.797 11.59-4.984l54.41-57.27l54.41 57.27C443.5 510.3 447.7 512 452 512c11.04 0 15.36-9.445 15.91-14.16L492.4 288H520C533.3 288 544 277.3 544 264C544 250.7 533.3 240 520 240zM363.5 288L320 333.8L276.5 288H363.5zM184.1 324L179.9 288h46.24L184.1 324zM199.9 460.2l-8.955-76.79l40.96 43.11L199.9 460.2zM203.2 349.8l48.44-41.52l46.35 48.78l-43.94 46.25L203.2 349.8zM320 472.8l-43.94-46.24L320 380.3l43.94 46.25L320 472.8zM342.1 357l46.35-48.78l48.44 41.52l-50.84 53.52L342.1 357zM440.1 460.2l-32-33.68l40.96-43.11L440.1 460.2zM455.9 324L413.9 288h46.24L455.9 324z"]],
    "bat": [576, 512, [], "f6b5", ["M235.6 52.81L256 80H320L340.4 52.81C342.7 49.78 346.2 48 350 48C355.8 48 360.8 52.12 361.8 57.81L380.9 159.2L355.4 171.3C348.9 174.4 341.9 176 334.8 176H241.2C234.1 176 227.1 174.4 220.6 171.3L195.1 159.2L214.2 57.81C215.2 52.12 220.2 48 225.1 48C229.8 48 233.3 49.78 235.6 52.81z", "M355.4 171.3L452.6 125C468.8 117.3 488.1 121.4 499.7 135C548.9 192.4 576 265.6 576 341.2V378.8C576 388.6 565.8 394.9 557.1 390.5L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L18.93 390.5C10.23 394.9 0 388.6 0 378.8V341.2C0 265.6 27.05 192.4 76.27 135C87.91 121.4 107.2 117.3 123.4 125L220.6 171.3C227.1 174.4 234.1 176 241.2 176H334.8C341.9 176 348.9 174.4 355.4 171.3H355.4z"]],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", ["M96 256V77.25C95.97 66.45 111 60.23 118.6 67.88L132.4 81.66C123.6 108.6 129.4 134.5 144.2 153.2C137.9 159.5 137.8 169.8 144 176l11.31 11.31c6.248 6.248 16.38 6.248 22.63 0l105.4-105.4c6.248-6.248 6.248-16.38 0-22.63l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0C230.7 33.26 204.7 27.55 177.7 36.41L163.9 22.64C149.5 8.25 129.6 0 109.3 0C66.66 0 32 34.66 32 77.25v178.8L96 256z", "M32 384c0 28.32 12.49 53.52 32 71.09V496C64 504.8 71.16 512 80 512h32C120.8 512 128 504.8 128 496v-15.1h256V496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-40.9c19.51-17.57 32-42.77 32-71.09V352H32V384zM496 256h-480C7.164 256 0 263.2 0 272v32C0 312.8 7.164 320 16 320h480c8.836 0 16-7.164 16-16v-32C512 263.2 504.8 256 496 256z"]],
    "battery-bolt": [576, 512, [], "f376", ["M340.8 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H244.9C247.2 414.6 249.4 413 251.6 411.2L323.5 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H365.7C372.3 137.8 364.5 113.4 345.6 99.2C344.1 98.04 342.5 96.98 340.8 96H340.8zM187.2 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H283.1C280.8 97.41 278.6 98.1 276.4 100.8L204.5 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H162.3C155.7 374.2 163.5 398.6 182.4 412.8C183.9 413.1 185.5 415 187.2 416H187.2z", "M288.3 240H352C358.8 240 364.8 244.2 367.1 250.6C369.3 256.1 367.4 264.1 362.2 268.4L226.2 380.4C220.5 385 212.3 385.2 206.4 380.8C200.5 376.4 198.4 368.5 201.3 361.7L239.7 271.1H176C169.2 271.1 163.2 267.8 160.9 261.4C158.7 255 160.6 247.9 165.8 243.6L301.8 131.6C307.5 126.1 315.7 126.8 321.6 131.2C327.5 135.6 329.6 143.5 326.7 150.3L288.3 240z"]],
    "battery-empty": [576, 512, ["battery-0"], "f244", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", ""]],
    "battery-exclamation": [576, 512, [], "e0b0", ["M80 96H208V160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H198.7C194.4 361.8 192 372.6 192 384C192 395.4 194.4 406.2 198.7 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96V96zM352 384C352 372.6 349.6 361.8 345.3 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H336V96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H345.3C349.6 406.2 352 395.4 352 384z", "M296 296C296 309.3 285.3 320 272 320C258.7 320 248 309.3 248 296V120C248 106.7 258.7 96 272 96C285.3 96 296 106.7 296 120V296zM240 384C240 366.3 254.3 352 272 352C289.7 352 304 366.3 304 384C304 401.7 289.7 416 272 416C254.3 416 240 401.7 240 384z"]],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H448V320H96V192z"]],
    "battery-half": [576, 512, ["battery-3"], "f242", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H288V320H96V192z"]],
    "battery-low": [576, 512, ["battery-1"], "e0b1", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H160V320H96V192z"]],
    "battery-quarter": [576, 512, ["battery-2"], "f243", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H192V320H96V192z"]],
    "battery-slash": [640, 512, [], "f377", ["M481.4 352H496C504.8 352 512 344.8 512 336V176C512 167.2 504.8 160 496 160H236.4L154.8 96H496C540.2 96 576 131.8 576 176V192C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320V336C576 362.5 563.1 385.1 543.3 400.5L481.4 352zM324.9 352L406.2 416H112C67.82 416 32 380.2 32 336V176C32 159.6 36.92 144.4 45.35 131.7L96.5 172C96.17 173.3 95.1 174.6 95.1 176V336C95.1 344.8 103.2 352 111.1 352H324.9z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H352V320H96V192z"]],
    "bed": [640, 512, [128716], "f236", ["M96 208C96 163.8 131.8 128 176 128C220.2 128 256 163.8 256 208C256 252.2 220.2 288 176 288C131.8 288 96 252.2 96 208zM288 160C288 142.3 302.3 128 320 128H544C597 128 640 170.1 640 224V320H288V160z", "M32 32C49.67 32 64 46.33 64 64V320H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "bed-bunk": [576, 512, [], "f8f8", ["M192 48C192 74.51 170.5 96 144 96C117.5 96 96 74.51 96 48C96 21.49 117.5 0 144 0C170.5 0 192 21.49 192 48zM192 304C192 330.5 170.5 352 144 352C117.5 352 96 330.5 96 304C96 277.5 117.5 256 144 256C170.5 256 192 277.5 192 304zM448 0C518.7 0 576 57.31 576 128H224V16C224 7.164 231.2 0 240 0H448zM512 256V384H224V272C224 263.2 231.2 256 240 256H512z", "M32 0C49.67 0 64 14.33 64 32V128H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V32C0 14.33 14.33 0 32 0zM64 384H512V192H64V384z"]],
    "bed-empty": [640, 512, [128719], "f8f9", ["M64 224H544C568.3 224 590.6 233.1 607.5 248H608V248.4C627.6 266 640 291.6 640 320H64V224z", "M32 32C49.67 32 64 46.33 64 64V320H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", ["M0 288C0 252.7 28.65 224 64 224H448C483.3 224 512 252.7 512 288V352H0V288z", "M32 80C32 53.49 53.49 32 80 32H432C458.5 32 480 53.49 480 80V232.6C470.6 227.1 459.7 224 448 224H432V160C432 142.3 417.7 128 400 128H304C286.3 128 272 142.3 272 160V224H240V160C240 142.3 225.7 128 208 128H112C94.33 128 80 142.3 80 160V224H64C52.34 224 41.41 227.1 32 232.6V80zM512 352V448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V352H512z"]],
    "bed-pulse": [640, 512, ["procedures"], "f487", ["M353.4 191.1C364.6 207.9 384 217.3 404.1 215.8C424.3 214.4 442.1 202.1 450.7 183.8L461.9 160H544C597 160 640 202.1 640 256V352H288V192C288 174.3 302.3 160 320 160H332.7L353.4 191.1zM256 240C256 284.2 220.2 320 176 320C131.8 320 96 284.2 96 240C96 195.8 131.8 160 176 160C220.2 160 256 195.8 256 240z", "M524 64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H512C504.4 112 497.3 108.4 492.8 102.4L468.7 70.31L421.7 170.2C418 178.1 410.4 183.3 401.8 183.9C393.1 184.6 384.8 180.5 380 173.3L339.2 112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H352C360 64 367.5 68.01 371.1 74.69L396.4 111.3L442.3 13.78C445.9 6.163 453.2 .9806 461.6 .1246C469.9-.7314 478.1 2.865 483.2 9.6L524 64zM64 352H640V480C640 497.7 625.7 512 608 512C590.3 512 576 497.7 576 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V352z"]],
    "bee": [576, 512, [], "e0b2", ["M193.3 416h189.5c7.52-10.19 14.5-20.93 20.76-32H172.5C178.8 395.1 185.7 405.8 193.3 416zM152.3 336h271.4c2.834-10.59 4.555-21.28 4.84-32H147.5C147.7 314.7 149.5 325.4 152.3 336zM288 512c0 0 24.78-18.69 53.5-48H234.5C263.2 493.3 288 512 288 512zM448 95.1c-27.72 0-55.38 9.465-80.73 22.73c-1.732 20.65-11.2 38.83-25.63 52.03c11.44 4.789 22.22 11.14 31.91 18.62C401.6 170.5 427.5 160 448 160c34.67 0 64 21.92 64 48C512 233.1 482.7 256 448 256c-8.865 0-19.02-2.6-29.64-6.322C414.9 240.7 411 231.1 405.8 224H170.2C163.8 233.8 158.1 244.7 155.1 256h265.7c4.773 14.15 7.951 29.04 7.945 44.8c0 1.068-.2266 2.133-.2559 3.201c-.125 4.727-.5566 9.452-1.213 14.16C434.2 319.2 441.1 320 448 320c70.67 0 128-50.12 128-111.1C576 146.2 518.7 95.1 448 95.1zM155.1 256c.7305-2.166 1.695-4.205 2.5-6.332C147 253.4 136.8 256 127.1 256C93.29 256 64 234 64 207.1C64 192.9 73.79 182.1 79.62 176.1C91.93 166.2 109.5 159.1 127.1 160c20.47 0 46.42 10.53 74.42 29.38C212.1 181.9 222.8 175.6 234.3 170.8C219.8 157.6 210.4 139.4 208.7 118.7C183.3 105.5 155.7 95.1 128 95.1C57.33 95.99 0 146.1 0 207.1C0 269.8 57.29 320 127.1 320C134.9 320 141.8 319.2 148.7 318.2C148 313.5 147.6 308.7 147.5 304C147.4 302.9 147.2 301.9 147.2 300.8C147.2 285 150.4 270.1 155.1 256z", "M342.1 170.9c4.611-4.236 8.76-8.973 12.28-14.18c5.75-8.512 9.906-18.19 12.04-28.61C367.4 122.9 368 117.5 368 111.1c0-20.4-7.832-38.84-20.4-52.97l31.71-31.71c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-34.99 34.99C311.4 34.88 300.1 31.1 288 31.1c-5.523 0-10.92 .5618-16.12 1.628c-6.189 1.266-12 3.445-17.58 6.051L219.3 4.688c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.4 58.99C215.8 73.12 208 91.59 208 111.1c0 5.523 .5586 10.92 1.625 16.13c2.131 10.42 6.287 20.09 12.04 28.61C225.2 161.1 229.6 166.5 234.3 170.8C207.1 181.7 185.6 200.4 170.2 224h235.6C390.5 200.5 368.3 181.9 342.1 170.9zM234.5 464h107c13.61-13.89 28.02-30.1 41.23-48H193.3C206.5 433.9 220.9 450.1 234.5 464zM420.9 256H155.1c-4.773 14.15-7.951 29.04-7.945 44.8c0 1.068 .2266 2.134 .2559 3.203h281.1c.0293-1.068 .2559-2.133 .2559-3.201C428.8 285 425.6 270.1 420.9 256zM172.5 384h230.1c8.742-15.45 15.8-31.55 20.21-48H152.3C156.7 352.4 163.8 368.6 172.5 384z"]],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", ["M432 160h-43.9C372.7 170 354.9 176 336 176c-18.12 0-35.66-5.094-50.92-14.76c-.2246 .1504-.4687 .3379-.7187 .5723C263.6 181.3 236.5 192 207.1 192S152.4 181.3 131.6 161.8C131.4 161.6 131.1 161.4 130.9 161.2C115.7 170.9 98.12 176 80 176C62.76 176 46.46 170.1 32 162.5L31.1 448c0 35.35 28.65 64 64 64h223.1c35.35 0 64-28.65 64-64l80.66-36.02C493.5 399.1 512 370.5 512 339V240C512 195.8 476.2 160 432 160zM160 432C160 440.9 152.9 448 143.1 448S128 440.9 128 432l-.0099-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L160 432zM224 432C224 440.9 216.9 448 207.1 448S192 440.9 192 432l-.0083-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L224 432zM288 432c0 8.875-7.125 16-16 16S256 440.9 256 432l-.0066-192c0-8.875 7.126-16 16-16s15.1 7.125 15.1 16L288 432zM448 339c0 6.25-3.75 12-9.5 14.62L384 377.9V224h48C440.9 224 448 231.1 448 240V339z", "M398.5 66.12c-4.861-23.15-23.39-42.46-46.36-48.12c-18.08-4.455-35.17-1.193-48.89 7.119c-13.33 8.072-29.44 7.051-40.82-3.598C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C142.2 32.17 126 33.19 112.7 25.12C98.99 16.8 81.9 13.54 63.82 17.1c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144c13.06 0 25.13-3.955 35.2-10.71c12.02-8.062 27.75-4.727 38.31 5.164C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c10.56-9.891 26.29-13.23 38.31-5.164C310.9 140 322.9 144 335.1 144C375.9 144 407.2 107.5 398.5 66.12zM143.1 224C135.1 224 127.1 231.1 127.1 240L128 432C128 440.9 135.1 448 143.1 448S160 440.9 160 432l-.0091-192C159.1 231.1 152.9 224 143.1 224zM207.1 224C199.1 224 191.1 231.1 191.1 240L192 432C192 440.9 199.1 448 207.1 448S224 440.9 224 432l-.0075-192C223.1 231.1 216.9 224 207.1 224zM271.1 224c-8.875 0-16 7.125-16 16L256 432c0 8.875 7.125 16 15.1 16S288 440.9 288 432l-.0058-192C287.1 231.1 280.9 224 271.1 224z"]],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", ["M432 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v352c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-32.08l80.66-35.94C493.5 335.1 512 306.5 512 275V176C512 131.8 476.2 96 432 96zM160 368C160 376.9 152.9 384 144 384S128 376.9 128 368v-224C128 135.1 135.1 128 144 128S160 135.1 160 144V368zM224 368C224 376.9 216.9 384 208 384S192 376.9 192 368v-224C192 135.1 199.1 128 208 128S224 135.1 224 144V368zM288 368c0 8.875-7.125 16-16 16S256 376.9 256 368v-224C256 135.1 263.1 128 272 128S288 135.1 288 144V368zM448 275c0 6.25-3.75 12-9.5 14.62L384 313.9V160h48C440.9 160 448 167.1 448 176V275z", "M144 128C135.1 128 128 135.1 128 144v224C128 376.9 135.1 384 144 384S160 376.9 160 368v-224C160 135.1 152.9 128 144 128zM208 128C199.1 128 192 135.1 192 144v224C192 376.9 199.1 384 208 384S224 376.9 224 368v-224C224 135.1 216.9 128 208 128zM272 128C263.1 128 256 135.1 256 144v224c0 8.875 7.125 16 16 16s16-7.125 16-16v-224C288 135.1 280.9 128 272 128z"]],
    "bell": [448, 512, [61602, 128276], "f0f3", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256z", "M288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288z"]],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", ["M215.1 112H232v33.32C239.9 144.5 247.9 144 256 144s16.11 .4844 24 1.324V112h16C309.3 112 320 101.3 320 88S309.3 64 296 64H215.1C202.7 64 192 74.75 192 87.1S202.7 112 215.1 112zM488 400h-464C10.75 400 0 410.7 0 423.1C0 437.3 10.75 448 23.1 448h464c13.25 0 24-10.75 24-23.1C512 410.7 501.3 400 488 400z", "M480 368H32c0-123.7 100.3-224 224-224S480 244.3 480 368z"]],
    "bell-exclamation": [448, 512, [], "f848", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 288C206.3 288 192 302.3 192 320C192 337.7 206.3 352 224 352C241.7 352 256 337.7 256 320C256 302.3 241.7 288 224 288zM248 136C248 122.7 237.3 112 224 112C210.7 112 200 122.7 200 136V232C200 245.3 210.7 256 224 256C237.3 256 248 245.3 248 232V136z", "M224 112C237.3 112 248 122.7 248 136V232C248 245.3 237.3 256 224 256C210.7 256 200 245.3 200 232V136C200 122.7 210.7 112 224 112zM256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"]],
    "bell-on": [640, 512, [128365], "f8fa", ["M352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C536 408.6 524.6 416 512 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V208C160 130.6 214.1 66.03 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32H352z", "M522.7 85.47C510.9 91.39 496.5 86.59 490.5 74.73C484.6 62.88 489.4 48.46 501.3 42.53L565.3 10.53C577.1 4.606 591.5 9.412 597.5 21.27C603.4 33.12 598.6 47.54 586.7 53.47L522.7 85.47zM0 200C0 186.7 10.75 176 24 176H104C117.3 176 128 186.7 128 200C128 213.3 117.3 224 104 224H24C10.75 224 0 213.3 0 200zM512 200C512 186.7 522.7 176 536 176H616C629.3 176 640 186.7 640 200C640 213.3 629.3 224 616 224H536C522.7 224 512 213.3 512 200zM74.73 10.53L138.7 42.53C150.6 48.46 155.4 62.88 149.5 74.73C143.5 86.59 129.1 91.39 117.3 85.47L53.27 53.47C41.41 47.54 36.61 33.12 42.53 21.27C48.46 9.412 62.88 4.606 74.73 10.53V10.53zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z"]],
    "bell-plus": [448, 512, [], "f849", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM200 176V216H160C146.7 216 136 226.7 136 240C136 253.3 146.7 264 160 264H200V304C200 317.3 210.7 328 224 328C237.3 328 248 317.3 248 304V264H288C301.3 264 312 253.3 312 240C312 226.7 301.3 216 288 216H248V176C248 162.7 237.3 152 224 152C210.7 152 200 162.7 200 176z", "M224 152C237.3 152 248 162.7 248 176V216H288C301.3 216 312 226.7 312 240C312 253.3 301.3 264 288 264H248V304C248 317.3 237.3 328 224 328C210.7 328 200 317.3 200 304V264H160C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216H200V176C200 162.7 210.7 152 224 152zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"]],
    "bell-school": [512, 512, [], "f5d5", ["M416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM208 128C163.8 128 128 163.8 128 208C128 252.2 163.8 288 208 288C252.2 288 288 252.2 288 208C288 163.8 252.2 128 208 128z", "M160 208C160 181.5 181.5 160 208 160C234.5 160 256 181.5 256 208C256 234.5 234.5 256 208 256C181.5 256 160 234.5 160 208zM208 416C263.9 416 314.6 393.1 352 358.1V464H392C410.6 464 426.7 453.4 434.7 438C423.3 429.2 416 415.5 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 419.4 500.5 436.1 483.1 443.7C472.1 483.2 435.4 512 392 512H112C85.49 512 64 490.5 64 464V358.1C101.4 393.1 152.1 416 208 416z"]],
    "bell-school-slash": [640, 512, [], "f5d6", ["M496.5 363.8C504.9 356.5 515.9 352 528 352C554.5 352 576 373.5 576 400C576 407.9 574.1 415.4 570.7 421.1L496.5 363.8zM343.5 243.9C348.9 233.1 352 220.9 352 208C352 163.8 316.2 128 272 128C252.2 128 234 135.2 220 147.2L118.5 67.6C156.6 26.05 211.2 0 272 0C386.9 0 480 93.12 480 208C480 250.7 467.1 290.5 445 323.5L343.5 243.9zM246.1 167.6C253.6 162.8 262.5 160 272 160C298.5 160 320 181.5 320 208C320 213.4 319.1 218.6 317.4 223.5L246.1 167.6zM64 208C64 188.7 66.62 170.1 71.53 152.4L372.1 389.9C343.1 406.5 308.7 416 272 416C157.1 416 64 322.9 64 207.1V208zM272 448C319 448 362.9 434.5 399.9 411.1L416 423.8V464H456C459.4 464 462.6 463.7 465.8 462.1L508.3 496.5C493.3 506.3 475.3 512 456 512H176C149.5 512 128 490.5 128 464V400C168.1 430.1 217.1 448 272 448V448z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", ["M186 120.5C209 85.37 245.4 59.84 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C540.1 397.5 540.8 397.1 540.6 398.4L186 120.5zM160 226.8V222.1L406.2 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V226.8zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bells": [640, 512, [], "f77f", ["M249.5 296.7C261.2 328.5 262.4 363.2 253.1 395.8L251.9 399.7L21.4 315.8C10.03 311.7 1.976 301.5 .5931 289.5C-.7903 277.5 4.729 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C232.4 88.2 203.2 170.3 230.8 245.5L249.5 296.7zM260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8L260.8 234.6z", "M158.4 447.9C122.8 447.9 93.91 419.2 93.91 383.7C93.91 381.1 94.05 378.6 94.34 376.1L211.9 419.5C200.3 436.7 180.7 447.9 158.4 447.9V447.9zM480.8 480C459.6 480 440.8 469.9 429.1 454.1L545.2 411.9C545.3 413.2 545.3 414.5 545.3 415.8C545.3 451.3 516.4 480 480.8 480V480z"]],
    "bench-tree": [640, 512, [], "e2e7", ["M640 176C640 220.2 604.2 256 560 256H544v224c0 17.69-14.31 32-32 32s-32-14.31-32-32V256h-16C419.8 256 384 220.2 384 176c0-26.8 13.29-50.38 33.52-64.89C416.7 106.2 416 101.2 416 96c0-53.02 42.98-96 96-96s96 42.98 96 96c0 5.174-.7363 10.15-1.523 15.11C626.7 125.6 640 149.2 640 176z", "M360 352H320v-32h32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v96h32v32H24C10.75 352 0 362.7 0 376v16C0 405.3 10.75 416 24 416H32v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h192v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h8c13.25 0 24-10.75 24-24v-16C384 362.7 373.3 352 360 352zM288 352H96v-32h192V352z"]],
    "bezier-curve": [640, 512, [], "f55b", ["M240 144C240 153.1 243 163.2 248.2 170.9C189.2 196.6 146.6 253 140.7 320H84.53C89.56 244.1 129.6 179.6 188.5 140H121.6C111.2 161.3 89.3 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C89.3 48 111.2 62.69 121.6 84H240V144zM400 144V84H518.4C528.8 62.69 550.7 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C550.7 176 528.8 161.3 518.4 140H451.5C510.4 179.6 550.4 244.1 555.5 320H499.3C493.4 253 450.8 196.6 391.8 170.9C396.1 163.2 400 153.1 400 144H400z", "M240 80C240 53.49 261.5 32 288 32H352C378.5 32 400 53.49 400 80V144C400 170.5 378.5 192 352 192H288C261.5 192 240 170.5 240 144V80zM344 136V88H296V136H344zM144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320H144zM88 376V424H136V376H88zM560 320C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320H560zM504 376V424H552V376H504z"]],
    "bicycle": [640, 512, [128690], "f206", ["M458.6 303.7C447 316.5 440 333.4 440 352C440 391.8 472.2 424 512 424C551.8 424 584 391.8 584 352C584 312.2 551.8 280 512 280C508.2 280 504.5 280.3 500.8 280.9L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L458.6 303.7zM127.1 224C138.7 224 149.2 225.3 159.2 227.8L133.1 280.2C131.4 280.1 129.7 280 127.1 280C88.24 280 55.1 312.2 55.1 352C55.1 391.8 88.24 424 127.1 424C162.3 424 190.9 400.1 198.2 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224H127.1z", "M347.2 32C358.1 32 369.8 38.44 375.4 48.78L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L409.4 212.7L324.7 356.2C320.3 363.5 312.5 368 304 368H133.2C112.1 368 99.81 346.7 108.8 328.6L185.8 174.7L163.7 144H120C106.7 144 96 133.3 96 120C96 106.7 106.7 96 120 96H176C183.7 96 190.1 99.71 195.5 105.1L222.9 144H372.3L337.7 80H311.1C298.7 80 287.1 69.25 287.1 56C287.1 42.75 298.7 32 311.1 32H347.2zM290.3 320L290.4 319.9L217.5 218.7L166.8 320H290.3zM257.4 192L317 274.8L365.9 192H257.4z"]],
    "binary": [384, 512, [], "e33b", ["M128 0C163.3 0 192 28.65 192 64V160C192 195.3 163.3 224 128 224H64C28.65 224 0 195.3 0 160V64C0 28.65 28.65 0 64 0H128zM64 160H128V64H64V160zM320 288C355.3 288 384 316.7 384 352V448C384 483.3 355.3 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z", "M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.6 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM111.1 448H127.1C145.7 448 159.1 462.3 159.1 480C159.1 497.7 145.7 512 127.1 512H31.1C14.33 512-.0003 497.7-.0003 480C-.0003 462.3 14.33 448 31.1 448H47.1V364.4L42.12 366.4C25.35 371.9 7.231 362.9 1.642 346.1C-3.947 329.4 5.114 311.2 21.88 305.6L69.88 289.6C79.64 286.4 90.37 288 98.71 294C107.1 300.1 112 309.7 112 320L111.1 448z"]],
    "binary-circle-check": [640, 512, [], "e33c", ["M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM112 448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294C107.1 300.1 112 309.7 112 320L112 448zM.0086 64C.0086 28.65 28.66 .0001 64.01 .0001H128C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64zM128 64H64.01V160H128V64zM320 288C323.4 288 326.7 288.3 329.9 288.8C320.6 308.2 314.6 329.5 312.7 352H256V448L330.3 448C338.7 465.5 349.8 481.4 363.1 495.3C351.8 505.7 336.6 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "binary-lock": [640, 512, [], "e33d", ["M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM112 448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294C107.1 300.1 112 309.7 112 320L112 448zM.0086 64C.0086 28.65 28.66 .0001 64.01 .0001H128C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64zM128 64H64.01V160H128V64zM320 288C355.4 288 384 316.7 384 352V448C384 483.3 355.4 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "binary-slash": [640, 512, [], "e33e", ["M399.7 288H448C483.3 288 512 316.7 512 352V375.1L399.7 288zM236.4 160H255.1V64H191.1V125.2L127.1 75.02V64C127.1 28.65 156.7 0 191.1 0H255.1C291.3 0 319.1 28.65 319.1 64V160C319.1 179.3 311.5 196.5 298 208.3L236.4 160zM464 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224H384C366.3 224 352 209.7 352 192C352 174.3 366.3 160 384 160H400V76.4L394.1 78.36C377.4 83.95 359.2 74.89 353.6 58.12C348.1 41.35 357.1 23.23 373.9 17.64L421.9 1.643C431.6-1.61 442.4 .0262 450.7 6.041C459.1 12.06 464 21.71 464 32L464 160zM239.1 448H255.1C273.7 448 287.1 462.3 287.1 480C287.1 497.7 273.7 512 255.1 512H159.1C142.3 512 127.1 497.7 127.1 480C127.1 462.3 142.3 448 159.1 448H175.1V364.4L170.1 366.4C153.4 371.9 135.2 362.9 129.6 346.1C124.1 329.4 133.1 311.2 149.9 305.6L197.9 289.6C207.6 286.4 218.4 288 226.7 294C235.1 300.1 240 309.7 240 320L239.1 448zM319.1 352C319.1 350.7 320 349.5 320.1 348.2L384 398.5V448H446.8L497.8 488.2C486.1 502.7 468.1 512 448 512H384C348.7 512 319.1 483.3 319.1 448V352z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "binoculars": [512, 512, [], "f1e5", ["M400 32h-64C327.1 32 320 39.13 320 48V96h96.04L416 48C416 39.13 408.9 32 400 32zM224 288h64V128H224V288zM176 32h-64C103.1 32 96 39.13 96 48L95.96 96H192V48C192 39.13 184.9 32 176 32z", "M63.88 160.1C61.34 253.9 3.5 274.3 0 404V448c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32V288h32V128H95.88C78.26 128 64.35 142.5 63.88 160.1zM448.1 160.1C447.6 142.5 433.7 128 416.1 128H288v160h32v160c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32v-44C508.5 274.3 450.7 253.9 448.1 160.1z"]],
    "biohazard": [576, 512, [9763], "f780", ["M429.8 293.9c-5.119 32.96-21.23 62.08-44.75 83.68c1.152 22.77 10.74 44.63 27.22 60.92c47.45-35.44 79.13-90.58 83.1-153.4C472.8 278.1 449.7 282.4 429.8 293.9zM205.9 80.78c8.4 23.2 25.46 42.01 47.39 51.8c26.22-6.551 45.37-6.025 69.52 .0254c21.93-9.777 39.07-28.55 47.48-51.75C345 69.98 317.3 63.94 288.1 63.94C258.9 63.94 231.1 69.93 205.9 80.78zM80.67 285.1c3.975 62.79 35.66 117.1 83.13 153.4c16.46-16.26 26.03-38.19 27.14-61.01c-23.49-21.59-39.59-50.67-44.71-83.6C126.9 282.7 103.8 278.8 80.67 285.1z", "M575.5 283.5c-13.13-39.11-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.75 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2c-2.5-3-6.625-3.623-10-1.75c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748c-3.375-1.873-7.502-1.25-10 1.75C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.24-74.38 92.35c-1.25 3.75 .25 7.748 3.5 9.748c3.375 2 7.5 1.375 10-1.5c9.377-10.87 19-19.12 29.25-25.12c57.25-33.87 130.8-13.75 163.9 44.99c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.25-6.377 8.123c.125 4 2.75 7.248 6.502 7.998c39.75 7.748 80.63 .7495 115.3-19.74c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99c34.5 20.49 75.51 27.49 115.1 19.74c3.875-.75 6.375-3.998 6.5-7.998c0-3.873-2.625-7.248-6.375-8.123c-13.88-2.873-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c33.13-58.73 106.6-78.85 164-44.99c10.12 6.123 19.75 14.25 29.13 25.12c2.5 2.875 6.752 3.5 10 1.5C575.4 291.2 576.9 287.2 575.5 283.5zM287.1 320.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99c26.5 0 48.01 21.49 48.01 47.99C335.1 298.6 314.5 320.1 287.1 320.1z"]],
    "bird": [512, 512, [], "e469", ["M221 415.1L253.2 476.8C259.4 488.5 254.9 503 243.2 509.2C231.5 515.4 216.1 510.9 210.8 499.2L162.1 407.4C180.9 412.7 200.6 415.7 221 415.1V415.1zM308.3 399.6L349.2 476.8C355.4 488.5 350.9 503 339.2 509.2C327.5 515.4 312.1 510.9 306.8 499.2L261.1 412.9C277.5 410.2 293.3 405.7 308.3 399.6V399.6zM448 95.1C448 90.45 447.5 85.01 446.6 79.71L504.2 114.3C509 117.2 512 122.4 512 127.1C512 133.6 509 138.8 504.2 141.7L448 175.5V95.1z", "M28.44 160H224C241.7 160 256 145.7 256 128V96C256 42.98 298.1 0 352 0C405 0 448 42.98 448 96V192C448 315.7 347.7 416 224 416C100.3 416 0 315.7 0 192V188.4C0 172.7 12.74 160 28.44 160zM352 144C365.3 144 376 133.3 376 120C376 106.7 365.3 96 352 96C338.7 96 328 106.7 328 120C328 133.3 338.7 144 352 144z"]],
    "bitcoin-sign": [320, 512, [], "e0b4", ["M48 32C48 14.33 62.33 0 80 0C97.67 0 112 14.33 112 32V64H48V32zM112 448V480C112 497.7 97.67 512 80 512C62.33 512 48 497.7 48 480V448H112zM208 448V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V448H208zM176 64H144V32C144 14.33 158.3 0 176 0C193.7 0 208 14.33 208 32V64C208 65.54 207.9 67.06 207.7 68.54C197.6 65.59 187 64 176 64z", "M0 101.6C0 80.82 16.82 64 37.57 64H176C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H41.74C18.69 448 0 429.3 0 406.3V101.6zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"]],
    "blanket": [448, 512, [], "f498", ["M448 128c0 0-.0918 133.7-.2773 173.3C446.2 258.4 411.2 224 368 224H128c-70.58 0-128 57.42-128 128V128c0-52.88 43.13-96 96-96h256C404.9 32 448 75.13 448 128z", "M448 432v32c0 8.75-7.25 16-16 16H128c-70.75 0-128-57.25-128-128c0-70.58 57.42-128 128-128h240c43.17 0 78.24 34.44 79.72 77.26l-.0977 11.12C443.4 354 405.1 384 363.3 384H128c-17.75 0-32-14.25-32-32s14.25-32 32-32h240c8.75 0 16-7.25 16-16S376.8 288 368 288H128c-35.25 0-64 28.75-64 64s28.75 64 64 64h304C440.8 416 448 423.3 448 432z"]],
    "blanket-fire": [640, 512, [], "e3da", ["M352 0H96C42.88 0 0 42.98 0 96v224c0 70.69 57.28 128 128 128h186.2c-11.2-19.52-19.2-41.15-23.36-64H128c-35.2 0-64-28.64-64-64s28.8-64 64-64h189.4C320 251.5 322.6 247.1 325.1 242.7c21.76-35.17 51.84-71.23 87.36-102.8C422.4 130.9 435.5 127 448 128.2V96C448 42.98 405.1 0 352 0zM96 320c0 17.66 14.4 32 32 32h160v-1.92C288 329.9 293.4 308.8 301.8 288H128C110.4 288 96 302.3 96 320z", "M616 273.2c-15.04-28.48-35.84-58.46-60.48-81.15C549.8 186.9 541.1 186.9 535.4 192c-9.598 8.768-18.56 19.62-26.24 29.5c-17.28-20.77-35.84-39.97-55.68-57.73C448 158.8 439.4 158.8 433.9 163.7c-33.28 29.7-61.44 63.42-81.6 95.78C332.8 291.5 320 323.7 320 350.1C320 437.9 390.4 512 480 512c88.64 0 160-74.11 160-161.9C640 329.9 630.4 301.2 616 273.2zM529.9 432.1C514.9 443 498.9 448 480.1 448C435.8 448 400 419 400 369.1c0-24 15.04-44.99 45.12-81.98c3.84 4.992 61.76 79.01 61.76 79.01l36.16-42.02c2.883 4 4.801 8 7.039 12C568 369.1 560 412 529.9 432.1z"]],
    "blender": [512, 512, [], "f517", ["M336 64h158.5L512 0H48C21.49 0 0 21.49 0 48v160C0 234.5 21.49 256 48 256h103.3L160 352h256l17.49-64H336C327.2 288 320 280.8 320 272S327.2 256 336 256h106.1l17.49-64H336C327.2 192 320 184.8 320 176S327.2 160 336 160h132.4l17.49-64H336C327.2 96 320 88.8 320 80S327.2 64 336 64zM64 192V64h69.88L145.5 192H64z", "M336 288h97.49l8.659-32H336C327.2 256 320 263.2 320 272C320 280.8 327.2 288 336 288zM336 192h123.6l8.742-32H336C327.2 160 320 167.2 320 176C320 184.8 327.2 192 336 192zM336 64C327.2 64 320 71.16 320 80C320 88.84 327.2 96 336 96h149.9l8.659-32H336zM416 384H160c-35.38 0-64 28.62-64 64l-.0001 32c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32l.0003-32C480 412.6 451.4 384 416 384zM288 480c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 480 288 480z"]],
    "blender-phone": [576, 512, [], "f6b6", ["M399.1 64h158.5L576 .008L191.1 .006l-.0023 351.1h288l17.49-64h-97.49c-8.801 0-16-7.199-16-15.1s7.199-15.1 16-15.1h106.1l17.49-63.1h-123.6c-8.801 0-16-7.199-16-15.1s7.199-15.1 16-15.1h132.4l17.49-63.1h-149.9c-8.801 0-16-7.199-16-15.1S391.2 64 399.1 64z", "M115.7 122.6c7.5 .75 14.5-3.499 17.25-10.25l25.75-63.25c3.125-7.373 .2499-15.87-6.625-20.12L112.9 4.887C98.49-3.863 80.11-.4869 68.99 12.01C-23.64 115.6-23.01 271.5 70.99 374.5c9.875 10.75 29.13 12.5 41.75 4.75l39.38-24.12c6.875-4.25 9.625-12.75 6.625-20.12L132.1 271.7C130.2 264.1 123.2 260.7 115.7 261.5l-45 4.374c-17.25-46.87-17.63-99.75 0-147.6L115.7 122.6zM399.1 288h97.49l8.659-31.1h-106.1c-8.836 0-16 7.162-16 15.1C383.1 280.8 391.2 288 399.1 288zM399.1 192h123.6l8.742-31.1h-132.4c-8.836 0-16 7.162-16 15.1C383.1 184.8 391.2 192 399.1 192zM399.1 64c-8.836 0-16 7.162-16 15.1c0 8.836 7.164 15.1 16 15.1h149.9l8.659-31.1H399.1zM479.1 384H224c-35.38 0-63.1 28.62-63.1 63.1l-.0052 32c0 17.62 14.37 31.1 31.1 31.1L511.1 512c17.62 0 32-14.37 32-31.1l.0019-31.1C543.1 412.6 515.4 384 479.1 384zM352 480c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1S369.6 480 352 480z"]],
    "blinds": [512, 512, [], "f8fb", ["M96 226.1V160H16L0 256h67.02C71.77 242.4 82.38 231.7 96 226.1zM96 64H10.71L0 128h96V64zM501.3 64H128v64h384L501.3 64zM128 160v66.98C141.6 231.7 152.3 242.4 157 256H512l-16-96H128zM157 288C150.4 307.1 132.3 320 112 320S73.63 307.1 67 288H16L0 384h512l-16-96H157zM16 416L0 512h512l-16-96H16z", "M511.1 16L512 48C512 56.84 504.8 64 495.1 64H128v162.1C146.6 233.6 160 251.1 160 272C160 298.5 138.5 320 112 320S64 298.5 64 272c0-20.87 13.4-38.41 32-45.02V64H16C7.165 64 0 56.84 0 48l.0033-32c0-8.838 7.163-16 15.1-16H495.1C504.8 0 511.1 7.162 511.1 16z"]],
    "blinds-open": [512, 512, [], "f8fc", ["M96 64H16L0 112h96V64zM496 64H128v48h384L496 64zM96 210.9V192H16L0 240h66.94C71.79 226.5 82.44 215.8 96 210.9zM128 192v18.94C141.6 215.8 152.2 226.5 157.1 240H512L496 192H128zM16 320L0 368h512L496 320H16zM16 464L0 512h512l-16-48H16z", "M512 16v32C512 56.84 504.8 64 496 64H128v146.9C146.6 217.5 160 235.1 160 256c0 26.51-21.49 48-48 48S64 282.5 64 256c0-20.87 13.4-38.45 32-45.06V64H16C7.164 64 0 56.84 0 48v-32C0 7.162 7.164 0 16 0h480C504.8 0 512 7.162 512 16z"]],
    "blinds-raised": [512, 512, [], "f8fd", ["M96 127.8H0l15.99-63.85c.0215 0-.0215 0 0 0L96 63.99V127.8zM96 159.8H16L0 223.8l96 .0234V159.8zM128 159.9L128 223.8l384-.0234l-16-63.98L128 159.9zM496 63.99L128 63.99v63.85h384L496 63.99C495.1 63.99 496 63.99 496 63.99z", "M511.1 15.99L512 47.99c0 8.836-7.152 16-15.99 16L128 63.99l.0013 354.8c21.1 7.75 35.25 30.23 31.25 53.23C155.4 495.1 135.4 512 112 512s-43.38-16.87-47.25-39.99C60.75 449 73.1 426.5 96 418.8V63.99L15.99 63.99C7.152 63.99 0 56.82 0 47.99l.0033-31.99C.0033 7.157 7.167 0 16 0H495.1C504.8 0 511.1 7.157 511.1 15.99z"]],
    "block": [448, 512, [], "e46a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z", "M48 104C48 90.75 58.75 80 72 80C85.25 80 96 90.75 96 104C96 117.3 85.25 128 72 128C58.75 128 48 117.3 48 104zM352 104C352 90.75 362.7 80 376 80C389.3 80 400 90.75 400 104C400 117.3 389.3 128 376 128C362.7 128 352 117.3 352 104zM96 408C96 421.3 85.25 432 72 432C58.75 432 48 421.3 48 408C48 394.7 58.75 384 72 384C85.25 384 96 394.7 96 408zM352 408C352 394.7 362.7 384 376 384C389.3 384 400 394.7 400 408C400 421.3 389.3 432 376 432C362.7 432 352 421.3 352 408z"]],
    "block-brick": [448, 512, ["wall-brick"], "e3db", ["M96 32H352V112H96V32zM0 112V96C0 60.65 28.65 32 64 32V112H0zM208 144V240H0V144H208zM0 368V272H64V368H0zM208 400V480H64C28.65 480 0 451.3 0 416V400H208zM448 400V416C448 451.3 419.3 480 384 480H240V400H448zM384 368V272H448V368H384zM96 368V272H352V368H96zM448 144V240H240V144H448zM384 112V32C419.3 32 448 60.65 448 96V112H384z", "M64 32H96V112H352V32H384V112H448V144H240V240H448V272H384V368H448V400H240V480H208V400H0V368H64V272H0V240H208V144H0V112H64V32zM352 368V272H96V368H352z"]],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", ["M384 112H128V32H384V112zM96 32V112H32V96C32 60.65 60.65 32 96 32zM32 240V144H240V240H32zM96 272V368H32V272H96zM32 416V400H240V480H96C60.65 480 32 451.3 32 416zM272 480V400H294.5C302.5 429.1 317.4 457.4 337.6 480H272zM479.4 144H480V144.6C479.8 144.4 479.6 144.2 479.4 144zM326.9 240H272V144H407.9C375.4 173.8 347.5 207.2 326.9 240zM288 350.1C288 356.1 288.3 362.1 288.8 368H128V272H308.1C296.5 297.7 288 324.7 288 350.1zM480 96V112H416V32C451.3 32 480 60.65 480 96z", "M433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7V163.7zM480.1 448C499 448 515 442.1 530 432.1C560 412 568 370 550 336.1C548 332.1 546 328.1 543 324.1L507 366.1C507 366.1 448.1 292.1 444.1 287.1C415 324.1 400 346 400 370C400 418.1 436 448 480.1 448z"]],
    "block-question": [448, 512, [], "e3dd", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM258 176C270.2 176 280 185.8 280 197.1C280 205.7 275.1 212.8 269.3 216.8L211.7 251.4C204.4 255.8 200 263.6 200 272V288C200 301.3 210.7 312 224 312C237.3 312 248 301.3 248 288V285.6L294 257.1C315.1 245.3 328 222.5 328 197.1C328 159.3 296.7 127.1 258 127.1H200C164.7 127.1 136 156.7 136 191.1V199.1C136 213.3 146.7 223.1 160 223.1C173.3 223.1 184 213.3 184 199.1V191.1C184 183.2 191.2 175.1 200 175.1L258 176zM224 400C241.7 400 256 385.7 256 368C256 350.3 241.7 336 224 336C206.3 336 192 350.3 192 368C192 385.7 206.3 400 224 400zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z", "M48 104C48 90.75 58.75 80 72 80C85.25 80 96 90.75 96 104C96 117.3 85.25 128 72 128C58.75 128 48 117.3 48 104zM352 104C352 90.75 362.7 80 376 80C389.3 80 400 90.75 400 104C400 117.3 389.3 128 376 128C362.7 128 352 117.3 352 104zM96 408C96 421.3 85.25 432 72 432C58.75 432 48 421.3 48 408C48 394.7 58.75 384 72 384C85.25 384 96 394.7 96 408zM352 408C352 394.7 362.7 384 376 384C389.3 384 400 394.7 400 408C400 421.3 389.3 432 376 432C362.7 432 352 421.3 352 408z"]],
    "block-quote": [448, 512, [], "e0b5", ["M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM128 256C128 238.3 142.3 224 160 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H160C142.3 288 128 273.7 128 256zM416 384C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H160C142.3 448 128 433.7 128 416C128 398.3 142.3 384 160 384H416z", "M0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V256z"]],
    "blog": [512, 512, [], "f781", ["M224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM217.6 96.1c-12.95-.625-24.66 9.156-25.52 22.37C191.2 131.7 201.2 143.1 214.4 143.1c79.53 5.188 148.4 74.09 153.6 153.6c.8281 12.69 11.39 22.43 23.94 22.43c.5156 0 1.047-.0313 1.578-.0625c13.22-.8438 23.25-12.28 22.39-25.5C409.3 191.8 320.3 102.8 217.6 96.1z", "M172.3 226.8C157.7 223.9 144 235.8 144 250.6v50.37c0 10.25 7.127 18.37 16.75 21.1c18.13 6.75 31.26 24.37 31.26 44.1c0 26.5-21.5 47.1-48.01 47.1s-48.01-21.5-48.01-47.1V120c0-13.25-10.75-23.1-24.01-23.1l-48.01 .0076C10.75 96.02 0 106.8 0 120v247.1c0 89.49 82.14 160.2 175 140.7c54.39-11.5 98.27-55.5 109.8-109.7C302.2 316.1 247.8 241.8 172.3 226.8z"]],
    "blueberries": [512, 512, [], "e2e8", ["M336 0C255.3 0 187.4 54.39 166.7 128.5C169.8 128.3 172.9 128 176 128c114.9 0 208 93.13 208 208c0 3.148-.333 6.211-.4717 9.324C457.6 324.6 512 256.7 512 176C512 78.8 433.2 0 336 0zM416 128h-32v32c0 8.844-7.156 16-16 16S352 168.8 352 160V128h-32c-8.844 0-16-7.156-16-16S311.2 96 320 96h32V64c0-8.844 7.156-16 16-16S384 55.16 384 64v32h32c8.844 0 16 7.156 16 16S424.8 128 416 128zM224 256H192V224c0-8.844-7.156-16-16-16S160 215.2 160 224v32H128C119.2 256 112 263.2 112 272S119.2 288 128 288h32v32c0 8.844 7.156 16 16 16S192 328.8 192 320V288h32c8.844 0 16-7.156 16-16S232.8 256 224 256z", "M176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM224 288H192v32c0 8.844-7.156 16-16 16S160 328.8 160 320V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h32V224c0-8.844 7.156-16 16-16S192 215.2 192 224v32h32c8.844 0 16 7.156 16 16S232.8 288 224 288zM416 96h-32V64c0-8.844-7.156-16-16-16S352 55.16 352 64v32h-32c-8.844 0-16 7.156-16 16S311.2 128 320 128h32v32c0 8.844 7.156 16 16 16S384 168.8 384 160V128h32c8.844 0 16-7.156 16-16S424.8 96 416 96z"]],
    "bluetooth": [320, 512, [], "f293", ["M208.6 255.1L309.1 168.1C316 161.1 320 153.2 320 143.1s-3.969-18-10.94-24.09l-127.1-112c-9.406-8.25-22.87-10.22-34.28-5.031c-11.44 5.188-18.78 16.56-18.78 29.13v153.5L53.06 119.9C39.78 108.3 19.56 109.6 7.908 122.9C-3.717 136.2-2.373 156.4 10.94 168.1l100.5 87.91l-100.5 87.91c-13.31 11.66-14.66 31.88-3.031 45.16c11.66 13.34 31.87 14.63 45.16 3.031L128 326.5v153.5c0 12.56 7.344 23.94 18.78 29.13C151 511.1 155.5 512 160 512c7.594 0 15.13-2.719 21.06-7.906l127.1-112C316 385.1 320 377.2 320 367.1s-3.969-18-10.94-24.09L208.6 255.1zM192 102.5l47.41 41.47l-47.41 41.47V102.5zM192 409.5V326.5l47.41 41.47L192 409.5z", ""]],
    "bold": [384, 512, [], "f032", ["M321.1 242.4C340.1 220.1 352 191.6 352 160c0-70.59-57.42-128-128-128L32 32.01c-17.67 0-32 14.31-32 32s14.33 32 32 32h16v320H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h224c70.58 0 128-57.41 128-128C384 305.3 358.6 264.8 321.1 242.4zM112 96.01H224c35.3 0 64 28.72 64 64s-28.7 64-64 64H112V96.01zM256 416H112v-128H256c35.3 0 64 28.71 64 63.1S291.3 416 256 416z", ""]],
    "bolt": [384, 512, [9889, "zap"], "f0e7", ["M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H31.1C18.67 288 6.733 279.7 2.044 267.3C-2.645 254.8 .8944 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z", ""]],
    "bolt-auto": [576, 512, [], "e0b6", ["M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H32C18.67 288 6.735 279.7 2.046 267.3C-2.643 254.8 .8963 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z", "M572.6 465.7C580.5 481.5 574.1 500.7 558.3 508.6C542.5 516.5 523.3 510.1 515.4 494.3L508.2 480H419.8L412.6 494.3C404.7 510.1 385.5 516.5 369.7 508.6C353.9 500.7 347.5 481.5 355.4 465.7L435.4 305.7C440.8 294.8 451.9 288 464 288C476.1 288 487.2 294.8 492.6 305.7L572.6 465.7zM480.2 424L464 391.6L447.8 424H480.2z"]],
    "bolt-lightning": [384, 512, [], "e0b7", ["", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8z"]],
    "bolt-slash": [640, 512, [], "e0b8", ["M228.4 153.7L394.9 7.918C406.2-1.92 422.7-2.669 434.8 6.114C446.9 14.9 451.3 30.87 445.4 44.61L368.5 224H480C493.3 224 505.3 232.3 509.1 244.7C514.6 257.2 511.1 271.3 501.1 280.1L448.4 326.2L228.4 153.7zM138.9 231.9L154.8 217.1L243.7 288H160C146.7 288 134.7 279.7 130 267.3C125.4 254.8 128.9 240.7 138.9 231.9L138.9 231.9zM194.6 467.4L264.5 304.4L374.4 390.1L245.1 504.1C233.8 513.9 217.3 514.7 205.2 505.9C193.1 497.1 188.7 481.1 194.6 467.4V467.4z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bomb": [512, 512, [128163], "f1e2", ["M512 79.67C512 84.15 508.1 88.38 504.8 89.83L459.1 106.7L442.6 152.5C441.1 156.9 436.7 160 432.1 160C427.5 160 423.2 156.9 421.7 152.5L404.9 106.7L359.2 89.83C355 88.38 352 84.15 352 79.67C351.1 75.12 354.1 70.78 359.2 69.22L405.2 52.39L421.7 6.548C423.6 2.623 427.8 0 432.1 0C436.5 0 440.7 2.623 442.6 6.548L459.1 52.39L504.8 69.22C509 70.78 512 75.12 512 79.67V79.67z", "M281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 304C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 304C0 189.1 93.12 96 208 96C232.7 96 256.5 100.3 278.5 108.3L281.4 105.4zM96 296C96 238.6 142.6 192 200 192H208C216.8 192 224 184.8 224 176C224 167.2 216.8 160 208 160H200C124.9 160 64 220.9 64 296V304C64 312.8 71.16 320 80 320C88.84 320 96 312.8 96 304V296z"]],
    "bone": [576, 512, [129460], "f5d7", ["", "M534.9 267.5C560.1 280 576 305.8 576 334v4.387c0 35.55-23.49 68.35-58.24 75.88c-38.18 8.264-74.96-13.73-86.76-49.14c-.0352-.1035-.0684-.207-.1035-.3125C425.3 347.7 409.6 336 391.6 336H184.4c-17.89 0-33.63 11.57-39.23 28.56L145 365.1c-11.8 35.41-48.58 57.4-86.76 49.14C23.49 406.7 0 373.9 0 338.4v-4.387C0 305.8 15.88 280 41.13 267.5c9.375-4.75 9.375-18.25 0-23C15.88 232 0 206.3 0 178V173.6c0-35.55 23.49-68.35 58.24-75.88c38.18-8.264 74.99 13.82 86.79 49.23C150.7 164.1 166.4 176 184.4 176h207.2c17.89 0 33.63-11.57 39.23-28.56L431 146.9c11.8-35.41 48.58-57.4 86.76-49.14C552.5 105.3 576 138.1 576 173.6v4.387C576 206.3 560.1 232 534.9 244.5C525.5 249.3 525.5 262.8 534.9 267.5z"]],
    "bone-break": [640, 512, [], "f5d8", ["M183.3 253.3C165.5 256.5 148 247.5 139.5 231.6C121.8 198.5 81.58 182.8 45.41 197.7C12.5 211.2-4.943 247.9 1.229 283.2l.7617 4.355c4.906 28.04 25.01 50.83 52.05 58.82c10.06 3.074 12.4 16.48 3.994 22.84c-22.7 16.83-33.86 45.17-28.95 73.22l.7617 4.354c6.174 35.29 35.01 63.75 70.53 65.13c39.04 1.52 71.43-26.75 76.91-63.97l.0879-.5957c2.561-17.85 16.05-32.09 33.67-35.22L320 382.1L280 229.7L183.3 253.3zM594.6 197.7c-36.17-14.89-76.2 .5059-93.97 33.59c-8.512 15.98-26.15 25.17-43.87 22.02L360 229.7L320 382.1l108.1 29.2c17.62 3.133 31.11 17.37 33.67 35.22l.0879 .5957c5.475 37.22 37.87 65.49 76.91 63.97c35.53-1.385 64.36-29.84 70.53-65.13l.7617-4.354c4.906-28.05-6.256-56.39-28.95-73.22c-8.406-6.357-6.062-19.76 3.994-22.84c27.04-7.988 47.14-30.78 52.05-58.82l.7617-4.355C644.9 247.9 627.5 211.2 594.6 197.7z", "M319.1 0C306.7 0 295.1 10.75 295.1 23.1v79.1c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V23.1C343.1 10.75 333.2 0 319.1 0zM200.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L215 152.1c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L200.1 71.03zM472.1 71.03c-9.375-9.375-24.56-9.375-33.94 0l-47.1 47.1c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031l47.1-47.1C482.3 95.59 482.3 80.4 472.1 71.03z"]],
    "bong": [512, 512, [], "f55c", ["M475.3 217.4l-52.63-52.75c-6.251-6.25-16.38-6.25-22.63 0L388.6 176c-6.251 6.25-6.251 16.38 0 22.62L398 208l-39.38 39.38c-11.5-11.38-24.51-21.25-38.63-29.5l.0067-154.1h16c8.751 0 16-7.25 16-16L352 16.01C352 7.14 344.9 0 336 0L111.1 .1667c-8.751 0-15.99 7.11-15.99 15.99L96 48c0 8.875 7.125 16 16 16h16L128 217.9C70.62 251.1 32 313 32 384c0 34.75 9.25 67.25 25.5 95.38C69.13 499.4 90.38 512 113.5 512h221c23.13 0 44.38-12.62 56-32.63C406.8 451.3 416 418.8 416 384c0-36.13-10.11-69.75-27.49-98.63l43.5-43.37l9.376 9.375c6.251 6.25 16.38 6.25 22.63 0L475.3 240C481.5 233.8 481.5 223.6 475.3 217.4zM348.1 455.4C345.9 460.6 340.4 464 334.5 464H113.5c-5.809 0-11.37-3.352-14.44-8.639C86.6 433.8 80.01 409.1 80.01 384c0-51.09 27.58-98.85 72.04-124.6l23.97-13.87V64.03l96.02 .1514l-.0167 181.3l23.97 13.87C340.4 285.2 368 332.9 368 384C368 409.1 361.5 433.8 348.1 455.4z", "M368 384c0 25.1-6.593 49.78-19.07 71.36C345.9 460.6 340.4 464 334.5 464H113.5c-5.809 0-11.37-3.352-14.44-8.639C86.6 433.8 80.01 409.1 80.01 384c0-22.57 5.652-44.35 15.5-64h257C362.4 339.7 368 361.4 368 384z"]],
    "book": [448, 512, [128212], "f02d", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM143.1 128h192C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H143.1C135.2 160 128 152.8 128 144C128 135.2 135.2 128 143.1 128zM143.1 192h192C344.8 192 352 199.2 352 208C352 216.8 344.8 224 336 224H143.1C135.2 224 128 216.8 128 208C128 199.2 135.2 192 143.1 192z"]],
    "book-arrow-right": [640, 512, [], "e0b9", ["M64 416c0 17.67 14.33 32 32 32h320L416 384H96C78.33 384 64 398.3 64 416zM632.1 191l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L558.1 184H280C266.8 184 256 194.8 256 208s10.75 24 24 24h278.1l-39.03 39.03C514.3 275.7 512 281.8 512 288s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C642.3 215.6 642.3 200.4 632.1 191z", "M64.44 421.4C66.1 437.1 81.78 448 97.72 448h318.3C433.7 448 448 462.3 448 479.1C448 497.7 433.7 512 416 512H96c-53.02 0-96-42.98-96-96V96c0-53.02 42.98-96 96-96h304C426.5 0 448 21.49 448 48v136H280C266.8 184 256 194.8 256 208s10.75 24 24 24H448v104c0 26.51-21.49 48-48 48H96C76.57 384 61.18 401.3 64.44 421.4z"]],
    "book-arrow-up": [448, 512, [], "e0ba", ["M64 416c0 17.67 14.33 32 32 32h120v-64H96C78.33 384 64 398.3 64 416zM264 384v64H416v-64H264z", "M416 448h-152v64H416c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448zM400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h120v-64H96c-17.67 0-32-14.33-32-32s14.33-32 32-32h120V209.9L176.1 248.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.372-9.372 24.57-9.372 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94C332.3 253.7 326.2 256 320 256s-12.28-2.344-16.97-7.031L264 209.9V384h136c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0z"]],
    "book-atlas": [448, 512, ["atlas"], "f558", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M240 97.25C232.3 104.8 219.3 131.8 216.6 176h46.88C260.8 131.8 247.8 104.8 240 97.25zM334.4 208h-39.13c-1.5 27-6.5 51.38-14.12 70.38C308.8 265.1 329.1 239.3 334.4 208zM263.4 208H216.5C219.3 252.3 232.3 279.3 240 286.8C247.8 279.3 260.8 252.3 263.4 208zM334.4 176c-5.25-31.25-25.62-57.13-53.25-70.38C288.8 124.6 293.8 149 295.3 176H334.4zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM240 64c70.75 0 128 57.25 128 128s-57.25 128-128 128s-128-57.25-128-128S169.3 64 240 64zM198.9 278.4C191.3 259.4 186.3 235 184.8 208H145.6C150.9 239.3 171.3 265.1 198.9 278.4zM198.9 105.6C171.3 118.9 150.9 144.8 145.6 176h39.13C186.3 149 191.3 124.6 198.9 105.6z"]],
    "book-bible": [448, 512, ["bible"], "f647", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM144 144c0-8.875 7.125-15.1 16-15.1L208 128V80c0-8.875 7.125-15.1 16-15.1l32 .0009c8.875 0 16 7.12 16 15.1V128L320 128c8.875 0 16 7.121 16 15.1v32c0 8.875-7.125 16-16 16L272 192v112c0 8.875-7.125 16-16 16l-32-.0002c-8.875 0-16-7.127-16-16V192L160 192c-8.875 0-16-7.127-16-16V144z"]],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384z"]],
    "book-bookmark": [448, 512, [], "e0bb", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M64.15 419.1c1.588 16.64 16.51 28.85 33.23 28.85L416 448c17.67 0 32 14.33 32 31.1C448 497.7 433.7 512 416 512H96c-53.02 0-96-42.98-96-96V96c0-53.02 42.98-96 96-96h96v191.1c0 13.41 15.52 20.88 25.1 12.49L272 160l54 44.46C336.5 212.8 352 205.4 352 191.1V0h48C426.5 0 448 21.49 448 48v288c0 26.51-21.49 48-48 48H96C77.29 384 62.33 400.1 64.15 419.1z"]],
    "book-circle-arrow-right": [640, 512, [], "e0bc", ["M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448z", "M496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM571.3 379.3l-56 56C512.2 438.4 508.1 440 504 440s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L521.4 384H432c-8.836 0-15.1-7.164-15.1-16S423.2 352 432 352h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C577.6 362.9 577.6 373.1 571.3 379.3z"]],
    "book-circle-arrow-up": [640, 512, [], "e0bd", ["M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448z", "M496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM563.3 371.3c-6.25 6.25-16.38 6.25-22.62 0L512 342.6V432c0 8.836-7.164 15.1-16 15.1S480 440.8 480 432v-89.38l-28.69 28.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l56-56c6.25-6.25 16.38-6.25 22.62 0l56 56C566.4 351.8 568 355.9 568 360S566.4 368.2 563.3 371.3z"]],
    "book-copy": [576, 512, [], "e0be", ["M352 448H97.38C81.89 448 67.6 437.6 64.63 422.4C60.63 401.9 76.22 384 96 384h81.8C166.8 365.1 160 343.4 160 320V96H96C42.98 96 0 138.1 0 192v224c0 53.02 42.98 96 96 96h256C369.7 512 384 497.7 384 480S369.7 448 352 448z", "M576 240v-192C576 21.49 554.5 0 528 0H288C234.1 0 192 42.98 192 96v224c0 53.02 42.98 96 96 96h256c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1V275.5C569.8 266.8 576 254.2 576 240zM512 352h-224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224V352z"]],
    "book-font": [448, 512, [], "e0bf", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M239.1 115.8L201.9 192h76.22L239.1 115.8zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM129.7 264.8l96-192c5.438-10.84 23.19-10.84 28.62 0l96 192c3.953 7.906 .75 17.52-7.156 21.47C340.9 287.5 338.4 288 336 288c-5.875 0-11.52-3.234-14.33-8.844L294.1 224H185.9L158.3 279.2C154.4 287.1 144.7 290.2 136.8 286.3C128.9 282.4 125.7 272.8 129.7 264.8z"]],
    "book-heart": [448, 512, [], "f499", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM149.8 109.1c24-20 59.75-16.38 81.63 5.75L240 123.6l8.625-8.75c22-22.12 57.63-25.75 81.63-5.75c27.5 23 28.88 64.13 4.25 89.13l-84.75 85.5c-5.5 5.5-14.25 5.5-19.75 0l-84.75-85.5C120.8 173.3 122.3 132.1 149.8 109.1z"]],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.23-28.85C62.33 400.1 77.29 384 96 384zM133.1 160.4l21.25 21.25c3.125 3.125 8.125 3.125 11.25 0s3.125-8.125 0-11.25l-26.38-26.5c10-20.75 26.25-38 46.38-49.25c-17 27.12-11 62.75 14 82.63C185.5 192 180.5 213.1 186.5 232.5c5.875 19.38 22 34.13 41.88 38.25l1.375-32.75L219.4 245.1C218.8 245.5 217.9 245.8 217.1 245.8c-1 0-2-.375-2.75-1c-.75-.875-1.25-1.875-1.25-3c0-.625 .25-1.375 .5-2L222.3 225.5l-18-3.75c-1.75-.375-3.125-2.125-3.125-4s1.375-3.5 3.125-3.875l18-3.75L213.6 195.9C212.8 194.3 213 192.1 214.4 190.9s3.5-1.5 5-.375l12 8.125L236 87.88C236.1 85.63 237.9 84 240 84s3.875 1.625 4 3.875l4.75 112.3l14.12-9.625c.625-.4998 1.5-.625 2.25-.75c1.5 0 2.75 .75 3.5 2s.625 2.875-.125 4.125L260 210.1l17.1 3.75c1.751 .375 3.125 2 3.125 3.875s-1.375 3.625-3.125 4L260 225.4l8.5 14.38c.75 1.25 .875 2.75 .125 4s-2 2-3.5 2c-.75 0-1.625-.25-2.25-.625L250.3 236.5l1.375 34.25c19.88-4.125 36-18.88 41.88-38.25c6-19.38 1-40.63-13.12-55.25c25-19.88 31-55.5 14-82.63c20.25 11.25 36.38 28.5 46.38 49.25l-26.38 26.5c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0l21.25-21.25C349.9 170.5 352 181 352 192c0 .5-.125 1-.125 1.5l-37.13 32.5C313.1 227.6 312.1 229.8 312 232c.125 1.875 .7504 3.75 1.1 5.25C315.6 238.9 317.8 239.9 320 240c1.999 0 3.875-.7501 5.25-1.1l23.62-20.63C337.3 267 293.1 304 240 304S142.8 267 131.1 217.4l23.62 20.63C156.3 239.2 158.1 239.9 160 240c3.375 0 6.25-2.125 7.5-5.125c1.125-3.125 .25-6.75-2.25-8.875L128.1 193.5C128.1 193 128 192.5 128 192C128 181 130.1 170.5 133.1 160.4z"]],
    "book-medical": [448, 512, [], "f7e6", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM128 166c0-8.838 7.164-16 16-16h53.1V96c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H336c8.836 0 16 7.162 16 16v52c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V234H144c-8.836 0-16-7.164-16-16V166z"]],
    "book-open": [576, 512, [128366, 128214], "f518", ["M557.4 61.29c-45.11-19.79-88.48-29.61-125.7-29.26c-72.44 1.312-118.1 33.55-120.9 34.92C306.5 69.96 304 74.83 304 80.04v383.1C304 468.4 307.5 480 320 480c3.484 0 6.938-1.125 9.781-3.328c3.925-3.018 97.44-73.16 223.8-14c10.46 4.896 22.45-3.105 22.45-14.65l.0001-357.6C575.1 77.97 568.8 66.31 557.4 61.29z", "M144.3 32.04C106.9 31.29 63.7 41.44 18.6 61.29c-11.42 5.026-18.6 16.67-18.6 29.15l0 357.6c0 11.55 11.99 19.55 22.45 14.65c126.3-59.14 219.8 11 223.8 14.01C249.1 478.9 252.5 480 256 480c12.4 0 16-11.38 16-15.98V80.04c0-5.203-2.531-10.08-6.781-13.08C263.3 65.58 216.7 33.35 144.3 32.04z"]],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", ["M64 32.4v323.1L304 416V40.02L100.9 .3879C81.5-2.649 64 12.54 64 32.4zM539.1 .3879L336 40.02V416l240-59.62V32.4C576 12.54 558.5-2.649 539.1 .3879z", "M313.1 511.2l-288-63.1C10.42 443.1 0 430.1 0 416V64.01C0 43.19 19.56 27.92 39.76 32.97L64 39.03v325.6c0 14.1 10.42 27.98 25.06 31.24L320 447.2l230.9-51.32C565.6 392.6 576 379.7 576 364.7V39.03l24.24-6.058C620.4 27.92 640 43.19 640 64.01v351.1c0 14.1-10.42 27.99-25.06 31.24l-288 63.1C322.4 512.3 317.6 512.3 313.1 511.2z"]],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", ["M352 96c0-53-43-96-96-96S160 43 160 96s43 96 96 96S352 149 352 96z", "M0 219.2v212.5c0 14.25 11.62 26.25 26.5 27C75.32 461.2 180.2 471.3 240 511.9V245.2C181.4 205.5 79.99 194.8 29.84 192C13.59 191.1 0 203.6 0 219.2zM482.2 192c-50.09 2.848-151.3 13.47-209.1 53.09C272.1 245.2 272 245.3 272 245.5v266.5c60.04-40.39 164.7-50.76 213.5-53.28C500.4 457.9 512 445.9 512 431.7V219.2C512 203.6 498.4 191.1 482.2 192z"]],
    "book-quran": [448, 512, ["quran"], "f687", ["M48 384H352c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h-320L32 381.1C37.03 382.8 42.36 384 48 384z", "M352 0H48C21.49 0 0 21.49 0 48v288C0 362.5 21.49 384 48 384l302.6 0c16.71 0 31.64 12.22 33.23 28.85C385.7 431.9 370.7 448 352 448h-320C14.33 448 0 462.3 0 479.1C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM282.4 291.9C262.6 305 239.7 312 216 312C149.8 312 96 258.2 96 192s53.83-120 120-120c23.66 0 46.61 6.953 66.36 20.09c3.219 2.141 4.438 6.281 2.906 9.844c-1.547 3.547-5.453 5.562-9.172 4.594C268.8 104.8 262.2 104 256 104C207.5 104 168 143.5 168 192S207.5 280 256 280c6.234 0 12.81-.8281 20.09-2.531c3.719-.9687 7.625 1.047 9.172 4.594C286.8 285.6 285.6 289.8 282.4 291.9zM326.8 176.7L306.2 196.9l4.869 28.5c.4297 2.434-1.576 4.439-3.725 4.439c-.5723 0-1.145-.1445-1.719-.4297L280 215.9l-25.63 13.46c-.5723 .2852-1.145 .4297-1.719 .4297c-2.146 0-4.152-2.006-3.723-4.439l4.869-28.5l-20.62-20.19c-2.291-2.146-1.002-5.871 2.006-6.301l28.64-4.152l12.89-25.92C277.3 138.9 278.7 138.2 280 138.2s2.721 .7168 3.295 2.148l12.89 25.92l28.64 4.152C327.8 170.8 329.1 174.5 326.8 176.7z"]],
    "book-section": [448, 512, ["book-law"], "e0c1", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M235.9 171.2c0 0-9.406-2.494-10.32-2.742C216.9 169.7 202.6 173.3 200.4 184.6c-1.781 9.266-.2187 16.06 36.25 25.77c0 0 14.12 3.693 17.7 4.682c8.703-1.168 23.02-4.777 25.18-16.06C281.1 186.2 273.8 181 235.9 171.2zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.23-28.85C62.33 400.1 77.29 384 96 384zM235.9 243.2l-7.469-1.953c-22.09-5.891-68-18.11-59.47-62.72c2.141-11.16 7.949-20.45 16.65-27.54C173.4 141.7 164.9 127.9 169 106.6c6.062-31.75 40.44-48.02 87.53-41.34c8.344 1.188 17.97 3.516 30.22 7.344c8.438 2.641 13.16 11.61 10.53 20.05c-2.625 8.422-11.69 13.14-20.03 10.52c-10.59-3.312-18.62-5.281-25.22-6.219c-27.81-4.031-49.09 2.5-51.59 15.67c-1.781 9.266-.2187 16.06 36.25 25.77l7.281 1.906c30.12 7.797 75.66 19.56 67.03 64.72c-2.141 11.19-7.961 20.5-16.68 27.59c12.63 9.525 20.73 23.2 16.68 44.41c-5.156 27.05-30.81 42.84-67.34 42.84c-6.406 0-13.16-.4844-20.19-1.484C210.5 316.5 196.9 312.1 184.8 308.2L179.1 306.3c-8.406-2.688-13.06-11.69-10.38-20.11c2.719-8.422 11.72-13.11 20.12-10.36l5.875 1.891c10.75 3.5 22.94 7.469 33.13 8.859c28.03 3.922 49.19-2.469 51.69-15.66C281.1 258.2 273.8 253 235.9 243.2z"]],
    "book-skull": [448, 512, ["book-dead"], "f6b7", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H97.38c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM240 64C284.3 64 320 92.75 320 128c0 20.88-12.75 39.25-32 50.88V192c0 8.75-7.25 16-16 16h-64C199.3 208 192 200.8 192 192V178.9C172.8 167.3 160 148.9 160 128C160 92.75 195.8 64 240 64zM121.7 238.7c-8.125-3.484-11.91-12.89-8.438-21.02c3.469-8.094 12.94-11.86 21-8.422L240 254.5l105.7-45.21c8.031-3.438 17.53 .3281 21 8.422c3.469 8.125-.3125 17.53-8.438 21.02l-77.58 33.18l77.58 33.18c8.125 3.484 11.91 12.89 8.438 21.02C364.1 332.2 358.2 335.8 352 335.8c-2.094 0-4.25-.4062-6.281-1.281L240 289.3l-105.7 45.21C132.3 335.4 130.1 335.8 128 335.8c-6.219 0-12.12-3.641-14.72-9.703C109.8 317.1 113.6 308.6 121.7 305.1l77.58-33.18L121.7 238.7zM272 144C280.8 144 288 136.8 288 128s-7.25-16-16-16S256 119.3 256 128S263.3 144 272 144zM208 144C216.8 144 224 136.8 224 128S216.8 112 208 112S192 119.3 192 128S199.3 144 208 144z"]],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448H97.71c-15.94 0-30.71-10.89-33.27-26.63C61.18 401.3 76.56 384 96 384zM261.1 197.4l.3711-.4277l20.56-49.31c1.012-2.033 3.671-3.675 5.942-3.691c.0078 0-.0078 0 0 0c2.279 0 4.966 1.648 5.982 3.691l20.7 49.64l49.64 20.7C366.3 219.1 368 221.7 368 223.1c0 2.266-1.652 4.949-3.682 5.965l-49.64 20.7l-20.7 49.64c-1.016 2.043-3.697 3.695-5.977 3.695c-.0078 0 .0078 0 0 0c-2.271-.0156-4.936-1.662-5.947-3.695l-20.72-49.63L211.7 229.1c-2.023-1.012-3.664-3.676-3.676-5.938c.0117-2.27 1.65-4.977 3.676-5.988L261.1 197.4zM130.2 108.4L159.1 96l12.42-29.79C173 64.99 174.6 64 175.1 64s2.969 .9902 3.578 2.217L191.1 96L221.8 108.4c1.217 .6094 2.209 2.211 2.209 3.576c0 1.359-.9922 2.971-2.209 3.58L191.1 127.1L179.6 157.8C178.1 159 177.4 160 175.1 160S173 159 172.4 157.8L159.1 127.1L130.2 115.6C128.1 114.1 128 113.4 128 111.1C128 110.6 128.1 109 130.2 108.4z"]],
    "book-tanakh": [448, 512, ["tanakh"], "f827", ["M48 384H352c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h-320L32 381.1C37.03 382.8 42.36 384 48 384z", "M131.5 168.6L113.1 139.5h34.88L131.5 168.6zM113.1 244.5h34.88l-17.5-29.12L113.1 244.5zM208 296.6l16.88-28.12H191.3L208 296.6zM208 87.38L191.3 115.5h33.5L208 87.38zM239.1 139.4H176.9L145.4 192l31.5 52.5h62.25L270.6 192L239.1 139.4zM301.1 139.5h-34.87l17.5 29.12L301.1 139.5zM448 96v320c0 53.02-42.98 96-96 96h-320C14.33 512 0 497.7 0 480C0 462.3 14.33 448 31.1 448h318.3c15.94 0 30.71-10.89 33.27-26.63C386.8 401.3 371.4 384 352 384H48C21.49 384 0 362.5 0 336v-288C0 21.49 21.49 0 48 0H352C405 0 448 42.98 448 96zM326.4 238.4L298.6 192l27.62-46.25c3.75-6.25 3.75-13.88 .25-20.12C323 119.4 316.4 115.5 309.1 115.5h-56.38L225 69.13C221.5 63.13 215 59.5 208 59.5S194.4 63.25 190.8 69.25L163.3 115.5H106.9C99.63 115.4 93 119.3 89.38 125.6c-3.5 6.125-3.5 13.88 .25 20L117.4 192L89.75 238.3C86.13 244.5 85.1 252.1 89.5 258.4C93 264.6 99.75 268.5 106.9 268.5h56.38L191 314.9c3.5 6 10 9.625 17 9.625c7.125 0 13.62-3.75 17.25-9.75l27.5-46.13h56.38c7.25 0 13.88-3.875 17.5-10.25C330.1 252.3 330.1 244.5 326.4 238.4zM267.1 244.5h34.87l-17.37-29.12L267.1 244.5z"]],
    "book-user": [448, 512, [], "f7e7", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448H97.71c-15.94 0-30.71-10.89-33.27-26.63C61.18 401.3 76.56 384 96 384zM240 64c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S204.7 64 240 64zM208 224h64C316.2 224 352 259.8 352 304c0 8.836-7.164 16-16 16h-192C135.2 320 128 312.8 128 304C128 259.8 163.8 224 208 224z"]],
    "bookmark": [384, 512, [61591, 128278], "f02e", ["M192 288L120.9 335.4C110.2 342.5 96 334.9 96 322.1V0H288V322.1C288 334.9 273.8 342.5 263.1 335.4L192 288z", "M0 487.7V48C0 21.49 21.49 0 48 0H96V322.1C96 334.9 110.2 342.5 120.9 335.4L192 288L263.1 335.4C273.8 342.5 288 334.9 288 322.1V0H336C362.5 0 384 21.49 384 48V487.7C384 501.1 373.1 512 359.7 512C354.7 512 349.8 510.5 345.7 507.6L192 400L38.28 507.6C34.19 510.5 29.32 512 24.33 512C10.89 512 0 501.1 0 487.7V487.7z"]],
    "bookmark-slash": [640, 512, [], "e0c2", ["M128 75.02V48C128 21.49 149.5 0 176 0H464C490.5 0 512 21.49 512 48V375.1L128 75.02zM128 487.7V196.9L509.8 497.7C506 506.1 497.5 512 487.7 512C482.7 512 477.8 510.5 473.7 507.6L320 400L166.3 507.6C162.2 510.5 157.3 512 152.3 512C138.9 512 128 501.1 128 487.7z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "books": [512, 512, [128218], "f5db", ["M0 384l128-.0001V128L0 128V384zM96 .0028H31.1C14.38 .0028 0 14.38 0 32v63.1l128-.0008l.0008-63.1C128 14.38 113.6 .0028 96 .0028zM0 479.1c0 17.62 14.38 31.1 31.1 31.1h64c17.62 0 31.1-14.37 31.1-31.1L128 416H0V479.1zM412.3 85.32L289.5 118.4l8.223 30.83l122.7-33.04L412.3 85.32zM486.2 362.8l-122.7 33.04l8.221 30.83l122.7-33.05L486.2 362.8zM160 384l127.1 .0001V128L160 128V384zM160 479.1c0 17.62 14.38 31.1 32 31.1h63.1c17.62 0 31.98-14.36 31.1-31.98l0-64.02h-127.1L160 479.1zM273.1 56.71c-3.574-13.41 2.162-26.9 12.96-34.34c-4.154-12.86-15.83-22.36-30.04-22.36h-63.1c-17.63 0-32 14.37-32 31.1L160 96l123.6 .0005L273.1 56.71z", "M0 128l128-.0005L128 96L0 96V128zM0 416h128l.0003-31.1L0 384V416zM160 416h127.1v-31.1l-127.1-.0001L160 416zM510.9 455.3l-16.48-61.67l-122.7 33.05l16.44 61.66c4.527 16.98 22 27.12 38.9 22.57l61.29-16.52C505.3 489.8 515.4 472.3 510.9 455.3zM420.5 116.2L297.7 149.2l65.77 246.7l122.7-33.04L420.5 116.2zM395.8 23.66c-4.527-16.98-22-27.12-38.9-22.57l-61.37 16.52c-16.9 4.551-26.99 22.11-22.46 39.09l10.48 39.3L160 96l.0003 32l127.1 .0005l-.0001-15.36l1.525 5.723l122.7-33.05L395.8 23.66z"]],
    "books-medical": [576, 512, [], "f7e8", ["M160 0H96C78.38 0 64 14.38 64 32v64h128L192 32C192 14.38 177.6 0 160 0zM64 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0008-64H64V480zM224 480c0 17.62 14.38 32 32 32h64C337.6 512 351.1 497.6 352 480V416H224L224 480zM337.1 56.7c-3.574-13.41 2.162-26.9 12.96-34.34C345.9 9.5 334.2 0 320 0h-64C238.4 0 224 14.38 224 32L224 96h123.6L337.1 56.7zM550.2 362.8l-122.7 33.04l8.221 30.83l122.7-33.05L550.2 362.8zM476.3 85.32l-122.7 33.05l8.223 30.83l122.7-33.04L476.3 85.32zM224 384H352V128H224V384z", "M79.1 352h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336C63.1 344.8 71.16 352 79.1 352zM224 416H352v-32H224L224 416zM64 416h128l-.0002-32H64V416zM64 128h128l.0002-32H64V128zM574.9 455.3l-16.48-61.67l-122.7 33.05l16.44 61.66c4.527 16.98 22 27.12 38.9 22.57l61.29-16.52C569.3 489.8 579.4 472.3 574.9 455.3zM484.5 116.2l-122.7 33.04l65.77 246.7l122.7-33.04L484.5 116.2zM459.8 23.66c-4.527-16.98-22-27.12-38.9-22.57L359.5 17.61c-16.9 4.555-26.99 22.12-22.46 39.09L347.6 96H224l.0003 32H352V112.6l1.525 5.719l122.7-33.05L459.8 23.66z"]],
    "boombox": [640, 512, [128254], "f8a5", ["M592 160h-544C21.49 160 0 181.5 0 208v256C0 490.5 21.49 512 48 512h544c26.51 0 48-21.49 48-48v-256C640 181.5 618.5 160 592 160zM176 448C114.1 448 64 397.9 64 336S114.1 224 176 224S288 274.1 288 336S237.9 448 176 448zM464 448c-61.88 0-112-50.13-112-112S402.1 224 464 224S576 274.1 576 336S525.9 448 464 448z", "M176 224C114.1 224 64 274.1 64 336S114.1 448 176 448S288 397.9 288 336S237.9 224 176 224zM176 400c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C240 371.3 211.3 400 176 400zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V160h64V144zM552 0H88C57.13 0 32 25.12 32 56v106.1C37.03 161.2 42.36 160 48 160h32V56c0-4.375 3.625-8 8-8h464c4.375 0 8 3.625 8 8V160h32c5.641 0 10.97 1.182 16 2.969V56C608 25.12 582.9 0 552 0zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V160h64V144zM352 144C352 135.1 344.9 128 336 128h-32C295.1 128 288 135.1 288 144V160h64V144zM464 224C402.1 224 352 274.1 352 336s50.13 112 112 112s112-50.13 112-112S525.9 224 464 224zM464 400c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C528 371.3 499.3 400 464 400z"]],
    "boot": [512, 512, [129406], "f782", ["M512 378.1V448H0V96h320v64h-48C263.2 160 256 167.2 256 176S263.2 192 271.1 192H320v32h-48C263.2 224 256 231.2 256 240S263.2 256 271.1 256H320l119.2 29.75C481.1 296.5 512 334.8 512 378.1z", "M0 448v32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32v-32H0zM352 80v-64C352 7.25 344.8 0 336 0h-320C7.25 0 0 7.25 0 16V96h336C344.8 96 352 88.75 352 80z"]],
    "boot-heeled": [512, 512, [], "e33f", ["M480 464h-180.5l-143.2-42.94C145.2 417.7 133.6 416 121.9 416H32v72c0 13.25 10.75 24 24 24h80c13.25 0 24-10.75 24-24v-15.72l129.1 38.72C291.3 511.7 293.7 512 296 512h184c13.25 0 24-10.75 24-24S493.3 464 480 464z", "M128 416l1.369 .5488c9.123 .5762 18.19 1.887 27.01 4.514L299.5 464h180.5v-40.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-32-32h-96v240c0 8.844-7.156 16-16 16s-16-7.156-16-16V0h-64C44.76 0 29.86 16.87 32.25 35.97L56.69 197.5c4.816 38.53 .9414 77.66-11.34 114.5c-8.84 26.52-13.35 54.29-13.35 82.24V416H128z"]],
    "booth-curtain": [512, 512, [], "f734", ["M0 32v464C0 504.8 7.25 512 15.1 512H48C56.75 512 64 504.8 64 496V64h96V0H32C14.25 0 0 14.25 0 32zM480 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C512 14.25 497.8 0 480 0z", "M448 0v400c0 26.5-21.5 48-48 48c-24.46 0-44.45-18.21-48-41.54C348.4 429.8 328.5 448 304 448s-44.45-18.22-48-41.54C252.4 429.8 232.5 448 208 448C181.5 448 160 426.5 160 400V0H448z"]],
    "border-all": [448, 512, [], "f84c", ["M48 288V224H192V80H256V224H400V288H256V432H192V288H48z", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 96H64V416H384V96z"]],
    "border-bottom": [448, 512, [], "f84d", ["M416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z", "M448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448z"]],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", ["M0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128z", "M416 32C433.7 32 448 46.33 448 64V400C448 444.2 412.2 480 368 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H368C376.8 416 384 408.8 384 400V64C384 46.33 398.3 32 416 32z"]],
    "border-center-h": [448, 512, [], "f89c", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", "M0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256z"]],
    "border-center-v": [448, 512, [], "f89d", ["M416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416zM416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z", "M224 480C206.3 480 192 465.7 192 448V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V448C256 465.7 241.7 480 224 480z"]],
    "border-inner": [448, 512, [], "f84e", ["M416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416zM416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416z", "M192 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H192V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H256V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V288z"]],
    "border-left": [448, 512, [], "f84f", ["M160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", "M32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480z"]],
    "border-none": [448, 512, [], "f850", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", ""]],
    "border-outer": [448, 512, [], "f851", ["M192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352z", "M384 96H64V416H384V96zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384z"]],
    "border-right": [448, 512, [], "f852", ["M288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32z"]],
    "border-top": [448, 512, [], "f855", ["M32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64z"]],
    "border-top-left": [448, 512, ["border-style"], "f853", ["M448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384z", "M32 480C14.33 480 0 465.7 0 448V112C0 67.82 35.82 32 80 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H80C71.16 96 64 103.2 64 112V448C64 465.7 49.67 480 32 480z"]],
    "bore-hole": [512, 512, [], "e4c3", ["M160 128V352C160 405 202.1 448 256 448C309 448 352 405 352 352V128H464C490.5 128 512 149.5 512 176V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V176C0 149.5 21.49 128 48 128H160z", "M288 296.6C307.1 307.6 320 328.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 328.3 204.9 307.6 224 296.6V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V296.6z"]],
    "bottle-droplet": [320, 512, [], "e4c4", ["M104 48H216V140.9C258.6 161.6 288 205.4 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 205.4 61.37 161.6 104 140.9V48zM160 384C186.5 384 208 368 208 336C208 304 160 256 160 256C160 256 112 304 112 336C112 362.5 133.5 384 160 384z", "M224 0C237.3-.0003 248 10.74 248 23.1C248 37.25 237.3 47.1 224 48L96 48C82.75 48 72 37.26 72 24C71.1 10.75 82.74 .0042 95.1 .0038L224 0zM112 336C112 304 160 256 160 256C160 256 208 304 208 336C208 368 186.5 384 160 384C133.5 384 112 362.5 112 336z"]],
    "bottle-water": [320, 512, [], "e4c5", ["M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM32 151.7C32 136.1 41.04 121.9 55.19 115.3L79.6 103.8C90.58 98.67 102.6 96 114.7 96H205.3C217.4 96 229.4 98.67 240.4 103.8L264.8 115.3C278.1 121.9 288 136.1 288 151.7C288 166.1 280.5 178.7 269.1 185.8C280.6 194.6 288 208.4 288 223.1C288 240.7 279.5 255.4 266.5 263.1C279.5 272.6 288 287.3 288 303.1C288 320.7 279.5 335.4 266.5 344C279.5 352.6 288 367.3 288 384C288 400.7 279.5 415.4 266.5 424C279.5 432.6 288 447.3 288 464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464C32 447.3 40.52 432.6 53.46 424C40.52 415.4 32 400.7 32 384C32 367.3 40.52 352.6 53.46 344C40.52 335.4 32 320.7 32 303.1C32 287.3 40.52 272.6 53.46 263.1C40.52 255.4 32 240.7 32 223.1C32 208.4 39.4 194.6 50.87 185.8C39.53 178.7 32 166.1 32 151.7L32 151.7zM112 256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H112C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H208C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352H112z", "M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM96 240C96 231.2 103.2 224 112 224H208C216.8 224 224 231.2 224 240C224 248.8 216.8 256 208 256H112C103.2 256 96 248.8 96 240zM96 368C96 359.2 103.2 352 112 352H208C216.8 352 224 359.2 224 368C224 376.8 216.8 384 208 384H112C103.2 384 96 376.8 96 368z"]],
    "bow-arrow": [512, 512, [127993], "f6b9", ["M282.3 150.5l46.63-46.62c-40.63-25.87-87.75-39.87-137-39.87c-49.76 0-97.25 14.25-138.1 40.62l-3.875-3.873C46.83 97.63 42.7 96.06 38.57 96.06c-4.108 0-8.209 1.558-11.33 4.675l-22.54 22.51c-3.122 3.121-4.685 7.225-4.685 11.33c0 4.112 1.565 8.226 4.692 11.35l141 140.9l45.25-45.14L100.5 151.3C128.2 136.1 159.5 128 191.1 128C223.1 128 254.8 135.8 282.3 150.5zM407.4 457.4c26.38-40.87 40.63-88.36 40.63-138.1c0-49.37-13.1-96.35-39.88-136.1l-46.63 46.62c14.75 27.5 22.5 58.24 22.5 90.36c0 32.5-8.125 63.74-23.25 91.48l-90.5-90.61l-45.25 45.24l141.8 141.8c3.125 3.125 7.217 4.687 11.31 4.687c4.094 0 8.187-1.562 11.31-4.687l22.62-22.62c3.125-3.125 4.688-7.25 4.688-11.37c0-4.125-1.562-8.248-4.688-11.37L407.4 457.4z", "M512 15.64c0-8.635-7.093-15.64-15.72-15.64c-1.004 0-2.015 .0896-3.053 .29l-128.6 25.75c-7.885 1.609-12.61 8.446-12.61 15.47c0 3.89 1.449 7.831 4.612 10.99l34.5 34.5L140.5 337.6l-49.75-16.7c-2.104-.6776-4.349-1.006-6.497-1.006c-5.38 0-10.57 2.076-14.5 6.006l-63.75 63.82C1.901 393.8 0 398.1 0 404.1c0 8.378 5.1 16.6 14.1 19.62l55.62 18.5L88.22 497.9c3.027 9.002 11.24 14.12 19.65 14.12c5.134 0 10.35-1.922 14.47-5.997l63.62-63.74c3.93-3.93 6.011-9.19 6.011-14.57c0-2.148-.3325-4.323-1.01-6.427L174.4 371.4l250.6-250.5l34.5 34.47c3.162 3.162 7.11 4.639 11.01 4.639c7.037 0 13.88-4.754 15.49-12.64l25.72-128.6C511.9 17.75 512 16.65 512 15.64z"]],
    "bowl-chopsticks": [512, 512, [], "e2e9", ["M0 109.3C0 101.6 5.488 94.97 13.06 93.55L484.4 5.172C498.7 2.484 512 13.48 512 28.06C512 39.54 503.6 49.31 492.3 51.08L18.49 125.1C8.774 126.6 0 119.1 0 109.3V109.3zM487.6 128.8C500.1 128.3 512 139 512 152.4C512 165.4 501.4 175.1 488.4 175.1H16.25C7.275 175.1 0 168.7 0 159.7C0 150.1 6.97 143.8 15.74 143.5L487.6 128.8z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4z"]],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", ["M512 24.08c0-14.41-11.93-24.01-23.98-24.01c-3.096 0 17.55-4.236-264 54.51V92.89l267.9-45.18C504.1 45.62 512 35.29 512 24.08zM0 113.2C0 122.1 7.361 127.1 14.71 127.1c.9121 0-5.396 1.115 49.29-8.09V87.95L11.75 98.84C4.854 100.3 0 106.4 0 113.2zM0 159.8C0 168.7 7.275 176 16.25 176H64V142L15.74 143.5C6.969 143.8 0 150.1 0 159.8zM487.6 128.8L224 137V176h264.4C501.4 176 512 165.4 512 152.4C512 139 500.1 128.3 487.6 128.8z", "M511.1 256.2c0 95.69-51.5 179-127.1 223.8C383.1 497.7 369.7 512 351.1 512H160c-17.67 0-31.1-14.33-31.1-32c-76.5-44.81-127.1-128.1-127.1-223.8c0-17.8 14.37-32.19 31.1-32.19L64 224V56C64 42.74 74.74 32 88 32C101.3 32 112 42.74 112 56V224h32V40c0-13.26 10.75-24 24-24S192 26.74 192 40V224l287.1-.0039C497.6 223.1 511.1 238.4 511.1 256.2z"]],
    "bowl-food": [512, 512, [], "e4c6", ["M8.562 224C3.116 214.6 0 203.7 0 192C0 156.7 28.65 128 64 128C64.53 128 65.07 128 65.6 128C73 91.49 105.3 64 144 64C158.1 64 172.1 68.1 184.9 75.25C198.2 49.55 225.1 32 256 32C286.9 32 313.8 49.56 327.1 75.25C339 68.1 353 64 368 64C406.7 64 438.1 91.49 446.4 128C446.9 128 447.5 128 448 128C483.3 128 512 156.7 512 192C512 203.7 508.9 214.6 503.4 224H8.562z", "M484.6 256C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6z"]],
    "bowl-hot": [512, 512, ["soup"], "f823", ["M176 32C176 49.63 184.3 66.22 198.4 76.8C224.6 96.44 240 127.3 240 160V168C240 181.3 229.3 192 216 192C202.7 192 192 181.3 192 168V160C192 142.4 183.7 125.8 169.6 115.2C143.4 95.56 128 64.73 128 32V24C128 10.75 138.7 0 152 0C165.3 0 176 10.75 176 24V32zM304 32C304 49.63 312.3 66.22 326.4 76.8C352.6 96.44 368 127.3 368 160V168C368 181.3 357.3 192 344 192C330.7 192 320 181.3 320 168V160C320 142.4 311.7 125.8 297.6 115.2C271.4 95.56 256 64.73 256 32V24C256 10.75 266.7 0 280 0C293.3 0 304 10.75 304 24V32z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4z"]],
    "bowl-rice": [512, 512, [], "e2eb", ["M176 56C176 42.75 186.7 32 200 32H216C229.3 32 240 42.75 240 56C240 69.25 229.3 80 216 80H200C186.7 80 176 69.25 176 56zM216 104C229.3 104 240 114.7 240 128C240 141.3 229.3 152 216 152H200C186.7 152 176 141.3 176 128C176 114.7 186.7 104 200 104H216zM32 200C32 186.7 42.75 176 56 176H72C85.25 176 96 186.7 96 200C96 213.3 85.25 224 72 224H56C42.75 224 32 213.3 32 200zM224 200C224 186.7 234.7 176 248 176H264C277.3 176 288 186.7 288 200C288 213.3 277.3 224 264 224H248C234.7 224 224 213.3 224 200zM128 200C128 186.7 138.7 176 152 176H168C181.3 176 192 186.7 192 200C192 213.3 181.3 224 168 224H152C138.7 224 128 213.3 128 200zM120 104C133.3 104 144 114.7 144 128C144 141.3 133.3 152 120 152H104C90.75 152 80 141.3 80 128C80 114.7 90.75 104 104 104H120zM320 200C320 186.7 330.7 176 344 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H344C330.7 224 320 213.3 320 200zM312 104C325.3 104 336 114.7 336 128C336 141.3 325.3 152 312 152H296C282.7 152 272 141.3 272 128C272 114.7 282.7 104 296 104H312zM416 200C416 186.7 426.7 176 440 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H440C426.7 224 416 213.3 416 200zM408 104C421.3 104 432 114.7 432 128C432 141.3 421.3 152 408 152H392C378.7 152 368 141.3 368 128C368 114.7 378.7 104 392 104H408zM312 32C325.3 32 336 42.75 336 56C336 69.25 325.3 80 312 80H296C282.7 80 272 69.25 272 56C272 42.75 282.7 32 296 32H312z", "M484.6 256C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6z"]],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", ["M416 224H32C32 173.1 52.23 124.2 88.24 88.24C124.2 52.23 173.1 32 224 32C274.9 32 323.8 52.23 359.8 88.24C395.8 124.2 416 173.1 416 224z", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.4 272.2 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5z"]],
    "bowl-scoops": [448, 512, [127813], "e3df", ["M178.9 81.28C161.4 72.04 142.2 66.53 122.5 65.09C131.4 45.66 145.7 29.21 163.6 17.67C181.6 6.127 202.5-.0078 223.9-.0078C245.2-.0078 266.1 6.127 284.1 17.67C302.1 29.21 316.4 45.66 325.2 65.09C305.6 66.61 286.5 72.16 269 81.39C251.6 90.63 236.3 103.3 224 118.7C211.7 103.3 196.3 90.51 178.9 81.28zM415.2 128.8C436.2 149.8 448 178.3 448 207.1C447.8 213.4 447.3 218.7 446.4 223.1H225.6C224.7 218.7 224.2 213.4 224 207.1C224 178.3 235.8 149.8 256.8 128.8C277.8 107.8 306.3 95.1 336 95.1C365.7 95.1 394.2 107.8 415.2 128.8zM165.5 109.6C181.9 118.6 195.8 131.5 205.9 147.2C196.8 166.2 192.1 186.1 192 207.1C191.1 213.3 192.3 218.7 192.1 223.1H1.6C.6934 218.7 .1587 213.4 0 207.1C0 178.3 11.8 149.8 32.8 128.8C53.81 107.8 82.3 95.1 112 95.1C130.7 95.1 149.1 100.7 165.5 109.6z", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.4 272.2 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5z"]],
    "bowl-soft-serve": [512, 512, [], "e46b", ["M256 0H288C358.7 0 416 57.31 416 128C416 139.7 412.9 150.6 407.4 160H416C451.3 160 480 188.7 480 224C480 259.3 451.3 288 416 288H96C60.65 288 32 259.3 32 224C32 188.7 60.65 160 96 160H104.6C99.12 150.6 96 139.7 96 128C96 92.65 124.7 64 160 64H241.3C258.3 64 272 50.25 272 33.3C272 27.23 270.2 21.31 266.8 16.26L256 0z", "M448 320C456.8 320 464 327.2 464 336V344C464 401.4 417.4 448 360 448H329.9L350.3 488.8C351.4 491.1 352 493.6 352 496C352 498.9 351.2 501.8 349.6 504.4C346.7 509.1 341.5 512 336 512H175.1C170.5 512 165.3 509.1 162.4 504.4C160.8 501.8 159.1 498.9 159.1 496C159.1 493.6 160.6 491.1 161.7 488.8L182.1 448H152C94.56 448 48 401.4 48 344V336C48 327.2 55.16 320 64 320H448z"]],
    "bowl-spoon": [512, 512, [129379], "e3e0", ["M217.6 128C202.3 165.3 160.8 192 112 192C50.14 192 0 149 0 96C0 42.98 50.14 0 112 0C160.8 0 202.3 26.71 217.6 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H217.6z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9021 239.3 15.36 224 33.59 224H478.4z"]],
    "bowling-ball": [512, 512, [], "f436", ["M144 144c-17.7 0-32 14.25-32 32s14.3 32 32 32s32-14.25 32-32S161.7 144 144 144zM240 144c17.66 0 31.95-14.25 31.95-32s-14.29-32-31.95-32s-32.05 14.25-32.05 32S222.4 144 240 144zM240 176c-17.7 0-32 14.25-32 32s14.3 32 32 32s32-14.25 32-32S257.7 176 240 176z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM144 208c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S161.7 208 144 208zM240 80c17.66 0 31.95 14.25 31.95 32s-14.29 32-31.95 32s-32.05-14.25-32.05-32S222.4 80 240 80zM240 240c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S257.7 240 240 240z"]],
    "bowling-ball-pin": [576, 512, [], "e0c3", ["M522.1 160C527.7 135.1 544 111.8 544 72.05c0-48.12-32.11-72.05-64.08-72.05C447.1-.0001 416 24.12 416 72.05c0 39.71 16.26 63.01 21.93 87.99H522.1zM521.6 192h-83.21c-1.199 8.969-3.494 17.93-6.197 26.9C442.3 245.4 448 274 448 304c0 53.82-17.93 103.3-47.85 143.4C421 500.5 431.2 512 450.8 512h58.51c11.1 0 22.9-6.609 28.4-17.27C553.7 463.6 576 421.4 576 368C576 309.4 529.4 250.7 521.6 192zM122.7 192C107.9 192 96 203.9 96 218.7C96 233.5 107.9 245.3 122.7 245.3c14.75 0 26.67-11.88 26.67-26.67C149.3 203.9 137.4 192 122.7 192zM197.3 146.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 200 197.3 200C212.1 200 224 188.1 224 173.3S212.1 146.7 197.3 146.7zM197.3 234.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 288 197.3 288C212.1 288 224 276.1 224 261.3S212.1 234.7 197.3 234.7z", "M437.9 160l.4648 31.1h83.21l.4648-31.1H437.9zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM122.7 245.3C107.9 245.3 96 233.5 96 218.7C96 203.9 107.9 192 122.7 192c14.75 0 26.67 11.88 26.67 26.66C149.3 233.5 137.4 245.3 122.7 245.3zM197.3 288C182.6 288 170.7 276.1 170.7 261.3s11.92-26.67 26.67-26.67C212.1 234.7 224 246.5 224 261.3S212.1 288 197.3 288zM197.3 200c-14.75 0-26.67-11.88-26.67-26.67s11.92-26.67 26.67-26.67C212.1 146.7 224 158.5 224 173.3S212.1 200 197.3 200z"]],
    "bowling-pins": [512, 512, [], "f437", ["M170.1 160C175.7 135.1 192 111.8 192 72.05c0-48.13-32.09-72.05-64.05-72.05C95.98 0 64 24.12 64 72.05c0 39.71 16.26 63.01 21.93 87.99H170.1zM425.6 192h-83.21C334.6 250.7 288 309.4 288 368c0 53.4 22.29 95.66 38.42 126.8C331.9 505.4 342.8 512 354.8 512h58.51c11.1 0 22.9-6.611 28.4-17.27C457.7 463.6 480 421.4 480 368C480 309.4 433.4 250.7 425.6 192zM426.1 160C431.7 135.1 448 111.8 448 72.05c0-48.13-32.09-72.05-64.05-72.05C351.1 0 320 24.12 320 72.05c0 39.71 16.26 63.01 21.93 87.99H426.1zM86.4 192C78.55 250.7 32 309.4 32 368c0 53.4 22.29 95.66 38.42 126.8C75.93 505.4 86.82 512 98.79 512h58.51c11.1 0 22.9-6.611 28.4-17.27C201.7 463.6 224 421.4 224 368C224 309.4 177.4 250.7 169.6 192H86.4z", "M86.4 192h83.21l.4648-31.1H85.93L86.4 192zM341.9 160l.4648 31.1h83.21l.4648-31.1H341.9z"]],
    "box": [448, 512, [128230], "f466", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M240 160H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160z"]],
    "box-archive": [512, 512, ["archive"], "f187", ["M32 432C32 458.5 53.49 480 80 480h352c26.51 0 48-21.49 48-48V128H32V432zM160 208C160 199.2 167.2 192 176 192h160C344.8 192 352 199.2 352 208v32C352 248.8 344.8 256 336 256h-160C167.2 256 160 248.8 160 240V208z", "M512 64v48C512 120.8 504.8 128 496 128h-480C7.188 128 0 120.8 0 112V64c0-17.69 14.31-32 32-32h448C497.7 32 512 46.31 512 64z"]],
    "box-ballot": [576, 512, [128499], "f735", ["M576 192v127.1L575.1 320H.875L0 319.1V192c0-17.67 14.33-32 32-32h96v64H79.1C71.16 224 64 231.2 64 239.1S71.16 256 79.1 256h416C504.8 256 512 248.8 512 240S504.8 224 496 224H448V160h96C561.7 160 576 174.3 576 192z", "M0 320v144C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48V320H0zM448 24C448 10.74 437.3 0 424 0h-272C138.7 0 128 10.74 128 24V256h320V24z"]],
    "box-check": [448, 512, [], "f467", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM320.1 280.1C330.3 271.6 330.3 256.4 320.1 247C311.6 237.7 296.4 237.7 287 247L192 342.1L152.1 303C143.6 293.7 128.4 293.7 119 303C109.7 312.4 109.7 327.6 119 336.1L175 392.1C184.4 402.3 199.6 402.3 208.1 392.1L320.1 280.1z"]],
    "box-circle-check": [576, 512, [], "e0c4", ["M50.73 58.53C58.86 42.27 75.48 32 93.67 32H208V160H0L50.73 58.53zM240 160V32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H240zM416 192.7C326.3 200.8 256 276.2 256 368C256 410.5 271.1 449.6 296.2 480H64C28.65 480 0 451.3 0 416V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM244.1 224C244.1 212.9 235.1 203.9 223.1 203.9C212.9 203.9 203.9 212.9 203.9 224V230C198.3 231.2 192.1 232.9 188 235.1C173.1 241.9 160.1 254.5 156.9 272.8C155.1 283 156.1 292.9 160.3 301.8C164.5 310.6 171 316.8 177.6 321.3C189.2 329.2 204.5 333.8 216.2 337.3L218.4 337.9C232.4 342.2 241.8 345.3 247.7 349.6C250.2 351.4 251.1 352.8 251.4 353.7C251.8 354.5 252.4 356.3 251.7 360.3C251.1 363.8 249.2 366.8 243.7 369.1C237.6 371.7 227.7 373 214.9 371C208.9 370 198.2 366.4 188.7 363.2C186.5 362.4 184.3 361.7 182.3 361C171.8 357.5 160.5 363.2 157 373.7C153.5 384.2 159.2 395.5 169.7 398.1C170.9 399.4 172.4 399.9 174.1 400.5C181.1 403.2 194.4 407.4 203.9 409.6V416C203.9 427.1 212.9 436.1 223.1 436.1C235.1 436.1 244.1 427.1 244.1 416V410.5C249.4 409.5 254.6 407.1 259.4 405.9C275.2 399.2 287.8 386.2 291.1 367.2C292.9 356.8 292.1 346.8 288.1 337.7C284.2 328.7 277.9 322.1 271.2 317.3C259.1 308.4 242.9 303.6 230.8 299.9L229.1 299.7C215.8 295.4 206.2 292.4 200.1 288.2C197.5 286.4 196.7 285.2 196.5 284.7C196.3 284.3 195.7 283.1 196.3 279.7C196.7 277.7 198.2 274.4 204.5 271.6C210.1 268.7 220.9 267.1 233.1 268.1C237.5 269.7 251 272.3 254.9 273.3C265.5 276.2 276.5 269.8 279.3 259.1C282.2 248.5 275.8 237.5 265.1 234.7C260.7 233.5 250.7 231.5 244.1 230.3L244.1 224z"]],
    "box-heart": [448, 512, [], "f49d", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM235.3 404.7L312.6 327.4C333.1 306.9 333.1 273.7 312.6 253.1C292.1 232.6 258.8 232.6 238.3 253.1L224 267.4L209.7 253.1C189.2 232.6 155.9 232.6 135.4 253.1C114.9 273.7 114.9 306.9 135.4 327.4L212.7 404.7C218.9 410.9 229.1 410.9 235.3 404.7V404.7z"]],
    "box-open": [640, 512, [], "f49e", ["M17.24 125.5L58.94 42.12C61.97 36.06 68.5 32.56 75.23 33.4L320 63.1L236.6 202.1C229.2 215.4 214.3 221.2 200.4 217.3L37.07 170.6C17.81 165.1 8.283 143.4 17.24 125.5V125.5zM602.9 170.6L439.6 217.3C425.7 221.2 410.8 215.4 403.4 202.1L320 63.1L564.8 33.4C571.5 32.56 578 36.06 581.1 42.12L622.8 125.5C631.7 143.4 622.2 165.1 602.9 170.6H602.9z", "M403.4 202.1C410.8 215.4 425.7 221.2 439.6 217.3L576 178.3V378.5C576 400.5 561 419.7 539.6 425.1L335.5 476.1C325.3 478.7 314.7 478.7 304.5 476.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V178.3L200.4 217.3C214.3 221.2 229.2 215.4 236.6 202.1L319.1 64L403.4 202.1z"]],
    "box-open-full": [640, 512, ["box-full"], "f49c", ["M17.24 253.5L58.94 170.1C61.97 164.1 68.5 160.6 75.23 161.4L320 191.1L236.6 330.1C229.2 343.4 214.3 349.2 200.4 345.3L37.07 298.6C17.81 293.1 8.283 271.4 17.24 253.5V253.5zM602.9 298.6L439.6 345.3C425.7 349.2 410.8 343.4 403.4 330.1L320 191.1L564.8 161.4C571.5 160.6 578 164.1 581.1 170.1L622.8 253.5C631.7 271.4 622.2 293.1 602.9 298.6H602.9z", "M480.9 3.056C505.7 12.36 518.3 40.03 508.9 64.85L481.4 138.3L320 158.5L312.8 157.6C317.4 148.7 320 138.7 320 128C320 92.65 291.3 64 256 64C220.7 64 192 92.65 192 128C192 133.1 192.6 137.1 193.7 142.7L128.2 134.5C128.1 132.3 128 130.2 128 128C128 57.31 185.3 .0002 256 .0002C325.6 .0002 382.2 55.55 383.1 124.7L419.1 31.15C428.4 6.325 456-6.252 480.9 3.057V3.056zM236.6 330.1L320 191.1L403.4 330.1C410.8 343.4 425.7 349.2 439.6 345.3L576 306.3V410.5C576 432.5 561 451.7 539.6 457.1L335.5 508.1C325.3 510.7 314.7 510.7 304.5 508.1L100.4 457.1C78.99 451.7 64 432.5 64 410.5V306.3L200.4 345.3C214.3 349.2 229.2 343.4 236.6 330.1H236.6z"]],
    "box-taped": [448, 512, ["box-alt"], "f49a", ["M50.73 58.53C58.86 42.27 75.48 32 93.67 32H192L160 160H0L50.73 58.53zM288 160V256C288 273.7 273.7 288 256 288H192C174.3 288 160 273.7 160 256V160H288zM256 32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H288L256 32z", "M160 256C160 273.7 174.3 288 192 288H256C273.7 288 288 273.7 288 256V160H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H160V256z"]],
    "box-tissue": [512, 512, [], "e05b", ["M512 256v128H0V256c0-17.67 14.33-32 32-32h76.8l12.8 64H80C71.16 288 64 295.2 64 304S71.16 320 80 320h352c8.836 0 16-7.164 16-16S440.8 288 432 288h-38.86l18.29-64H480C497.7 224 512 238.3 512 256z", "M0 384v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96H0zM384 320l64-224h-109.4C308.4 96 281.6 76.66 272 48C262.4 19.33 235.6 0 205.4 0H64l64 320H384z"]],
    "boxes-packing": [640, 512, [], "e4c7", ["M592 0C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V253.3C402.6 246.7 416 228.9 416 208V176C416 149.5 394.5 128 368 128H256V48C256 21.49 277.5 0 304 0H592zM507.3 260.7C501.1 254.4 490.9 254.4 484.7 260.7L420.7 324.7C414.4 330.9 414.4 341.1 420.7 347.3C426.9 353.6 437.1 353.6 443.3 347.3L480 310.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V310.6L548.7 347.3C554.9 353.6 565.1 353.6 571.3 347.3C577.6 341.1 577.6 330.9 571.3 324.7L507.3 260.7z", "M368 160C376.8 160 384 167.2 384 176V208C384 216.8 376.8 224 368 224H16C7.164 224 0 216.8 0 208V176C0 167.2 7.164 160 16 160H368zM32 256H352V480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V256zM144 352H240C248.8 352 256 344.8 256 336C256 327.2 248.8 320 240 320H144C135.2 320 128 327.2 128 336C128 344.8 135.2 352 144 352z"]],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", ["M256 0H320V80C320 88.84 312.8 96 304 96H272C263.2 96 256 88.84 256 80V0zM416 288H480V368C480 376.8 472.8 384 464 384H432C423.2 384 416 376.8 416 368V288zM160 368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V288H160V368z", "M160 48C160 21.49 181.5 0 208 0H256V80C256 88.84 263.2 96 272 96H304C312.8 96 320 88.84 320 80V0H368C394.5 0 416 21.49 416 48V176C416 202.5 394.5 224 368 224H208C181.5 224 160 202.5 160 176V48zM96 288V368C96 376.8 103.2 384 112 384H144C152.8 384 160 376.8 160 368V288H208C234.5 288 256 309.5 256 336V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H96zM416 288V368C416 376.8 423.2 384 432 384H464C472.8 384 480 376.8 480 368V288H528C554.5 288 576 309.5 576 336V464C576 490.5 554.5 512 528 512H368C341.5 512 320 490.5 320 464V336C320 309.5 341.5 288 368 288H416z"]],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", ["M383.1 400v64c0 26.51-21.49 48-47.1 48H111.1c-26.51 0-47.1-21.49-47.1-48v-64H195.2l-28.03 18.69c-4.621 3.087-7.126 8.16-7.126 13.33C159.1 440.7 167.1 448 175.1 448c3.062 0 6.156-.875 8.875-2.688l39.12-26.08l39.12 26.08C265.8 447.1 268.9 448 271.1 448c8.924 0 16-7.265 16-15.98c0-5.171-2.505-10.24-7.126-13.33L252.8 400H383.1z", "M480 230.3c0 18.69-2.124 59.64-37.55 95.17L383.1 384v16H252.8l28.03-18.69c4.621-3.087 7.126-8.16 7.126-13.33c0-8.735-7.089-15.98-16.04-15.98c-3.053 0-6.131 .8708-8.838 2.683l-39.12 26.08l-39.12-26.08c-2.707-1.807-5.786-2.676-8.84-2.676c-8.95 0-16.04 7.232-16.04 15.97c0 5.171 2.505 10.24 7.126 13.33L195.2 400H63.1l.0003-40.86C44.49 341.6 32 316.3 32 288V93.98C32.09 41.75 75.77 0 127.1 0h191.1c53.01 0 95.1 42.98 95.1 96l-.0189 32.25c-6.636 0-13.76-.292-21.14-.292c-25 0-52.95 3.354-74.85 32.79v-.5h-146.7c-42.04 0-58.02-24.3-65.89-24.3c-2.036 0-4.053 .7492-5.603 2.299L90.49 149.6C88.93 151.2 88.14 153.2 88.14 155.3c0 9.894 40.3 36.83 85.09 36.83h132.5c-1 5.125-1.625 10.5-1.625 16c0 69.63 69.16 79.54 71.94 79.54c4.392 0 8.047-3.689 8.047-8.044v-16c0-4-2.875-7.5-6.875-8.125c-23.18-3.206-41.13-23.2-41.13-47.37C336.1 173.7 368.7 160 387.7 160h28.27c35.24 0 64 28.75 64 64C479.1 225.6 480 227.8 480 230.3z"]],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", ["M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z", ""]],
    "bracket-curly-right": [256, 512, [], "7d", ["M32 63.1C32 81.67 46.33 96 63.1 96H96c17.6 0 32 14.4 32 32v37.48c0 25.47 10.12 49.89 28.12 67.9L178.8 256l-22.64 22.64C138.1 296.6 128 321 128 346.5V384c0 17.6-14.4 32-32 32H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H96c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26c12.5-12.5 12.5-32.75 0-45.25l-45.26-45.26C195.4 182.1 192 173.1 192 165.5V128c0-53.02-42.98-96-96-96H63.1C46.33 32 32 46.33 32 63.1z", ""]],
    "bracket-round": [192, 512, ["parenthesis"], "28", ["M127.9 480c-6.062 0-12.22-1.75-17.66-5.375c-4.5-2.1-110.2-75.16-110.2-218.6s105.7-215.6 110.2-218.6c14.72-9.812 34.56-5.844 44.37 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 63.1 147.8 63.1 256c0 108.4 78.53 163.2 81.87 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z", ""]],
    "bracket-round-right": [192, 512, [], "29", ["M37.53 465.8c-9.844-14.59-5.969-34.47 8.594-44.37c3.344-2.281 81.87-57.09 81.87-165.5c0-108.2-78.37-163.1-81.87-165.5C31.53 80.73 27.6 60.92 37.38 46.26C47.19 31.54 67.03 27.57 81.75 37.39C86.25 40.39 192 112.5 192 256s-105.7 215.6-110.2 218.6C76.31 478.3 70.16 480 64.1 480C53.82 480 43.72 475 37.53 465.8z", ""]],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", ["M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z", ""]],
    "bracket-square-right": [192, 512, [], "5d", ["M32 63.1C32 81.67 46.33 96 63.1 96H128v320H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H160c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H63.1C46.33 32 32 46.33 32 63.1z", ""]],
    "brackets-curly": [576, 512, [], "f7ea", ["M566.6 233.4l-45.25-45.25C515.4 182.1 512 173.1 512 165.5V128c0-53.02-42.98-96-96-96h-32C366.3 32 352 46.33 352 63.1S366.3 96 383.1 96H416c17.6 0 32 14.4 32 32v37.5c0 25.45 10.11 49.86 28.11 67.86L498.8 256l-22.64 22.64C458.1 296.6 448 321 448 346.5V384c0 17.6-14.4 32-32 32h-32C366.3 416 352 430.3 352 447.1S366.3 480 383.1 480H416c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26C579.1 266.1 579.1 245.9 566.6 233.4z", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z"]],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", ["M384 480c-10.34 0-20.5-4.1-26.66-14.25c-9.812-14.72-5.844-34.56 8.875-44.37C369.5 419.2 448 364.4 448 256s-78.53-163.2-81.88-165.5c-14.56-9.906-18.44-29.78-8.594-44.37c9.812-14.62 29.53-18.56 44.22-8.781C406.3 40.39 512 112.5 512 256s-105.8 215.6-110.3 218.6C396.3 478.3 390.1 480 384 480z", "M127.9 480c-6.062 0-12.22-1.75-17.66-5.375C105.8 471.6 0 399.5 0 256S105.8 40.39 110.3 37.39c14.72-9.812 34.56-5.844 44.38 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 64 147.8 64 256c0 108.4 78.53 163.2 81.88 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z"]],
    "brackets-square": [448, 512, ["brackets"], "f7e9", ["M416 32h-96C302.3 32 288 46.33 288 63.1S302.3 96 319.1 96H384v320h-64C302.3 416 288 430.3 288 447.1S302.3 480 319.1 480H416c17.6 0 32-14.4 32-32V64C448 46.4 433.6 32 416 32z", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z"]],
    "braille": [640, 512, [], "f2a1", ["M640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 80C567.2 80 560 87.16 560 96C560 104.8 567.2 112 576 112C584.8 112 592 104.8 592 96C592 87.16 584.8 80 576 80zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 400C215.2 400 208 407.2 208 416C208 424.8 215.2 432 224 432C232.8 432 240 424.8 240 416C240 407.2 232.8 400 224 400zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 272C584.8 272 592 264.8 592 256C592 247.2 584.8 240 576 240C567.2 240 560 247.2 560 256C560 264.8 567.2 272 576 272zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 400C567.2 400 560 407.2 560 416C560 424.8 567.2 432 576 432C584.8 432 592 424.8 592 416C592 407.2 584.8 400 576 400zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 400C407.2 400 400 407.2 400 416C400 424.8 407.2 432 416 432C424.8 432 432 424.8 432 416C432 407.2 424.8 400 416 400z", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96zM352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96z"]],
    "brain": [512, 512, [129504], "f5dc", ["M184 0C214.9 0 240 25.07 240 56V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z", "M240 456V56H272V456H240z"]],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", ["M203.7 0C176.8 0 154.8 20.51 152 46.74C126 53.2 106.7 76.52 106.7 104.5c0 5.852 1.104 11.39 2.672 16.74c-27.04 5.676-47.47 29.2-47.47 57.93c0 14.09 5.082 26.87 13.25 37.09C49.71 228.2 32 253.8 32 283.7c0 31.98 20.2 59.05 48.46 69.68c-2.225 6.254-3.658 12.89-3.658 19.92c0 32.98 26.74 59.73 59.73 59.73c5.383 0 10.5-.9404 15.46-2.276c2.641 26.39 24.66 47.08 51.74 47.08C232.6 477.9 256 454.5 256 425.6V52.27C256 23.4 232.6 0 203.7 0zM482.1 179.2c0-28.73-20.44-52.25-47.47-57.93c1.566-5.348 2.672-10.89 2.672-16.74c0-28.01-19.35-51.33-45.36-57.79C389.2 20.51 367.2 0 340.3 0C311.4 0 288 23.4 288 52.27v273.1c22.2-27.49 54.09-47.02 90.21-52.39c6.793-1.031 12.89-1.118 18.06-1.118l51.62 .0049V256.7c0-16.74 8.324-31.56 21.06-40.33c-.0449-.0234 .0449 .0195 0 0C477.1 206.1 482.1 193.3 482.1 179.2z", "M602.9 339.7l-96.01-95.13c-10.13-10-27.08-2.637-27.08 12.11L479.9 303.9l-79.91-.0338c-5.625 0-11.25-.125-17 .75c-47.13 7-85.63 44.5-93.38 91.5c-7.875 46.75 13.25 90.5 48.25 113.8c9.752 6.5 21.63-3.25 17.75-14.38c-9-26.62-5.51-95.51 60.37-95.51h64l.0117 47.14c0 14.88 17.01 22.2 27.14 12.2l95.87-95.2C609.7 357.5 609.7 346.3 602.9 339.7z"]],
    "brain-circuit": [512, 512, [], "e0c6", ["M184 0C214.9 0 240 25.07 240 56V128H196.7C190.5 113.9 176.4 104 160 104C137.9 104 120 121.9 120 144C120 166.1 137.9 184 160 184C176.4 184 190.5 174.1 196.7 160H240V256H192C165.5 256 144 277.5 144 304V315.3C129.9 321.5 120 335.6 120 352C120 374.1 137.9 392 160 392C182.1 392 200 374.1 200 352C200 335.6 190.1 321.5 176 315.3V304C176 295.2 183.2 288 192 288H240V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V384H339.3C345.5 398.1 359.6 408 376 408C398.1 408 416 390.1 416 368C416 345.9 398.1 328 376 328C359.6 328 345.5 337.9 339.3 352H272V160H320C328.8 160 336 167.2 336 176V187.3C321.9 193.5 312 207.6 312 224C312 246.1 329.9 264 352 264C374.1 264 392 246.1 392 224C392 207.6 382.1 193.5 368 187.3V176C368 149.5 346.5 128 320 128H272V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z", "M192 288C183.2 288 176 295.2 176 304V315.3C190.1 321.5 200 335.6 200 352C200 374.1 182.1 392 160 392C137.9 392 120 374.1 120 352C120 335.6 129.9 321.5 144 315.3V304C144 277.5 165.5 256 192 256H240V160H196.7C190.5 174.1 176.4 184 160 184C137.9 184 120 166.1 120 144C120 121.9 137.9 104 160 104C176.4 104 190.5 113.9 196.7 128H240V56H272V128H320C346.5 128 368 149.5 368 176V187.3C382.1 193.5 392 207.6 392 224C392 246.1 374.1 264 352 264C329.9 264 312 246.1 312 224C312 207.6 321.9 193.5 336 187.3V176C336 167.2 328.8 160 320 160H272V352H339.3C345.5 337.9 359.6 328 376 328C398.1 328 416 345.9 416 368C416 390.1 398.1 408 376 408C359.6 408 345.5 398.1 339.3 384H272V456H240V288H192zM160 160C168.8 160 176 152.8 176 144C176 135.2 168.8 128 160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160zM160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM368 224C368 215.2 360.8 208 352 208C343.2 208 336 215.2 336 224C336 232.8 343.2 240 352 240C360.8 240 368 232.8 368 224zM376 384C384.8 384 392 376.8 392 368C392 359.2 384.8 352 376 352C367.2 352 360 359.2 360 368C360 376.8 367.2 384 376 384z"]],
    "brake-warning": [640, 512, [], "e0c7", ["M96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256zM296 152V264C296 277.3 306.7 288 320 288C333.3 288 344 277.3 344 264V152C344 138.7 333.3 128 320 128C306.7 128 296 138.7 296 152zM320 320C302.3 320 288 334.3 288 352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352C352 334.3 337.7 320 320 320z", "M48 255.1C48 310.2 63.83 360.6 91.11 403C98.28 414.2 95.06 429 83.92 436.2C72.77 443.4 57.92 440.1 50.75 428.1C18.63 379.1 0 319.7 0 255.1C0 192.3 18.63 132.9 50.75 83.01C57.92 71.86 72.77 68.65 83.92 75.82C95.06 82.99 98.28 97.85 91.11 108.1C63.83 151.4 48 201.8 48 255.1V255.1zM640 255.1C640 319.7 621.4 379.1 589.3 428.1C582.1 440.1 567.2 443.4 556.1 436.2C544.9 429 541.7 414.2 548.9 403C576.2 360.6 592 310.2 592 255.1C592 201.8 576.2 151.4 548.9 108.1C541.7 97.85 544.9 82.99 556.1 75.82C567.2 68.65 582.1 71.86 589.3 83.01C621.4 132.9 640 192.3 640 255.1V255.1zM320 128C333.3 128 344 138.7 344 152V264C344 277.3 333.3 288 320 288C306.7 288 296 277.3 296 264V152C296 138.7 306.7 128 320 128zM352 352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352C288 334.3 302.3 320 320 320C337.7 320 352 334.3 352 352z"]],
    "brazilian-real-sign": [512, 512, [], "e46c", ["M400 .0003C417.7 .0003 432 14.33 432 32V50.22C444.5 52.52 456.7 56.57 468.2 62.3L478.3 67.38C494.1 75.28 500.5 94.5 492.6 110.3C484.7 126.1 465.5 132.5 449.7 124.6L439.5 119.5C429.6 114.6 418.7 112 407.6 112H405.9C376.1 112 352 136.1 352 165.9C352 187.9 365.4 207.7 385.9 215.9L437.9 236.7C482.7 254.6 512 297.9 512 346.1V349.5C512 400.7 478.4 444.1 432 458.7V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V460.6C352.1 457.1 338.6 450.9 325.7 442.3L302.2 426.6C287.5 416.8 283.6 396.1 293.4 382.2C303.2 367.5 323 363.6 337.8 373.4L361.2 389C371.9 396.2 384.6 400 397.5 400C425.4 400 448 377.4 448 349.5V346.1C448 324.1 434.6 304.3 414.1 296.1L362.1 275.3C317.3 257.4 288 214.1 288 165.9C288 114 321.5 69.99 368 54.21V32C368 14.33 382.3 0 400 0L400 .0003z", "M112 32C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32H112zM192 176C192 131.8 156.2 96 112 96H64V256H112C156.2 256 192 220.2 192 176z"]],
    "bread-loaf": [640, 512, [127838], "f7eb", ["M480 192c0-88.38-107.5-160-240-160S0 103.6 0 192c0 35.38 30.88 64 64 64v192c0 17.62 14.38 32 32 32h288c17.62 0 32-14.38 32-32V256C449.1 256 480 227.4 480 192z", "M640 192c0 35.38-30.88 64-64 64v192c0 17.62-14.38 32-32 32h-160c17.62 0 32-14.38 32-32V256c33.13 0 64-28.62 64-64c0-88.38-107.5-160-240-160h160C532.5 32 640 103.6 640 192z"]],
    "bread-slice": [512, 512, [], "f7ec", ["M256 32C96 32 0 112 0 176.1C0 203 21.56 224 56.89 224H64v224c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V224h7.111C490.4 224 512 203 512 176.1C512 112 416 32 256 32zM144 416C135.2 416 128 408.8 128 400C128 391.2 135.2 384 144 384S160 391.2 160 400C160 408.8 152.8 416 144 416zM144 320C135.2 320 128 312.8 128 304C128 295.2 135.2 288 144 288S160 295.2 160 304C160 312.8 152.8 320 144 320zM240 416C231.2 416 224 408.8 224 400C224 391.2 231.2 384 240 384s16 7.162 16 16C256 408.8 248.8 416 240 416z", "M144 384C135.2 384 128 391.2 128 400C128 408.8 135.2 416 144 416S160 408.8 160 400C160 391.2 152.8 384 144 384zM144 288C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320S160 312.8 160 304C160 295.2 152.8 288 144 288zM240 384C231.2 384 224 391.2 224 400C224 408.8 231.2 416 240 416s16-7.164 16-16C256 391.2 248.8 384 240 384z"]],
    "bread-slice-butter": [512, 512, [], "e3e1", ["M323.9 291.9L278.6 337.2C272.6 343.2 264.5 346.5 255.1 346.5C247.5 346.5 239.4 343.2 233.4 337.2L188.1 291.9C182.1 285.9 178.8 277.7 178.8 269.2C178.8 260.8 182.1 252.6 188.1 246.6L233.4 201.4C239.4 195.4 247.5 192 255.1 192C264.5 192 272.6 195.4 278.6 201.4L323.9 246.6C329.9 252.6 333.2 260.8 333.2 269.2C333.2 277.7 329.9 285.9 323.9 291.9z", "M512 176.1C511.6 183.9 509.8 190.6 506.7 196.8C503.5 203 499.2 208.5 493.8 212.9C488.5 217.3 482.3 220.6 475.6 222.5C468.1 224.4 461.1 224.9 455.1 224H448V448C448 456.5 444.6 464.6 438.6 470.6C432.6 476.6 424.5 480 416 480H96C87.51 480 79.37 476.6 73.37 470.6C67.37 464.6 64 456.5 64 448V224H56.9C50.03 224.9 43.04 224.4 36.38 222.5C29.71 220.6 23.51 217.3 18.17 212.9C12.83 208.5 8.457 203 5.33 196.8C2.203 190.6 .3885 183.9 0 176.1C0 112 96 32 256 32C416 32 512 112 512 176.1H512zM333.2 269.2C333.2 260.8 329.9 252.6 323.9 246.6L278.6 201.4C272.6 195.4 264.5 192 256 192C247.5 192 239.4 195.4 233.4 201.4L188.1 246.6C182.1 252.6 178.8 260.8 178.8 269.2C178.8 277.7 182.1 285.9 188.1 291.9L233.4 337.2C239.4 343.2 247.5 346.5 256 346.5C264.5 346.5 272.6 343.2 278.6 337.2L323.9 291.9C329.9 285.9 333.2 277.7 333.2 269.2z"]],
    "bridge": [576, 512, [], "e4c8", ["M0 64C0 46.33 14.33 32 32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H504V160H456V96H376V160H328V96H248V160H200V96H120V160H72V96H32C14.33 96 0 81.67 0 64z", "M0 160H576V288C522.1 288 480 330.1 480 384V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V384C384 330.1 341 288 288 288C234.1 288 192 330.1 192 384V448C192 465.7 177.7 480 160 480H128C110.3 480 96 465.7 96 448V384C96 330.1 53.02 288 0 288V160z"]],
    "bridge-circle-check": [640, 512, [], "e4c9", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "bridge-circle-xmark": [640, 512, [], "e4cb", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "bridge-lock": [640, 512, [], "e4cc", ["M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H528C466.1 160 416 210.1 416 272V296.6C406.1 302.3 397.8 310.7 392.2 320.7C374.6 300.7 348.8 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32L576 32zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "bridge-suspension": [640, 512, [], "e4cd", ["M128 8C137.1 8 144.1 13.03 149 20.45C184.2 81.59 249.7 120 320 120C390.3 120 455.8 81.61 490.9 20.5C495 13.05 502.9 8 512 8C520.8 8 528.5 12.72 532.6 19.76C545.7 40.97 559.3 61.94 574.7 79.54C590.2 97.21 606.4 110.1 624.1 116.5C636.6 120.1 643.1 134.7 638.6 147.2C634.1 159.7 620.3 166.1 607.9 161.6C582.4 152.4 561.4 135.8 544 117.1V256H480V108.1C467.6 118.8 454.2 128.2 440 136.3V256H392V157C376.5 161.9 360.4 165.2 344 166.8V256H296V166.8C279.6 165.2 263.5 161.9 248 157V256H200V136.3C185.8 128.2 172.4 118.8 160 108.1V256H96V117.1C78.59 135.8 57.65 152.4 32.14 161.6C19.67 166.1 5.921 159.7 1.424 147.2C-3.073 134.7 3.39 120.1 15.86 116.5C33.57 110.1 49.79 97.21 65.3 79.54C80.72 61.95 94.27 41.01 107.3 19.82C111.5 12.74 119.2 8 128 8H128z", "M608 256C625.7 256 640 270.3 640 288V320C640 337.7 625.7 352 608 352C572.7 352 544 380.7 544 416V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V448C448 394.1 405 352 352 352H288C234.1 352 192 394.1 192 448V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 380.7 67.35 352 32 352C14.33 352 0 337.7 0 320V288C0 270.3 14.33 256 32 256H608z"]],
    "bridge-water": [576, 512, [], "e4ce", ["M269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9H269.5z", "M544 64C561.7 64 576 78.33 576 96V131.6C576 147.3 563.3 160 547.6 160C510.2 160 480 190.2 480 227.6V352.5C467.1 352.5 454.2 356.3 443.2 364.1C425.2 376.5 403 384.5 384 384.5C384 384.5 384 384.5 384 384.5C384 384.3 384 384.2 384 384V256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256V384C192 384.2 191.1 384.3 191.1 384.5C172.1 384.4 150.8 376.5 132.9 364.1C121.8 356.3 108.9 352.4 96 352.5V227.6C96 190.2 65.75 160 28.44 160C12.74 160 0 147.3 0 131.6V96C0 78.33 14.33 64 32 64H544z"]],
    "briefcase": [512, 512, [128188], "f0b1", ["M320 336c0 8.844-7.156 16-16 16h-96C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h416c25.59 0 48-22.41 48-48V288h-192V336z", "M464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V288h512V144C512 118.4 489.6 96 464 96zM336 96h-160V48h160V96z"]],
    "briefcase-arrow-right": [512, 512, [], "e2f2", ["M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z", "M376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z"]],
    "briefcase-blank": [512, 512, [], "e0c8", ["M176 96H128V48C128 21.5 149.5 0 176 0h160C362.5 0 384 21.5 384 48V96h-48V48h-160V96z", "M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-288C0 117.5 21.5 96 48 96h416C490.5 96 512 117.5 512 144z"]],
    "briefcase-medical": [512, 512, [], "f469", ["M368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z"]],
    "brightness": [512, 512, [], "e0c9", ["M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V80C288 97.67 273.7 112 256 112C238.3 112 224 97.67 224 80V32zM80 224C97.67 224 112 238.3 112 256C112 273.7 97.67 288 80 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H80zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H432C414.3 288 400 273.7 400 256C400 238.3 414.3 224 432 224H480zM256 512C238.3 512 224 497.7 224 480V432C224 414.3 238.3 400 256 400C273.7 400 288 414.3 288 432V480C288 497.7 273.7 512 256 512zM73.37 438.6C60.88 426.1 60.88 405.9 73.37 393.4L105.4 361.4C117.9 348.9 138.1 348.9 150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6L118.6 438.6C106.1 451.1 85.87 451.1 73.37 438.6zM393.4 73.37C405.9 60.88 426.1 60.88 438.6 73.37C451.1 85.87 451.1 106.1 438.6 118.6L406.6 150.6C394.1 163.1 373.9 163.1 361.4 150.6C348.9 138.1 348.9 117.9 361.4 105.4L393.4 73.37zM438.6 438.6C426.1 451.1 405.9 451.1 393.4 438.6L361.4 406.6C348.9 394.1 348.9 373.9 361.4 361.4C373.9 348.9 394.1 348.9 406.6 361.4L438.6 393.4C451.1 405.9 451.1 426.1 438.6 438.6zM73.37 118.6C60.88 106.1 60.88 85.87 73.37 73.37C85.87 60.88 106.1 60.88 118.6 73.37L150.6 105.4C163.1 117.9 163.1 138.1 150.6 150.6C138.1 163.1 117.9 163.1 105.4 150.6L73.37 118.6z", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256z"]],
    "brightness-low": [448, 512, [], "e0ca", ["M192 80C192 62.33 206.3 48 224 48C241.7 48 256 62.33 256 80C256 97.67 241.7 112 224 112C206.3 112 192 97.67 192 80zM192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM48 224C65.67 224 80 238.3 80 256C80 273.7 65.67 288 48 288C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224zM128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM352 416C334.3 416 320 401.7 320 384C320 366.3 334.3 352 352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416zM384 128C384 145.7 369.7 160 352 160C334.3 160 320 145.7 320 128C320 110.3 334.3 96 352 96C369.7 96 384 110.3 384 128zM96 352C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416C78.33 416 64 401.7 64 384C64 366.3 78.33 352 96 352z", "M320 256C320 309 277 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256z"]],
    "bring-forward": [512, 512, [], "f856", ["M224 448H448V224H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H224V448z", "M352 288C352 323.3 323.3 352 288 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288z"]],
    "bring-front": [640, 512, [], "f857", ["M64 192H128V256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64H64V192zM576 448V320H512V256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448H576z", "M160 160C160 124.7 188.7 96 224 96H416C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160z"]],
    "broccoli": [512, 512, [129382], "e3e2", ["M256 431.2C248.2 413.5 239.8 397.8 231.6 384H134.7c66.22 81.42 47.54 128 88.64 128h65.34c41.16 0 22.37-46.52 88.64-128h-96.9C272.2 397.8 263.8 413.5 256 431.2z", "M512 256c0 53.02-42.98 96-96 96H96c-53.02 0-96-42.98-96-96c0-45.54 31.79-83.47 74.33-93.33C67.85 152.7 64 140.8 64 128c0-35.35 28.65-64 64-64c12.8 0 24.67 3.85 34.67 10.33C172.5 31.79 210.5 0 256 0s83.47 31.79 93.33 74.33C359.3 67.85 371.2 64 384 64c35.35 0 64 28.65 64 64c0 12.8-3.85 24.67-10.33 34.67C480.2 172.5 512 210.5 512 256z"]],
    "broom": [640, 512, [129529], "f51a", ["M627.7 57.24l-225.2 175.2l-39.82-50.14l225.7-175.6c14-10.83 34.06-8.28 44.91 5.624C644.1 26.28 641.6 46.38 627.7 57.24z", "M93.13 257.7C71.25 275.1 53 313.5 38.63 355.1L99 333.1c5.75-2.125 10.62 4.751 6.625 9.499L11 454.7C3.75 486.1 0 510.2 0 510.2s206.6 13.62 266.6-34.12c60-47.87 76.63-150.1 76.63-150.1L256.5 216.7C256.5 216.7 153.1 209.1 93.13 257.7zM435.6 274.2l-108-135.1C322.5 131.9 312.5 133.1 309 140.5L283.8 194.1l86.75 109.2l58.75-12.5C437.3 290.1 440.6 280.6 435.6 274.2z"]],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", ["M495.1 351.1c-44.18 0-79.1 35.72-79.1 79.91c0 44.18 35.82 80.09 79.1 80.09c44.18 0 79.1-35.91 79.1-80.09C575.1 387.7 540.2 351.1 495.1 351.1zM640 31.97c0-17.03-13.72-31.96-32.04-31.96c-6.863 0-13.78 2.191-19.62 6.719L362.7 182.3l39.79 50.16l225.2-175.2C635.8 50.95 640 41.51 640 31.97z", "M242.7 216.4c-30.16 0-102.9 4.15-149.4 41.34c-22 17.5-40.25 55.75-54.63 97.5l60.38-22.12c.7373-.2725 1.459-.3967 2.151-.3967c3.329 0 5.935 2.885 5.935 6.039c0 1.301-.4439 2.647-1.462 3.856L11 454.7C3.75 487.1 0 510.2 0 510.2S27.07 512 64.45 512c65.94 0 163.1-5.499 202.2-35.89c60-47.75 76.63-150.1 76.63-150.1l-86.75-109.2C256.5 216.7 251.4 216.4 242.7 216.4zM332.8 144.6c-3.249-4.095-7.89-6.058-12.5-6.058c-5.891 0-11.73 3.204-14.54 9.26L283.8 195.1l86.75 109.1l50.88-10.72c7.882-1.66 12.72-8.545 12.72-15.71c0-3.411-1.095-6.886-3.478-9.89L332.8 144.6z"]],
    "browser": [512, 512, [128468], "f37e", ["M128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM64 480C28.65 480 0 451.3 0 416V224H512V416C512 451.3 483.3 480 448 480H64z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V224H0V96zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM184 104C170.7 104 160 114.7 160 128C160 141.3 170.7 152 184 152H424C437.3 152 448 141.3 448 128C448 114.7 437.3 104 424 104H184z"]],
    "browsers": [576, 512, [], "e0cb", ["M224 96C224 113.7 209.7 128 192 128C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64C209.7 64 224 78.33 224 96zM160 416C124.7 416 96 387.3 96 352V192H576V352C576 387.3 547.3 416 512 416H160z", "M512 0C547.3 0 576 28.65 576 64V192H96V64C96 28.65 124.7 0 160 0H512zM192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64zM280 120H488C501.3 120 512 109.3 512 96C512 82.75 501.3 72 488 72H280C266.7 72 256 82.75 256 96C256 109.3 266.7 120 280 120zM48 376C48 424.6 87.4 464 136 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H136C60.89 512 0 451.1 0 376V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V376z"]],
    "brush": [384, 512, [], "f55d", ["M160 0L192 64L224 0H336C362.5 0 384 21.49 384 48V288H0V48C0 21.49 21.49 0 48 0H64L96 64L128 0H160z", "M0 288H384V320C384 355.3 355.3 384 320 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H64C28.65 384 0 355.3 0 320V288zM192 464C200.8 464 208 456.8 208 448C208 439.2 200.8 432 192 432C183.2 432 176 439.2 176 448C176 456.8 183.2 464 192 464z"]],
    "bucket": [448, 512, [], "e4cf", ["M200 48C142.6 48 96 94.56 96 152V160H48V152C48 68.05 116.1 0 200 0H248C331.9 0 400 68.05 400 152V160H352V152C352 94.56 305.4 48 248 48H200z", "M416 192C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256H410.9L388.5 469C385.1 493.5 365.4 512 340.8 512H107.2C82.65 512 62.05 493.5 59.48 469L37.05 256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H416z"]],
    "bug": [512, 512, [], "f188", ["M352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 160 115.3 160 99.56V96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96zM240 479.2V240C240 231.2 247.2 224 256 224C264.8 224 272 231.2 272 240V479.2C266.7 479.7 261.4 480 256 480C250.6 480 245.3 479.7 240 479.2z", "M150.6 169.4C151.3 170 151.9 170.7 152.5 171.4C166.8 164.1 182.9 160 199.1 160H312C329.1 160 345.2 164.1 359.5 171.4C360.1 170.7 360.7 170 361.4 169.4L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L406.6 214.6C405.1 215.3 405.3 215.9 404.6 216.5C410.7 228.5 414.6 241.9 415.7 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H416C416 344.6 410.5 367.8 400.6 388.6C402.7 389.9 404.8 391.5 406.6 393.4L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L362.3 439.6C337.8 461.4 306.5 475.8 272 479.2V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240V479.2C205.5 475.8 174.2 461.4 149.7 439.6L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L105.4 393.4C107.2 391.5 109.3 389.9 111.4 388.6C101.5 367.8 96 344.6 96 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H96.3C97.38 241.9 101.3 228.5 107.4 216.5C106.7 215.9 106 215.3 105.4 214.6L41.37 150.6C28.88 138.1 28.88 117.9 41.37 105.4C53.87 92.88 74.13 92.88 86.63 105.4L150.6 169.4z"]],
    "bug-slash": [640, 512, [], "e490", ["M239.1 162.8C247.7 160.1 255.7 160 263.1 160H376C393.1 160 409.2 164.1 423.5 171.4C424.1 170.7 424.7 170 425.4 169.4L489.4 105.4C501.9 92.88 522.1 92.88 534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6L470.6 214.6C469.1 215.3 469.3 215.9 468.6 216.5C474.7 228.5 478.6 241.9 479.7 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H480C480 329.9 479.1 339.5 477.4 348.9L239.1 162.8zM416 96V99.56C416 115.3 403.3 128 387.6 128H252.4C236.7 128 223.1 115.3 223.1 99.56V96C223.1 42.98 266.1 0 319.1 0C373 0 416 42.98 416 96zM160.3 256C161.1 245.1 163.3 236.3 166.7 227.3L303.1 335.5V479.2C269.5 475.8 238.2 461.4 213.7 439.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6C92.88 490.1 92.88 469.9 105.4 457.4L169.4 393.4C171.2 391.5 173.3 389.9 175.4 388.6C165.5 367.8 160 344.6 160 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H160.3zM336 479.2V360.7L430.8 435.4C405.7 459.6 372.6 475.6 336 479.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "bugs": [576, 512, [], "e4d0", ["M501.5 322.7L516.2 331.2L530.1 315.3C538.9 305.3 554 304.4 563.1 313.1C573.9 321.9 574.9 337 566.2 346.1L539.2 377.6C531.7 386.2 519.1 388.3 509.2 382.6L481.5 366.6L469.9 386.7L497.9 413.8C504.9 420.6 507.1 430.1 503.5 440L482.4 492.5C477.5 504.8 463.5 510.8 451.2 505.8C438.9 500.9 432.9 486.9 437.9 474.6L452.9 437.1L439.3 423.9C419.1 435.6 395 436.7 374.1 424.6C353.1 412.5 341.6 390.4 342.1 367.8L323.8 362.6L298.9 394.4C290.7 404.8 275.6 406.6 265.2 398.4C254.8 390.3 252.9 375.2 261.1 364.7L296.1 320.2C302.1 312.6 312.1 309.3 321.5 311.1L359 322.7L370.6 302.6L342.9 286.6C333 280.8 328.5 268.9 332.2 258.1L345.3 219.4C349.5 206.9 363.1 200.2 375.7 204.4C388.2 208.7 394.1 222.3 390.7 234.8L383.1 254.8L398.7 263.3C408.6 255.6 420.4 251 432.8 249.1L440.6 169.7C441.9 156.5 453.6 146.8 466.8 148.1C480 149.4 489.7 161.1 488.4 174.3L482.2 237.3L533.7 200.5C544.5 192.8 559.4 195.3 567.2 206C574.9 216.8 572.4 231.8 561.6 239.5L495.1 286.5C501.2 297.7 503.2 310.3 501.5 322.7L501.5 322.7z", "M187.3 135.1H204.3L208.5 115.3C211.1 102.3 223.7 93.86 236.7 96.46C249.7 99.06 258.1 111.7 255.5 124.7L247.5 164.7C245.3 175.9 235.4 183.1 223.1 183.1H191.1V207.3L229.8 216.7C239.3 219.1 246.4 226.9 247.8 236.6L255.8 292.6C257.6 305.7 248.5 317.9 235.4 319.8C222.3 321.6 210.1 312.5 208.2 299.4L202.5 259.4L184.1 254.8C173.2 274.6 152.2 288 127.1 288C103.8 288 82.75 274.6 71.87 254.8L53.47 259.4L47.76 299.4C45.88 312.5 33.72 321.6 20.6 319.8C7.481 317.9-1.636 305.7 .2381 292.6L8.238 236.6C9.618 226.9 16.71 219.1 26.18 216.7L63.1 207.3V183.1H31.1C20.56 183.1 10.71 175.9 8.463 164.7L.4627 124.7C-2.137 111.7 6.292 99.06 19.29 96.46C32.29 93.86 44.93 102.3 47.53 115.3L51.67 135.1H68.65C73.35 124.4 81.36 114.5 91.51 107.4L58.14 33.92C52.66 21.85 58.01 7.625 70.07 2.145C82.14-3.335 96.37 2.007 101.8 14.08L127.1 71.66L154.1 14.08C159.6 2.007 173.8-3.335 185.9 2.145C197.1 7.625 203.3 21.85 197.8 33.92L164.5 107.4C174.6 114.5 182.6 124.4 187.3 135.1L187.3 135.1z"]],
    "building": [384, 512, [61687, 127970], "f1ad", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M112 96C120.8 96 128 103.2 128 112V144C128 152.8 120.8 160 112 160H80C71.16 160 64 152.8 64 144V112C64 103.2 71.16 96 80 96H112zM112 224C120.8 224 128 231.2 128 240V272C128 280.8 120.8 288 112 288H80C71.16 288 64 280.8 64 272V240C64 231.2 71.16 224 80 224H112zM208 224C216.8 224 224 231.2 224 240V272C224 280.8 216.8 288 208 288H176C167.2 288 160 280.8 160 272V240C160 231.2 167.2 224 176 224H208zM256 240C256 231.2 263.2 224 272 224H304C312.8 224 320 231.2 320 240V272C320 280.8 312.8 288 304 288H272C263.2 288 256 280.8 256 272V240zM160 112C160 103.2 167.2 96 176 96H208C216.8 96 224 103.2 224 112V144C224 152.8 216.8 160 208 160H176C167.2 160 160 152.8 160 144V112zM304 96C312.8 96 320 103.2 320 112V144C320 152.8 312.8 160 304 160H272C263.2 160 256 152.8 256 144V112C256 103.2 263.2 96 272 96H304z"]],
    "building-circle-arrow-right": [640, 512, [], "e4d1", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM515.3 300.7C509.1 294.4 498.9 294.4 492.7 300.7C486.4 306.9 486.4 317.1 492.7 323.3L521.4 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H521.4L492.7 412.7C486.4 418.9 486.4 429.1 492.7 435.3C498.9 441.6 509.1 441.6 515.3 435.3L571.3 379.3C577.6 373.1 577.6 362.9 571.3 356.7L515.3 300.7z"]],
    "building-circle-check": [640, 512, [], "e4d2", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "building-circle-exclamation": [640, 512, [], "e4d3", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "building-circle-xmark": [640, 512, [], "e4d4", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M492.6 98.59C506.6 104.6 514.4 119.6 511.3 134.4C508.3 149.3 495.2 160 480 160V168C480 181.3 469.3 192 456 192H56C42.75 192 32 181.3 32 168V160C16.81 159.1 3.711 149.3 .6566 134.4C-2.398 119.6 5.433 104.6 19.4 98.59L243.4 2.587C251.4-.8625 260.6-.8625 268.6 2.587L492.6 98.59zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128z"]],
    "building-flag": [640, 512, [], "e4d5", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H416V32C416 14.33 430.3 0 448 0C465.7 0 480 14.33 480 32H624z"]],
    "building-lock": [576, 512, [], "e4d6", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V193.6C364.2 213.8 352 241.5 352 272V296.6C332.9 307.6 320 328.3 320 352V480C320 491.7 323.1 502.6 328.6 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "building-ngo": [384, 512, [], "e4d7", ["M320 112V144C320 152.8 312.8 160 304 160C295.2 160 288 152.8 288 144V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112zM336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM168 64C159.2 64 152 71.16 152 80V168C152 181.3 162.7 192 176 192H208C221.3 192 232 181.3 232 168V144C232 135.2 224.8 128 216 128C207.2 128 200 135.2 200 144V160H184V96H216C224.8 96 232 88.84 232 80C232 71.16 224.8 64 216 64H168zM256 144C256 170.5 277.5 192 304 192C330.5 192 352 170.5 352 144V112C352 85.49 330.5 64 304 64C277.5 64 256 85.49 256 112V144zM61.31 71.12C57.4 65.26 50.11 62.64 43.36 64.69C36.62 66.73 32 72.95 32 80V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V132.8L98.69 184.9C102.6 190.7 109.9 193.4 116.6 191.3C123.4 189.3 128 183.1 128 176V80C128 71.16 120.8 64 112 64C103.2 64 96 71.16 96 80V123.2L61.31 71.12z", "M96 123.2V80C96 71.16 103.2 64 112 64C120.8 64 128 71.16 128 80V176C128 183.1 123.4 189.3 116.6 191.3C109.9 193.4 102.6 190.7 98.69 184.9L64 132.8V176C64 184.8 56.84 192 48 192C39.16 192 32 184.8 32 176V80C32 72.95 36.62 66.73 43.36 64.69C50.11 62.64 57.4 65.26 61.31 71.13L96 123.2zM152 80C152 71.16 159.2 64 168 64H216C224.8 64 232 71.16 232 80C232 88.84 224.8 96 216 96H184V160H200V144C200 135.2 207.2 128 216 128C224.8 128 232 135.2 232 144V168C232 181.3 221.3 192 208 192H176C162.7 192 152 181.3 152 168V80zM256 112C256 85.49 277.5 64 304 64C330.5 64 352 85.49 352 112V144C352 170.5 330.5 192 304 192C277.5 192 256 170.5 256 144V112zM304 96C295.2 96 288 103.2 288 112V144C288 152.8 295.2 160 304 160C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96V96z"]],
    "building-shield": [576, 512, [], "e4d8", ["M336 0C362.5 0 384 21.49 384 48V207L341.6 224H272C263.2 224 256 231.2 256 240V304C256 304.9 256.1 305.7 256.2 306.6C258.5 364.7 280.3 451.4 354.9 508.1C349.1 510.6 342.7 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM432 461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8V461.7z"]],
    "building-un": [384, 512, [], "e4d9", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM237.3 71.12C233.4 65.26 226.1 62.64 219.4 64.69C212.6 66.73 208 72.95 208 80V176C208 184.8 215.2 192 224 192C232.8 192 240 184.8 240 176V132.8L274.7 184.9C278.6 190.7 285.9 193.4 292.6 191.3C299.4 189.3 304 183.1 304 176V80C304 71.16 296.8 64 288 64C279.2 64 272 71.16 272 80V123.2L237.3 71.12zM112 80C112 71.16 104.8 64 96 64C87.16 64 80 71.16 80 80V144C80 170.5 101.5 192 128 192C154.5 192 176 170.5 176 144V80C176 71.16 168.8 64 160 64C151.2 64 144 71.16 144 80V144C144 152.8 136.8 160 128 160C119.2 160 112 152.8 112 144V80z", "M219.4 64.69C226.1 62.64 233.4 65.26 237.3 71.13L272 123.2V80C272 71.16 279.2 64 288 64C296.8 64 304 71.16 304 80V176C304 183.1 299.4 189.3 292.6 191.3C285.9 193.4 278.6 190.7 274.7 184.9L240 132.8V176C240 184.8 232.8 192 224 192C215.2 192 208 184.8 208 176V80C208 72.95 212.6 66.73 219.4 64.69V64.69zM96 64C104.8 64 112 71.16 112 80V144C112 152.8 119.2 160 128 160C136.8 160 144 152.8 144 144V80C144 71.16 151.2 64 160 64C168.8 64 176 71.16 176 80V144C176 170.5 154.5 192 128 192C101.5 192 80 170.5 80 144V80C80 71.16 87.16 64 96 64V64z"]],
    "building-user": [640, 512, [], "e4da", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V367.8C345.8 389.2 320 430 320 476.9C320 489.8 323.6 501.8 329.9 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272zM546.9 384C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1C352 425.7 393.7 384 445.1 384H546.9z"]],
    "building-wheat": [640, 512, [], "e4db", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M560 288H544V272C544 227.8 579.8 192 624 192H640V208C640 252.2 604.2 288 560 288zM640 304V320C640 364.2 604.2 400 560 400H544V384C544 339.8 579.8 304 624 304H640zM640 416V432C640 476.2 604.2 512 560 512H544V496C544 451.8 579.8 416 624 416H640zM496 512C451.8 512 416 476.2 416 432V416H432C476.2 416 512 451.8 512 496V512H496zM512 384V400H496C451.8 400 416 364.2 416 320V304H432C476.2 304 512 339.8 512 384zM496 288C451.8 288 416 252.2 416 208V192H432C476.2 192 512 227.8 512 272V288H496zM552 160C552 173.3 541.3 184 528 184C514.7 184 504 173.3 504 160V56C504 42.75 514.7 32 528 32C541.3 32 552 42.75 552 56V160zM600 72C613.3 72 624 82.75 624 96V128C624 141.3 613.3 152 600 152C586.7 152 576 141.3 576 128V96C576 82.75 586.7 72 600 72zM480 128C480 141.3 469.3 152 456 152C442.7 152 432 141.3 432 128V96C432 82.75 442.7 72 456 72C469.3 72 480 82.75 480 96V128z"]],
    "buildings": [512, 512, [], "e0cc", ["M448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H192V64C192 28.65 220.7 0 256 0H448zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336zM304 320C312.8 320 320 312.8 320 304V272C320 263.2 312.8 256 304 256H272C263.2 256 256 263.2 256 272V304C256 312.8 263.2 320 272 320H304zM384 304C384 312.8 391.2 320 400 320H432C440.8 320 448 312.8 448 304V272C448 263.2 440.8 256 432 256H400C391.2 256 384 263.2 384 272V304zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM256 112C256 120.8 263.2 128 272 128H304C312.8 128 320 120.8 320 112V80C320 71.16 312.8 64 304 64H272C263.2 64 256 71.16 256 80V112zM400 64C391.2 64 384 71.16 384 80V112C384 120.8 391.2 128 400 128H432C440.8 128 448 120.8 448 112V80C448 71.16 440.8 64 432 64H400zM256 208C256 216.8 263.2 224 272 224H304C312.8 224 320 216.8 320 208V176C320 167.2 312.8 160 304 160H272C263.2 160 256 167.2 256 176V208zM432 224C440.8 224 448 216.8 448 208V176C448 167.2 440.8 160 432 160H400C391.2 160 384 167.2 384 176V208C384 216.8 391.2 224 400 224H432z", "M256 80C256 71.16 263.2 64 272 64H304C312.8 64 320 71.16 320 80V112C320 120.8 312.8 128 304 128H272C263.2 128 256 120.8 256 112V80zM112 192C120.8 192 128 199.2 128 208V240C128 248.8 120.8 256 112 256H80C71.16 256 64 248.8 64 240V208C64 199.2 71.16 192 80 192H112zM272 320C263.2 320 256 312.8 256 304V272C256 263.2 263.2 256 272 256H304C312.8 256 320 263.2 320 272V304C320 312.8 312.8 320 304 320H272zM112 288C120.8 288 128 295.2 128 304V336C128 344.8 120.8 352 112 352H80C71.16 352 64 344.8 64 336V304C64 295.2 71.16 288 80 288H112zM384 272C384 263.2 391.2 256 400 256H432C440.8 256 448 263.2 448 272V304C448 312.8 440.8 320 432 320H400C391.2 320 384 312.8 384 304V272zM432 64C440.8 64 448 71.16 448 80V112C448 120.8 440.8 128 432 128H400C391.2 128 384 120.8 384 112V80C384 71.16 391.2 64 400 64H432zM256 176C256 167.2 263.2 160 272 160H304C312.8 160 320 167.2 320 176V208C320 216.8 312.8 224 304 224H272C263.2 224 256 216.8 256 208V176zM400 224C391.2 224 384 216.8 384 208V176C384 167.2 391.2 160 400 160H432C440.8 160 448 167.2 448 176V208C448 216.8 440.8 224 432 224H400z"]],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", ["M480 448C480 460.9 472.2 472.6 460.2 477.6C448.3 482.5 434.5 479.8 425.4 470.6L381.7 426.1C333.7 378.1 268.6 352 200.7 352H192V128H200.7C268.6 128 333.7 101 381.7 53.02L425.4 9.373C434.5 .2215 448.3-2.516 460.2 2.437C472.2 7.39 480 19.06 480 32V448z", "M0 192C0 156.7 28.65 128 64 128H192V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V352C28.65 352 0 323.3 0 288V192zM512 240C512 267.9 498.6 291.6 480 300.4V179.6C498.6 188.4 512 212.1 512 240V240z"]],
    "bullseye": [512, 512, [], "f140", ["M112 256C112 176.5 176.5 112 256 112C335.5 112 400 176.5 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256zM256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336z", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"]],
    "bullseye-arrow": [512, 512, [127919], "f648", ["M366.4 213.5L395 218.3C398.3 230.3 400 242.9 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256C112 176.5 176.5 112 256 112C269.1 112 281.7 113.7 293.7 116.1L298.5 145.6L267.3 176.8C263.6 176.3 259.8 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 255.1C336 252.2 335.7 248.4 335.2 244.7L366.4 213.5zM497.7 171.5C506.1 197.1 512 226.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C285.6 0 314 5.024 340.5 14.27L288.1 66.67C277.6 64.91 266.9 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 245.1 447.1 234.4 445.3 223.9L497.7 171.5z", "M331.2 146.9L322.7 96.24C321 86.05 324.3 75.66 331.6 68.36L382.8 17.16C390.1 9.036 404.7 11.86 409 22.53L432 80L489.5 102.1C500.1 107.3 502.1 121 494.8 129.2L443.6 180.4C436.3 187.7 425.9 190.1 415.8 189.3L365.1 180.8L272.1 272.1C263.6 282.3 248.4 282.3 239 272.1C229.7 263.6 229.7 248.4 239 239L331.2 146.9z"]],
    "bullseye-pointer": [512, 512, [], "f649", ["M256 64C149.1 64 64 149.1 64 256C64 259.9 64.12 263.8 64.35 267.7L1.754 286.1C.5958 276.2 0 266.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.8 512 235.8 511.4 225.9 510.2L244.3 447.6C248.2 447.9 252.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64zM400 256C400 334.8 336.8 398.8 258.3 399.1L278 332.9C311.5 323.4 336 292.5 336 256C336 211.8 300.2 176 255.1 176C219.5 176 188.6 200.5 179.1 233.1L112 253.7C113.2 175.2 177.2 111.1 255.1 111.1C335.5 111.1 400 176.5 400 255.1L400 256z", "M263.7 268.1L203.5 472.1C199.4 486.9 180.3 488.6 173.8 475.6L145.2 418.3C144.5 416.1 143.6 415.7 142.6 414.6L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L97.36 369.4C96.26 368.4 95.02 367.5 93.68 366.8L36.37 338.2C23.37 331.7 25.07 312.6 39.01 308.5L243.9 248.3C256 244.7 267.3 255.1 263.7 268.1V268.1z"]],
    "burger": [512, 512, ["hamburger"], "f805", ["M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H448C460.7 256 472.9 261.1 481.9 270.1z"]],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", ["M50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7zM475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM320 320L224 256H416L320 320z", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H224L320 320L416 256H448C460.7 256 472.9 261.1 481.9 270.1z"]],
    "burger-fries": [640, 512, [], "e0cd", ["M160 268.8V15.1C160 13.28 160.7 10.6 162 8.228C163.4 5.853 165.3 3.857 167.6 2.429C169.9 .9997 172.6 .1853 175.3 .0624C177.1-.0604 180.7 .5117 183.1 1.725L215.1 17.73C217.8 19.02 220.1 21.05 221.6 23.58C223.2 26.11 224 29.02 224 31.1V268.8C202.9 273.2 181.1 273.2 160 268.8zM378.6 84.09C380.7 85.9 382.3 88.22 383.2 90.83C384.1 93.44 384.3 96.23 383.7 98.94L370.2 176.7C355 182.1 340.4 188.1 326.6 197.2L346.1 86.08L363.4 80.96C365.1 80.13 368.8 79.98 371.4 80.54C374.1 81.1 376.6 82.35 378.6 84.16V84.09zM277.6 335.1C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 463.1C256 468.9 256.5 473.7 257.5 478.5C257.9 480.8 258.6 482.1 259.2 485.1C259.8 487.3 260.4 489.4 261.2 491.5C262.3 494.4 263.5 497.2 264.9 499.9C265.4 500.9 265.1 501.9 266.5 502.8C268.3 506 270.2 509.1 272.4 511.1H85.73C78.44 512 71.36 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3847 243.5C-.1378 241.1-.1279 238.7 .4135 236.4C.9553 234 2.015 231.9 3.514 229.1C5.013 228.1 6.914 226.6 9.075 225.6C11.24 224.5 13.6 223.1 16 223.1H49.98C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C214.1 304.1 236 300.4 256.8 292.9C257.1 296.1 257.7 301 258.7 305C259.8 309.6 261.4 314.1 263.6 318.3C267.2 325 271.9 330.1 277.6 335.1zM101.1 237.7L64.29 40.61C63.73 37.67 64.01 34.63 65.09 31.84C66.17 29.06 68.01 26.63 70.4 24.83L98.88 3.197C101.1 1.553 103.6 .4938 106.3 .1197C109-.2544 111.8 .0695 114.3 1.061C116.9 2.052 119.1 3.677 120.9 5.781C122.6 7.886 123.8 10.4 124.3 13.09L128 33.09V258.5C117.4 253.9 108.2 246.8 101.1 237.7H101.1zM16.51 191.1L.2567 98.72C-.1961 96.03 .0433 93.28 .9518 90.71C1.86 88.15 3.408 85.86 5.448 84.06C7.489 82.26 9.955 81.01 12.61 80.43C15.27 79.84 18.03 79.95 20.64 80.73L40.38 86.59L60.38 193.8C57 192.8 53.53 192.2 50.02 191.1H16.51zM307.4 32.44C310.1 33.03 312.5 34.28 314.6 36.08C316.6 37.88 318.1 40.16 319 42.73C319.1 45.29 320.2 48.04 319.7 50.72L289.6 223.2C289.1 224.5 288.4 225.8 287.9 227.2C284.1 230.1 282.2 233.1 279.6 236.1C275.2 240.9 271.1 245.1 267.3 251.3C267.1 251.7 267 252.1 266.8 252.4C263.3 254.7 259.7 256.7 256 258.5V51.2C256.9 49.28 258.2 47.57 259.7 46.16C261.3 44.74 263.1 43.66 265.1 42.97L299.4 32.73C301.1 31.96 304.8 31.86 307.4 32.44H307.4z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burger-glass": [640, 512, [], "e0ce", ["M332.1 2.769C337.1 4.591 340.7 7.251 343.7 10.58C346.7 13.9 349 17.82 350.4 22.08C351.8 26.34 352.3 30.84 351.8 35.3L337.5 191C309.6 205.2 285.5 225.8 267.3 251.2C260.7 260.1 256.8 272.4 256.1 284.2C255.5 295.1 258.1 307.8 263.6 318.2C267.2 324.9 271.9 330.1 277.6 336C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 255.1 464C256 481.4 261.8 498.2 272.4 512H73.24C65.32 512 57.66 509.1 51.75 503.9C45.83 498.6 42.09 491.3 41.24 483.4L-.0037 35.42C-.486 30.94-.0165 26.41 1.374 22.13C2.765 17.84 5.046 13.89 8.066 10.55C11.09 7.205 14.78 4.537 18.9 2.719C23.03 .901 27.49-.0254 31.1 .0005H319.1C324.5 .0037 328.9 .9468 332.1 2.769L332.1 2.769zM284.8 64H67.2L75.93 160H276.1L284.8 64z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burger-lettuce": [512, 512, [], "e3e3", ["M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z", "M511.1 296.6C512.1 300.7 512.2 304.9 511.6 309.1C510.9 313.2 509.4 317.2 507.2 320.8C504.1 324.4 502.1 327.5 498.7 329.9C480.6 344.2 458.2 351.9 435.1 351.9C412 351.9 389.7 344.2 371.5 329.9C364.4 323.5 355.1 319.1 345.5 319.1C335.9 319.1 326.6 323.5 319.5 329.9C301.3 344.1 278.1 351.9 255.9 351.9C232.8 351.9 210.5 344.1 192.3 329.9C185.2 323.5 175.9 319.1 166.3 319.1C156.7 319.1 147.4 323.5 140.3 329.9C122.2 344.2 99.76 351.9 76.7 351.9C53.64 351.9 31.25 344.2 13.12 329.9C9.714 327.4 6.829 324.3 4.628 320.8C2.427 317.2 .9536 313.2 .2908 309C-.3719 304.9-.2103 300.7 .7661 296.6C1.742 292.5 3.515 288.6 5.981 285.2C8.448 281.8 11.56 278.9 15.14 276.7C18.72 274.5 22.7 273 26.86 272.4C31.01 271.7 35.25 271.9 39.34 272.9C43.42 273.8 47.28 275.6 50.69 278.1C57.85 284.5 67.11 287.1 76.7 287.1C86.3 287.1 95.55 284.5 102.7 278.1C120.9 263.8 143.2 256.1 166.3 256.1C189.4 256.1 211.7 263.8 229.9 278.1C237 284.5 246.3 288 255.9 288C265.5 288 274.8 284.5 281.9 278.1C300.1 263.8 322.4 256.1 345.5 256.1C368.6 256.1 390.9 263.8 409.1 278.1C416.2 284.5 425.5 287.1 435.1 287.1C444.7 287.1 453.1 284.5 461.1 278.1C464.5 275.6 468.4 273.8 472.5 272.8C476.6 271.8 480.8 271.7 485 272.3C489.2 272.1 493.2 274.5 496.7 276.7C500.3 278.9 503.4 281.8 505.9 285.2C508.4 288.6 510.1 292.5 511.1 296.6H511.1z"]],
    "burger-soda": [640, 512, [], "f858", ["M267.3 251.2C258.3 264.2 254.4 279.1 256.4 295.6C258.3 311.2 265.8 325.6 277.6 336C271.2 341.6 266.1 348.5 262.4 356.2C258.7 363.9 256.5 372.2 256.1 380.7C255.7 389.2 256.9 397.7 259.8 405.7C262.7 413.7 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 255.1 457 255.1 464C255.1 479.9 260.7 495.4 269.6 508.6C265.4 510.7 260.7 511.9 255.1 512H95.1C87.89 512 80.07 508.1 74.13 503.4C68.19 497.9 64.57 490.3 63.1 482.2L38.4 223.1H291.4C282.4 232.2 274.3 241.3 267.3 251.2L267.3 251.2zM347.3 132.7C350.3 135.7 352 139.8 352 144V176C352 180.2 350.3 184.3 347.3 187.3C344.3 190.3 340.2 192 336 192H16C11.76 192 7.687 190.3 4.686 187.3C1.686 184.3 0 180.2 0 176V144C0 139.8 1.686 135.7 4.686 132.7C7.687 129.7 11.76 128 16 128H157.2L181.8 30.24C183.9 21.59 188.9 13.91 195.9 8.424C202.9 2.942 211.6-.0248 220.5 .0002H272C276.2 .0002 280.3 1.686 283.3 4.687C286.3 7.687 288 11.76 288 16V32C288 36.24 286.3 40.31 283.3 43.31C280.3 46.31 276.2 48 272 48H226.8L206.8 128H336C340.2 128 344.3 129.7 347.3 132.7z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burrito": [512, 512, [127791], "f7ed", ["M351.9 224c-15.25 0-30.12 2.5-44.63 6.375c-28.88 80.13-105.6 137.6-195.6 137.6c-39.38 0-77.75-11.25-110.9-32.25c-3.75 33.75 6.876 68.88 32.75 94.76l47.5 47.51c45.38 45.25 119 45.26 164.4 .0016l215.9-215.8C430.1 237.5 391.6 224 351.9 224zM287.8 160c0-39.76-13.57-78.27-38.45-109.3L33.36 266.5C22.98 276.9 14.73 289.3 8.982 302.9c29.88 21.5 65.75 33.13 102.6 33.13C208.7 336 287.8 257 287.8 160z", "M511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.375-20.38-21.05-37-40.55-45.75c-19.5-8.751-41.75-8.626-61.13 .25C347.9 2.276 336.9 0 325.8 0c-22 0-42.03 9.376-56.78 24.25c41 46.76 58.5 109.5 47.63 170.8c11.63-2 23.38-3 35.25-3c49.88 0 98.13 18 135.9 50.76C502.6 228 512 208 512 186c0-11-2.276-21.98-6.776-32.11C509.7 144.3 511.1 133.7 511.1 123z"]],
    "burst": [512, 512, [], "e4dc", ["M7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2L233.2 16.6C236.4 6.705 245.6 .0004 256 .0004C266.4 .0004 275.6 6.705 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 255.1C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 255.1C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.029L7.03 7.03zM285.1 185.8L256 96L226.9 185.8L96 96L185.8 226.9L96 256L185.8 285.1L140.1 371.9L226.9 326.2L256 416L285.1 326.2L371.9 371.9L326.2 285.1L416 256L326.2 226.9L349.8 162.2L285.1 185.8z", "M255.1 96L285.1 185.8L349.8 162.2L326.2 226.9L416 256L326.2 285.1L371.9 371.9L285.1 326.2L256 416L226.9 326.2L140.1 371.9L185.8 285.1L96 256L185.8 226.9L96 96L226.9 185.8L255.1 96z"]],
    "bus": [576, 512, [128653], "f207", ["M128 160C128 142.3 142.3 128 160 128H272V288H160C142.3 288 128 273.7 128 256V160zM304 288V128H416C433.7 128 448 142.3 448 160V256C448 273.7 433.7 288 416 288H304zM96 448H192V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V448zM384 448H480V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448z", "M288 0C422.4 0 512 35.2 512 80V128C529.7 128 544 142.3 544 160V224C544 241.7 529.7 256 512 256L512 416C512 433.7 497.7 448 480 448H96C78.33 448 64 433.7 64 416L64 256C46.33 256 32 241.7 32 224V160C32 142.3 46.33 128 64 128V80C64 35.2 153.6 0 288 0zM128 256C128 273.7 142.3 288 160 288H272V128H160C142.3 128 128 142.3 128 160V256zM304 288H416C433.7 288 448 273.7 448 256V160C448 142.3 433.7 128 416 128H304V288zM144 400C161.7 400 176 385.7 176 368C176 350.3 161.7 336 144 336C126.3 336 112 350.3 112 368C112 385.7 126.3 400 144 400zM432 400C449.7 400 464 385.7 464 368C464 350.3 449.7 336 432 336C414.3 336 400 350.3 400 368C400 385.7 414.3 400 432 400zM368 64H208C199.2 64 192 71.16 192 80C192 88.84 199.2 96 208 96H368C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64z"]],
    "bus-school": [512, 512, [], "f5dd", ["M112 160C112 142.3 126.3 128 144 128H240V256H144C126.3 256 112 241.7 112 224V160zM272 256V128H368C385.7 128 400 142.3 400 160V224C400 241.7 385.7 256 368 256H272zM64 480V448H160V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480zM352 480V448H448V480C448 497.7 433.7 512 416 512H384C366.3 512 352 497.7 352 480z", "M256 0C380.8 0 464 35.2 464 80V112H480C497.7 112 512 126.3 512 144V208C512 225.7 497.7 240 480 240H464V260.3C473.6 265.8 480 276.2 480 288V416C480 433.7 465.7 448 448 448H64C46.33 448 32 433.7 32 416V288C32 276.2 38.44 265.8 48 260.3V240H32C14.33 240 0 225.7 0 208V144C0 126.3 14.33 112 32 112H48V80C48 35.2 131.2 0 256 0zM112 224C112 241.7 126.3 256 144 256H240V128H144C126.3 128 112 142.3 112 160V224zM272 256H368C385.7 256 400 241.7 400 224V160C400 142.3 385.7 128 368 128H272V256zM112 384C129.7 384 144 369.7 144 352C144 334.3 129.7 320 112 320C94.33 320 80 334.3 80 352C80 369.7 94.33 384 112 384zM400 384C417.7 384 432 369.7 432 352C432 334.3 417.7 320 400 320C382.3 320 368 334.3 368 352C368 369.7 382.3 384 400 384zM336 64H176C167.2 64 160 71.16 160 80C160 88.84 167.2 96 176 96H336C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64z"]],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", ["M64 128C64 110.3 78.33 96 96 96H352C369.7 96 384 110.3 384 128V256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256V128zM32 448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V448zM416 480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448H416V480z", "M224 0C348.8 0 448 35.2 448 80V416C448 433.7 433.7 448 416 448H32C14.33 448 0 433.7 0 416V80C0 35.2 99.19 0 224 0zM64 256C64 273.7 78.33 288 96 288H352C369.7 288 384 273.7 384 256V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V256zM80 400C97.67 400 112 385.7 112 368C112 350.3 97.67 336 80 336C62.33 336 48 350.3 48 368C48 385.7 62.33 400 80 400zM368 400C385.7 400 400 385.7 400 368C400 350.3 385.7 336 368 336C350.3 336 336 350.3 336 368C336 385.7 350.3 400 368 400z"]],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", ["M496 224C416.4 224 352 288.4 352 368s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304V352h32c8.838 0 16 7.162 16 16C560 376.8 552.8 384 544 384zM320.1 352H208C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h312.2C335.1 449.6 320 410.5 320 368C320 362.6 320.5 357.3 320.1 352z", "M544 352h-32V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304v70.25C480 379.6 484.4 384 489.8 384H544c8.838 0 16-7.164 16-16C560 359.2 552.8 352 544 352zM512 192.8V144C512 118.4 489.6 96 464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V288h339.4C368.5 231.1 427.6 192 496 192C501.4 192 506.7 192.3 512 192.8zM336 96h-160V48h160V96z"]],
    "butter": [640, 512, [129480], "e3e4", ["M64 96v192h416V64H96C78.33 64 64 78.33 64 96zM544 64h-32v224h64V96C576 78.33 561.7 64 544 64z", "M640 352c0 17.67-14.33 32-32 32v32c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32v-32c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h576C625.7 320 640 334.3 640 352z"]],
    "c": [384, 512, [99], "43", ["M352 359.8c22.46 0 31.1 19.53 31.1 31.99c0 23.14-66.96 88.23-164.5 88.23c-137.1 0-219.4-117.8-219.4-224c0-103.8 79.87-223.1 219.4-223.1c99.47 0 164.5 66.12 164.5 88.23c0 12.27-9.527 32.01-32.01 32.01c-31.32 0-45.8-56.25-132.5-56.25c-97.99 0-155.4 84.59-155.4 159.1c0 74.03 56.42 160 155.4 160C306.5 416 320.5 359.8 352 359.8z", ""]],
    "cabin": [576, 512, [], "e46d", ["M64 280C64 266.7 74.75 256 88 256H200C213.3 256 224 266.7 224 280V296C224 309.3 213.3 320 200 320H88C74.75 320 64 309.3 64 296V280zM200 352C213.3 352 224 362.7 224 376V392C224 405.3 213.3 416 200 416H88C74.75 416 64 405.3 64 392V376C64 362.7 74.75 352 88 352H200zM200 448C213.3 448 224 458.7 224 472V488C224 501.3 213.3 512 200 512H88C74.75 512 64 501.3 64 488V472C64 458.7 74.75 448 88 448H200zM488 256C501.3 256 512 266.7 512 280V296C512 309.3 501.3 320 488 320H376C362.7 320 352 309.3 352 296V280C352 266.7 362.7 256 376 256H488zM352 472C352 458.7 362.7 448 376 448H488C501.3 448 512 458.7 512 472V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V472zM488 352C501.3 352 512 362.7 512 376V392C512 405.3 501.3 416 488 416H376C362.7 416 352 405.3 352 392V376C352 362.7 362.7 352 376 352H488z", "M269.4 5.96C280.5-1.987 295.5-1.987 306.6 5.96L416 84.1V63.1C416 46.33 430.3 31.1 448 31.1H480C497.7 31.1 512 46.33 512 63.1V152.7L530.6 165.1C541.9 174 546.7 188.5 542.5 201.8C538.2 215 525.9 223.1 512 223.1H64C50.09 223.1 37.77 215 33.53 201.8C29.28 188.5 34.08 174 45.4 165.1L269.4 5.96zM288 159.1C305.7 159.1 320 145.7 320 127.1C320 110.3 305.7 95.1 288 95.1C270.3 95.1 256 110.3 256 127.1C256 145.7 270.3 159.1 288 159.1z"]],
    "cabinet-filing": [448, 512, [128452], "f64b", ["M400 0h-352C21.6 0 0 21.6 0 48v192h448v-192C448 21.6 426.4 0 400 0zM320 152C320 156.4 316.4 160 312 160h-16C291.6 160 288 156.4 288 152V128H160v24C160 156.4 156.4 160 152 160h-16C131.6 160 128 156.4 128 152V112C128 103.1 135.1 96 144 96h160C312.9 96 320 103.1 320 112V152zM0 464C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48v-192H0V464zM128 368C128 359.1 135.1 352 144 352h160c8.875 0 16 7.125 16 16v40c0 4.375-3.625 8-8 8h-16C291.6 416 288 412.4 288 408V384H160v24C160 412.4 156.4 416 152 416h-16C131.6 416 128 412.4 128 408V368z", "M304 96h-160C135.1 96 128 103.1 128 112v40C128 156.4 131.6 160 136 160h16C156.4 160 160 156.4 160 152V128h128v24C288 156.4 291.6 160 296 160h16C316.4 160 320 156.4 320 152V112C320 103.1 312.9 96 304 96zM304 352h-160C135.1 352 128 359.1 128 368v40C128 412.4 131.6 416 136 416h16C156.4 416 160 412.4 160 408V384h128v24c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V368C320 359.1 312.9 352 304 352z"]],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", ["M280 147.5V224H232V157.5L28.86 199.5C15.88 202.2 3.183 193.8 .4976 180.9C-2.188 167.9 6.157 155.2 19.14 152.5L483.1 56.5C496.1 53.81 508.8 62.16 511.5 75.14C514.2 88.12 505.8 100.8 492.9 103.5L280 147.5zM160 288C168.8 288 176 295.2 176 304V368C176 376.8 168.8 384 160 384H96C87.16 384 80 376.8 80 368V304C80 295.2 87.16 288 96 288H160zM208 304C208 295.2 215.2 288 224 288H288C296.8 288 304 295.2 304 304V368C304 376.8 296.8 384 288 384H224C215.2 384 208 376.8 208 368V304zM416 288C424.8 288 432 295.2 432 304V368C432 376.8 424.8 384 416 384H352C343.2 384 336 376.8 336 368V304C336 295.2 343.2 288 352 288H416z", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM160 56C160 38.33 174.3 24 192 24C209.7 24 224 38.33 224 56C224 73.67 209.7 88 192 88C174.3 88 160 73.67 160 56zM416 224C451.3 224 480 252.7 480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288C32 252.7 60.65 224 96 224H416zM96 288C87.16 288 80 295.2 80 304V368C80 376.8 87.16 384 96 384H160C168.8 384 176 376.8 176 368V304C176 295.2 168.8 288 160 288H96zM208 368C208 376.8 215.2 384 224 384H288C296.8 384 304 376.8 304 368V304C304 295.2 296.8 288 288 288H224C215.2 288 208 295.2 208 304V368zM352 288C343.2 288 336 295.2 336 304V368C336 376.8 343.2 384 352 384H416C424.8 384 432 376.8 432 368V304C432 295.2 424.8 288 416 288H352z"]],
    "cactus": [512, 512, [127797], "f8a7", ["M96 208V144c0-26.5-21.5-47.1-48-47.1S0 117.5 0 144v63.1c0 61.87 50.13 111.1 112 111.1H160V224L112 224C103.1 224 96 216.9 96 208zM464 224c-26.5 0-48 21.5-48 47.1v63.1c0 8.875-7.125 15.1-16 15.1H352v95.1h48c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224z", "M261.1 .1297c-26.25-1.375-52 8.126-71.13 26.25C170.9 44.51 160 69.63 160 96v383.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1V101.4C352 49.38 313.1 2.88 261.1 .1297zM224 176c-8.875 0-16-7.125-16-15.1S215.1 144 224 144s16 7.125 16 15.1C240 168.9 232.9 176 224 176zM288 400c-8.875 0-16-7.125-16-15.1c0-8.875 7.125-15.1 16-15.1s16 7.125 16 15.1C304 392.9 296.9 400 288 400z"]],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", ["M383.1 223.1H64c-35.35 0-64 28.65-64 63.1v68.7c9.814 6.102 21.39 11.33 32 11.33c20.64 0 45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C114.1 348.3 139.4 367.1 160 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C242.1 348.3 267.4 367.1 288 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C370.1 348.3 395.4 367.1 416 367.1c10.61 0 22.19-5.227 32-11.33V287.1C448 252.6 419.3 223.1 383.1 223.1zM96 111.1c22.09 0 40-17.88 40-39.97S96 0 96 0S56 49.91 56 72S73.91 111.1 96 111.1zM224 111.1c22.09 0 40-17.88 40-39.97S224 0 224 0S184 49.91 184 72S201.9 111.1 224 111.1zM352 111.1c22.09 0 40-17.88 40-39.97S352 0 352 0s-40 49.91-40 72S329.9 111.1 352 111.1z", "M416 399.1c-25.97 0-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66c-11.27 0-22.09-3.121-32-7.377v87.38C0 497.7 14.33 512 32 512h384c17.67 0 32-14.33 32-32v-87.38C438.1 396.9 427.3 399.1 416 399.1zM256 160c0-8.836-7.164-16-16-16h-32C199.2 144 192 151.2 192 160v64h64V160zM384 160c0-8.836-7.164-16-16-16h-32C327.2 144 320 151.2 320 160v64l63.1-.0307L384 160zM128 160c0-8.836-7.164-16-16-16h-32C71.16 144 64 151.2 64 160v63.97L128 224V160z"]],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", ["M0 384H448V480H64C47.03 480 30.75 473.3 18.75 461.3C6.743 449.3 0 432.1 0 416V384zM438.6 265.4C444.6 271.4 448 279.5 448 288V352H0V256H416C424.5 256 432.6 259.4 438.6 265.4z", "M512 256V448C512 456.5 508.6 464.6 502.6 470.6C496.6 476.6 488.5 480 480 480H448V288C448 279.5 444.6 271.4 438.6 265.4C432.6 259.4 424.5 256 416 256H0L278.8 39.04C284.7 34.24 292.2 31.75 299.9 32C357.2 35.11 411.1 60.07 450.6 101.7C490 143.4 512 198.6 512 256z"]],
    "calculator": [384, 512, [128425], "f1ec", ["M64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240z", "M336 0h-288C22.38 0 0 22.38 0 48v416C0 489.6 22.38 512 48 512h288c25.62 0 48-22.38 48-48v-416C384 22.38 361.6 0 336 0zM64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240zM320 144C320 152.8 312.8 160 304 160h-224C71.2 160 64 152.8 64 144v-64C64 71.2 71.2 64 80 64h224C312.8 64 320 71.2 320 80V144z"]],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", ["M192 288H32c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C224 302.4 209.6 288 192 288zM157.3 422.6c6.223 6.221 6.223 16.4 0 22.62c-6.221 6.221-16.4 6.221-22.62 0L112 422.6l-22.62 22.62c-6.221 6.221-16.4 6.221-22.62 0c-6.221-6.223-6.221-16.4 0-22.62L89.37 400l-22.62-22.62c-6.221-6.223-6.221-16.4 0-22.62c6.223-6.223 16.4-6.223 22.62 0L112 377.4l22.62-22.62c6.223-6.223 16.4-6.223 22.62 0c6.223 6.221 6.223 16.4 0 22.62L134.6 400L157.3 422.6zM192 0H32C14.38 0 0 14.38 0 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM176 111.1C176 120.8 168.8 128 160 128H63.96C55.18 128 48 120.8 48 112S55.18 96 63.96 96h96.09C168.8 96 176 103.2 176 111.1zM480 0h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C512 14.38 497.6 0 480 0zM464 111.1C464 120.8 456.8 128 448 128H416v32.04C416 168.8 408.8 176 400 176S384 168.8 384 160V128h-32.04C343.2 128 336 120.8 336 112S343.2 96 351.1 96H384V63.96C384 55.18 391.2 48 399.1 48S416 55.18 416 63.96V96h32.04C456.8 96 464 103.2 464 111.1z", "M351.1 128H384v32.04C384 168.8 391.2 176 400 176S416 168.8 416 160V128h32.04C456.8 128 464 120.8 464 111.1S456.8 96 448 96H416V63.96C416 55.18 408.8 48 399.1 48S384 55.18 384 63.96V96h-32.04C343.2 96 336 103.2 336 112S343.2 128 351.1 128zM157.3 354.8c-6.221-6.223-16.4-6.223-22.62 0L112 377.4l-22.62-22.62c-6.221-6.223-16.4-6.223-22.62 0c-6.221 6.221-6.221 16.4 0 22.62L89.37 400l-22.62 22.62c-6.221 6.221-6.221 16.4 0 22.62c6.223 6.221 16.4 6.221 22.62 0L112 422.6l22.62 22.62c6.223 6.221 16.4 6.221 22.62 0c6.223-6.223 6.223-16.4 0-22.62L134.6 400l22.62-22.62C163.5 371.2 163.5 360.1 157.3 354.8zM160 96H63.96C55.18 96 48 103.2 48 112S55.18 128 63.96 128h96.09C168.8 128 176 120.8 176 111.1S168.8 96 160 96zM480 288h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C512 302.4 497.6 288 480 288zM464 431.1C464 440.7 456.8 448 448 448h-96.09C343.2 448 336 440.8 336 432S343.2 416 351.1 416h96.06C456.8 416 464 423.2 464 431.1zM464 367.1C464 376.7 456.8 384 448 384h-96.06C343.2 384 336 376.8 336 368S343.2 352 351.1 352h96.09C456.8 352 464 359.2 464 367.1z"]],
    "calendar": [448, 512, [128198, 128197], "f133", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192z", "M160 64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64z"]],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM248 264C248 250.7 237.3 240 224 240C210.7 240 200 250.7 200 264V366.1L160.1 327C151.6 317.7 136.4 317.7 127 327C117.7 336.4 117.7 351.6 127 360.1L207 440.1C216.4 450.3 231.6 450.3 240.1 440.1L320.1 360.1C330.3 351.6 330.3 336.4 320.1 327C311.6 317.7 296.4 317.7 287 327L248 366.1V264z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM248 366.1L287 327C296.4 317.7 311.6 317.7 320.1 327C330.3 336.4 330.3 351.6 320.1 360.1L240.1 440.1C231.6 450.3 216.4 450.3 207 440.1L127 360.1C117.7 351.6 117.7 336.4 127 327C136.4 317.7 151.6 317.7 160.1 327L200 366.1V264C200 250.7 210.7 240 224 240C237.3 240 248 250.7 248 264V366.1z"]],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM287 360.1C296.4 370.3 311.6 370.3 320.1 360.1C330.3 351.6 330.3 336.4 320.1 327L240.1 247C231.6 237.7 216.4 237.7 207 247L127 327C117.7 336.4 117.7 351.6 127 360.1C136.4 370.3 151.6 370.3 160.1 360.1L200 321.9V424C200 437.3 210.7 448 224 448C237.3 448 248 437.3 248 424V321.9L287 360.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM248 424C248 437.3 237.3 448 224 448C210.7 448 200 437.3 200 424V321.9L160.1 360.1C151.6 370.3 136.4 370.3 127 360.1C117.7 351.6 117.7 336.4 127 327L207 247C216.4 237.7 231.6 237.7 240.1 247L320.1 327C330.3 336.4 330.3 351.6 320.1 360.1C311.6 370.3 296.4 370.3 287 360.1L248 321.9V424z"]],
    "calendar-check": [448, 512, [], "f274", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM328.1 304.1C338.3 295.6 338.3 280.4 328.1 271C319.6 261.7 304.4 261.7 295 271L200 366.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L183 416.1C192.4 426.3 207.6 426.3 216.1 416.1L328.1 304.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM216.1 416.1C207.6 426.3 192.4 426.3 183 416.1L119 352.1C109.7 343.6 109.7 328.4 119 319C128.4 309.7 143.6 309.7 152.1 319L200 366.1L295 271C304.4 261.7 319.6 261.7 328.1 271C338.3 280.4 338.3 295.6 328.1 304.1L216.1 416.1z"]],
    "calendar-circle-exclamation": [576, 512, [], "e46e", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "calendar-circle-minus": [576, 512, [], "e46f", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "calendar-circle-plus": [576, 512, [], "e470", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "calendar-circle-user": [576, 512, [], "e471", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"]],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", ["M256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H432C334.8 192 256 270.8 256 368zM448 192V192.7C442.7 192.2 437.4 192 432 192H448z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "calendar-day": [448, 512, [], "f783", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM80 256C71.16 256 64 263.2 64 272V368C64 376.8 71.16 384 80 384H176C184.8 384 192 376.8 192 368V272C192 263.2 184.8 256 176 256H80z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32z"]],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM64 304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304zM208 256C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208zM320 304C320 312.8 327.2 320 336 320H368C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304zM80 384C71.16 384 64 391.2 64 400V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V400C128 391.2 120.8 384 112 384H80zM192 432C192 440.8 199.2 448 208 448H240C248.8 448 256 440.8 256 432V400C256 391.2 248.8 384 240 384H208C199.2 384 192 391.2 192 400V432zM336 384C327.2 384 320 391.2 320 400V432C320 440.8 327.2 448 336 448H368C376.8 448 384 440.8 384 432V400C384 391.2 376.8 384 368 384H336z", "M160 64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64z"]],
    "calendar-exclamation": [448, 512, [], "f334", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM224 400C206.3 400 192 414.3 192 432C192 449.7 206.3 464 224 464C241.7 464 256 449.7 256 432C256 414.3 241.7 400 224 400zM248 256C248 242.7 237.3 232 224 232C210.7 232 200 242.7 200 256V352C200 365.3 210.7 376 224 376C237.3 376 248 365.3 248 352V256z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352V256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256V352z"]],
    "calendar-heart": [448, 512, [], "e0d3", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM235.3 444.7L328 352C350.1 329.9 350.1 294.1 328 272C305.9 249.9 270.1 249.9 248 272L224 296L200 272C177.9 249.9 142.1 249.9 120 272C97.91 294.1 97.91 329.9 120 352L212.7 444.7C218.9 450.9 229.1 450.9 235.3 444.7H235.3z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM212.7 444.7L120 352C97.91 329.9 97.91 294.1 120 272C142.1 249.9 177.9 249.9 200 272L224 296L248 272C270.1 249.9 305.9 249.9 328 272C350.1 294.1 350.1 329.9 328 352L235.3 444.7C229.1 450.9 218.9 450.9 212.7 444.7H212.7z"]],
    "calendar-image": [448, 512, [], "e0d4", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM147.2 360.7L99.81 422.2C91.72 432.8 99.22 448 112.5 448H338.9C351.5 448 359.1 434.1 352.4 423.4L268.9 292.3C262.8 282.7 248.8 282.4 242.3 291.8L184 376L172.6 360.9C166.3 352.4 153.6 352.3 147.2 360.7V360.7zM128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM99.81 422.2L147.2 360.7C153.6 352.3 166.3 352.4 172.6 360.9L184 376L242.3 291.8C248.8 282.4 262.8 282.7 268.9 292.3L352.4 423.4C359.1 434.1 351.5 448 338.9 448H112.5C99.22 448 91.72 432.8 99.81 422.2V422.2z"]],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM120 320H328C341.3 320 352 309.3 352 296C352 282.7 341.3 272 328 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H232C245.3 416 256 405.3 256 392C256 378.7 245.3 368 232 368H120z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM96 296C96 282.7 106.7 272 120 272H328C341.3 272 352 282.7 352 296C352 309.3 341.3 320 328 320H120C106.7 320 96 309.3 96 296zM232 368C245.3 368 256 378.7 256 392C256 405.3 245.3 416 232 416H120C106.7 416 96 405.3 96 392C96 378.7 106.7 368 120 368H232z"]],
    "calendar-lines-pen": [576, 512, [], "e472", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 235.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H48C21.49 512 0 490.5 0 464V192H448V235.6zM120 320H264C277.3 320 288 309.3 288 296C288 282.7 277.3 272 264 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H200C213.3 416 224 405.3 224 392C224 378.7 213.3 368 200 368H120z", "M493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7zM512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1L441.1 287.8L512.1 358.7z"]],
    "calendar-minus": [448, 512, [], "f272", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM312 376C325.3 376 336 365.3 336 352C336 338.7 325.3 328 312 328H136C122.7 328 112 338.7 112 352C112 365.3 122.7 376 136 376H312z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM136 376C122.7 376 112 365.3 112 352C112 338.7 122.7 328 136 328H312C325.3 328 336 338.7 336 352C336 365.3 325.3 376 312 376H136z"]],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM308.8 267C294.1 252.3 270.2 252.3 255.5 267L240.6 281.1L293.9 335.3L308.8 320.4C323.5 305.6 323.5 281.8 308.8 267V267zM137.6 391.4L128.5 428C127.1 433.5 128.7 439.3 132.7 443.2C136.7 447.2 142.4 448.8 147.9 447.4L184.5 438.3C190.1 436.9 195.3 433.1 199.4 429.9L271.3 357.9L217.1 304.6L146.1 376.5C141.1 380.6 139 385.8 137.6 391.4H137.6z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM308.8 320.4L293.9 335.3L240.6 281.1L255.5 267C270.2 252.3 294.1 252.3 308.8 267C323.5 281.8 323.5 305.6 308.8 320.4V320.4zM146.1 376.5L217.1 304.6L271.3 357.9L199.4 429.9C195.3 433.1 190.1 436.9 184.5 438.3L147.9 447.4C142.4 448.8 136.7 447.2 132.7 443.2C128.7 439.3 127.1 433.5 128.5 428L137.6 391.4C139 385.8 141.1 380.6 146.1 376.5H146.1z"]],
    "calendar-plus": [448, 512, [], "f271", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM200 272V328H144C130.7 328 120 338.7 120 352C120 365.3 130.7 376 144 376H200V432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432V376H304C317.3 376 328 365.3 328 352C328 338.7 317.3 328 304 328H248V272C248 258.7 237.3 248 224 248C210.7 248 200 258.7 200 272z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM224 248C237.3 248 248 258.7 248 272V328H304C317.3 328 328 338.7 328 352C328 365.3 317.3 376 304 376H248V432C248 445.3 237.3 456 224 456C210.7 456 200 445.3 200 432V376H144C130.7 376 120 365.3 120 352C120 338.7 130.7 328 144 328H200V272C200 258.7 210.7 248 224 248z"]],
    "calendar-range": [448, 512, [], "e0d6", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM320 416C320 433.7 334.3 448 352 448C369.7 448 384 433.7 384 416C384 398.3 369.7 384 352 384C334.3 384 320 398.3 320 416zM216 312H360C373.3 312 384 301.3 384 288C384 274.7 373.3 264 360 264H216C202.7 264 192 274.7 192 288C192 301.3 202.7 312 216 312zM88 392C74.75 392 64 402.7 64 416C64 429.3 74.75 440 88 440H232C245.3 440 256 429.3 256 416C256 402.7 245.3 392 232 392H88z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288zM352 384C369.7 384 384 398.3 384 416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416C320 398.3 334.3 384 352 384zM192 288C192 274.7 202.7 264 216 264H360C373.3 264 384 274.7 384 288C384 301.3 373.3 312 360 312H216C202.7 312 192 301.3 192 288zM232 392C245.3 392 256 402.7 256 416C256 429.3 245.3 440 232 440H88C74.75 440 64 429.3 64 416C64 402.7 74.75 392 88 392H232z"]],
    "calendar-star": [448, 512, [], "f736", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM233.3 250.9C229.5 243.2 218.5 243.2 214.7 250.9L191.1 298.7L138.3 306.4C129.8 307.6 126.4 318.1 132.6 324.1L170.7 361.3L161.7 413.8C160.3 422.3 169.2 428.8 176.8 424.8L223.1 400L271.2 424.8C278.8 428.8 287.7 422.3 286.3 413.8L277.3 361.3L315.4 324.1C321.6 318.1 318.2 307.6 309.7 306.4L256.9 298.7L233.3 250.9z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM256.9 298.7L309.7 306.4C318.2 307.6 321.6 318.1 315.4 324.1L277.3 361.3L286.3 413.8C287.7 422.3 278.8 428.8 271.2 424.8L224 400L176.8 424.8C169.2 428.8 160.3 422.3 161.7 413.8L170.7 361.3L132.6 324.1C126.4 318.1 129.8 307.6 138.3 306.4L191.1 298.7L214.7 250.9C218.5 243.2 229.5 243.2 233.3 250.9L256.9 298.7z"]],
    "calendar-week": [448, 512, [], "f784", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM80 256C71.16 256 64 263.2 64 272V336C64 344.8 71.16 352 80 352H368C376.8 352 384 344.8 384 336V272C384 263.2 376.8 256 368 256H80z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32z"]],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM304.1 304.1C314.3 295.6 314.3 280.4 304.1 271C295.6 261.7 280.4 261.7 271 271L224 318.1L176.1 271C167.6 261.7 152.4 261.7 143 271C133.7 280.4 133.7 295.6 143 304.1L190.1 352L143 399C133.7 408.4 133.7 423.6 143 432.1C152.4 442.3 167.6 442.3 176.1 432.1L224 385.9L271 432.1C280.4 442.3 295.6 442.3 304.1 432.1C314.3 423.6 314.3 408.4 304.1 399L257.9 352L304.1 304.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM257.9 352L304.1 399C314.3 408.4 314.3 423.6 304.1 432.1C295.6 442.3 280.4 442.3 271 432.1L224 385.9L176.1 432.1C167.6 442.3 152.4 442.3 143 432.1C133.7 423.6 133.7 408.4 143 399L190.1 352L143 304.1C133.7 295.6 133.7 280.4 143 271C152.4 261.7 167.6 261.7 176.1 271L224 318.1L271 271C280.4 261.7 295.6 261.7 304.1 271C314.3 280.4 314.3 295.6 304.1 304.1L257.9 352z"]],
    "calendars": [512, 512, [], "e0d7", ["M96 192H512V368C512 394.5 490.5 416 464 416H144C117.5 416 96 394.5 96 368V192z", "M256 32V64H352V32C352 14.33 366.3 0 384 0C401.7 0 416 14.33 416 32V64H464C490.5 64 512 85.49 512 112V192H96V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32zM48 392C48 431.8 80.24 464 120 464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H120C53.73 512 0 458.3 0 392V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V392z"]],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", ["M320 159.1H96V128c0-17.6 14.4-32 32-32h160C305.7 96 320 81.67 320 64S305.7 32 288 32H128C74.98 32 32 74.98 32 128v34.88C12.88 169.5 0 187.5 0 207.8l.0001 208.2c0 35.35 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.65 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM304 255.1h-224c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h224c8.838 0 16 7.162 16 16C320 248.8 312.8 255.1 304 255.1z", "M304 223.1h-224c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h224c8.838 0 16-7.164 16-15.1C320 231.2 312.8 223.1 304 223.1zM525.6 165.8L416 241.3v157.5l109.6 75.48C546.8 488.7 576 473.9 576 448.4V191.5C576 166.1 546.9 151.2 525.6 165.8z"]],
    "camera": [512, 512, [62258, "camera-alt"], "f030", ["M352 288C352 341 309 384 256 384C202.1 384 160 341 160 288C160 234.1 202.1 192 256 192C309 192 352 234.1 352 288z", "M194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H194.6zM256 384C309 384 352 341 352 288C352 234.1 309 192 256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384z"]],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", ["M574.9 283.1C573.2 278.9 569.1 275.6 565.9 273.8l-35.37-15.5l-138.4 86.5l119.5 52.51c8.5 3.75 18.46-.132 22.21-8.632l40.74-92.62C576.4 291.9 576.5 287.3 574.9 283.1zM137.7 400H63.1c0-26.51-21.49-47.98-47.1-47.98C7.164 352 0 359.2 0 368v127.1C0 504.8 7.164 512 15.1 512c26.51 0 47.1-21.49 47.1-47.1l96.05 0c13.33 0 25.26-8.269 29.94-20.75l46.87-124.1l-59.25-24.37L137.7 400z", "M517.5 168.6L139.2 2.266C124.4-3.609 107.5 2.266 99.62 16.14l-95.37 166.9C-.4999 191.3-1.25 201 1.999 209.9c3.25 8.875 10.25 15.87 19.13 19.12l284.2 117.6c9.25 3.375 19.5 2.375 27.87-2.875l189.2-118.4C544.7 211.5 541.7 178.3 517.5 168.6z"]],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", ["M368 288H31.1C14.33 288 0 302.3 0 319.1S14.33 352 31.1 352h32L64 464C64 490.5 85.49 512 112 512h256c26.51 0 48-21.49 48-48v-128C416 309.5 394.5 288 368 288zM128 160c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S96 110.3 96 128C96 145.7 110.3 160 128 160zM352 160c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C320 145.7 334.3 160 352 160z", "M352 0C303.4 0 261.8 27.38 240 67.25C218.3 27.38 176.6 0 128 0c-70.75 0-128 57.25-128 128S57.23 255.1 127.1 255.1L352 256c70.75 0 128-57.25 128-128S422.8 0 352 0zM128 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S163.4 192 128 192zM352 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S387.4 192 352 192zM524.8 262.5L448 320v128l76.76 57.54C545.9 521.4 576 506.3 576 479.9V288C576 261.7 545.9 246.6 524.8 262.5z"]],
    "camera-polaroid": [576, 512, [], "f8aa", ["M288 256c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S252.6 256 288 256zM575.1 352L.0299 352L.0002 448c0 17.6 14.4 32 32 32h512c17.6 0 32-14.4 32-32L575.1 352zM464 432h-352C103.2 432 96 424.8 96 416c0-8.838 7.164-16 16-16h352c8.838 0 16 7.162 16 16C480 424.8 472.8 432 464 432z", "M575.1 352L512 256l.0001-176c0-26.51-21.49-48-48-48h-352c-26.51 0-48 21.49-48 48L64 256l-63.97 96.02L575.1 352zM384 112C384 103.2 391.2 96 400 96h32C440.8 96 448 103.2 448 112v32C448 152.8 440.8 160 432 160h-32C391.2 160 384 152.8 384 144V112zM288 128c35.38 0 64 28.62 64 64s-28.62 64-64 64s-64-28.62-64-64S252.6 128 288 128z"]],
    "camera-retro": [512, 512, [128247], "f083", ["M64 64H192L242.5 38.76C251.4 34.31 261.2 32 271.1 32H448C483.3 32 512 60.65 512 96V160H0V128C0 92.65 28.65 64 64 64z", "M64 48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48V64H64V48zM0 416V160H512V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416zM256 400C309 400 352 357 352 304C352 250.1 309 208 256 208C202.1 208 160 250.1 160 304C160 357 202.1 400 256 400z"]],
    "camera-rotate": [512, 512, [], "e0d8", ["M464 96h-88l-12.38-32.88C356.6 44.38 338.8 32 318.8 32h-125.5c-20 0-38 12.38-45 31.12L136 96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM356.9 366.8C332.4 398.1 295.7 416 256 416c-31.78 0-61.37-11.94-84.58-32.61l-19.28 19.29C143.2 411.6 128 405.3 128 392.7V316.3c0-5.453 4.359-9.838 9.775-9.99h76.98c12.35 .3027 18.47 15.27 9.654 24.09l-19.27 19.28C219.3 361.4 237.1 368 256 368c24.8 0 47.78-11.22 63.08-30.78c8.172-10.44 23.25-12.28 33.69-4.125S365.1 356.3 356.9 366.8zM384 259.7c0 5.453-4.359 9.838-9.775 9.99h-76.98c-12.35-.3027-18.47-15.27-9.654-24.09l19.27-19.28C292.7 214.6 274.9 208 256 208c-24.8 0-47.78 11.22-63.08 30.78C184.8 249.2 169.7 251.1 159.2 242.9C148.8 234.8 146.9 219.7 155.1 209.2C179.6 177.9 216.3 160 256 160c31.78 0 61.37 11.94 84.58 32.61l19.28-19.29C368.8 164.4 384 170.7 384 183.3V259.7z", "M319.1 337.2C303.8 356.8 280.8 368 256 368c-18.89 0-36.68-6.588-50.87-18.34l19.27-19.28c8.818-8.822 2.697-23.79-9.654-24.09H137.8C132.4 306.4 128 310.8 128 316.3v76.42c0 12.59 15.23 18.9 24.13 9.99l19.28-19.29C194.6 404.1 224.2 416 256 416c39.67 0 76.44-17.94 100.9-49.22c8.172-10.44 6.312-25.53-4.125-33.69S327.3 326.8 319.1 337.2zM359.9 173.3l-19.28 19.29C317.4 171.9 287.8 160 256 160C216.3 160 179.6 177.9 155.1 209.2C146.9 219.7 148.8 234.8 159.2 242.9c10.42 8.172 25.52 6.312 33.69-4.125C208.2 219.2 231.2 208 256 208c18.89 0 36.68 6.588 50.87 18.34l-19.27 19.28c-8.818 8.822-2.697 23.79 9.654 24.09h76.98C379.6 269.6 384 265.2 384 259.7V183.3C384 170.7 368.8 164.4 359.9 173.3z"]],
    "camera-security": [448, 512, ["camera-home"], "f8fe", ["M224 112c-53.04 0-96 42.96-96 96c0 53.04 42.96 96 96 96s96-42.96 96-96C320 154.1 277 112 224 112z", "M384 0h-320c-35.38 0-64 28.62-64 64v288c0 35.38 28.62 64 64 64h72.75L76.5 450.9C69.63 455.1 64 465.3 64 473.4v12C64 500 76 512 90.75 512h266.6C372.1 512 384 500 384 485.4V473.5c0-8.25-5.625-18.38-12.62-22.62L311.3 416h72.75c35.38 0 64-28.62 64-64V64C448 28.62 419.4 0 384 0zM224 336c-70.78 0-127.1-57.33-127.1-128c0-70.67 57.33-128 127.1-128s128 57.33 128 128C352 278.7 294.7 336 224 336z"]],
    "camera-slash": [640, 512, [], "e0d9", ["M415.2 300.2C415.7 296.2 416 292.1 416 288C416 234.1 373 192 320 192C307.8 192 296.2 194.3 285.4 198.4L154.8 96H202.7L213.1 64.82C219.6 45.22 237.9 32 258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V416C576 419.3 575.8 422.5 575.3 425.6L415.2 300.2zM320 384C332.9 384 345.2 381.5 356.4 376.8L487.4 480H128C92.65 480 64 451.3 64 416V160C64 155.7 64.43 151.5 65.24 147.4L225.1 273.4C224.4 278.1 224 283 224 288C224 341 266.1 384 320 384z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", ["M136 0C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V24C0 10.75 10.75 0 24 0H136zM488 0C501.3 0 512 10.75 512 24V136C512 149.3 501.3 160 488 160C474.7 160 464 149.3 464 136V48H376C362.7 48 352 37.25 352 24C352 10.75 362.7 0 376 0H488zM0 376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376zM376 512C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H464V376C464 362.7 474.7 352 488 352C501.3 352 512 362.7 512 376V488C512 501.3 501.3 512 488 512H376z", "M208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6L332 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96zM256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320z"]],
    "camera-web": [448, 512, ["webcam"], "f832", ["M224 96C153.4 96 95.92 153.3 95.92 224s57.38 128 128 128c70.75 0 128-57.25 128-128C351.9 153.4 294.6 96 224 96zM223.9 176c-26.5 0-47.88 21.5-48 48c0 8.875-7.125 16-16 16c-8.75 0-16-7.125-16-16c.125-44.13 35.92-80 80.04-80c8.875 0 15.96 7.125 15.96 16S232.8 176 223.9 176z", "M400.9 438.6l-49.12-30.75C409.9 367.4 448 300.3 448 224c0-123.8-100.4-224-224-224c-123.8 0-224 100.3-224 224c0 76.25 38.13 143.4 96.13 183.9L47 438.6C37.63 444.5 32 454.8 32 465.8v14.25c0 17.62 14.48 31.1 32.11 31.1L384 512c17.62 0 32-14.38 32-32V465.8C416 454.8 410.3 444.5 400.9 438.6zM224 384c-88.37 0-160.1-71.62-160.1-159.1s71.63-160 159.1-160s160 71.62 160 160S312.3 384 224 384z"]],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", ["M319.9 63.1c88.37 0 159.1 71.62 159.1 159.1c0 37.68-13.4 71.92-35.27 99.16l50.48 39.57c30.42-38.12 48.92-86.1 48.92-138.7c0-123.7-100.4-223.1-223.1-223.1c-72.02 0-135.7 34.24-176.6 87.04l50.51 39.59C223 88.71 268.3 63.1 319.9 63.1zM319.9 175.1c-15.75 0-29.04 8.086-37.72 19.84l137.3 107.6c17.62-21.78 28.5-49.17 28.5-79.41c0-70.62-57.29-127.1-127.9-127.1c-41.28 0-77.63 19.93-100.9 50.38l37.43 29.34c14.55-19.23 37.47-31.72 63.42-31.72c8.875 0 15.96 7.124 15.96 15.1C335.9 168.9 328.7 175.1 319.9 175.1zM319.1 383.1c-88.37 0-160.1-71.63-160.1-159.1c0-.6406 .1816-1.234 .1895-1.871L101.3 176c-3.373 15.46-5.267 31.48-5.267 47.96c0 76.25 38.12 143.4 96.12 183.9l-49.12 30.75c-9.375 5.875-14.1 16.12-14.1 27.12v14.25c0 17.62 14.48 32 32.11 32l319.9-.0053c12.21 0 22.52-7.137 27.91-17.23l-148.4-116.3C346.8 381.7 333.7 383.1 319.1 383.1z", "M630.8 469.1L38.81 5.113C34.41 1.676 29.19 .0042 24.03 .0042c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1z"]],
    "campfire": [512, 512, [], "f6ba", ["M320 32c-13.38 12-25.5 24.75-36.13 37.5C266.4 45.1 244.6 22.25 220 0c-63.13 57-108 131.2-108 176c0 79.5 64.5 144 144 144s144-64.5 144-144C400 142.8 366.6 74 320 32zM294.3 228.5c-10.84 7.873-24.23 12.58-38.65 12.58c-36.1 0-65.44-24.95-65.44-65.44c0-20.14 12.17-37.94 36.4-68.3c3.477 4.193 49.39 65.44 49.39 65.44l29.35-34.87c2.045 3.578 3.988 7.055 5.625 10.43C324.7 175.6 318.9 210.5 294.3 228.5z", "M510.1 490.8C505.5 503.8 493.2 512 480 512c-3.562 0-7.219-.5938-10.75-1.875L256 433.1l-213.3 76.16C39.22 511.4 35.56 512 32 512c-13.16 0-25.47-8.156-30.12-21.25c-5.969-16.62 2.719-34.94 19.38-40.88L160.9 400l-139.7-49.88c-16.66-5.938-25.34-24.25-19.38-40.88c5.906-16.66 24.25-25.44 40.88-19.38L256 366l213.3-76.16c16.53-6.031 34.97 2.719 40.88 19.38c5.969 16.62-2.719 34.94-19.38 40.88L351.1 400l139.7 49.88C507.4 455.8 516.1 474.1 510.1 490.8z"]],
    "campground": [576, 512, [9978], "f6bb", ["M576 448V464C576 490.5 554.5 512 528 512H48C21.49 512 0 490.5 0 464V448H576z", "M371.1 7.013C385.8 18.05 388 38.19 376.1 51.99L328.1 112L563.7 405.4C571.7 415.4 576 427.7 576 440.4V448H407.5L288 291.7L168.5 448H0V440.4C0 427.7 4.328 415.4 12.27 405.4L247 112L199 51.99C187.1 38.19 190.2 18.05 204 7.013C217.8-4.027 237.9-1.789 248.1 12.01L288 60.78L327 12.01C338.1-1.789 358.2-4.027 371.1 7.013V7.013zM528.3 512C528.2 512 528.1 512 528 512H48C47.89 512 47.78 512 47.66 512H528.3z"]],
    "can-food": [384, 512, [129387], "e3e6", ["M192 0C94.8 0 16 28.65 16 64c0 35.35 78.8 64 176 64s176-28.65 176-64C368 28.65 289.2 0 192 0zM192 224C147.8 224 112 259.8 112 304c0 44.18 35.82 80 80 80s80-35.82 80-80C272 259.8 236.2 224 192 224z", "M367.4 68.27C361.3 101.6 285.2 128 192 128S22.66 101.6 16.59 68.27C16.33 69.88 16 71.5 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14C368 71.5 367.7 69.88 367.4 68.27zM304 427.5C283.7 437.1 246.6 448 192 448s-91.73-10.88-112-20.5V293.7c10 3.285 20.7 6.211 32.16 8.672C113 258.1 148.4 224 192 224s78.95 34.96 79.84 78.38C283.3 299.9 293.1 296.1 304 293.7V427.5z"]],
    "candle-holder": [448, 512, [128367], "f6bc", ["M160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1zM376 368c-39.75 0-72 32.25-72 72c0 8.5 1.75 16.5 4.375 24H16C7.125 464 0 471.1 0 480v16C0 504.9 7.105 512 15.98 512H376c39.75 0 72-32.25 72-72S415.8 368 376 368zM376 464c-13.25 0-24-10.75-24-24S362.8 416 376 416s24 10.75 24 24S389.3 464 376 464z", "M256 256v208H64V256c0-17.62 14.38-32 32-32h32v48c0 8.875 7.125 15.1 16 15.1S160 280.9 160 272V224h64C241.6 224 256 238.4 256 256z"]],
    "candy": [640, 512, [127852], "e3e7", ["M128 256C128.2 274.5 131.1 292.8 136.6 310.4L42.72 357.5C39.4 359.2 35.73 360 32 360C27.26 359.1 22.62 358.6 18.68 355.9C14.74 353.3 11.66 349.6 9.85 345.2C8.035 340.8 7.56 335.1 8.484 331.3C9.409 326.7 11.69 322.4 15.04 319L45.57 288.3L16.42 278.7C11.65 277.1 7.494 273.1 4.554 269.9C1.613 265.8 .0312 260.9 .0312 255.9C.0312 250.8 1.613 245.9 4.554 241.8C7.494 237.8 11.65 234.7 16.42 233.1L45.57 223.5L15.04 192.1C11.03 188.9 8.576 183.6 8.123 177.9C7.671 172.3 9.247 166.6 12.57 161.1C15.9 157.4 20.75 154.1 26.28 152.7C31.8 151.4 37.63 151.1 42.72 154.5L136.4 201.3C130.9 219.1 128.1 237.5 128 256H128zM624.1 319C628.3 322.4 630.6 326.7 631.5 331.3C632.4 335.1 631.1 340.8 630.2 345.2C628.3 349.6 625.3 353.3 621.3 355.9C617.4 358.6 612.7 359.1 608 360C604.3 360 600.6 359.2 597.3 357.5L503.7 310.7C509.1 292.9 511.9 274.5 512 256C511.8 237.5 508.9 219.2 503.4 201.6L597.3 154.8C602.4 152.3 608.2 151.7 613.7 153.1C619.2 154.4 624 157.7 627.4 162.3C630.7 166.9 632.3 172.5 631.8 178.2C631.4 183.9 628.1 189.2 624.1 193.2L594.4 223.7L623.6 233.3C628.4 234.9 632.5 238 635.5 242.1C638.4 246.2 639.1 251.1 639.1 256.1C639.1 261.2 638.4 266.1 635.5 270.2C632.5 274.2 628.4 277.3 623.6 278.9L594.4 288.5L624.1 319z", "M220.2 92.13L391.2 434.3C369.1 443.1 345.6 447.8 321.9 448L167.6 139.4C182.1 120.5 199.9 104.5 220.2 92.13zM147.8 171.4L284.4 444.8C240.4 436.5 200.7 413.1 172.1 378.6C143.6 344.1 127.1 300.8 128 256C128 226.6 134.8 197.7 147.8 171.4zM318.1 64L472.4 372.6C457.9 391.5 440.1 407.5 419.8 419.9L248.8 77.7C270.9 68.86 294.4 64.22 318.1 64zM435.8 102.6C459.4 120.4 478.6 143.4 491.8 169.9C505 196.4 511.9 225.6 511.1 255.2C512.1 284.7 505.3 313.1 492.2 340.5L355.6 67.2C384.7 72.65 412.1 84.75 435.8 102.6z"]],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", ["M288 448V64H592C604.7 64 616.9 69.06 625.9 78.06C634.9 87.06 640 99.27 640 112V400C640 412.7 634.9 424.9 625.9 433.9C616.9 442.9 604.7 448 592 448H288z", "M0 352H128V448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V352zM80 128C97.36 127.9 114.2 122.2 128 111.6V192H47.65C58.2 178.2 63.94 161.4 64 144V128H80zM0 224H128V320H0V224zM288 64V192H160V64H288zM160 224H288V320H160V224zM160 352H288V448H160V352z"]],
    "candy-cane": [512, 512, [], "f786", ["M15.6 397.6c-15.26 9.125-20.14 28.62-11 43.87l32.76 54.87c8.529 14.2 27.57 20.66 43.88 11.12l87.06-51.68L61.44 370.4L15.6 397.6zM194.3 291.5l118.1 78.68l71.06-42.21l-118.1-78.67L194.3 291.5zM369.5 187.5l-73.62 43.71l118.1 78.67l14.95-8.879c31.96-19.11 55.64-47.95 69.56-80.48l-124.4-37.27C372.6 184.7 371.4 186.4 369.5 187.5zM90.88 352.9l106.8 85.4l84.19-50L163.8 309.6L90.88 352.9zM497.9 91.1c-5.859-12.36-13.29-23.31-21.53-33.33l-93.02 92.94c.1056 .3808 .3049 .7441 .3949 1.127l124.5 37.32C515.2 157.7 512.9 123.6 497.9 91.1zM360.7 128.1l93.14-93.05C425.1 12.61 388.9 0 352.4 0c-11.82 0-23.46 1.603-35.19 4.273l41.52 124.5C359.4 128.9 360.1 128.8 360.7 128.1zM264.9 137.7c8.529 14.2 27.57 20.6 43.88 11.06l19.15-11.21l-41.08-123.1c-5.415 2.465-10.98 5.031-16.2 8.162L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87L264.9 137.7z", "M383.7 152.7c2.614 11.17-1.032 22.63-9.579 30.51l124.4 37.27c4.228-9.877 7.503-20.02 9.745-30.46L383.7 152.7zM453.8 35.93l-93.14 93.05c8.011 1.988 15.27 7.023 19.85 14.64c1.503 2.525 2.058 5.275 2.799 7.982l93.02-92.94C469.5 50.29 462 42.58 453.8 35.93zM286.9 14.46l41.08 123.1l8.357-5.16c5.129-3.125 10.95-4.439 16.58-4.439c1.941 0 3.988 .3867 5.888 .7383l-41.52-124.5C306.9 6.621 296.8 9.953 286.9 14.46zM163.8 309.6l118.1 78.68l30.52-18.13L194.3 291.5L163.8 309.6zM265.4 249.3l118.1 78.67l30.52-18.13l-118.1-78.67L265.4 249.3zM61.44 370.4l106.9 85.41l29.43-17.48l-106.8-85.4L61.44 370.4z"]],
    "candy-corn": [640, 512, [], "f6bd", ["M379.7 278.6c29.61 78.36 64.86 137.4 100.2 137.4c35.32-.084 70.8-59.14 100.5-137.5c-27-3.709-59.75-6.592-99.73-6.592C440.1 271.9 406.9 274.8 379.7 278.6zM479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c3.5 17.38 7.374 35.25 11.75 53.25c32.88-7 81.63-13.88 146.8-13.88c64.26 0 112.8 6.75 145.6 13.75c4.25-18 8.127-35.88 11.63-53.13C644.5 39.5 645.8 1.625 479.1 0zM247.9 145.4c-18.65-28.02-44.53-55.69-162.9 60.38c-116.1 118.4-88.49 144.3-60.47 162.1c14.76 9.813 30.18 19.72 46.01 29.35c18.3-28.2 47.93-67.55 93.98-113.6c45.43-45.44 84.47-74.96 112.7-93.25C267.4 175.5 257.6 160.1 247.9 145.4zM277.6 397.6c-28.68 28.68-50.04 54.21-66.6 76.13c76.35 34.47 142.1 51.25 167.1 26.28c24.92-25.04 8.268-91.84-26.18-168.3C331.1 348.2 305.9 369.3 277.6 397.6z", "M480.6 143.9c-61.88 0-108.1 6.625-139 13.13c10.98 42.12 23.89 84.06 38.08 121.6c27.2-3.793 60.37-6.742 100.9-6.742c39.99 0 72.73 2.883 99.73 6.592c14.23-37.58 27.17-79.55 38.15-121.7C587.5 150.4 541.7 143.9 480.6 143.9zM187.1 307.1c-43.75 43.75-71.77 81.17-89.01 107.6c37.55 22.02 76.34 42.51 112.9 59.03c16.56-21.92 37.92-47.45 66.6-76.13c28.27-28.28 53.47-49.39 75.18-65.86c-16.51-36.63-37.03-75.44-59.09-113C267.3 236.1 230.3 263.9 187.1 307.1z"]],
    "cannabis": [576, 512, [], "f55f", ["M544 374.4c0 6-3.25 11.38-8.5 14.12c-2.5 1.375-60.75 31.75-133.5 31.75c-6.125 0-11.1-.125-17.5-.25c11.38 22.25 16.5 38.25 16.75 39.13c1.875 5.75 .375 12-3.875 16.12c-4.125 4.25-10.38 5.75-16.12 4c-1.631-.4648-32.94-10.66-69.25-34.06V311.1C312 298.7 301.3 288 288 288S264 298.7 264 311.1v133.2c-36.31 23.4-67.62 33.59-69.25 34.06c-5.75 1.75-12 .25-16.12-4c-4.25-4.25-5.75-10.38-3.875-16.12C175 458.3 180.1 442.1 191.5 420c-5.5 .125-11.38 .25-17.5 .25c-72.75 0-130.1-30.38-133.5-31.75C35.25 385.8 32 380.4 32 374.4c0-5.875 3.25-11.38 8.5-14.12c1.625-.875 32.38-16.88 76.75-25.75c-64.25-75.13-84-161.8-84.88-165.8C31.25 163.5 32.75 157.9 36.63 154C39.75 151 43.75 149.4 48 149.4c1.125 0 2.25 .125 3.375 .375c4 .875 86.62 19.5 160.6 79.75V225.1c0-118.9 60-213.8 62.5-217.8C277.5 2.75 282.5 0 288 0s10.5 2.75 13.5 7.375C304 11.38 364 106.3 364 225.1V229.5c73.1-60.25 156.6-79 160.5-79.75C525.8 149.5 526.9 149.4 528 149.4c4.25 0 8.25 1.625 11.38 4.625c3.75 3.875 5.375 9.5 4.25 14.75c-.875 4-20.62 90.63-84.88 165.8c44.38 8.875 75.13 24.88 76.75 25.75C540.8 363 544 368.5 544 374.4z", "M312 311.1v176C312 501.3 301.3 512 288 512s-24-10.75-24-23.1V311.1C264 298.7 274.7 288 288 288S312 298.7 312 311.1z"]],
    "capsules": [576, 512, [], "f46b", ["M111.1 32C51.24 32-.0021 83.25-.0021 143.1L0 255.7h223.7L223.9 143.9C223.9 83.23 172.7 32 111.1 32zM425.1 111.9c-35.16-51.12-108.7-63.91-159.8-28.76L255.7 92.71v178.9l47.94 67.1l188.6-131L425.1 111.9z", "M0 367.5c0 60.71 51.14 111.8 111.9 111.8s111.9-51.12 111.9-111.8V255.7H0V367.5zM556.2 300.4l-63.93-92.66l-188.6 131l63.93 92.66c35.16 51.12 108.7 63.91 159.8 28.76S591.3 351.5 556.2 300.4z"]],
    "car": [512, 512, [128664, "automobile"], "f1b9", ["M346.6 96C360.2 96 372.3 104.6 376.8 117.4L402.9 192H109.1L135.2 117.4C139.7 104.6 151.8 96 165.4 96H346.6zM0 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V400zM512 448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H512V448z", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V400H0V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320z"]],
    "car-battery": [512, 512, ["battery-car"], "f5df", ["M0 160C0 124.7 28.65 96 64 96H448C483.3 96 512 124.7 512 160V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V160zM352 192V224H320C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256H352V288C352 296.8 359.2 304 368 304C376.8 304 384 296.8 384 288V256H416C424.8 256 432 248.8 432 240C432 231.2 424.8 224 416 224H384V192C384 183.2 376.8 176 368 176C359.2 176 352 183.2 352 192zM96 224C87.16 224 80 231.2 80 240C80 248.8 87.16 256 96 256H192C200.8 256 208 248.8 208 240C208 231.2 200.8 224 192 224H96z", "M80 96C80 78.33 94.33 64 112 64H176C193.7 64 208 78.33 208 96H80zM304 96C304 78.33 318.3 64 336 64H400C417.7 64 432 78.33 432 96H304z"]],
    "car-bolt": [512, 512, [], "e341", ["M96 448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V400H96V448zM512 448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H512V448z", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V400H0V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256zM318.3 119.2C321.6 112.5 319.9 104.5 314.3 99.72C308.6 94.96 300.3 94.75 294.4 99.2L166.4 195.2C160.9 199.3 158.6 206.5 160.8 213.1C162.1 219.6 169.1 224 176 224H230.1L193.7 296.8C190.4 303.5 192.1 311.5 197.7 316.3C203.4 321 211.7 321.3 217.6 316.8L345.6 220.8C351.1 216.7 353.4 209.5 351.2 202.9C349 196.4 342.9 192 336 192H281.9L318.3 119.2z"]],
    "car-building": [640, 512, [], "f859", ["M0 48C0 21.49 21.49 0 48 0H272C298.5 0 320 21.49 320 48V136.4C290.5 148.5 266.9 173 256.3 204.6L255.9 205.1C254.9 198.1 248.2 192 240 192H208C199.2 192 192 199.2 192 208V240C192 248.8 199.2 256 208 256H239.2L233.6 272.9C208.5 290.2 192 319.2 192 352V480H48C21.49 480 0 458.5 0 432V48zM64 240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80C71.16 192 64 199.2 64 208V240zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM208 96C199.2 96 192 103.2 192 112V144C192 152.8 199.2 160 208 160H240C248.8 160 256 152.8 256 144V112C256 103.2 248.8 96 240 96H208zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "car-bump": [640, 512, [], "f5e0", ["M589.1 512H402.9C393 512 385.5 503.1 388.8 493.8C400.6 460.4 432 416 496 416C560 416 591.4 460.4 603.2 493.8C606.5 503.1 598.1 512 589.1 512z", "M47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C167 464.3 156.9 481.9 139.8 486.5L108.9 494.7C91.85 499.3 74.3 489.2 69.73 472.1L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2V234.2zM114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6zM116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3H116.9zM411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5H411.7z"]],
    "car-burst": [640, 512, ["car-crash"], "f5e1", ["M160.6 18.85C163.2 12.1 172.8 12.1 175.4 18.85L201.7 85.44C203.3 89.32 207.5 91.38 211.5 90.15L279.1 69.19C286.9 67.06 292.9 74.53 289.3 80.82L266.7 120L230.4 172.5C203.1 181.4 180.6 203.5 172.6 233.4L166.8 254.1C165.3 255.2 163.8 255.9 162.6 257L109.1 305.6C104.7 310.5 96.05 306.4 96.58 299.2L101.8 227.7C102.1 223.6 99.14 219.9 95.02 219.3L24.24 208.4C17.07 207.3 14.95 198 20.93 193.9L80.01 153.5C83.45 151.1 84.5 146.5 82.42 142.9L46.75 80.82C43.13 74.53 49.09 67.06 56.03 69.19L124.5 90.15C128.5 91.38 132.7 89.32 134.3 85.44L160.6 18.85zM203.5 241.7C204.1 236.1 207.3 230.1 210.2 226.3z", "M249.8 200.7L297.7 131.5C316.9 103.6 351.6 90.92 384.2 99.67L519.8 135.1C552.5 144.7 576.1 173.1 578.8 206.8L585.7 290.7C602.9 304.2 611.3 327 605.3 349.4L570.1 480.8C565.5 497.8 547.1 507.1 530.9 503.4L515.5 499.3C498.4 494.7 488.3 477.1 492.8 460.1L501.1 429.1L253.8 362.9L245.6 393.8C240.1 410.9 223.4 421 206.4 416.4L190.9 412.3C173.8 407.7 163.7 390.2 168.3 373.1L203.5 241.7C209.5 219.3 228.2 203.8 249.8 200.7L249.8 200.7zM318.1 214.5L519.6 268.5L515 211.1C514.5 205.2 509.8 199.6 503.2 197.8L367.7 161.5C361.1 159.7 354.2 162.3 350.4 167.8L318.1 214.5zM280.8 262.4C267.1 259 254.8 266.6 251.4 279.4C247.9 292.2 255.5 305.4 268.3 308.8C281.1 312.2 294.3 304.6 297.7 291.8C301.2 279 293.6 265.9 280.8 262.4zM515.6 375.1C528.4 378.5 541.6 370.9 545 358.1C548.4 345.3 540.8 332.1 528 328.7C515.2 325.3 502.1 332.9 498.6 345.7C495.2 358.5 502.8 371.6 515.6 375.1z"]],
    "car-bus": [640, 512, [], "f85a", ["M48 416H32C14.33 416 0 401.7 0 384V74.46C0 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V128H362.6C347.7 128 333.2 130.1 319.1 136.4V120C319.1 106.7 309.3 96 295.1 96H207.1V224H249.9L233.6 272.9C208.5 290.2 191.1 319.2 191.1 352V416H127.1V448C127.1 465.7 113.7 480 95.1 480H79.1C62.33 480 47.1 465.7 47.1 448L48 416zM64 200C64 213.3 74.75 224 88 224H176V96H88C74.75 96 64 106.7 64 120V200zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "car-circle-bolt": [640, 512, [], "e342", ["M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L471.3 193.7C385.8 205.7 320 279.2 320 368C320 378.9 320.1 389.6 322.9 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8z"]],
    "car-garage": [640, 512, [], "f5e2", ["M288.2 6.324C302.9-2.108 321.1-2.108 335.8 6.324L607.9 161.8C623.2 170.6 628.6 190.1 619.8 205.4C611 220.8 591.5 226.1 576.1 217.4L312 66.43L47.88 217.4C32.54 226.1 12.99 220.8 4.222 205.4C-4.547 190.1 .7846 170.6 16.13 161.8L288.2 6.324z", "M138.2 292.4L166.5 213.1C177.9 181.3 208 160 241.8 160H382.2C415.1 160 446.1 181.3 457.5 213.1L485.8 292.4C505.9 300.9 520 320.8 520 344V480C520 497.7 505.7 512 488 512H472C454.3 512 440 497.7 440 480V448H184V480C184 497.7 169.7 512 152 512H136C118.3 512 104 497.7 104 480V344C104 320.8 118.1 300.9 138.2 292.4H138.2zM207.7 288H416.3L397.2 234.6C394.1 228.3 388.9 224 382.2 224H241.8C235.1 224 229 228.3 226.8 234.6L207.7 288zM184 344C170.8 344 160 354.7 160 368C160 381.3 170.8 392 184 392C197.3 392 208 381.3 208 368C208 354.7 197.3 344 184 344zM440 392C453.3 392 464 381.3 464 368C464 354.7 453.3 344 440 344C426.8 344 416 354.7 416 368C416 381.3 426.8 392 440 392z"]],
    "car-mirrors": [576, 512, [], "e343", ["M378.6 96C392.2 96 404.3 104.6 408.8 117.4L434.9 192H141.1L167.2 117.4C171.7 104.6 183.8 96 197.4 96H378.6zM32 400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V400zM544 448C544 465.7 529.7 480 512 480H480C462.3 480 448 465.7 448 448V400H544V448z", "M0 192C0 174.3 14.33 160 32 160H84.5L106.8 96.29C120.3 57.78 156.6 32 197.4 32H378.6C419.4 32 455.7 57.78 469.2 96.29L491.5 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H535.4C540.9 233.4 544 244.3 544 256V400H32V256C32 244.3 35.12 233.4 40.56 224H32C14.33 224 0 209.7 0 192zM141.1 192H434.9L408.8 117.4C404.3 104.6 392.2 96 378.6 96H197.4C183.8 96 171.7 104.6 167.2 117.4L141.1 192zM128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256zM448 320C465.7 320 480 305.7 480 288C480 270.3 465.7 256 448 256C430.3 256 416 270.3 416 288C416 305.7 430.3 320 448 320z"]],
    "car-on": [448, 512, [], "e4dd", ["M224 0C237.3 0 248 10.75 248 24V104C248 117.3 237.3 128 224 128C210.7 128 200 117.3 200 104V24C200 10.75 210.7 0 224 0zM7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L88.97 87.03C98.34 96.4 98.34 111.6 88.97 120.1C79.6 130.3 64.4 130.3 55.03 120.1L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03V39.03zM407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L392.1 120.1C383.6 130.3 368.4 130.3 359 120.1C349.7 111.6 349.7 96.4 359 87.03L407 39.03z", "M50.16 292.4L78.49 213.1C89.86 181.3 120 160 153.8 160H294.2C327.1 160 358.1 181.3 369.5 213.1L397.8 292.4C417.9 300.9 432 320.8 432 344V480C432 497.7 417.7 512 400 512H384C366.3 512 352 497.7 352 480V448H96V480C96 497.7 81.67 512 64 512H48C30.33 512 16 497.7 16 480V344C16 320.8 30.08 300.9 50.16 292.4H50.16zM119.7 288H328.3L309.2 234.6C306.1 228.3 300.9 224 294.2 224H153.8C147.1 224 141 228.3 138.8 234.6L119.7 288zM95.1 344C82.74 344 71.1 354.7 71.1 368C71.1 381.3 82.74 392 95.1 392C109.3 392 119.1 381.3 119.1 368C119.1 354.7 109.3 344 95.1 344zM352 392C365.3 392 376 381.3 376 368C376 354.7 365.3 344 352 344C338.7 344 328 354.7 328 368C328 381.3 338.7 392 352 392z"]],
    "car-rear": [512, 512, ["car-alt"], "f5de", ["M135.2 117.4C139.7 104.6 151.8 96 165.4 96H346.6C360.2 96 372.3 104.6 376.8 117.4L402.9 192H109.1L135.2 117.4zM32 448V391.4C41.41 396.9 52.34 400 64 400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448zM384 448V400H448C459.7 400 470.6 396.9 480 391.4V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448z", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V336C512 371.3 483.3 400 448 400H64C28.65 400 0 371.3 0 336V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM208 272C199.2 272 192 279.2 192 288V320C192 328.8 199.2 336 208 336H304C312.8 336 320 328.8 320 320V288C320 279.2 312.8 272 304 272H208zM72 304H104C117.3 304 128 293.3 128 280C128 266.7 117.3 256 104 256H72C58.75 256 48 266.7 48 280C48 293.3 58.75 304 72 304zM408 256C394.7 256 384 266.7 384 280C384 293.3 394.7 304 408 304H440C453.3 304 464 293.3 464 280C464 266.7 453.3 256 440 256H408z"]],
    "car-side": [640, 512, [128663], "f5e4", ["M224 128V224H111.3L141.6 148.1C146.5 135.1 158.2 128 171.3 128H224zM272 128H353.2C362.1 128 372.2 132.4 378.2 140L445.4 224H272L272 128zM224 432C224 476.2 188.2 512 144 512C99.82 512 64 476.2 64 432C64 387.8 99.82 352 144 352C188.2 352 224 387.8 224 432zM416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432z", "M640 352V400C640 417.7 625.7 432 608 432C608 370.1 557.9 320 496 320C434.1 320 384 370.1 384 432H256C256 370.1 205.9 320 144 320C82.14 320 32 370.1 32 432C14.33 432 0 417.7 0 400V288C0 260.9 16.81 237.8 40.56 228.4L82.2 124.3C96.78 87.9 132.1 64 171.3 64H353.2C382.4 64 409.1 77.26 428.2 100L528.2 225C591.2 232.1 640 286.8 640 352V352zM171.3 128C158.2 128 146.5 135.1 141.6 148.1L111.3 224H224V128H171.3zM272 224H445.4L378.2 140C372.2 132.4 362.1 128 353.2 128H272V224z"]],
    "car-side-bolt": [640, 512, [], "e344", ["M347.2 116.6C352.5 121.8 353.5 129.9 349.7 136.2L316.3 192H368C375.1 192 381.4 196.7 383.4 203.6C385.4 210.5 382.5 217.8 376.5 221.6L248.5 301.6C242.2 305.5 234.1 304.6 228.8 299.4C223.5 294.2 222.5 286.1 226.3 279.8L259.7 224H208C200.9 224 194.6 219.3 192.6 212.4C190.7 205.6 193.5 198.2 199.5 194.4L327.5 114.4C333.8 110.5 341.9 111.4 347.2 116.6H347.2zM224 432C224 476.2 188.2 512 144 512C99.82 512 64 476.2 64 432C64 387.8 99.82 352 144 352C188.2 352 224 387.8 224 432zM576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432z", "M640 352V400C640 417.7 625.7 432 608 432C608 370.1 557.9 320 496 320C434.1 320 384 370.1 384 432H256C256 370.1 205.9 320 144 320C82.14 320 32 370.1 32 432C14.33 432 0 417.7 0 400V288C0 260.9 16.81 237.8 40.56 228.4L82.2 124.3C96.78 87.9 132.1 64 171.3 64H353.2C382.4 64 409.1 77.26 428.2 100L528.2 225C591.2 232.1 640 286.8 640 352V352zM327.5 114.4L199.5 194.4C193.5 198.2 190.7 205.6 192.6 212.4C194.6 219.3 200.9 224 208 224H259.7L226.3 279.8C222.5 286.1 223.5 294.2 228.8 299.4C234.1 304.6 242.2 305.5 248.5 301.6L376.5 221.6C382.5 217.8 385.4 210.5 383.4 203.6C381.4 196.7 375.1 192 368 192H316.3L349.7 136.2C353.5 129.9 352.5 121.8 347.2 116.6C341.9 111.4 333.8 110.5 327.5 114.4H327.5z"]],
    "car-tilt": [640, 512, [], "f5e5", ["M0 496C0 469.5 21.49 448 48 448H592C618.5 448 640 469.5 640 496V512H0V496z", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C162.5 447.5 162.6 447.8 162.6 448H63.27L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1H133.5zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7H395.1z"]],
    "car-tunnel": [512, 512, [], "e4de", ["M512 256V448C512 483.3 483.3 512 448 512H384H128H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM384 512C401.7 512 416 497.7 416 480V376C416 355.2 404.7 337.1 387.8 327.4L366.9 262.7C359.4 239.6 337.9 224 313.6 224H198.4C174.1 224 152.6 239.6 145.1 262.7L124.1 327.4C107.3 337.1 96 355.2 96 376V480C96 497.7 110.3 512 128 512C145.7 512 160 497.7 160 480V448H352V480C352 497.7 366.3 512 384 512H384z", "M198.4 224H313.6C337.9 224 359.4 239.6 366.9 262.7L387.8 327.4C404.7 337.1 416 355.2 416 376V480C416 497.7 401.7 512 384 512C366.3 512 352 497.7 352 480V448H160V480C160 497.7 145.7 512 128 512C110.3 512 96 497.7 96 480V376C96 355.2 107.3 337.1 124.1 327.4L145.1 262.7C152.6 239.6 174.1 224 198.4 224H198.4zM198.4 272C194.9 272 191.8 274.2 190.8 277.5L177 320H334.1L321.2 277.5C320.2 274.2 317.1 272 313.6 272H198.4zM168 360C154.7 360 144 370.7 144 384C144 397.3 154.7 408 168 408C181.3 408 192 397.3 192 384C192 370.7 181.3 360 168 360zM344 408C357.3 408 368 397.3 368 384C368 370.7 357.3 360 344 360C330.7 360 320 370.7 320 384C320 397.3 330.7 408 344 408z"]],
    "car-wash": [448, 512, [], "f5e6", ["M112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80C16 48 64 0 64 0C64 0 112 48 112 80zM272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80C176 48 224 0 224 0C224 0 272 48 272 80zM336 80C336 48 384 0 384 0C384 0 432 48 432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80z", "M36.15 294.4L59.06 225.6C72.12 186.4 108.8 160 150.1 160H297.9C339.2 160 375.9 186.4 388.9 225.6L411.9 294.4C433.2 304.7 448 326.6 448 352V480C448 497.7 433.7 512 416 512H400C382.3 512 368 497.7 368 480V448H80V480C80 497.7 65.67 512 48 512H32C14.33 512 0 497.7 0 480V352C0 326.6 14.75 304.7 36.15 294.4V294.4zM105.7 288H342.3L328.2 245.9C323.9 232.8 311.6 224 297.9 224H150.1C136.4 224 124.1 232.8 119.8 245.9L105.7 288zM80 344C66.75 344 56 354.7 56 368C56 381.3 66.75 392 80 392C93.25 392 104 381.3 104 368C104 354.7 93.25 344 80 344zM368 392C381.3 392 392 381.3 392 368C392 354.7 381.3 344 368 344C354.7 344 344 354.7 344 368C344 381.3 354.7 392 368 392z"]],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", ["M35.7 132.6C28.11 123.9 35.57 112 47.11 112H80L104 80L80 48H47.11C35.57 48 28.11 36.12 35.7 27.43C50.36 10.62 71.94 0 96 0C128.8 0 156.1 19.75 169.3 48H406.7C419 19.75 447.2 0 480 0C504.1 0 525.6 10.62 540.3 27.43C547.9 36.12 540.4 48 528.9 48H496L472 80L496 112H528.9C540.4 112 547.9 123.9 540.3 132.6C525.6 149.4 504.1 160 480 160C447.2 160 419 140.3 406.7 112H169.3C156.1 140.3 128.8 160 96 160C71.94 160 50.36 149.4 35.7 132.6V132.6z", "M114.2 292.4L142.5 213.1C153.9 181.3 184 160 217.8 160H358.2C391.1 160 422.1 181.3 433.5 213.1L461.8 292.4C481.9 300.9 496 320.8 496 344V480C496 497.7 481.7 512 464 512H448C430.3 512 416 497.7 416 480V448H160V480C160 497.7 145.7 512 128 512H112C94.33 512 80 497.7 80 480V344C80 320.8 94.08 300.9 114.2 292.4H114.2zM183.7 288H392.3L373.2 234.6C370.1 228.3 364.9 224 358.2 224H217.8C211.1 224 205 228.3 202.8 234.6L183.7 288zM159.1 344C146.7 344 135.1 354.7 135.1 368C135.1 381.3 146.7 392 159.1 392C173.3 392 183.1 381.3 183.1 368C183.1 354.7 173.3 344 159.1 344zM416 392C429.3 392 440 381.3 440 368C440 354.7 429.3 344 416 344C402.7 344 392 354.7 392 368C392 381.3 402.7 392 416 392z"]],
    "caravan": [640, 512, [], "f8ff", ["M64 160C64 142.3 78.33 128 96 128H224C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224H416C407.2 224 400 231.2 400 240C400 248.8 407.2 256 416 256H448V352H348.8C341.2 337 331.4 323.3 320 311.2V160zM112 432C112 387.8 147.8 352 192 352C236.2 352 272 387.8 272 432C272 476.2 236.2 512 192 512C147.8 512 112 476.2 112 432z", "M0 112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H302.9C295.1 361.7 248.4 320 192 320C135.6 320 88.9 361.7 81.13 416H80C35.82 416 0 380.2 0 336V112zM448 352V160C448 142.3 433.7 128 416 128H352C334.3 128 320 142.3 320 160V311.2C331.4 323.3 341.2 337 348.8 352H448zM96 128C78.33 128 64 142.3 64 160V224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96z"]],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", ["M64 160C64 142.3 78.33 128 96 128H224C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224C448 241.7 433.7 256 416 256H352C334.3 256 320 241.7 320 224V160zM112 432C112 387.8 147.8 352 192 352C236.2 352 272 387.8 272 432C272 476.2 236.2 512 192 512C147.8 512 112 476.2 112 432z", "M416 32C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H302.9C295.1 361.7 248.4 320 192 320C135.6 320 88.9 361.7 81.13 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416zM64 224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96C78.33 128 64 142.3 64 160V224zM352 128C334.3 128 320 142.3 320 160V224C320 241.7 334.3 256 352 256H416C433.7 256 448 241.7 448 224V160C448 142.3 433.7 128 416 128H352z"]],
    "card-club": [384, 512, [], "e3e9", ["M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 264C80 294.9 105.1 320 136 320C151.7 320 165.8 313.6 176 303.2V336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H224C232.8 368 240 360.8 240 352C240 343.2 232.8 336 224 336H208V303.2C218.2 313.6 232.3 320 248 320C278.9 320 304 294.9 304 264C304 235.1 282.1 211.3 253.9 208.3C255.3 203.1 256 197.6 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 197.6 128.7 203.1 130.1 208.3C101.9 211.3 80 235.1 80 264z", "M304 264C304 294.9 278.9 320 248 320C232.3 320 218.2 313.6 208 303.2V336H224C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368H160C151.2 368 144 360.8 144 352C144 343.2 151.2 336 160 336H176V303.2C165.8 313.6 151.7 320 136 320C105.1 320 80 294.9 80 264C80 235.1 101.9 211.3 130.1 208.3C128.7 203.1 128 197.6 128 192C128 156.7 156.7 128 192 128C227.3 128 256 156.7 256 192C256 197.6 255.3 203.1 253.9 208.3C282.1 211.3 304 235.1 304 264z"]],
    "card-diamond": [384, 512, [], "e3ea", ["M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3L180.7 363.3C186.9 369.6 197.1 369.6 203.3 363.3L299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7L203.3 148.7C197.1 142.4 186.9 142.4 180.7 148.7L84.69 244.7z", "M299.3 244.7C305.6 250.9 305.6 261.1 299.3 267.3L203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L84.69 267.3C78.44 261.1 78.44 250.9 84.69 244.7L180.7 148.7C186.9 142.4 197.1 142.4 203.3 148.7L299.3 244.7z"]],
    "card-heart": [384, 512, [], "e3eb", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM202.2 351.7L286.6 264.3C311.1 238.1 309.7 197 282.6 173.4C258.2 152.9 222.3 156.8 200.5 179.1L192.2 188.3L183.5 179.1C161.6 156.8 125.3 152.9 101.7 173.4C74.21 197 72.9 238.1 97.37 264.3L182.1 351.7C187.4 357.4 196.6 357.4 202.2 351.7H202.2z", "M286.6 264.3L202.2 351.7C196.6 357.4 187.4 357.4 182.1 351.7L97.37 264.3C72.9 238.1 74.21 197 101.7 173.4C125.3 152.9 161.6 156.8 183.5 179.1L192.2 188.3L200.5 179.1C222.3 156.8 258.2 152.9 282.6 173.4C309.7 197 311.1 238.1 286.6 264.3H286.6z"]],
    "card-spade": [384, 512, [], "e3ec", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM88.4 224.4C66.53 246.3 66.53 281.7 88.4 303.6C110.3 325.5 145.7 325.5 167.6 303.6L175 296.2C175.3 295.8 175.7 295.5 175.1 295.2V335.1H159.1C151.2 335.1 143.1 343.2 143.1 351.1C143.1 360.8 151.2 367.1 159.1 367.1H223.1C232.8 367.1 239.1 360.8 239.1 351.1C239.1 343.2 232.8 335.1 223.1 335.1H207.1V295.2C208.3 295.5 208.7 295.8 208.1 296.2L216.4 303.6C238.3 325.5 273.7 325.5 295.6 303.6C317.5 281.7 317.5 246.3 295.6 224.4L208.1 137.8C199.6 128.4 184.4 128.4 175 137.8L88.4 224.4z", "M295.6 224.4C317.5 246.3 317.5 281.7 295.6 303.6C273.7 325.5 238.3 325.5 216.4 303.6L208.1 296.2C208.7 295.8 208.3 295.5 207.1 295.2V335.1H223.1C232.8 335.1 239.1 343.2 239.1 351.1C239.1 360.8 232.8 367.1 223.1 367.1H159.1C151.2 367.1 143.1 360.8 143.1 351.1C143.1 343.2 151.2 335.1 159.1 335.1H175.1V295.2C175.7 295.5 175.3 295.8 175 296.2L167.6 303.6C145.7 325.5 110.3 325.5 88.4 303.6C66.53 281.7 66.53 246.3 88.4 224.4L175 137.8C184.4 128.4 199.6 128.4 208.1 137.8L295.6 224.4z"]],
    "cards": [640, 512, [], "e3ed", ["M324.1 499L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L354.7 64.25C356.5 64.08 358.2 64 360 64H584C614.9 64 640 89.07 640 120V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 499V499zM579.8 135.7C565.8 123.9 545.3 126.2 532.9 138.9L528.1 144.2L523.1 138.9C510.6 126.2 489.9 123.9 476.4 135.7C460.7 149.2 459.9 173.1 473.9 187.6L522.4 237.6C525.4 240.8 530.6 240.8 533.9 237.6L582 187.6C596 173.1 595.3 149.2 579.8 135.7H579.8z", "M220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468zM143.8 277.3C136.9 303.2 152.3 329.1 178.3 336.9C204.3 343.9 230.1 328.5 237.9 302.5L240.3 293.6C240.4 293.3 240.5 292.9 240.6 292.5L258.4 323.2L246.3 330.2C239.6 334 237.4 342.5 241.2 349.2C245.1 355.9 253.6 358.1 260.2 354.3L308.4 326.5C315.1 322.6 317.4 314.1 313.5 307.4C309.7 300.8 301.2 298.5 294.5 302.3L282.5 309.3L264.7 278.6C265.1 278.7 265.5 278.8 265.9 278.9L274.7 281.2C300.7 288.2 327.4 272.8 334.4 246.8C341.3 220.8 325.9 194.1 299.9 187.1L196.1 159.6C185.8 156.6 174.4 163.2 171.4 174.3L143.8 277.3z"]],
    "cards-blank": [640, 512, [], "e4df", ["M324.1 499L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L354.7 64.25C356.5 64.08 358.2 64 360 64H584C614.9 64 640 89.07 640 120V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 499V499z", "M7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9z"]],
    "caret-down": [320, 512, [], "f0d7", ["M310.6 246.6l-127.1 128C176.4 380.9 168.2 384 160 384s-16.38-3.125-22.63-9.375l-127.1-128C.2244 237.5-2.516 223.7 2.438 211.8S19.07 192 32 192h255.1c12.94 0 24.62 7.781 29.58 19.75S319.8 237.5 310.6 246.6z", ""]],
    "caret-left": [256, 512, [], "f0d9", ["M137.4 406.6l-128-127.1C3.125 272.4 0 264.2 0 255.1s3.125-16.38 9.375-22.63l128-127.1c9.156-9.156 22.91-11.9 34.88-6.943S192 115.1 192 128v255.1c0 12.94-7.781 24.62-19.75 29.58S146.5 415.8 137.4 406.6z", ""]],
    "caret-right": [256, 512, [], "f0da", ["M118.6 105.4l128 127.1C252.9 239.6 256 247.8 256 255.1s-3.125 16.38-9.375 22.63l-128 127.1c-9.156 9.156-22.91 11.9-34.88 6.943S64 396.9 64 383.1V128c0-12.94 7.781-24.62 19.75-29.58S109.5 96.23 118.6 105.4z", ""]],
    "caret-up": [320, 512, [], "f0d8", ["M9.39 265.4l127.1-128C143.6 131.1 151.8 128 160 128s16.38 3.125 22.63 9.375l127.1 128c9.156 9.156 11.9 22.91 6.943 34.88S300.9 320 287.1 320H32.01c-12.94 0-24.62-7.781-29.58-19.75S.2333 274.5 9.39 265.4z", ""]],
    "carrot": [512, 512, [129365], "f787", ["M298.2 156.6C245.5 130.9 183.7 146.1 147.1 189.4l55.27 55.31c6.25 6.25 6.25 16.33 0 22.58c-3.127 3-7.266 4.605-11.39 4.605s-8.068-1.605-11.19-4.605L130.3 217l-128.1 262.8c-2.875 6-3 13.25 0 19.63c5.5 11.12 19 15.75 30 10.38l133.6-65.25L116.7 395.3c-6.377-6.125-6.377-16.38 0-22.5c6.25-6.25 16.37-6.25 22.5 0l56.98 56.98l102-49.89c24-11.63 44.5-31.26 57.13-57.13C385.5 261.1 359.9 186.8 298.2 156.6z", "M512 152c-41.63 50.25-107.5 52.5-151.9 7.875l-8-8C307.5 107.5 309.7 41.75 359.1 0c39.75 32.88 49.75 81 30.25 121.8C430.1 102.3 479.1 112.3 512 152z"]],
    "cars": [640, 512, [], "f85b", ["M138.6 .0003H277.4C311.8 .0003 342.4 22.03 353.3 54.7L377.7 128H362.6C314.4 128 271.6 158.8 256.3 204.6L233.6 272.9C227.3 277.3 221.5 282.3 216.5 288H80V320C80 337.7 65.67 352 48 352H32C14.33 352 .0003 337.7 .0003 320L0 192C0 166.6 14.75 144.7 36.15 134.4L62.7 54.7C73.59 22.03 104.2 0 138.6 0V.0003zM138.6 64C131.7 64 125.6 68.41 123.4 74.94L105.7 128H310.3L292.6 74.94C290.4 68.41 284.3 64 277.4 64H138.6zM80 232C93.25 232 104 221.3 104 208C104 194.7 93.25 184 80 184C66.75 184 56 194.7 56 208C56 221.3 66.75 232 80 232z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "cart-arrow-down": [576, 512, [], "f218", ["M311.1 142.1L288.1 119C279.6 109.7 264.4 109.7 255 119C245.7 128.4 245.7 143.6 255 152.1L319 216.1C328.4 226.3 343.6 226.3 352.1 216.1L416.1 152.1C426.3 143.6 426.3 128.4 416.1 119C407.6 109.7 392.4 109.7 383 119L359.1 142.1V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32H311.1L311.1 142.1z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM383 119C392.4 109.7 407.6 109.7 416.1 119C426.3 128.4 426.3 143.6 416.1 152.1L352.1 216.1C343.6 226.3 328.4 226.3 319 216.1L255 152.1C245.7 143.6 245.7 128.4 255 119C264.4 109.7 279.6 109.7 288.1 119L312 142.1V32H360V142.1L383 119z"]],
    "cart-arrow-up": [576, 512, [], "e3ee", ["M312 288H170.7L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H360V177.9L383 200.1C392.4 210.3 407.6 210.3 416.1 200.1C426.3 191.6 426.3 176.4 416.1 167L352.1 103C343.6 93.66 328.4 93.66 319 103L255 167C245.7 176.4 245.7 191.6 255 200.1C264.4 210.3 279.6 210.3 288.1 200.1L312 177.9V288z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM288.1 200.1C279.6 210.3 264.4 210.3 255 200.1C245.7 191.6 245.7 176.4 255 167L319 103C328.4 93.66 343.6 93.66 352.1 103L416.1 167C426.3 176.4 426.3 191.6 416.1 200.1C407.6 210.3 392.4 210.3 383 200.1L360 177.9V288H312V177.9L288.1 200.1z"]],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM563.3 387.3C569.6 381.1 569.6 370.9 563.3 364.7C557.1 358.4 546.9 358.4 540.7 364.7L512 393.4V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V393.4L451.3 364.7C445.1 358.4 434.9 358.4 428.7 364.7C422.4 370.9 422.4 381.1 428.7 387.3L484.7 443.3C490.9 449.6 501.1 449.6 507.3 443.3L563.3 387.3z"]],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM428.7 348.7C422.4 354.9 422.4 365.1 428.7 371.3C434.9 377.6 445.1 377.6 451.3 371.3L480 342.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V342.6L540.7 371.3C546.9 377.6 557.1 377.6 563.3 371.3C569.6 365.1 569.6 354.9 563.3 348.7L507.3 292.7C501.1 286.4 490.9 286.4 484.7 292.7L428.7 348.7z"]],
    "cart-circle-check": [640, 512, [], "e3f1", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "cart-circle-exclamation": [640, 512, [], "e3f2", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "cart-circle-plus": [640, 512, [], "e3f3", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM560 352H512V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H480V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V384H560C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352z"]],
    "cart-circle-xmark": [640, 512, [], "e3f4", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", ["M576 32h-128v128l-48-32L352 160V32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320h352c17.6 0 32-14.4 32-31.1V64C608 46.4 593.6 32 576 32zM162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16C448 490.5 469.5 512 496 512c26.5 0 48.01-21.5 48.01-47.1c0-5.625-1.282-11-2.907-16H450.1z", "M448 32v128l-48-32L352 160V32H448zM640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", ["M224 320h128c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320zM448 160h64c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-64c-17.6 0-32 14.4-32 32v64C416 145.6 430.4 160 448 160zM448 320h128c17.6 0 32-14.4 32-32V224c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v64C416 305.6 430.4 320 448 320zM162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16c0 26.5 21.49 48 47.99 48c26.5 0 48.01-21.5 48.01-48c0-5.625-1.282-11-2.907-16H450.1z", "M640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", ["M162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16c0 26.5 21.49 48 47.99 48c26.5 0 48.01-21.5 48.01-48c0-5.625-1.282-11-2.907-16H450.1z", "M640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", ["M480 48C480 21.5 458.5 0 432 0h-96C309.5 0 288 21.5 288 48V320h192V48zM432 96h-96V48h96V96zM224 320h32V96H224C206.4 96 192 110.4 192 128v160C192 305.6 206.4 320 224 320zM576 288V128c0-17.62-14.38-32-32-32h-32v224h32C561.6 320 576 305.6 576 288zM253.1 447.1C254.7 452.1 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.625 1.153-11 2.903-16H253.1zM541.2 447.1c1.625 5 2.889 10.38 2.889 16c0 26.5-21.51 48-48.01 48s-47.99-21.5-47.99-48c0-5.625 1.168-11 2.918-16H541.2z", "M512 96h-32v224h32V96zM288 96H256v224h32V96zM640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-minus": [576, 512, [], "e0db", ["M487.8 288H170.7L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288zM272 140C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H272z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM400 140C411 140 420 148.1 420 160C420 171 411 180 400 180H272C260.1 180 252 171 252 160C252 148.1 260.1 140 272 140H400z"]],
    "cart-plus": [576, 512, [], "f217", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32zM272 180H316V224C316 235 324.1 244 336 244C347 244 356 235 356 224V180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H356V96C356 84.95 347 76 336 76C324.1 76 316 84.95 316 96V140H272C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM252 160C252 148.1 260.1 140 272 140H316V96C316 84.95 324.1 76 336 76C347 76 356 84.95 356 96V140H400C411 140 420 148.1 420 160C420 171 411 180 400 180H356V224C356 235 347 244 336 244C324.1 244 316 235 316 224V180H272C260.1 180 252 171 252 160z"]],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"]],
    "cart-shopping-fast": [640, 512, [], "e0dc", ["M551.8 288H234.7L185.1 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288zM104 96C117.3 96 128 106.7 128 120C128 133.3 117.3 144 104 144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H104zM120 176C133.3 176 144 186.7 144 200C144 213.3 133.3 224 120 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H120zM136 256C149.3 256 160 266.7 160 280C160 293.3 149.3 304 136 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H136z", "M64 24C64 10.75 74.75 0 88 0H160C171.5 0 181.4 8.19 183.6 19.51L243.9 336H552C565.3 336 576 346.7 576 360C576 373.3 565.3 384 552 384H223.1C212.5 384 202.6 375.8 200.4 364.5L140.1 48H88C74.75 48 64 37.25 64 24V24zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464z"]],
    "cart-xmark": [576, 512, [], "e0dd", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32zM276.6 128.9L307.7 160L276.6 191.1C268.8 198.9 268.8 211.6 276.6 219.4C284.4 227.2 297.1 227.2 304.9 219.4L336 188.3L367.1 219.4C374.9 227.2 387.6 227.2 395.4 219.4C403.2 211.6 403.2 198.9 395.4 191.1L364.3 160L395.4 128.9C403.2 121.1 403.2 108.4 395.4 100.6C387.6 92.79 374.9 92.79 367.1 100.6L336 131.7L304.9 100.6C297.1 92.79 284.4 92.79 276.6 100.6C268.8 108.4 268.8 121.1 276.6 128.9z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM276.6 100.6C284.4 92.79 297.1 92.79 304.9 100.6L336 131.7L367.1 100.6C374.9 92.79 387.6 92.79 395.4 100.6C403.2 108.4 403.2 121.1 395.4 128.9L364.3 159.1L395.4 191.1C403.2 198.9 403.2 211.6 395.4 219.4C387.6 227.2 374.9 227.2 367.1 219.4L336 188.3L304.9 219.4C297.1 227.2 284.4 227.2 276.6 219.4C268.8 211.6 268.8 198.9 276.6 191.1L307.7 159.1L276.6 128.9C268.8 121.1 268.8 108.4 276.6 100.6V100.6z"]],
    "cash-register": [512, 512, [], "f788", ["M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H208V160H144V128H64C46.33 128 32 113.7 32 96V32C32 14.33 46.33 0 64 0H288zM96 48C87.16 48 80 55.16 80 64C80 72.84 87.16 80 96 80H256C264.8 80 272 72.84 272 64C272 55.16 264.8 48 256 48H96zM136 240C136 253.3 125.3 264 112 264C98.75 264 88 253.3 88 240C88 226.7 98.75 216 112 216C125.3 216 136 226.7 136 240zM184 240C184 226.7 194.7 216 208 216C221.3 216 232 226.7 232 240C232 253.3 221.3 264 208 264C194.7 264 184 253.3 184 240zM184 320C184 333.3 173.3 344 160 344C146.7 344 136 333.3 136 320C136 306.7 146.7 296 160 296C173.3 296 184 306.7 184 320zM280 240C280 226.7 290.7 216 304 216C317.3 216 328 226.7 328 240C328 253.3 317.3 264 304 264C290.7 264 280 253.3 280 240zM280 320C280 333.3 269.3 344 256 344C242.7 344 232 333.3 232 320C232 306.7 242.7 296 256 296C269.3 296 280 306.7 280 320zM376 240C376 226.7 386.7 216 400 216C413.3 216 424 226.7 424 240C424 253.3 413.3 264 400 264C386.7 264 376 253.3 376 240zM376 320C376 333.3 365.3 344 352 344C338.7 344 328 333.3 328 320C328 306.7 338.7 296 352 296C365.3 296 376 306.7 376 320z", "M.0003 448V378.4C.0003 373.6 .3626 368.8 1.084 364.1L23.76 214.4C28.5 183.1 55.39 160 87.03 160H424.1C456.6 160 483.5 183.1 488.2 214.4L510.9 364.1C511.6 368.8 512 373.6 512 378.4V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448H.0003zM80 448H432C440.8 448 448 440.8 448 432C448 423.2 440.8 416 432 416H80C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448zM112 216C98.75 216 88 226.7 88 240C88 253.3 98.75 264 112 264C125.3 264 136 253.3 136 240C136 226.7 125.3 216 112 216zM208 264C221.3 264 232 253.3 232 240C232 226.7 221.3 216 208 216C194.7 216 184 226.7 184 240C184 253.3 194.7 264 208 264zM160 296C146.7 296 136 306.7 136 320C136 333.3 146.7 344 160 344C173.3 344 184 333.3 184 320C184 306.7 173.3 296 160 296zM304 264C317.3 264 328 253.3 328 240C328 226.7 317.3 216 304 216C290.7 216 280 226.7 280 240C280 253.3 290.7 264 304 264zM256 296C242.7 296 232 306.7 232 320C232 333.3 242.7 344 256 344C269.3 344 280 333.3 280 320C280 306.7 269.3 296 256 296zM400 264C413.3 264 424 253.3 424 240C424 226.7 413.3 216 400 216C386.7 216 376 226.7 376 240C376 253.3 386.7 264 400 264zM352 296C338.7 296 328 306.7 328 320C328 333.3 338.7 344 352 344C365.3 344 376 333.3 376 320C376 306.7 365.3 296 352 296z"]],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", ["M0 160v272C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V160H0zM160 416c-52.95 0-96-43.05-96-96s43.05-96 96-96c52.95 0 96 43.05 96 96S212.1 416 160 416zM512 416h-192V224h192V416z", "M528 32h-480C21.49 32 0 53.49 0 80V160h576V80C576 53.49 554.5 32 528 32zM160 224c-52.95 0-96 43.05-96 96s43.05 96 96 96c52.95 0 96-43.05 96-96S212.1 224 160 224zM160 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S177.6 352 160 352z"]],
    "cassette-tape": [576, 512, [128429], "f8ab", ["M512 32H64C28.65 32 0 60.65 0 96v336C0 458.5 21.49 480 48 480h46.27l35.37-106.1C133.1 360.8 146.2 352 159.1 352H416c13.77 0 26 8.813 30.36 21.88L481.7 480H528c26.51 0 48-21.49 48-48V96C576 60.65 547.3 32 512 32zM416 288H160C115.8 288 80 252.2 80 208S115.8 128 160 128h256c44.18 0 80 35.82 80 80S460.2 288 416 288zM160 384l-32 96h320l-32-96H160z", "M416 128H160C115.8 128 80 163.8 80 208S115.8 288 160 288h256c44.18 0 80-35.82 80-80S460.2 128 416 128zM342.8 176C338.5 185.8 336 196.6 336 208s2.461 22.19 6.754 32H233.2C237.5 230.2 240 219.4 240 208s-2.461-22.19-6.754-32H342.8zM144 208C144 199.2 151.2 192 160 192s16 7.178 16 16S168.8 224 160 224S144 216.8 144 208zM416 224c-8.822 0-16-7.178-16-16S407.2 192 416 192s16 7.178 16 16S424.8 224 416 224z"]],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", ["M0 432c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48v-304H0V432zM416 224l48.87 0C483.1 245.3 496 273.1 496 304s-12 58.75-31.13 80L416 384V224zM224 224h128v159.1H224V224zM111.1 224L160 224v159.1l-48.87 0C92 362.8 80 334.9 80 304S92 245.3 111.1 224z", "M80 304c0 30.88 11.99 58.74 31.13 80L160 384v-34.97c-24.89-8.691-38.01-35.88-29.32-60.77C135.5 274.5 146.3 263.8 160 258.1V224L111.1 224C91.99 245.3 80 273.1 80 304zM416 224V258.1c24.89 8.693 38.01 35.88 29.32 60.77C440.5 333.5 429.7 344.2 416 349v34.97l48.87 0C484 362.7 496 334.9 496 304c0-30.87-11.99-58.74-31.13-79.1L416 224zM528 32h-480C21.49 32 0 53.49 0 80v48h576V80C576 53.49 554.5 32 528 32z"]],
    "castle": [640, 512, [], "e0de", ["M128 16C128 7.164 135.2 0 144 0H176C184.8 0 192 7.164 192 16V64H240V16C240 7.164 247.2 0 256 0H288C296.8 0 304 7.164 304 16V64H336V16C336 7.164 343.2 0 352 0H384C392.8 0 400 7.164 400 16V64H448V16C448 7.164 455.2 0 464 0H496C504.8 0 512 7.164 512 16V224H128V16z", "M0 176C0 167.2 7.164 160 16 160H48C56.84 160 64 167.2 64 176V224H576V176C576 167.2 583.2 160 592 160H624C632.8 160 640 167.2 640 176V464C640 490.5 618.5 512 592 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H48C21.49 512 0 490.5 0 464V176z"]],
    "cat": [576, 512, [128008], "f6be", ["M322.6 192C316.4 192 303.9 192.2 288 194.9V288L240.7 209.1C226 215.6 210.9 224.6 196.3 236.1L224 320L160 288V192c0-53-43-96-96-96C46.38 96 32 110.4 32 128s14.38 32 32 32s32 14.38 32 32v256c0 35.25 28.75 64 64 64h176c8.875 0 16-7.125 16-15.1V480c0-17.62-14.38-32-32-32h-32l128-96v144c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16V289.9c-10.25 2.625-20.88 4.5-32 4.5C386.3 294.4 334.5 250.4 322.6 192zM480 96h-64l-64-64v134.4c0 53 43 95.1 96 95.1s96-42.1 96-95.1V32L480 96zM408 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S416.9 176 408 176zM488 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S496.9 176 488 176z", "M488 144c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S496.9 144 488 144zM408 144c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S416.9 144 408 144zM160 278V288l64 32L196.3 236.1C183.5 247.8 171.1 261.2 160 278zM288 288V194.9c-13.8 2.334-30.18 6.607-47.33 14.22L288 288z"]],
    "cat-space": [640, 512, [], "e001", ["M285 59.24L245.3 42.64L228.7 2.986C227.4 .3529 224.3-.752 221.6 .5566C220.6 1.072 219.7 1.945 219.2 2.986L202.6 42.64L162.1 59.24C160.3 60.56 159.2 63.76 160.6 66.39c.5156 1.029 1.377 1.85 2.407 2.366L202.6 85.36l16.6 39.65c1.307 2.635 4.489 3.738 7.123 2.434C227.4 126.9 228.2 126.1 228.7 125L245.3 85.36l39.65-16.6C287.6 67.44 288.7 64.24 287.4 61.61C286.9 60.58 286 59.76 285 59.24zM448 0c-88.37 0-160 71.63-160 160s71.63 160 160 160s159.1-71.63 159.1-160S536.4 .002 448 0zM544 176c0 53.02-42.98 96-96 96s-96-42.98-96-96v-128l64 64h64l64-64V176z", "M291.9 194.3c-35.84 5.342-91.78 23.26-131.9 83.64V192c-.0586-52.99-43.01-95.94-96-96C46.33 96 32 110.3 32 128c0 17.67 14.33 32 32 32c17.66 .0234 31.98 14.34 32 32v256c.0332 35.33 28.67 63.96 64 64h175.1c8.832 .0039 15.1-7.162 16-15.99V480c0-17.67-14.33-32-32-32H287.1l128-96v144c-.0039 8.83 7.159 15.99 15.99 16h32.01c8.832 .0039 15.1-7.159 16-15.99V316.8C469.5 318.9 458.7 319.1 448 320C371.4 320 307.6 266.2 291.9 194.3zM480 112h-64l-64-64v128c0 53.02 42.98 96 96 96s96-42.98 96-96v-128L480 112zM408 192c-8.836 0-16.02-7.164-16.02-16S399.2 160 408 160c8.838 0 16 7.164 16 16C424 184.8 416.8 191.1 408 192zM488 192c-8.836 0-16.02-7.164-16.02-16S479.2 160 488 160s16 7.164 16 16C504 184.8 496.9 191.1 488 192z"]],
    "cauldron": [448, 512, [], "f6bf", ["M192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32zM160 160V288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288V160H160zM224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80z", "M32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H96V288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288V160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H412.9C431.5 256.1 448 297.1 448 334.4C448 371.8 436.1 403.8 416 429.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V473C327.6 498.5 276.2 512 224 512C171.8 512 120.4 498.5 80 473V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V429.9C11.93 403.8 0 371.8 0 334.4C0 297.1 16.46 256.1 35.11 224H32z"]],
    "cedi-sign": [320, 512, [], "e0df", ["M224 66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32V66.66zM224 379.1C213.8 382.6 203.1 384 192 384C180.1 384 170.2 382.6 160 379.1V132C170.2 129.4 180.1 128 192 128C203.1 128 213.8 129.4 224 132V379.1zM224 480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448C202.9 448 213.6 447.1 224 445.3V480z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "cent-sign": [320, 512, [], "e3f5", ["M192 0C209.7 0 224 14.33 224 32V66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0zM192 448C202.9 448 213.6 447.1 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "certificate": [512, 512, [], "f0a3", ["M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46z", ""]],
    "chair": [448, 512, [129681], "f6c0", ["M384 288l-.0123-160c0-70.69-57.31-128-128-128H191.1C121.3 0 63.98 57.31 63.98 128l.0158 160h48L111.1 128c0-29.48 16.2-54.1 40-68.87L151.1 288h48L199.1 48h48L248 288h47.1l-.016-228.9C319.8 73 335.1 98.52 335.1 128l.0189 160H384zM31.1 496c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V384h-64L31.1 496zM352 384v112c0 8.836 7.164 16 16 16h31.1c8.838 0 16-7.164 16-16L416 384H352z", "M445.1 338.6l-14.77-32C425.1 295.3 413.7 288 401.2 288H46.76C34.28 288 22.94 295.3 17.7 306.6l-14.77 32c-4.563 9.906-3.766 21.47 2.109 30.66S21.09 384 31.1 384h384c10.91 0 21.08-5.562 26.95-14.75S449.6 348.5 445.1 338.6z"]],
    "chair-office": [448, 512, [], "f6c1", ["M256 451.4V384H192v67.38c-28.25 6-51 19.62-61.88 37.25C123.8 498.9 132.5 512 145.1 512h157.8c12.62 0 21.38-13.12 15-23.38C307 471 284.3 457.4 256 451.4zM287.1 0h-128C124.6 0 95.98 28.62 95.98 64L96 288h256l-.0137-224C351.1 28.62 323.4 0 287.1 0z", "M403.6 309.9C399.4 296.8 387.1 288 373.3 288h-298.5c-13.88 0-26 8.75-30.38 21.88l-10.75 32C26.75 362.6 42.12 384 63.1 384H384c21.75 0 37.25-21.38 30.37-42.13L403.6 309.9zM64 224L64 160c0-17.62-14.38-32-32-32S0 142.4 0 160v64c0 17.62 14.38 32 32 32S64 241.6 64 224zM416 128c-17.62 0-32 14.38-32 32l-.0052 64c0 17.62 14.38 32 32.01 32s32-14.38 32-32V160C448 142.4 433.6 128 416 128z"]],
    "chalkboard": [576, 512, ["blackboard"], "f51b", ["M560 416H544V72C544 50 525.1 32 504 32H72C49.1 32 32 50 32 72V416H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h544c8.836 0 16-7.164 16-16v-32C576 423.2 568.8 416 560 416zM96 416V96h384v320H96z", "M480 96v320h-64v-48c0-8.838-7.164-16-16-16h-160C231.2 352 224 359.2 224 368V416H96V96H480z"]],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", ["M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 63.1 17.81V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0z", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM224 64v49.81C262.1 136 288 176.8 288 224c0 41.81-20.14 78.1-51.24 102.4C255.3 331.8 272.2 340.7 287.3 352h96.69V304c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16V352h64V64H224z"]],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", ["M168.7 64l22.86 156.5c3.825 29.45-16.42 57.48-47.11 65.18c-10.78 2.705-22.05 2.705-32.83 0C80.9 277.1 60.65 249.9 64.34 221.5L87.34 64H168.7zM196.2 0H59.77c-15.1 0-29.49 11.75-31.74 27.38L1.033 212.3c-8.248 63.5 34.23 120.3 94.97 135.5V464H56.01c-22.12 0-39.99 17.88-39.99 40c0 4.375 3.624 8 7.999 8h207.1c4.374 0 7.998-3.625 7.998-8c0-22.12-17.87-40-39.99-40h-39.99v-116.3c60.74-15.25 103.2-71.96 94.98-135.5l-26.99-184.9C225.7 11.75 212.2 0 196.2 0z", "M191.5 220.5c3.825 29.45-16.42 57.48-47.11 65.18c-10.78 2.707-22.05 2.707-32.83 0C80.9 277.1 60.65 249.9 64.34 221.5L77.99 128h100L191.5 220.5z"]],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", ["M639.4 433.6c-6.318-15.37-21.18-24.7-36.84-24.7c-5.095 0-10.28 .989-15.28 3.075l-22.12 9.249l-38.75-101.1c47.87-34.1 64.87-100.2 34.5-152.7l-86.62-150.5c-5.863-10.17-16.56-16.04-27.76-16.04c-4.084-.0039-8.23 .7781-12.24 2.415l-114.2 47.37L205.8 2.415c-4.006-1.636-8.156-2.415-12.24-2.415c-11.2 0-21.9 5.871-27.76 16.04L79.15 166.5C48.9 219 65.78 284.3 113.6 319.2l-38.75 101.9L52.78 411.9c-4.1-2.086-10.18-3.075-15.26-3.075c-15.64 0-30.45 9.324-36.86 24.7c-1.75 4.124 .125 8.749 4.25 10.5l162.4 67.37C168.3 511.8 169.3 512 170.4 512c3.053 0 5.961-1.827 7.267-4.905c8.374-20.37-1.25-43.87-21.62-52.37l-22.12-9.124l39.37-103.6c4.5 .4999 8.874 1.25 13.12 1.25c51.75 0 99.37-32.1 113.4-85.24l20.25-75.36l20.25 75.36c13.1 52.24 61.62 85.24 113.4 85.24c4.25 0 8.624-.7499 13.12-1.25l39.25 103.6l-22.12 9.124c-20.37 8.499-30.12 31.1-21.62 52.37C463.6 510.2 466.5 512 469.6 512c1.051 0 2.113-.21 3.127-.6552l162.4-67.37C639.1 442.2 641.1 437.7 639.4 433.6zM237.9 241.4c-5.25 19.59-20.03 31.06-35.17 35.59C192.1 280.2 169.4 280.8 151.4 267.6C128.7 250.1 121.5 221.3 134.6 198.4l72.61-126.1l68.53 28.41L237.9 241.4zM488.7 267.6c-18.03 13.18-40.71 12.63-51.36 9.448c-15.15-4.535-29.92-16.01-35.17-35.59l-37.81-140.7l68.53-28.41l72.61 126.1C518.6 221.3 511.4 250.1 488.7 267.6z", "M261.3 154.5L237.9 241.4c-5.25 19.59-20.03 31.06-35.17 35.59C192.1 280.2 169.4 280.8 151.4 267.6C128.7 250.1 121.5 221.3 134.6 198.4l44.81-77.85L261.3 154.5zM505.5 198.4l-43.38-75.36L379.5 157.3l22.6 84.13c5.25 19.59 20.03 31.06 35.17 35.59c10.65 3.183 33.33 3.73 51.36-9.448C511.4 250.1 518.6 221.3 505.5 198.4z"]],
    "charging-station": [576, 512, [], "f5e7", ["M32 64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V448H32V64zM223.2 101.1C225.5 94.24 222.9 86.74 216.9 82.72C210.1 78.71 203 79.17 197.6 83.85L85.59 179.9C80.5 184.2 78.67 191.3 80.99 197.6C83.32 203.8 89.3 208 95.1 208H153.8L128.8 282.9C126.5 289.8 129.1 297.3 135.1 301.3C141 305.3 148.1 304.8 154.4 300.1L266.4 204.1C271.5 199.8 273.3 192.7 271 186.4C268.7 180.2 262.7 176 256 176H198.2L223.2 101.1z", "M480 128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H560C568.8 128 576 135.2 576 144V176C576 211.8 552.5 242.1 520 252.3V376C520 415.8 487.8 448 448 448C408.2 448 376 415.8 376 376V344C376 321.9 358.1 304 336 304H320V256H336C384.6 256 424 295.4 424 344V376C424 389.3 434.7 400 448 400C461.3 400 472 389.3 472 376V252.3C439.5 242.1 416 211.8 416 176V144C416 135.2 423.2 128 432 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128zM0 480C0 462.3 14.33 448 32 448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480z"]],
    "chart-area": [512, 512, ["area-chart"], "f1fe", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M448 352H160C142.3 352 128 337.7 128 319.1V236C128 228.3 130.8 220.8 135.9 214.1L215.3 124.2C228.3 109.4 251.4 109.7 263.1 124.8L303.2 171.8C312.2 182.7 328.6 183.4 338.6 173.4L359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L472.3 231C477.3 236.8 480 244.2 480 251.8V320C480 337.7 465.7 352 448 352L448 352z"]],
    "chart-bar": [512, 512, ["bar-chart"], "f080", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M352 96C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H160C142.3 160 128 145.7 128 128C128 110.3 142.3 96 160 96H352zM288 192C305.7 192 320 206.3 320 224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224C128 206.3 142.3 192 160 192H288zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320C128 302.3 142.3 288 160 288H416z"]],
    "chart-bullet": [512, 512, [], "e0e1", ["M160 64H240V128H160V64zM448 128H288V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V160H448V128zM160 160H240V224H160V160zM384 384H448V352H384V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V384zM256 352V288H336V352H256zM336 384V448H256V384H336z", "M264 32C277.3 32 288 42.75 288 56V232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V56C240 42.75 250.7 32 264 32zM160 64V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H160zM256 288V448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H256zM384 456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V280C336 266.7 346.7 256 360 256C373.3 256 384 266.7 384 280V456z"]],
    "chart-candlestick": [512, 512, [], "e0e2", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M304 32C312.8 32 320 39.16 320 48V96C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96V48C288 39.16 295.2 32 304 32zM416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C398.3 320 384 305.7 384 288V224C384 206.3 398.3 192 416 192V144zM128 160C128 142.3 142.3 128 160 128V80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V128C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C142.3 320 128 305.7 128 288V160z"]],
    "chart-column": [512, 512, [], "e0e3", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320zM288 320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V320zM192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256V320zM352 192C369.7 192 384 206.3 384 224V320C384 337.7 369.7 352 352 352C334.3 352 320 337.7 320 320V224C320 206.3 334.3 192 352 192z"]],
    "chart-gantt": [512, 512, [], "e0e4", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M256 96C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C142.3 160 128 145.7 128 128C128 110.3 142.3 96 160 96H256zM352 192C369.7 192 384 206.3 384 224C384 241.7 369.7 256 352 256H224C206.3 256 192 241.7 192 224C192 206.3 206.3 192 224 192H352zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H384C366.3 352 352 337.7 352 320C352 302.3 366.3 288 384 288H448z"]],
    "chart-line": [512, 512, ["line-chart"], "f201", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L342.6 278.6C330.1 291.1 309.9 291.1 297.4 278.6L239.1 221.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L217.4 153.4C229.9 140.9 250.1 140.9 262.6 153.4L320 210.7L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4z"]],
    "chart-line-down": [512, 512, [128201], "f64d", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M406.6 201.4L439 168.1C454.1 153.9 480 164.6 480 185.9V295.1C480 309.3 469.3 319.1 456 319.1H345.9C324.6 319.1 313.8 294.1 328.1 279L361.4 246.6L304 189.3L230.6 262.6C218.1 275.1 197.9 275.1 185.4 262.6L105.4 182.6C92.88 170.1 92.88 149.9 105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L207.1 194.7L281.4 121.4C293.9 108.9 314.1 108.9 326.6 121.4L406.6 201.4z"]],
    "chart-line-up": [512, 512, [], "e0e5", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M326.6 326.6C314.1 339.1 293.9 339.1 281.4 326.6L207.1 253.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L185.4 185.4C197.9 172.9 218.1 172.9 230.6 185.4L304 258.7L361.4 201.4L328.1 168.1C313.9 153.9 324.6 128 345.9 128H456C469.3 128 480 138.7 480 152V262.1C480 283.4 454.1 294.1 439 279L406.6 246.6L326.6 326.6z"]],
    "chart-mixed": [512, 512, ["analytics"], "f643", ["M224 256V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256zM96 352V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V352C32 334.3 46.33 320 64 320C81.67 320 96 334.3 96 352zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V320zM480 256V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256z", "M504.1 44.01C516 57.81 513.8 77.95 499.1 88.99L339.1 216.1C328.6 226.1 312.5 226.4 300.8 217.6L192.6 136.5L51.99 248.1C38.19 260 18.05 257.8 7.013 243.1C-4.028 230.2-1.79 210.1 12.01 199L172 71.01C183.4 61.9 199.5 61.65 211.2 70.4L319.4 151.5L460 39.01C473.8 27.97 493.9 30.21 504.1 44.01H504.1z"]],
    "chart-network": [640, 512, [], "f78a", ["M305.6 163.2C315.4 161.1 325.6 159.1 336 159.1C372.1 159.1 405 173.3 430.3 195.2L512.4 134.1C514.9 158.1 529.7 177.6 550.2 186.6L468.2 246.8C475.8 264.3 480 283.7 480 303.1C480 319.6 477.5 334.7 472.9 348.8L544.9 392C525.6 402.8 512.4 423.3 512 446.9L439.9 403.7C413.7 430.1 376.8 448 336 448C267.5 448 210.1 400.1 195.6 336H119.4C124.9 326.6 128 315.7 128 304C128 292.3 124.9 281.4 119.4 271.1H195.6C203 239 221.8 210.4 247.6 190.3L218.4 127.8C220.3 127.9 222.1 128 224 128C245.7 128 264.9 117.2 276.4 100.7L305.6 163.2zM336 384C380.2 384 416 348.2 416 303.1C416 259.8 380.2 223.1 336 223.1C291.8 223.1 255.1 259.8 255.1 303.1C255.1 348.2 291.8 384 336 384z", "M160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64C288 99.35 259.3 128 224 128C188.7 128 160 99.35 160 64zM512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C540.7 192 512 163.3 512 128zM640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448C512 412.7 540.7 384 576 384C611.3 384 640 412.7 640 448zM0 304C0 268.7 28.65 240 64 240C99.35 240 128 268.7 128 304C128 339.3 99.35 368 64 368C28.65 368 0 339.3 0 304z"]],
    "chart-pie": [576, 512, ["pie-chart"], "f200", ["M32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272z", "M527.4 240H304V16.58C304 7.555 310.1 0 320 0C443.7 0 544 100.3 544 224C544 233 536.4 240 527.4 240zM558.4 288C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L320 288H558.4z"]],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", ["M224 288H462.4C471.6 288 479 295.8 477.7 305C461.7 421.9 361.4 512 240 512C107.5 512 0 404.6 0 272C0 150.7 90.06 50.34 206.1 34.25C216.2 32.99 224 40.36 224 49.61L224 288z", "M272 16.58C272 7.555 278.1 0 288 0C411.7 0 512 100.3 512 224C512 233 504.4 240 495.4 240H272V16.58z"]],
    "chart-pyramid": [512, 512, [], "e0e6", ["M367.7 192L461 352H50.95L144.3 192H367.7z", "M221.4 59.72C236.9 33.26 275.1 33.26 290.6 59.72L367.7 191.1H144.3L221.4 59.72zM461 352L500.6 419.8C516.2 446.5 496.9 480 466.1 480H45.93C15.06 480-4.179 446.5 11.38 419.8L50.95 352H461z"]],
    "chart-radar": [512, 512, [], "e0e7", ["M107.1 63.75C118.6 44.09 139.6 32 162.4 32H349.6C372.4 32 393.4 44.09 404.9 63.75L498.2 223.8C509.9 243.7 509.9 268.3 498.2 288.2L404.9 448.2C393.4 467.9 372.4 480 349.6 480H162.4C139.6 480 118.6 467.9 107.1 448.2L13.77 288.2C2.141 268.3 2.141 243.7 13.77 223.8L107.1 63.75zM349.6 96H162.4L69.05 256L162.4 416H349.6L442.1 256L349.6 96z", "M330.4 281.4C347.4 285.9 360 301.5 360 319.1C360 342.1 342.1 360 320 360C304.1 360 290.3 350.7 283.9 337.3L186.7 317.8C179.6 324.1 170.2 328 160 328C137.9 328 120 310.1 120 288C120 265.9 137.9 248 160 248L217.6 171.2C216.6 167.7 216 163.9 216 160C216 137.9 233.9 120 256 120C278.1 120 296 137.9 296 160C296 167.6 293.9 174.7 290.2 180.8L330.4 281.4zM249.6 208.6L202 271.9L281.3 287.8L249.6 208.6z"]],
    "chart-scatter": [512, 512, [], "f7ee", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96C433.7 96 448 110.3 448 128zM224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM128 320C128 302.3 142.3 288 160 288C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320z"]],
    "chart-scatter-3d": [512, 512, [], "e0e8", ["M256 32C273.7 32 288 46.33 288 64V273L468.5 423.4C482.1 434.7 483.9 454.9 472.6 468.5C461.3 482.1 441.1 483.9 427.5 472.6L256 329.7L84.49 472.6C70.91 483.9 50.73 482.1 39.42 468.5C28.1 454.9 29.94 434.7 43.51 423.4L223.1 273V64C223.1 46.33 238.3 32 255.1 32H256z", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64zM416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448z"]],
    "chart-scatter-bubble": [512, 512, [], "e0e9", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128zM288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176zM288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288zM128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304z"]],
    "chart-simple": [448, 512, [], "e473", ["M160 80C160 53.49 181.5 32 208 32H240C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80z", "M400 96C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144C320 117.5 341.5 96 368 96H400zM80 224C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272C0 245.5 21.49 224 48 224H80z"]],
    "chart-simple-horizontal": [448, 512, [], "e474", ["M48 320C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272C448 298.5 426.5 320 400 320H48z", "M384 112C384 138.5 362.5 160 336 160H48C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112zM256 432C256 458.5 234.5 480 208 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432z"]],
    "chart-tree-map": [512, 512, [], "e0ea", ["M464 192C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240C256 213.5 277.5 192 304 192H464zM176 272C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320C0 293.5 21.49 272 48 272H176z", "M0 80C0 53.49 21.49 32 48 32H176C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80zM256 80C256 53.49 277.5 32 304 32H464C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80zM464 352C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400C256 373.5 277.5 352 304 352H464z"]],
    "chart-user": [640, 512, ["user-chart"], "f6a3", ["M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 64 17.8V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM312 218l55.01 54.99c9.375 9.375 24.6 9.375 33.98 0L473 201l24.25 24.25C508.6 236.6 528 228.6 528 212.5V124c0-6.625-5.375-12-12-12h-88.5c-16.12 0-24.12 19.38-12.75 30.75L439 167L384 222l-55.01-55.01c-9.375-9.375-24.6-9.375-33.98 0L280.3 181.8C285 195.1 288 209.1 288 224c0 6.875-.9999 13.38-2 20L312 218z", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"]],
    "chart-waterfall": [512, 512, [], "e0eb", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M352 64C369.7 64 384 78.33 384 96V160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160V96C320 78.33 334.3 64 352 64zM288 224C288 241.7 273.7 256 256 256C238.3 256 224 241.7 224 224V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V224zM192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256V320zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"]],
    "check": [448, 512, [10004, 10003], "f00c", ["", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z"]],
    "check-double": [448, 512, [], "f560", ["M342.6 41.37C355.1 53.87 355.1 74.13 342.6 86.63L182.6 246.6C170.1 259.1 149.9 259.1 137.4 246.6L57.37 166.6C44.88 154.1 44.88 133.9 57.37 121.4C69.87 108.9 90.13 108.9 102.6 121.4L159.1 178.7L297.4 41.37C309.9 28.88 330.1 28.88 342.6 41.37H342.6z", "M438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L182.6 470.6C170.1 483.1 149.9 483.1 137.4 470.6L9.372 342.6C-3.124 330.1-3.124 309.9 9.372 297.4C21.87 284.9 42.13 284.9 54.63 297.4L159.1 402.7L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4H438.6z"]],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", ["M432 32h-288C117.5 32 96 53.49 96 80v320h384v-320C480 53.49 458.5 32 432 32zM378.9 166.8l-88 112c-4.031 5.156-10 8.438-16.53 9.062C273.6 287.1 272.7 287.1 271.1 287.1c-5.719 0-11.21-2.019-15.58-5.769l-56-48C190.3 225.6 189.2 210.4 197.8 200.4c8.656-10.06 23.81-11.19 33.84-2.594l36.97 31.69l72.53-92.28c8.188-10.41 23.31-12.22 33.69-4.062C385.3 141.3 387.1 156.4 378.9 166.8z", "M528 288H480v80h16c8.836 0 16 7.164 16 16s-7.164 16-16 16h-416C71.16 400 64 392.8 64 384s7.164-16 16-16H96V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288zM256.4 282.2C260.8 285.1 266.2 287.1 271.1 287.1c.7813 0 1.606-.0187 2.388-.1125c6.531-.625 12.5-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.062-33.69c-10.38-8.156-25.5-6.344-33.69 4.062L268.6 229.5L231.6 197.8C221.6 189.2 206.4 190.3 197.8 200.4C189.2 210.4 190.3 225.6 200.4 234.2L256.4 282.2z"]],
    "cheese": [512, 512, [], "f7ef", ["M299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.1L0 255.1l512-.0118C512 136.1 417.1 38.26 299.9 32.01z", "M512 255.1v192C512 465.6 497.6 480 480 480H32c-17.62 0-32-14.38-32-31.1V255.1L512 255.1z"]],
    "cheese-swiss": [512, 512, [129472], "f7f0", ["M512 255.1c0-119.9-94-217.7-212.1-223.1c-7.75-.25-15.25 2.249-21.12 6.999L217 87.01c12.62 20.88 7.625 47.75-11.5 62.75c-19.25 15-46.62 13.13-63.62-4.25L0 255.1l332.5 .033C324.8 264.5 320 275.7 320 288c0 26.51 21.49 47.1 48 47.1S416 314.5 416 288c0-12.35-4.793-23.49-12.45-31.99L512 255.1zM176 336c-26.51 0-48 21.49-48 47.1s21.49 47.1 48 47.1S224 410.5 224 384S202.5 336 176 336z", "M403.5 256C411.2 264.5 416 275.7 416 288c0 26.51-21.49 47.1-48 47.1S320 314.5 320 288c0-12.35 4.793-23.49 12.45-31.99L0 255.1v192C0 465.6 14.38 480 32 480h448c17.62 0 32-14.37 32-31.1V255.1L403.5 256zM176 432c-26.5 0-48-21.5-48-47.1c0-26.5 21.5-47.1 48-47.1S224 357.5 224 384C224 410.5 202.5 432 176 432z"]],
    "cherries": [640, 512, [], "e0ec", ["M283.3 224.1c-25.43 0-55.7 6.713-91.21 22.33C156.5 230.8 126 224.1 100.6 224.1c-92.32 0-100.6 82.46-100.6 105.7c0 82.16 67.03 182.2 191.1 182.2s191.9-100.1 191.9-182.2C383.9 306.5 375.6 224.1 283.3 224.1zM539.3 224.1c-25.45 0-55.82 6.726-91.36 22.34c-28.02-12.31-52.72-18.85-74.44-21.18c19.77 18.08 42.37 51.21 42.37 104.6c0 4.159 2.75 87.86-69.58 155.5c27.79 16.53 61.76 26.74 101.6 26.74c125 0 192.1-100.1 192.1-182.2C640 306.5 631.7 224.1 539.3 224.1z", "M174.7 239.6c16.35-17.08 63.79-79.82 89.55-219.9c2.148-11.65 12.41-19.68 23.63-19.68c26.96 0 146.9 111.1 180.2 238.4c-6.551 2.391-13.19 4.909-20.13 7.96c-10.86-4.773-21.09-8.451-30.96-11.58c-25.35-78.67-79.73-137.1-113.6-167.4C285.3 145.4 261 197.1 241.4 229.5C226.2 233.1 209.8 238.6 192 246.4C186.1 243.8 180.4 241.7 174.7 239.6z"]],
    "chess": [512, 512, [], "f439", ["M247.1 459.6L224 448v-48C224 391.1 216.9 384 208 384h-160C39.13 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6zM503.1 459.6L480 448v-48c0-8.875-7.125-16-16-16h-128c-8.875 0-16 7.125-16 16V448l-23.12 11.62C291.4 462.3 288 467.9 288 473.9V496c0 8.875 7.125 16 16 16h192c8.875 0 16-7.125 16-16v-22.12C512 467.9 508.6 462.3 503.1 459.6z", "M489.1 192h-26.37c-3.375 0-6 2.625-6 6V224h-24.75V198C432.9 194.6 430.3 192 426.9 192h-53.75c-3.375 0-6 2.625-6 6V224h-24.75V198C342.4 194.6 339.8 192 336.4 192h-26.38C306.6 192 304 194.6 304 198v58.62c0 9.375 4.125 18.25 11.38 24.38l24.5 20.75L336.6 384h126.8l-3.25-82.25l24.5-20.75C491.9 274.9 496 266 496 256.5V198C496 194.6 493.4 192 489.1 192zM416 336h-32v-32C384 295.1 391.1 288 400 288S416 295.1 416 304V336zM74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38C216.6 115.8 216.9 113.1 216.9 112.1C216.9 103.1 209.5 96 200.9 96H144V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32H96.01c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208z"]],
    "chess-bishop": [320, 512, [9821], "f43a", ["M320 496c0 8.836-7.164 16-16 16h-288C7.164 512 0 504.8 0 496c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h224c8.836 0 16 7.162 16 16v18.94C306.6 457.5 320 475.1 320 496z", "M312 287.9c0 51.63-22.12 73.88-56 84.63V416H64v-43.5c-33.88-10.75-56-33-56-84.63c0-73.38 59.75-181.1 112.6-225.4C106.6 59.13 96 47 96 32c0-17.62 14.38-32 32-32h64c17.62 0 32 14.38 32 32c0 15-10.62 27.12-24.62 30.5c24.38 20.5 50.13 54.75 70.88 92.63L162.4 263c-1.565 1.565-2.349 3.629-2.349 5.693c0 2.056 .7787 4.112 2.339 5.672l11.35 11.27c1.56 1.56 3.595 2.339 5.63 2.339c2.042 0 4.086-.7839 5.651-2.349l100.3-100.3C301.3 220.8 312 257.3 312 287.9z"]],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M64 288h14.88C76.88 320.4 71.88 352.5 64 384h128c-7.875-31.5-12.88-63.63-14.88-96H192c8.875 0 16-7.125 16-16V256c0-8.875-7.125-16-16-16h-11.62c16-6.625 26.38-25.12 26.38-50.38c0-19.38-7.125-42.38-17.63-63.38L140.5 174.9C139.8 175.6 138.8 176 137.6 176c-1 0-2-.375-2.75-1.125l-5.75-5.75C128.4 168.4 128 167.4 128 166.4s.375-2.047 1.125-2.859L181 111.8c-10.25-16.88-22.25-31.25-33.88-39.38C155.2 69.62 160 61.88 160 52.75C160 41.25 151.9 32 140.5 32h-25C104.1 32 96 41.25 96 52.75c0 9.125 4.75 16.87 12.88 19.62C80.25 92.25 49.25 149.1 49.25 189.6c0 25.25 10.38 43.75 26.38 50.38H64C55.12 240 48 247.1 48 256v16C48 280.9 55.12 288 64 288z"]],
    "chess-board": [448, 512, [], "f43c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64V96h320V416z", "M64 160v64h64V160H64zM256 416h64v-64h-64V416zM192 96H128v64h64V96zM384 352V288h-64v64H384zM128 416h64v-64H128V416zM64 288v64h64V288H64zM320 96h-64v64h64V96zM192 288v64h64V288H192zM256 224v64h64V224H256zM256 224V160H192v64H256zM384 224V160h-64v64H384zM192 224H128v64h64V224z"]],
    "chess-clock": [640, 512, [], "f43d", ["M176 224C167.2 224 160 231.2 160 240v64C160 312.8 167.2 320 176 320S192 312.8 192 304v-64C192 231.2 184.8 224 176 224zM509.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C449.6 295.8 448 299.9 448 304c0 9.139 7.473 16 16 16c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C525.3 249.6 517.8 242.8 509.3 242.8zM232 32h-112C106.8 32 96 42.75 96 56S106.8 80 120 80h32.17L152.3 128h48L200.2 80H232C245.3 80 256 69.25 256 56S245.3 32 232 32zM528 96h-128C391.3 96 384 103.1 384 112V128h160l.0001-16C544 103.1 536.9 96 528 96z", "M576 128H64C28.65 128 0 156.7 0 192v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416C176.4 416 176.6 416 176.5 416c-61.87 0-112.1-50.13-112.1-112S114.5 192 176.4 192c61.88 .125 112 50.25 112 112.1C288.4 365.9 238.1 416 176.5 416zM464.5 416C464.4 416 464.6 416 464.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416z"]],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", ["M464 224C455.2 224 448 231.2 448 240v64c0 8.844 7.156 16 16 16S480 312.8 480 304v-64C480 231.2 472.8 224 464 224zM221.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C161.6 295.8 160 299.9 160 304C160 313.1 167.5 320 176 320c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C237.3 249.6 229.8 242.8 221.3 242.8zM520 32h-112C394.8 32 384 42.75 384 56s10.75 24 24 24h31.83L439.8 128h48l.0838-48H520C533.3 80 544 69.25 544 56S533.3 32 520 32zM239.1 96h-128c-8.75 0-16 7.125-16 16L95.97 128h160l.0037-16C255.1 103.1 248.8 96 239.1 96z", "M576 128H64C28.65 128 0 156.7 0 192l0 224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416C176.4 416 176.6 416 176.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112C238.2 192.1 288.4 242.2 288.4 304.1C288.4 365.9 238.1 416 176.5 416zM464.5 416C464.4 416 464.6 416 464.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416z"]],
    "chess-king": [448, 512, [9818], "f43f", ["M416 496c0 8.836-7.164 16-16 16H47.96c-8.838 0-16-7.164-16-16c0-20.89 13.42-38.48 32.06-45.08V432c0-8.838 7.166-16 16-16h288.1c8.838 0 16 7.162 16 16v18.96C402.7 457.6 416 475.2 416 496z", "M416.1 160h-160V112h16.01c17.6 0 31.98-14.4 31.98-32C303.1 62.4 289.6 48 272 48h-16.01V32C256 14.4 241.6 0 223.1 0C206.4 0 191.1 14.4 191.1 32.01V48H175.1c-17.6 0-32.01 14.4-32.01 32C143.1 97.6 158.4 112 175.1 112h16.01V160h-160C17.34 160 0 171.5 0 192C0 195.2 .4735 198.4 1.437 201.5L74.46 416h299.1l73.02-214.5C447.5 198.4 448 195.2 448 192C448 171.6 430.1 160 416.1 160z"]],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38c.6875-1.789 1.021-3.66 1.021-5.529C216.9 103.1 209.5 96 200.9 96h-56.88V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32h-15.1c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208z"]],
    "chess-knight": [384, 512, [9822], "f441", ["M384 496c0 8.836-7.162 16-16 16h-352C7.164 512 0 504.8 0 495.1c0-14.16 6.246-26.76 16-35.54V432C16 423.2 23.16 416 32 416h319.9c8.838 0 16.02 7.162 16.02 16L368 460.5C377.8 469.2 384 481.8 384 496z", "M19 272.5l40.62 18C63.78 292.3 68.25 293.3 72.72 293.3c4 0 8.001-.7543 11.78-2.289l12.75-5.125c9.125-3.625 16-11.12 18.75-20.5L125.2 234.8C127 227.9 131.5 222.2 137.9 219.1L160 208v50.38C160 276.5 149.6 293.1 133.4 301.2L76.25 329.9C49.12 343.5 32 371.1 32 401.5V416h319.9l-.0417-192c0-105.1-85.83-192-191.8-192H12C5.375 32 0 37.38 0 44c0 2.625 .625 5.25 1.75 7.625L16 80L7 89C2.5 93.5 0 99.62 0 106V243.2C0 255.9 7.5 267.4 19 272.5zM52 128C63 128 72 137 72 148S63 168 52 168S32 159 32 148S41 128 52 128z"]],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", ["M311.1 459.6L288 448v-48c0-8.875-7.125-16-16-16h-224C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6z", "M45.5 235.5l28.88 12.88c2.961 1.316 6.129 1.974 9.286 1.974c2.842 0 5.674-.5329 8.339-1.599l9.125-3.625c6.5-2.625 11.38-8 13.38-14.62L121 208.6c1.25-4.875 4.5-9 8.875-11.25L144.1 192v37.25c0 11.25-6.625 21.5-16.88 26L80.62 279C57.29 290.9 44.72 314.1 44.72 337.7C44.72 354.2 50.94 370.9 64 384h192c7-7.875 15.96-18.25 15.96-32L272 203.1C272 126.6 209.4 64 132.9 64H40.5C35.75 64 32 67.88 32 72.5c0 2 .375 3.75 1.25 5.5L43.38 98.25L37 104.6C33.75 107.9 32 112.2 32 116.8v97.87C32 223.6 37.25 231.9 45.5 235.5zM80.12 128c8.801 0 15.99 7.243 15.99 15.99c0 11.29-9.794 15.99-15.97 15.99c-8.672 0-16.02-6.871-16.02-15.98C64.12 135.1 71.25 128 80.12 128z"]],
    "chess-pawn": [320, 512, [9823], "f443", ["M320 496c0 8.836-7.164 16-16 16h-288C7.164 512 0 504.8 0 495.1c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h224c8.836 0 16 7.162 16 16v18.94C306.6 457.5 320 475.1 320 496z", "M105.1 224H80C71.12 224 64 231.1 64 240v32c0 8.875 7.125 15.1 16 15.1L96 288v5.5C96 337.5 91.88 380.1 72 416h176C228.1 380.1 224 337.5 224 293.5V288l16-.0001c8.875 0 16-7.125 16-15.1v-32C256 231.1 248.9 224 240 224h-25.12C244.3 205.6 264 173.2 264 136C264 78.5 217.5 32 159.1 32S56 78.5 56 136C56 173.2 75.74 205.6 105.1 224z"]],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", ["M256 473.9v22.13C256 504.9 248.9 512 240 512h-224C7.125 512 0 504.9 0 496v-22.13c0-5.995 3.375-11.62 8.875-14.24L32 448v-47.93c0-8.867 7.125-15.99 16-15.99h160c8.875 0 16 7.119 16 15.99v47.93l23.12 11.62C252.6 462.3 256 467.9 256 473.9z", "M64 288.1h14.88c-2 32.35-7 64.49-14.88 95.96h128c-7.875-31.47-12.88-63.61-14.88-95.96H192c8.875 0 16-7.126 16-15.99V256.1c0-8.867-7.125-16.03-16-16.03h-16.48c20.87-15.34 32.48-39.28 32.48-64.11C208 116 153.9 96 127.1 96C101.9 96 47.1 116.6 47.1 175.1c0 24.83 11.61 48.77 32.48 64.11H64c-8.875 0-16 7.167-16 16.03v15.99C48 280.1 55.12 288.1 64 288.1z"]],
    "chess-queen": [512, 512, [9819], "f445", ["M447.1 496c0 8.836-7.164 16-16 16H79.98c-8.839 0-16-7.164-16-16c0-20.88 13.41-38.47 32.03-45.07V432c0-8.838 7.165-16 16-16h288c8.837 0 16 7.162 16 16v18.95C434.6 457.6 447.1 475.1 447.1 496z", "M256 112c30.88 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM511.1 197.4c0-5.178-2.509-10.2-7.096-13.26L476.4 168.2c-2.684-1.789-5.602-2.62-8.497-2.62c-17.23 0-17.39 26.37-51.92 26.37c-29.38 0-47.97-25.41-47.97-50.63C367.1 134 361.1 128 354.6 128h-38.75c-6.001 0-11.63 4-12.88 9.875C298.2 160.1 278.7 176 255.1 176c-22.75 0-42.25-15.87-47-38.12C207.7 132 202.2 128 196.1 128h-38.75C149.1 128 143.1 134 143.1 141.4c0 18.45-13.73 50.62-47.95 50.62c-34.59 0-34.87-26.39-51.87-26.39c-2.909 0-5.804 .8334-8.432 2.645l-28.63 16C2.509 187.2 0 192.3 0 197.4c0 2.438 .5583 4.901 1.72 7.185L104.2 416h303.5l102.5-211.4C511.4 202.3 511.1 199.8 511.1 197.4z"]],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.124 512 15.1 512H240c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M233.8 93.28c0-2.201-1.063-4.365-2.947-5.65L220.8 81c-1.104-.7508-2.318-1.096-3.524-1.096c-7.223 0-7.409 11.1-21.87 11.1c-12.28 0-20.23-10.59-20.23-21.38C175.1 66.5 172.6 64 169.5 64h-16.25c-2.625 0-4.875 1.625-5.5 4.125C145.8 77.5 137.5 84.25 128 84.25S110.3 77.5 108.3 68.13C107.6 65.63 105.4 64 102.8 64H86.5C83.38 64 80.88 66.5 80.88 69.63c0 7.937-5.899 21.3-20.33 21.3c-6.234 0-12.21-2.951-16.04-8.054C43.23 80.89 41.09 79.86 38.9 79.86c-1.25 0-2.518 .3347-3.653 1.016L25.13 87.63c-1.884 1.285-2.947 3.449-2.947 5.65c0 1.011 .2244 2.03 .6967 2.975L67.38 192H64C55.13 192 48 199.1 48 208V224c0 8.875 7.125 16 16 16h16v14C80 297.9 74.63 341.5 64 384h128c-10.62-42.5-16-86.13-16-129.1V240H192c8.875 0 16-7.125 16-16V208C208 199.1 200.9 192 192 192h-3.375l44.5-95.75C233.6 95.31 233.8 94.29 233.8 93.28zM128 48c13.25 0 24-10.75 24-24S141.3 0 128 0S104 10.75 104 24S114.8 48 128 48z"]],
    "chess-rook": [384, 512, [9820], "f447", ["M384 496c0 8.836-7.164 16-16 16h-352C7.164 512 0 504.8 0 495.1c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h288c8.836 0 16 7.162 16 16v18.94C370.6 457.5 384 475.1 384 496z", "M368 32h-56c-8.875 0-16 7.125-16 16V96h-48V48c0-8.875-7.125-16-16-16h-80c-8.875 0-16 7.125-16 16V96H88.12V48c0-8.875-7.25-16-16-16H16C7.125 32 0 39.12 0 48V224l64 32c0 48.38-1.5 95-13.25 160h282.5C321.5 351 320 303.8 320 256l64-32V48C384 39.12 376.9 32 368 32zM224 320H160V256c0-17.62 14.38-32 32-32s32 14.38 32 32V320z"]],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", ["M311.1 459.6L288 448v-48c0-8.875-7.125-16-16-16h-224C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6z", "M280 64h-35.13c-4.5 0-8 3.625-8 8V112h-33V72c0-4.375-3.625-8-8-8H124.1c-4.375 0-8 3.625-8 8V112H83.25V72c0-4.375-3.625-8-8-8H40C35.63 64 32 67.63 32 72v84.88C32 165.3 35.25 173.3 41.25 179.3l30.5 31.13L57.38 384h205.3l-14.38-173.8l30.5-31C284.8 173.3 288 165.1 288 156.8V72C288 67.63 284.4 64 280 64zM183.6 278.8H136.4V231.6C136.4 218.5 147 208 160 208s23.62 10.5 23.62 23.62V278.8z"]],
    "chestnut": [448, 512, [127792], "e3f6", ["M4.523 384C18.8 439.1 68.43 480 128 480h192c59.57 0 109.2-40.89 123.5-96H4.523z", "M448 352c0 11.11-1.859 21.71-4.523 31.99H4.523C1.859 373.7 0 363.1 0 352C0 216.8 80.44 151.7 145.1 99.43C170.4 78.87 194.4 59.44 211.5 38.02C214.8 34.01 219.4 32 224 32s9.246 2.006 12.45 6.02c17.12 21.42 41.12 40.85 66.48 61.41C367.6 151.7 448 216.8 448 352z"]],
    "chevron-down": [448, 512, [], "f078", ["M224 416c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 338.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 412.9 232.2 416 224 416z", ""]],
    "chevron-left": [320, 512, [9001], "f053", ["M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z", ""]],
    "chevron-right": [320, 512, [9002], "f054", ["M96 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L242.8 256L73.38 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C112.4 476.9 104.2 480 96 480z", ""]],
    "chevron-up": [448, 512, [], "f077", ["M416 352c-8.188 0-16.38-3.125-22.62-9.375L224 173.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 348.9 424.2 352 416 352z", ""]],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", ["M224 288C215.8 288 207.6 284.9 201.4 278.6l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 210.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 284.9 232.2 288 224 288z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 402.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", ["M416 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L269.3 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C432.4 476.9 424.2 480 416 480z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", ["M32 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L9.375 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C48.38 476.9 40.19 480 32 480z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256L201.4 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", ["M416 480c-8.188 0-16.38-3.125-22.62-9.375L224 301.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 476.9 424.2 480 416 480z", "M416 288c-8.188 0-16.38-3.125-22.62-9.375L224 109.3L54.63 278.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 284.9 424.2 288 416 288z"]],
    "child": [320, 512, [], "f1ae", ["M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64z", "M144 384V480C144 497.7 129.7 512 112 512C94.33 512 80.01 497.7 80.01 480V287.8L59.09 321C49.67 336 29.92 340.5 14.96 331.1C.0016 321.7-4.491 301.9 4.924 286.1L44.79 223.6C69.72 184 113.2 160 160 160C206.8 160 250.3 184 275.2 223.6L315.1 286.1C324.5 301.9 320 321.7 305.1 331.1C290.1 340.5 270.3 336 260.9 321L240 287.8V480C240 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V384L144 384z"]],
    "child-dress": [320, 512, [], "e59c", ["M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64z", "M86.16 285.5L57.5 323.3C46.83 337.4 26.75 340.2 12.67 329.5C-1.412 318.8-4.172 298.7 6.506 284.7L65.4 206.1C87.85 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.5L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5z"]],
    "child-reaching": [384, 512, [], "e59d", ["M256 64C256 99.35 227.3 128 192 128C156.7 128 128 99.35 128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64z", "M155.7 170.2C167.3 173.1 179.6 176 192.2 176C232.1 176 269.3 155.8 291 122.4L309.2 94.54C318.8 79.73 338.6 75.54 353.5 85.18C368.3 94.82 372.5 114.6 362.8 129.5L344.7 157.3C326.4 185.4 301.2 207.3 272 221.6V480C272 497.7 257.7 512 240 512C222.3 512 208 497.7 208 480V384H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V221.4C83.63 207.4 58.94 186.1 40.87 158.1L21.37 129.8C11.57 115 15.54 95.18 30.25 85.37C44.95 75.57 64.82 79.54 74.62 94.25L94.12 123.5C108.5 145 129.2 160.9 152.9 169.3C153.9 169.5 154.8 169.8 155.7 170.2L155.7 170.2z"]],
    "child-rifle": [512, 512, [], "e4e0", ["M208 64C208 99.35 179.3 128 144 128C108.7 128 80 99.35 80 64C80 28.65 108.7 0 144 0C179.3 0 208 28.65 208 64zM136 352V480C136 497.7 121.7 512 104 512C86.33 512 72 497.7 72 480V300.5L59.09 321C49.67 336 29.91 340.5 14.96 331.1C.0006 321.7-4.492 301.9 4.923 286.1L56.6 204.9C74.17 176.9 104.9 159.1 137.8 159.1H150.2C183.2 159.1 213.8 176.9 231.4 204.9L283.1 286.1C292.5 301.9 288 321.7 273 331.1C258.1 340.5 238.3 336 228.9 321L216 300.5V480C216 497.7 201.7 512 184 512C166.3 512 152 497.7 152 480V352L136 352z", "M416 .0003C424.8 .0003 432 7.164 432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400H452L475 492.1C477.6 502.2 469.9 512 459.5 512H400C391.2 512 384 504.8 384 496V400H368C350.3 400 336 385.7 336 368V224C336 206.3 350.3 192 368 192V160C368 148.2 374.4 137.8 384 132.3V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0L416 .0003z"]],
    "children": [640, 512, [], "e4e1", ["M544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64zM440 512C422.3 512 408 497.7 408 480V300.5L395.1 321C385.7 336 365.9 340.5 350.1 331.1C336 321.7 331.5 301.9 340.9 286.1L392.6 204.9C410.2 176.9 440.9 159.1 473.8 159.1H486.2C519.2 159.1 549.8 176.9 567.4 204.9L619.1 286.1C628.5 301.9 624 321.7 609 331.1C594.1 340.5 574.3 336 564.9 321L552 300.5V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384H472V480C472 497.7 457.7 512 440 512V512z", "M223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64zM70.2 400C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2z"]],
    "chimney": [448, 512, [], "f78b", ["M128 192H32v128h96V192zM32 480h256v-128H32V480zM160 192v128h256V192H160zM320 480h96v-128h-96V480z", "M416 32H32C14.25 32 0 46.25 0 64v64c0 17.75 14.25 32 32 32h384c17.75 0 32-14.25 32-32V64C448 46.25 433.8 32 416 32z"]],
    "chopsticks": [640, 512, [], "e3f7", ["M293.6 202.9L29.28 505.3C26.42 508.5 22.4 510.6 18.06 510.1C13.73 511.3 9.411 510 6.03 507.3C2.649 504.5 .4641 500.6-.0636 496.3C-.5913 491.9 .5796 487.6 3.202 484.1L235.7 156.5L293.6 202.9zM472.1 261.7L154.9 508.6C151.5 511.2 147.2 512.3 142.9 511.8C138.7 511.3 134.8 509.1 132 505.8C129.3 502.6 127.9 498.3 128.2 494.1C128.4 489.8 130.3 485.8 133.4 482.8L425.1 206.9L472.1 261.7z", "M333.5 18.56C337.2 13.69 341.9 9.624 347.2 6.592C352.5 3.56 358.4 1.626 364.4 .9045C370.5 .1832 376.7 .6898 382.5 2.394C388.4 4.098 393.9 6.965 398.6 10.82C403.4 14.68 407.3 19.46 410.2 24.86C413 30.27 414.8 36.19 415.3 42.29C415.8 48.38 415.1 54.52 413.2 60.34C411.4 66.15 408.3 71.53 404.3 76.16L293.6 202.9L235.7 156.5L333.5 18.68V18.56zM638.1 96.6C639.9 102.5 640.4 108.7 639.7 114.9C639 121 637.1 126.1 633.1 132.3C630.9 137.7 626.8 142.4 621.9 146.1L473.1 261.7L425.1 206.9L563.4 76.09C567.9 71.9 573.3 68.67 579.1 66.61C584.9 64.55 591.1 63.69 597.3 64.1C603.5 64.5 609.5 66.16 615 68.96C620.6 71.76 625.4 75.66 629.4 80.41C633.4 85.16 636.3 90.67 638.1 96.6z"]],
    "church": [640, 512, [9962], "f51d", ["M160 512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3L160 256V512zM480 256L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512H480V256z", "M320 0C333.3 0 344 10.75 344 24V48H376C389.3 48 400 58.75 400 72C400 85.25 389.3 96 376 96H344V142.4L456.7 210C471.2 218.7 480 234.3 480 251.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V251.2C160 234.3 168.8 218.7 183.3 210L296 142.4V96H264C250.7 96 240 85.25 240 72C240 58.75 250.7 48 264 48H296V24C296 10.75 306.7 0 320 0V0z"]],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256z", ""]],
    "circle-0": [512, 512, [], "e0ed", ["M256 176C229.5 176 208 197.5 208 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z", "M256 128C203.1 128 160 171.1 160 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C352 171.1 308.9 128 256 128zM304 288c0 26.47-21.53 48-48 48S208 314.5 208 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"]],
    "circle-1": [512, 512, [], "e0ee", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 384H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320c13.25 0 24 10.75 24 24S333.3 384 320 384z", "M344 360c0 13.25-10.75 24-24 24H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320C333.3 336 344 346.8 344 360z"]],
    "circle-2": [512, 512, [], "e0ef", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M352 360c0 13.25-10.75 24-24 24h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328C341.3 336 352 346.8 352 360z"]],
    "circle-3": [512, 512, [], "e0f0", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM268 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300C352 346.3 314.3 384 268 384z", "M352 300C352 346.3 314.3 384 268 384H223.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300z"]],
    "circle-4": [512, 512, [], "e0f1", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296S341.3 320 328 320z", "M352 296C352 309.3 341.3 320 328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296z"]],
    "circle-5": [512, 512, [], "e0f2", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272.1 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9C352 348.5 316.5 384 272.1 384z", "M352 304.9C352 348.5 316.5 384 272.1 384H223.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9z"]],
    "circle-6": [512, 512, [], "e0f3", ["M256 240c-21.06 0-40 14.09-46.03 34.28C208.7 278.7 208 283.3 208 288c0 26.47 21.53 48 48 48s48-21.53 48-48S282.5 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C284.8 129.9 290.4 128 296 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C322.3 207.5 352 244.1 352 288C352 340.9 308.9 384 256 384z", "M282 196l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C309.3 130.8 302.7 128 296 128c-5.594 0-11.22 1.938-15.78 5.906L200.3 203.6C187.5 214.7 160 246.7 160 288c0 52.94 43.06 96 96 96s96-43.06 96-96C352 244.1 322.3 207.5 282 196zM256 336c-26.47 0-48-21.53-48-48c0-4.719 .6562-9.312 1.969-13.72C216 254.1 234.9 240 256 240c26.47 0 48 21.53 48 48S282.5 336 256 336z"]],
    "circle-7": [512, 512, [], "e0f4", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z", "M349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z"]],
    "circle-8": [512, 512, [], "e0f5", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272 384h-32C195.9 384 160 348.1 160 304c0-25.06 11.81-47.19 29.9-61.87C181.3 230.3 176 215.8 176 200C176 160.3 208.3 128 248 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C340.2 256.8 352 278.9 352 304C352 348.1 316.1 384 272 384zM248 224h16C277.2 224 288 213.2 288 200S277.2 176 264 176h-16C234.8 176 224 186.8 224 200S234.8 224 248 224zM272 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S289.7 272 272 272z", "M322.1 242.1C330.7 230.3 336 215.8 336 200C336 160.3 303.7 128 264 128h-16C208.3 128 176 160.3 176 200c0 15.77 5.254 30.26 13.9 42.13C171.8 256.8 160 278.9 160 304C160 348.1 195.9 384 240 384h32c44.13 0 80-35.88 80-80C352 278.9 340.2 256.8 322.1 242.1zM248 176h16C277.2 176 288 186.8 288 200S277.2 224 264 224h-16C234.8 224 224 213.2 224 200S234.8 176 248 176zM272 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S289.7 336 272 336z"]],
    "circle-9": [512, 512, [], "e0f6", ["M256 176C229.5 176 208 197.5 208 224S229.5 272 256 272c21.06 0 40-14.09 46.03-34.28C303.3 233.3 304 228.7 304 224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM311.7 308.4l-79.94 69.69C227.2 382.1 221.6 384 216 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C189.7 304.5 160 267.9 160 224c0-52.94 43.06-96 96-96s96 43.06 96 96C352 265.3 324.5 297.3 311.7 308.4z", "M256 128C203.1 128 160 171.1 160 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C202.7 381.2 209.3 384 216 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C324.5 297.3 352 265.3 352 224C352 171.1 308.9 128 256 128zM302 237.7C296 257.9 277.1 272 256 272C229.5 272 208 250.5 208 224S229.5 176 256 176s48 21.53 48 48C304 228.7 303.3 233.3 302 237.7z"]],
    "circle-a": [512, 512, [], "e0f7", ["M215.1 279.6h80.05L256 192.5L215.1 279.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.1 365.8c-3.266 1.506-6.687 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H193.8l-12.03 26.18c-5.576 12.09-19.76 17.36-31.86 11.77c-12.03-5.559-17.28-19.91-11.73-31.99l95.99-208.1c7.842-17.08 35.75-17.08 43.59 0l95.99 208.1C379.3 345.9 374.1 360.2 362.1 365.8z", "M277.8 124.8c-7.843-17.08-35.75-17.08-43.59 0l-95.99 208.1c-5.547 12.09-.2978 26.44 11.73 31.99c12.09 5.588 26.28 .3138 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.062 8.822 12.73 14 21.81 14c3.359 0 6.781-.7217 10.05-2.229c12.03-5.557 17.28-19.9 11.73-31.99L277.8 124.8zM215.1 279.6L256 192.5l40.02 87.14H215.1z"]],
    "circle-ampersand": [512, 512, [], "e0f8", ["M199 302.5C194.5 306.1 192 311.4 192 317.2C192 327.5 200.5 336 210.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L231.1 276.6L199 302.5zM236 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C261.6 180.3 257.2 176 251.9 176H228.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L236 210.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM356 377.7C351.4 381.9 345.6 384 339.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C288.7 373.6 266.7 384 243.3 384H210.8C173.1 384 144 354 144 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L188.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C171.1 153.9 197 128 228.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L319.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L331.5 315.3l26.03 28.47C366.5 353.6 365.8 368.8 356 377.7z", "M331.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C309.6 153.9 283.7 128 251.9 128H228.8C197 128 171.1 153.9 171.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L168.8 265.2C153.1 277.9 144 296.9 144 317.2C144 354 173.1 384 210.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C326.8 381.4 333.3 384 339.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L331.5 315.3zM228.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L236 210.9L223.7 197.4C220.8 194.2 219.1 190 219.1 185.7C219.1 180.3 223.5 176 228.8 176zM268.3 322.8C262.7 331.1 253.3 336 243.3 336H210.8C200.5 336 192 327.5 192 317.2c0-5.719 2.531-11.06 7-14.64L231.1 276.6l39.37 43.08L268.3 322.8z"]],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z", "M382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z"]],
    "circle-arrow-down-left": [512, 512, [], "e0f9", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z", "M366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z"]],
    "circle-arrow-down-right": [512, 512, [], "e0fa", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z", "M376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z"]],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z", "M384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z"]],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z", "M406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z"]],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z", "M382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z"]],
    "circle-arrow-up-left": [512, 512, [], "e0fb", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z", "M366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z"]],
    "circle-arrow-up-right": [512, 512, [], "e0fc", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z", "M376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z"]],
    "circle-b": [512, 512, [], "e0fd", ["M292 280H208v56h84C307.4 336 320 323.4 320 308S307.4 280 292 280zM304 204c0-15.44-12.56-28-28-28H208v56h68C291.4 232 304 219.4 304 204zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM292 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h92C317.9 128 352 162.1 352 204c0 16.35-5.301 31.41-14.12 43.82C356.1 261.7 368 283.4 368 308C368 349.9 333.9 384 292 384z", "M337.9 247.8C346.7 235.4 352 220.3 352 204C352 162.1 317.9 128 276 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h108c41.91 0 76-34.09 76-76C368 283.4 356.1 261.7 337.9 247.8zM208 176h68c15.44 0 28 12.56 28 28S291.4 232 276 232H208V176zM292 336H208V280h84C307.4 280 320 292.6 320 308S307.4 336 292 336z"]],
    "circle-bolt": [512, 512, [], "e0fe", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM293.8 131.6L157.8 243.6C152.6 247.9 150.7 255 152.9 261.4C155.2 267.8 161.2 271.1 168 271.1H231.7L193.3 361.7C190.4 368.5 192.5 376.4 198.4 380.8C204.3 385.2 212.5 385 218.2 380.4L354.2 268.4C359.4 264.1 361.3 256.1 359.1 250.6C356.8 244.2 350.8 240 344 240H280.3L318.7 150.3C321.6 143.5 319.5 135.6 313.6 131.2C307.7 126.8 299.5 126.1 293.8 131.6L293.8 131.6z", "M280.3 240H344C350.8 240 356.8 244.2 359.1 250.6C361.3 256.1 359.4 264.1 354.2 268.4L218.2 380.4C212.5 385 204.3 385.2 198.4 380.8C192.5 376.4 190.4 368.5 193.3 361.7L231.7 271.1H168C161.2 271.1 155.2 267.8 152.9 261.4C150.7 255 152.6 247.9 157.8 243.6L293.8 131.6C299.5 126.1 307.7 126.8 313.6 131.2C319.5 135.6 321.6 143.5 318.7 150.3L280.3 240z"]],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM240 352c-11.81-6.959-50.92-25.71-101.4-3.734C133.6 350.4 128 346.9 128 341.9V185.5c0-5.455 3.379-10.54 8.752-12.74c21.22-8.676 41.57-13.11 59.14-12.79C215 160.3 230.1 164.9 240 168.1V352zM384 341.9c0 5.047-5.643 8.545-10.56 6.405C322.9 326.3 283.8 345 272 351.1V168.1c9.902-4.061 24.99-8.614 44.1-8.935c17.5-.1543 37.91 4.137 59.14 12.79C380.6 174.1 384 180.1 384 185.6V341.9z", "M375.2 172.8c-21.23-8.65-41.63-12.94-59.14-12.79C296.1 160.3 281.9 164.9 272 168.1v183c11.81-6.961 50.9-25.71 101.4-3.73C378.4 350.4 384 346.9 384 341.9v-156.3C384 180.1 380.6 174.1 375.2 172.8zM136.8 172.8C131.4 175 128 180.1 128 185.5v156.3c0 5.047 5.643 8.545 10.56 6.405C189.1 326.3 228.2 345 240 352V168.1C230.1 164.9 215 160.3 195.9 160C178.3 159.7 157.1 164.1 136.8 172.8z"]],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z", "M352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z"]],
    "circle-c": [512, 512, [], "e101", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM255.1 336c21.09 0 40.92-8.281 55.86-23.38c9.328-9.375 24.55-9.5 33.94-.125c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256C176 293.9 205.6 336 255.1 336z", "M344.9 312.5c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256c.0039 37.87 29.61 80 79.07 80c21.09 0 40.92-8.281 55.86-23.38C320.3 303.3 335.5 303.1 344.9 312.5z"]],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 96C199.2 96 192 103.2 192 112V128H160C142.3 128 128 142.3 128 160V352C128 369.7 142.3 384 160 384H352C369.7 384 384 369.7 384 352V160C384 142.3 369.7 128 352 128H320V112C320 103.2 312.8 96 304 96C295.2 96 288 103.2 288 112V128H224V112C224 103.2 216.8 96 208 96z", "M192 112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V128H288V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112V128H352C369.7 128 384 142.3 384 160V224H128V160C128 142.3 142.3 128 160 128H192V112z"]],
    "circle-camera": [512, 512, ["camera-circle"], "e103", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h36l6.125-16.44C205.6 134.2 214.6 128 224.6 128h62.75c10 0 18.94 6.188 22.44 15.56L316 160H352c17.67 0 32 14.33 32 32V320z", "M352 160h-36l-6.188-16.44C306.3 134.2 297.4 128 287.4 128H224.6c-10 0-19 6.188-22.5 15.56L196 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM256 304C229.5 304 208 282.5 208 256S229.5 208 256 208s48 21.5 48 48S282.5 304 256 304z"]],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z", "M377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z"]],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z", "M304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z"]],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z", "M360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z"]],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z", "M381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z"]],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z", "M371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2V172.2z"]],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z", "M390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z"]],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z", "M310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z"]],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z", "M358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z"]],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z", "M390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z"]],
    "circle-d": [512, 512, [], "e104", ["M254.4 176H208v160h46.41C299.4 336 336 300.1 336 256C336 211.9 299.4 176 254.4 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM254.4 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h70.41C325.9 128 384 185.4 384 256C384 326.6 325.9 384 254.4 384z", "M254.4 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h70.41C325.9 384 384 326.6 384 256C384 185.4 325.9 128 254.4 128zM254.4 336H208v-160h46.41C299.4 176 336 211.9 336 256C336 300.1 299.4 336 254.4 336z"]],
    "circle-dashed": [512, 512, [], "e105", ["M138.3 104.3L92.74 58.8C131.3 26.87 179.3 6.009 232 1.111V65.49C196.9 69.86 164.8 83.68 138.3 104.3V104.3zM280 446.5C315.1 442.1 347.2 428.3 373.7 407.7L419.3 453.2C380.7 485.1 332.7 505.1 280 510.9V446.5zM1.111 280H65.49C69.86 315.1 83.68 347.2 104.3 373.7L58.8 419.3C26.87 380.7 6.009 332.7 1.112 280H1.111zM407.7 138.3L453.2 92.74C485.1 131.3 505.1 179.3 510.9 232H446.5C442.1 196.9 428.3 164.8 407.7 138.3V138.3z", "M1.111 232C6.009 179.3 26.87 131.3 58.8 92.74L104.3 138.3C83.68 164.8 69.86 196.9 65.49 232H1.111zM446.5 280H510.9C505.1 332.7 485.1 380.7 453.2 419.3L407.7 373.7C428.3 347.2 442.1 315.1 446.5 280H446.5zM138.3 407.7C164.8 428.3 196.9 442.1 232 446.5V510.9C179.3 505.1 131.3 485.1 92.74 453.2L138.3 407.7zM373.7 104.3C347.2 83.68 315.1 69.86 280 65.49V1.111C332.7 6.009 380.7 26.87 419.3 58.8L373.7 104.3z"]],
    "circle-divide": [512, 512, [], "e106", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120V137.9C225.2 139.5 218.6 141.6 212.5 144.2C192.6 152.8 173.7 168.9 169.3 193.2C164.6 218.7 175.6 241.9 197.3 255.8C213.1 265.9 234 271.8 250.8 276.6C253.2 277.3 255.8 277.9 258.3 278.6C271.5 282.2 285.4 285.1 296.7 293.6C309.7 302.6 303.4 318.4 290.1 323.7C280.2 327.7 265.1 329.4 246.2 326.6C233.3 324.6 220.5 320.3 207.9 316C205.1 315.1 202.3 314.1 199.5 313.2C186.1 309.1 173.4 315.9 169.2 328.5C165.1 341 171.9 354.6 184.5 358.8C200.1 363.9 215.9 369.1 232 372.7L232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 375.1C289.9 373.1 299.4 371.8 308 368.3C328.8 359.9 346.2 343.5 350.7 318.6C355.5 292.8 345.4 268.8 323.8 254C307.2 242.7 285.1 236.4 267.7 231.5C265.2 230.7 262.6 230 259.1 229.3C247.3 225.9 234.1 222.3 223.1 215.3C209.2 206.4 219.3 193.6 231.6 188.3C245.3 182.3 262.3 181 276.9 183.8C284.9 185.3 292.7 187.5 300.4 189.7C302.2 190.2 303.9 190.7 305.6 191.1C318.4 194.7 331.6 187.2 335.1 174.4C338.7 161.6 331.2 148.4 318.4 144.9C316.3 144.3 314.3 143.7 312.2 143.1C301.6 140.1 290.8 137.1 280 135.8L280 120z", "M256 96C269.3 96 280 106.7 280 120V135.8C292.9 137.4 305.8 141.4 318.4 144.9C331.2 148.4 338.7 161.6 335.1 174.4C331.6 187.2 318.4 194.7 305.6 191.1C296.1 188.5 286.6 185.7 276.9 183.8C262.3 181 245.3 182.3 231.6 188.3C219.3 193.6 209.2 206.4 223.1 215.3C236.3 223.8 252.9 227.2 267.7 231.5C285.1 236.4 307.2 242.7 323.8 254C345.4 268.8 355.5 292.8 350.7 318.6C346.2 343.5 328.8 359.9 308 368.3C299.4 371.8 289.9 373.1 280 375.1L280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L231.1 372.7C215.9 369.1 200.1 363.9 184.5 358.8C171.9 354.6 165.1 341 169.2 328.5C173.4 315.9 186.1 309.1 199.5 313.2C214.8 318.2 230.4 324.2 246.2 326.6C265.1 329.4 280.2 327.7 290.1 323.7C303.4 318.4 309.7 302.6 296.7 293.6C283.3 284.5 266.1 280.9 250.8 276.6C234 271.8 213.1 265.9 197.3 255.8C175.6 241.9 164.6 218.7 169.3 193.2C173.7 168.9 192.6 152.8 212.5 144.2C218.6 141.6 225.2 139.5 231.1 137.9V120C231.1 106.7 242.7 96 255.1 96H256z"]],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", ["M48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 322.9 370.9 416 256 416C141.1 416 48 322.9 48 208zM276.1 112C276.1 100.9 267.1 91.9 255.1 91.9C244.9 91.9 235.9 100.9 235.9 112V118C230.3 119.2 224.1 120.9 220 123.1C205.1 129.9 192.1 142.5 188.9 160.8C187.1 171 188.1 180.9 192.3 189.8C196.5 198.6 203 204.8 209.6 209.3C221.2 217.2 236.5 221.8 248.2 225.3L250.4 225.9C264.4 230.2 273.8 233.3 279.7 237.6C282.2 239.4 283.1 240.8 283.4 241.7C283.8 242.5 284.4 244.3 283.7 248.3C283.1 251.8 281.2 254.8 275.7 257.1C269.6 259.7 259.7 261 246.9 259C240.9 258 230.2 254.4 220.7 251.2C218.5 250.4 216.3 249.7 214.3 249C203.8 245.5 192.5 251.2 189 261.7C185.5 272.2 191.2 283.5 201.7 286.1C202.9 287.4 204.4 287.9 206.1 288.5C213.1 291.2 226.4 295.4 235.9 297.6V304C235.9 315.1 244.9 324.1 255.1 324.1C267.1 324.1 276.1 315.1 276.1 304V298.5C281.4 297.5 286.6 295.1 291.4 293.9C307.2 287.2 319.8 274.2 323.1 255.2C324.9 244.8 324.1 234.8 320.1 225.7C316.2 216.7 309.9 210.1 303.2 205.3C291.1 196.4 274.9 191.6 262.8 187.9L261.1 187.7C247.8 183.4 238.2 180.4 232.1 176.2C229.5 174.4 228.7 173.2 228.5 172.7C228.3 172.3 227.7 171.1 228.3 167.7C228.7 165.7 230.2 162.4 236.5 159.6C242.1 156.7 252.9 155.1 265.1 156.1C269.5 157.7 283 160.3 286.9 161.3C297.5 164.2 308.5 157.8 311.3 147.1C314.2 136.5 307.8 125.5 297.1 122.7C292.7 121.5 282.7 119.5 276.1 118.3L276.1 112z", "M276.1 118.3C282.7 119.5 292.7 121.5 297.1 122.7C307.8 125.5 314.2 136.5 311.3 147.1C308.5 157.8 297.5 164.2 286.9 161.3C283 160.3 269.5 157.7 265.1 156.1C252.9 155.1 242.1 156.7 236.5 159.6C230.2 162.4 228.7 165.7 228.3 167.7C227.7 171.1 228.3 172.3 228.5 172.7C228.7 173.2 229.5 174.4 232.1 176.2C238.2 180.4 247.8 183.4 261.1 187.7L262.8 187.9C274.9 191.6 291.1 196.4 303.2 205.3C309.9 210.1 316.2 216.7 320.1 225.7C324.1 234.8 324.9 244.8 323.1 255.2C319.8 274.2 307.2 287.2 291.4 293.9C286.6 295.1 281.4 297.5 276.1 298.5V304C276.1 315.1 267.1 324.1 255.1 324.1C244.9 324.1 235.9 315.1 235.9 304V297.6C226.4 295.4 213.1 291.2 206.1 288.5C204.4 287.9 202.9 287.4 201.7 286.1C191.2 283.5 185.5 272.2 189 261.7C192.5 251.2 203.8 245.5 214.3 249C216.3 249.7 218.5 250.4 220.7 251.2C230.2 254.4 240.9 258 246.9 259C259.7 261 269.6 259.7 275.7 257.1C281.2 254.8 283.1 251.8 283.7 248.3C284.4 244.3 283.8 242.5 283.4 241.7C283.1 240.8 282.2 239.4 279.7 237.6C273.8 233.3 264.4 230.2 250.4 225.9L248.2 225.3C236.5 221.8 221.2 217.2 209.6 209.3C203 204.8 196.5 198.6 192.3 189.8C188.1 180.9 187.1 171 188.9 160.8C192.1 142.5 205.1 129.9 220 123.1C224.1 120.9 230.3 119.2 235.9 118V112C235.9 100.9 244.9 91.9 256 91.9C267.1 91.9 276.1 100.9 276.1 112L276.1 118.3zM136.2 416H64V448H448V416H375.8C403.1 399.7 428.6 377.9 448 352H464C490.5 352 512 373.5 512 400V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V400C0 373.5 21.49 352 48 352H63.98C83.43 377.9 108 399.7 136.2 416H136.2z"]],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 352C309 352 352 309 352 256C352 202.1 309 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352z", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256z"]],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", ["M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256S114.6 512 256 512zM129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z", "M129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z"]],
    "circle-down-left": [512, 512, [], "e107", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z", "M357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z"]],
    "circle-down-right": [512, 512, [], "e108", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z", "M362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"]],
    "circle-e": [512, 512, [], "e109", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM296 232C309.3 232 320 242.8 320 256s-10.75 24-24 24H208v56h120c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176H208v56H296z", "M328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H208V280h88C309.3 280 320 269.3 320 256s-10.75-24-24-24H208V176H328z"]],
    "circle-ellipsis": [512, 512, [], "e10a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 288C177.7 288 192 273.7 192 256C192 238.3 177.7 224 160 224C142.3 224 128 238.3 128 256C128 273.7 142.3 288 160 288zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM352 288C369.7 288 384 273.7 384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288z", "M192 256C192 273.7 177.7 288 160 288C142.3 288 128 273.7 128 256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM320 256C320 238.3 334.3 224 352 224C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288C334.3 288 320 273.7 320 256z"]],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352zM224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160z", "M256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320zM256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224zM256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192z"]],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V320z", "M352 160H160C142.3 160 128 174.3 128 192v11.57l128 51.2l128-51.2V192C384 174.3 369.7 160 352 160zM256 288C253.1 288 251.1 287.6 250.1 286.9L128 238V320c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V238l-122.1 48.82C260 287.6 258 288 256 288z"]],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S232 293.3 232 280V152zM256 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 385.9 273.4 400 256 400z", "M256 304c13.25 0 24-10.75 24-24v-128C280 138.8 269.3 128 256 128S232 138.8 232 152v128C232 293.3 242.8 304 256 304zM256 337.1c-17.36 0-31.44 14.08-31.44 31.44C224.6 385.9 238.6 400 256 400s31.44-14.08 31.44-31.44C287.4 351.2 273.4 337.1 256 337.1z"]],
    "circle-exclamation-check": [640, 512, [], "e10d", ["M461.3 210.7C436.3 185.8 395.7 185.8 370.7 210.7C345.8 235.7 345.8 276.3 370.7 301.3L434.7 365.3C446.7 377.2 462.1 383.4 477.8 383.1C433.5 460.5 350.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C379.2 0 482.1 87.04 506.5 202.1L480 229.5L461.3 210.7zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1zM256 319.1C238.3 319.1 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 319.1 256 319.1z", "M256 128C269.3 128 280 138.7 280 152V264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM499.8 339.8C488.9 350.7 471.1 350.7 460.2 339.8L396.2 275.8C385.3 264.9 385.3 247.1 396.2 236.2C407.1 225.3 424.9 225.3 435.8 236.2L480 280.4L588.2 172.2C599.1 161.3 616.9 161.3 627.8 172.2C638.7 183.1 638.7 200.9 627.8 211.8L499.8 339.8z"]],
    "circle-f": [512, 512, [], "e10e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 176H208v64h88C309.3 240 320 250.8 320 264S309.3 288 296 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176z", "M328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h88C309.3 288 320 277.3 320 264S309.3 240 296 240H208v-64h120C341.3 176 352 165.3 352 152S341.3 128 328 128z"]],
    "circle-g": [512, 512, [], "e10f", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C322.3 370.7 290.2 384 256 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C213.4 117.5 293.5 115.3 344 160.6c9.875 8.844 10.72 24.02 1.875 33.89C337 204.4 321.8 205.2 312 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H280C266.8 288 256 277.3 256 264s10.75-24 24-24h80C373.3 240 384 250.8 384 264V274.9z", "M360 240h-80C266.8 240 256 250.8 256 264S266.8 288 280 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C229.7 169.2 280.1 167.8 312 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C189.7 370.7 221.8 384 256 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C383.9 277.8 384 276.4 384 274.9V264C384 250.8 373.3 240 360 240z"]],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 360c0 13.25-10.75 24-24 24S320 373.3 320 360v-80H192v80C192 373.3 181.3 384 168 384S144 373.3 144 360v-208C144 138.8 154.8 128 168 128S192 138.8 192 152v80h128v-80C320 138.8 330.8 128 344 128s24 10.75 24 24V360z", "M344 128C330.8 128 320 138.8 320 152v80H192v-80C192 138.8 181.3 128 168 128S144 138.8 144 152v208C144 373.3 154.8 384 168 384S192 373.3 192 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C368 138.8 357.3 128 344 128z"]],
    "circle-half": [512, 512, [], "e110", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512V0z", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V512z"]],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", ["M256 512V448C362 448 448 362 448 256C448 149.1 362 64 256 64V0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512z", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V512z"]],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM233.5 384.2C239.7 390.5 247.9 393.6 256 393.6C264.1 393.6 272.3 390.5 278.5 384.2L380.1 280.1C409.5 251.2 409.5 202.8 380.1 173C350.8 143.2 303.1 143.2 273.7 173L256 191L238.3 173C208.9 143.2 161.2 143.2 131.9 173C102.5 202.8 102.5 251.2 131.9 280.1L233.5 384.2z", "M238.3 173L256 191L273.7 173C303.1 143.2 350.8 143.2 380.1 173C409.5 202.8 409.5 251.2 380.1 280.1L278.5 384.2C272.3 390.5 264.1 393.6 256 393.6C247.9 393.6 239.7 390.5 233.5 384.2L131.9 280.1C102.5 251.2 102.5 202.8 131.9 173C161.2 143.2 208.9 143.2 238.3 173H238.3z"]],
    "circle-i": [512, 512, [], "e111", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 336c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360s10.75-24 24-24h48v-160h-48C170.8 176 160 165.3 160 152S170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176h-48v160H328z", "M328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h48v160h-48C170.8 336 160 346.8 160 360S170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H328z"]],
    "circle-info": [512, 512, ["info-circle"], "f05a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S224 177.7 224 160C224 142.3 238.3 128 256 128zM296 384h-80C202.8 384 192 373.3 192 360s10.75-24 24-24h16v-64H224c-13.25 0-24-10.75-24-24S210.8 224 224 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M256 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S224 142.3 224 160C224 177.7 238.3 192 256 192zM296 336h-16V248C280 234.8 269.3 224 256 224H224C210.8 224 200 234.8 200 248S210.8 272 224 272h8v64h-16C202.8 336 192 346.8 192 360S202.8 384 216 384h80c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "circle-j": [512, 512, [], "e112", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM336 290.7C336 342.1 292.9 384 240 384s-96-41.86-96-93.33V280C144 266.8 154.8 256 168 256S192 266.8 192 280v10.67C192 315.7 213.5 336 240 336S288 315.7 288 290.7V152C288 138.8 298.8 128 312 128s24 10.75 24 24V290.7z", "M312 128C298.8 128 288 138.8 288 152v138.7C288 315.7 266.5 336 240 336S192 315.7 192 290.7V280C192 266.8 181.3 256 168 256S144 266.8 144 280v10.67C144 342.1 187.1 384 240 384s96-41.86 96-93.33V152C336 138.8 325.3 128 312 128z"]],
    "circle-k": [512, 512, [], "e113", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM275.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C337.5 382.6 332.7 384 328 384c-7.609 0-15.09-3.609-19.75-10.34L238.9 273.4L208 303.9V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C273.9 240.7 275 241.3 275.7 242.3z", "M345.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L208 236.5V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C312.9 380.4 320.4 384 328 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C354.3 159.8 354.4 144.6 345.1 135.2z"]],
    "circle-l": [512, 512, [], "e114", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v184h120c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M328 336H208V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"]],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", ["M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256c0-141.4-114.6-256-256-256S0 114.6 0 256zM246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z", "M246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z"]],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM353.6 158.5C347.3 152.1 337.8 150.3 329.3 153.8L133.3 237.8C123.8 241.9 118.3 252.3 120.4 262.4C122.5 272.6 131.6 280 141.1 280H232V370C232 380.4 239.4 389.5 249.6 391.6C251.1 391.9 252.6 392 253.1 392C262.8 392 270.7 386.8 274.2 378.7L358.2 182.7C361.8 174.3 359.1 164.8 353.6 158.5V158.5z", "M253.1 392C252.6 392 251.1 391.9 249.6 391.6C239.4 389.5 232 380.4 232 370V280H141.1C131.6 280 122.5 272.6 120.4 262.4C118.3 252.3 123.8 241.9 133.3 237.8L329.3 153.8C337.8 150.3 347.3 152.1 353.6 158.5C359.1 164.8 361.8 174.3 358.2 182.7L274.2 378.7C270.7 386.8 262.8 392 253.1 392V392z"]],
    "circle-m": [512, 512, [], "e115", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L176 226.2V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L256 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C377.3 132.4 384 141.6 384 152V360z", "M367.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L256 255L171.5 137.1C165.4 129.5 154.5 125.9 144.6 129.2C134.7 132.4 128 141.6 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L336 226.2V360c0 13.25 10.75 24 24 24S384 373.3 384 360v-208C384 141.6 377.3 132.4 367.4 129.2z"]],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM208 144C208 117.5 229.5 96 256 96s48 21.48 48 48V256c0 26.52-21.48 48-48 48S208 282.5 208 256V144zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 143.1 224C152.8 224 160 231.2 159.1 240v13.19c0 47.43 33.21 89.92 80.03 97.51C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z", "M368 224C359.2 224 352 231.2 352 239.1V256c0 58.18-52.01 104.4-111.1 94.7c-46.82-7.592-80.03-50.08-80.03-97.51V240c0-8.838-7.164-16-16-16S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.836 7.164 16 16 16s16-7.164 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224zM256 304c26.52 0 48-21.48 48-48V144C304 117.5 282.5 96 256 96S208 117.5 208 144V256C208 282.5 229.5 304 256 304z"]],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM207.1 146c0-26.29 20.26-49.2 46.54-49.98C281.7 95.21 304 116.1 304 144h-32c-8.837 0-16 7.163-16 15.1C256 168.8 263.2 176 272 176h32v32h-32c-8.837 0-16 7.163-16 15.1C256 232.8 263.2 240 272 240h32v13.99c0 26.29-20.26 49.2-46.54 49.99C230.3 304.8 208 283 208 256L207.1 146zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 144 224C152.8 224 160 231.2 160 240v13.19C159.1 300.6 193.2 343.1 240 350.7C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z", "M257.5 303.1C283.7 303.2 304 280.3 304 253.1V240h-32c-8.836 0-16-7.164-16-16C256 215.2 263.2 208 272 208h32v-32h-32c-8.836 0-16-7.164-16-16C256 151.2 263.2 144 272 144h32c0-27-22.28-48.79-49.46-47.98C228.3 96.8 207.1 119.7 207.1 146L208 256C208 283 230.3 304.8 257.5 303.1zM368 224C359.2 224 352 231.2 352 239.1V256c0 58.17-52 104.4-111.1 94.7C193.2 343.1 160 300.6 160 253.2V240C160 231.2 152.8 224 144 224S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.836 7.164 16 16 16s16-7.164 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224z"]],
    "circle-minus": [512, 512, ["minus-circle"], "f056", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "circle-n": [512, 512, [], "e118", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 360c0 10.5-6.828 19.78-16.84 22.91C332.8 383.6 330.4 384 328 384c-7.719 0-15.17-3.734-19.73-10.34L208 228.8V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L304 283.2V152C304 138.8 314.8 128 328 128S352 138.8 352 152V360z", "M328 128c-13.25 0-24 10.75-24 24v131.2L203.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C166.8 132.2 160 141.5 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V228.8l100.3 144.8C312.8 380.3 320.3 384 328 384c2.391 0 4.797-.3594 7.156-1.094C345.2 379.8 352 370.5 352 360v-208C352 138.8 341.3 128 328 128z"]],
    "circle-nodes": [512, 512, [], "e4e2", ["M418.4 157.9L380.6 365.6C367.9 357 352.5 352 336 352C329.7 352 323.5 352.7 317.6 354.1L355.4 146.4C368.1 155 383.5 160 400 160C406.3 160 412.5 159.3 418.4 157.9V157.9zM156.3 232.2L301.9 359.6C281.9 369 266.5 386.5 259.7 407.8L114.1 280.4C134.1 270.1 149.5 253.5 156.3 232.2V232.2zM160 208C160 185.7 150.9 165.6 136.2 151.1L320 77.52C320 78.35 320 79.17 320 80C320 102.3 329.1 122.4 343.8 136.9L159.1 210.5C159.1 209.7 160 208.8 160 208V208z", "M480 80C480 124.2 444.2 160 400 160C355.8 160 320 124.2 320 80C320 35.82 355.8 0 400 0C444.2 0 480 35.82 480 80zM416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 387.8 291.8 352 336 352C380.2 352 416 387.8 416 432zM0 208C0 163.8 35.82 128 80 128C124.2 128 160 163.8 160 208C160 252.2 124.2 288 80 288C35.82 288 0 252.2 0 208z"]],
    "circle-notch": [512, 512, [], "f1ce", ["M222.7 32.15C227.7 49.08 218.1 66.9 201.1 71.94C121.8 95.55 64 169.1 64 255.1C64 362 149.1 447.1 256 447.1C362 447.1 448 362 448 255.1C448 169.1 390.2 95.55 310.9 71.94C293.9 66.9 284.3 49.08 289.3 32.15C294.4 15.21 312.2 5.562 329.1 10.6C434.9 42.07 512 139.1 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 139.1 77.15 42.07 182.9 10.6C199.8 5.562 217.6 15.21 222.7 32.15V32.15z", ""]],
    "circle-o": [512, 512, [], "e119", ["M256 176C211.9 176 176 211.9 176 256s35.89 80 80 80s80-35.89 80-80S300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 384 256 384z", "M256 128C185.4 128 128 185.4 128 256s57.42 128 128 128s128-57.42 128-128S326.6 128 256 128zM256 336c-44.11 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80S300.1 336 256 336z"]],
    "circle-p": [512, 512, [], "e11a", ["M280 176H208V256h72C302.1 256 320 238.1 320 216S302.1 176 280 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM280 304H208v56C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h96c48.53 0 88 39.47 88 88S328.5 304 280 304z", "M280 128h-96C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S328.5 128 280 128zM280 256H208V176h72C302.1 176 320 193.9 320 216S302.1 256 280 256z"]],
    "circle-parking": [512, 512, ["parking-circle"], "f615", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M240 352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V168C176 145.9 193.9 128 216 128H288C341 128 384 170.1 384 224C384 277 341 320 288 320H240V352zM240 192V256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H240z"]],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 191.1v128C224 337.7 209.7 352 192 352S160 337.7 160 320V191.1C160 174.3 174.3 160 191.1 160S224 174.3 224 191.1zM352 191.1v128C352 337.7 337.7 352 320 352S288 337.7 288 320V191.1C288 174.3 302.3 160 319.1 160S352 174.3 352 191.1z", "M191.1 160C174.3 160 160 174.3 160 191.1v128C160 337.7 174.3 352 192 352S224 337.7 224 320V191.1C224 174.3 209.7 160 191.1 160zM319.1 160C302.3 160 288 174.3 288 191.1v128C288 337.7 302.3 352 320 352S352 337.7 352 320V191.1C352 174.3 337.7 160 319.1 160z"]],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z", "M383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z"]],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", ["M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256zM137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z", "M137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z"]],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", ["M512 256c0-141.4-114.6-256-256-256c-141.4 0-256 114.6-256 256s114.6 256 256 256S512 397.4 512 256zM373.5 306.2l-54.82-21.92c-6.474-2.563-10.46-9.181-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.6961 6.905-3.276 13.47-9.717 16.06L138.5 306.2C131.4 308.9 123.4 306.3 119.5 299.9L92.05 256.1C88.16 249.9 89.07 241.9 94.25 236.7c89.2-89.2 234.3-89.18 323.5 .0002c5.187 5.187 6.089 13.14 2.205 19.33L392.5 299.9C388.6 306.3 380.5 308.1 373.5 306.2z", "M373.5 306.2l-54.82-21.92c-6.474-2.563-10.46-9.181-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.6961 6.905-3.276 13.47-9.717 16.06L138.5 306.2C131.4 308.9 123.4 306.3 119.5 299.9L92.05 256.1C88.16 249.9 89.07 241.9 94.25 236.7c89.2-89.2 234.3-89.18 323.5 .0002c5.187 5.187 6.089 13.14 2.205 19.33L392.5 299.9C388.6 306.3 380.5 308.1 373.5 306.2z"]],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176 168V344C176 352.7 180.7 360.7 188.3 364.9C195.8 369.2 205.1 369 212.5 364.5L356.5 276.5C363.6 272.1 368 264.4 368 256C368 247.6 363.6 239.9 356.5 235.5L212.5 147.5C205.1 142.1 195.8 142.8 188.3 147.1C180.7 151.3 176 159.3 176 168V168z", "M356.5 235.5C363.6 239.9 368 247.6 368 256C368 264.4 363.6 272.1 356.5 276.5L212.5 364.5C205.1 369 195.8 369.2 188.3 364.9C180.7 360.7 176 352.7 176 344V168C176 159.3 180.7 151.3 188.3 147.1C195.8 142.8 205.1 142.1 212.5 147.5L356.5 235.5z"]],
    "circle-plus": [512, 512, ["plus-circle"], "f055", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 256 144C242.7 144 232 154.7 232 168V232H168C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H232V344C232 357.3 242.7 368 256 368z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "circle-q": [512, 512, [], "e11e", ["M256 176C211.9 176 176 211.9 176 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C332.4 281.7 336 269.3 336 256C336 211.9 300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM376.1 343c9.375 9.375 9.375 24.56 0 33.94C372.3 381.7 366.2 384 360 384s-12.28-2.344-16.97-7.031l-15.15-15.15C307.4 375.8 282.6 384 256 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L376.1 343z", "M256 128C185.4 128 128 185.4 128 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C347.7 381.7 353.8 384 360 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C375.8 307.4 384 282.6 384 256C384 185.4 326.6 128 256 128zM326.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C281.7 332.4 269.3 336 256 336c-44.13 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80C336 269.3 332.4 281.7 326.7 292.7z"]],
    "circle-quarter": [512, 512, [], "e11f", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256H256V0z", "M0 256C0 114.6 114.6 0 256 0V256H0z"]],
    "circle-quarters": [512, 512, [], "e3f8", ["M120.2 391.8C154.1 426.5 202.1 448 256 448s101-21.49 135.8-56.24L256 256L120.2 391.8zM256 64C202.1 64 154.1 85.49 120.2 120.2L256 256l135.8-135.8C357 85.49 309 64 256 64z", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 448c-106 0-192-85.96-192-192c0-106 85.96-192 192-192c106 0 192 85.96 192 192C448 362 362 448 256 448z"]],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S273.1 400 256 400zM325.1 258L280 286V288c0 13-11 24-24 24S232 301 232 288V272c0-8 4-16 12-21l57-34C308 213 312 206 312 198C312 186 301.1 176 289.1 176h-51.1C225.1 176 216 186 216 198c0 13-11 24-24 24s-24-11-24-24C168 159 199 128 237.1 128h51.1C329 128 360 159 360 198C360 222 347 245 325.1 258z", "M256 336c-18 0-32 14-32 32c0 18 13.1 32 32 32c17.1 0 32-13.1 32-32C288 350 273.1 336 256 336zM289.1 128h-51.1C198.1 128 168 158.1 168 198c0 12.1 11 24 24 24s24-11 24-24C216 186 225.1 176 237.1 176h51.1C301.1 176 312 186 312 198c0 8-4 14.1-11 18.1L244 251C236 256 232 264 232 272V288c0 13 11 24 24 24S280 301 280 288V286l45.1-28c21-13 34-36 34-60C360 158.1 328.1 128 289.1 128z"]],
    "circle-r": [512, 512, [], "e120", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM355.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C345.8 382.5 340.9 384 336 384c-7.438 0-14.75-3.422-19.44-9.891L253.1 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128H288c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L355.4 345.9zM288 176H208v64H288c17.66 0 32-14.36 32-32S305.7 176 288 176z", "M368 208C368 163.9 332.1 128 288 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h45.97l62.63 86.11C321.3 380.6 328.6 384 336 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C343.7 274.5 368 244.2 368 208zM288 240H208v-64H288c17.66 0 32 14.36 32 32S305.7 240 288 240z"]],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", ["M256 224C238.3 224 224 238.3 224 256s14.33 32 32 32c17.67 0 32-14.33 32-32S273.7 224 256 224zM256 16C123.4 16 16 123.4 16 256s107.4 240 240 240c132.6 0 240-107.4 240-240S388.6 16 256 16zM256 432c-97.05 0-176-78.99-176-176S158.1 80 256 80s176 78.95 176 176S353 432 256 432z", "M226.4 208.6L184.8 141.9C179.6 133.7 168.3 132 160.7 138.2C130.8 162.3 110.1 197.4 105.1 237.4C103.9 247.2 111.2 256 121 256H200C200 236 210.6 218.6 226.4 208.6zM285.6 303.3C276.1 308.7 266.9 312 256 312c-10.89 0-20.98-3.252-29.58-8.65l-41.74 66.8c-5.211 8.338-1.613 19.07 7.27 23.29C211.4 402.7 233.1 408 256 408c22.97 0 44.64-5.334 64.12-14.59c8.883-4.219 12.48-14.95 7.262-23.29L285.6 303.3zM351.4 138.2c-7.604-6.145-18.86-4.518-24.04 3.77l-41.71 66.67C301.4 218.6 312 236 312 256h78.96c9.844 0 17.11-8.791 15.91-18.56C401.9 197.5 381.3 162.4 351.4 138.2z"]],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", ["M512 256c0-141.4-114.6-256-256-256S0 114.6 0 256c0 141.4 114.6 256 256 256S512 397.4 512 256zM265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z", "M265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z"]],
    "circle-s": [512, 512, [], "e121", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM350.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C248.7 170.1 226.5 177.5 217.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C302.1 243.9 361.1 260.6 350.7 323.9z", "M262.4 232.9C212.5 219.1 205.7 212.4 208.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C175.5 153.2 164.7 169.4 161.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C361.1 260.6 302.1 243.9 262.4 232.9z"]],
    "circle-small": [320, 512, [], "e122", ["M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256z", ""]],
    "circle-sort": [512, 512, ["sort-circle"], "e030", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148.1 288 164.6 288h182.9C364 288 372.1 307.9 360.6 319.4zM347.5 224H164.6c-16.5 0-24.69-19.88-13.19-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.594 2 13.09 5.375l91.53 91.25C372.1 204.1 364 224 347.5 224z", "M164.6 224h182.9c16.5 0 24.62-19.88 13.12-31.38l-91.53-91.25C265.6 98 260.9 95.1 256 95.1S246.5 98 243 101.4L151.4 192.6C139.9 204.1 148.1 224 164.6 224zM347.5 288H164.6c-16.5 0-24.69 19.88-13.19 31.38L243 410.6C246.5 414 251.1 416 256 416s9.594-1.1 13.09-5.375l91.53-91.25C372.1 307.9 364 288 347.5 288z"]],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", ["M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256c-141.4 0-256 114.6-256 256S114.6 512 256 512zM151.4 192.6L243 101.4C246.5 97.1 251.1 95.1 256 95.1s9.625 2 13.12 5.375l91.5 91.25c11.5 11.5 3.375 31.38-13.12 31.38h-183C148 223.1 139.9 204.1 151.4 192.6zM164.5 288h182.9c16.5 0 24.69 19.88 13.19 31.38l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-2-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288z", "M164.5 288h182.9c16.5 0 24.69 19.88 13.19 31.38l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-2-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288z"]],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4L269 410.6C265.5 414 260.9 416 256 416s-9.625-2-13.12-5.375l-91.5-91.25C139.9 307.9 148 288 164.5 288h183C364 288 372.1 307.9 360.6 319.4zM347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 97.1 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z", "M347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 97.1 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z"]],
    "circle-star": [512, 512, ["star-circle"], "e123", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM241.7 112.9L205.4 186.4L124.4 198.1C118.3 199 113.3 203.2 111.4 209C109.6 214.8 111.1 221.2 115.5 225.4L174.1 282.6L160.3 363.3C159.3 369.3 161.7 375.4 166.7 378.1C171.6 382.6 178.1 383 183.5 380.2L255.1 342.1L328.5 380.2C333.9 383 340.4 382.6 345.3 378.1C350.3 375.4 352.7 369.3 351.7 363.3L337.9 282.6L396.5 225.4C400.9 221.2 402.4 214.8 400.6 209C398.7 203.2 393.7 199 387.6 198.1L306.6 186.4L270.3 112.9C267.7 107.5 262.1 104 255.1 104C249.9 104 244.3 107.5 241.7 112.9H241.7z", "M306.6 186.4L387.6 198.1C393.7 199 398.7 203.2 400.6 209C402.4 214.8 400.9 221.2 396.5 225.4L337.9 282.6L351.7 363.3C352.7 369.3 350.3 375.4 345.3 378.1C340.4 382.6 333.9 383 328.5 380.2L256 342.1L183.5 380.2C178.1 383 171.6 382.6 166.7 378.1C161.7 375.4 159.3 369.3 160.3 363.3L174.1 282.6L115.5 225.4C111.1 221.2 109.6 214.8 111.4 209C113.3 203.2 118.3 199 124.4 198.1L205.4 186.4L241.7 112.9C244.3 107.5 249.9 104 256 104C262.1 104 267.7 107.5 270.3 112.9L306.6 186.4z"]],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z", "M352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z"]],
    "circle-t": [512, 512, [], "e124", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360 192h-80v168c0 13.25-10.75 24-24 24s-24-10.75-24-24V192h-80C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z", "M360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h80v168C232 373.3 242.8 384 256 384s24-10.75 24-24V192h80C373.3 192 384 181.3 384 168S373.3 144 360 144z"]],
    "circle-three-quarters": [512, 512, [], "e125", ["M256 256V0C397.4 0 512 114.6 512 256H256z", "M256 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V256z"]],
    "circle-trash": [512, 512, ["trash-circle"], "e126", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160H352C360.8 160 368 152.8 368 144C368 135.2 360.8 128 352 128H310.6L299.3 116.7C296.3 113.7 292.2 112 288 112H224C219.8 112 215.7 113.7 212.7 116.7L201.4 128H160zM160 192L173.6 354.7C174.9 371.2 188.8 384 205.4 384H306.6C323.2 384 337.1 371.2 338.4 354.7L352 192H160z", "M212.7 116.7C215.7 113.7 219.8 112 224 112H288C292.2 112 296.3 113.7 299.3 116.7L310.6 128H352C360.8 128 368 135.2 368 144C368 152.8 360.8 160 352 160H160C151.2 160 144 152.8 144 144C144 135.2 151.2 128 160 128H201.4L212.7 116.7zM352 192L338.4 354.7C337.1 371.2 323.2 384 306.6 384H205.4C188.8 384 174.9 371.2 173.6 354.7L160 192H352z"]],
    "circle-u": [512, 512, [], "e127", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 290.9C368 351.1 317.8 400 256 400s-112-48.94-112-109.1V168c0-13.25 10.75-24 24-24S192 154.8 192 168v122.9C192 324.6 220.7 352 256 352s64-27.41 64-61.09V168c0-13.25 10.75-24 24-24s24 10.75 24 24V290.9z", "M344 144C330.8 144 320 154.8 320 168v122.9C320 324.6 291.3 352 256 352s-64-27.41-64-61.09V168C192 154.8 181.3 144 168 144S144 154.8 144 168v122.9C144 351.1 194.3 400 256 400s112-48.94 112-109.1V168C368 154.8 357.3 144 344 144z"]],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z", "M382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z"]],
    "circle-up-left": [512, 512, [], "e128", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z", "M357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z"]],
    "circle-up-right": [512, 512, [], "e129", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z", "M362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z"]],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c39.77 0 72 32.24 72 72S295.8 272 256 272c-39.76 0-72-32.24-72-72S216.2 128 256 128zM256 448c-52.93 0-100.9-21.53-135.7-56.29C136.5 349.9 176.5 320 224 320h64c47.54 0 87.54 29.88 103.7 71.71C356.9 426.5 308.9 448 256 448z", "M256 272c39.77 0 72-32.24 72-72S295.8 128 256 128C216.2 128 184 160.2 184 200S216.2 272 256 272zM288 320H224c-47.54 0-87.54 29.88-103.7 71.71C155.1 426.5 203.1 448 256 448s100.9-21.53 135.7-56.29C375.5 349.9 335.5 320 288 320z"]],
    "circle-v": [512, 512, [], "e12a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.5 178.7l-104 208C273.4 394.9 265.1 400 256 400s-17.41-5.141-21.47-13.27l-104-208C124.6 166.9 129.4 152.5 141.3 146.5c11.92-5.891 26.28-1.125 32.2 10.73L256 322.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C382.6 152.5 387.4 166.9 381.5 178.7z", "M370.7 146.5c-11.86-5.891-26.27-1.125-32.2 10.73L256 322.3L173.5 157.3C167.5 145.4 153.2 140.6 141.3 146.5C129.4 152.5 124.6 166.9 130.5 178.7l104 208C238.6 394.9 246.9 400 256 400s17.41-5.141 21.47-13.27l104-208C387.4 166.9 382.6 152.5 370.7 146.5z"]],
    "circle-video": [512, 512, ["video-circle"], "e12b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z", "M320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z"]],
    "circle-w": [512, 512, [], "e12c", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM398.9 175.1l-64 208C331.8 393.1 322.5 400 312 400h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L256 260.3l-32.83 121.9C220.4 392.6 211.1 399.8 200.4 400c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L198.5 289.4l34.36-127.6C235.6 151.3 245.1 144 256 144s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C395.7 148.1 402.8 162.4 398.9 175.1z", "M383.1 145.1c-12.66-3.828-26.11 3.203-30 15.88L313.5 289.4l-34.36-127.6C276.4 151.3 266.9 144 256 144S235.6 151.3 232.8 161.8L198.5 289.4L158.9 160.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C180.2 393.3 189.7 399.1 200.4 400c10.7-.1875 19.97-7.438 22.75-17.77L256 260.3l32.83 121.9C291.6 392.6 300.9 399.8 311.6 400H312c10.52 0 19.84-6.859 22.94-16.94l64-208C402.8 162.4 395.7 148.1 383.1 145.1z"]],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM160 336C160 344.8 152.8 352 144 352S128 344.8 128 336v-160C128 167.2 135.2 160 144 160S160 167.2 160 176V336zM224 296c0 8.836-7.164 16-16 16S192 304.8 192 296v-80c0-8.838 7.164-16 16-16S224 207.2 224 216V296zM288 360c0 8.836-7.164 16-16 16s-16-7.164-16-16v-208c0-8.838 7.164-16 16-16S288 143.2 288 152V360zM352 312c0 8.836-7.164 16-16 16S320 320.8 320 312v-112c0-8.838 7.164-16 16-16S352 191.2 352 200V312zM416 272C416 280.8 408.8 288 400 288S384 280.8 384 272v-32C384 231.2 391.2 224 400 224S416 231.2 416 240V272z", "M144 160C135.2 160 128 167.2 128 176v160C128 344.8 135.2 352 144 352S160 344.8 160 336v-160C160 167.2 152.8 160 144 160zM272 136c-8.836 0-16 7.162-16 16v208c0 8.836 7.164 16 16 16s16-7.164 16-16v-208C288 143.2 280.8 136 272 136zM208 200C199.2 200 192 207.2 192 216v80c0 8.836 7.164 16 16 16S224 304.8 224 296v-80C224 207.2 216.8 200 208 200zM400 224C391.2 224 384 231.2 384 240v32C384 280.8 391.2 288 400 288S416 280.8 416 272v-32C416 231.2 408.8 224 400 224zM336 184c-8.836 0-16 7.162-16 16v112c0 8.836 7.164 16 16 16s16-7.164 16-16v-112C352 191.2 344.8 184 336 184z"]],
    "circle-x": [512, 512, [], "e12e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C355 382.1 349.5 384 344 384c-6.812 0-13.59-2.891-18.34-8.5L256 293.2L186.3 375.5C181.6 381.1 174.8 384 167.1 384C162.5 384 157 382.1 152.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L224.6 256L149.7 167.5C141.1 157.4 142.4 142.2 152.5 133.7C162.6 125.1 177.8 126.4 186.3 136.5L256 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L287.4 256L362.3 344.5z", "M359.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L256 218.8L186.3 136.5C177.8 126.4 162.6 125.1 152.5 133.7C142.4 142.2 141.1 157.4 149.7 167.5L224.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C157 382.1 162.5 384 167.1 384c6.812 0 13.59-2.891 18.34-8.5L256 293.2l69.67 82.34C330.4 381.1 337.2 384 344 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L287.4 256l74.88-88.5C370.9 157.4 369.6 142.2 359.5 133.7z"]],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "circle-y": [512, 512, [], "e12f", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM378.2 183.6L280 298.2V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V298.2L133.8 183.6C125.2 173.6 126.3 158.4 136.4 149.8c10.08-8.625 25.22-7.438 33.84 2.594L256 252.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C385.7 158.4 386.8 173.6 378.2 183.6z", "M341.8 152.4L256 252.5L170.2 152.4C161.6 142.3 146.5 141.2 136.4 149.8C126.3 158.4 125.2 173.6 133.8 183.6L232 298.2V376c0 13.25 10.75 24 24 24s24-10.75 24-24V298.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C365.5 141.1 350.4 142.3 341.8 152.4z"]],
    "circle-z": [512, 512, [], "e130", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L282.2 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L229.8 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M328 336H229.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C345.1 132.1 336.9 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C166.9 379 175.1 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"]],
    "citrus": [512, 512, [], "e2f4", ["M496 271.1C496 404.5 388.5 512 256 512s-240-107.5-240-240S123.5 31.1 256 31.1c17.91 0 35.31 2.113 52.1 5.834C295.7 54.02 288 74.02 288 96v16C288 120.8 295.2 128 304 128H384c18.93 0 36.46-5.664 51.33-15.12C472.1 155.3 496 210.9 496 271.1z", "M304 128H384c53.02 0 96-42.98 96-96V16C480 7.162 472.8 0 464 0H384c-53.02 0-96 42.98-96 96v16C288 120.8 295.2 128 304 128z"]],
    "citrus-slice": [512, 512, [], "e2f5", ["M444.1 176C435.8 130.3 414.1 88.18 380.5 54.63L357.9 32L239.9 149.1C246.4 157.4 251.2 166.2 253.7 176H444.1zM32 357.9l22.62 22.62C88.18 414.1 130.3 435.8 176 444.1v-190.4c-9.816-2.541-18.64-7.334-26.03-13.82L32 357.9zM447.5 208H253.7C252.2 213.8 249.9 219.3 246.9 224.3l144.3 144.3C427.8 326.7 448 273.7 448 217.6C448 214.4 447.7 211.2 447.5 208zM208 253.7v193.8C211.2 447.7 214.3 448 217.6 448c56.19 0 109.1-20.16 151.1-56.73L224.3 246.9C219.3 249.9 213.8 252.2 208 253.7z", "M425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375z"]],
    "city": [640, 512, [127961], "f64f", ["M432 0C458.5 0 480 21.49 480 48V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H288V48C288 21.49 309.5 0 336 0H432zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528zM256 368C256 359.2 248.8 352 240 352H208C199.2 352 192 359.2 192 368V400C192 408.8 199.2 416 208 416H240C248.8 416 256 408.8 256 400V368zM112 416C120.8 416 128 408.8 128 400V368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112zM576 272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272zM208 160C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM128 272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM416 80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368z", "M112 96H64V24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V96zM224 96H176V24C176 10.75 186.7 0 200 0C213.3 0 224 10.75 224 24V96zM240 160C248.8 160 256 167.2 256 176V208C256 216.8 248.8 224 240 224H208C199.2 224 192 216.8 192 208V176C192 167.2 199.2 160 208 160H240zM576 304C576 312.8 568.8 320 560 320H528C519.2 320 512 312.8 512 304V272C512 263.2 519.2 256 528 256H560C568.8 256 576 263.2 576 272V304zM80 416C71.16 416 64 408.8 64 400V368C64 359.2 71.16 352 80 352H112C120.8 352 128 359.2 128 368V400C128 408.8 120.8 416 112 416H80zM256 400C256 408.8 248.8 416 240 416H208C199.2 416 192 408.8 192 400V368C192 359.2 199.2 352 208 352H240C248.8 352 256 359.2 256 368V400zM576 400C576 408.8 568.8 416 560 416H528C519.2 416 512 408.8 512 400V368C512 359.2 519.2 352 528 352H560C568.8 352 576 359.2 576 368V400zM128 208C128 216.8 120.8 224 112 224H80C71.16 224 64 216.8 64 208V176C64 167.2 71.16 160 80 160H112C120.8 160 128 167.2 128 176V208zM208 320C199.2 320 192 312.8 192 304V272C192 263.2 199.2 256 208 256H240C248.8 256 256 263.2 256 272V304C256 312.8 248.8 320 240 320H208zM128 304C128 312.8 120.8 320 112 320H80C71.16 320 64 312.8 64 304V272C64 263.2 71.16 256 80 256H112C120.8 256 128 263.2 128 272V304z"]],
    "clapperboard": [512, 512, [], "e131", ["M512 160v256c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V160H512z", "M497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM64 32C28.65 32 0 60.65 0 96v64h6.062l128-128H64zM201.9 32l-128 128h92.13l128-128H201.9zM448 32h-86.06l-128 128h92.13l127.4-127.4C451.7 32.39 449.9 32 448 32z"]],
    "clapperboard-play": [512, 512, [], "e132", ["M0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160H0zM330.1 329.3l-106.7 68.97C222.6 399.4 220.6 400 218.7 400c-1.77 0-3.562-.4648-5.166-1.379C210.1 396.7 208 392.1 208 388.1V251c0-4.01 2.104-7.705 5.5-9.656c3.375-1.918 7.562-1.832 10.81 .3027l106.7 68.97C334.1 312.7 336 316.2 336 319.1S334.1 327.3 330.1 329.3z", "M201.9 32l-128 128h92.13l128-128H201.9zM64 32C28.65 32 0 60.65 0 96v64h6.062l128-128H64zM326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM224.3 241.7C221.1 239.5 216.9 239.5 213.5 241.4C210.1 243.3 208 247 208 251v137.9c0 4.008 2.104 7.705 5.5 9.656C215.1 399.5 216.9 400 218.7 400c1.959 0 3.938-.5605 5.646-1.682l106.7-68.97C334.1 327.3 336 323.8 336 319.1s-1.896-7.34-5.021-9.354L224.3 241.7z"]],
    "clarinet": [640, 512, [], "f8ad", ["M631.6 129.9c-5.219-2.781-11.53-2.5-16.44 .7969L571.2 160L101.3 159.1c-3.5 0-6.875 .4995-10.12 1.625L11 188.4C4.375 190.5 0 196.6 0 203.5v73c0 6.875 4.375 13 11 15.12l80.13 26.75c3.25 1.125 6.625 1.623 10.12 1.623L571.2 320l43.97 29.31C617.8 351.1 620.9 352 624 352c2.594 0 5.188-.625 7.562-1.891C636.8 347.3 640 341.9 640 336v-192C640 138.1 636.8 132.7 631.6 129.9zM272 264c-13.25 0-24-10.75-24-24S258.8 216 272 216S296 226.8 296 240S285.3 264 272 264zM368 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 264 368 264zM464 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S477.3 264 464 264z", "M496 96h-256C231.2 96 224 103.2 224 111.1c0 8.799 7.199 15.1 16 15.1H256v31.1l32 .0002V127.1h64v31.1l32 .0002V127.1h64v31.1l32 .0002V127.1h16c8.801 0 16-7.201 16-15.1C512 103.2 504.8 96 496 96zM272 216c-13.25 0-24 10.75-24 24S258.8 264 272 264S296 253.3 296 240S285.3 216 272 216zM368 216c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S381.3 216 368 216zM464 216c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S477.3 216 464 216z"]],
    "claw-marks": [576, 512, [], "f6c2", ["M566.6 265.4C579.1 277.9 579.1 298.1 566.6 310.6C554.1 323.1 533.9 323.1 521.4 310.6L498.7 288H448C430.3 288 416 273.7 416 256V205.3L370.7 160H320C302.3 160 288 145.7 288 128V77.25L265.4 54.63C252.9 42.13 252.9 21.87 265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L566.6 265.4zM310.6 457.4C323.1 469.9 323.1 490.1 310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6L210.7 448H128C110.3 448 96 433.7 96 416V333.3L41.37 278.6C28.88 266.1 28.88 245.9 41.37 233.4C53.87 220.9 74.13 220.9 86.63 233.4L310.6 457.4z", "M41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L534.6 457.4C547.1 469.9 547.1 490.1 534.6 502.6C522.1 515.1 501.9 515.1 489.4 502.6L434.7 448H384C366.3 448 352 433.7 352 416V365.3L210.7 223.1H160C142.3 223.1 128 209.7 128 191.1V141.3L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372L41.37 9.372z"]],
    "clipboard": [384, 512, [128203], "f328", ["M384 112v352c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-352C0 85.49 21.49 64 48 64H128C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128c0-35.35-28.65-64-64-64h80C362.5 64 384 85.49 384 112z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 40c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S168 77.25 168 64C168 50.74 178.7 40 192 40z"]],
    "clipboard-check": [384, 512, [], "f46c", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM282.9 278.8l-88 112c-4.047 5.156-10.02 8.438-16.53 9.062C177.6 399.1 176.8 400 175.1 400c-5.703 0-11.25-2.031-15.62-5.781l-56-48c-10.06-8.625-11.22-23.78-2.594-33.84c8.609-10.06 23.77-11.22 33.84-2.594l36.98 31.69l72.52-92.28c8.188-10.44 23.3-12.22 33.7-4.062C289.3 253.3 291.1 268.4 282.9 278.8z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM245.1 249.2l-72.52 92.28L135.6 309.8C125.5 301.2 110.4 302.3 101.8 312.4c-8.625 10.06-7.469 25.22 2.594 33.84l56 48C164.7 397.1 170.3 400 175.1 400c.7813 0 1.562-.0313 2.344-.125c6.516-.625 12.48-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.047-33.69C268.4 236.1 253.3 238.8 245.1 249.2z"]],
    "clipboard-list": [384, 512, [], "f46d", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM96 296c-13.25 0-24-10.75-24-24S82.75 248 96 248S120 258.8 120 272S109.3 296 96 296zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-128C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256h128C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM96 344c-13.25 0-24 10.75-24 24S82.75 392 96 392s24-10.75 24-24S109.3 344 96 344zM96 248c-13.25 0-24 10.75-24 24S82.75 296 96 296S120 285.3 120 272S109.3 248 96 248z"]],
    "clipboard-list-check": [384, 512, [], "f737", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM96 424c-13.25 0-24-10.75-24-24S82.75 376 96 376s24 10.75 24 24S109.3 424 96 424zM112 320c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L112 281.4l52.69-52.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C120.2 318.4 116.1 320 112 320zM304 416h-128C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h128c8.801 0 16 7.199 16 16C320 408.8 312.8 416 304 416zM304 320h-96C199.2 320 192 312.8 192 304C192 295.2 199.2 288 208 288h96C312.8 288 320 295.2 320 304C320 312.8 312.8 320 304 320z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM96 376c-13.25 0-24 10.75-24 24S82.75 424 96 424s24-10.75 24-24S109.3 376 96 376zM164.7 228.7L112 281.4L91.31 260.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C103.8 318.4 107.9 320 112 320s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S170.9 222.4 164.7 228.7z"]],
    "clipboard-medical": [384, 512, [], "e133", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM288 336c0 8.8-7.2 16-16 16H224v48c0 8.8-7.2 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336v-32C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304V336z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM272 288H224V240C224 231.2 216.8 224 208 224h-32C167.2 224 160 231.2 160 240V288H112C103.2 288 96 295.2 96 304v32C96 344.8 103.2 352 112 352H160v48C160 408.8 167.2 416 176 416h32c8.8 0 16-7.2 16-16V352h48c8.8 0 16-7.2 16-16v-32C288 295.2 280.8 288 272 288z"]],
    "clipboard-prescription": [384, 512, [], "f5e8", ["M192 256c0 8.875-7.125 16-16 16H128v-32h48C184.9 240 192 247.1 192 256zM384 112v352c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-352C0 85.49 21.49 64 48 64H128C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128c0-35.35-28.65-64-64-64h80C362.5 64 384 85.49 384 112zM304 409.4l-30.12-30l30-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384h16C120.9 384 128 376.9 128 368V320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.25 11.25c6.25 6.25 16.5 6.25 22.75 0L240 413.3l29.1 30c6.251 6.25 16.5 6.25 22.75 0L304 432C310.3 425.8 310.3 415.6 304 409.4z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM273.9 379.4l30-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384h16C120.9 384 128 376.9 128 368V320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.25 11.25c6.25 6.25 16.5 6.25 22.75 0L240 413.3l29.1 30c6.251 6.25 16.5 6.25 22.75 0L304 432c6.25-6.25 6.25-16.38 0-22.62L273.9 379.4zM176 272H128v-32h48C184.9 240 192 247.1 192 256S184.9 272 176 272z"]],
    "clipboard-question": [384, 512, [], "e4e3", ["M282.5 64H320C355.3 64 384 92.65 384 128V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H101.5C114.6 26.71 150.2 0 192 0C233.8 0 269.4 26.71 282.5 64zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM105.4 230.5C100.9 243 107.5 256.7 119.1 261.2C132.5 265.6 146.2 259.1 150.6 246.6L151.1 245.3C152.2 242.1 155.2 240 158.6 240H216.9C225.2 240 232 246.8 232 255.1C232 260.6 229.1 265.6 224.4 268.3L180.1 293.7C172.6 298 168 305.9 168 314.5V328C168 341.3 178.7 352 192 352C205.1 352 215.8 341.5 215.1 328.4L248.3 309.9C267.9 298.7 280 277.8 280 255.1C280 220.3 251.7 192 216.9 192H158.6C134.9 192 113.8 206.9 105.8 229.3L105.4 230.5zM192 384C174.3 384 160 398.3 160 416C160 433.7 174.3 448 192 448C209.7 448 224 433.7 224 416C224 398.3 209.7 384 192 384z", "M216.9 192C251.7 192 280 220.3 280 255.1C280 277.8 267.9 298.7 248.3 309.9L215.1 328.4C215.8 341.5 205.1 352 191.1 352C178.7 352 167.1 341.3 167.1 328V314.5C167.1 305.9 172.6 298 180.1 293.7L224.4 268.3C229.1 265.6 232 260.6 232 255.1C232 246.8 225.2 240 216.9 240H158.6C155.2 240 152.2 242.1 151.1 245.3L150.6 246.6C146.2 259.1 132.5 265.6 119.1 261.2C107.5 256.7 100.9 243 105.4 230.5L105.8 229.3C113.8 206.9 134.9 192 158.6 192L216.9 192zM159.1 416C159.1 398.3 174.3 384 191.1 384C209.7 384 224 398.3 224 416C224 433.7 209.7 448 191.1 448C174.3 448 159.1 433.7 159.1 416z"]],
    "clipboard-user": [384, 512, [], "f7f3", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM192 192c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 291.3 128 256S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.82 80 80C304 440.8 296.8 448 288 448z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM224 352H160c-44.18 0-80 35.82-80 80C80 440.8 87.16 448 96 448h192c8.836 0 16-7.164 16-16C304 387.8 268.2 352 224 352zM256 256c0-35.35-28.65-64-64-64S128 220.7 128 256s28.65 64 64 64S256 291.3 256 256z"]],
    "clock": [512, 512, [128339, "clock-four"], "f017", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 264 236 271.5 242.7 275.1L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L280 243.2V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 256z", "M280 120V243.2L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L242.7 275.1C236 271.5 232 264 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120L280 120z"]],
    "clock-desk": [448, 512, [], "e134", ["M0 224C0 100.3 100.3 0 224 0C347.7 0 448 100.3 448 224C448 347.7 347.7 448 224 448C100.3 448 0 347.7 0 224zM248 120C248 106.7 237.3 96 224 96C210.7 96 200 106.7 200 120V224C200 230.4 202.5 236.5 207 240.1L255 288.1C264.4 298.3 279.6 298.3 288.1 288.1C298.3 279.6 298.3 264.4 288.1 255L248 214.1V120z", "M248 214.1L288.1 255C298.3 264.4 298.3 279.6 288.1 288.1C279.6 298.3 264.4 298.3 255 288.1L207 240.1C202.5 236.5 200 230.4 200 224V120C200 106.7 210.7 96 224 96C237.3 96 248 106.7 248 120V214.1zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V224C0 347.7 100.3 448 224 448C347.7 448 448 347.7 448 224V464z"]],
    "clock-eight": [512, 512, [], "e345", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V243.2L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L269.3 275.1C275.1 271.5 280 264 280 255.1L280 120z", "M255.1 96C269.3 96 280 106.7 280 120V256C280 264 275.1 271.5 269.3 275.1L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L232 243.2V120C232 106.7 242.7 96 256 96L255.1 96z"]],
    "clock-eight-thirty": [512, 512, [], "e346", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 247.1 275.1 239 267.3 234.8C259.5 230.7 250.1 231.1 242.7 236L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L231.1 300.8L232 392z", "M255.1 416C242.7 416 231.1 405.3 231.1 392V300.8L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L242.7 236C250.1 231.1 259.5 230.7 267.3 234.8C275.1 239 280 247.1 280 256V392C280 405.3 269.3 416 255.1 416L255.1 416z"]],
    "clock-eleven": [512, 512, [], "e347", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 176.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L236 269.3C241.9 278.1 252.8 282 262.1 278.1C273.1 275.9 280 266.6 280 256V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120L232 176.7z", "M280 120V256C280 266.6 273.1 275.9 262.1 278.1C252.8 282 241.9 278.1 236 269.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L231.1 176.7V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120H280z"]],
    "clock-eleven-thirty": [512, 512, [], "e348", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 251.3 278.6 246.6 275.1 242.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L232 263.3L232 392z", "M256 416C242.7 416 232 405.3 232 392V263.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L275.1 242.7C278.6 246.6 280 251.3 280 256V392C280 405.3 269.3 416 256 416H256z"]],
    "clock-five": [512, 512, [], "e349", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 260.7 233.4 265.4 236 269.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L280 248.7L280 120z", "M255.1 96C269.3 96 280 106.7 280 120V248.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L236 269.3C233.4 265.4 232 260.7 232 256V120C232 106.7 242.7 96 256 96H255.1z"]],
    "clock-five-thirty": [512, 512, [], "e34a", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 335.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L275.1 242.7C270.1 233.9 259.2 229.1 249 233C238.9 236.1 231.1 245.4 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 335.3z", "M232 392V256C232 245.4 238.9 236.1 249 233C259.2 229.1 270.1 233.9 275.1 242.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L280 335.3V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392H232z"]],
    "clock-four-thirty": [512, 512, [], "e34b", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 300.8L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L269.3 236C261.9 231.1 252.5 230.7 244.7 234.8C236.9 239 231.1 247.1 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 300.8z", "M232 392V256C232 247.1 236.9 239 244.7 234.8C252.5 230.7 261.9 231.1 269.3 236L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L280 300.8V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L232 392z"]],
    "clock-nine": [512, 512, [], "e34c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H256C269.3 280 280 269.3 280 256V120z", "M256 96C269.3 96 280 106.7 280 120V256C280 269.3 269.3 280 256 280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H232V120C232 106.7 242.7 96 256 96z"]],
    "clock-nine-thirty": [512, 512, [], "e34d", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H232V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z", "M232 392V280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H256C269.3 232 280 242.7 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392z"]],
    "clock-one": [512, 512, [], "e34e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 266.6 238.9 275.9 249 278.1C259.2 282 270.1 278.1 275.1 269.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L280 176.7L280 120z", "M256 96C269.3 96 280 106.7 280 120V176.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L275.1 269.3C270.1 278.1 259.2 282 249 278.1C238.9 275.9 232 266.6 232 256V120C232 106.7 242.7 96 256 96H256z"]],
    "clock-one-thirty": [512, 512, [], "e34f", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 263.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L236 242.7C233.4 246.6 232 251.3 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 263.3z", "M232 392V256C232 251.3 233.4 246.6 236 242.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L280 263.3V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392H232z"]],
    "clock-rotate-left": [512, 512, ["history"], "f1da", ["M151 151C166.1 166.1 155.4 192 134.1 192H24C10.75 192 0 181.3 0 168V57.94C0 36.56 25.85 25.85 40.97 40.97L74.98 74.98C121.3 28.69 185.3 0 255.1 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 255.1 512C201.7 512 151.2 495 109.7 466.1C95.2 455.1 91.64 436 101.8 421.5C111.9 407 131.8 403.5 146.3 413.6C177.4 435.3 215.2 448 255.1 448C362 448 448 362 448 256C448 149.1 362 64 255.1 64C202.1 64 155 85.46 120.2 120.2L151 151z", "M256 128C269.3 128 280 138.7 280 152V246.1L344.1 311C354.3 320.4 354.3 335.6 344.1 344.1C335.6 354.3 320.4 354.3 311 344.1L239 272.1C234.5 268.5 232 262.4 232 256V152C232 138.7 242.7 128 256 128V128z"]],
    "clock-seven": [512, 512, [], "e350", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 248.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L275.1 269.3C278.6 265.4 280 260.7 280 256V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 248.7z", "M280 120V256C280 260.7 278.6 265.4 275.1 269.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L232 248.7V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120H280z"]],
    "clock-seven-thirty": [512, 512, [], "e351", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 245.4 273.1 236.1 262.1 233C252.8 229.1 241.9 233.9 236 242.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L231.1 335.3L232 392z", "M256 416C242.7 416 232 405.3 232 392V335.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L236 242.7C241.9 233.9 252.8 229.1 262.1 233C273.1 236.1 280 245.4 280 256V392C280 405.3 269.3 416 256 416H256z"]],
    "clock-six": [512, 512, [], "e352", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V360C232 373.3 242.7 384 256 384C269.3 384 280 373.3 280 360V120z", "M256 96C269.3 96 280 106.7 280 120V360C280 373.3 269.3 384 256 384C242.7 384 232 373.3 232 360V120C232 106.7 242.7 96 256 96z"]],
    "clock-six-thirty": [512, 512, [], "e353", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232C242.7 232 232 242.7 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z", "M232 392V256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392z"]],
    "clock-ten": [512, 512, [], "e354", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 211.2L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L242.7 275.1C250.1 280.9 259.5 281.3 267.3 277.2C275.1 272.1 280 264.9 280 255.1V119.1C280 106.7 269.3 95.1 256 95.1C242.7 95.1 232 106.7 232 119.1L232 211.2z", "M280 119.1V255.1C280 264.9 275.1 272.1 267.3 277.2C259.5 281.3 250.1 280.9 242.7 275.1L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L231.1 211.2V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120L280 119.1z"]],
    "clock-ten-thirty": [512, 512, [], "e355", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 247.1 275.1 240.5 269.3 236L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L232 268.8V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 256z", "M232 392V268.8L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L269.3 236C275.1 240.5 280 247.1 280 256V392C280 405.3 269.3 416 255.1 416C242.7 416 231.1 405.3 231.1 392L232 392z"]],
    "clock-three": [512, 512, [], "e356", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 269.3 242.7 280 256 280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H280V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256z", "M280 120V232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H256C242.7 280 232 269.3 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120z"]],
    "clock-three-thirty": [512, 512, [], "e357", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H256C242.7 232 232 242.7 232 256V392z", "M256 416C242.7 416 232 405.3 232 392V256C232 242.7 242.7 232 256 232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H280V392C280 405.3 269.3 416 256 416z"]],
    "clock-twelve": [512, 512, [], "e358", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256V120z", "M256 96C269.3 96 280 106.7 280 120V256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256V120C232 106.7 242.7 96 256 96z"]],
    "clock-twelve-thirty": [512, 512, [], "e359", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V152z", "M256 128C269.3 128 280 138.7 280 152V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V152C232 138.7 242.7 128 256 128z"]],
    "clock-two": [512, 512, [], "e35a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 264.9 236.9 272.1 244.7 277.2C252.5 281.3 261.9 280.9 269.3 275.1L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L280 211.2L280 120z", "M256 96C269.3 96 280 106.7 280 120V211.2L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L269.3 275.1C261.9 280.9 252.5 281.3 244.7 277.2C236.9 272.1 232 264.9 232 256V120C232 106.7 242.7 96 256 96L256 96z"]],
    "clock-two-thirty": [512, 512, [], "e35b", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V268.8L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L242.7 236C236 240.5 232 247.1 232 256L232 392z", "M256 416C242.7 416 232 405.3 232 392V256C232 247.1 236 240.5 242.7 236L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L280 268.8V392C280 405.3 269.3 416 255.1 416L256 416z"]],
    "clone": [512, 512, [], "f24d", ["M0 224C0 188.7 28.65 160 64 160H128V288C128 341 170.1 384 224 384H352V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224z", "M160 64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224C188.7 352 160 323.3 160 288V64z"]],
    "closed-captioning": [576, 512, [], "f20a", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM168.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C116.5 305.8 106.5 281.6 106.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C159.5 231.1 154.5 243.2 154.5 256S159.5 280.9 168.6 289.9zM360.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C308.5 305.8 298.5 281.6 298.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C351.5 231.1 346.5 243.2 346.5 256S351.5 280.9 360.6 289.9z", "M236.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C116.5 206.2 106.5 230.4 106.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C159.5 280.9 154.5 268.8 154.5 256s5-24.88 14.06-33.94C187.3 203.3 217.8 203.3 236.5 222.1zM428.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C308.5 206.2 298.5 230.4 298.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C351.5 280.9 346.5 268.8 346.5 256s5-24.88 14.06-33.94C379.3 203.3 409.8 203.3 428.5 222.1z"]],
    "closed-captioning-slash": [640, 512, [], "e135", ["M234.5 351.1c-24.59 0-49.16-9.359-67.88-28.08C148.5 305.8 138.5 281.6 138.5 256c0-15.09 3.841-29.46 10.38-42.58L32 121.8v294.2c0 35.35 28.65 64 64 64l393.1 .0002L296.3 328.9C278.4 343.1 256.6 351.1 234.5 351.1zM256.6 297.8L188.2 244.2C187.2 248 186.5 251.9 186.5 256c0 12.81 5 24.88 14.06 33.94C215.8 305.2 238.5 307.3 256.6 297.8zM544 31.1L96 31.1c-6.645 0-12.96 1.176-18.96 3.073l160 125.4C260.8 161 284.3 170 302.4 188.1c7.367 7.367 8.728 18.23 4.517 27.14l25.92 20.32c3.857-17.83 12.61-34.25 25.81-47.45c37.44-37.44 98.31-37.44 135.8 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.88 0c-9.062 9.062-14.06 21.13-14.06 33.94c0 6.338 1.243 12.49 3.577 18.19l35.89 28.13c14.99 2.729 30.92-.8158 42.47-12.38c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-7.732 7.732-16.62 13.47-25.93 18.01l131.6 103.1C604.7 436.2 608 426.6 608 416V95.1C608 60.65 579.3 31.1 544 31.1z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19-.0001 24.03-.0001c-7.125 0-14.19 3.158-18.91 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "clothes-hanger": [640, 512, [], "e136", ["", "M607.2 377l-236.5-157.7l8.125-5.656C412.1 190.6 432 152.5 432 112C432 50.25 381.8 0 320 0C266.9 0 220.8 37.69 210.2 89.66c-3.5 17.31 7.688 34.19 25.03 37.72C252.5 130.8 269.4 119.7 272.1 102.3C277.5 80.13 297.3 64 320 64c26.47 0 48 21.53 48 48c0 19.59-9.594 37.97-25.69 49.13l-310.7 216.2C11.81 391.1 0 413.7 0 438.3C0 478.9 33.06 512 73.69 512h492.6C606.9 512 640 478.9 640 438.3C640 413.6 627.7 390.7 607.2 377zM566.3 448H73.69C68.34 448 64 443.7 64 437.8c0-3.156 1.562-6.156 4.156-7.938l246.1-171.2l257.5 171.6C574.4 432.1 576 435.1 576 438.3C576 443.7 571.7 448 566.3 448z"]],
    "cloud": [640, 512, [9729], "f0c2", ["M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1z", ""]],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM303 392.1C312.4 402.3 327.6 402.3 336.1 392.1L416.1 312.1C426.3 303.6 426.3 288.4 416.1 279C407.6 269.7 392.4 269.7 383 279L344 318.1V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184V318.1L256.1 279C247.6 269.7 232.4 269.7 223 279C213.7 288.4 213.7 303.6 223 312.1L303 392.1z", "M256.1 279L296 318.1V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V318.1L383 279C392.4 269.7 407.6 269.7 416.1 279C426.3 288.4 426.3 303.6 416.1 312.1L336.1 392.1C327.6 402.3 312.4 402.3 303 392.1L223 312.1C213.7 303.6 213.7 288.4 223 279C232.4 269.7 247.6 269.7 256.1 279V279z"]],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM223 263C213.7 272.4 213.7 287.6 223 296.1C232.4 306.3 247.6 306.3 256.1 296.1L296 257.9V392C296 405.3 306.7 416 320 416C333.3 416 344 405.3 344 392V257.9L383 296.1C392.4 306.3 407.6 306.3 416.1 296.1C426.3 287.6 426.3 272.4 416.1 263L336.1 183C327.6 173.7 312.4 173.7 303 183L223 263z", "M223 296.1C213.7 287.6 213.7 272.4 223 263L303 183C312.4 173.7 327.6 173.7 336.1 183L416.1 263C426.3 272.4 426.3 287.6 416.1 296.1C407.6 306.3 392.4 306.3 383 296.1L344 257.9V392C344 405.3 333.3 416 320 416C306.7 416 296 405.3 296 392V257.9L256.1 296.1C247.6 306.3 232.4 306.3 223 296.1V296.1z"]],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", ["M352 351.1h-71.25l47.44-105.4c3.062-6.781 1.031-14.81-4.906-19.31c-5.969-4.469-14.22-4.312-19.94 .4687l-153.6 128c-5.156 4.312-7.094 11.41-4.781 17.72c2.281 6.344 8.281 10.56 15.03 10.56h71.25l-47.44 105.4c-3.062 6.781-1.031 14.81 4.906 19.31C191.6 510.9 194.1 512 198.4 512c3.656 0 7.281-1.25 10.25-3.719l153.6-128c5.156-4.312 7.094-11.41 4.781-17.72C364.8 356.2 358.8 351.1 352 351.1z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h46.63l140.2-116.8c8.605-7.195 19.53-11.16 30.76-11.16c10.34 0 20.6 3.416 29.03 9.734c17.96 13.61 24.02 37.45 14.76 57.95L330.2 320H416c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", ["M272 368H216.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H167.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C137.4 510.1 140.7 512 143.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C284.6 372.1 278.7 368 272 368zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.502-3.125 4.125-11.38-2.125-12.5C479.7 .75 470.8 0 461.8 0c-77.88 0-141 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.125 .5 10 1.5 15.26 1.5c44.63 0 85.5-20.12 112.5-53.25C578.6 229.8 574.2 222.6 567.9 223.8z", "M415.1 304C415.1 348.3 380.2 384 335.1 384h-16.32c.0137-5.684-.6621-11.38-2.729-16.88c-6.982-18.6-25.04-31.11-44.92-31.11H264.8l19.33-45.09c8.871-20.71 2.336-44.44-15.89-57.71C259.9 227.2 250.2 224 239.1 224C228.3 224 217.1 228.2 208.3 235.9l-127.9 111.9c-10.14 8.846-15.44 21.53-15.9 34.56C27.7 375.2 0 342.9 0 304c0-38.75 27.63-71.13 64.27-78.38c0-.5-.25-1.125-.25-1.625c0-53 43.01-96 96.03-96c32.13 0 60.27 15.88 77.77 40C248.2 163 259.8 160 272.1 160c39.26 0 71.65 28.25 78.52 65.5C387.9 232.3 416.1 264.8 415.1 304z"]],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", ["M464 368H408.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38h55.73l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C329.4 510.1 332.7 512 335.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C476.6 372.1 470.7 368 464 368zM156.1 259.8c-37.38-37.38-37.38-98.25 0-135.8c34.63-34.63 89.13-36.88 126.6-7.375c20-13 43.63-20.75 69.25-20.75c.75 0 1.25 .25 2 .25l8.875-26.75c3.375-10.25-6.25-19.75-16.5-16.38L271.1 78.22l-35.5-71c-4.875-9.625-18.5-9.625-23.38 0l-35.5 71L101.5 53.09c-10.25-3.375-19.75 6.25-16.38 16.5l25.12 75.25l-71 35.5c-9.625 4.875-9.625 18.5 0 23.38l71 35.5L85.09 314.5c-3.375 10.25 6.25 19.75 16.5 16.5l59.13-19.75C160.6 308.8 160.1 306.6 160.1 304.1c0-12.5 2.25-24.5 6.125-35.88C162.7 265.5 159.2 262.1 156.1 259.8zM225.8 201.8c4.375-24.5 15.88-46.38 31.88-64C247.1 131.7 236.3 127.1 223.1 127.1c-35.25 0-64 28.75-64 64c0 18.75 8.25 35.38 21.12 47.13C192.3 223.2 207.7 210.2 225.8 201.8z", "M608 303.9C608 348.1 572.2 384 527.1 384h-16.32c.0137-5.684-.6602-11.38-2.727-16.88c-6.977-18.6-25.03-31.11-44.92-31.11h-7.197l19.33-45.09c8.871-20.71 2.334-44.44-15.89-57.71C451.9 227.2 442.2 224 431.1 224c-11.65 0-22.89 4.24-31.64 11.94l-127.9 111.9c-10.14 8.848-15.43 21.54-15.89 34.56C219.7 375.2 192 342.9 192 304c0-38.75 27.63-71 64.27-78.38c0-.5-.25-1.125-.25-1.625c0-53 43.01-96 96.03-96c32.13 0 60.27 15.88 77.77 40C440.2 163 451.8 160 464.1 160c39.26 0 71.65 28.25 78.52 65.5C579.9 232.3 608.1 264.6 608 303.9z"]],
    "cloud-check": [640, 512, [], "e35c", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM435.8 243.8C446.7 232.9 446.7 215.1 435.8 204.2C424.9 193.3 407.1 193.3 396.2 204.2L288 312.4L243.8 268.2C232.9 257.3 215.1 257.3 204.2 268.2C193.3 279.1 193.3 296.9 204.2 307.8L268.2 371.8C279.1 382.7 296.9 382.7 307.8 371.8L435.8 243.8z", "M435.8 204.2C446.7 215.1 446.7 232.9 435.8 243.8L307.8 371.8C296.9 382.7 279.1 382.7 268.2 371.8L204.2 307.8C193.3 296.9 193.3 279.1 204.2 268.2C215.1 257.3 232.9 257.3 243.8 268.2L288 312.4L396.2 204.2C407.1 193.3 424.9 193.3 435.8 204.2z"]],
    "cloud-drizzle": [512, 512, [], "f738", ["M352 424c-13.25 0-24 10.75-24 24v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448C376 434.8 365.3 424 352 424zM448 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C472 362.8 461.3 352 448 352zM160 424c-13.25 0-24 10.75-24 24v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448C184 434.8 173.3 424 160 424zM64 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24S88 429.3 88 416v-40C88 362.8 77.25 352 64 352zM256 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C280 362.8 269.3 352 256 352z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-exclamation": [640, 512, [], "e491", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM296 184V296C296 309.3 306.7 320 320 320C333.3 320 344 309.3 344 296V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z", "M344 296C344 309.3 333.3 320 320 320C306.7 320 296 309.3 296 296V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V296zM288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384z"]],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", ["M576 400C576 386.8 565.2 376 552 376h-528C10.8 376 0 386.8 0 399.1C0 413.2 10.8 424 23.1 424h528C565.2 424 576 413.2 576 400zM200 464H87.1C74.8 464 64 474.8 64 487.1S74.8 512 87.1 512H200C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464H295.1C282.8 464 272 474.8 272 487.1S282.8 512 295.1 512H616c13.2 0 24-10.8 24-23.1S629.2 464 616 464z", "M160 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C479.5 123 480 117.6 480 112C480 67.75 444.2 32 400 32c-24.62 0-46.25 11.25-61 28.75C320.4 24.75 283.2 0 240 0C178.1 0 128 50.12 128 112c0 7.25 .75 14.25 2.125 21.25C91.75 145.8 64 181.5 64 224C64 277 107 320 160 320z"]],
    "cloud-hail": [512, 512, [], "f739", ["M384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352z", "M512 224c0 53-43 96-96 96H96c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.13-90.75C64.75 126.2 64 119.2 64 112C64 50.12 114.1 0 176 0c43.25 0 80.38 24.75 99 60.75C289.8 43.25 311.4 32 336 32C380.2 32 416 67.75 416 112c0 5.625-.5 11-1.625 16.25C414.9 128.2 415.4 128 416 128C469 128 512 171 512 224z"]],
    "cloud-hail-mixed": [512, 512, [], "f73a", ["M32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM256 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 448 256 448zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l48-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.45 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C99.28 373.3 93.64 359.2 81.45 353.9zM305.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C323.3 373.3 317.6 359.2 305.5 353.9zM433.5 353.9c-12.16-5.219-26.28 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l48-112C451.3 373.3 445.6 359.2 433.5 353.9z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-meatball": [576, 512, [], "f73b", ["M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM377 363.1c4.625-14.5 1.625-30.88-9.75-42.37c-11.5-11.5-27.87-14.38-42.37-9.875c-7-13.5-20.63-23-36.88-23s-29.88 9.5-36.88 23C236.6 306.2 220.2 309.2 208.8 320.8c-11.5 11.5-14.38 27.87-9.875 42.37c-13.5 7-23 20.63-23 36.88s9.5 29.88 23 36.88c-4.625 14.5-1.625 30.88 9.875 42.37c8.25 8.125 19 12.25 29.75 12.25c4.25 0 8.5-1.125 12.62-2.5C258.1 502.5 271.8 512 288 512s29.88-9.5 36.88-23c4.125 1.25 8.375 2.5 12.62 2.5c10.75 0 21.5-4.125 29.75-12.25c11.5-11.5 14.38-27.87 9.75-42.37C390.5 429.9 400 416.2 400 400S390.5 370.1 377 363.1z", "M448 320h-43.38c-3.5-8-8.375-15.38-14.87-21.75c-13.5-13.5-31.5-21.12-50.75-21.37C325.5 263.8 307.2 256 288 256S250.5 263.8 237 276.9C217.8 277.1 199.8 284.8 186.2 298.2C179.8 304.6 175 312 171.4 320H128c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.13-90.75C96.75 126.2 96 119.2 96 112C96 50.12 146.1 0 208 0c43.25 0 80.38 24.75 99 60.75C321.8 43.25 343.4 32 368 32C412.2 32 448 67.75 448 112c0 5.625-.5 10.1-1.625 16.25C446.9 128.3 447.4 128 448 128c53 0 96 43 96 96S501 320 448 320z"]],
    "cloud-minus": [640, 512, [], "e35d", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM232 264C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H232z", "M208 288C208 274.7 218.7 264 232 264H408C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H232C218.7 312 208 301.3 208 288z"]],
    "cloud-moon": [576, 512, [], "f6c3", ["M565.2 298.4c-92.1 17.75-178.5-53.62-178.5-147.6c0-54.25 29-104 76.12-130.9c7.375-4.125 5.375-15.12-2.75-16.63C448.4 1.125 436.7 0 424.1 0c-105.9 0-191.9 85.88-191.9 192c0 8.5 .6251 16.75 1.75 25c5.875 4.25 11.62 8.875 16.75 14.25C262.1 226.5 275.2 224 287.1 224c52.87 0 95.1 43.13 95.1 96c0 3.625-.25 7.25-.625 10.75c23.62 10.75 42.37 29.5 53.5 52.5c54.37-3.375 103.7-29.25 137.1-70.37C579.2 306.4 573.5 296.8 565.2 298.4z", "M415.1 431.1C415.1 476.2 380.2 512 335.1 512H95.99c-52.1 0-95.1-43-95.1-96c0-41.88 27.13-77.25 64.62-90.25c-.125-2-.6279-3.687-.6279-5.687c0-53 43-96.06 96-96.06c36.25 0 67.37 20.25 83.75 49.88c11.5-11 27-17.87 44.25-17.87c35.25 0 63.1 28.75 63.1 64c0 12-3.5 23.13-9.25 32.75C383.7 356.2 415.1 390.1 415.1 431.1z"]],
    "cloud-moon-rain": [576, 512, [], "f73c", ["M567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.501-3.125 4.077-11.37-2.173-12.5C479.6 .7538 470.8 0 461.8 0c-77.88 0-141.1 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.126 .5 10.05 1.522 15.3 1.522c44.63 0 85.46-20.15 112.5-53.27C578.6 229.8 574.2 222.6 567.9 223.8zM340.1 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C318.8 510.7 323.4 512 327.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C362.3 412.7 347.4 415.7 340.1 426.7zM244 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C222.8 510.7 227.4 512 231.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C266.3 412.7 251.4 415.7 244 426.7zM148 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C126.8 510.7 131.4 512 135.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C170.3 412.7 155.4 415.7 148 426.7zM52.03 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C30.78 510.7 35.41 512 39.97 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C74.25 412.7 59.41 415.7 52.03 426.7z", "M350.5 225.5c-6.876-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 2.1-34.25 7.1C220.3 143.9 192.1 128 160 128c-53.01 0-96.01 42.1-96.01 95.1c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 44.25 35.75 79.1 80.01 79.1h256c44.25 0 80.01-35.75 80.01-79.1C416 264.8 387.8 232.3 350.5 225.5z"]],
    "cloud-music": [640, 512, [], "f8ae", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM416 207.1C416 184.7 393.7 169.3 372.8 177.1L276.8 213.1C264.3 217.8 256 229.7 256 243.1V330.3C250.1 328.8 245.6 328 240 328C213.5 328 192 345.9 192 368C192 390.1 213.5 408 240 408C266.5 408 288 390.1 288 368V275.1L384 239.1V298.3C378.1 296.8 373.6 296 368 296C341.5 296 320 313.9 320 336C320 358.1 341.5 376 368 376C394.5 376 416 358.1 416 336V207.1z", "M372.8 177.1C393.7 169.3 416 184.7 416 207.1V336C416 358.1 394.5 376 368 376C341.5 376 320 358.1 320 336C320 313.9 341.5 296 368 296C373.6 296 378.1 296.8 384 298.3V239.1L288 275.1V368C288 390.1 266.5 408 240 408C213.5 408 192 390.1 192 368C192 345.9 213.5 328 240 328C245.6 328 250.1 328.8 256 330.3V243.1C256 229.7 264.3 217.8 276.8 213.1L372.8 177.1z"]],
    "cloud-plus": [640, 512, [], "e35e", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM320 400C333.3 400 344 389.3 344 376V312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H344V200C344 186.7 333.3 176 320 176C306.7 176 296 186.7 296 200V264H232C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H296V376C296 389.3 306.7 400 320 400z", "M232 312C218.7 312 208 301.3 208 288C208 274.7 218.7 264 232 264H296V200C296 186.7 306.7 176 320 176C333.3 176 344 186.7 344 200V264H408C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H344V376C344 389.3 333.3 400 320 400C306.7 400 296 389.3 296 376V312H232z"]],
    "cloud-question": [640, 512, [], "e492", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM233.4 198.5C228.9 211 235.5 224.7 247.1 229.2C260.5 233.6 274.2 227.1 278.6 214.6L279.1 213.3C280.2 210.1 283.2 208 286.6 208H344.9C353.2 208 360 214.8 360 223.1C360 228.6 357.1 233.6 352.4 236.3L308.1 261.7C300.6 266 296 273.9 296 282.5V296C296 309.3 306.7 320 320 320C333.1 320 343.8 309.5 343.1 296.4L376.3 277.9C395.9 266.7 408 245.8 408 223.1C408 188.3 379.7 160 344.9 160H286.6C262.9 160 241.8 174.9 233.8 197.3L233.4 198.5zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z", "M344.9 160C379.7 160 408 188.3 408 223.1C408 245.8 395.9 266.7 376.3 277.9L343.1 296.4C343.8 309.5 333.1 320 320 320C306.7 320 296 309.3 296 296V282.5C296 273.9 300.6 266 308.1 261.7L352.4 236.3C357.1 233.6 360 228.6 360 223.1C360 214.8 353.2 208 344.9 208H286.6C283.2 208 280.2 210.1 279.1 213.3L278.6 214.6C274.2 227.1 260.5 233.6 247.1 229.2C235.5 224.7 228.9 211 233.4 198.5L233.8 197.3C241.8 174.9 262.9 160 286.6 160L344.9 160zM288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384z"]],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", ["M368 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S368 437.5 368 464zM48 464C48 490.5 69.49 512 96 512s48-21.49 48-48s-48.01-95.1-48.01-95.1S48 437.5 48 464zM208 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S208 437.5 208 464z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-rainbow": [576, 512, [], "f73e", ["M430.8 304.9c10 5.625 19 12.37 27 20.37C487.1 292.8 529 272 576 272v-64c-61 0-116.2 24.62-156.8 64.25C424.9 282.2 429 293.2 430.8 304.9zM238.6 173.6c21 5.875 40.38 16.5 56.62 31C359.6 119.4 461.2 64 576 64V0C437.1 0 314.2 68.75 238.6 173.6zM325.8 225.1C333.2 224.2 362.5 219.8 394.2 244C440.6 197.2 504.9 168 576 168v-64C474.8 104 384.4 151.4 325.8 225.1z", "M464 416c0 53-43 96-96 96H96c-53 0-96-43-96-96c0-50.63 39.25-91.63 88.88-95.25C88.75 317.8 88 315 88 312c0-61.88 50.12-112 112-112c45.38 0 84.25 27.12 101.9 66C311.8 259.8 323.4 256 336 256c35.25 0 64 28.75 64 64c0 1.875-.625 3.75-.75 5.625C436.8 338.6 464 374 464 416z"]],
    "cloud-showers": [512, 512, [], "f73f", ["M200 384c-13.25 0-24 10.75-24 24v80C176 501.3 186.8 512 200 512S224 501.3 224 488v-80C224 394.8 213.3 384 200 384zM104 352c-13.25 0-24 10.75-24 24v80C80 469.3 90.75 480 104 480S128 469.3 128 456v-80C128 362.8 117.3 352 104 352zM296 352c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S320 469.3 320 456v-80C320 362.8 309.3 352 296 352zM392 384c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S416 501.3 416 488v-80C416 394.8 405.3 384 392 384z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-showers-heavy": [512, 512, [], "f740", ["M198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.46 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C-3.276 490.7 2.365 504.8 14.55 510.1C17.63 511.4 20.83 512 23.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C99.29 373.3 93.64 359.2 81.46 353.9zM316.1 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C252.3 511.4 255.5 512 258.7 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C333.1 373.3 328.3 359.2 316.1 353.9zM433.5 353.9c-12.17-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C451.3 373.3 445.6 359.2 433.5 353.9z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C256.4 24.75 219.3 0 176 0C114.3 0 64 50.13 64 112c0 7.25 .7512 14.25 2.126 21.25C27.76 145.8 .0054 181.5 .0054 224c0 53 42.1 96 95.1 96h319.1C469 320 512 277 512 224S469 128 416 128z"]],
    "cloud-showers-water": [576, 512, [], "e4e4", ["M132.3 259.4C143.7 266.2 147.4 280.1 140.6 292.4L92.58 372.4C85.76 383.7 71.02 387.4 59.65 380.6C48.29 373.8 44.6 359 51.42 347.7L99.42 267.7C106.2 256.3 120.1 252.6 132.3 259.4zM468.3 259.4C479.7 266.2 483.4 280.1 476.6 292.4L428.6 372.4C421.8 383.7 407 387.4 395.7 380.6C384.3 373.8 380.6 359 387.4 347.7L435.4 267.7C442.2 256.3 456.1 252.6 468.3 259.4zM204.6 372.4C197.8 383.7 183 387.4 171.7 380.6C160.3 373.8 156.6 359 163.4 347.7L211.4 267.7C218.2 256.3 232.1 252.6 244.3 259.4C255.7 266.2 259.4 280.1 252.6 292.4L204.6 372.4zM356.3 259.4C367.7 266.2 371.4 280.1 364.6 292.4L316.6 372.4C309.8 383.7 295 387.4 283.7 380.6C272.3 373.8 268.6 359 275.4 347.7L323.4 267.7C330.2 256.3 344.1 252.6 356.3 259.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.9 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.5 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.2 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.2 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.5 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.9 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z", "M368 32C406.7 32 438.1 59.48 446.4 96H448C483.3 96 512 124.7 512 160C512 195.3 483.3 224 448 224H128C92.65 224 64 195.3 64 160C64 124.7 92.65 96 128 96C128 42.98 170.1 0 224 0C262.6 0 295.9 22.82 311.2 55.7C325.7 41.07 345.8 32 368 32z"]],
    "cloud-slash": [640, 512, [], "e137", ["M138.6 83.31C167.8 51.75 209.6 32 255.1 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 388.6 624.6 421.6 599.1 444.1L138.6 83.31zM97.17 172.6L487.4 480H143.1C64.47 480-.001 415.5-.001 336C-.001 273.2 40.17 219.8 96.2 200.1C96.07 197.4 95.1 194.7 95.1 192C95.1 185.4 96.4 178.9 97.17 172.6V172.6z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "cloud-sleet": [576, 512, [], "f741", ["M113.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C28.72 490.7 34.36 504.8 46.55 510.1C49.63 511.4 52.83 512 55.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C131.3 373.3 125.6 359.2 113.5 353.9zM385.5 353.9c-12.22-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C321.6 511.4 324.8 512 327.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C403.3 373.3 397.6 359.2 385.5 353.9zM520 392h-15.1v-16c0-13.25-10.75-24-23.1-24c-13.25 0-23.1 10.75-23.1 24v16h-15.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h15.1v16c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24v-16h15.1C533.3 440 544 429.3 544 416S533.3 392 520 392zM264 392H248v-16c0-13.25-10.75-24-23.1-24S200 362.8 200 376v16H184c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24H200v16c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24v-16h15.1c13.25 0 23.1-10.75 23.1-24S277.3 392 264 392z", "M128 320h319.1C501 320 544 277 544 224s-42.1-96-95.1-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C288.4 24.75 251.3 0 208 0C146.1 0 96 50.13 96 112c0 7.25 .7512 14.25 2.126 21.25C59.76 145.8 32.01 181.5 32.01 224C32.01 277 75.01 320 128 320z"]],
    "cloud-snow": [512, 512, [127784], "f742", ["M104 392h-16v-16C88 362.8 77.25 352 64 352s-24 10.75-24 24v16h-16C10.75 392 0 402.8 0 416s10.75 24 24 24h16v16C40 469.3 50.75 480 64 480s24-10.75 24-24v-16h16C117.3 440 128 429.3 128 416S117.3 392 104 392zM488 392h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C394.8 392 384 402.8 384 416s10.75 24 24 24h16v16c0 13.25 10.75 24 24 24s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S501.3 392 488 392zM296 424h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C202.8 424 192 434.8 192 448s10.75 24 24 24h16v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S309.3 424 296 424z", "M96 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224C0 277 43 320 96 320z"]],
    "cloud-sun": [640, 512, [9925], "f6c4", ["M144.7 303c-43.63-43.74-43.63-114.7 0-158.3c43.75-43.62 114.8-43.62 158.5 0c9.626 9.748 16.88 20.1 22.25 32.74c9.75-3.749 20.13-5.999 30.75-7.499l29.75-88.86c4-11.87-7.25-23.12-19.25-19.25L278.1 91.2L237.5 8.342c-5.5-11.12-21.5-11.12-27.13 0L168.1 91.2L81.1 61.83C69.22 57.96 57.97 69.21 61.85 81.08l29.38 87.73L8.344 210.3c-11.13 5.624-11.13 21.5 0 27.12l82.88 41.37l-29.38 87.86c-4 11.87 7.375 22.1 19.25 19.12l76.13-25.25c6-12.37 14-23.75 23.5-33.49C167.7 321.7 155.4 313.7 144.7 303zM139.1 223.8c0 40.87 29.25 74.86 67.88 82.36c8-4.749 16.38-8.873 25.25-11.75C238.5 250.2 264.1 211.9 300.5 189.4C287.2 160.3 257.1 139.9 223.1 139.9C177.7 139.9 139.1 177.6 139.1 223.8z", "M639.1 416C639.1 468.1 596.1 512 543.1 512H271.1c-53 0-96-43-96-95.99c0-50.62 39.25-91.62 88.88-95.37C264.7 317.8 263.1 315 263.1 312c0-61.86 50.25-111.1 112-111.1c45.38 0 84.25 27.13 101.9 65.1c9.876-6.249 21.5-9.999 34.13-9.999c35.25 0 63.1 28.63 63.1 64c0 1.875-.6203 3.619-.7453 5.619C612.7 338.6 639.1 373.9 639.1 416z"]],
    "cloud-sun-rain": [640, 512, [127782], "f743", ["M255.7 139.1C244.8 125.5 227.6 116 208 116c-33.14 0-60 26.86-60 59.1c0 25.56 16.06 47.24 38.58 55.88C197.2 219.3 210.5 208.9 225.9 201.1C229.1 178.5 240.6 157.3 255.7 139.1zM264 415.1c-7.756 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C208 501.4 218.9 512 231.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C288 426.6 277.1 415.1 264 415.1zM120 175.1c0-48.6 39.4-87.1 88-87.1c27.8 0 52.29 13.14 68.42 33.27c21.24-15.67 47.21-25.3 75.58-25.3c.0098 0-.0098 0 0 0L300.4 83.58L286.9 8.637C285.9 3.346 281.3 .0003 276.5 .0003c-2.027 0-4.096 .5928-5.955 1.881l-62.57 43.42L145.4 1.882C143.6 .5925 141.5-.0003 139.5-.0003c-4.817 0-9.399 3.346-10.35 8.636l-13.54 74.95L40.64 97.13C35.35 98.08 31.1 102.7 31.1 107.5c0 2.026 .5922 4.094 1.881 5.951l43.41 62.57L33.88 238.6C32.59 240.4 32 242.5 32 244.5c0 4.817 3.347 9.398 8.636 10.35l74.95 13.54l13.54 74.95c.9555 5.289 5.537 8.636 10.35 8.636c2.027 0 4.096-.5927 5.954-1.882l19.47-13.51c-3.16-10.34-4.934-21.28-4.934-32.64c0-17.17 4.032-33.57 11.14-48.32C141 241.7 120 211.4 120 175.1zM576 440c0-13.39-10.89-24.02-24-24.02c-7.753 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C496 501.4 506.9 512 520 512c7.75 0 15.36-3.75 19.98-10.69l32-48C574.7 449.2 576 444.6 576 440zM360 415.1c-7.753 0-15.34 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C304 501.4 314.9 512 327.1 512c7.75 0 15.36-3.75 19.99-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C384 426.6 373.1 415.1 360 415.1zM456 415.1c-7.751 0-15.34 3.752-19.98 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C400 501.4 410.9 512 423.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C480 426.6 469.1 415.1 456 415.1z", "M542.5 225.5c-6.875-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 8c-17.5-24.13-45.63-40-77.76-40c-53 0-96.01 43-96.01 96c0 .5 .25 1.125 .25 1.625C219.6 232.1 191.1 265.2 191.1 303.1c0 44.25 35.75 80 80.01 80h256C572.2 383.1 608 348.2 608 303.1C608 264.7 579.7 232.2 542.5 225.5z"]],
    "cloud-word": [640, 512, [], "e138", ["M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1zM512 368C512 359.2 504.8 352 496 352H304C295.2 352 288 359.2 288 368C288 376.8 295.2 384 304 384H496C504.8 384 512 376.8 512 368zM144 352C135.2 352 128 359.2 128 368C128 376.8 135.2 384 144 384H240C248.8 384 256 376.8 256 368C256 359.2 248.8 352 240 352H144zM144 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H144C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320zM400 288C391.2 288 384 295.2 384 304C384 312.8 391.2 320 400 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H400z", "M128 304C128 295.2 135.2 288 144 288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H144C135.2 320 128 312.8 128 304zM240 352C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H144C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352H240zM496 352C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H304C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352H496zM496 288C504.8 288 512 295.2 512 304C512 312.8 504.8 320 496 320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H496z"]],
    "cloud-xmark": [640, 512, [], "e35f", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM239 240.1L286.1 287.1L239 335C229.7 344.4 229.7 359.6 239 368.1C248.4 378.3 263.6 378.3 272.1 368.1L319.1 321.9L367 368.1C376.4 378.3 391.6 378.3 400.1 368.1C410.3 359.6 410.3 344.4 400.1 335L353.9 287.1L400.1 240.1C410.3 231.6 410.3 216.4 400.1 207C391.6 197.7 376.4 197.7 367 207L319.1 254.1L272.1 207C263.6 197.7 248.4 197.7 239 207C229.7 216.4 229.7 231.6 239 240.1V240.1z", "M319.1 254.1L367 207C376.4 197.7 391.6 197.7 400.1 207C410.3 216.4 410.3 231.6 400.1 240.1L353.9 287.1L400.1 335C410.3 344.4 410.3 359.6 400.1 368.1C391.6 378.3 376.4 378.3 367 368.1L319.1 321.9L272.1 368.1C263.6 378.3 248.4 378.3 239 368.1C229.7 359.6 229.7 344.4 239 335L286.1 287.1L239 240.1C229.7 231.6 229.7 216.4 239 207C248.4 197.7 263.6 197.7 272.1 207L319.1 254.1z"]],
    "clouds": [640, 512, [], "f744", ["M304 160c40.75 0 78.63 17.25 105.4 46.5c9.875-5.625 20.5-9.375 31.62-11.75C445.2 183.9 448 172.4 448 160c0-53-43-96-96-96c-14.12 0-27.38 3.25-39.5 8.75C296.6 30.25 256 0 208 0C151.6 0 105.2 41.88 97.62 96.25C97.12 96.25 96.62 96 96 96C43 96 0 139 0 192s43 96 96 96h65.62C169.8 216.2 230.1 160 304 160z", "M640 416c0 53-43 96-96 96H224c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.12-90.75C192.8 318.2 192 311.2 192 304C192 242.1 242.1 192 304 192c43.25 0 80.38 24.88 99 60.75C417.8 235.2 439.4 224 464 224C508.2 224 544 259.8 544 304c0 5.625-.5 11-1.625 16.25C542.9 320.2 543.4 320 544 320C597 320 640 363 640 416z"]],
    "clouds-moon": [640, 512, [], "f745", ["M630.1 248.7C552.7 263.5 481 204 481 125.6c0-45.12 24.25-86.62 63.88-109c6.125-3.375 4.625-12.62-2.375-13.87C532.9 .875 523 0 513.1 0c-88.88 0-161.1 71.62-161.1 160c0 .75 .25 1.25 .25 2c16.25 16.75 27 38.75 30.25 63.12c38.5 5.125 71.75 29.88 87.63 64.75c23.13 4 44 14.37 61.13 29.12c42.5-4.75 80.63-25.1 107-58.25C642.8 255.3 637.9 247.3 630.1 248.7z", "M448 320h-1.625c-7.375-36.5-39.67-63.99-78.43-63.99c-24.63 0-46.2 11.24-60.95 28.74C288.4 248.9 251.3 224 208 224c-58.25 0-105.6 44.75-110.9 101.6C59.25 338.5 32 373.9 32 416c0 53 42.1 96 96 96h320c53 0 96-43 96-96S501 320 448 320zM68.25 303.3C83.25 238.6 140.3 192 208 192c40.75 0 78.63 17.25 105.4 46.5C324.9 232 337.5 227.7 350.5 225.6C343.8 188.2 311.3 160 272 160H254.4C247 123.5 214.8 96 176 96S105 123.5 97.63 160H80C35.75 160 0 195.8 0 240c0 33.88 21.25 62.71 51 74.34C56.5 310.3 62.25 306.4 68.25 303.3z"]],
    "clouds-sun": [640, 512, [], "f746", ["M207.1 128c-44.18 0-79.1 35.81-79.1 79.1c0 20.81 8.139 39.59 21.16 53.83C173.1 221.5 215.8 194.5 265.1 192.1l10.28-15.07c1.148-1.684 2.715-2.938 3.943-4.545C266.2 146.2 239.4 128 207.1 128zM317.2 98.78L301.2 10.21C299.6 1.325 289.3-2.919 281.9 2.226l-73.94 51.31l-73.94-51.32c-7.413-5.145-17.67-.8988-19.27 7.983l-16.01 88.58L10.21 114.8C1.327 116.4-2.921 126.6 2.223 134.1l51.3 73.94l-51.3 73.94c-5.144 7.415-.8969 17.67 7.983 19.27l99.58 17.56c6.977-5.862 14.43-11.22 22.66-15.55C133.3 299.7 134.6 296.4 135.7 292.9C111.6 272.4 95.1 242.2 95.1 208c0-61.86 50.14-111.1 111.1-111.1c40.38 0 75.47 21.57 95.17 53.63c17.41-12.51 37.81-20.52 59.66-21.54c3.218-6.789 7.303-13.02 11.75-18.95L317.2 98.78z", "M512 319.1h-1.625c-7.374-36.5-39.63-64-78.37-64c-24.62 0-46.25 11.25-60.1 28.75c-18.62-35.88-55.75-60.75-98.1-60.75c-58.24 0-105.6 44.75-110.9 101.6c-37.87 12.88-65.12 48.25-65.12 90.38c0 53 43 96 95.1 96h319.1c52.99 0 95.1-42.1 95.1-96S565 319.1 512 319.1zM560.1 159.1h-17.62c-7.374-36.5-39.62-64-78.37-64s-70.1 27.5-78.37 64h-17.62c-27.62 0-51.75 13.87-66.25 35.13c29.12 6.125 55.5 21.25 75.62 43.25c16.5-9.376 35.37-14.5 54.62-14.5c44.62 0 84.25 26.62 102.1 65.88c20.5 3.625 39.12 12.38 54.1 24.5c29.75-11.75 50.86-40.41 50.86-74.29C640 195.8 604.3 159.1 560.1 159.1z"]],
    "clover": [448, 512, [], "e139", ["M216.6 49.94L223.1 57.37L231.4 49.94C242.9 38.45 258.5 32 274.7 32C308.6 32 336 59.42 336 93.25V98.12C336 110.1 332.7 121.9 326.6 132.1L294.6 185.4L347.9 153.4C358.1 147.3 369.9 144 381.9 144H386.7C420.6 144 448 171.4 448 205.3C448 221.5 441.5 237.1 430.1 248.6L422.6 255.1L430.1 263.4C441.5 274.9 448 290.5 448 306.7C448 340.6 420.6 368 386.7 368H381.9C369.9 368 358.1 364.7 347.9 358.6L294.6 326.6L326.6 379.9C332.7 390.1 336 401.9 336 413.9V418.7C336 452.6 308.6 480 274.7 480C258.5 480 242.9 473.5 231.4 462.1L223.1 454.6L216.6 462.1C205.1 473.5 189.5 480 173.3 480C139.4 480 112 452.6 112 418.7V413.9C112 401.9 115.3 390.1 121.4 379.9L153.4 326.6L100.1 358.6C89.86 364.7 78.1 368 66.12 368H61.25C27.42 368 0 340.6 0 306.7C0 290.5 6.454 274.9 17.94 263.4L25.37 255.1L17.94 248.6C6.454 237.1 0 221.5 0 205.3C0 171.4 27.42 144 61.25 144H66.12C78.1 144 89.86 147.3 100.1 153.4L153.4 185.4L121.4 132.1C115.3 121.9 112 110.1 112 98.12V93.25C112 59.42 139.4 32 173.3 32C189.5 32 205.1 38.45 216.6 49.94z", ""]],
    "club": [512, 512, [9827], "f327", ["M288 372.7V256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256V372.7C200.5 399.2 166.2 416 128 416C57.31 416 0 358.7 0 288C0 217.3 57.31 160 128 160C129.4 160 130.7 160 132 160.1C129.4 149.8 128 139.1 128 128C128 57.31 185.3 0 256 0C326.7 0 384 57.31 384 128C384 139.1 382.6 149.8 379.1 160.1C381.3 160 382.6 160 384 160C454.7 160 512 217.3 512 288C512 358.7 454.7 416 384 416C345.8 416 311.5 399.2 288 372.7z", "M256 224C273.7 224 288 238.3 288 256V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V256C224 238.3 238.3 224 256 224z"]],
    "coconut": [512, 512, [], "e2f6", ["M305.1 78.16c4.919 0 8.695 1.047 10.61 2.926c13.57 13.33-12.93 80.56-83.77 151.5C172.9 292.5 117.7 319.9 91.54 320c-4.925 0-8.713-1.052-10.6-2.901c-13.58-13.35 12.92-80.6 83.8-151.5C224.6 105.7 279.8 78.27 305.1 78.16z", "M436.9 66.84l-40.03-39.76C339.2-30.23 209.7 6.4 107.7 108.9s-137.9 232.1-80.17 289.4l40.03 39.76c99.72 99.04 260.9 98.56 360-1.076l10.34-10.39C537.1 326.9 536.6 165.9 436.9 66.84zM91.88 355.2c-17.22 0-27.84-6.656-33.5-12.25C21.09 305.9 72.27 214.9 142.1 144.2c58.66-59.39 123-97.89 163.1-98.08c17.22 0 27.84 6.656 33.5 12.25c37.28 37.05-13.91 128-83.72 198.7C197.2 316.5 132.8 355 91.88 355.2zM259.3 451.3C256.2 454.4 252.1 456 248 456s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C265.6 434.9 265.6 445.1 259.3 451.3zM395.3 395.3C392.2 398.4 388.1 400 384 400s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C401.6 378.9 401.6 389.1 395.3 395.3zM440 264c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32c6.25 6.25 6.25 16.38 0 22.62C448.2 262.4 444.1 264 440 264z"]],
    "code": [640, 512, [], "f121", ["M414.8 40.79L286.8 488.8C281.9 505.8 264.2 515.6 247.2 510.8C230.2 505.9 220.4 488.2 225.2 471.2L353.2 23.21C358.1 6.216 375.8-3.624 392.8 1.232C409.8 6.087 419.6 23.8 414.8 40.79z", "M518.6 121.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L518.6 390.6C506.1 403.1 485.9 403.1 473.4 390.6C460.9 378.1 460.9 357.9 473.4 345.4L562.7 256L473.4 166.6C460.9 154.1 460.9 133.9 473.4 121.4C485.9 108.9 506.1 108.9 518.6 121.4V121.4zM166.6 166.6L77.25 256L166.6 345.4C179.1 357.9 179.1 378.1 166.6 390.6C154.1 403.1 133.9 403.1 121.4 390.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L121.4 121.4C133.9 108.9 154.1 108.9 166.6 121.4C179.1 133.9 179.1 154.1 166.6 166.6V166.6z"]],
    "code-branch": [448, 512, [], "f126", ["M112 241.1C130.8 230.2 152.7 224 176 224H272C307.3 224 336 195.3 336 160V153.3C345.8 157.6 356.6 160 368 160C379.4 160 390.2 157.6 400 153.3V160C400 230.7 342.7 288 272 288H176C140.7 288 112 316.7 112 352V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V241.1z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 124.2 412.2 160 368 160C323.8 160 288 124.2 288 80zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408z"]],
    "code-commit": [640, 512, [], "f386", ["M476.8 288C478.9 277.7 480 266.1 480 256C480 245 478.9 234.3 476.8 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H476.8zM163.2 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H163.2C161.1 234.3 160 245 160 256C160 266.1 161.1 277.7 163.2 288z", "M160 256C160 167.6 231.6 96 320 96C408.4 96 480 167.6 480 256C480 344.4 408.4 416 320 416C231.6 416 160 344.4 160 256zM320 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 320 176C275.8 176 240 211.8 240 256C240 300.2 275.8 336 320 336z"]],
    "code-compare": [512, 512, [], "e13a", ["M232.1 6.162L312.1 78.16C317.1 82.71 320 89.2 320 96C320 102.8 317.1 109.3 312.1 113.8L232.1 185.8C225 192.2 214.9 193.8 206.2 189.9C197.6 186.1 192 177.5 192 168V128H176C140.7 128 112 156.7 112 192V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V192C48 121.3 105.3 64 176 64H192V24C192 14.52 197.6 5.932 206.2 2.076C214.9-1.78 225-.1789 232.1 6.161V6.162zM320 488C320 497.5 314.4 506.1 305.8 509.9C297.1 513.8 286.1 512.2 279.9 505.8L199.9 433.8C194.9 429.3 192 422.8 192 416C192 409.2 194.9 402.7 199.9 398.2L279.9 326.2C286.1 319.8 297.1 318.2 305.8 322.1C314.4 325.9 320 334.5 320 344V384H336C371.3 384 400 355.3 400 320V153.3C409.8 157.6 420.6 160 432 160C443.4 160 454.2 157.6 464 153.3V320C464 390.7 406.7 448 336 448H320V488z", "M432 160C387.8 160 352 124.2 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 124.2 476.2 160 432 160zM456 80C456 66.75 445.3 56 432 56C418.7 56 408 66.75 408 80C408 93.25 418.7 104 432 104C445.3 104 456 93.25 456 80zM80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352zM56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432z"]],
    "code-fork": [448, 512, [], "e13b", ["M112 192C112 209.7 126.3 224 144 224H304C321.7 224 336 209.7 336 192V153.3C345.8 157.6 356.6 160 368 160C379.4 160 390.2 157.6 400 153.3V192C400 245 357 288 304 288H256V358.7C246.2 354.4 235.4 352 224 352C212.6 352 201.8 354.4 192 358.7V288H144C90.98 288 48 245 48 192V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V192z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 124.2 412.2 160 368 160C323.8 160 288 124.2 288 80zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 387.8 179.8 352 224 352C268.2 352 304 387.8 304 432zM224 408C210.7 408 200 418.7 200 432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432C248 418.7 237.3 408 224 408z"]],
    "code-merge": [448, 512, [], "f387", ["M208 240H294.7C290.4 249.8 288 260.6 288 272C288 283.4 290.4 294.2 294.7 304H208C171.1 304 138.7 292.1 112 272V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.54 160 102.5 157.6 112.4 153.2C117 201.9 158.1 240 208 240V240z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM448 272C448 316.2 412.2 352 368 352C323.8 352 288 316.2 288 272C288 227.8 323.8 192 368 192C412.2 192 448 227.8 448 272zM368 248C354.7 248 344 258.7 344 272C344 285.3 354.7 296 368 296C381.3 296 392 285.3 392 272C392 258.7 381.3 248 368 248z"]],
    "code-pull-request": [512, 512, [], "e13c", ["M320 64H336C406.7 64 464 121.3 464 192V358.7C454.2 354.4 443.4 352 432 352C420.6 352 409.8 354.4 400 358.7V192C400 156.7 371.3 128 336 128H320V168C320 177.5 314.4 186.1 305.8 189.9C297.1 193.8 286.1 192.2 279.9 185.8L199.9 113.8C194.9 109.3 192 102.8 192 96C192 89.2 194.9 82.71 199.9 78.16L279.9 6.161C286.1-.1791 297.1-1.779 305.8 2.077C314.4 5.933 320 14.52 320 24V64zM48 153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 387.8 387.8 352 432 352C476.2 352 512 387.8 512 432zM432 408C418.7 408 408 418.7 408 432C408 445.3 418.7 456 432 456C445.3 456 456 445.3 456 432C456 418.7 445.3 408 432 408z"]],
    "code-pull-request-closed": [448, 512, [], "e3f9", ["M112 358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7zM368 192C385.7 192 400 206.3 400 224V358.7C390.2 354.4 379.4 352 368 352C356.6 352 345.8 354.4 336 358.7V224C336 206.3 350.3 192 368 192V192z", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L368 34.74L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372C451.1 21.87 451.1 42.13 438.6 54.63L413.3 79.1L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L368 125.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L322.7 79.1L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372V9.372zM160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456z"]],
    "code-pull-request-draft": [448, 512, [], "e3fa", ["M416 80C416 106.5 394.5 128 368 128C341.5 128 320 106.5 320 80C320 53.49 341.5 32 368 32C394.5 32 416 53.49 416 80zM112 358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7zM320 240C320 213.5 341.5 192 368 192C394.5 192 416 213.5 416 240C416 266.5 394.5 288 368 288C341.5 288 320 266.5 320 240z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432zM368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408z"]],
    "code-simple": [576, 512, [], "e13d", ["M406.6 73.37L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L406.6 438.6C394.1 451.1 373.9 451.1 361.4 438.6C348.9 426.1 348.9 405.9 361.4 393.4L498.7 255.1L361.4 118.6C348.9 106.1 348.9 85.87 361.4 73.37C373.9 60.88 394.1 60.88 406.6 73.37V73.37z", "M214.6 73.37C227.1 85.87 227.1 106.1 214.6 118.6L77.25 256L214.6 393.4C227.1 405.9 227.1 426.1 214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37V73.37z"]],
    "coffee-bean": [448, 512, [], "e13e", ["M354.5 387.3c-73.53 73.62-176.3 116.2-259.7 79.04c-16.95-7.547-22.49-29.1-12.96-45.02l17.97-29.99c32.03-53.44 78.66-96.12 134.7-123.3c60.42-29.3 108.6-78.96 143.1-136.6l1.951-3.254c13.03-21.74 46.29-21.03 56.19 2.297C470.6 212.5 426.9 314.9 354.5 387.3z", "M366.1 90.69l-19.7 32.88c-31.58 52.7-79.23 92.61-133.8 120.9C154.9 274.4 106.9 319.6 73.39 375.4l-5.029 8.395c-13.03 21.74-46.29 21.03-56.19-2.297C-22.63 299.5 21.09 197.1 93.44 124.7c73.53-73.62 176.4-116.2 259.7-79.04C370.1 53.21 375.7 74.77 366.1 90.69z"]],
    "coffee-beans": [512, 512, [], "e13f", ["M357.8 154.6C316.2 137.2 281.7 109.5 256.3 73.74c-7.56-10.66-23.65-7.393-27.49 4.945c-16.03 51.49 9.574 111 51.75 153.3c49.71 49.79 122.2 75.37 179.3 38.76c6.658-4.271 8.305-13.34 4.436-20.37C451.1 226.5 421.1 181.1 357.8 154.6zM455.4 56.02c-50.24-50.33-123.7-75.87-181.1-37.51c-6.617 4.424-8.125 13.59-4.033 20.55c13.28 22.59 43.25 64.26 102.7 89.06c56.53 23.63 88.79 61.24 105.8 86.79c7.42 11.17 23.83 8.473 27.96-4.123C523.7 158.1 498 98.68 455.4 56.02z", "M151.1 192.3C143 190.7 135.2 196.3 133.1 204.3c-6.771 26.17-15.27 78.45 10.04 139.9c24.06 58.52 20.2 109.5 13.96 140.5c-2.725 13.56 11.23 23.58 23.43 17.42c50.23-25.37 75.42-88.08 75.42-150.3C256 278.5 220.1 206.2 151.1 192.3zM97.64 219.4c2.252-13.3-11.88-22.66-23.69-16.47c-49.26 25.84-73.95 87.94-73.95 149.6c0 72.62 34.28 144.2 102.7 159.2c7.978 1.75 15.79-3.656 18.09-11.61c7.805-27.01 18.99-82-7.959-147.6C95.14 309.4 90.09 263.1 97.64 219.4z"]],
    "coffee-pot": [512, 512, [], "e002", ["M432 176h-288C94.67 215.8 64 277.8 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.62 0 30.57-6.192 41.32-17.57C493.2 429.6 512 396.1 512 344.6C512 278.4 481.9 216.3 432 176zM417.1 416H157.9C135.6 391.6 128 373.2 128 344.6C128 328.7 128.8 273.2 189.8 224h197.1C447.1 272.5 448 328.1 448 344.6C448 373.3 440.4 391.7 417.1 416z", "M130.1 320C128.3 330.9 128 339.8 128 344.6C128 373.2 135.6 391.6 157.9 416h260.1C440.4 391.7 448 373.3 448 344.6C448 339.9 447.7 330.1 445.9 320H130.1zM432 176L480 32H88C39.38 32 0 71.38 0 120V208C0 216.9 7.125 224 16 224h32C56.88 224 64 216.9 64 208V136C64 113.9 81.88 96 104 96h13.38l26.67 80H432z"]],
    "coffin": [448, 512, [9904], "f6c6", ["", "M406.5 115.2l-107.8-105.9C292.6 3.375 284.3 0 275.6 0H172.4C163.7 0 155.4 3.375 149.2 9.375L41.46 115.2c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C123.7 502 136.7 512 151.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C417.8 134.6 414.5 123.1 406.5 115.2z"]],
    "coffin-cross": [384, 512, [], "e051", ["M288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z"]],
    "coin": [512, 512, [129689], "f85c", ["M256 264C167.6 264 96 235.3 96 200C96 164.7 167.6 136 256 136C344.4 136 416 164.7 416 200C416 235.3 344.4 264 256 264zM256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64V64zM64 200C64 220.5 74.5 236.7 86.59 248.2C98.6 259.5 114.3 268.3 130.1 274.1C164.6 288.4 208.8 296 256 296C303.2 296 347.4 288.4 381 274.1C397.7 268.3 413.4 259.5 425.4 248.2C437.5 236.7 448 220.5 448 200C448 179.5 437.5 163.3 425.4 151.8C413.4 140.5 397.7 131.7 381 125C347.4 111.6 303.2 104 255.1 104C208.8 104 164.6 111.6 130.1 125C114.3 131.7 98.6 140.5 86.59 151.8C74.5 163.3 63.1 179.5 63.1 200H64z", "M464 330.1C482.3 319.4 498.8 305.8 512 290.1V319.1C512 347.8 494.2 373.6 464 394.6V330.1zM432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3zM208 381.6C223.7 383.2 239.7 383.1 256 383.1C272.3 383.1 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 447.1 256 447.1C239.6 447.1 223.5 447.2 208 445.8V381.6zM176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3zM48 394.6C17.79 373.6 0 347.8 0 319.1V290.1C13.21 305.8 29.72 319.4 48 330.1V394.6zM86.59 151.8C98.6 140.5 114.3 131.7 130.1 125C164.6 111.6 208.8 104 256 104C303.2 104 347.4 111.6 381 125C397.7 131.7 413.4 140.5 425.4 151.8C437.5 163.3 448 179.5 448 200C448 220.5 437.5 236.7 425.4 248.2C413.4 259.5 397.7 268.3 381 274.1C347.4 288.4 303.2 296 256 296C208.8 296 164.6 288.4 130.1 274.1C114.3 268.3 98.6 259.5 86.59 248.2C74.5 236.7 64 220.5 64 200C64 179.5 74.5 163.3 86.59 151.8V151.8zM416 200C416 164.7 344.4 136 256 136C167.6 136 96 164.7 96 200C96 235.3 167.6 264 256 264C344.4 264 416 235.3 416 200z"]],
    "coin-blank": [512, 512, [], "e3fb", ["M256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352V352z", "M48 394.6C17.79 373.6 0 347.8 0 319.1V290.1C13.21 305.8 29.72 319.4 48 330.1V394.6zM176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3zM208 381.6C223.7 383.2 239.7 383.1 256 383.1C272.3 383.1 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 447.1 256 447.1C239.6 447.1 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.4 498.8 305.8 512 290.1V319.1C512 347.8 494.2 373.6 464 394.6V330.1z"]],
    "coin-front": [512, 512, [], "e3fc", ["M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V328C232 341.3 242.7 352 256 352C269.3 352 280 341.3 280 328V184zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M64 256C64 149.1 149.1 64 256 64C362 64 448 149.1 448 256C448 362 362 448 256 448C149.1 448 64 362 64 256zM256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416z"]],
    "coin-vertical": [384, 512, [], "e3fd", ["M200 256C200 344.4 171.3 416 136 416C100.7 416 72 344.4 72 256C72 167.6 100.7 96 136 96C171.3 96 200 167.6 200 256zM0 256C0 114.6 64.47 0 144 0C223.5 0 288 114.6 288 256C288 397.4 223.5 512 144 512C64.47 512 0 397.4 0 256zM136 448C156.5 448 172.7 437.5 184.2 425.4C195.5 413.4 204.3 397.7 210.1 381C224.4 347.4 232 303.2 232 256C232 208.8 224.4 164.6 210.1 130.1C204.3 114.3 195.5 98.6 184.2 86.59C172.7 74.5 156.5 64 136 64C115.5 64 99.27 74.5 87.84 86.59C76.48 98.6 67.72 114.3 61.03 130.1C47.6 164.6 40 208.8 40 256C40 303.2 47.6 347.4 61.03 381C67.72 397.7 76.48 413.4 87.84 425.4C99.26 437.5 115.5 448 136 448z", "M266.1 48C255.4 29.72 241.8 13.21 226.1 0H255.1C283.8 0 309.6 17.79 330.6 48H266.1zM284.3 80H348.9C361.8 107.1 371.7 139.8 377.6 176H313.3C307.3 140.9 297.4 108.4 284.3 80zM317.6 304C319.2 288.3 319.1 272.3 319.1 256C319.1 239.7 319.2 223.7 317.6 208H381.8C383.2 223.5 383.1 239.6 383.1 256C383.1 272.4 383.2 288.5 381.8 304H317.6zM313.3 336H377.6C371.7 372.2 361.8 404.9 348.9 432H284.3C297.4 403.6 307.3 371.1 313.3 336zM330.6 464C309.6 494.2 283.8 512 255.1 512H226.1C241.8 498.8 255.4 482.3 266.1 464H330.6zM87.84 425.4C76.48 413.4 67.72 397.7 61.03 381C47.6 347.4 40 303.2 40 256C40 208.8 47.6 164.6 61.03 130.1C67.72 114.3 76.48 98.6 87.84 86.59C99.26 74.5 115.5 64 136 64C156.5 64 172.7 74.5 184.2 86.59C195.5 98.6 204.3 114.3 210.1 130.1C224.4 164.6 232 208.8 232 256C232 303.2 224.4 347.4 210.1 381C204.3 397.7 195.5 413.4 184.2 425.4C172.7 437.5 156.5 448 136 448C115.5 448 99.27 437.5 87.84 425.4zM136 96C100.7 96 72 167.6 72 256C72 344.4 100.7 416 136 416C171.3 416 200 344.4 200 256C200 167.6 171.3 96 136 96z"]],
    "coins": [512, 512, [], "f51e", ["M512 80C512 98.01 497.7 114.6 473.6 128C444.5 144.1 401.2 155.5 351.3 158.9C347.7 157.2 343.9 155.5 340.1 153.9C300.6 137.4 248.2 128 192 128C183.7 128 175.6 128.2 167.5 128.6C167.1 128.4 166.8 128.2 166.4 128C142.3 114.6 128 98.01 128 80C128 35.82 213.1 0 320 0C426 0 512 35.82 512 80V80zM416 278.1C434.1 273.1 452.5 268.6 468.1 262.1C484.4 255.3 499.5 246.9 512 236.6V272C512 301.6 473.4 327.5 416 341.3V278.1zM416 240C416 218.1 405.4 200.1 391.9 186.6C420.2 182.2 446.1 175.2 468.1 166.1C484.4 159.3 499.5 150.9 512 140.6V176C512 194 497.7 210.6 473.6 224C471.8 224.1 470 225.9 468.2 226.9C453.6 234.2 435.9 240.5 416 245.3V240z", "M384 240C384 258 369.7 274.6 345.6 288C310.6 307.4 254.8 320 192 320C132.4 320 79.06 308.7 43.84 290.9C41.97 289.9 40.15 288.1 38.39 288C14.28 274.6 0 258 0 240C0 195.8 85.96 160 192 160C298 160 384 195.8 384 240zM192 352C248.2 352 300.6 342.6 340.1 326.1C356.4 319.3 371.5 310.9 384 300.6V336C384 354 369.7 370.6 345.6 384C343.8 384.1 342 385.9 340.2 386.9C304.9 404.7 251.6 416 192 416C129.2 416 73.41 403.4 38.39 384C14.28 370.6 0 354 0 336V300.6C12.45 310.9 27.62 319.3 43.93 326.1C83.44 342.6 135.8 352 192 352zM384 396.6V432C384 476.2 298 512 192 512C85.96 512 0 476.2 0 432V396.6C12.45 406.9 27.62 415.3 43.93 422.1C83.44 438.6 135.8 448 192 448C248.2 448 300.6 438.6 340.1 422.1C356.4 415.3 371.5 406.9 384 396.6z"]],
    "colon": [128, 512, [], "3a", ["M64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320z", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192z"]],
    "colon-sign": [320, 512, [], "e140", ["M216.6 65.56C208.5 64.53 200.3 64 192 64C177.5 64 163.4 65.6 149.9 68.64L160.1 24.24C165.2 7.093 182.6-3.331 199.8 .9552C216.9 5.242 227.3 22.62 223 39.76L216.6 65.56zM139.8 372.9C117.5 362.9 98.67 346.8 85.32 326.8L131.2 143.3C149.3 133.6 169.1 128 192 128C194.1 128 197.1 128.1 200.9 128.3L139.8 372.9zM167.6 381.7L229.6 133.6C243.9 137.1 257.1 144.8 268.8 153.6C274.8 158.1 281.1 160.2 288.1 159.1L234.8 376.7C221.4 381.4 207 384 192 384C183.7 384 175.5 383.2 167.6 381.7V381.7zM111 487.8C106.8 504.9 89.38 515.3 72.24 511C55.09 506.8 44.67 489.4 48.96 472.2L66.65 401.4C83.5 415.1 102.9 427.6 124.1 435.6L111 487.8zM152.1 443.8C164.9 446.6 178.3 448 192 448C200.6 448 209.1 447.4 217.4 446.3L207 487.8C202.8 504.9 185.4 515.3 168.2 511C151.1 506.8 140.7 489.4 144.1 472.2L152.1 443.8zM303.1 100C286.4 87.36 266.5 77.61 245.1 71.46L256.1 24.24C261.2 7.093 278.6-3.331 295.8 .9552C312.9 5.242 323.3 22.62 319 39.76L303.1 100z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "columns-3": [640, 512, [], "e361", ["M192 96H256V416H192V96zM384 96H448V416H384V96z", "M576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM576 96H64V416H576V96z"]],
    "comet": [512, 512, [], "e003", ["M491.1 .7163c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.25-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625C232.5 55.97 122.1 116.5 60.59 176.3c-1.125 1-2.5 2-3.5 3c-76.13 76.13-76.13 199.5 0 275.6c76 76.13 199.5 76 275.5-.125c1-1 2-2.375 3-3.5c59.88-61.63 120.4-172.1 142.5-214.4c2.25-4.25 2.5-9.25 .625-13.75c-1.75-4.375-5.5-7.75-10.13-9.125c-5.25-1.625-11.63-3.5-18.63-5.625c27-76 49.75-149 61.38-187.8c1.625-5.625 .1251-11.88-4.125-16C502.1 .4663 496.9-1.034 491.1 .7163zM315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5c2.5-5.125 7.875-8.5 13.75-8.5c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z", "M315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5C180.7 195.3 186.1 191.1 191.1 191.1c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z"]],
    "comma": [192, 512, [], "2c", ["M151.7 378.6L84.01 493.1c-8.885 15.18-27.4 21.85-43.99 15.83s-26.48-22.99-23.49-40.31l22.57-131.7c3.045-17.81 13.79-33.2 29.45-42.25c31.26-18.12 75.54-2.062 87.8 31.85C162.5 344.4 160.8 363 151.7 378.6z", ""]],
    "command": [448, 512, [], "e142", ["M128 288H96c-52.94 0-96 43.06-96 96s43.06 96 96 96s96-43.06 96-96V224H128V288zM128 384c0 17.66-14.34 32-32 32s-32-14.34-32-32s14.34-32 32-32h32V384zM352 32c-52.94 0-96 43.06-96 96v160h64V224h32c52.94 0 96-43.06 96-96S404.9 32 352 32zM352 160h-32V128c0-17.66 14.34-32 32-32s32 14.34 32 32S369.7 160 352 160z", "M352 288H192v64h64v32c0 52.94 43.06 96 96 96s96-43.06 96-96S404.9 288 352 288zM352 416c-17.66 0-32-14.34-32-32v-32h32c17.66 0 32 14.34 32 32S369.7 416 352 416zM256 160H192V128c0-52.94-43.06-96-96-96S0 75.06 0 128s43.06 96 96 96h160V160zM128 160H96C78.34 160 64 145.7 64 128s14.34-32 32-32s32 14.34 32 32V160z"]],
    "comment": [512, 512, [61669, 128489], "f075", ["M256 32C114.6 32 .0272 125.1 .0272 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32z", ""]],
    "comment-arrow-down": [512, 512, [], "e143", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z", "M352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z"]],
    "comment-arrow-up": [512, 512, [], "e144", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z", "M352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z"]],
    "comment-arrow-up-right": [512, 512, [], "e145", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 280c0 13.25-10.75 24-24 24S288 293.3 288 280V225.9L200.1 312.1c-9.381 9.381-24.56 9.375-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 192H200C186.8 192 176 181.3 176 168S186.8 144 200 144h112c13.25 0 24 10.75 24 24V280z", "M312 144h-112C186.8 144 176 154.8 176 168S186.8 192 200 192h54.06L167 279c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.375 24.56 9.381 33.94 0L288 225.9V280c0 13.25 10.75 24 24 24s24-10.75 24-24v-112C336 154.8 325.3 144 312 144z"]],
    "comment-captions": [512, 512, [], "e146", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM119.1 224h95.99c13.25 0 23.1 10.75 23.1 24S229.2 272 215.1 272H119.1c-13.25 0-23.1-10.75-23.1-24S106.7 224 119.1 224zM135.1 352h-15.1c-13.25 0-23.1-10.75-23.1-24S106.7 304 119.1 304h15.1c13.25 0 23.1 10.75 23.1 24S149.2 352 135.1 352zM295.1 352H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 304 215.1 304h79.99c13.25 0 23.1 10.75 23.1 24S309.2 352 295.1 352zM391.9 352h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 352 391.9 352zM391.9 272h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 224 295.1 224h95.99c13.25 0 23.1 10.75 23.1 24S405.2 272 391.9 272z", "M119.1 272h95.99c13.25 0 23.1-10.75 23.1-24S229.2 224 215.1 224H119.1c-13.25 0-23.1 10.75-23.1 24S106.7 272 119.1 272zM295.1 304H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 352 215.1 352h79.99c13.25 0 23.1-10.75 23.1-24S309.2 304 295.1 304zM135.1 304h-15.1c-13.25 0-23.1 10.75-23.1 24S106.7 352 119.1 352h15.1c13.25 0 23.1-10.75 23.1-24S149.2 304 135.1 304zM391.9 304h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 352 375.9 352h15.1c13.25 0 23.1-10.75 23.1-24S405.2 304 391.9 304zM295.1 272h95.99c13.25 0 23.1-10.75 23.1-24S405.2 224 391.9 224h-95.99c-13.25 0-23.1 10.75-23.1 24S282.7 272 295.1 272z"]],
    "comment-check": [512, 512, [], "f4ac", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z", "M346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z"]],
    "comment-code": [512, 512, [], "e147", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM216.1 287c9.375 9.375 9.375 24.56 0 33.94C212.3 325.7 206.1 328 200 328s-12.28-2.344-16.97-7.031l-64-64c-9.375-9.375-9.375-24.56 0-33.94l64-64c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L169.9 240L216.1 287zM392.1 256.1l-64 64C324.3 325.7 318.1 328 312 328s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L342.1 240l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l64 64C402.3 232.4 402.3 247.6 392.1 256.1z", "M216.1 159c-9.375-9.375-24.56-9.375-33.94 0l-64 64c-9.375 9.375-9.375 24.56 0 33.94l64 64C187.7 325.7 193.9 328 200 328s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L169.9 240l47.03-47.03C226.3 183.6 226.3 168.4 216.1 159zM392.1 223l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L342.1 240l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94C299.7 325.7 305.9 328 312 328s12.28-2.344 16.97-7.031l64-64C402.3 247.6 402.3 232.4 392.1 223z"]],
    "comment-dollar": [512, 512, [], "f651", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 479.1 8 479.1c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z", "M317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z"]],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", ["M256 31.1c-141.4 0-255.1 93.12-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z", "M127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z"]],
    "comment-exclamation": [512, 512, [], "f4af", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM232 136C232 122.8 242.8 112 256 112s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 261.3 232 248V136zM256 368c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 353.7 273.7 368 256 368z", "M256 272c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 122.8 232 136v112C232 261.3 242.8 272 256 272zM256 304c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C288 318.3 273.7 304 256 304z"]],
    "comment-image": [512, 512, [], "e148", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM160 128c17.67 0 32 14.33 32 32S177.7 192 160 192S128 177.7 128 160S142.3 128 160 128zM414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z", "M414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z"]],
    "comment-lines": [512, 512, [], "f4b0", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM264 320h-112C138.8 320 128 309.3 128 296S138.8 272 152 272h112C277.3 272 288 282.8 288 296S277.3 320 264 320zM360 224h-208C138.8 224 128 213.3 128 200S138.8 176 152 176h208C373.3 176 384 186.8 384 200S373.3 224 360 224z", "M264 272h-112C138.8 272 128 282.8 128 296S138.8 320 152 320h112C277.3 320 288 309.3 288 296S277.3 272 264 272zM360 176h-208C138.8 176 128 186.8 128 200S138.8 224 152 224h208C373.3 224 384 213.3 384 200S373.3 176 360 176z"]],
    "comment-medical": [512, 512, [], "f7f5", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z", "M368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z"]],
    "comment-middle": [512, 512, [], "e149", ["M323.2 408.5l-48.89 93.39c-7.037 13.45-29.51 13.45-36.55 0l-48.89-93.39C80.08 384.5 0 303.1 0 208C0 93.09 114.6 0 256 0s256 93.09 256 208C512 303.1 431.9 384.5 323.2 408.5z", ""]],
    "comment-middle-top": [512, 512, [], "e14a", ["M512 304c0 114.9-114.6 208-256 208s-256-93.09-256-208c0-95.99 80.08-176.5 188.8-200.5l48.89-93.39C241.2 3.361 248.6 0 256 0s14.76 3.361 18.28 10.08l48.89 93.39C431.9 127.5 512 208 512 304z", ""]],
    "comment-minus": [512, 512, [], "f4b1", ["M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z", "M360 240c0 13.26-10.74 23.1-23.1 23.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240z"]],
    "comment-music": [512, 512, [], "f8b0", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.96 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z", "M351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z"]],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z", "M215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z"]],
    "comment-plus": [512, 512, [], "f4b2", ["M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z", "M360 240c0 13.26-10.74 23.1-23.1 23.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240z"]],
    "comment-question": [512, 512, [], "e14b", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM249.1 352C235.4 352 224 340.6 224 326S235.4 300 249.1 300c14.63 0 26 11.38 26 26S264.6 352 249.1 352zM307.7 235.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V246.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 198.2 296 192.4 296 185.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 196.6 176 185.8C176 153.6 201.8 128 234.3 128h43.33C310.2 128 336 153.6 336 185.8C336 205.7 325.2 224.7 307.7 235.4z", "M249.1 300C235.4 300 224 311.4 224 326S235.4 352 249.1 352c14.63 0 26-11.38 26-26S264.6 300 249.1 300zM277.7 128H234.3C201.8 128 176 153.6 176 185.8c0 10.74 9.166 19.83 20 19.83S216 196.6 216 185.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 229.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V258.5l38.33-23.13C325.2 224.7 336 205.7 336 185.8C336 153.6 310.2 128 277.7 128z"]],
    "comment-quote": [512, 512, [], "e14c", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM239.1 263.1c0 39.7-32.3 72-71.1 72C154.7 335.1 144 325.3 144 312S154.8 288 168 288C181.2 288 192 277.2 192 264V255.2C189.4 255.6 186.7 255.1 183.1 255.1c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L239.1 263.1zM383.1 263.1c0 39.7-32.3 72-72 72C298.7 335.1 288 325.3 288 312S298.8 288 312 288c13.23 0 24-10.77 24-24V255.2c-2.635 .3809-5.26 .8064-8 .8064c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L383.1 263.1z", "M183.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C192 277.2 181.2 288 168 288C154.8 288 144 298.8 144 312s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-72l0-63.1C239.1 169.1 214.9 143.1 183.1 143.1zM327.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C336 277.2 325.2 288 312 288C298.8 288 288 298.8 288 312s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-72l0-63.1C383.1 169.1 358.9 143.1 327.1 143.1z"]],
    "comment-slash": [640, 512, [], "f4b3", ["M64.03 239.1c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 2.1 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c37.39 0 72.78-6.665 104.8-18.36L82.93 161.7C70.81 185.9 64.03 212.3 64.03 239.1zM320 32c-67.74 0-129.1 21.58-174.9 56.47l367.5 288.1C551.1 339.1 576 292.4 576 240C576 125.1 461.4 32 320 32z", "M601.2 506.9L9.188 42.89C-1.234 34.73-3.057 19.63 5.115 9.19C13.3-1.216 28.34-3.101 38.81 5.117l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C626.7 513.2 611.6 515.1 601.2 506.9z"]],
    "comment-smile": [512, 512, [], "f4b4", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM319.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 32-31.99 32s-32-14.25-32-32S302.2 144 319.1 144zM191.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 32-31.99 32s-32-14.25-32-32S174.2 144 191.1 144zM362.2 303.3C335.7 334.3 297.1 352 255.1 352c-41.12 0-79.75-17.75-106.2-48.75c-8.5-10-7.5-25.12 2.625-33.75C162.4 261 177.6 262.1 186.2 272.3C203.5 292.4 228.9 304 255.1 304c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 278.1 370.7 293.3 362.2 303.3z", "M319.1 208c17.75 0 31.99-14.25 31.99-32s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.2 208 319.1 208zM359.5 269.5c-9.998-8.625-25.12-7.375-33.74 2.75C308.5 292.4 283.1 304 255.1 304c-27.12 0-52.49-11.62-69.74-31.75C177.6 262.1 162.4 261 152.4 269.5C142.2 278.1 141.2 293.3 149.7 303.3C176.2 334.3 214.9 352 255.1 352c41.12 0 79.73-17.75 106.2-48.75C370.7 293.3 369.6 278.1 359.5 269.5zM191.1 208c17.75 0 31.99-14.25 31.99-32s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.2 208 191.1 208z"]],
    "comment-sms": [512, 512, ["sms"], "f7cd", ["M256 32C114.6 32 .0137 125.1 .0137 240c0 49.59 21.39 95 56.99 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 480 8 480c66.31 0 116-31.8 140.6-51.41C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM167.3 271.9C163.9 291.1 146.3 304 121.1 304c-4.031 0-8.25-.3125-12.59-1C101.1 301.8 92.81 298.8 85.5 296.1c-8.312-3-14.06-12.66-11.09-20.97S85 261.1 93.38 264.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 273.1 135 271 135.8 266.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 210.7 147.2 215.1 138.8 212.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 219.2 113.6 221.5 124.4 224.6C141.4 229.5 173.1 238.5 167.3 271.9zM320 288c0 8.844-7.156 16-16 16S288 296.8 288 288V240l-19.19 25.59c-6.062 8.062-19.55 8.062-25.62 0L224 240V288c0 8.844-7.156 16-16 16S192 296.8 192 288V192c0-6.875 4.406-12.1 10.94-15.18c6.5-2.094 13.71 .0586 17.87 5.59L256 229.3l35.19-46.93c4.156-5.531 11.4-7.652 17.87-5.59C315.6 179 320 185.1 320 192V288zM439.3 271.9C435.9 291.1 418.3 304 393.1 304c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 219.2 385.6 221.5 396.4 224.6C413.4 229.5 445.1 238.5 439.3 271.9z", "M124.4 224.6C113.6 221.5 103.2 219.2 104.2 213.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 179.8 136.5 177.9 130.6 177c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 271 125.7 273.1 114.3 271.4C107.9 270.4 100.4 267.4 93.38 264.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 293.1 85.5 296.1C92.81 298.8 101.1 301.8 109.4 303C113.7 303.7 117.9 304 121.1 304c24.28 0 41.94-12.03 45.38-32.13C173.1 238.5 141.4 229.5 124.4 224.6zM309.1 176.8c-6.469-2.062-13.71 .0586-17.87 5.59L256 229.3L220.8 182.4C216.7 176.9 209.4 174.7 202.9 176.8C196.4 179 192 185.1 192 192v96c0 8.844 7.156 16 16 16S224 296.8 224 288V240l19.19 25.59c6.062 8.062 19.55 8.062 25.62 0L288 240V288c0 8.844 7.156 16 16 16S320 296.8 320 288V192C320 185.1 315.6 179 309.1 176.8zM396.4 224.6C385.6 221.5 375.2 219.2 376.2 213.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 303.7 389.9 304 393.1 304c24.28 0 41.94-12.03 45.38-32.13C445.1 238.5 413.4 229.5 396.4 224.6z"]],
    "comment-text": [512, 512, [], "e14d", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.03 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM328 208h-48v104c0 13.25-10.75 23.1-24 23.1S232 325.3 232 312V208h-48C170.8 208 160 197.2 160 183.1S170.8 160 184 160h144C341.3 160 352 170.7 352 183.1S341.3 208 328 208z", "M328 160h-144C170.8 160 160 170.7 160 183.1S170.8 208 184 208h48v104c0 13.25 10.75 23.1 23.1 23.1S280 325.3 280 312V208h48C341.3 208 352 197.2 352 183.1S341.3 160 328 160z"]],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 465.1 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 479.1 8 479.1c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM336.1 287c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0l-47.03-47.03l-47.03 47.03c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 240L175 192.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l47.03 47.03l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 240L336.1 287z", "M175 320.1c9.373 9.371 24.56 9.379 33.94 0l47.03-47.03l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 240l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-47.03 47.03L208.1 159c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 240L175 287C165.7 296.4 165.7 311.6 175 320.1z"]],
    "comments": [640, 512, [61670, 128490], "f086", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0z", "M637.9 499c2.1 2.205 2.67 5.475 1.441 8.354C638.1 510.3 635.4 512 632.3 512c-36.25 0-67.1-9.98-91.49-21.98C513.3 503.1 481.7 512 448 512c-90.01 0-165.3-56.86-186.1-133.5C368.3 357.2 448 274.6 448 176c0-5.387-.4668-10.67-.9336-15.96C447.4 160 447.7 160 448 160c106 0 192 78.8 192 176c0 40.63-15.17 77.95-40.41 107.7C615.9 475.3 637.6 498.7 637.9 499z"]],
    "comments-dollar": [640, 512, [], "f653", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM269.8 218.3C266.2 239.2 250.4 252.1 228 257.7V268c0 11.03-8.953 20-20 20s-20-8.969-20-20V257.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 244.5 142.8 233.1 146.5 222.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 221.3 229 219.3 230.4 211.5C231.3 206.4 231.8 203.6 202.5 195.2L196.7 193.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 112.8 165.6 98.76 188 93.99V84c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 103.5 262.5 114.9 258.9 125.4C255.3 135.8 243.8 141.3 233.4 137.7c-5.859-2.031-12-4-17.59-4.844C202.2 130.8 186.1 132.7 185.6 140.5C184.8 144.1 184.3 148.2 207.1 155.2L213.5 156.8C235.8 163.1 277.3 175 269.8 218.3z", "M213.5 156.8L207.1 155.2C184.3 148.2 184.8 144.1 185.6 140.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C239.3 97.42 233.5 95.83 228 94.63V84c0-11.03-8.953-20-20-20s-20 8.969-20 20v9.992C165.6 98.76 149.8 112.8 146.2 133.7C138.8 176.5 179.4 188.4 196.7 193.5L202.5 195.2C231.8 203.6 231.3 206.4 230.4 211.5C229 219.3 213.8 221.3 200.1 219.1C193.2 218.1 184.3 214.9 176.5 212.1L171.1 210.5C161.6 206.9 150.2 212.3 146.5 222.7C142.8 233.1 148.3 244.5 158.7 248.2l4.266 1.5C170.7 252.5 179.3 255.3 188 257.2V268c0 11.03 8.953 20 20 20s20-8.969 20-20V257.7c22.36-4.793 38.21-18.53 41.83-39.43C277.3 175 235.8 163.1 213.5 156.8zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"]],
    "comments-question": [640, 512, [], "e14e", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z", "M234.5 108.7c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 169.9 190.1 176 190.1 182.1v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V192.8l35.18-21.41C278.1 161.5 288 143.9 288 125.5C288 95.71 264.3 72 234.5 72H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM208.5 239.1C194.7 239.1 184 249.8 184 263.5C184 277.3 194.7 288 208.5 288c13.77 0 24.47-10.71 24.47-24.47C232.9 249.8 222.2 239.1 208.5 239.1zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"]],
    "comments-question-check": [640, 512, [], "e14f", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z", "M234.5 108.7c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 169.9 190.1 176 190.1 182.1v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V192.8l35.18-21.41C278.1 161.5 288 143.9 288 125.5C288 95.71 264.3 72 234.5 72H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM208.5 239.1C194.7 239.1 184 249.8 184 263.5C184 277.3 194.7 288 208.5 288c13.77 0 24.47-10.71 24.47-24.47C232.9 249.8 222.2 239.1 208.5 239.1zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM542.5 317.8l-84 88c-3.719 3.891-8.859 6.125-14.23 6.188c-5.297 0-10.62-2.109-14.38-5.859l-40-40c-7.812-7.812-7.812-20.47 0-28.28s20.47-7.812 28.28 0l25.53 25.53l69.86-73.2c7.656-8 20.3-8.297 28.28-.6562C549.8 297.2 550.1 309.8 542.5 317.8z"]],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM96.15 241.4C95.4 249.6 88.77 256 80.72 256H79.63C70.55 256 63.23 247.1 64.06 238.7c8.299-92.64 82.43-166.6 175.2-174.6C248.3 63.28 256 70.74 256 80.09c0 8.348-6.215 15.27-14.27 15.99C164.7 102.9 103.1 164.3 96.15 241.4zM256 351.1c-53.02 0-96-43-96-95.1s42.98-96 96-96s96 43 96 96S309 351.1 256 351.1z", "M256 159.1c-53.02 0-96 43-96 96s42.98 95.1 96 95.1s96-43 96-95.1S309 159.1 256 159.1zM256 288C238.3 288 224 273.8 224 256s14.3-32 32-32s32 14.25 32 32S273.7 288 256 288z"]],
    "compass": [512, 512, [129517], "f14e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM162.4 380.6L306.7 325.1C315.2 321.9 321.9 315.2 325.1 306.7L380.6 162.4C388.1 142.1 369 123.9 349.6 131.4L205.3 186.9C196.8 190.1 190.1 196.8 186.9 205.3L131.4 349.6C123.9 369 142.1 388.1 162.4 380.6V380.6z", "M131.4 349.6L186.9 205.3C190.1 196.8 196.8 190.1 205.3 186.9L349.6 131.4C369 123.9 388.1 142.1 380.6 162.4L325.1 306.7C321.9 315.2 315.2 321.9 306.7 325.1L162.4 380.6C142.1 388.1 123.9 369 131.4 349.6V349.6zM255.1 287.1C273.7 287.1 288 273.7 288 255.1C288 238.3 273.7 223.1 255.1 223.1C238.3 223.1 223.1 238.3 223.1 255.1C223.1 273.7 238.3 287.1 255.1 287.1z"]],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", ["M66.49 312.9C53.66 301.6 41.84 289.3 31.18 276C20.13 262.2 22.34 242.1 36.13 231C49.92 219.1 70.06 222.2 81.12 235.1C86.79 243.1 92.87 249.8 99.34 256.1L66.49 312.9zM155.3 365.9L187.9 309.5C209.4 316.3 232.3 320 255.1 320C326.7 320 389.8 287.3 430.9 235.1C441.9 222.2 462.1 219.1 475.9 231C489.7 242.1 491.9 262.2 480.8 276C428.1 341.8 346.1 384 255.1 384C220.6 384 186.6 377.6 155.3 365.9H155.3z", "M412.7 256.1C387.1 280.3 357.7 298.8 324.1 309.5L256 192H255.1L98.65 463.7C93.95 471.8 86.97 478.4 78.58 482.6L23.16 510.3C18.2 512.8 12.31 512.5 7.588 509.6C2.871 506.7 0 501.5 0 496V440.6C0 432.2 2.228 423.9 6.46 416.5L168.8 136.2C163.1 123.9 160 110.3 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 110.3 348.9 123.9 343.2 136.2L412.7 256.1zM255.1 64C238.3 64 223.1 78.33 223.1 96C223.1 113.7 238.3 128 255.1 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 255.1 64zM356.7 365.9C389.6 353.6 419.6 335.5 445.5 312.9L505.5 416.5C509.8 423.9 512 432.2 512 440.6V496C512 501.5 509.1 506.7 504.4 509.6C499.7 512.5 493.8 512.8 488.8 510.3L433.4 482.6C425 478.4 418 471.8 413.3 463.7L356.7 365.9z"]],
    "compass-slash": [640, 512, [], "f5e9", ["M397.1 285.9L444.6 162.4C452.1 142.1 433 123.9 413.6 131.4L270.3 186.5L134.2 79.88C180.9 30.68 246.8 0 320 0C461.4 0 576 114.6 576 256C576 306.1 561.1 354.5 535.4 394.4L397.1 285.9zM64 256C64 222.4 70.49 190.2 82.28 160.8L224.8 273.1L195.4 349.6C187.9 369 206.1 388.1 226.4 380.6L317 345.8L468.1 464.8C426.3 494.5 375.2 512 320 512C178.6 512 64 397.4 64 255.1V256z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "compress": [448, 512, [], "f066", ["M128 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 334.3 145.7 320 128 320zM416 128h-64V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S433.7 128 416 128z", "M416 320h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S433.7 320 416 320zM128 32C110.3 32 96 46.31 96 64v64H32C14.31 128 0 142.3 0 160s14.31 32 32 32h96c17.69 0 32-14.31 32-32V64C160 46.31 145.7 32 128 32z"]],
    "compress-wide": [512, 512, [], "f326", ["M128 288H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 302.3 145.7 288 128 288zM480 160h-64V96c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S497.7 160 480 160z", "M128 64C110.3 64 96 78.31 96 96v64H32C14.31 160 0 174.3 0 192s14.31 32 32 32h96c17.69 0 32-14.31 32-32V96C160 78.31 145.7 64 128 64zM480 288h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S497.7 288 480 288z"]],
    "computer": [640, 512, [], "e4e5", ["M592 32C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80C480 53.49 501.5 32 528 32H592zM544 96C535.2 96 528 103.2 528 112C528 120.8 535.2 128 544 128H576C584.8 128 592 120.8 592 112C592 103.2 584.8 96 576 96H544zM544 192H576C584.8 192 592 184.8 592 176C592 167.2 584.8 160 576 160H544C535.2 160 528 167.2 528 176C528 184.8 535.2 192 544 192zM560 400C577.7 400 592 385.7 592 368C592 350.3 577.7 336 560 336C542.3 336 528 350.3 528 368C528 385.7 542.3 400 560 400z", "M400 32C426.5 32 448 53.49 448 80V336C448 362.5 426.5 384 400 384H266.7L277.3 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448C64 430.3 78.33 416 96 416H170.7L181.3 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H400zM64 96V320H384V96H64z"]],
    "computer-classic": [448, 512, [], "f8b1", ["M416 0H32C14.38 0 0 14.38 0 32L0 400c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16V32C448 14.38 433.6 0 416 0zM80 356c-11 0-20-9-20-20S69 316 80 316s20 9 20 20S91 356 80 356zM383.1 344c0 4.375-3.625 8-8 8h-144c-4.375 0-8-3.625-8-8L224 328c0-4.375 3.625-8 8-8h144c4.375 0 8 3.625 8 8L383.1 344zM384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224zM32 512h384v-64H32V512z", "M384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224z"]],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", ["M176 0H160C71.63 0 0 71.63 0 160v32h176V0zM0 352c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V224H0V352zM224 0h-16v192H384V160C384 71.63 312.4 0 224 0z", "M384 192v32H0V192h176V0h32v192H384z"]],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", ["M224 0H160c-88.38 0-160 71.62-160 160v192c0 88.38 71.62 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z", "M224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z"]],
    "computer-speaker": [640, 512, [], "f8b2", ["M592 32h-224c-25.6 0-48 22.4-48 48v352c0 25.6 22.4 48 48 48H592c25.6 0 48-22.4 48-48v-352C640 54.4 617.6 32 592 32zM480 96c19.2 0 31.1 12.8 31.1 32c0 19.2-12.8 32-31.1 32s-32-12.8-32-32C447.1 108.8 460.8 96 480 96zM480 416c-54.4 0-96-41.6-96-96s41.6-96 96-96s96 41.6 96 96S534.4 416 480 416zM288 416H128c-19.2 0-32 12.8-32 32c0 19.2 12.8 32 32 32h176C294.4 467.2 288 448 288 432V416zM0 80L0 336C0 361.6 22.4 384 48 384H288v-64H64L63.1 96H288V80C288 64 294.4 44.8 304 32h-256C22.4 32 0 54.4 0 80z", "M480 160c19.2 0 31.1-12.8 31.1-32c0-19.2-12.8-32-31.1-32s-32 12.8-32 32C447.1 147.2 460.8 160 480 160zM480 224c-54.4 0-96 41.6-96 96s41.6 96 96 96s96-41.6 96-96S534.4 224 480 224zM480 368c-25.6 0-48-22.4-48-48s22.4-48 48-48s48 22.4 48 48S505.6 368 480 368zM64 320h224V96H63.1L64 320z"]],
    "container-storage": [640, 512, [], "f4b7", ["M48 96v320h544V96H48zM112 368v-224h32v224H112zM208 368v-224h32v224H208zM304 368v-224h32v224H304zM400 368v-224h32v224H400zM496 368v-224h32v224H496z", "M592 416h-544C39.25 416 32 423.3 32 432l0 32c0 8.75 7.25 16 16 16h544c8.75 0 16-7.25 16-16v-32C608 423.3 600.8 416 592 416zM592 32h-544C39.25 32 31.1 39.25 31.1 48L32 80C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-32C608 39.25 600.8 32 592 32z"]],
    "conveyor-belt": [640, 512, [], "f46e", ["M544 320h-448c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s31.1 12.8 31.1 32S147.2 448 128 448zM319.1 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 319.1 448zM512 448c-19.2 0-32-12.8-32-32S492.8 384 512 384s32 12.8 32 32S531.2 448 512 448zM384 128V0H256v128l64-32L384 128z", "M480 0h-96v128l-64-32L256 128V0H160C142.3 0 128 14.33 128 32v192c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C512 14.33 497.7 0 480 0z"]],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", ["M544 320H96c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S147.2 448 128 448zM320 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 320 448zM512 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S531.2 448 512 448z", "M288 0H96C78.33 0 64 14.33 64 32v192c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V32C320 14.33 305.7 0 288 0zM544 64h-128c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64z"]],
    "conveyor-belt-empty": [640, 512, [], "e150", ["M544 320H96c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S147.2 448 128 448zM320 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 320 448zM512 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S531.2 448 512 448z", ""]],
    "cookie": [512, 512, [127850], "f563", ["M494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.52-18.52-42.3-30.7-68.2-34.8L256.9 17.53C231.2 13.42 204.7 17.64 181.5 29.48L116.7 62.53C93.23 74.36 74.36 93.35 62.41 116.7L29.51 181.2c-11.84 23.44-16.08 50.04-11.98 75.94l11.37 71.48c4.101 25.9 16.29 49.77 34.8 68.41l51.33 51.33c18.52 18.4 42.3 30.61 68.2 34.72l71.84 11.37c25.78 4.102 52.27-.1173 75.47-11.95l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM176 367.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C208 353.6 193.6 367.1 176 367.1zM208 208c-17.62 0-31.1-14.37-31.1-31.1s14.38-31.1 31.1-31.1c17.62 0 31.1 14.37 31.1 31.1S225.6 208 208 208zM368 335.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C400 321.6 385.6 335.1 368 335.1z", "M176 303.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C208 318.4 193.6 303.1 176 303.1zM208 144c-17.62 0-31.1 14.37-31.1 31.1s14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1S225.6 144 208 144zM368 271.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C400 286.4 385.6 271.1 368 271.1z"]],
    "cookie-bite": [512, 512, [], "f564", ["M494.6 255.9c-65.63-.8203-118.6-54.14-118.6-119.9c-65.74 0-119.1-52.97-119.8-118.6c-25.66-3.867-51.8 .2346-74.77 12.07L116.7 62.41C93.35 74.36 74.36 93.35 62.41 116.7L29.6 181.2c-11.95 23.44-16.17 49.92-12.07 75.94l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39C133.6 466.9 157.3 479 183.2 483.1l71.84 11.37c25.9 4.101 52.27-.1172 75.59-11.95l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57C494.3 307.7 498.5 281.4 494.6 255.9zM176 367.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S193.6 367.1 176 367.1zM208 208c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S225.6 208 208 208zM368 335.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S385.6 335.1 368 335.1z", "M176 303.1c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S193.6 303.1 176 303.1zM208 144c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S225.6 144 208 144zM368 271.1c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S385.6 271.1 368 271.1z"]],
    "copy": [512, 512, [], "f0c5", ["M512 96v240c0 26.51-21.49 48-48 48h-192c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48H416v96H512z", "M192 352V128h-144c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48L288 416h-32C220.7 416 192 387.3 192 352zM416 0v96h96L416 0z"]],
    "copyright": [512, 512, [169], "f1f9", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z", "M199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z"]],
    "corn": [512, 512, [127805], "f6c7", ["M489.9 79.83c8.875 9.875 13.13 24.25 8.875 38.38c-4.125 13.38-14.63 23.38-27.13 27.13c7 11 8.625 25 2.875 37.88c-5.75 12.75-17.25 20.75-30.13 23c5.75 11.5 5.5 25.63-1.625 37.5c-6.625 11.75-18.88 18.88-31.63 19.75c4.5 11.88 3.251 25.63-4.751 36.88c-1.5 2-3.25 3.625-4.875 5.25c-51.25-28.5-110.1-37.5-166.5-28.13c9.375-56.38-.0002-115.3-28.38-166.4C209 107.1 211.8 105.2 215 102.8C226.1 94.83 240.3 93.58 252.1 98.08c.875-12.5 7.1-24.63 19.75-31.38c11.88-7 26-7 37.5-1.625c2.25-12.5 10.63-24 23.38-29.75c12.75-5.375 26.88-3.875 37.75 3.25c3.875-12.88 14.13-23.13 27.5-26.88c14.13-4.25 28.5 .0005 38.38 9.5c7.375-14 22.5-22.63 39.13-21c21.75 1.875 37.75 20.38 36.38 41.88v3.125C511.3 60.58 502.4 73.45 489.9 79.83z", "M423.9 359.1c-88.01-76.63-221.5-73.01-305.3 10.75l-67.88 67.88L96.01 483.9c37.5 37.5 98.26 37.5 135.8 0l90.51-90.51l97.63-19.5C426.4 372.5 428.8 364.2 423.9 359.1zM201 284.9c15.5-67.76-.7491-141.3-49-196.8C147.8 83.2 139.5 85.58 138.1 91.95l-19.5 97.76L28.13 280.2c-37.5 37.5-37.5 98.26 0 135.8l67.88-67.88C126.4 317.7 162.6 296.7 201 284.9z"]],
    "corner": [448, 512, [], "e3fe", ["M416 384c-17.69 0-32-14.31-32-32V224H32C14.31 224 0 209.7 0 192s14.31-32 32-32h384c17.69 0 32 14.31 32 32v160C448 369.7 433.7 384 416 384z", ""]],
    "couch": [640, 512, [], "f4b8", ["M128 272V320h384V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H191.1c-70.69 0-128 57.31-128 128L64 193.6C100.5 201.1 128 233.4 128 272z", "M592 224C565.5 224 544 245.5 544 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64c8.836 0 15.1-7.164 15.1-16L96 448h448v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C640 245.5 618.5 224 592 224z"]],
    "cow": [640, 512, [128004], "f6c8", ["M96 115.2C83.2 121.6 73.6 134.4 70.4 153.6V256c0 35.2-28.8 64-64 64H0V288c0-19.2 9.6-38.4 25.6-48V153.6C25.6 102.4 64 64 112 64H160C131.2 64 102.4 86.4 96 115.2zM332.8 300.8C320 281.6 294.4 272 272 272C224 272 195.2 313.6 192 348.8V352c9.6 9.6 19.2 16 32 22.4V400C224 409.6 230.4 416 240 416S256 409.6 256 400V384c9.6 0 12.8 3.2 32 0L288 400C288 409.6 294.4 416 304 416s16-6.4 16-16v-25.6C332.8 368 342.4 361.6 352 352C352 332.8 345.6 316.8 332.8 300.8z", "M633.6 275.2L624 262.4l.0021-76.66c0-9.6-6.402-16.14-16-16.14c-3.2 0-6.4 0-6.4 3.2C592 179.2 582.4 185.6 576 195.2l-67.2-89.6C489.6 80 460.8 64 432 64H160C124.8 64 96 92.8 96 128l.0002 304c0 9.6 6.401 16 16 16h63.1c9.6 0 16-6.4 16-16L192 352c0-44.8 35.2-80 80-80S352 307.2 352 352l.0012 80c0 9.6 6.4 16 15.1 16h64c9.6 0 16-6.4 16-16V256l31.1 32l.0006 41.55c0 12.8 3.198 25.65 9.598 35.25l41.6 60.8c16 22.4 44.8 28.8 64 12.8c9.6-6.4 19.2-19.2 19.2-28.8L640 300.8C640 291.2 640 284.8 633.6 275.2zM377.6 166.4l-22.4 22.4C332.8 211.2 304.1 224 272.1 224S211.2 211.2 188.8 188.8L166.4 166.4C150.4 150.4 163.3 128 188.9 128h166.2C380.7 128 393.6 150.4 377.6 166.4zM576 352c-9.6 0-16-6.4-16-16s6.4-16 16-16s16 6.4 16 16S585.6 352 576 352z"]],
    "cowbell": [448, 512, [], "f8b3", ["M112 40C112 17.91 129.9 0 152 0H296C318.1 0 336 17.91 336 40V96C358 96 377.2 110.1 382.6 132.4L446.6 388.4C450.2 402.7 446.9 417.9 437.8 429.5C428.7 441.2 414.8 448 400 448H48C33.22 448 19.26 441.2 10.17 429.5C1.07 417.9-2.152 402.7 1.433 388.4L65.43 132.4C70.78 110.1 89.97 96 111.1 96L112 40zM160 96H288V48H160V96z", "M160 448H288C288 483.3 259.3 512 224 512C188.7 512 160 483.3 160 448z"]],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", ["M127.1 40C127.1 17.91 145.9 0 167.1 0H279.1C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C318.3 209.7 255.1 281.6 255.1 368C255.1 384.6 258.3 400.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128L127.1 40zM175.1 96H271.1V48H175.1V96zM275.2 448C278.3 454.1 281.8 459.1 285.5 465.6C277.9 492.4 253.2 512 223.1 512C188.7 512 159.1 483.3 159.1 448H275.2z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "crab": [512, 512, [129408], "e3ff", ["M208 128C199.2 128 192 135.2 192 144l.001 49.17C196.1 192.8 200.2 192 204.4 192h19.7L224 144C224 135.2 216.8 128 208 128zM48 304h26.58c1.674-11.23 4.984-21.89 9.33-32H51.78L23.16 257.7c-7.906-3.891-17.5-.7656-21.47 7.156C-2.25 272.8 .9375 282.4 8.844 286.3l32 16C43.06 303.4 45.53 304 48 304zM172.1 437.3l-5.516-5.516l-30.85 18.51C130.9 453.2 128 458.4 128 464v32C128 504.8 135.2 512 144 512S160 504.8 160 496v-22.94L201.8 448H198.1C188.4 448 179 444.1 172.1 437.3zM93.79 358.9l-9.939-9.939c-4.799-4.799-7.477-10.96-9.041-17.46l-15.88 5.291c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C23.81 398.4 27.91 400 32 400s8.188-1.562 11.31-4.688l29.34-29.33L93.79 358.9zM124.5 389.6l-33.56 11.19c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C55.81 462.4 59.91 464 64 464s8.188-1.562 11.31-4.688l29.34-29.33l45.14-15.05L124.5 389.6zM345.4 431.8l-5.516 5.516C332.1 444.1 323.7 448 313.1 448h-3.752L352 473.1V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-32c0-5.625-2.938-10.83-7.781-13.72L345.4 431.8zM320 144C320 135.2 312.8 128 304 128S288 135.2 288 144V192h19.72c4.18 0 8.202 .7808 12.28 1.167L320 144zM459.3 340.7c-1.75-1.75-3.906-3.078-6.25-3.859l-15.88-5.291c-1.564 6.494-4.242 12.66-9.041 17.46l-9.939 9.939l21.14 7.049l29.34 29.33C471.8 398.4 475.9 400 480 400s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L459.3 340.7zM510.3 264.8c-3.969-7.922-13.53-11.08-21.47-7.156L460.2 272h-32.13c4.346 10.11 7.656 20.77 9.33 32H464c2.469 0 4.938-.5781 7.156-1.688l32-16C511.1 282.4 514.3 272.8 510.3 264.8zM427.3 404.7c-1.75-1.75-3.906-3.078-6.25-3.859l-33.56-11.19l-25.29 25.29l45.13 15.05l29.34 29.33C439.8 462.4 443.9 464 448 464s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L427.3 404.7z", "M511.1 128v64c0 9.297-5.375 17.75-13.78 21.72L417.5 251.7c13.41 20.57 21.35 45.04 21.35 71.43c0 9.699-3.852 19-10.71 25.86l-88.29 88.29C332.1 444.1 323.7 448 313.1 448H198.1c-9.699 0-19.09-3.854-25.95-10.71l-88.29-88.29c-6.857-6.857-10.69-16.16-10.69-25.86c0-26.39 7.936-50.86 21.35-71.43L13.79 213.7C5.379 209.8 .0039 201.3 .0039 192V128c0-70.69 57.3-128 127.1-128h63.1l-63.1 64h63.1c0 35.35-28.65 64-63.1 64h-79.1v48.77l81.87 38.53C151 200.7 176.7 192 204.4 192h103.3c27.67 0 53.25 8.666 74.41 23.29l81.87-38.53V128h-79.1C348.7 128 319.1 99.35 319.1 64h63.1l-63.1-64h63.1C454.7 0 511.1 57.31 511.1 128z"]],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", ["M424.1 80.63c-18.13-3-51.88 6.125-72.5 17.62c-17-9.5-42.38-16.87-61.13-17.75c1.875 2.25 3.875 4.125 5.5 6.625c20.88 30.12 25.75 72.25 22.25 104.9h159.7C483.3 152.5 472.9 89.38 424.1 80.63zM210.5 50.5c11.38-12.25 14.5-32 13.25-50.25c-12.88-.875-35.63-.125-50 13.25C157.3 30.13 160 59.88 160.5 63.75C179 65 198.3 61.88 210.5 50.5zM402.3 50.5c11.25-12.25 14.38-32 13.25-50.25c-13-.875-35.75-.125-50.13 13.25c-16.5 16.62-13.75 46.38-13.12 50.25C370.6 65 389.1 61.88 402.3 50.5zM232.5 80.63C214.4 77.63 180.6 86.8 160 98.3c-20.62-11.5-54.38-20.67-72.5-17.67C38.88 89.38 28.46 152.9 33.71 192h252.6C291.5 152.5 281.1 89.38 232.5 80.63z", "M0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.13 431.1 64 431.1zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1z"]],
    "crate-empty": [512, 512, [], "e151", ["", "M0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.13 431.1 64 431.1zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1z"]],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", ["M512 32C547.3 32 576 60.65 576 96V128H0V96C0 60.65 28.65 32 64 32H512zM576 416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V224H576V416zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z", "M576 224H0V128H576V224z"]],
    "credit-card-blank": [576, 512, [], "f389", ["M176 352C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352H176zM368 352C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368C224 359.2 231.2 352 240 352H368z", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"]],
    "credit-card-front": [576, 512, [], "f38a", ["M464 288C472.8 288 480 295.2 480 304C480 312.8 472.8 320 464 320H112C103.2 320 96 312.8 96 304C96 295.2 103.2 288 112 288H464zM96 368C96 359.2 103.2 352 112 352H176C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368zM224 368C224 359.2 231.2 352 240 352H368C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368z", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H464C472.8 320 480 312.8 480 304C480 295.2 472.8 288 464 288H112zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384zM408 96C394.7 96 384 106.7 384 120V168C384 181.3 394.7 192 408 192H488C501.3 192 512 181.3 512 168V120C512 106.7 501.3 96 488 96H408z"]],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", ["M345 319.1l-182.4 182.4c-5.867 5.863-13.81 9.594-22.03 9.594c-31.73 0-140.6-37.81-140.6-140.6c0-8.217 3.731-16.15 9.592-22.02l182.4-182.4v153L345 319.1z", "M415.1 237.6c0-7.07-2.697-14.14-8.092-19.54l-34.35-34.35l129.1-129.1c6.25-6.25 9.374-14.44 9.374-22.62C511.1 13.72 497.1 0 480 0c-8.188 0-16.38 3.124-22.62 9.374l-129.1 129.1l-34.35-34.35c-5.395-5.393-12.46-8.09-19.54-8.09S260.3 98.69 254.9 104.1L191.1 166.1v153l153-.002l62.89-62.88C413.3 251.7 415.1 244.6 415.1 237.6zM431.1 352c-44.25 0-80 35.75-80 79.1c0 44.25 35.75 79.1 80 79.1s80-35.75 80-79.1C511.1 387.8 476.2 352 431.1 352z"]],
    "croissant": [512, 512, [129360], "f7f6", ["M13.95 266.5c-3.193 0-6.385-3.204-9.578-3.204c-12.77 60.87 3.193 124.9 38.31 172.1C49.07 442.7 58.64 449.1 65.03 449.1h3.193c6.385 0 12.77-3.204 19.16-6.407l121.3-96.11c6.385-3.204 9.578-9.611 9.578-16.02L13.95 266.5zM448.1 67.89c0-9.611-6.385-16.02-12.77-22.43c-47.89-38.44-111.7-51.26-172.4-38.44c0 3.204 3.193 6.407 3.193 9.611l63.85 208.2c6.385-3.204 12.77-6.407 15.96-9.611l95.78-121.7C448.1 83.91 448.1 74.3 448.1 67.89z", "M508.8 180c-9.578-25.63-25.54-51.26-44.7-70.48l-76.62 99.31l86.2 16.02C489.7 228.1 508.8 215.3 512 199.2C512 192.8 512 186.4 508.8 180zM234.2 23.04C231 7.021 215.1-2.59 195.9 .6138c-95.78 25.63-169.2 99.31-194.8 195.4C-2.017 212.1 7.561 228.1 23.52 234.5l207.5 64.07c12.77 3.204 22.35 0 31.93-6.407l28.73-28.83c9.578-9.611 12.77-19.22 6.385-32.04L234.2 23.04zM208.7 388.3l-98.97 76.89c19.16 19.22 44.7 35.24 70.24 44.85c15.96 6.407 35.12-3.204 41.5-19.22c3.193-3.204 3.193-9.611 3.193-16.02L208.7 388.3z"]],
    "crop": [512, 512, [], "f125", ["M457.4 9.372C469.9-3.124 490.1-3.124 502.6 9.372C515.1 21.87 515.1 42.13 502.6 54.63L445.8 111.4C439.9 89.4 422.6 72.06 400.6 66.17L457.4 9.372zM384 128V173.3L173.3 384H352V448H128C92.65 448 64 419.3 64 384V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V338.7L338.7 128H384zM448 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V384z", "M64 64V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64zM384 128H160V64H384C419.3 64 448 92.65 448 128V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"]],
    "crop-simple": [512, 512, ["crop-alt"], "f565", ["M128 384H352V448H128C92.65 448 64 419.3 64 384V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V384zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V384H480z", "M64 64V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64zM384 128H160V64H384C419.3 64 448 92.65 448 128V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"]],
    "cross": [384, 512, [128327, 10013], "f654", ["M224 0H160C142.4 0 128 14.38 128 32v96h128V32C256 14.38 241.6 0 224 0zM128 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32V256H128V480z", "M383.1 160v64c0 17.62-14.37 32-31.1 32h-320C14.37 256-.0008 241.6-.0008 224V160c0-17.62 14.38-32 32-32h320C369.6 128 383.1 142.4 383.1 160z"]],
    "crosshairs": [512, 512, [], "f05b", ["M42.35 224C56.27 130.3 130.3 56.27 224 42.36V107.4C165.7 119.9 119.9 165.7 107.4 224H42.35zM107.4 288C119.9 346.3 165.7 392.1 224 404.6V469.6C130.3 455.7 56.27 381.7 42.35 288H107.4zM288 469.6V404.6C346.3 392.1 392.1 346.3 404.6 288H469.6C455.7 381.7 381.7 455.7 288 469.6V469.6zM404.6 224C392.1 165.7 346.3 119.9 288 107.4V42.36C381.7 56.27 455.7 130.3 469.6 224H404.6z", "M256 0C273.7 0 288 14.33 288 32V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V32C224 14.33 238.3 0 256 0zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H384zM256 352C273.7 352 288 366.3 288 384V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V384C224 366.3 238.3 352 256 352zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H32z"]],
    "crosshairs-simple": [512, 512, [], "e59f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M288 128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V66.65C234.4 64.91 245.1 64 256 64C266.9 64 277.6 64.91 288 66.65V128zM66.65 288C64.91 277.6 64 266.9 64 256C64 245.1 64.91 234.4 66.65 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H66.65zM224 445.3V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V445.3C277.6 447.1 266.9 448 256 448C245.1 448 234.4 447.1 224 445.3zM448 256C448 266.9 447.1 277.6 445.3 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H445.3C447.1 234.4 448 245.1 448 256z"]],
    "crow": [640, 512, [], "f520", ["M544 120V88C544 66.73 536.5 47.22 523.9 32H574C603.4 32 628.1 51.99 636.1 80.48L640 96L544 120zM355.2 383.1C372.2 383.7 388.6 381.2 404.2 376.8L446.2 478.9C451.2 491.1 445.4 505.1 433.1 510.2C420.9 515.2 406.9 509.4 401.8 497.1L355.2 383.1zM259.2 384H311.1L350.2 478.9C355.2 491.1 349.4 505.1 337.1 510.2C324.9 515.2 310.9 509.4 305.8 497.1L259.2 384z", "M544 87.1V191.1C544 298 458 384 352 384H126.1L51.51 441.4C37.5 452.1 17.41 449.5 6.638 435.5C-4.138 421.5-1.517 401.4 12.49 390.6L368 117.2V88C368 39.4 407.4 0 456 0C504.6 0 544 39.4 544 88V87.1zM456 111.1C469.3 111.1 480 101.3 480 87.1C480 74.74 469.3 63.1 456 63.1C442.7 63.1 432 74.74 432 87.1C432 101.3 442.7 111.1 456 111.1z"]],
    "crown": [576, 512, [128081], "f521", ["M288 32C265.9 32 247.1 49.91 247.1 72s17.91 40 40 40s40-17.91 40-40S310.1 32 288 32zM39.1 96c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S62.09 96 39.1 96zM536 96c-22.09 0-40 17.91-40 40s17.91 40 40 40S576 158.1 576 136S558.1 96 536 96z", "M39.1 176c.2461 0 .459-.1164 .7051-.1203C40.46 175.9 40.25 176 39.1 176zM535.3 175.9C535.5 175.9 535.8 176 536 176C535.8 176 535.5 175.9 535.3 175.9zM504.5 159.6l-89.63 71.7c-15.91 12.73-39.5 7.546-48.61-10.68l-57.6-115.2C302.6 109.2 295.7 112 287.1 112S273.4 109.2 267.3 105.4L209.7 220.6c-9.111 18.22-32.71 23.4-48.61 10.68l-89.63-71.7C64.3 169.1 53.48 175.6 40.71 175.9l50.52 277.8C93.99 468.9 107.2 480 122.7 480h330.6c15.46 0 28.72-11.06 31.48-26.27l50.52-277.9C522.5 175.6 511.7 169.1 504.5 159.6z"]],
    "crutch": [512, 512, [], "f7f7", ["M502.6 168.1l-159.6-159.5c-12.54-12.54-32.85-12.6-45.46-.1256c-12.68 12.54-12.73 33.1-.1256 45.71l159.6 159.5c12.6 12.59 33.03 12.57 45.59-.0628C515.1 201.9 515.1 181.5 502.6 168.1z", "M411.1 168.7l-76.69 76.7l-67.88-67.87l76.69-76.69l-45.25-45.25L166.7 186.8C154.1 199.6 145.2 215.6 141.1 233.2L113.3 353.4l-108.6 108.6c-6.25 6.25-6.25 16.37 0 22.62l22.63 22.62c6.25 6.25 16.38 6.25 22.63 0l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l131.2-131.3L411.1 168.7zM279.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25C204.8 241.7 207.8 236.3 211.9 232.1l9.375-9.25l67.88 67.87L279.9 300.1z"]],
    "crutches": [640, 512, [], "f7f8", ["M214.6 55.02c6.28-6.278 9.418-14.54 9.418-22.79C223.1 6.952 200.9 0 191.8 0C183.5 0 175.3 3.149 168.1 9.442L9.429 168.1C3.144 175.3 .0001 183.5 .0001 191.7c0 8.209 3.121 16.42 9.366 22.7c6.292 6.327 14.62 9.553 22.89 9.553c8.238 0 16.48-3.142 22.76-9.428l.5742-.5734l131.2 131.3c2.963 2.934 6.648 4.918 9.951 7.437l15.45-15.45l10.71-46.64L100.9 168.7L168.7 100.9l85.84 85.83C259.6 178.7 265.3 171 272.1 164.2l25.29-25.25L213.1 55.61L214.6 55.02zM222.9 290.7L222.9 290.7L222.9 290.7zM639.1 191.7c0-8.239-3.144-16.48-9.428-22.76l-159.6-159.5C464.7 3.149 456.5 0 448.2 0c-9.229 0-32.21 7.171-32.21 32.23c0 8.255 3.138 16.51 9.418 22.79l159.6 159.5c6.287 6.286 14.53 9.428 22.76 9.428c8.267 0 16.53-3.163 22.83-9.49C636.8 208.2 639.1 199.1 639.1 191.7zM438.6 393.4c-7.879 3.621-16.01 6.738-24.58 8.758l-46.44 10.72l94.49 94.49C465.2 510.4 469.3 512 473.4 512c4.094 0 8.188-1.562 11.31-4.687l22.63-22.62c3.125-3.125 4.687-7.219 4.687-11.31c0-4.094-1.563-8.187-4.688-11.31L438.6 393.4z", "M539.1 168.7l-76.69 76.69l-67.88-67.87l76.69-76.69L426 55.62L294.7 186.8C282.1 199.6 273.2 215.6 269.1 233.2l-27.75 120.2L132.7 462.1c-3.125 3.125-4.688 7.219-4.688 11.31c0 4.094 1.564 8.187 4.689 11.31l22.63 22.62C158.4 510.4 162.5 512 166.6 512c4.094 0 8.188-1.562 11.31-4.687l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l131.2-131.3L539.1 168.7zM407.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L407.9 300.1z"]],
    "cruzeiro-sign": [384, 512, [], "e152", ["M160 402.7V256C160 238.3 174.3 224 192 224C199.7 224 206.8 226.7 212.3 231.3C223 226.6 234.8 224 247.3 224C264.5 224 281.3 229.1 295.7 238.7L305.8 245.4C320.5 255.2 324.4 275 314.6 289.8C304.8 304.5 284.1 308.4 270.2 298.6L260.2 291.9C256.4 289.4 251.9 288 247.3 288C234.4 288 224 298.4 224 311.3V416C201.2 416 179.6 411.2 160 402.7z", "M224 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 224 416C264.1 416 302.3 400.6 330.7 375.3C343.8 363.5 364.1 364.6 375.8 377.8C387.6 390.9 386.5 411.2 373.3 422.1C333.7 458.4 281.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C281.4 32 333.7 53.59 373.3 89.04C386.5 100.8 387.6 121.1 375.8 134.2C364.1 147.4 343.8 148.5 330.7 136.7C302.3 111.4 264.1 96 224 96V96z"]],
    "crystal-ball": [448, 512, [], "e362", ["M224 1.781C100.3 1.781 0 100.2 0 224c0 62.88 26.12 119.4 67.88 159.1L380.1 384C421.8 343.4 448 286.9 448 224.9C448 101.1 347.7 1.781 224 1.781zM205.8 132.4l-28.91 11.5L164.5 173.8C163 175.9 161.4 176.9 160.9 176.9s-2.969-1-3.594-2.25L144.9 144.8L115.1 132.4C113.9 131.8 112.9 130.3 112.9 128.9s1-3 2.219-3.562l29.78-12.44l12.41-29.81c.5938-1.188 1.281-2.188 3.594-2.188c2.281 0 2.094 1 2.688 2.188l12.44 29.81l29.78 12.38C207 125.9 208 127.5 208 128.9C208 130.2 207 131.8 205.8 132.4zM380.3 213.9l-49.63 20.75l-20.72 49.63C308.1 286.3 306.3 288 304 288c-2.312-.0625-4.906-.8125-5.906-2.812L277.4 235.5l-49.63-20.69c-2-1-3.656-3.688-3.656-5.938c0-2.188 1.594-5 3.594-6l49.41-20.62l.4062-.375l20.59-49.31C299.1 130.5 301.7 128.9 304 128.9c2.281 0 4.969 1.625 5.969 3.688l20.72 49.63l49.63 20.69C382.3 203.9 384 206.6 384 207.9C384 211.1 382.3 213.8 380.3 213.9z", "M409.7 460.7c4.425 5.935 6.424 12.6 6.424 19.09C416.1 496.4 403 512 384.1 512H64.04c-18.96 0-32.05-15.6-32.05-32.54c0-6.621 1.998-13.48 6.424-19.68L71.35 416h304.7L409.7 460.7z"]],
    "cube": [512, 512, [], "f1b2", ["M224 246.6V434.6L64 377.4V189.4L224 246.6zM448 377.4L288 434.6V246.6L448 189.4V377.4z", "M234.5 5.709C248.4 .7377 263.6 .7377 277.5 5.709L469.5 74.28C494.1 83.38 512 107.5 512 134.6V377.4C512 404.5 494.1 428.6 469.5 437.7L277.5 506.3C263.6 511.3 248.4 511.3 234.5 506.3L42.47 437.7C17 428.6 0 404.5 0 377.4V134.6C0 107.5 17 83.38 42.47 74.28L234.5 5.709zM256 65.98L82.34 128L256 190L429.7 128L256 65.98zM224 434.6V246.6L64 189.4V377.4L224 434.6zM288 434.6L448 377.4V189.4L288 246.6V434.6z"]],
    "cubes": [576, 512, [], "f1b3", ["M264 151.7V240.9L184 210.6V121L264 151.7zM392 210.6L312 240.9V151.7L392 121V210.6zM256 419.1L176 454.3V353.9L256 323.2V419.1zM48 323.2L128 353.9V454.3L52.78 421.2C49.88 419.9 48 417.1 48 413.9V323.2zM528 323.2V413.9C528 417.1 526.1 419.9 523.2 421.2L448 454.3V353.9L528 323.2zM320 419.1V323.2L400 353.9V454.3L320 419.1z", "M288 457.5L174.5 507.3C160.2 513.7 143.8 513.7 129.5 507.3L33.46 465.1C13.13 456.2 0 436.1 0 413.9V294.7C0 271.5 14.39 250.6 36.15 242.4L132.1 205.1C133.4 205.5 134.7 205.1 136 204.7V92.52C136 69.25 150.4 48.41 172.1 40.16L268.1 3.76C280.9-1.089 295.1-1.089 307.9 3.76L403.9 40.16C425.6 48.41 440 69.25 440 92.52V204.7C441.3 205.1 442.6 205.5 443.9 205.1L539.9 242.4C561.6 250.6 576 271.5 576 294.7V413.9C576 436.1 562.9 456.2 542.5 465.1L446.5 507.3C432.2 513.7 415.8 513.7 401.5 507.3L288 457.5zM290.8 48.64C289 47.95 286.1 47.95 285.2 48.64L206.8 78.35L287.1 109.5L369.2 78.35L290.8 48.64zM264 240.9V151.7L184 121V210.6L264 240.9zM312 240.9L392 210.6V121L312 151.7V240.9zM70.81 280.6L152 311.7L233.2 280.6L154.8 250.9C153 250.2 150.1 250.2 149.2 250.9L70.81 280.6zM176 454.3L256 419.1V323.2L176 353.9V454.3zM128 353.9L48 323.2V413.9C48 417.1 49.88 419.9 52.78 421.2L128 454.3V353.9zM342.8 280.6L424 311.7L505.2 280.6L426.8 250.9C425 250.2 422.1 250.2 421.2 250.9L342.8 280.6zM523.2 421.2C526.1 419.9 528 417.1 528 413.9V323.2L448 353.9V454.3L523.2 421.2zM320 323.2V419.1L400 454.3V353.9L320 323.2z"]],
    "cubes-stacked": [448, 512, [], "e4e6", ["M70.96 250.7C62.12 235.4 67.36 215.8 82.67 206.1L138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.7 111.8 321.4 102.1 306.1L70.96 250.7zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM96 352C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H96z", "M288 32C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64C192 46.33 206.3 32 224 32H288zM256 224C256 206.3 270.3 192 288 192H352C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224zM160 384C160 366.3 174.3 352 192 352H256C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384z"]],
    "cucumber": [512, 512, [129362], "e401", ["M304.1 251.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S315.2 251.1 304.1 251.1zM400.2 91.99c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S411.2 91.99 400.2 91.99zM144.1 283.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20s20.01-8.969 20.01-20S155.1 283.1 144.1 283.1z", "M474.7 37.48c-49.96-49.97-131.1-49.97-181.1 0L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9473 6.191 1.846 9.141L37.52 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.131 1.023 6.322 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9473-6.191-1.844-9.141l184.8-184.7c2.949 .8965 5.898 1.846 9.143 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9531-6.664-1.977-9.797C524.3 163.1 523.4 86.13 474.7 37.48zM144.1 323.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20c11.04 0 20.01 8.969 20.01 20S155.1 323.1 144.1 323.1zM304.1 291.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20s20.01 8.969 20.01 20S315.2 291.1 304.1 291.1zM400.2 131.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20s20.01 8.971 20.01 20S411.2 131.1 400.2 131.1z"]],
    "cup-straw": [384, 512, [129380], "e363", ["M32 192l29.12 291.2C62.76 499.5 76.52 512 92.96 512h198.1c16.44 0 30.21-12.46 31.84-28.82L352 192H32z", "M384 175.1L383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352C376.9 191.1 384 184.9 384 175.1z"]],
    "cup-straw-swoosh": [384, 512, [], "e364", ["M32 192l29.12 291.2C62.76 499.5 76.52 512 92.96 512h198.1c16.44 0 30.21-12.46 31.84-28.82L352 192H32zM309.4 296.9c-33.61 2.209-65.46 20.59-90.15 53.53c-34.33 45.77-82.24 72.27-131.9 73.38L82.56 376h1.564c36.03 0 70.38-19.31 96.67-54.41c34.7-46.26 83.25-72.91 133.4-73.49L309.4 296.9z", "M384 175.1L383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352C376.9 191.1 384 184.9 384 175.1z"]],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", ["M74.88 482.6C76.25 499.3 90.13 512 106.8 512h234.5c16.62 0 30.5-12.75 31.88-29.38L378.7 416H69.32L74.88 482.6zM45.33 128l10.66 128h336l10.66-128H45.33z", "M432 64H416l-23.12-46.25C387.4 6.875 376.4 0 364.3 0h-280.5C71.63 0 60.63 6.875 55.13 17.75L32 64H16C7.125 64 0 71.13 0 80v32C0 120.9 7.125 128 16 128h416C440.9 128 448 120.9 448 112v-32C448 71.13 440.9 64 432 64zM69.32 416h309.4l13.33-160H55.1L69.32 416z"]],
    "cupcake": [448, 512, [129473], "e402", ["M447.1 213.6C447.1 233.3 440.2 252.3 426.2 266.2C412.3 280.2 393.3 288 373.6 288H74.4C56.74 287.1 39.66 281.7 26.22 270.3C12.77 258.8 3.834 242.1 1.002 225.5C-1.829 208.1 1.63 190.2 10.76 175.1C19.89 160 34.1 148.6 50.85 143L95.1 128C95.1 111 102.7 94.75 114.7 82.75C126.7 70.74 143 64 159.1 64H197.5C204.9 63.99 212.2 61.79 218.3 57.66C224.5 53.54 229.3 47.69 232.1 40.84C234.9 33.99 235.7 26.46 234.2 19.19C232.8 11.92 229.2 5.245 223.1 0C257.9 0 290.5 13.49 314.5 37.49C338.5 61.5 351.1 94.05 351.1 128L397.1 143C411.1 147.1 424.8 157.5 433.1 170.1C443.1 182.8 447.1 197.1 447.1 213.6H447.1z", "M123.9 320L147.9 512H123.1C115.5 511.1 108.2 509.3 102.4 504.4C96.65 499.5 92.79 492.7 91.55 485.2L64 320H123.9zM156.1 320H291.9L267.9 512H180.1L156.1 320zM384 320L356.4 485.2C355.2 492.7 351.4 499.5 345.6 504.4C339.8 509.3 332.5 511.1 324.9 512H300.1L324.1 320H384z"]],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", ["M0 384c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-16H0L0 384zM480 224h-384c-53.02 0-96 42.98-96 96L0 336h576V320C576 266.1 533 224 480 224z", "M480 224h-384c0-35.35 28.65-64 64-64V128c0-53.02 42.98-96 96-96h128C401.7 32 416 46.33 416 63.1S401.7 96 384 96H256C238.3 96 224 110.3 224 128v32h192C451.3 160 480 188.7 480 224z"]],
    "custard": [576, 512, [127854], "e403", ["M456.1 207.1L483.6 224.5L512 351.1H64L92.38 224.3L119 207.1C135.1 197.6 155.5 192.2 175.3 192.2C195.2 192.2 214.7 197.6 231.7 207.1C248.6 218.4 268.1 223.8 288 223.8C307.9 223.8 327.4 218.4 344.3 207.1C361.3 197.6 380.8 192.2 400.7 192.2C420.5 192.2 440 197.6 456.1 207.1z", "M571.3 388.7C574.3 391.7 576 395.8 576 400C576 412.7 570.9 424.9 561.9 433.9C552.9 442.9 540.7 448 528 448H48C35.27 448 23.06 442.9 14.06 433.9C5.057 424.9 0 412.7 0 400C0 395.8 1.686 391.7 4.686 388.7C7.687 385.7 11.76 384 16 384H560C564.2 384 568.3 385.7 571.3 388.7zM175.3 192.2C155.5 192.2 135.1 197.6 119 208L92.38 224.4L119.6 101.6C122 90.95 127.9 81.43 136.4 74.6C144.9 67.76 155.5 64.02 166.4 64H409.6C420.5 64.03 431.1 67.79 439.6 74.66C448.1 81.52 454 91.08 456.4 101.8L483.6 224.5L456.1 208C440 197.6 420.5 192.2 400.7 192.2C380.8 192.2 361.3 197.6 344.3 208C327.4 218.4 307.9 223.8 288 223.8C268.1 223.8 248.6 218.4 231.7 208C214.7 197.6 195.2 192.2 175.3 192.2z"]],
    "d": [384, 512, [100], "44", ["M160 32.01L32 32.01c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l128-.0073c123.5 0 224-100.5 224-224S283.5 32.01 160 32.01zM160 416H64v-320h96c88.22 0 160 71.78 160 159.1S248.2 416 160 416z", ""]],
    "dagger": [384, 512, [], "f6cb", ["M128 428.9l50.73 76c6.25 9.5 20.25 9.5 26.62 0L256 428.9V192H128V428.9z", "M336 128H224V16C224 7.125 216.9 0 208 0h-32C167.1 0 160 7.125 160 16V128H48C21.5 128 0 149.5 0 176S21.5 224 48 224c20.88 0 38.5-13.38 45-32h198C297.5 210.6 315.1 224 336 224C362.5 224 384 202.5 384 176S362.5 128 336 128z"]],
    "dash": [512, 512, ["minus-large"], "e404", ["M512 256c0 17.67-14.33 32-32 32H32C14.33 288 0 273.7 0 256s14.33-32 32-32h448C497.7 224 512 238.3 512 256z", ""]],
    "database": [448, 512, [], "f1c0", ["M448 80V128C448 172.2 347.7 208 224 208C100.3 208 0 172.2 0 128V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80zM393.2 214.7C413.1 207.3 433.1 197.8 448 186.1V288C448 332.2 347.7 368 224 368C100.3 368 0 332.2 0 288V186.1C14.93 197.8 34.02 207.3 54.85 214.7C99.66 230.7 159.5 240 224 240C288.5 240 348.3 230.7 393.2 214.7V214.7zM54.85 374.7C99.66 390.7 159.5 400 224 400C288.5 400 348.3 390.7 393.2 374.7C413.1 367.3 433.1 357.8 448 346.1V432C448 476.2 347.7 512 224 512C100.3 512 0 476.2 0 432V346.1C14.93 357.8 34.02 367.3 54.85 374.7z", "M0 186.1V128C0 172.2 100.3 208 224 208C347.7 208 448 172.2 448 128V186.1C433.1 197.8 413.1 207.3 393.2 214.7C348.3 230.7 288.5 240 224 240C159.5 240 99.66 230.7 54.85 214.7C34.02 207.3 14.93 197.8 0 186.1V186.1zM0 346.1V288C0 332.2 100.3 368 224 368C347.7 368 448 332.2 448 288V346.1C433.1 357.8 413.1 367.3 393.2 374.7C348.3 390.7 288.5 400 224 400C159.5 400 99.66 390.7 54.85 374.7C34.02 367.3 14.93 357.8 0 346.1z"]],
    "deer": [576, 512, [129420], "f78e", ["M272 .0003C280.8 .0003 288 7.164 288 16V40C288 53.26 298.7 64 312 64H328C341.3 64 352 53.26 352 40V16C352 7.164 359.2 .0003 368 .0003C376.8 .0003 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H384C392.8 64 400 71.16 400 80C400 88.84 392.8 96 384 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 .0003 272 .0003zM488 .0003C496.8 .0003 504 7.164 504 16V40C504 61.66 491.7 80.44 473.7 89.76C460.3 76.1 443.5 68.58 425.4 65.41C427.4 64.5 429.7 64 432 64H448C461.3 64 472 53.25 472 40V16C472 7.164 479.2 0 488 0V.0003z", "M352 96H384C392.8 96 400 88.84 400 80C400 74.35 397.1 69.39 392.7 66.54C397.9 64.88 403.5 64 409.3 64C434.1 64 457.9 73.86 475.4 91.4L530.7 146.7C539.2 155.2 544 166.7 544 178.7C544 203.7 523.7 223.1 498.7 223.1H442.7L416 303.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V368H283.7C254.9 368 228.4 358.2 207.4 341.6C205.3 358.5 197.6 374.3 185.5 386.4L174.9 396.1C170.3 401.6 168.7 408.5 170.9 414.6L190.2 469.4C197.6 490.2 182.1 512 160 512H126.1C112.5 512 100.4 503.4 95.92 490.6L80.37 446.6C68.93 414.2 72.1 378.8 90.39 350.3C97.02 339.4 97.03 324.9 88 315.9C85.04 312.9 82.33 309.8 79.88 306.4C78.58 319.3 67.18 328.9 54.16 327.9C40.94 326.9 31.06 315.4 32.07 302.2L34.39 272C38.56 217.8 83.74 175.1 138.1 175.1H224C224.6 175.1 225.2 176 225.7 176C226.6 176 227.4 175.1 228.3 175.1H334.4L344 143.1H305.1C296 143.1 288 135.1 288 126C288 117.8 293.6 110.6 301.6 108.6L352 96zM432 128C423.2 128 416 135.2 416 144C416 152.8 423.2 160 432 160C440.8 160 448 152.8 448 144C448 135.2 440.8 128 432 128z"]],
    "deer-rudolph": [576, 512, [], "f78f", ["M256 40C256 53.26 266.7 64 280 64H296C309.3 64 320 53.26 320 40V16C320 7.164 327.2 .0003 336 .0003C344.8 .0003 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H352C360.8 64 368 71.16 368 80C368 88.84 360.8 96 352 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 .0003 240 .0003C248.8 .0003 256 7.164 256 16V40zM472 40C472 61.66 459.7 80.44 441.7 89.76C428.3 76.1 411.5 68.58 393.4 65.41C395.4 64.5 397.7 64 400 64H416C429.3 64 440 53.25 440 40V16C440 7.164 447.2 0 456 0C464.8 0 472 7.164 472 16V40zM480 136C480 113.9 497.9 96 520 96C542.1 96 560 113.9 560 136C560 158.1 542.1 176 520 176C497.9 176 480 158.1 480 136z", "M352 96C360.8 96 368 88.84 368 80C368 74.35 365.1 69.39 360.7 66.54C365.9 64.88 371.5 64 377.3 64C402.1 64 425.9 73.86 443.4 91.4L480.7 128.7C480.2 131 480 133.5 480 136C480 155.3 493.7 171.4 511.9 175.2C511.1 176.4 512 177.5 512 178.7C512 203.7 491.7 223.1 466.7 223.1H410.7L384 303.1V480C384 497.7 369.7 512 352 512H320C302.3 512 288 497.7 288 480V368H251.7C222.9 368 196.4 358.2 175.4 341.6C173.3 358.5 165.6 374.3 153.5 386.4L142.9 396.1C138.3 401.6 136.7 408.5 138.9 414.6L158.2 469.4C165.6 490.2 150.1 512 128 512H94.09C80.53 512 68.43 503.4 63.92 490.6L48.37 446.6C36.93 414.2 40.1 378.8 58.39 350.3C65.02 339.4 65.03 324.9 56 315.9C53.04 312.9 50.33 309.8 47.88 306.4C46.58 319.3 35.18 328.9 22.16 327.9C8.945 326.9-.9448 315.4 .072 302.2L2.39 272C6.558 217.8 51.74 175.1 106.1 175.1H192C192.6 175.1 193.2 176 193.7 176C194.6 176 195.4 175.1 196.3 175.1H302.4L312 143.1H273.1C264 143.1 256 135.1 256 126C256 117.8 261.6 110.6 269.6 108.6L320 95.1L352 96zM400 160C408.8 160 416 152.8 416 144C416 135.2 408.8 128 400 128C391.2 128 384 135.2 384 144C384 152.8 391.2 160 400 160z"]],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", ["M576 384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64H512C547.3 64 576 92.65 576 128V384zM432.1 175C423.6 165.7 408.4 165.7 399 175L352 222.1L304.1 175C295.6 165.7 280.4 165.7 271 175C261.7 184.4 261.7 199.6 271 208.1L318.1 256L271 303C261.7 312.4 261.7 327.6 271 336.1C280.4 346.3 295.6 346.3 304.1 336.1L352 289.9L399 336.1C408.4 346.3 423.6 346.3 432.1 336.1C442.3 327.6 442.3 312.4 432.1 303L385.9 256L432.1 208.1C442.3 199.6 442.3 184.4 432.1 175V175z", "M399 175C408.4 165.7 423.6 165.7 432.1 175C442.3 184.4 442.3 199.6 432.1 208.1L385.9 255.1L432.1 303C442.3 312.4 442.3 327.6 432.1 336.1C423.6 346.3 408.4 346.3 399 336.1L352 289.9L304.1 336.1C295.6 346.3 280.4 346.3 271 336.1C261.7 327.6 261.7 312.4 271 303L318.1 255.1L271 208.1C261.7 199.6 261.7 184.4 271 175C280.4 165.7 295.6 165.7 304.1 175L352 222.1L399 175z"]],
    "delete-right": [576, 512, [], "e154", ["M0 128C0 92.65 28.65 64 64 64H370.7C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z", "M224 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L224 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175C152.4 165.7 167.6 165.7 176.1 175L224 222.1z"]],
    "democrat": [640, 512, [], "f747", ["M191.1 479.1C191.1 497.6 206.4 512 223.1 512h32c17.6 0 32-14.4 32-32v-64h160v64c0 17.6 14.41 32 32.01 32L511.1 512c17.6 0 32-14.4 32-32v-144H191.1V479.1z", "M637.2 256.9l-19.5-29.38c-28.25-42.25-75.38-67.5-126.1-67.5H255.1L174.7 78.75c20.13-20 22.63-51 7.5-73.88C178.9-.2552 171.5-1.005 167.1 3.37L125.2 45.25L82.36 2.37C78.74-1.255 72.74-.6302 69.99 3.62c-12.25 18.63-10.25 44 6.125 60.38c3.25 3.25 7.25 5.25 11.25 7.5c-2.125 1.75-4.625 3.125-6.375 5.375l-74.63 99.38C-.8895 185.9-2.014 198.9 3.361 209.7l14.38 28.5c5.375 10.88 16.5 17.75 28.5 17.75H77.24c8.5 0 16.63-3.375 22.63-9.375l38.13-34.63l54 124h352V242.2c16.25 12.13 18.25 17.5 40.13 50.25c4.875 7.375 14.75 9.25 22.13 4.375l26.63-17.63C640.2 274.2 642.2 264.2 637.2 256.9zM296.2 243.2L279.7 259.4l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L255.1 276.7L235.6 287.4C231.1 289.2 227.7 286.2 228.4 282.1l3.875-22.75L215.7 243.2c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C297.6 235.4 299.2 240.4 296.2 243.2zM408.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L367.1 276.7l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C409.6 235.4 411.2 240.4 408.2 243.2zM520.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25l-20.38-10.63l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C521.6 235.4 523.2 240.4 520.2 243.2z"]],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 288H64V64h448V288z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v224h448V64H64z"]],
    "desktop-arrow-down": [576, 512, [], "e155", ["M576 48v320c0 26.5-21.5 48-48 48h-480C21.5 416 0 394.5 0 368v-320C0 21.5 21.5 0 48 0h216v64H64v224h448V64h-200V0h216C554.5 0 576 21.5 576 48z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM312 64v94.06l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C195.7 114.3 201.8 112 208 112s12.28 2.344 16.97 7.031L264 158.1V64H64v224h448V64H312z"]],
    "dharmachakra": [512, 512, [9784], "f655", ["M78.12 391.8l-12.1 11.37c-6.875 6.125-7.25 16.75-.75 23.25l21.25 21.25c6.5 6.5 17.12 6.125 23.25-.75l11.37-12.1C104.4 421.8 90.24 407.6 78.12 391.8zM256 480c-10.16 0-20.08-.9268-29.88-2.235L225 495C224.5 504.3 231.8 512 241 512h30c9.25 0 16.5-7.75 16-17l-1.124-17.24C276.1 479.1 266.2 480 256 480zM271 0h-30c-9.25 0-16.5 7.75-16 17l1.124 17.24C235.9 32.93 245.8 32 256 32s20.08 .9267 29.88 2.235L287 17C287.5 7.75 280.3 0 271 0zM162.9 126.4c-14.11 10.17-25.72 23.1-35.81 37.22l47.64 41.86c8.113-13.02 19.2-23.82 32.4-31.68C206.6 174.1 206 174.3 205.5 174.6L162.9 126.4zM173.8 304.9c.3086 .5215 .5156 1.105 .832 1.621l-48.23 42.61c10.13 14.06 22.44 26.36 36.5 36.5l42.58-48.33C192.5 329.2 181.7 318.1 173.8 304.9zM17 225C7.75 224.5 0 231.8 0 241v30c0 9.25 7.75 16.5 17 16l17.24-1.124C32.93 276.1 32 266.2 32 256s.9267-20.08 2.235-29.88L17 225zM256 160c7.557 0 14.82 1.093 21.88 2.743l3.996-64.06C273.4 97.11 264.9 96 256 96S238.6 97.11 230.1 98.68l3.996 64.06C241.2 161.1 248.4 160 256 160zM98.68 230.1C97.11 238.6 96 247.1 96 256s1.109 17.45 2.684 25.87l64.06-3.996C161.1 270.8 160 263.6 160 256s1.093-14.82 2.743-21.88L98.68 230.1zM78.12 120.2c12.12-15.86 26.27-30 42.13-42.13L108.9 65.13C102.8 58.25 92.13 57.88 85.63 64.38L64.38 85.5c-6.5 6.625-6.125 17.25 .75 23.38L78.12 120.2zM338.2 304.9c-7.863 13.19-18.66 24.28-31.68 32.4l42.18 48.01c14.13-10.15 26.44-22.46 36.58-36.58L337.4 306.5C337.7 305.1 337.9 305.4 338.2 304.9zM433.9 391.8c-12.12 15.86-26.27 30-42.13 42.13l11.37 12.1c6.125 6.875 16.75 7.25 23.38 .75l21.12-21.25c6.5-6.5 6.125-17.12-.75-23.25L433.9 391.8zM495 225l-17.24 1.124C479.1 235.9 480 245.8 480 256s-.9268 20.08-2.235 29.88L495 287C504.3 287.5 512 280.3 512 271v-30C512 231.8 504.3 224.5 495 225zM426.5 64.38c-6.625-6.5-17.25-6.125-23.38 .75l-11.37 12.1c15.85 12.12 30 26.27 42.13 42.13l12.1-11.37c6.875-6.125 7.25-16.75 .75-23.38L426.5 64.38zM337.3 205.5l47.64-41.86c-10.09-14.13-21.7-27.05-35.81-37.22L306.5 174.6c-.5156-.3164-1.1-.5234-1.621-.832C318.1 181.7 329.2 192.5 337.3 205.5zM256 416c8.889 0 17.45-1.109 25.87-2.684l-3.996-64.06C270.8 350.9 263.6 352 256 352s-14.82-1.093-21.88-2.743l-3.996 64.06C238.6 414.9 247.1 416 256 416zM413.3 281.9C414.9 273.4 416 264.9 416 256s-1.109-17.45-2.684-25.87l-64.06 3.996C350.9 241.2 352 248.4 352 256s-1.093 14.82-2.743 21.88L413.3 281.9z", "M256 160C202.1 160 160 202.1 160 256s42.98 96 96 96s96-42.98 96-96S309 160 256 160zM256 288C238.4 288 224 273.6 224 256s14.36-32 32-32s32 14.36 32 32S273.6 288 256 288zM256 32C132.3 32 32 132.3 32 256s100.3 224 224 224c123.7 0 224-100.3 224-224S379.7 32 256 32zM256 416c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S344.2 416 256 416z"]],
    "diagram-cells": [512, 512, [], "e475", ["M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64z", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64z"]],
    "diagram-lean-canvas": [640, 512, [], "e156", ["M128 304H64V96H128V304zM576 304H512V96H576V304z", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 304H576V96H512V304zM464 96H400V176H464V96zM352 96H288V304H352V96zM240 96H176V176H240V96zM128 96H64V304H128V96zM64 352V416H296V352H64zM344 416H576V352H344V416zM240 224H176V304H240V224zM400 224V304H464V224H400z"]],
    "diagram-nested": [448, 512, [], "e157", ["M64 320V224H128V320C128 337.7 142.3 352 160 352H256V416H160C106.1 416 64 373 64 320z", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM400 288C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400z"]],
    "diagram-next": [512, 512, [], "e476", ["M384.1 343.6C401 327.6 404.6 306.4 399 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H112.1C107.4 306.4 110.1 327.6 127 343.6L216.4 432.1C238.3 454.8 273.7 454.8 295.6 432.1L384.1 343.6z", "M280 224V288H326.1C347.4 288 358.1 313.9 343 328.1L272.1 399C263.6 408.4 248.4 408.4 239 399L168.1 328.1C153.9 313.9 164.6 288 185.9 288H232V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H280z"]],
    "diagram-predecessor": [512, 512, [], "e477", ["M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM64 352V416H448V352H64z", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224H64z"]],
    "diagram-previous": [512, 512, [], "e478", ["M295.6 79.03C273.7 57.16 238.3 57.16 216.4 79.03L127 168.4C110.1 184.4 107.4 205.6 112.1 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H399C404.6 205.6 401 184.4 384.1 168.4L295.6 79.03z", "M448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H232V224H185.9C164.6 224 153.9 198.1 168.1 183L239 112.1C248.4 103.6 263.6 103.6 272.1 112.1L343 183C358.1 198.1 347.4 224 326.1 224H280V288H448z"]],
    "diagram-project": [576, 512, ["project-diagram"], "f542", ["M191.7 180.1L272 288C247.2 288 226.8 306.8 224.3 331L144 224C168.8 224 189.2 205.2 191.7 180.1V180.1zM192 96H384V160H192V96z", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80zM224 336C224 309.5 245.5 288 272 288H368C394.5 288 416 309.5 416 336V432C416 458.5 394.5 480 368 480H272C245.5 480 224 458.5 224 432V336zM528 32C554.5 32 576 53.49 576 80V176C576 202.5 554.5 224 528 224H432C405.5 224 384 202.5 384 176V80C384 53.49 405.5 32 432 32H528z"]],
    "diagram-sankey": [576, 512, [], "e158", ["M544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H216.5L274.1 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C244.8 480 234.3 474.1 228.6 464.5L141.9 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H544z", "M294.4 44.8C300.4 36.74 309.9 32 320 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H336L249.6 211.2C243.6 219.3 234.1 224 224 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H208L294.4 44.8z"]],
    "diagram-subtask": [512, 512, [], "e479", ["M96 320V224H160V320C160 337.7 174.3 352 192 352H224V416H192C138.1 416 96 373 96 320z", "M448 32C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448zM448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416V352C224 316.7 252.7 288 288 288H448z"]],
    "diagram-successor": [512, 512, [], "e47a", ["M64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32V32zM64 96V160H224V96H64z", "M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64z"]],
    "diagram-venn": [640, 512, [], "e15a", ["M192 256C192 194.1 216.4 139.6 256 99.21C279.7 104 301.4 114 320 127.1C281.1 157.2 256 203.7 256 256C256 308.3 281.1 354.8 320 384C301.4 397.1 279.7 407.1 256 412.8C216.4 372.4 192 317 192 256V256zM383.1 412.8C423.6 372.4 448 317 448 256C448 194.1 423.6 139.6 383.1 99.21C375.4 90.42 366 82.35 356.1 75.07C355.6 74.72 355.1 74.37 354.6 74.02C343.8 66.21 332.2 59.35 319.1 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 319.1 458.4C332.2 452.7 343.8 445.8 354.6 437.1C365.1 430.4 374.9 422 383.1 412.8H383.1z", "M448 256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256zM287.1 352C280.6 342.2 274.3 331.4 269.3 320H370.7C377.2 305.1 381.5 288.9 383.2 272H256.8C256.3 266.7 256 261.4 256 256C256 250.6 256.3 245.3 256.8 240H383.2C381.5 223.1 377.2 206.9 370.7 192H269.3C274.3 180.6 280.6 169.8 287.1 160H352C322.8 121.1 276.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C276.3 416 322.8 390.9 352 352H287.1z"]],
    "dial": [576, 512, ["dial-med-high"], "e15b", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M271.3 270.4C261.9 279.7 261.9 294.9 271.3 304.3C280.7 313.7 295.9 313.7 305.3 304.3L417.1 192.4C463.4 255 458.1 343.8 401.4 400.5C338.9 462.1 237.6 462.1 175.1 400.5C112.7 337.1 112.7 236.7 175.1 174.2C231.9 117.5 320.6 112.2 383.2 158.5L271.3 270.4z"]],
    "dial-high": [576, 512, [], "e15c", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M288.4 263.6C275.1 263.6 264.4 274.3 264.4 287.6C264.4 300.9 275.1 311.6 288.4 311.6H446.6C435 388.6 368.6 447.6 288.4 447.6C200 447.6 128.4 375.1 128.4 287.6C128.4 199.2 200 127.6 288.4 127.6C368.6 127.6 435 186.6 446.6 263.6H288.4z"]],
    "dial-low": [576, 512, [], "e15d", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M287.6 311.6C300.9 311.6 311.6 300.9 311.6 287.6C311.6 274.3 300.9 263.6 287.6 263.6H129.4C140.1 186.6 207.4 127.6 287.6 127.6C375.1 127.6 447.6 199.2 447.6 287.6C447.6 375.1 375.1 447.6 287.6 447.6C207.4 447.6 140.1 388.6 129.4 311.6H287.6z"]],
    "dial-max": [576, 512, [], "e15e", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M305.3 270.9C295.9 261.5 280.7 261.5 271.3 270.9C261.9 280.3 261.9 295.5 271.3 304.9L383.2 416.7C320.6 462.1 231.9 457.7 175.1 401C112.7 338.5 112.7 237.2 175.1 174.7C237.6 112.3 338.9 112.3 401.4 174.7C458.1 231.5 463.4 320.2 417.1 382.8L305.3 270.9z"]],
    "dial-med": [576, 512, [], "e15f", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M264 287.2C264 300.5 274.7 311.2 288 311.2C301.3 311.2 312 300.5 312 287.2V129C388.1 140.6 448 207 448 287.2C448 375.6 376.4 447.2 288 447.2C199.6 447.2 128 375.6 128 287.2C128 207 187 140.6 264 129V287.2z"]],
    "dial-med-low": [576, 512, [], "e160", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M270.8 304.3C280.1 313.7 295.3 313.7 304.7 304.3C314.1 294.9 314.1 279.7 304.7 270.4L192.8 158.5C255.4 112.2 344.1 117.5 400.9 174.2C463.3 236.7 463.3 337.1 400.9 400.5C338.4 462.1 237.1 462.1 174.6 400.5C117.9 343.8 112.6 255 158.9 192.4L270.8 304.3z"]],
    "dial-min": [576, 512, [], "e161", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M304.7 304.9C314.1 295.5 314.1 280.3 304.7 270.9C295.3 261.5 280.1 261.5 270.8 270.9L158.9 382.8C112.6 320.2 117.9 231.5 174.6 174.7C237.1 112.3 338.4 112.3 400.9 174.7C463.3 237.2 463.3 338.5 400.9 401C344.1 457.7 255.4 462.1 192.8 416.7L304.7 304.9z"]],
    "dial-off": [576, 512, [], "e162", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M312 288C312 274.7 301.3 264 288 264C274.7 264 264 274.7 264 288V446.2C187 434.6 128 368.2 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 368.2 388.1 434.6 312 446.2V288z"]],
    "diamond": [512, 512, [9830], "f219", ["M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7z", ""]],
    "diamond-exclamation": [512, 512, [], "e405", ["M497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM232 151.1c0-13.25 10.75-24 24-24s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V151.1zM256 383.1c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S273.7 383.1 256 383.1z", "M256 287.1c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24s-24 10.75-24 24v112C232 277.2 242.8 287.1 256 287.1zM256 319.1c-17.66 0-32 14.34-32 32s14.34 32 32 32s32-14.34 32-32S273.7 319.1 256 319.1z"]],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", ["M497.1 222.1l-208.1-208.1c-9.364-9.364-21.62-14.04-33.89-14.03C243.7 .0092 231.5 4.686 222.1 14.03L14.03 222.1C4.677 231.5 .0005 243.7 .0004 255.1C.0003 268.3 4.677 280.5 14.03 289.9l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26-.0001 24.52-4.677 33.87-14.03l208.1-208.1c9.352-9.353 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-13.85 16.39-20.99 26.53-12.03l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z", "M410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-8.657 6.403-14.69 13.68-15.81c4.367-.673 9.048 .4229 12.85 3.783l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z"]],
    "dice": [640, 512, [127922], "f522", ["M447.1 224c0-12.56-4.782-25.13-14.35-34.76l-174.9-174.9C249.1 4.784 236.5 0 223.1 0C211.4 0 198.9 4.784 189.2 14.35L14.35 189.2C4.784 198.9-.0011 211.4-.0011 223.1c0 12.56 4.786 25.18 14.35 34.8l174.9 174.9c9.626 9.563 22.19 14.35 34.75 14.35c12.56 0 25.13-4.782 34.75-14.35l174.9-174.9C443.2 249.1 447.1 236.6 447.1 224zM96 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S109.3 248 96 248zM224 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1c13.25 0 23.1 10.75 23.1 23.1S237.3 376 224 376zM224 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 248 224 248zM224 120c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1c13.25 0 23.1 10.75 23.1 23.1S237.3 120 224 120zM352 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S365.3 248 352 248z", "M591.1 192l-118.7 0c4.418 10.27 6.604 21.25 6.604 32.23c0 20.7-7.865 41.38-23.63 57.14l-136.2 136.2v46.37C320 490.5 341.5 512 368 512h223.1c26.5 0 47.1-21.5 47.1-47.1V240C639.1 213.5 618.5 192 591.1 192zM479.1 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S493.2 376 479.1 376zM96 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S109.3 200 96 200zM352 248c13.25 0 23.1-10.75 23.1-23.1s-10.75-23.1-23.1-23.1S328 210.8 328 224S338.8 248 352 248zM224 328c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1c13.25 0 23.1-10.75 23.1-23.1S237.3 328 224 328zM224 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S237.3 200 224 200zM224 72c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1c13.25 0 23.1-10.75 23.1-23.1S237.3 72 224 72z"]],
    "dice-d10": [512, 512, [], "f6cd", ["M209.7 12.55c0-5.014-4.216-8.716-8.618-8.716c-2.225 0-4.497 .9458-6.297 3.146L3 240.9C1.571 242.6 .9414 244.6 .9414 246.5c0 4.605 3.545 8.914 8.385 8.914c.5724 0 1.163-.0603 1.768-.1875l130.4-27.25l67.78-212.5C209.6 14.49 209.7 13.5 209.7 12.55zM256 0C252.6 0 249.3 2.016 247.1 6.047L174.6 236.1l81.44 56.72l81.44-56.72l-73.41-230.1C262.8 2.016 259.4 0 256 0zM502.6 255.5c4.854 0 8.414-4.323 8.414-8.938c0-1.942-.6301-3.935-2.059-5.681l-191.8-233.9c-1.799-2.2-4.072-3.146-6.297-3.146c-4.411 0-8.639 3.715-8.639 8.742c0 .9379 .1472 1.922 .4678 2.935l67.81 212.5l130.4 27.25C501.5 255.4 502.1 255.5 502.6 255.5z", "M150.9 262.1l88.19 61.47v179.5c0 5.293-4.144 8.87-8.507 8.87c-1.897 0-3.836-.6764-5.493-2.182L2.907 307.6C.9169 305.8 .0006 303.4 .0006 300.1c0-3.952 2.508-7.81 6.812-8.706L150.9 262.1zM512 300.1c0 2.389-.9163 4.813-2.906 6.638l-222.2 202.2C285.3 511.3 283.3 512 281.4 512c-4.362 0-8.504-3.592-8.504-8.884v-179.5l88.19-61.47l144.1 30.13C509.5 293.2 512 297 512 300.1z"]],
    "dice-d12": [512, 512, [], "f6ce", ["M7.531 176.9l123.6 123.6L240 246.1V139.3L58.97 74.06L7.531 176.9zM333.5 6.75C326.1 3.031 313.2 0 304.9 0H207.1C197.2 0 187.4 2.313 178.5 6.75L89.72 51.13L256 111l166.3-59.88L333.5 6.75zM453 74.06L272 139.3v106.9l108.8 54.41l123.6-123.6L453 74.06z", "M113.1 328.5l55.01 172l-85.87-42.95c-10.53-5.281-23.38-18.09-28.62-28.62L6.75 333.5C2.313 324.6 0 314.8 0 304.9V214.6L113.1 328.5zM364.6 328.2L305.8 512H206.2l-58.81-183.8L256 273.9L364.6 328.2zM512 214.6V304.9c0 8.344-3.031 21.16-6.75 28.62l-47.73 95.38c-5.25 10.53-18.09 23.38-28.62 28.62l-85.87 42.95l55.01-172L512 214.6z"]],
    "dice-d20": [512, 512, [], "f6cf", ["M196.6 18.66c0-4.301-3.683-8.022-8.003-8.022c-1.308 0-2.675 .3411-4.015 1.11L33.81 110.3C32.6 111.1 31.1 112.4 31.1 113.7c0 1.33 .6488 2.653 1.938 3.417L115.5 165.8l79.94-142.9C196.3 21.48 196.6 20.04 196.6 18.66zM255.1 0C250.7 0 245.5 2.532 242.4 7.624L146.8 175.1h218.4l-95.59-168.4C266.5 2.532 261.2 0 255.1 0zM479.1 113.7c0-1.277-.6019-2.555-1.813-3.353l-150.8-98.59c-1.34-.7693-2.707-1.11-4.015-1.11c-4.32 0-8.003 3.721-8.003 8.022c0 1.379 .3788 2.818 1.237 4.214l79.94 142.9l81.53-48.69C479.3 116.3 479.1 115 479.1 113.7z", "M20.04 317.3C18 317.3 16 315.8 16 313.3V150.5c0-2.351 1.91-4.012 4.001-4.012c.6882 0 1.396 .18 2.062 .5748l76.62 45.1l-75.28 122.3C22.59 316.8 21.31 317.3 20.04 317.3zM231.4 405.2l-208.2-22.06c-4.27-.4821-7.123-4.117-7.123-7.995c0-1.401 .3725-2.834 1.185-4.161L122.7 215.1L231.4 405.2zM31.1 420.1c0-2.039 1.508-4.068 3.93-4.068c.1654 0 .3351 .0095 .5089 .0291l203.6 22.31v65.66C239.1 508.6 236.2 512 232 512c-1.113 0-2.255-.2387-3.363-.7565L34.25 423.6C32.69 422.8 31.1 421.4 31.1 420.1zM356.4 207.1l-100.4 175.7L155.6 207.1H356.4zM476.1 415.1c2.422 0 3.93 2.029 3.93 4.068c0 1.378-.6893 2.761-2.252 3.524l-194.4 87.66c-1.103 .5092-2.241 .7443-3.35 .7443c-4.2 0-7.994-3.371-7.994-7.994v-65.69l203.6-22.28C475.7 416 475.9 415.1 476.1 415.1zM494.8 370.9C495.6 372.3 496 373.7 496 375.1c0 3.872-2.841 7.499-7.128 7.98l-208.2 22.06l108.6-190.1L494.8 370.9zM491.1 146.5c2.091 0 4.001 1.661 4.001 4.012v162.8c0 2.483-2.016 4.006-4.053 4.006c-1.27 0-2.549-.5919-3.353-1.912l-75.28-122.3l76.62-45.1C490.6 146.7 491.3 146.5 491.1 146.5z"]],
    "dice-d4": [512, 512, [], "f6d0", ["M231.6 0c4.143 0 8.185 3.31 8.185 8.524v494.9C239.8 508.5 235.9 512 231.7 512c-1.724 0-3.488-.5858-5.035-1.887l-223.6-188.8C1.037 319.6 0 317.2 0 314.7c0-1.816 .5498-3.647 1.682-5.201L225.3 3.337C226.1 1.031 229.3 0 231.6 0z", "M512 314.7c0 2.494-1.037 4.961-3.026 6.642l-223.6 188.8C283.8 511.4 282.1 512 280.3 512c-4.196 0-8.153-3.471-8.153-8.543V8.524C272.2 3.31 276.2 0 280.4 0c2.312 0 4.656 1.031 6.346 3.337l223.6 306.1C511.5 311 512 312.8 512 314.7z"]],
    "dice-d6": [448, 512, [], "f6d1", ["M426.2 117.2c0 2.825-1.352 5.647-4.051 7.248L224 242.6L25.88 124.4C23.19 122.8 21.85 119.1 21.85 117.2c0-2.8 1.32-5.603 3.965-7.221l165.1-100.9C201.7 3.023 212.9 0 224 0s22.27 3.023 32.22 9.07l165.1 100.9C424.8 111.6 426.2 114.4 426.2 117.2z", "M7.994 153.5c1.326 0 2.687 .3508 3.975 1.119L208 271.5v223.8c0 9.741-7.656 16.71-16.01 16.71c-2.688 0-5.449-.7212-8.05-2.303l-152.2-92.47C12.13 405.3 0 383.3 0 359.5v-197.7C0 156.1 3.817 153.5 7.994 153.5zM440 153.5C444.2 153.5 448 156.1 448 161.8v197.7c0 23.75-12.12 45.75-31.78 57.69l-152.2 92.5C261.5 511.3 258.7 512 256 512C247.7 512 240 505 240 495.3V271.5l196-116.9C437.3 153.8 438.7 153.5 440 153.5z"]],
    "dice-d8": [512, 512, [], "f6d2", ["M231.3 0c4.217 0 8.263 3.331 8.263 8.365v324.3L5.461 247.6C1.968 246.3 0 243 0 239.7c0-2.075 .7542-4.175 2.367-5.836L225.5 2.521C227.2 .779 229.3 0 231.3 0zM512 239.7c0 3.355-1.968 6.651-5.461 7.944l-234.1 85.03V8.396c0-5.057 4.049-8.395 8.268-8.395c2.038 0 4.116 .7791 5.795 2.52l223.2 231.3C511.2 235.5 512 237.6 512 239.7z", "M31.11 304.6c0-4.377 3.501-8.483 8.109-8.483c.9283 0 1.902 .1666 2.9 .5312l197.5 71.66v135.3C239.6 508.7 235.5 512 231.3 512c-2.038 0-4.116-.7791-5.795-2.52L33.52 310.4C31.84 308.6 31.11 306.6 31.11 304.6zM472.8 296.1c4.608 0 8.109 4.105 8.109 8.483c0 1.998-.7294 4.052-2.416 5.799l-192 199.1C284.8 511.2 282.7 512 280.7 512c-4.219 0-8.268-3.338-8.268-8.395V368.3l197.5-71.66C470.9 296.3 471.9 296.1 472.8 296.1z"]],
    "dice-five": [448, 512, [9860], "f523", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"]],
    "dice-four": [448, 512, [9859], "f524", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"]],
    "dice-one": [448, 512, [9856], "f525", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z", "M256 256c0 17.62-14.38 32-32 32S192 273.6 192 256s14.38-32 32-32S256 238.4 256 256z"]],
    "dice-six": [448, 512, [9861], "f526", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 288C110.4 288 96 273.6 96 256s14.38-32 32-32s32 14.38 32 32S145.6 288 128 288zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 288 320 288zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM128 224C110.4 224 96 238.4 96 256s14.38 32 32 32s32-14.38 32-32S145.6 224 128 224zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 224 320 224zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128z"]],
    "dice-three": [448, 512, [9858], "f527", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"]],
    "dice-two": [448, 512, [9857], "f528", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"]],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", ["M539.3 144H384v238L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM0 272C0 351.5 42.98 416 96 416l160-34.29V144H96C42.98 144 0 192.5 0 272z", "M480 112c0 11.4-2.506 22.19-6.844 32H400C417.7 144 432 129.7 432 112s-14.32-32-31.1-32c-15.93 0-27.67 2.639-68.88 64H384V480l-64-32.01L256 480V144h52.87C267.7 82.64 255.9 80 240 80c-17.67 0-32 14.33-32 32s14.33 32 32 32H166.8C162.5 134.2 160 123.4 160 112C160 68.15 195.7 32 239.5 32C272.3 32 294.5 47.08 320 78.95C345.5 47.08 367.7 32 400.5 32C444.3 32 480 68.15 480 112z"]],
    "disc-drive": [512, 512, [], "f8b5", ["M256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM256 288C238.4 288 224 273.6 224 256s14.38-32 32-32s32 14.38 32 32S273.6 288 256 288z", "M496 416H480V96c0-35.38-28.62-64-64-64H96C60.62 32 32 60.62 32 96v320H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 15.1 480h480c8.875 0 16-7.125 16-16v-32C512 423.1 504.9 416 496 416zM256 416c-88.38 0-160-71.63-160-160s71.62-160 160-160s160 71.62 160 160S344.4 416 256 416zM256 224C238.4 224 224 238.4 224 256s14.38 32 32 32c17.62 0 32-14.38 32-32S273.6 224 256 224z"]],
    "disease": [512, 512, [], "f7fa", ["M472.2 195.9l-66.1-22.1c-19.25-6.624-33.5-20.87-38.13-38.24l-16-60.49c-11.62-43.74-76.63-57.11-110-22.62L194.1 99.3c-13.25 13.75-33.5 20.87-54.25 19.25L68.86 112.9c-52-3.999-86.88 44.99-59 82.86l38.63 52.49c11 14.1 12.75 33.74 4.625 50.12l-28.5 56.99c-20.62 41.24 22.88 84.86 73.5 73.86l69.1-15.25c20.12-4.499 41.38 .0001 57 11.62l54.38 40.87c39.38 29.62 101 7.623 104.5-37.24l4.625-61.86c1.375-17.75 12.88-33.87 30.62-42.99l61.1-31.62C526.1 269.8 520.9 212.5 472.2 195.9zM159.1 256c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1S191.1 206.4 191.1 224S177.6 256 159.1 256zM287.1 351.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C319.1 337.6 305.6 351.1 287.1 351.1zM303.1 224c-8.875 0-15.1-7.125-15.1-15.1c0-8.873 7.125-15.1 15.1-15.1s15.1 7.126 15.1 15.1C319.1 216.9 312.9 224 303.1 224z", "M287.1 288c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C319.1 302.4 305.6 288 287.1 288zM303.1 224c8.875 0 15.1-7.125 15.1-15.1c0-8.873-7.125-15.1-15.1-15.1s-15.1 7.126-15.1 15.1C287.1 216.9 295.1 224 303.1 224z"]],
    "display": [576, 512, [], "e163", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v288h448V64H64z"]],
    "display-arrow-down": [576, 512, [], "e164", ["M576 48v320c0 26.5-21.5 48-48 48h-480C21.5 416 0 394.5 0 368v-320C0 21.5 21.5 0 48 0h216v64H64v288h448V64h-200V0h216C554.5 0 576 21.5 576 48z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM312 64v142.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C195.7 162.3 201.8 160 208 160s12.28 2.344 16.97 7.031L264 206.1V64H64v288h448V64H312z"]],
    "display-code": [576, 512, ["desktop-code"], "e165", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M64 64v288h448V64H64zM242.1 241.9c7.812 7.812 7.812 20.5 0 28.31C238.2 274.1 233.1 276 228 276S217.8 274.1 213.9 270.2l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L208.3 208L242.1 241.9zM410.1 222.2l-48 48C358.2 274.1 353.1 276 348 276s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31l33.86-33.84L333.9 174.2c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C417.1 201.7 417.1 214.4 410.1 222.2zM424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464z"]],
    "display-medical": [576, 512, ["desktop-medical"], "e166", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v288h448V64H64zM384 224c0 8.799-7.199 15.1-16 15.1H320v48C320 296.8 312.8 304 304 304h-32C263.2 304 256 296.8 256 287.1v-48H208C199.2 239.1 192 232.8 192 224V191.1C192 183.2 199.2 176 208 176H256V128c0-8.801 7.199-16 16-16h32C312.8 112 320 119.2 320 128v48h48c8.801 0 16 7.198 16 15.1V224z"]],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", ["M455.1 464h-72l-16-48h39.99l-81.65-64H95.1L95.1 171.5L31.1 121.3V368c0 26.5 21.5 48 47.1 48h191.1l-16 48H183.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h271.1c13.25 0 24-10.75 24-24S469.2 464 455.1 464zM559.1 0l-479.1 0c-12.3 0-23.41 4.77-31.9 12.38L113.1 63.1h430l-.0005 288h-62.59l81.31 63.73C587.9 414.3 607.1 393.6 607.1 368v-320C607.1 21.5 586.5 0 559.1 0z", "M615.1 512c-5.156 0-10.38-1.674-14.79-5.112L9.188 42.89c-10.44-8.172-12.26-23.26-4.068-33.7c8.125-10.41 23.16-12.28 33.69-4.078l591.1 463.1c10.44 8.172 12.26 23.27 4.068 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "distribute-spacing-horizontal": [448, 512, [], "e365", ["M128 144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144z", "M48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24zM448 24V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V24C400 10.75 410.7 0 424 0C437.3 0 448 10.75 448 24z"]],
    "distribute-spacing-vertical": [512, 512, [], "e366", ["M96 208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208z", "M488 32C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H488zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"]],
    "ditto": [320, 512, [], "22", ["M14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C88.75 24.36 39.23 24.36 14.89 54.93z", "M305.1 54.93c-24.34-30.57-73.86-30.57-98.2 0c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93z"]],
    "divide": [448, 512, [10135, 247], "f529", ["M400 224h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.31 32-32S417.7 224 400 224z", "M224 144c26.47 0 48-21.53 48-48s-21.53-48-48-48s-48 21.53-48 48S197.5 144 224 144zM224 368c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S250.5 368 224 368z"]],
    "dna": [448, 512, [129516], "f471", ["M.1349 17.99c-.084-.666-.1017-1.226-.0997-1.898c.0273-8.838 7.228-15.99 16.06-15.96L48.36 .001C56.37-.0537 63.21 5.884 64.33 13.81C65.06 18.55 66.03 24.32 67.58 31h312.7C376.3 48.1 368.8 70.86 354.8 96L92.94 96C104.1 117.5 119.8 137.4 136.9 155.1c23.82 24.7 53.26 46.19 86.97 64.56C219.2 222.3 214.6 224.9 209.6 227.4C192 236.1 175.7 245.8 160.1 256.1C133.4 238.6 109.4 219.1 88.8 197.5c-25.88-27.02-47.16-58.1-62.99-92C8.805 68.78 2.475 36.81 .1349 17.99zM422 406.6c-15.96-33.97-37.4-65.09-63.44-92.12C349.1 304.5 339.2 295.2 328.7 286.4c-18.68 13.15-38.23 24.93-58.48 35.49c5.686 4.232 11.13 8.681 16.45 13.16H161c-18.66 15.78-33.95 32.02-46.16 48h217.9c11.36 14.78 21.17 30.68 29.28 47.47c10.44 21.4 17.73 44.19 21.4 67.71c1.166 7.902 7.979 13.82 15.97 13.82l32.46-.0625C440.7 512 447.9 504.1 447.1 496.1c.0039-.707-.089-1.353-.1769-2.053C445.5 475.2 439.2 443.3 422 406.6z", "M448 15.9c.0039 .7012-.0314 1.338-.1193 2.034c-2.35 18.84-8.685 50.78-25.72 87.5C406.3 139.4 384.9 170.5 359 197.5c-32.61 34.23-73.2 63.54-120.6 87.11c-77.97 38.77-121.4 88.38-145.4 131.4h261.5c2.666 4.76 5.162 9.583 7.507 14.47c7.654 15.83 13.74 32.44 17.87 49.53H67.82c-1.689 7.1-2.795 13.21-3.494 18.17c-1.131 7.924-7.842 13.85-15.85 13.83l-32.42-.0625C7.221 512 .0703 504.1 0 496.1c-.0059-.7109 .0314-1.359 .1193-2.063c2.35-18.84 8.685-50.78 25.72-87.5c15.89-33.94 37.23-65.04 63.18-92.07c32.61-34.23 73.17-63.54 120.6-87.11c32.21-16 58.49-33.89 79.94-52.38H157.1C150.5 168.6 143.5 161.1 136.9 155.1C128.4 146.3 120.4 136.9 113 127h221.7c35.39-47.16 45.84-91.51 48.92-113.2c1.131-7.924 7.96-13.85 15.96-13.83l32.37 .0625C440.8 .0107 447.9 7.068 448 15.9z"]],
    "do-not-enter": [512, 512, [], "f5ec", ["M80 224C80 215.2 87.16 208 96 208H416C424.8 208 432 215.2 432 224V288C432 296.8 424.8 304 416 304H96C87.16 304 80 296.8 80 288V224z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM96 208C87.16 208 80 215.2 80 224V288C80 296.8 87.16 304 96 304H416C424.8 304 432 296.8 432 288V224C432 215.2 424.8 208 416 208H96z"]],
    "dog": [576, 512, [128021], "f6d3", ["M416 255.1V256.1L303.8 191.1H304L309.6 158.5L421.6 222.5L416 255.1z", "M332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L421.6 222.5L309.6 158.5L332.7 19.85zM448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64zM416 256.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C295.1 377.1 268.8 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H303.8L416 256.1z"]],
    "dog-leashed": [576, 512, [129454], "f6d4", ["M100.1 4.414C107.4-1.68 117.5-1.433 123.6 4.965L281.3 170.5L430.2 233.3C438.4 236.7 442.2 246.1 438.7 254.2C435.3 262.4 425.9 266.2 417.8 262.7L288 208.1V384C288 392.8 280.8 400 272 400C263.2 400 256 392.8 256 384V190.4L100.4 27.03C94.32 20.64 94.57 10.51 100.1 4.414V4.414z", "M256 383.3C250.7 383.8 245.4 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H256V383.3zM288 208.1L416 261.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C309.9 369.1 299.2 374.2 288 377.4V208.1zM305.9 180.9L332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L420.5 229.2L305.9 180.9zM448 63.1C439.2 63.1 432 71.16 432 79.1C432 88.84 439.2 95.1 448 95.1C456.8 95.1 464 88.84 464 79.1C464 71.16 456.8 63.1 448 63.1z"]],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", ["M160 0C177.7 0 192 14.33 192 32V67.68C170.2 64.78 148.4 64.32 128 66.73V32C128 14.33 142.3 0 160 0V0zM192 446.6V480C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480V445.1C149.9 448.3 171.6 448.9 192 446.6z", "M108.8 136.5C90.52 143.5 82.93 153.4 80.92 164.5C78.98 175.2 80.45 181.3 82.21 185.1C84.1 189.1 87.79 193.6 95.14 198.5C111.4 209.2 136.2 216.4 168.4 225.1C169.3 225.4 170.3 225.6 171.2 225.9C199.6 233.6 234.4 243.1 260.2 260.2C274.3 269.6 287.6 282.3 295.8 299.9C304.1 317.7 305.9 337.7 302.1 358.1C295.1 397 268.1 422.4 236.4 435.6C204.8 448.5 166.1 450.8 126.7 444.9L126.5 444.9C102.2 441.1 62.07 430.6 35 418.6C18.85 411.4 11.58 392.5 18.76 376.3C25.94 360.2 44.85 352.9 60.1 360.1C81.9 369.4 116.3 378.5 136.2 381.6C168.2 386.4 194.5 383.6 212.3 376.4C229.2 369.5 236.9 359.5 239.1 347.5C241 336.8 239.6 330.7 237.8 326.9C235.9 322.9 232.2 318.4 224.9 313.5C208.6 302.8 183.8 295.6 151.6 286.9C150.7 286.6 149.7 286.4 148.8 286.1C120.4 278.4 85.58 268.9 59.76 251.8C45.65 242.4 32.43 229.7 24.22 212.1C15.89 194.3 14.08 174.3 17.95 153C25.03 114.1 53.05 89.29 85.96 76.73C118.2 64.43 157.5 62.5 196.7 68.35C207.3 69.93 238.9 75.02 251.9 78.31C268.1 82.65 279.4 100.1 275 117.2C270.7 134.3 253.3 144.7 236.1 140.4C226.8 137.1 198.5 133.3 187.3 131.7C155.2 126.9 127.7 129.3 108.8 136.5V136.5zM49.43 158.8L17.95 153L49.43 158.8zM192 100L187.3 131.7z"]],
    "dolly": [576, 512, ["dolly-box"], "f472", ["M515.2 228.4L454.8 47.25c-2.75-8.5-11.87-13-20.12-10.12L373.6 57.5l33.12 99.38l-60.75 20.12L312.8 77.63l-61.62 20.5c-8.375 2.75-12.87 11.88-9.998 20.12l52.1 159.5c18 5 34.62 13.38 49.5 24.62l161.5-53.75C513.6 245.8 518.1 236.8 515.2 228.4zM256 320C202.1 320 160 362.1 160 416s42.98 96 96 96s96-42.98 96-96S309 320 256 320zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-31.1 32-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z", "M574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51C344.1 373.4 352 393.7 352 416c0 .6152-.1719 1.186-.1836 1.799l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C213.5 327.9 233.7 320 256 320c.6133 0 1.178 .168 1.789 .1797L165.7 43.75C156.9 17.58 132.5 0 104.9 0zM406.7 156.9L373.6 57.5L312.8 77.63l33.13 99.38L406.7 156.9z"]],
    "dolly-empty": [576, 512, [], "f473", ["M256 320C202.1 320 160 362.1 160 416s42.98 96 96 96s96-42.98 96-96S309 320 256 320zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.32-31.1 31.1-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z", "M104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C213.5 327.9 233.7 320 256 320c.6133 0 1.178 .168 1.789 .1797L165.7 43.75C156.9 17.58 132.5 0 104.9 0zM574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51C344.1 373.4 352 393.7 352 416c0 .6152-.1719 1.186-.1836 1.799l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9z"]],
    "dolphin": [512, 512, [], "e168", ["M438.4 129.5l-13.9-11.92c9.016-24.25 26.23-54.14 52.31-89.89c5.311-7.328 3.281-15.04-.4336-19.82c-4.619-5.98-11.83-8.907-20.34-7.575c-51.75 8.117-93.62 24.63-123.9 40.08c-35.5-25.72-77.93-40.4-122.1-40.4L176 0C96.47 0 32 64.47 32 144c0 18.38 3.771 35.8 10.05 51.97L14.25 214.5C5.348 220.4 0 230.4 0 241.1V256c0 17.68 14.33 32 32 32L192.9 288l102.8 61.7C306.4 356.1 320 348.4 320 335.1V288h2.902c.834 0 1.59 .21 2.412 .249C326.2 288.2 327.1 288 328 288C358.9 288 384 313.1 384 344s-25.07 56-56 56h-62.22l-13.07-21.31C248.3 372 240.8 368 232.7 368H171.1c-9.561 0-15.27 10.66-9.965 18.61l35.55 53.38l-35.53 53.36C156.7 501.3 162.4 512 172 512H232.7c8.064 0 15.58-4.033 19.99-10.69L265.8 480H320c105.9 0 192.4-86.08 192-191.1C512 202.3 460.3 148.3 438.4 129.5zM151.3 176C139.3 176 129.8 167.1 128 155.7V148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24C175.3 165.3 164.5 176 151.3 176z", "M128 148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24C139.3 176 129.8 167.1 128 155.7V148.3z"]],
    "dong-sign": [384, 512, [], "e169", ["M256 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H256V128zM320 64C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128V64zM0 480C0 462.3 14.33 448 32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z", "M320 64V384C320 401.7 305.7 416 288 416C275 416 263.9 408.3 258.8 397.2C239.4 409.1 216.5 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C215.3 160 237.2 166.2 256 177.1V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V64zM256 288C256 252.7 227.3 224 192 224C156.7 224 128 252.7 128 288C128 323.3 156.7 352 192 352C227.3 352 256 323.3 256 288z"]],
    "donut": [512, 512, [127849, "doughnut"], "e406", ["M512 256C512.5 273.1 499.4 289.7 475.5 300.1C462.2 305.2 450.1 314.6 443.5 326.8C433.7 339.5 420.9 349.5 406.3 355.9C391.6 362.3 375.6 364.1 359.6 363.6C341.8 363.5 324.2 366.9 307.8 373.8C274.5 387.4 237.3 387.4 204.1 373.8C187.7 366.9 170 363.5 152.2 363.6C136.3 364.1 120.2 362.3 105.6 355.9C90.93 349.5 78.13 339.5 68.35 326.8C60.9 314.6 49.66 305.2 36.35 300.1C12.8 289.7-.4791 273.1 .0009 256C.0009 250.8 .0009 208 .0009 208C.0009 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208C512 208 512 250.8 512 256zM239.1 111.1C239.1 116.2 241.7 120.3 244.7 123.3C247.7 126.3 251.7 128 255.1 128C260.2 128 264.3 126.3 267.3 123.3L283.3 107.3C286.3 104.3 287.1 100.3 287.1 96.01C287.1 91.77 286.3 87.69 283.3 84.69C280.3 81.68 276.2 79.99 271.1 79.99C267.8 79.99 263.7 81.67 260.7 84.67L244.7 100.7C241.7 103.7 239.1 107.7 239.1 111.1zM107.3 219.3C110.3 216.3 112 212.2 112 208C112 203.8 110.3 199.7 107.3 196.7C104.3 193.7 100.2 192 96 192H64C59.76 192 55.69 193.7 52.69 196.7C49.69 199.7 48 203.8 48 208C48 212.2 49.69 216.3 52.69 219.3C55.69 222.3 59.76 224 64 224H96C100.2 224 104.3 222.3 107.3 219.3zM113.2 137.9C112.4 139.8 111.1 141.9 111.1 143.1C111.1 146.1 112.4 148.2 113.2 150.1C113.1 152.1 115.2 153.8 116.7 155.3C118.1 156.8 119.9 157.1 121.8 158.8C123.8 159.6 125.9 160 127.1 160C130.1 160 132.2 159.6 134.1 158.8C136 157.1 137.8 156.8 139.3 155.3L171.3 123.3C174.3 120.3 175.1 116.3 175.1 112C175.1 107.8 174.3 103.7 171.3 100.7C168.3 97.68 164.2 95.99 159.1 95.99C155.8 95.99 151.7 97.67 148.7 100.7L116.7 132.7C115.2 134.2 114 135.9 113.2 137.9zM190.8 294.1C191.6 292.2 191.1 290.1 191.1 288C191.1 285.9 191.6 283.8 190.8 281.9C189.1 279.9 188.8 278.2 187.3 276.7L155.3 244.7C152.3 241.7 148.2 239.1 143.1 239.1C139.7 239.1 135.7 241.7 132.7 244.7C129.7 247.7 127.1 251.8 127.1 256C127.1 258.1 128.4 260.2 129.2 262.1C130 264.1 131.2 265.8 132.7 267.3L164.7 299.3C167.7 302.3 171.7 304 175.1 304C180.2 304 184.3 302.3 187.3 299.3C188.8 297.8 189.1 296.1 190.8 294.1zM256 224C291.4 224 320 209.7 320 192C320 174.3 291.4 160 256 160C220.6 160 192 174.3 192 192C192 209.7 220.6 224 256 224zM334.8 278.1C335.6 276.2 335.1 274.1 335.1 272C335.1 269.9 335.6 267.8 334.8 265.9C333.1 263.9 332.8 262.2 331.3 260.7C329.8 259.2 328.1 258 326.1 257.2C324.2 256.4 322.1 255.1 319.1 255.1C317.9 255.1 315.8 256.4 313.9 257.2C311.9 258 310.2 259.2 308.7 260.7L276.7 292.7C273.7 295.7 271.1 299.7 271.1 303.1C271.1 308.2 273.7 312.3 276.7 315.3C279.7 318.3 283.7 320 287.1 320C292.2 320 296.3 318.3 299.3 315.3L331.3 283.3C332.8 281.8 333.1 280.1 334.8 278.1zM430.8 278.1C431.6 276.2 431.1 274.1 431.1 272C431.1 269.9 431.6 267.8 430.8 265.9C429.1 263.9 428.8 262.2 427.3 260.7L395.3 228.7C392.3 225.7 388.2 223.1 383.1 223.1C379.7 223.1 375.7 225.7 372.7 228.7C369.7 231.7 367.1 235.8 367.1 240C367.1 244.3 369.7 248.3 372.7 251.3L404.7 283.3C407.7 286.3 411.7 288 415.1 288C420.2 288 424.3 286.3 427.3 283.3C428.8 281.8 429.1 280.1 430.8 278.1zM430.8 182.1C431.6 180.2 431.1 178.1 431.1 176C431.1 173.9 431.6 171.8 430.8 169.9C429.1 167.9 428.8 166.2 427.3 164.7L395.3 132.7C392.3 129.7 388.2 127.1 383.1 127.1C379.7 127.1 375.7 129.7 372.7 132.7C369.7 135.7 367.1 139.8 367.1 144C367.1 146.1 368.4 148.2 369.2 150.1C370 152.1 371.2 153.8 372.7 155.3L404.7 187.3C407.7 190.3 411.7 192 415.1 192C420.2 192 424.3 190.3 427.3 187.3C428.8 185.8 429.1 184.1 430.8 182.1z", "M372.7 155.3C369.7 152.3 367.1 148.3 367.1 144C367.1 139.8 369.7 135.7 372.7 132.7C375.7 129.7 379.7 127.1 383.1 127.1C388.2 127.1 392.3 129.7 395.3 132.7L427.3 164.7C428.8 166.2 429.1 167.9 430.8 169.9C431.6 171.8 431.1 173.9 431.1 175.1C431.1 178.1 431.6 180.2 430.8 182.1C429.1 184.1 428.8 185.8 427.3 187.3C425.8 188.8 424.1 189.1 422.1 190.8C420.2 191.6 418.1 192 415.1 192C413.9 192 411.8 191.6 409.9 190.8C407.9 189.1 406.2 188.8 404.7 187.3L372.7 155.3zM313.9 257.2C315.8 256.4 317.9 255.1 319.1 255.1C322.1 255.1 324.2 256.4 326.1 257.2C328.1 258 329.8 259.2 331.3 260.7C332.8 262.2 333.1 263.9 334.8 265.9C335.6 267.8 335.1 269.9 335.1 272C335.1 274.1 335.6 276.2 334.8 278.1C333.1 280.1 332.8 281.8 331.3 283.3L299.3 315.3C296.3 318.3 292.2 320 287.1 320C283.7 320 279.7 318.3 276.7 315.3C273.7 312.3 271.1 308.2 271.1 303.1C271.1 299.7 273.7 295.7 276.7 292.7L308.7 260.7C310.2 259.2 311.9 258 313.9 257.2zM119.1 157.3C116.5 155.6 114.4 153.1 113.2 150.1C111.1 147.2 111.7 143.1 112.3 140.9C112.9 137.8 114.4 134.9 116.7 132.7L148.7 100.7C151.7 97.67 155.8 95.99 159.1 95.99C164.2 95.1 168.3 97.68 171.3 100.7C174.3 103.7 175.1 107.8 175.1 112C175.1 116.3 174.3 120.3 171.3 123.3L139.3 155.3C136.3 158.3 132.2 160 128 160C124.8 160 121.7 159.1 119.1 157.3H119.1zM512 304C512 392.4 397.4 464 256 464C114.6 464 .0009 392.4 .0009 304C.0009 304 .0009 250.8 .0009 256C-.4791 273.1 12.8 289.7 36.48 300.1C49.79 305.2 61.03 314.6 68.48 326.8C78.26 339.5 91.06 349.5 105.7 355.9C120.4 362.3 136.4 364.1 152.4 363.6C170.2 363.5 187.8 366.9 204.2 373.8C237.5 387.4 274.7 387.4 307.9 373.8C324.3 366.9 341.1 363.5 359.8 363.6C375.7 364.1 391.8 362.3 406.4 355.9C421.1 349.5 433.9 339.5 443.6 326.8C451.1 314.6 462.3 305.2 475.6 300.1C499.4 289.7 512.5 273.1 512 256C512 250.8 512 304 512 304z"]],
    "door-closed": [576, 512, [128682], "f52a", ["M432 0h-288C117.5 0 96 22.75 96 50.75V512h384V50.75C480 22.75 458.5 0 432 0zM384 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S401.6 288 384 288z", "M0 464v32C0 504.9 7.125 512 16 512H96v-64H16C7.125 448 0 455.1 0 464zM560 448H480v64h80c8.875 0 16-7.125 16-16v-32C576 455.1 568.9 448 560 448zM384 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S401.6 224 384 224z"]],
    "door-open": [576, 512, [], "f52b", ["M280.3 1.007l-192 49.75C73.1 54.51 64 67.76 64 82.88V512h256V33.13C320 11.63 300.5-4.243 280.3 1.007zM232 288c-13.25 0-24-14.37-24-31.1c0-17.62 10.75-31.1 24-31.1S256 238.4 256 256C256 273.6 245.3 288 232 288z", "M232 224c-13.25 0-24 14.37-24 31.1C208 273.6 218.8 288 232 288S256 273.6 256 256C256 238.4 245.3 224 232 224zM0 464v31.1C0 504.9 7.125 512 16 512H64v-63.1H16C7.125 448 0 455.1 0 464zM560 448H512V113.5c0-27.25-21.5-49.5-48-49.5L352 64.01V128h96V512h112c8.875 0 16-7.125 16-15.1v-31.1C576 455.1 568.9 448 560 448z"]],
    "dove": [512, 512, [128330], "f4ba", ["M400 63.97c-44.2 .0386-80.02 35.87-79.1 80.08l.0014 59.44c-101.9-5.852-191.9-68.31-233-161.7C81.48 29.26 63.81 28.53 58.01 40.83C40.87 76.99 31.99 116.5 32.01 156.6c0 70.8 34.11 136.9 85.11 185.9c12.27 11.73 25.25 22.66 38.88 32.77L12.12 411.2c-8.615 2.199-13.82 10.97-11.62 19.59c.4368 1.711 1.154 3.4 2.12 4.879c17.4 26.9 60.3 72.44 153.2 76.29c8.1 .2516 16.01-2.554 22.12-7.883l65.23-56.12l76.84 .0561c88.28 .0773 159.9-71.59 160-159.9c.0001-.0067 .0013-160.2 .0013-160.2l31.1-63.99L400 63.97zM400 160.1c-8.837-.0195-16.03-7.173-16.01-16.01c.0195-8.837 7.175-16.07 16.01-16.05c8.837 .0195 16.01 7.176 15.99 16.01C415.1 152.9 408.8 160.1 400 160.1z", "M320 176.7l-.0041 26.79C254.6 199.7 192.8 172.5 145.9 126.7c1.12-5.68 2.44-11.34 3.1-16.1c10.79-38.53 29.94-74.05 56.2-104.2c8.91-10.29 25.84-5.064 27.77 8.425C242.8 76.51 273.2 134.1 320 176.7z"]],
    "down": [384, 512, ["arrow-alt-down"], "f354", ["M128 256V64c0-17.67 14.33-32 32-32h64c17.67 0 32 14.33 32 32v192H128z", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-9.156-9.156-11.89-22.91-6.938-34.88C7.391 263.8 19.06 256 32 256h320c12.94 0 24.61 7.797 29.56 19.75C386.5 287.7 383.8 301.5 374.6 310.6z"]],
    "down-from-dotted-line": [448, 512, [], "e407", ["M384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64z", "M224 480C217.4 480 211.1 477.3 206.6 472.5L70.55 328.5C63.97 321.5 62.17 311.3 65.96 302.5C69.75 293.7 78.42 288 88 288H160V160C160 142.3 174.3 128 192 128H256C273.7 128 288 142.3 288 160V288H360C369.6 288 378.2 293.7 382 302.5C385.8 311.3 384 321.5 377.4 328.5L241.4 472.5C236.9 477.3 230.6 480 224 480V480z"]],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", ["M351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z", "M350 302.7c3.781 8.803 1.984 19.03-4.594 26l-136 144.1c-9.062 9.602-25.84 9.602-34.91 0l-136-144.1c-6.578-6.973-8.375-17.2-4.594-26C37.75 293.9 46.42 288.2 56 288.2H128V160.1c0-17.69 14.33-32.04 32-32.04h64c17.67 0 32 14.35 32 32.04v128.1h72C337.6 288.2 346.3 293.9 350 302.7z"]],
    "down-left": [384, 512, [], "e16a", ["M313.4 89.37l45.25 45.26c12.5 12.5 12.5 32.76 0 45.25l-129.6 129.6L138.5 218.1l129.6-129.6C280.6 76.87 300.9 76.88 313.4 89.37z", "M296.9 377.4c9.148 9.148 11.89 22.92 6.938 34.87C298.9 424.2 287.2 432 274.3 432H47.1c-8.836 0-16.84-3.58-22.63-9.369c-5.789-5.791-9.371-13.79-9.371-22.63L16 173.7c0-12.95 7.789-24.61 19.75-29.57C47.71 139.2 61.48 141.1 70.62 151.1L296.9 377.4z"]],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", ["M215.1 272h-136c-12.94 0-24.63 7.797-29.56 19.75C45.47 303.7 48.22 317.5 57.37 326.6l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0013l78.06-78.07l30.06 30.06c6.125 6.125 14.31 9.367 22.63 9.367c4.125 0 8.279-.7891 12.25-2.43c11.97-4.953 19.75-16.62 19.75-29.56V296C239.1 282.7 229.3 272 215.1 272z", "M272 216V80c0-12.94 7.781-24.61 19.75-29.56c12-4.906 25.72-2.203 34.87 6.937l30.06 30.06l78.06-78.07c12.5-12.5 32.76-12.5 45.26 .0003l22.62 22.62c12.5 12.5 12.5 32.76-.0002 45.26l-78.06 78.07l30.06 30.06c9.156 9.156 11.91 22.91 6.938 34.87c-4.938 11.95-16.63 19.75-29.56 19.75h-136C282.7 240 272 229.3 272 216z"]],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", ["M128 351.9V32c0-17.69 14.33-32 32-32S192 14.31 192 32v319.9H128z", "M264 351.9h-208c-9.547 0-18.19 5.66-21.1 14.42c-3.814 8.754-2.08 18.95 4.404 25.94l104 112.1c9.5 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.992 8.219-17.18 4.408-25.94C282.2 357.6 273.5 351.9 264 351.9z"]],
    "down-right": [384, 512, [], "e16b", ["M25.37 134.6l45.26-45.25c12.5-12.5 32.76-12.5 45.25 0l129.6 129.6L154.1 309.5L25.37 179.9C12.87 167.4 12.88 147.1 25.37 134.6z", "M313.4 151.1c9.148-9.148 22.92-11.89 34.87-6.938C360.2 149.1 368 160.8 368 173.7l.0001 226.3c0 8.836-3.58 16.84-9.369 22.63C352.8 428.4 344.8 432 336 432H109.7c-12.95 0-24.61-7.789-29.57-19.75c-4.949-11.95-2.209-25.72 6.939-34.87L313.4 151.1z"]],
    "down-to-bracket": [448, 512, [], "e4e7", ["M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512z", "M206.5 344.7L70.55 200.6C63.97 193.7 62.17 183.4 65.95 174.6C69.75 165.8 78.42 160.1 87.1 160.1H159.1V32.02C159.1 14.33 174.3 0 191.1 0H256C273.7 0 288 14.33 288 32.02V160.1H360C369.6 160.1 378.2 165.8 382 174.6C385.8 183.4 384 193.7 377.5 200.6L241.5 344.7C232.4 354.3 215.6 354.3 206.5 344.7V344.7z"]],
    "down-to-dotted-line": [448, 512, [], "e408", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z", "M224 384C217.4 384 211.1 381.3 206.6 376.5L70.55 232.5C63.97 225.5 62.17 215.3 65.96 206.5C69.75 197.7 78.42 192 88 192H160V64C160 46.33 174.3 32 192 32H256C273.7 32 288 46.33 288 64V192H360C369.6 192 378.2 197.7 382 206.5C385.8 215.3 384 225.5 377.4 232.5L241.4 376.5C236.9 381.3 230.6 384 224 384V384z"]],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", ["M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416z", "M350 206.6c3.781 8.803 1.984 19.03-4.594 26l-136 144.1c-9.062 9.601-25.84 9.601-34.91 0l-136-144.1C31.97 225.7 30.17 215.4 33.95 206.6C37.75 197.8 46.42 192.1 56 192.1L128 192.1V64.03c0-17.69 14.33-32.02 32-32.02h64c17.67 0 32 14.34 32 32.02v128.1l72 .0314C337.6 192.1 346.3 197.8 350 206.6z"]],
    "download": [512, 512, [], "f019", ["M480 352h-133.5l-45.25 45.25C289.2 409.3 273.1 416 256 416s-33.16-6.656-45.25-18.75L165.5 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z", "M105.4 246.6c-12.49-12.5-12.49-32.75 0-45.25c12.5-12.5 32.76-12.5 45.25 0L224 274.8V32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32v242.8l73.38-73.38c12.49-12.5 32.75-12.5 45.25 0c12.49 12.5 12.49 32.75 0 45.25l-128 128C272.4 380.9 264.2 384 256 384s-16.38-3.125-22.62-9.375L105.4 246.6z"]],
    "dragon": [640, 512, [128009], "f6d5", ["M5.811 227.6l117.5-116.4c21.75-18.5 53.24-20.37 76.99-4.5l151.7 111l.0033 18.87c0 29.09 6.13 57.3 17.09 83.38H112c-14.25 0-21.37-17.25-11.25-27.38L192 224L18.43 255.8C2.436 258-6.562 238 5.811 227.6z", "M575.2 289.9l-100.7-50.25c-16.25-8.125-26.5-24.75-26.5-43V160h63.99l28.12 22.62C546.1 188.6 554.2 192 562.7 192h30.1c11.1 0 23.12-6.875 28.5-17.75l14.37-28.62c5.375-10.88 4.251-23.75-2.999-33.5l-74.49-99.37C552.1 4.75 543.5 0 533.5 0H296C288.9 0 285.4 8.625 290.4 13.62L351.1 64L292.4 88.75c-5.873 3-5.873 11.37 0 14.37L351.1 128l-.0011 108.6c0 72 35.99 139.4 95.99 179.4c-195.6 6.75-344.4 41-434.1 60.88c-8.123 1.75-13.87 9-13.87 17.38C.0463 504 8.045 512 17.79 512h499.1c63.24 0 119.6-47.5 122.1-110.8C642.3 354 617.1 310.9 575.2 289.9zM489.1 66.25l45.74 11.38c-2.75 11-12.5 18.88-24.12 18.25C497.7 95.25 484.8 83.37 489.1 66.25z"]],
    "draw-circle": [512, 512, [], "f5ed", ["M315.3 39.94C391.4 60.77 451.2 120.6 472.1 196.7C464.6 193.7 456.5 192 448 192C432.9 192 418.1 197.2 408 206C392.2 157.9 354.1 119.8 305.1 103.1C314.8 93.01 320 79.12 320 63.1C320 55.49 318.3 47.37 315.3 39.94L315.3 39.94zM315.3 472.1C318.3 464.6 320 456.5 320 448C320 432.9 314.8 418.1 305.1 408C354.1 392.2 392.2 354.1 408 305.1C418.1 314.8 432.9 319.1 448 319.1C456.5 319.1 464.6 318.3 472.1 315.3C451.2 391.4 391.4 451.2 315.3 472.1L315.3 472.1zM196.7 472.1C120.6 451.2 60.77 391.4 39.94 315.3C47.37 318.3 55.49 320 64 320C79.12 320 93.01 314.8 103.1 305.1C119.8 354.1 157.9 392.2 206 408C197.2 418.1 192 432.9 192 448C192 456.5 193.7 464.6 196.7 472.1L196.7 472.1zM192 64C192 79.12 197.2 93.01 206 103.1C157.9 119.8 119.8 157.9 103.1 206C93.01 197.2 79.12 192 63.1 192C55.49 192 47.37 193.7 39.94 196.7C60.77 120.6 120.6 60.77 196.7 39.94C193.7 47.37 191.1 55.49 191.1 64L192 64z", "M192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM192 448C192 412.7 220.7 384 256 384C291.3 384 320 412.7 320 448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448zM128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256zM384 256C384 220.7 412.7 192 448 192C483.3 192 512 220.7 512 256C512 291.3 483.3 320 448 320C412.7 320 384 291.3 384 256z"]],
    "draw-polygon": [448, 512, [], "f5ee", ["M119.4 64H328.6C323.1 73.41 320 84.34 320 96C320 107.7 323.1 118.6 328.6 128H119.4C124.9 118.6 128 107.7 128 96C128 84.34 124.9 73.41 119.4 64zM64 352C52.34 352 41.41 355.1 32 360.6V151.4C41.41 156.9 52.34 159.1 64 159.1C75.66 159.1 86.59 156.9 96 151.4V360.6C86.59 355.1 75.66 352 64 352zM119.4 448C124.9 438.6 128 427.7 128 416C128 404.3 124.9 393.4 119.4 384H328.6C323.1 393.4 320 404.3 320 416C320 427.7 323.1 438.6 328.6 448H119.4zM384 352C360.4 352 339.8 364.8 328.7 383.7L292.2 319.9C315.7 318.4 335.7 304.2 345.5 284.1L384.3 352L384 352zM292.2 192.1L328.7 128.3C339.8 147.2 360.4 160 384 160L384.3 159.1L345.5 227.9C335.7 207.8 315.7 193.7 292.2 192.1L292.2 192.1z", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM448 416C448 451.3 419.3 480 384 480C348.7 480 320 451.3 320 416C320 380.7 348.7 352 384 352C419.3 352 448 380.7 448 416zM224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256z"]],
    "draw-square": [448, 512, [], "f5ef", ["M320 96C320 107.7 323.1 118.6 328.6 128H119.4C124.9 118.6 127.1 107.7 127.1 96C127.1 84.34 124.9 73.41 119.4 64H328.6C323.1 73.41 320 84.34 320 96zM384 160C395.7 160 406.6 156.9 416 151.4V360.6C406.6 355.1 395.7 352 384 352C372.3 352 361.4 355.1 352 360.6V151.4C361.4 156.9 372.3 160 384 160zM96 151.4V360.6C86.59 355.1 75.66 352 64 352C52.34 352 41.41 355.1 32 360.6V151.4C41.41 156.9 52.34 160 64 160C75.66 160 86.59 156.9 96 151.4zM328.6 448H119.4C124.9 438.6 127.1 427.7 127.1 416C127.1 404.3 124.9 393.4 119.4 384H328.6C323.1 393.4 320 404.3 320 416C320 427.7 323.1 438.6 328.6 448z", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM320 416C320 380.7 348.7 352 384 352C419.3 352 448 380.7 448 416C448 451.3 419.3 480 384 480C348.7 480 320 451.3 320 416zM320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96z"]],
    "dreidel": [448, 512, [], "f792", ["M438.6 86.63L334.3 190.9l71.9 71.94c6.562 6.564 9.813 15.13 9.813 23.69c0 8.564-3.25 17.13-9.813 23.69l-91.34 91.29L78.53 165.1l91.34-91.4c6.562-6.5 15.1-9.737 23.65-9.737c8.551 0 17.11 3.237 23.68 9.737l71.9 71.94l104.3-104.3C399.6 35.13 407.8 32 416 32c18.27 0 32 14.95 32 32C448 72.19 444.9 80.38 438.6 86.63z", "M314.9 401.5l-58.9 58.85C243.4 473 226.4 480 208.7 480H66.87C29.87 480 0 450.1 0 413.1V271.3C0 253.5 7.001 236.5 19.62 223.1l58.9-58.87L314.9 401.5z"]],
    "drone": [512, 512, [], "f85f", ["M173.4 130.1C175.1 124.3 176 118.3 176 112C176 76.65 147.3 48 112 48C76.65 48 48 76.65 48 112C48 147.3 76.65 176 112 176C118.3 176 124.3 175.1 130.1 173.4L159.9 213.3C145.4 220.1 129.2 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 129.2 220.1 145.4 213.3 159.9L173.4 130.1zM381.9 173.4C387.7 175.1 393.7 176 400 176C435.3 176 464 147.3 464 112C464 76.65 435.3 48 400 48C364.7 48 336 76.65 336 112C336 118.3 336.9 124.3 338.6 130.1L298.7 159.9C291.9 145.4 288 129.2 288 112C288 50.14 338.1 0 400 0C461.9 0 512 50.14 512 112C512 173.9 461.9 224 400 224C382.8 224 366.6 220.1 352.1 213.3L381.9 173.4zM338.6 381.9C336.9 387.7 336 393.7 336 400C336 435.3 364.7 464 400 464C435.3 464 464 435.3 464 400C464 364.7 435.3 336 400 336C393.7 336 387.7 336.9 381.9 338.6L352.1 298.7C366.6 291.9 382.8 288 400 288C461.9 288 512 338.1 512 400C512 461.9 461.9 512 400 512C338.1 512 288 461.9 288 400C288 382.8 291.9 366.6 298.7 352.1L338.6 381.9zM130.1 338.6C124.3 336.9 118.3 336 112 336C76.65 336 48 364.7 48 400C48 435.3 76.65 464 112 464C147.3 464 176 435.3 176 400C176 393.7 175.1 387.7 173.4 381.9L213.3 352.1C220.1 366.6 224 382.8 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C129.2 288 145.4 291.9 159.9 298.7L130.1 338.6z", "M112 80C128.2 80 141.7 92.11 143.7 107.8L213.3 160H298.7L368.3 107.8C370.3 92.11 383.8 80 400 80C417.7 80 432 94.33 432 112C432 128.2 419.9 141.7 404.2 143.7L352 213.3V298.7L404.2 368.3C419.9 370.3 432 383.8 432 400C432 417.7 417.7 432 400 432C383.8 432 370.3 419.9 368.3 404.2L298.7 352H213.3L143.7 404.2C141.7 419.9 128.2 432 112 432C94.33 432 80 417.7 80 400C80 383.8 92.11 370.3 107.8 368.3L160 298.7V213.3L107.8 143.7C92.11 141.7 80 128.2 80 112C80 94.33 94.33 80 112 80V80z"]],
    "drone-front": [640, 512, ["drone-alt"], "f860", ["M264 112C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H24C10.75 160 0 149.3 0 136C0 122.7 10.75 112 24 112H264zM616 112C629.3 112 640 122.7 640 136C640 149.3 629.3 160 616 160H376C362.7 160 352 149.3 352 136C352 122.7 362.7 112 376 112H616z", "M159.1 235.2L177.8 243.1L218.4 219.5C249.3 201.5 284.3 192 319.1 192C355.7 192 390.7 201.5 421.6 219.5L462.2 243.1L480 235.2V192H544V256C544 268.6 536.6 280.1 524.1 285.2L468.5 310.3C486.3 331.8 496 358.9 496 386.8V392C496 405.3 485.3 416 472 416C458.7 416 448 405.3 448 392V386.8C448 369.9 442.1 353.6 431.3 340.7L422.9 330.6L380.1 349.2C376.9 351.1 372.5 352 368 352H271.1C267.5 352 263.1 351.1 259 349.2L217.1 330.6L208.7 340.7C197.9 353.6 191.1 369.9 191.1 386.8V392C191.1 405.3 181.3 416 167.1 416C154.7 416 143.1 405.3 143.1 392V386.8C143.1 358.9 153.7 331.8 171.5 310.3L115 285.2C103.4 280.1 96 268.6 96 256V192H160L159.1 235.2zM512 96C523.8 96 534.2 102.4 539.7 112H484.3C489.8 102.4 500.2 96 512 96V96zM127.1 96C139.8 96 150.2 102.4 155.7 112H100.3C105.8 102.4 116.2 96 127.1 96z"]],
    "droplet": [384, 512, [128167, "tint"], "f043", ["M16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1zM112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 381.9 130.1 432 192 432C200.8 432 208 424.8 208 416C208 407.2 200.8 400 192 400C147.8 400 112 364.2 112 319.1z", "M96 304C104.8 304 112 311.2 112 320C112 364.2 147.8 400 192 400C200.8 400 208 407.2 208 416C208 424.8 200.8 432 192 432C130.1 432 80 381.9 80 320C80 311.2 87.16 304 96 304z"]],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", ["M368 32c-44.06 0-79.1 35.94-79.1 80S323.9 192 368 192s79.1-35.94 79.1-80S412.1 32 368 32zM368 144c-17.75 0-31.1-14.25-31.1-32s14.25-32 31.1-32c17.75 0 31.1 14.25 31.1 32S385.8 144 368 144z", "M319.1 324.1c0 86.08-71.56 155.9-159.1 155.9s-159.1-69.78-159.1-155.9c0-97.23 90.94-134.9 133.4-272.8c8.125-26.36 45.94-25.27 53.12 0C229.3 190 319.1 226.4 319.1 324.1z"]],
    "droplet-percent": [320, 512, ["humidity"], "f750", ["M186.6 51.36c-7.188-25.27-45-26.36-53.13 0C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z", "M80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z"]],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", ["M215.3 143.4C243.5 95.07 274.2 49.29 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3C393.7 89.43 496 245.9 496 319.1C496 333.7 494.4 347.1 491.5 359.9L215.3 143.4zM144 319.1C144 296.5 154.3 264.6 169.1 229.9L443.5 445.4C411.7 476.7 368.1 496 320 496C222.8 496 144 417.2 144 319.1zM240 319.1C240 311.2 232.8 303.1 224 303.1C215.2 303.1 208 311.2 208 319.1C208 381.9 258.1 432 320 432C328.8 432 336 424.8 336 416C336 407.2 328.8 400 320 400C275.8 400 240 364.2 240 319.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "drum": [512, 512, [129345], "f569", ["M255.1 352c-13.25 0-24 10.74-24 23.1v103.5C239.9 479.8 247.9 480 255.1 480s16.09-.207 24-.5293V376C279.1 362.7 269.3 352 255.1 352zM95.1 320c-13.25 0-24 10.74-24 24v101.8c14.33 6.488 30.46 12.18 47.1 17.01v-118.8C119.1 330.7 109.3 320 95.1 320zM415.1 320c-13.25 0-23.1 10.74-23.1 24v118.8c17.54-4.83 33.67-10.52 47.1-17.01v-101.8C439.1 330.7 429.2 320 415.1 320zM508.1 42.86c-7.219-11.06-22.09-14.22-33.22-6.924l-231.1 152.1c-11.09 7.265-14.19 22.15-6.906 33.25C240.5 228.3 248.2 232.1 256 232.1c4.5 0 9.062-1.267 13.12-3.923l231.1-152.1C512.2 68.84 515.3 53.95 508.1 42.86z", "M511.1 207.1v159.1c0 30.23-27.51 57.63-72 77.78v-101.8c0-13.26-10.75-24-23.1-24c-13.25 0-23.1 10.74-23.1 24v118.8c-33.05 9.097-71.07 15.04-111.1 16.7V376c0-13.26-10.75-23.1-24-23.1c-.002 0 .002 0 0 0c-13.25 0-24 10.74-24 23.1v103.5c-40.93-1.666-78.95-7.605-111.1-16.7v-118.8c0-13.26-10.75-24-23.1-24s-24 10.74-24 24v101.8C27.5 425.6 0 398.2 0 367.1V207.1C0 100.4 219.5 96 255.1 96c.002 0-.002 0 0 0c15.26 0 62.63 .8919 112.4 9.669l-61.73 40.46c-16.24-1.252-33.21-1.966-50.71-1.966c-.002 0 .002 0 0 0c-114.9 0-207.1 28.62-207.1 63.1S141.1 272.1 256 272.1c.002 0-.002 0 0 0c114.9 0 207.1-28.6 207.1-63.97c0-21.26-33.72-40.03-85.5-51.67l52.63-34.48C476.1 138.3 511.1 164.6 511.1 207.1z"]],
    "drum-steelpan": [576, 512, [], "f56a", ["M172 90C98.13 103.6 48 129.9 48 160c0 30.75 52.25 57.5 128.8 70.88C190.5 220.9 200.5 207 205 190.4c5.125-19.12 2.5-39-7.375-56.13L172 90zM288 192C259.3 192 235.1 211.1 227.1 237.3C246.6 239 266.9 240 288 240s41.38-1 60.88-2.75C340.9 211.1 316.8 192 288 192zM224 83V96c0 35.25 28.75 64 64 64s64-28.75 64-64V83C331.6 81.13 310.3 80 288 80S244.4 81.13 224 83zM403.5 89.88l-25.62 44.5c-9.875 17-12.5 36.88-7.375 56C375 207 385.1 221 398.9 230.9C475.6 217.5 528 190.9 528 160C528 129.8 477.8 103.5 403.5 89.88z", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM205 190.4C200.5 207 190.5 220.9 176.8 230.9C100.3 217.5 48 190.8 48 160c0-30.12 50.13-56.38 124-69.1l25.62 44.25C207.5 151.4 210.1 171.3 205 190.4zM288 240c-21.12 0-41.38-1-60.88-2.75C235.1 211.1 259.3 192 288 192s52.88 19.12 60.88 45.25C329.4 239 309.1 240 288 240zM352 96c0 35.25-28.75 64-64 64S224 131.3 224 96V83C244.4 81.13 265.8 80 288 80s43.63 1.125 64 3V96zM398.9 230.9C385.1 221 375 207 370.5 190.4c-5.125-19.12-2.5-39 7.375-56l25.62-44.5C477.8 103.5 528 129.8 528 160C528 190.9 475.6 217.5 398.9 230.9z"]],
    "drumstick": [512, 512, [127831], "f6d6", ["M193.7 392.5c-6.08 6.145-8.917 13.97-8.917 22.14c0 13.71 7.243 18.34 7.243 37.02c0 33.47-27.29 60.3-60.36 60.3c-22.74 0-59.51-17.24-59.51-59.11c0-4.943 .5664-9.844 1.682-14.71c-4.86 1.116-9.774 1.683-14.72 1.683c-42.17 0-59.13-36.75-59.13-59.58c0-42.35 36.92-60.28 60.31-60.28c19.08 0 23.02 7.244 37.06 7.244c8.172 0 15.97-2.836 22.11-8.918l40.56-40.48L160 287.1c0 35.3 28.69 64 63.99 64l10.17 .0027L193.7 392.5z", "M160.1 191.1c0-64 27.61-106.1 63.1-142.4c33.03-33.04 76.31-49.57 119.6-49.57c96.54 0 169.2 78.85 169.2 169.2c0 43.33-16.49 86.59-49.49 119.6c-35.49 35.4-78.55 63.12-142.4 63.12l-96.05 .0096c-35.29 0-63.99-28.7-63.99-64L160.1 191.1z"]],
    "drumstick-bite": [512, 512, [], "f6d7", ["M193.7 392.5C187.6 398.6 184.8 406.5 184.8 414.6c0 13.71 7.244 18.41 7.244 37.03C192.1 484.1 164.1 512 131.7 512c-22.6 0-59.54-16.96-59.54-59.06c0-4.937 .5829-9.901 1.695-14.75c-4.853 1.112-9.78 1.681-14.72 1.681c-42.06 0-59.13-36.6-59.13-59.5c0-42.44 37.04-60.34 60.39-60.34c18.72 0 23.12 7.219 36.96 7.219c8.184 0 16.05-2.838 22.14-8.914l40.57-40.47l-.0644 10.13c0 35.35 28.65 64 64 64l10.33-.0215L193.7 392.5z", "M160.1 191.1c0-88.9 72.9-191.1 182.9-191.1C432.3-.0002 512 71 512 168.9c0 1.677-.0284 3.488-.0768 5.164c-16.96-9.149-35.49-13.76-53.96-13.76c-82.61 0-105.5 74.19-105.5 105.4c0 27.03 9.918 54.42 29.63 76.25c-19.47 6.626-40.06 9.997-60.62 9.997l-97.51 .0253c-35.35 0-64-28.65-64-64L160.1 191.1z"]],
    "dryer": [448, 512, [], "f861", ["M224 192C167.6 192 121.5 233.8 113.6 288H184C188.4 288 192 291.6 192 296v16C192 316.4 188.4 320 184 320H113.6C121.5 374.2 167.6 416 224 416c61.83 0 111.1-50.17 111.1-112C335.1 242.2 285.8 192 224 192zM184 112c13.25 0 24-10.75 24-24S197.3 64 184 64S160 74.75 160 88S170.8 112 184 112z", "M384 0H64C28.66 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144C80.01 224.5 144.5 160 224 160c79.5 0 143.1 64.5 143.1 144C367.1 383.5 303.5 448 224 448z"]],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", ["M216 272c0-22.62-12-34.63-20.75-43.38C189.5 222.9 186.1 219.3 184.8 214C183.9 210.5 180.6 208 177 208H160.8C158.4 208 156 209.1 154.5 210.9C153 212.8 152.3 215.1 152.8 217.5c2.75 16.62 12.5 26.38 19.87 33.88C180.5 259.1 184 263 184 272S180.5 284.9 172.8 292.8C164 301.5 152 313.4 152 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C184.1 397.5 187.4 400 191 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.625-1.875 2.25-4.25 1.875-6.625c-2.875-16.62-12.62-26.37-20-33.75C187.5 348.9 184 345 184 336c0-8.875 3.5-12.75 11.25-20.62C204 306.6 216 294.6 216 272zM264 336c0-8.875 3.5-12.75 11.25-20.62C284 306.6 296 294.6 296 272s-12-34.63-20.75-43.38C269.5 222.9 266.1 219.3 264.8 214C263.9 210.5 260.6 208 257 208h-16.25C238.4 208 236 209.1 234.5 210.9c-1.5 1.875-2.25 4.25-1.75 6.625c2.75 16.62 12.5 26.38 19.88 33.88C260.5 259.1 264 263 264 272s-3.5 12.88-11.25 20.75C244 301.5 232 313.4 232 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C264.1 397.5 267.4 400 271 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.5-1.875 2.125-4.25 1.75-6.625c-2.75-16.62-12.5-26.37-19.88-33.75C267.5 348.9 264 345 264 336zM184 112c13.25 0 24-10.75 24-24S197.3 64 184 64S160 74.75 160 88S170.8 112 184 112z", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"]],
    "duck": [512, 512, [129414], "f6d8", ["M400 223.1C400.2 215.5 403.9 207.6 409.2 200.1C423.5 183.2 432 160.6 432 135.1C432 132.6 431.8 129.2 431.5 125.9L432.1 126C442.7 127.3 453.3 127.3 463.9 126L499.2 121.6C505.1 120.7 512 126 512 132.9C512 183.2 471.2 223.1 420.9 223.1H400z", "M409.2 200.1C403.8 207.8 400 215.1 400 224.7V248.7C400 255.3 402.8 261.5 407.2 266.4C427.6 289.1 440 319.1 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 392.2 0 283.1V278.6C0 266.1 10.13 255.1 22.63 255.1C28.63 255.1 34.38 258.4 38.63 262.6L54.01 278C60.18 284.2 69.2 286.5 77.58 284.1L250.4 234.8C260.7 231.8 266.1 220.3 258.1 213C237.2 193.1 224 166.5 224 136C224 78.56 270.6 32 328 32C385.4 32 432 78.56 432 136C432 160.6 423.5 183.2 409.2 200.1V200.1zM344 111.1C330.7 111.1 320 122.7 320 135.1C320 149.3 330.7 159.1 344 159.1C357.3 159.1 368 149.3 368 135.1C368 122.7 357.3 111.1 344 111.1zM340.6 296.9C341.1 288.1 334.3 280.5 325.5 280C316.7 279.5 309.1 286.2 308.6 295.1C306.2 336.3 276 374.1 231.3 385.2C190.1 395.3 150.9 380.6 127.7 351.7C122.1 344.8 112 343.7 105.2 349.3C98.27 354.8 97.16 364.9 102.7 371.7C133.8 410.5 186.7 429.3 239.1 416.3C297 401.8 337.3 352.5 340.6 296.9H340.6z"]],
    "dumbbell": [640, 512, [], "f44b", ["M0 256c0 17.67 14.33 32 31.1 32L32 224C14.33 224 0 238.3 0 256zM128 288h32V224H128V288zM608 224v64c17.67 0 32-14.33 32-32C640 238.3 625.7 224 608 224zM480 288h32V224h-32V288zM256 288h128V224H256V288z", "M104 96h-48C42.75 96 32 106.8 32 120v272C32 405.3 42.75 416 56 416h48C117.3 416 128 405.3 128 392v-272C128 106.8 117.3 96 104 96zM232 32h-48C170.8 32 160 42.75 160 56v400C160 469.3 170.8 480 184 480h48C245.3 480 256 469.3 256 456V56C256 42.75 245.3 32 232 32zM584 96h-48C522.8 96 512 106.8 512 120v272c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24v-272C608 106.8 597.3 96 584 96zM456 32h-48C394.8 32 384 42.75 384 56v400c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V56C480 42.75 469.3 32 456 32z"]],
    "dumpster": [576, 512, [], "f793", ["M24.5 44.12l-24 95.1C-2.001 150.2 5.625 160 16 160h97.25l25.63-128H40C32.75 32 26.25 36.1 24.5 44.12zM575.5 140.1l-24-95.1C549.8 36.1 543.3 32 536 32h-98.88l25.62 128H560C570.4 160 577.1 150.2 575.5 140.1zM145.9 160H272V32H171.5L145.9 160zM304 32v128h126.1L404.5 32H304z", "M560 224h-20L544 192H32l4 32H16C7.25 224 0 231.2 0 240v32C0 280.8 7.25 288 16 288h28L64 448v16C64 472.8 71.25 480 80 480h32C120.8 480 128 472.8 128 464V448h320v16c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V448l20-160H560C568.8 288 576 280.8 576 272v-32C576 231.2 568.8 224 560 224z"]],
    "dumpster-fire": [640, 512, [], "f794", ["M551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.74-43.63-51.99-71.01-76.36c-70.14 62.73-120 144.2-120 193.6C319.1 409.1 391.6 480 479.1 480s160-70.87 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM532.6 392.6c-14.75 10.62-32.88 16.1-52.51 16.1c-49.01 0-88.89-33.49-88.89-87.98c0-27.12 16.5-50.98 49.38-91.85c4.75 5.5 67.14 87.98 67.14 87.98l39.76-46.99c2.875 4.873 5.375 9.496 7.75 13.1C573.9 321.5 565.1 368.4 532.6 392.6zM418.8 104.2L404.6 32H304.1L304 159.1h60.77C381.1 140.7 399.1 121.8 418.8 104.2zM272.1 32.12H171.5L145.9 160.1h126.1L272.1 32.12zM461.3 104.2c18.25 16.25 35.51 33.62 51.14 51.49c5.751-5.623 11.38-11.12 17.38-16.37l21.26-18.98l21.25 18.98c1.125 .9997 2.125 2.124 3.126 3.124c-.125-.7498 .2501-1.5 0-2.249l-24-95.97c-1.625-7.123-8.127-12.12-15.38-12.12H437.2l12.25 61.5L461.3 104.2zM16 160.1l97.26-.0223l25.64-127.9h-98.89c-7.251 0-13.75 4.999-15.5 12.12L.5001 140.2C-2.001 150.3 5.626 160.1 16 160.1z", "M32.01 192.1l4.001 31.99L16 224.1C7.252 224.1 0 231.3 0 240.1V272c0 8.748 7.25 15.1 16 15.1l28.01 .0177l20 159.1L64.01 464C64.01 472.8 71.26 480 80.01 480h32.01c8.752 0 16-7.248 16-15.1v-15.1l208.8-.002c-30.13-33.74-48.73-77.85-48.73-126.3c0-35.86 19.83-82.87 52.59-129.6L32.01 192.1zM555.2 284.8c-2.375-4.5-4.875-9.123-7.75-13.1l-39.76 46.99c0 0-62.39-82.48-67.14-87.98c-32.88 40.87-49.38 64.73-49.38 91.85c0 54.49 39.88 87.98 88.89 87.98c19.63 0 37.76-6.373 52.51-16.1C565.1 368.4 573.9 321.5 555.2 284.8z"]],
    "dungeon": [512, 512, [], "f6d9", ["M256 176C264.8 176 272 183.2 272 192V464C272 472.8 264.8 480 256 480C247.2 480 240 472.8 240 464V192C240 183.2 247.2 176 256 176zM192 208C200.8 208 208 215.2 208 224V464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V224C176 215.2 183.2 208 192 208zM320 208C328.8 208 336 215.2 336 224V464C336 472.8 328.8 480 320 480C311.2 480 304 472.8 304 464V224C304 215.2 311.2 208 320 208z", "M357.6 49.18C362.7 36.27 377.8 30.36 389.7 37.63C410.9 50.63 430 66.62 446.5 85.02C455.7 95.21 452.9 110.9 441.5 118.5L373.9 163.5C363.6 170.4 349.8 168.1 340.5 159.9C339.2 158.7 337.9 157.6 336.6 156.5C327.3 148.1 322.6 136.5 327.1 125.3L357.6 49.18zM313 6.374C326.5 9.433 333.2 24.02 328 36.82L297.7 112.6C293.2 123.1 280.9 129.8 268.7 128.6C264.6 128.2 260.3 128 256 128C251.7 128 247.4 128.2 243.3 128.6C231.1 129.8 218.8 123.1 214.3 112.6L183.1 36.82C178.8 24.02 185.5 9.433 198.1 6.374C217.3 2.203 236.4 0 256 0C275.6 0 294.7 2.203 313 6.374H313zM70.52 118.5C59.13 110.9 56.32 95.21 65.46 85.02C81.99 66.62 101.1 50.63 122.3 37.63C134.2 30.36 149.3 36.27 154.4 49.18L184.9 125.3C189.4 136.5 184.7 148.1 175.4 156.5C174.1 157.6 172.8 158.7 171.5 159.9C162.2 168.1 148.4 170.4 138.1 163.5L70.52 118.5zM458.1 145.8C469.7 138.1 485.6 141.9 491.2 154.7C501.6 178.8 508.4 204.8 510.9 232C512.1 245.2 501.3 256 488 256H408C394.7 256 384.2 245.2 381.8 232.1C381.1 228.7 380.4 225.4 379.5 222.1C376.3 210.7 379.7 198.1 389.5 191.6L458.1 145.8zM20.82 154.7C26.36 141.9 42.26 138.1 53.91 145.8L122.5 191.6C132.3 198.1 135.7 210.7 132.5 222.1C131.6 225.4 130.9 228.7 130.2 232.1C127.8 245.2 117.3 256 104 256H24C10.75 256-.1184 245.2 1.107 232C3.636 204.8 10.43 178.8 20.82 154.7V154.7zM128 360C128 373.3 117.3 384 104 384H24C10.75 384 0 373.3 0 360V312C0 298.7 10.75 288 24 288H104C117.3 288 128 298.7 128 312V360zM384 312C384 298.7 394.7 288 408 288H488C501.3 288 512 298.7 512 312V360C512 373.3 501.3 384 488 384H408C394.7 384 384 373.3 384 360V312zM0 440C0 426.7 10.75 416 24 416H104C117.3 416 128 426.7 128 440V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V440zM384 440C384 426.7 394.7 416 408 416H488C501.3 416 512 426.7 512 440V488C512 501.3 501.3 512 488 512H408C394.7 512 384 501.3 384 488V440z"]],
    "e": [320, 512, [101], "45", ["M320 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256c17.67 0 32 14.33 32 32s-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.99s-14.33 32.01-32 32.01H64v128h224C305.7 416 320 430.3 320 448z", ""]],
    "ear": [384, 512, [128066], "f5f0", ["M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM280 208C266.8 208 256 197.2 256 184C256 153.1 230.9 128 200 128h-16C153.1 128 128 153.1 128 184v31.72l13.92 5.576c18.73 7.477 31.67 23.86 34.6 43.82c2.955 19.92-4.672 39.33-20.4 51.92l-37.15 29.71C114.6 350.2 109.5 352 104.2 352c-7.287 0-14.35-3.367-18.92-9.035C77 332.6 78.68 317.5 89 309.2l37.12-29.69c3.24-2.592 3.119-6.051 2.916-7.418C128.8 270.7 127.1 267.4 124.1 265.8L95.12 254.3C85.93 250.6 80 241.9 80 231.1V184c0-57.35 46.65-104 104-104h16c57.35 0 104 46.65 104 104C304 197.2 293.2 208 280 208z", "M200 80h-16C126.7 80 80 126.7 80 184v47.97c0 9.9 5.934 18.65 15.12 22.28l28.98 11.58c3.857 1.547 4.746 4.91 4.949 6.283c.2031 1.367 .3242 4.826-2.916 7.418L89 309.2c-10.32 8.285-12 23.42-3.756 33.74C89.81 348.6 96.88 352 104.2 352c5.35 0 10.47-1.818 14.81-5.262l37.15-29.71c15.73-12.59 23.36-32 20.4-51.92C173.6 245.2 160.6 228.8 141.9 221.3L128 215.7V184C128 153.1 153.1 128 184 128h16C230.9 128 256 153.1 256 184c0 13.23 10.77 24 24 24s24-10.77 24-24C304 126.7 257.3 80 200 80zM104.2 344c-.4102 0-.7539-.2422-1.158-.2734c1.154 .0898 2.32 .0625 3.502-.1191C105.7 343.7 104.9 344 104.2 344z"]],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", ["M192 319.1C185.8 313.7 177.6 310.6 169.4 310.6S153 313.7 146.8 319.1l-137.4 137.4C3.124 463.6 0 471.8 0 480c0 18.3 14.96 31.1 31.1 31.1c8.188 0 16.38-3.124 22.62-9.371l137.4-137.4c6.247-6.247 9.371-14.44 9.371-22.62S198.3 326.2 192 319.1zM511.1 31.1c0-8.188-3.124-16.38-9.371-22.62s-14.44-9.372-22.63-9.372s-16.38 3.124-22.62 9.372L416 50.75c-6.248 6.248-9.372 14.44-9.372 22.63c0 8.188 3.123 16.38 9.37 22.62c6.247 6.248 14.44 9.372 22.63 9.372s16.38-3.124 22.63-9.372l41.38-41.38C508.9 48.37 511.1 40.18 511.1 31.1z", "M200 240c0-22.06 17.94-40 40-40s40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240zM415.1 241.6c0-57.78-42.91-177.6-175.1-177.6c-153.6 0-175.2 150.8-175.2 160.4c0 17.32 14.99 31.58 32.75 31.58c16.61 0 29.25-13.07 31.24-29.55c6.711-55.39 54.02-98.45 111.2-98.45c80.45 0 111.2 75.56 111.2 119.6c0 57.94-38.22 98.14-46.37 106.3L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 17.95 14.72 32.09 32.03 32.09c4.805 0 100.5-14.34 111.2-112.7C412.6 335.8 415.1 263.4 415.1 241.6z"]],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", ["M160.1 320c-17.64 0-32.02 14.37-32.02 31.1s14.38 31.1 32.02 31.1s32.02-14.37 32.02-31.1S177.8 320 160.1 320zM86.66 361.4c-12.51-12.49-32.77-12.49-45.27 0c-12.51 12.5-12.51 32.78 0 45.27l63.96 63.99c12.51 12.49 32.77 12.49 45.27 .002c12.51-12.5 12.51-32.78 0-45.27L86.66 361.4zM32.02 448C14.38 448 0 462.4 0 480S14.38 512 32.02 512c17.64 0 32.02-14.37 32.02-31.1S49.66 448 32.02 448zM397.8 3.125c-15.91-7.594-35.05-.8438-42.66 15.09c-7.594 15.97-.8281 35.06 15.12 42.66C417.5 83.41 448 134.9 448 192c0 17.69 14.33 32 32 32S512 209.7 512 192C512 110.3 467.2 36.19 397.8 3.125z", "M287.7 70.31c-110.9-29.38-211.7 47.53-222.8 150.9C62.1 239.9 78.73 255.1 97.57 255.1c16.61 0 29.25-13.07 31.24-29.55c6.934-57.22 57.21-101.3 116.9-98.3c71.71 3.594 117.1 76.82 102.5 146.9c-6.551 29.65-21.4 56.87-43.38 78.87L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 19.78 17.88 34.94 37.38 31.64c55.92-9.443 99.63-55.28 105.9-112.2c40.11-40.68 62.89-93.95 64.65-150.9C418.4 166.4 365.8 91 287.7 70.31zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200z"]],
    "ear-muffs": [640, 512, [], "f795", ["M480 224c0-88.22-71.78-160-160-160S160 135.8 160 224v1.621C157.3 225.1 154.8 224 151.1 224C140.1 224 129.7 229.4 122.3 237.8C114.5 232.6 105.3 230 96 230.9V224c0-123.5 100.5-224 224-224s223.1 100.5 223.1 224v7.248c-9.315-.7969-18.49 1.803-26.29 6.877C510.5 229.8 499.1 224 487.8 224c-2.781 0-5.217 1.041-7.838 1.578V224z", "M151.1 224C140.1 224 129.7 229.4 122.3 237.8c-10.63-7-23.75-9.375-36.38-4.5C74.21 238.1 65.71 248 62.21 259.5C50.46 259.3 38.84 264.3 30.59 273.9C22.59 283.8 19.96 296 22.21 307.5c-10.13 5.125-18.44 14.86-20.94 26.98c-3 12.25 .1888 23.89 7.314 33.27c-7 9-10.15 20.91-7.649 33.16c2.875 12.25 10.77 21.84 21.27 27.34c-2.5 11.12 0 23.62 8 33.25c8 9.875 19.88 14.75 31.75 14.75c3.25 11.5 11.5 21 23.38 26.12c5.125 1.875 9.875 2.875 15 2.875c7.875 0 15.63-2.375 22.13-6.75C129.7 506.8 140.2 512 151.1 512c22.13 0 40-17.88 40-40c0-9.999-4-18.88-10.13-25.88c6.125-7 10.13-15.88 10.13-25.88S188.5 401 182.3 394C188.5 387 191.1 377.9 191.1 368.1c0-9.875-3.51-18.81-9.635-25.81c6.125-7 9.625-16 9.625-26c0-10.12-4.125-19-10.25-26c6.125-7 10.25-16 10.25-26C191.1 241.9 174.1 224 151.1 224zM639 335.1c-2.875-12.25-10.81-21.84-21.31-26.97c2.5-11.5 0-24-8-33.63c-8-9.875-19.88-14.75-31.75-14.75c-3.25-11.5-11.5-21.38-23.38-26.12c-12.75-5-26.13-2.5-36.88 4.5C510.5 229.8 499.1 224 487.8 224c-22.13 0-40 17.88-40 40c0 10.12 4.125 19 10.25 26c-6.125 6.999-10.25 15.87-10.25 26.12c0 9.876 3.5 18.88 9.625 25.88c-6.125 6.999-9.541 16.06-9.541 25.94c0 9.875 3.416 18.81 9.541 25.81c-6.125 7-9.625 16-9.625 26c0 10.12 4.125 19 10.25 26c-6.125 7-10.25 16-10.25 26c0 22.12 17.88 40 40 40c11.75 0 22-5.125 29.38-13.12c6.5 4.125 14 6.5 22 6.5c4.75 0 9.875-.625 14.63-2.875c11.88-4.5 20.25-14.5 23.38-26c11.88 .375 23.75-4.75 32-14.38c8-9.875 10.63-22.12 8.375-33.63c10.13-5 18.1-14.61 21.1-26.86c2.875-12.12-.3457-24.26-7.471-33.26C638.5 359.4 641.7 347.3 639 335.1z"]],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", ["M172.1 53.15L187.8 80.62C190.5 85.46 191.1 90.93 191.1 96.5V137.9C191.1 141.8 193.6 145.6 196.3 148.3C202.6 154.6 212.8 153.1 218.3 147.1L231.9 130.1C236.6 124.2 244.8 122.4 251.6 125.8L266.8 133.4C270.2 135.1 273.1 135.1 277.8 135.1C284.3 135.1 290.6 133.4 295.2 128.8L299.1 124.8C302 121.1 306.5 121.2 310.1 123.1L339.4 137.7C347.1 141.6 352 149.5 352 158.1C352 168.6 344.9 177.8 334.7 180.3L299.3 189.2C291.9 191 284.2 190.7 276.1 188.3L244.1 177.7C241.7 176.6 238.2 176 234.8 176C227.8 176 220.1 178.3 215.4 182.5L175.1 212C165.9 219.6 159.1 231.4 159.1 244V272C159.1 298.5 181.5 320 207.1 320H239.1C248.8 320 255.1 327.2 255.1 336V384C255.1 401.7 270.3 416 288 416C298.1 416 307.6 411.3 313.6 403.2L339.2 369.1C347.5 357.1 352 344.5 352 330.7V318.6C352 314.7 354.6 311.3 358.4 310.4L363.7 309.1C375.6 306.1 384 295.4 384 283.1C384 275.1 381.2 269.2 376.2 264.2L342.7 230.7C338.1 226.1 338.1 221 342.7 217.3C348.4 211.6 356.8 209.6 364.5 212.2L378.6 216.9C390.9 220.1 404.3 215.4 410.1 203.8C413.6 196.8 421.3 193.1 428.1 194.6L459.6 200.7C464.5 201.7 468.1 200.4 472.4 197.9C477.4 216.4 480 235.9 480 255.1C480 379.7 379.7 480 256 480C132.3 480 32 379.7 32 255.1C32 162.6 89.16 82.56 170.4 48.94C170.7 50.37 171.3 51.78 172.1 53.15H172.1z", "M170.4 48.94C196.8 38.02 225.7 32 256 32C359.6 32 446.8 102.3 472.4 197.9C468.1 200.4 464.5 201.7 459.6 200.7L428.1 194.6C421.3 193.1 413.6 196.8 410.1 203.8C404.3 215.4 390.9 220.1 378.6 216.9L364.5 212.2C356.8 209.6 348.4 211.6 342.7 217.3C338.1 221 338.1 226.1 342.7 230.7L376.2 264.2C381.2 269.2 384 275.1 384 283.1C384 295.4 375.6 306.1 363.7 309.1L358.4 310.4C354.6 311.3 352 314.7 352 318.6V330.7C352 344.5 347.5 357.1 339.2 369.1L313.6 403.2C307.6 411.3 298.1 416 288 416C270.3 416 256 401.7 256 384V336C256 327.2 248.8 320 240 320H208C181.5 320 160 298.5 160 272V244C160 231.4 165.9 219.6 176 212L215.4 182.5C220.1 178.3 227.8 176 234.8 176C238.2 176 241.7 176.6 244.1 177.7L276.1 188.3C284.2 190.7 291.9 191 299.3 189.2L334.7 180.3C344.9 177.8 352 168.6 352 158.1C352 149.5 347.1 141.6 339.4 137.7L310.1 123.1C306.5 121.2 302 121.1 299.1 124.9L295.2 128.8C290.6 133.4 284.3 136 277.8 136C273.1 136 270.2 135.1 266.8 133.4L251.6 125.8C244.8 122.4 236.6 124.2 231.9 130.1L218.3 147.1C212.8 153.1 202.6 154.6 196.3 148.3C193.6 145.6 192 141.8 192 137.9V96.5C192 90.93 190.5 85.46 187.8 80.62L172.1 53.15C171.3 51.78 170.7 50.37 170.4 48.94H170.4z"]],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", ["M45.26 179.9L66.95 212.4C75.37 225.1 88.02 234.3 102.6 238.5L162.1 255.7C180.2 260.6 191.1 276.3 191.1 294.2V334.1C191.1 345.1 198.2 355.1 207.1 359.1C217.8 364.9 223.1 374.9 223.1 385.9V424.9C223.1 440.5 238.9 451.7 253.9 447.4C270.1 442.8 282.5 429.1 286.6 413.7L289.4 402.5C293.6 385.6 304.6 371.1 319.7 362.4L327.8 357.8C342.8 349.3 352 333.4 352 316.1V307.9C352 295.1 346.9 282.9 337.9 273.9L334.1 270.1C325.1 261.1 312.8 255.1 300.1 255.1H256.1C245.9 255.1 234.9 253.1 225.2 247.6L190.7 227.8C186.4 225.4 183.1 221.4 181.6 216.7C178.4 207.1 182.7 196.6 191.7 192.1L197.7 189.2C204.3 185.9 211.9 185.3 218.1 187.7L242.2 195.4C250.3 198.1 259.3 195 264.1 187.9C268.8 180.8 268.3 171.5 262.9 165L249.3 148.8C239.3 136.8 239.4 119.3 249.6 107.5L265.3 89.12C274.1 78.85 275.5 64.16 268.8 52.42L257.1 32C341.4 32.42 414.7 79.41 452.6 148.6L412 164.8C396.3 171.1 388.2 188.5 393.5 204.6L410.9 256.8C414.1 266.4 421.6 273.9 431.2 277.1L477.1 292.4C459.7 398.8 367.3 479.1 256 479.1C132.3 479.1 32 379.7 32 255.1C32 229.3 36.68 203.6 45.26 179.9L45.26 179.9z", "M268.8 52.42C275.5 64.16 274.1 78.86 265.3 89.12L249.6 107.5C239.4 119.3 239.3 136.8 249.3 148.8L262.9 165C268.3 171.5 268.8 180.8 264.1 187.9C259.3 195 250.3 198.1 242.2 195.4L218.1 187.7C211.9 185.3 204.3 185.9 197.7 189.2L191.7 192.1C182.7 196.7 178.4 207.1 181.6 216.7C183.1 221.4 186.4 225.4 190.7 227.8L225.2 247.6C234.9 253.1 245.9 256 256.1 256H300.1C312.8 256 325.1 261.1 334.1 270.1L337.9 273.9C346.9 282.9 352 295.2 352 307.9V316.1C352 333.4 342.8 349.3 327.8 357.8L319.7 362.5C304.6 371.1 293.6 385.6 289.4 402.5L286.6 413.7C282.5 429.1 270.1 442.8 253.9 447.4C238.9 451.7 223.1 440.5 223.1 424.9V385.9C223.1 374.9 217.8 364.9 207.1 360C198.2 355.1 191.1 345.1 191.1 334.1V294.2C191.1 276.3 180.2 260.6 162.1 255.7L102.6 238.5C88.02 234.3 75.37 225.1 66.95 212.4L45.26 179.9C76.41 93.64 159 32 255.1 32C256.4 32 256.8 32 257.1 32L268.8 52.42zM452.6 148.6C470.1 180.5 480 217.1 480 256C480 268.4 478.1 280.5 477.1 292.4L431.2 277.1C421.6 273.9 414.1 266.4 410.9 256.8L393.5 204.6C388.2 188.6 396.3 171.1 412 164.8L452.6 148.6z"]],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", ["M38.79 292.6L83.41 301.5C91.27 303.1 99.41 300.6 105.1 294.9L120.5 279.5C132 267.1 151.6 271.1 158.9 285.8L168.2 304.3C172.1 313.9 182.8 319.1 193.5 319.1C208.7 319.1 219.6 305.4 215.2 290.8L209.3 270.9C204.7 255.5 216.2 239.1 232.3 239.1H234.6C247.1 239.1 260.5 233.3 267.9 222.2L278.6 206.1C284.2 197.7 283.9 186.6 277.8 178.4L261.7 156.9C251.4 143.2 258.4 123.4 275.1 119.2L292.1 114.1C299.6 113.1 305.7 107.8 308.6 100.6L325.3 58.79C327.4 53.56 327.5 48.1 326.1 43.17C415.5 72.58 480 156.8 480 255.1C480 272.1 478.1 289.5 474.5 305.4L467.4 301.1C462.1 299.4 456.1 298.9 450.4 300.4L434.6 304.9C427.9 306.7 420.8 304 417.1 298.2L415.1 295.1C409.1 285.7 398.7 279.1 387.5 279.1C376.4 279.1 365.1 285.7 359.9 295.1L353.8 304.6C352.4 306.8 350.5 308.7 348.2 309.1L311.1 330.1C293.9 340.2 286.5 362.5 294.1 381.4L300.5 393.8C309.1 413 331.2 422.3 350.1 414.9L353.5 413.1C363.6 410.2 374.8 411.8 383.5 418.1L398.4 428.9C359.7 460.8 310.1 480 256 480C144.3 480 51.75 398.3 34.78 291.4C36.06 291.9 37.4 292.3 38.79 292.6L38.79 292.6zM163.9 336.5C155.3 334.3 146.6 339.5 144.5 348.1C142.3 356.7 147.5 365.4 156.1 367.5L188.1 375.5C196.7 377.7 205.4 372.5 207.5 363.9C209.7 355.3 204.5 346.6 195.9 344.5L163.9 336.5zM267.5 335.9L275.5 303.9C277.7 295.3 272.5 286.6 263.9 284.5C255.3 282.3 246.6 287.5 244.5 296.1L236.5 328.1C234.3 336.7 239.5 345.4 248.1 347.5C256.7 349.7 265.4 344.5 267.5 335.9zM350.3 135.2C354.3 127.2 351.1 117.6 343.2 113.7C335.3 109.7 325.6 112.9 321.7 120.8L305.7 152.8C301.7 160.7 304.9 170.4 312.8 174.3C320.7 178.3 330.4 175.1 334.3 167.2L350.3 135.2z", "M34.78 291.4C32.95 279.9 32 268 32 255.1C32 132.3 132.3 31.1 256 31.1C280.5 31.1 304 35.92 326.1 43.17C327.5 48.1 327.4 53.56 325.3 58.79L308.6 100.6C305.7 107.8 299.6 113.1 292.1 114.1L275.1 119.2C258.4 123.4 251.4 143.2 261.7 156.9L277.8 178.4C283.9 186.6 284.2 197.7 278.6 206.1L267.9 222.2C260.5 233.3 247.1 239.1 234.6 239.1H232.3C216.2 239.1 204.6 255.5 209.3 270.9L215.2 290.8C219.6 305.4 208.7 319.1 193.5 319.1C182.8 319.1 172.1 313.9 168.2 304.3L158.9 285.8C151.6 271.1 132 267.1 120.5 279.5L105.1 294.9C99.41 300.6 91.27 303.1 83.41 301.5L38.79 292.6C37.4 292.3 36.06 291.9 34.78 291.4L34.78 291.4zM474.5 305.4C463.4 354.7 436.1 397.8 398.4 428.9L383.5 418.1C374.8 411.8 363.6 410.2 353.5 413.1L350.1 414.9C331.2 422.3 309.1 413 300.5 393.8L294.1 381.4C286.5 362.5 293.9 340.2 311.1 330.1L348.2 309.1C350.5 308.7 352.4 306.8 353.8 304.6L359.9 295.1C365.1 285.7 376.4 279.1 387.5 279.1C398.7 279.1 409.1 285.7 415.1 295.1L417.1 298.2C420.8 304 427.9 306.7 434.6 304.9L450.4 300.4C456.1 298.9 462.1 299.4 467.4 301.1L474.5 305.4zM144.5 348.1C146.6 339.5 155.3 334.3 163.9 336.5L195.9 344.5C204.5 346.6 209.7 355.3 207.5 363.9C205.4 372.5 196.7 377.7 188.1 375.5L156.1 367.5C147.5 365.4 142.3 356.7 144.5 348.1V348.1zM244.5 296.1C246.6 287.5 255.3 282.3 263.9 284.5C272.5 286.6 277.7 295.3 275.5 303.9L267.5 335.9C265.4 344.5 256.7 349.7 248.1 347.5C239.5 345.4 234.3 336.7 236.5 328.1L244.5 296.1zM343.2 113.7C351.1 117.6 354.3 127.2 350.3 135.2L334.3 167.2C330.4 175.1 320.7 178.3 312.8 174.3C304.9 170.4 301.7 160.7 305.7 152.8L321.7 120.8C325.6 112.9 335.3 109.7 343.2 113.7V113.7z"]],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", ["M221.9 240C232.9 240 243.1 233.8 248 224L252 215.9C254.5 211.1 259.4 208 264.8 208C269.4 208 273.6 210.1 276.3 213.7L292.6 235.5C294.7 238.3 298.1 240 301.7 240C310.1 240 315.6 231.1 311.8 223.6L310.7 221.3C307.1 214.3 310.7 205.8 318.1 203.3L339.3 196.2C346.9 193.7 352 186.6 352 178.6C352 168.3 360.3 160 370.6 160H400C408.8 160 416 167.2 416 176C416 184.8 408.8 192 400 192H379.3C372.1 192 365.1 194.9 360 200L355.3 204.7C353.2 206.8 352 209.7 352 212.7C352 218.9 357.1 224 363.3 224H374.6C380.6 224 386.4 226.4 390.6 230.6L397.2 237.2C398.1 238.1 400 241.4 400 244C400 246.6 398.1 249 397.2 250.8L389.7 258.3C386 261.1 384 266.9 384 272C384 277.1 386 282 389.7 285.7L408 304C418.2 314.2 432.1 320 446.6 320H503.9C501.1 330.1 497.6 341.7 493.4 352H438.6C424.1 352 410.2 346.2 400 336L395.1 331.1C388.3 324.3 377.9 320 367.1 320C357.4 320 347.9 316.5 340.5 310.2L313.1 287.4C302.4 277.5 287.6 272 272.3 272H251.4C238.7 272 226.4 275.7 215.9 282.7L188.5 301C170.7 312.9 160 332.9 160 354.3V357.5C160 374.5 166.7 390.7 178.7 402.7L194.7 418.7C203.2 427.2 214.7 432 226.7 432C251.7 432 272 452.3 272 477.3V511.5C266.7 511.8 261.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C281.2 0 305.5 3.627 328.4 10.39L233.3 73.81C227.5 77.68 224 84.19 224 91.16V99.72C224 106.5 229.5 112 236.3 112C238.7 112 241.1 111.3 243.1 109.9L284.9 82.06C286.9 80.72 289.3 80 291.7 80H292.7C298.9 80 304 85.07 304 91.31C304 94.31 302.8 97.19 300.7 99.31L280.8 119.2C275 124.1 267.9 129.4 260.2 131.9L233.6 140.8C227.9 142.7 224 148.1 224 154.2C224 157.9 222.5 161.5 219.9 164.1L201.9 182.1C195.6 188.4 192 197.1 192 206.1V210.3C192 226.7 205.6 240 221.9 240V240zM187.3 123.3C193.6 117.1 193.6 106.9 187.3 100.7C181.1 94.44 170.9 94.44 164.7 100.7L132.7 132.7C126.4 138.9 126.4 149.1 132.7 155.3C138.9 161.6 149.1 161.6 155.3 155.3L187.3 123.3z", "M192 210.3V206.1C192 197.1 195.6 188.4 201.9 182.1L219.9 164.1C222.5 161.5 224 157.9 224 154.2C224 148.1 227.9 142.7 233.6 140.8L260.2 131.9C267.9 129.4 275 124.1 280.8 119.2L300.7 99.31C302.8 97.19 304 94.31 304 91.31C304 85.06 298.9 79.1 292.7 79.1H291.7C289.3 79.1 286.9 80.72 284.9 82.06L243.1 109.9C241.1 111.3 238.7 111.1 236.3 111.1C229.5 111.1 224 106.5 224 99.72V91.15C224 84.19 227.5 77.68 233.3 73.81L328.4 10.39C434.5 41.63 512 139.8 512 255.1C512 278.1 509.2 299.5 503.9 319.1H446.6C432.1 319.1 418.2 314.2 408 303.1L389.7 285.7C386 282 384 277.1 384 271.1C384 266.9 386 261.1 389.7 258.3L397.2 250.8C398.1 249 400 246.6 400 243.1C400 241.4 398.1 238.1 397.2 237.2L390.6 230.6C386.4 226.4 380.6 223.1 374.6 223.1H363.3C357.1 223.1 352 218.9 352 212.7C352 209.7 353.2 206.8 355.3 204.7L360 199.1C365.1 194.9 372.1 191.1 379.3 191.1H400C408.8 191.1 416 184.8 416 175.1C416 167.2 408.8 159.1 400 159.1H370.6C360.3 159.1 352 168.3 352 178.6C352 186.6 346.9 193.7 339.3 196.2L318.1 203.3C310.7 205.8 307.1 214.3 310.7 221.3L311.8 223.6C315.6 231.1 310.1 239.1 301.7 239.1C298.1 239.1 294.7 238.3 292.6 235.5L276.3 213.7C273.6 210.1 269.4 207.1 264.8 207.1C259.4 207.1 254.5 211.1 252 215.9L248 223.1C243.1 233.8 232.9 239.1 221.9 239.1C205.6 239.1 192 226.7 192 210.3H192zM272 511.5V477.3C272 452.3 251.7 432 226.7 432C214.7 432 203.2 427.2 194.7 418.7L178.7 402.7C166.7 390.7 160 374.5 160 357.5V354.3C160 332.9 170.7 312.9 188.5 301L215.9 282.7C226.4 275.7 238.7 272 251.4 272H272.3C287.6 272 302.4 277.5 313.1 287.4L340.5 310.2C347.9 316.5 357.4 320 367.1 320C377.9 320 388.3 324.3 395.1 331.1L400 336C410.2 346.2 424.1 352 438.6 352H493.4C457.3 441.1 372.5 505.3 272 511.5V511.5zM187.3 100.7C193.6 106.9 193.6 117.1 187.3 123.3L155.3 155.3C149.1 161.6 138.9 161.6 132.7 155.3C126.4 149.1 126.4 138.9 132.7 132.7L164.7 100.7C170.9 94.44 181.1 94.44 187.3 100.7V100.7z"]],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM215.5 360.6L240.9 377C247.1 381.6 256.2 384 264.6 384C278 384 290.7 377.8 298.1 367.2L311 351.8C316.8 344.4 320 335.2 320 325.8C320 316.4 316.8 307.2 311 299.8L293.1 276.9C288.3 270.7 284.4 263.1 281.6 256.7L271.5 230.8C269.9 226.7 265.9 224 261.5 224C258 224 254.8 225.6 252.8 228.4L242.4 242.6C237.7 248.1 229.7 252.1 221.9 250.5C218.7 249.8 215.8 247.1 213.8 245.4L209.3 239.3C202.1 229.7 190.7 224 178.7 224C166.7 224 155.3 229.7 148.1 239.3L142.8 246.3C141.3 248.4 139.2 250 136.9 251.1L101.6 267.9C81.08 277.7 72.8 302.6 83.37 322.7L86.65 328.9C95.67 346.1 115.7 354.3 134.1 348.4L149.5 343.6C156 341.5 163.1 341.6 169.6 343.8L208.6 357.3C211 358.1 213.4 359.2 215.5 360.6H215.5zM273.8 142.5C264.3 132.1 250.8 128.9 237.6 131.5L199.1 139.2C183.8 142.3 181.5 163.2 195.7 169.5L238.5 188.6C243.7 190.8 249.2 192 254.8 192H284.7C298.9 192 306.1 174.8 296 164.7L273.8 142.5zM264 448H280C288.8 448 296 440.8 296 432C296 423.2 288.8 416 280 416H264C255.2 416 248 423.2 248 432C248 440.8 255.2 448 264 448zM431.2 298.9C428.4 290.6 419.3 286 410.9 288.8C402.6 291.6 398 300.7 400.8 309.1L408.8 333.1C411.6 341.4 420.7 345.1 429.1 343.2C437.4 340.4 441.1 331.3 439.2 322.9L431.2 298.9zM411.3 379.3C417.6 373.1 417.6 362.9 411.3 356.7C405.1 350.4 394.9 350.4 388.7 356.7L356.7 388.7C350.4 394.9 350.4 405.1 356.7 411.3C362.9 417.6 373.1 417.6 379.3 411.3L411.3 379.3z", "M296 164.7C306.1 174.8 298.9 192 284.7 192H254.8C249.2 192 243.7 190.8 238.5 188.6L195.7 169.5C181.5 163.2 183.8 142.3 199.1 139.2L237.6 131.5C250.8 128.9 264.3 132.1 273.8 142.5L296 164.7zM149.5 343.6L134.1 348.4C115.7 354.3 95.67 346.1 86.65 328.9L83.37 322.7C72.8 302.6 81.08 277.7 101.6 267.9L136.9 251.1C139.2 250 141.3 248.4 142.8 246.3L148.1 239.3C155.3 229.7 166.7 224 178.7 224C190.7 224 202.1 229.7 209.3 239.3L213.8 245.4C215.8 247.1 218.7 249.8 221.9 250.5C229.7 252.1 237.7 248.1 242.4 242.6L252.8 228.4C254.8 225.6 258 224 261.5 224C265.9 224 269.9 226.7 271.5 230.8L281.6 256.7C284.4 263.1 288.3 270.7 293.1 276.9L311 299.8C316.8 307.2 320 316.4 320 325.8C320 335.2 316.8 344.4 311 351.8L298.1 367.2C290.7 377.8 278 384 264.6 384C256.2 384 247.1 381.6 240.9 377L215.5 360.6C213.4 359.2 211 358.1 208.6 357.3L169.6 343.8C163.1 341.6 156 341.5 149.5 343.6H149.5zM248 432C248 423.2 255.2 416 264 416H280C288.8 416 296 423.2 296 432C296 440.8 288.8 448 280 448H264C255.2 448 248 440.8 248 432zM439.2 322.9C441.1 331.3 437.4 340.4 429.1 343.2C420.7 345.1 411.6 341.4 408.8 333.1L400.8 309.1C398 300.7 402.6 291.6 410.9 288.8C419.3 286 428.4 290.6 431.2 298.9L439.2 322.9zM379.3 411.3C373.1 417.6 362.9 417.6 356.7 411.3C350.4 405.1 350.4 394.9 356.7 388.7L388.7 356.7C394.9 350.4 405.1 350.4 411.3 356.7C417.6 362.9 417.6 373.1 411.3 379.3L379.3 411.3z"]],
    "eclipse": [640, 512, [], "f749", ["M165.5 346.5c-49.87-49.87-49.87-131.1 0-180.1C200.6 130.4 251 120.5 295.3 134.8c7.5-10.37 15.87-19.1 25.12-28.87L271.5 9.655c-6.375-12.87-24.62-12.87-30.1 0l-47.25 94.61L92.78 70.77C79.15 66.27 66.28 79.27 70.78 92.77l33.5 100.4L9.656 240.5c-12.87 6.374-12.87 24.62 0 30.1l94.62 47.24l-33.5 100.5c-4.5 13.62 8.5 26.5 21.1 21.1l100.4-33.5l47.25 94.61c6.375 12.87 24.62 12.87 30.1 0l47.37-94.61l5.25 1.75c-10.75-9.749-20.25-20.5-28.75-32.25C251 391.5 200.6 381.6 165.5 346.5zM256 160C203.1 160 160 203.1 160 256s43.12 95.99 95.1 95.99c7.75 0 15.12-1.25 22.25-2.875c-14.12-27.1-22.26-59.6-22.26-93.09S264.1 190.9 278.3 162.9C271.1 161.3 263.8 160 256 160z", "M640 256c0 97.24-78.75 175.1-175.1 175.1s-175.1-78.72-175.1-175.1s78.75-175.1 175.1-175.1S640 158.8 640 256z"]],
    "egg": [384, 512, [129370], "f7fb", ["M192 16c-106 0-192 182-192 288c0 106 85.1 192 192 192c105.1 0 192-85.1 192-192C384 198 297.1 16 192 16zM160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z", "M160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z"]],
    "egg-fried": [512, 512, [], "f7fc", ["M478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25c-49.76-41-88.13-77.5-158.5-66.13c-86.76 14-111.8 80-125 157.1c-11.13 64.38-54.38 127-50 192.9s52.88 128.5 115 150.8c93.01 33.38 146.9-31.75 204.6-86.38c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM223.1 352.4c-61.76 0-112-50.25-112-112.1c0-61.75 50.26-112.1 112-112.1s112 50.38 112 112.1C335.1 302.1 285.7 352.4 223.1 352.4z", "M223.1 128.1c-61.76 0-112 50.38-112 112.1c0 61.88 50.26 112.1 112 112.1s112-50.25 112-112.1C335.1 178.5 285.7 128.1 223.1 128.1zM215.1 191.1c-22.13 0-40 17.88-40 40c0 8.877-7.127 16-16 16c-8.877 0-16-7.125-16-16c0-39.75 32.25-72 72.01-72c8.875 0 16 7.126 16 16C231.1 184.9 224.8 191.1 215.1 191.1z"]],
    "eggplant": [512, 512, [], "e16c", ["M465.3 199.8c-23.5 46.8-49.46 93.22-79.51 139.3c-101.8 154.7-151.1 172.9-213.2 172.9c-42.28 0-172.6-33.85-172.6-174.7c0-61.41 31.93-122.7 100.8-151.3c86.81-33.98 192.9-126.1 211.1-138.3C323.8 66.95 344.3 80 368 80c0 35.35 28.65 64 64 64C432 168.2 445.6 188.9 465.3 199.8z", "M512 24c0 6.141-2.344 12.28-7.031 16.97l-14.04 14.04C494.2 62.69 496 71.13 496 80v128c-35.35 0-64-28.65-64-64c-35.35 0-64-28.65-64-64c-35.35 0-64-28.65-64-64h128c8.867 0 17.31 1.811 24.99 5.07l14.04-14.04C475.7 2.344 481.9 0 488 0C501.7 0 512 11.21 512 24z"]],
    "eject": [448, 512, [9167], "f052", ["M447.1 432c0 26.39-21.6 47.99-47.99 47.99H48.01c-26.39 0-47.99-21.6-47.99-47.99c0-26.39 21.6-47.98 47.99-47.98h351.1C426.4 384 447.1 405.6 447.1 432z", "M48.01 319.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1c-19-20.62-51.75-20.62-70.75 0L12.64 239.6C-15.48 270.2 6.393 319.1 48.01 319.1z"]],
    "elephant": [640, 512, [128024], "f6da", ["M192 112C192 50.14 242.1 .0016 303.1 0C334.5 0 362.2 12.21 382.4 32H383.1C472.4 32 543.1 103.6 543.1 192V346.5C533.1 350.1 523.2 352 512 352C477.1 352 446.5 333.4 429.7 305.5C425.1 297.9 415.3 295.5 407.7 300C400.2 304.6 397.7 314.4 402.3 321.1C406.3 328.6 410.9 334.9 415.1 340.7V480C415.1 497.7 401.7 512 383.1 512H319.1C302.3 512 287.1 497.7 287.1 480V409.1C272.7 413.9 256.6 416 239.1 416C223.4 416 207.3 413.9 191.1 409.1V480C191.1 497.7 177.7 512 159.1 512H95.1C78.32 512 63.1 497.7 63.1 480V344.7C61.44 349.4 58.54 353.9 55.32 358.2L43.2 374.4C35.24 385 20.2 387.2 9.598 379.2C-1.006 371.2-3.155 356.2 4.798 345.6L16.92 329.4C22.59 321.9 26.49 313.1 28.35 303.9C30.77 291.7 31.1 279.4 31.1 267V248C31.1 175.8 67.43 111.9 121.9 72.64C138.6 59.57 157.5 49.22 178 42.23C166.5 62.9 160 86.69 160 112C160 191.5 224.5 256 304 256C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224C242.1 224 192 173.9 192 112V112zM464 192C455.2 192 448 199.2 448 208C448 216.8 455.2 224 464 224C472.8 224 480 216.8 480 208C480 199.2 472.8 192 464 192zM512 384C523 384 533.8 382.6 543.1 379.1V398.6C543.1 408.2 551.8 416 561.4 416C568 416 574.1 412.3 577 406.4L579.4 401.7C587.3 385.9 606.5 379.5 622.3 387.4C638.1 395.3 644.5 414.5 636.6 430.3L634.3 434.1C620.5 462.6 592.3 480 561.4 480C516.5 480 479.1 443.5 479.1 398.6V379.1C490.2 382.6 500.9 384 512 384V384z", "M448 208C448 199.2 455.2 192 464 192C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224C455.2 224 448 216.8 448 208zM512 352C538.9 352 563.1 340.1 580.6 323.2C586.8 316.9 596.9 316.8 603.2 322.1C609.5 329.1 609.6 339.3 603.4 345.6C580.2 369.3 547.8 384 512 384C465.4 384 424.7 359.1 402.3 321.1C397.7 314.4 400.2 304.6 407.7 300C415.3 295.5 425.1 297.9 429.7 305.5C446.5 333.4 477.1 352 512 352H512z"]],
    "elevator": [512, 512, [], "e16d", ["M448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM352 224C378.5 224.1 400 245.5 400 272c0 26.46-21.47 47.9-48 48C325.5 319.9 304 298.5 304 272C304 245.5 325.5 224.1 352 224zM160 224C186.5 224.1 208 245.5 208 272c0 26.46-21.47 47.9-48 48C133.5 319.9 112 298.5 112 272C112 245.5 133.5 224.1 160 224zM240 448h-160v-48C80 373.5 101.5 352 128 352h64c26.51 0 48 21.49 48 48V448zM432 448h-160v-48c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48V448z", "M222.8 87.34c2.385-5.262 1.299-11.39-2.754-15.59l-65-67.34c-5.684-5.881-16.31-5.881-21.99 0l-65 67.34C63.95 75.95 62.87 82.08 65.25 87.34C67.63 92.6 73.03 96 79 96h130C214.1 96 220.4 92.6 222.8 87.34zM446.8 8.662C444.4 3.402 438.1 0 433 0h-130c-5.967 0-11.37 3.402-13.75 8.662c-2.385 5.262-1.301 11.39 2.752 15.59l65 67.34c5.686 5.881 16.31 5.881 21.99 0l65-67.34C448.1 20.05 449.1 13.92 446.8 8.662zM192 352H128c-26.51 0-48 21.49-48 48V448h160v-48C240 373.5 218.5 352 192 352zM112 272c0 26.46 21.47 47.9 48 48C186.5 319.9 208 298.5 208 272c0-26.46-21.47-47.9-48-47.1C133.5 224.1 112 245.5 112 272zM384 352h-64c-26.51 0-48 21.49-48 48V448h160v-48C432 373.5 410.5 352 384 352zM400 272c0-26.46-21.47-47.9-48-47.1C325.5 224.1 304 245.5 304 272c0 26.46 21.47 47.9 48 48C378.5 319.9 400 298.5 400 272z"]],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", ["M280 256C280 286.9 254.9 312 224 312C193.1 312 168 286.9 168 256C168 225.1 193.1 200 224 200C254.9 200 280 225.1 280 256z", "M8 256C8 225.1 33.07 200 64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256zM328 256C328 225.1 353.1 200 384 200C414.9 200 440 225.1 440 256C440 286.9 414.9 312 384 312C353.1 312 328 286.9 328 256z"]],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", ["M328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184C295.8 184 328 216.2 328 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232z", "M344 256C344 216.2 376.2 184 416 184C455.8 184 488 216.2 488 256C488 295.8 455.8 328 416 328C376.2 328 344 295.8 344 256zM416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280zM24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328C56.24 328 24 295.8 24 256zM96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280z"]],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", ["M96 328C56.24 328 24 295.8 24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328zM120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256z", "M96 344C135.8 344 168 376.2 168 416C168 455.8 135.8 488 96 488C56.24 488 24 455.8 24 416C24 376.2 56.24 344 96 344zM72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416zM96 24C135.8 24 168 56.24 168 96C168 135.8 135.8 168 96 168C56.24 168 24 135.8 24 96C24 56.24 56.24 24 96 24zM72 96C72 109.3 82.75 120 96 120C109.3 120 120 109.3 120 96C120 82.75 109.3 72 96 72C82.75 72 72 82.75 72 96z"]],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", ["M64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200z", "M64 472C33.07 472 8 446.9 8 416C8 385.1 33.07 360 64 360C94.93 360 120 385.1 120 416C120 446.9 94.93 472 64 472zM64 152C33.07 152 8 126.9 8 96C8 65.07 33.07 40 64 40C94.93 40 120 65.07 120 96C120 126.9 94.93 152 64 152z"]],
    "empty-set": [512, 512, [8709, 216], "f656", ["M96 256c0-88.22 71.78-160 160-160c32.56 0 62.8 9.889 88.09 26.66l45.84-45.84C352.5 48.82 306.3 32 256 32C132.3 32 32 132.3 32 256c0 50.3 16.82 96.54 44.82 133.9l45.84-45.84C105.9 318.8 96 288.6 96 256zM435.2 122.1l-45.84 45.84C406.1 193.2 416 223.4 416 256c0 88.22-71.78 160-160 160c-32.56 0-62.8-9.889-88.09-26.66l-45.84 45.84C159.5 463.2 205.7 480 256 480c123.7 0 224-100.3 224-224C480 205.7 463.2 159.5 435.2 122.1z", "M502.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-448 448c-12.5 12.5-12.5 32.75 0 45.25C15.63 508.9 23.81 512 32 512s16.38-3.125 22.62-9.375l448-448C515.1 42.13 515.1 21.88 502.6 9.375z"]],
    "engine": [640, 512, [], "e16e", ["M424 88C424 101.3 413.3 112 400 112H328V144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM24 136C37.25 136 48 146.7 48 160V232H96V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z", "M96 176C96 158.3 110.3 144 128 144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V176zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288zM192 224C174.3 224 160 238.3 160 256C160 273.7 174.3 288 192 288C209.7 288 224 273.7 224 256C224 238.3 209.7 224 192 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288z"]],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", ["M424 88C424 101.3 413.3 112 400 112H328V144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM24 136C37.25 136 48 146.7 48 160V232H96V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z", "M409.5 144C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V176C96 158.3 110.3 144 128 144H409.5zM324 208C324 196.1 315 188 304 188C292.1 188 284 196.1 284 208V296C284 307 292.1 316 304 316C315 316 324 307 324 296V208zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392z"]],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", ["M19.2 150.4L236.8 313.6C248.2 322.1 263.8 322.1 275.2 313.6L492.8 150.4C504.9 141.3 512 127.1 512 112V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V112C0 127.1 7.113 141.3 19.2 150.4z", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464z"]],
    "envelope-circle-check": [640, 512, [], "e4e8", ["M0 112C0 85.49 21.49 64 48 64H464C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L478.9 160.8C412.3 167.2 356.5 210.8 332.6 270.6L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112H0zM320 336C320 378.5 335.1 417.6 360.2 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2L320.8 319.4C320.3 324.9 320 330.4 320 336z", "M352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336zM563.3 315.3C569.6 309.1 569.6 298.9 563.3 292.7C557.1 286.4 546.9 286.4 540.7 292.7L480 353.4L451.3 324.7C445.1 318.4 434.9 318.4 428.7 324.7C422.4 330.9 422.4 341.1 428.7 347.3L468.7 387.3C474.9 393.6 485.1 393.6 491.3 387.3L563.3 315.3z"]],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", ["M48.29 145.3l212.2 165.1c16.19 12.6 38.87 12.6 55.06 0l193.7-150.6C457.5 158.2 416 116.1 416 64H80C53.49 64 32 85.49 32 112C32 125 38.01 137.3 48.29 145.3zM335.2 335.7C321.7 346.1 305 352 288 352s-33.74-5.863-47.17-16.3L32 173.3V400C32 426.5 53.49 448 80 448h416c26.51 0 48-21.49 48-48V173.3L335.2 335.7z", "M512 0c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S476.7 0 512 0z"]],
    "envelope-open": [512, 512, [62135], "f2b6", ["M448 208.5v46.32l-144.8 112.7C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5z", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38c-118.8 86.25-139.4 101.1-164.3 121.6C6.75 172 0 186 0 200.8v263.2C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V200.8C512 186 505.3 172 493.6 163zM303.2 367.5C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5v46.32L303.2 367.5z"]],
    "envelope-open-dollar": [512, 512, [], "f657", ["M416 32H96c-17.67 0-32 14.33-32 31.1v182.4l164.5 127.9c16.2 12.6 38.87 12.6 55.06 0L448 246.4V64C448 46.33 433.7 32 416 32zM319.1 251.5c-3.703 21.4-20.04 35.41-43.05 40.22V304c0 11.03-8.945 20-19.98 20c-11.04 0-19.98-8.969-19.98-20V291.3c-9.113-1.961-18.19-4.934-26.35-7.883L205.3 281.8C194.1 278.2 189.5 266.7 193.2 256.3S208.2 240.5 218.7 244.2l4.541 1.625c8.102 2.938 17.28 6.25 24.48 7.312c14.85 2.344 30.49 .1875 31.97-8.375c1.045-6.062 .2656-9.094-29.24-17.53L244.5 225.5c-17.69-5.188-59.15-17.34-51.61-61C196.6 142.1 212.9 128.6 236.1 123.9V112c0-11.03 8.945-20 19.98-20c11.04 0 19.98 8.969 19.98 20v12.61c5.779 1.242 11.97 2.898 19.46 5.482c10.43 3.625 15.97 15 12.36 25.44s-15.03 15.97-25.41 12.38c-6.104-2.125-12.52-4.094-18.36-5.031C249.4 160.6 233.8 162.7 232.3 171.3c-.8438 4.938-1.451 8.5 23.49 15.81l5.684 1.625C285.8 195.7 326.7 207.4 319.1 251.5z", "M256.4 0H255.6c-18.44 0-42.96 18.33-60.66 32h122.2C299.4 18.33 274.9 0 256.4 0zM495.7 209.3c12.94-10.21 14.1-30.31 2.6-42.12c-1.451-1.49-3.014-2.891-4.686-4.184C481.4 153.4 470.2 144.6 448 128.1v118.3L495.7 209.3zM16.08 209.1L64 246.4V128.1C41.8 144.6 30.56 153.4 18.38 163C16.7 164.3 15.14 165.7 13.69 167.2C2.191 178.1 3.135 198.9 16.08 209.1zM303.2 399.6C289.1 410.6 272.5 416.1 256 416.1s-33.06-5.458-47.16-16.44L0 237.2V464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V237.2L303.2 399.6zM247.7 253.1C240.5 252 231.4 248.7 223.3 245.8L218.7 244.2C208.2 240.5 196.9 245.9 193.2 256.3s1.748 21.84 12.14 25.53l4.355 1.562c8.156 2.949 17.24 5.922 26.35 7.883V304c0 11.03 8.945 20 19.98 20c11.04 0 19.98-8.969 19.98-20V291.8c23.02-4.814 39.35-18.82 43.05-40.22c7.617-44.13-33.22-55.81-57.62-62.81L255.8 187.1c-24.94-7.312-24.34-10.88-23.49-15.81c1.482-8.562 17.12-10.69 31.8-8.406c5.84 .9375 12.25 2.906 18.36 5.031c10.38 3.594 21.81-1.938 25.41-12.38s-1.936-21.81-12.36-25.44c-7.498-2.584-13.69-4.24-19.46-5.482V112c0-11.03-8.945-20-19.98-20c-11.04 0-19.98 8.969-19.98 20v11.88C212.9 128.6 196.6 142.1 192.9 164.5c-7.539 43.66 33.92 55.81 51.61 61l5.947 1.719c29.5 8.438 30.28 11.47 29.24 17.53C278.2 253.3 262.6 255.4 247.7 253.1z"]],
    "envelope-open-text": [512, 512, [], "f658", ["M416 32H96c-17.67 0-32 14.33-32 31.1V246.4l164.5 127.9c16.2 12.6 38.87 12.6 55.06 0L448 246.4V64C448 46.33 433.7 32 416 32zM336 223.1h-160c-8.836 0-16-7.164-16-16c0-8.838 7.164-15.1 16-15.1h160c8.836 0 16 7.162 16 15.1C352 216.8 344.8 223.1 336 223.1zM336 159.1h-160c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-15.1 16-15.1h160c8.836 0 16 7.162 16 15.1C352 152.8 344.8 159.1 336 159.1z", "M303.2 399.6C289.1 410.6 272.5 416.1 256 416.1s-33.06-5.458-47.16-16.44L0 237.2v226.8C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V237.2L303.2 399.6zM495.9 209.1c12.94-10.2 13.89-30.14 2.389-41.95c-1.451-1.492-3.014-2.891-4.686-4.184C481.4 153.4 470.2 144.6 448 128.1V246.4C448 246.4 495.9 209.2 495.9 209.1zM256.4 0H255.6c-18.44 0-42.96 18.33-60.66 32h122.2C299.4 18.33 274.9 0 256.4 0zM16.18 209.2L64 246.4V128.1C41.8 144.6 30.56 153.4 18.38 163C16.7 164.3 15.14 165.7 13.69 167.2C2.191 178.1 3.24 199 16.18 209.2C16.25 209.3 16.11 209.2 16.18 209.2zM176 223.1h160c8.836 0 16-7.164 16-16c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 216.8 167.2 223.1 176 223.1zM176 159.1h160c8.836 0 16-7.164 16-15.1c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 152.8 167.2 159.1 176 159.1z"]],
    "envelopes": [640, 512, [], "e170", ["M560 32h-384C149.5 32 128 53.49 128 80v1.311l212.5 164.1c16.2 12.6 38.87 12.6 55.06 0L608 81.31V80C608 53.49 586.5 32 560 32zM368 288c-16.53 0-33.06-5.484-47.16-16.47L128 121.3V336C128 362.5 149.5 384 176 384h384c26.51 0 48-21.49 48-48V121.3l-192.8 150.2C401.1 282.5 384.5 288 368 288z", "M395.5 246.3c-16.2 12.6-38.87 12.6-55.06 0L128 81.31v39.99l192.8 150.2C334.9 282.5 351.5 288 368 288s33.06-5.484 47.16-16.47L608 121.3V81.31L395.5 246.3zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"]],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", ["M192 192c0-35.25 28.75-64 64-64h224V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v192h96V192zM576 160H256C238.4 160 224 174.4 224 192v32h96c33.25 0 60.63 25.38 63.75 57.88L384 416h192c17.62 0 32-14.38 32-32V192C608 174.4 593.6 160 576 160zM544 288h-64V224h64V288zM183 413.9L32 300.2v40.06l132.1 99.51c8.297 5.922 18.02 8.891 27.78 8.891c9.859 0 19.78-3.031 28.33-9.141L352 340.2V300.2l-150.7 113.5C195.7 417.7 188.3 417.7 183 413.9z", "M191.9 448.6c-9.766 0-19.48-2.969-27.78-8.891L32 340.2V480c0 17.62 14.38 32 32 32h256c17.62 0 32-14.38 32-32v-139.8L220.2 439.5C211.7 445.6 201.8 448.6 191.9 448.6zM320 256H64C46.38 256 32 270.4 32 288v12.18l151 113.8c5.25 3.719 12.7 3.734 18.27-.25L352 300.2V288C352 270.4 337.6 256 320 256zM480 224v64h64V224H480z"]],
    "equals": [448, 512, [62764], "3d", ["M48 192h352c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1h-352c-17.69 0-32 14.31-32 31.1S30.31 192 48 192zM400 320h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.32 32-32S417.7 320 400 320z", ""]],
    "eraser": [512, 512, [], "f12d", ["M355.9 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H150.6C133.7 480 117.4 473.3 105.4 461.3L25.37 381.3C.3786 356.3 .3786 315.7 25.37 290.7L150.1 166.1L195.3 211.3L70.63 336L150.6 416H265.4L332.7 348.7L377.9 393.9L355.9 416z", "M150.1 166.1L258.7 57.37C283.7 32.38 324.3 32.38 349.3 57.37L486.6 194.7C511.6 219.7 511.6 260.3 486.6 285.3L377.9 393.9L150.1 166.1z"]],
    "escalator": [640, 512, [], "e171", ["M560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128zM240 96C266.5 95.9 288 74.46 288 48C288 21.54 266.5 .0996 240 0C213.5 .0996 192 21.54 192 48C192 74.46 213.5 95.9 240 96z", "M240 128c-35.35 0-64 28.65-64 64v105.2l127.4-111.4C300.2 153.4 273.2 128 240 128z"]],
    "ethernet": [512, 512, [], "f796", ["M512 208v224c0 8.75-7.25 16-16 16H416v-128h-32v128h-64v-128h-32v128H224v-128H192v128H128v-128H96v128H16C7.25 448 0 440.8 0 432v-224C0 199.2 7.25 192 16 192H64V144C64 135.2 71.25 128 80 128H128V80C128 71.25 135.2 64 144 64h224C376.8 64 384 71.25 384 80V128h48C440.8 128 448 135.2 448 144V192h48C504.8 192 512 199.2 512 208z", "M96 448h32v-128H96V448zM192 448h32v-128H192V448zM288 448h32v-128h-32V448zM384 320v128h32v-128H384z"]],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", ["M92.29 336H64C46.33 336 32 321.7 32 304C32 286.3 46.33 272 64 272H80.15C80.96 294.4 85.18 315.9 92.29 336H92.29zM144.2 272H288C305.7 272 320 286.3 320 304C320 321.7 305.7 336 288 336H162.1C151.7 316.8 145.4 295.1 144.2 272H144.2zM162.1 176H288C305.7 176 320 190.3 320 208C320 225.7 305.7 240 288 240H144.2C145.4 216.9 151.7 195.2 162.1 176H162.1zM80.15 240H64C46.33 240 32 225.7 32 208C32 190.3 46.33 176 64 176H92.29C85.18 196.1 80.96 217.6 80.15 240H80.15z", "M80 248C80 128.7 176.7 32 296 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H296C212.1 96 144 164.1 144 248V264C144 347.9 212.1 416 296 416H320C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480H296C176.7 480 80 383.3 80 264V248z"]],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", ["M64 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S86.09 400 64 400z", "M64 352c17.69 0 32-14.32 32-31.1V64.01c0-17.67-14.31-32.01-32-32.01S32 46.34 32 64.01v255.1C32 337.7 46.31 352 64 352z"]],
    "expand": [448, 512, [], "f065", ["M416 32h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 46.31 433.7 32 416 32zM128 416H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 416 128 416z", "M128 32H32C14.31 32 0 46.31 0 64v96c0 17.69 14.31 32 32 32s32-14.31 32-32V96h64c17.69 0 32-14.31 32-32S145.7 32 128 32zM416 320c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C448 334.3 433.7 320 416 320z"]],
    "expand-wide": [512, 512, [], "f320", ["M480 64h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V96C512 78.31 497.7 64 480 64zM128 384H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 384 128 384z", "M128 64H32C14.31 64 0 78.31 0 96v96c0 17.69 14.31 32 32 32s32-14.31 32-32V128h64c17.69 0 32-14.31 32-32S145.7 64 128 64zM480 288c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C512 302.3 497.7 288 480 288z"]],
    "explosion": [576, 512, [], "e4e9", ["M499.6 11.33C506.3 .6026 520.1-3.119 531.3 2.822C542.4 8.762 547.1 22.33 541.9 33.85L404.8 338.6C406.9 340.9 409 343.3 411.1 345.7L508.2 291.1C518.7 285.2 531.9 287.9 539.1 297.5C546.4 307.1 545.4 320.5 536.1 328.1L445.6 420.3C447.2 429.3 448 438.6 448 448H384C384 394.1 341 352 288 352C234.1 352 192 394.1 192 448H128C128 439.9 128.6 432 129.8 424.3L42.34 363.7C32.59 356.1 29.23 344.1 34.43 333.5C39.64 322.8 51.84 317.6 63.16 321.1L160.4 351.5C163.3 347.6 166.5 343.8 169.7 340.2L107.4 236.4C101.4 226.3 103.5 213.3 112.5 205.7C121.5 198.1 134.7 198.1 143.6 205.8L246 293.6C247.5 293.2 249 292.8 250.5 292.4L264.1 149.7C265.3 137.4 275.6 128 288 128C300.4 128 310.7 137.4 311.9 149.7L325.4 291.6L499.6 11.33zM288 .0032C301.3 .0032 312 10.75 312 24V72C312 85.26 301.3 96 288 96C274.7 96 264 85.26 264 72V24C264 10.75 274.7 .0032 288 .0032V.0032z", "M0 480C0 462.3 14.33 448 32 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480z"]],
    "eye": [576, 512, [128065], "f06e", ["M95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6V112.6zM288 400C367.5 400 432 335.5 432 256C432 176.5 367.5 112 288 112C208.5 112 144 176.5 144 256C144 335.5 208.5 400 288 400z", "M224 256C259.3 256 288 227.3 288 192C288 180.5 284.1 169.7 279.6 160.4C282.4 160.1 285.2 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 253.2 192.1 250.4 192.4 247.6C201.7 252.1 212.5 256 224 256z"]],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8z"]],
    "eye-dropper-full": [512, 512, [], "e172", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.372 502.6C-1.414 491.8-3.087 474.9 5.374 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM132.1 416H96V379.9C96 375.6 97.69 371.6 100.7 368.6L218.6 250.6L261.4 293.4L143.4 411.3C140.4 414.3 136.4 416 132.1 416L132.1 416z"]],
    "eye-dropper-half": [512, 512, [], "e173", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.372 502.6C-1.414 491.8-3.087 474.9 5.374 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM132.1 416H96V379.9C96 375.6 97.69 371.6 100.7 368.6L149.3 320H234.7L143.4 411.3C140.4 414.3 136.4 416 132.1 416H132.1z"]],
    "eye-evil": [640, 512, [], "f6db", ["M344.3 222.1c4.952 10.57 7.626 22.2 7.715 33.87c-.49 42.66-32 64-32 64S288.5 298.7 287.1 256C288.1 244.3 290.7 232.7 295.7 222.1c8.072 1.167 16.15 1.88 24.29 1.88C328.1 224 336.2 223.3 344.3 222.1z", "M626.1 239.1l-111.1-30.35c-4.79-6.56-10.06-13.31-16.04-20.36c1.35-2.07 55.22-88.04 55.22-88.04c1.861-2.97 2.658-6.013 2.658-8.984c0-9.355-8.289-17.68-18.43-17.68c-2.18 0-4.408 .3651-6.702 1.197l-119.7 43.37c-9.884-4.876-20.2-9.041-30.71-12.35l-44.45-95.17C333.5 3.599 326.8 0 319.1 0C313.2 0 306.5 3.599 303.1 10.75L258.7 105.9c-10.52 3.3-20.83 7.465-30.72 12.35L108.2 74.92C105.9 74.08 103.7 73.73 101.5 73.73c-10.15 0-18.4 8.278-18.4 17.65c0 2.964 .8058 6.031 2.65 8.994c0 0 53.88 85.96 55.22 88.04c-5.62 6.62-10.91 13.34-16.04 20.36L13.01 239.1C4.364 241.5-.0001 248.7-.0001 256c0 7.288 4.364 14.55 13.01 16.89l111.1 30.35c4.78 6.54 10.02 13.3 15.98 20.33c-1.34 2.09-55.16 88.06-55.16 88.06c-1.857 2.974-2.656 6.03-2.656 9.003c0 9.371 8.276 17.67 18.42 17.67c2.179 0 4.419-.3672 6.712-1.199l119.7-43.37c9.888 4.881 20.2 9.046 30.72 12.35l44.45 95.16C306.5 508.4 313.2 512 319.1 512s13.53-3.599 16.87-10.75l44.45-95.16c10.52-3.301 20.83-7.466 30.71-12.35l119.7 43.37c2.288 .8284 4.534 1.195 6.709 1.195c10.16 0 18.43-8.309 18.43-17.68c0-2.963-.8088-6.029-2.656-8.987c0 0-53.82-86.01-55.16-88.06c6-7 11.2-13.79 15.98-20.33l111.1-30.35c8.64-2.339 13.01-9.604 13.01-16.89C640 248.7 635.6 241.5 626.1 239.1zM319.1 352C319.1 352 319.1 352 319.1 352c-53 0-96.01-42.96-96.01-95.1c0-18.88 5.549-37.34 15.99-53.08c21.92 13.18 49.71 21.08 79.99 21.08c30.28 0 57.97-7.988 79.89-21.17c10.84 16.33 16.13 34.89 16.13 53.12C415.1 309.8 372.4 352 319.1 352z"]],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", ["M605.5 268.3C592.1 300.6 565.2 346.1 525.7 386.7L446.6 324.7C457.7 304.3 464 280.9 464 256C464 176.5 399.5 112 320 112C282.7 112 248.6 126.2 223.1 149.5L150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3zM416 256C416 269.7 413.1 282.7 407.1 294.5L313.4 220.3C317.6 211.8 320 202.2 320 192C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 160 320 160C373 160 416 202.1 416 256V256z", "M630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1zM329.2 479.8C326.1 479.9 323.1 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.74 261.8 31.27 254.5 33.08 247.8L329.2 479.8zM54.65 203.7C62.6 190.1 72.08 175.8 83.09 161.5L446.2 447.5C429.8 456.4 412.3 463.8 393.6 469.4L54.65 203.7z"]],
    "eye-slash": [640, 512, [], "f070", ["M446.6 324.7C457.7 304.3 464 280.9 464 256C464 176.5 399.5 112 320 112C282.7 112 248.6 126.2 223.1 149.5L150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L446.6 324.7zM313.4 220.3C317.6 211.8 320 202.2 320 192C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 160 320 160C373 160 416 202.1 416 256C416 269.7 413.1 282.7 407.1 294.5L313.4 220.3zM320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44 220.8 60.29 191.2 83.09 161.5L177.4 235.8C176.5 242.4 176 249.1 176 256C176 335.5 240.5 400 320 400C338.7 400 356.6 396.4 373 389.9L446.2 447.5C409.9 467.1 367.8 480 320 480H320z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "eyes": [640, 512, [], "e367", ["M96 224C84.1 224 74.8 227 65.76 231.9C64.88 239.8 64 247.8 64 256c0 35.43 8.863 68.25 23.12 95.11C90.05 351.5 92.96 352 96 352c35.35 0 64-28.65 64-64C160 252.7 131.3 224 96 224zM384 224c-11 0-21.2 3.031-30.24 7.922C352.9 239.8 352 247.8 352 256c0 35.43 8.863 68.25 23.12 95.11C378.1 351.5 380.1 352 384 352c35.35 0 64-28.65 64-64C448 252.7 419.3 224 384 224z", "M464 32c-59.59 0-112.2 37.79-144 95.46C288.2 69.79 235.6 32 176 32C78.8 32 0 132.3 0 256s78.8 224 176 224c59.59 0 112.2-37.79 144-95.46C351.8 442.2 404.4 480 464 480c97.2 0 176-100.3 176-224S561.2 32 464 32zM176 416C115.3 416 64 342.7 64 256s51.29-160 112-160S288 169.3 288 256S236.7 416 176 416zM464 416c-60.71 0-112-73.27-112-160s51.29-160 112-160S576 169.3 576 256S524.7 416 464 416z"]],
    "f": [320, 512, [102], "46", ["M320 64.01c0 17.67-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.1s-14.33 32-32 32H64v160c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256C305.7 32.01 320 46.34 320 64.01z", ""]],
    "face-angry": [512, 512, [128544, "angry"], "f556", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM339.9 373.3C323.8 355.4 295.7 336 256 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3H339.9zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z", "M229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8zM358.9 217.2C364.7 223 368.4 231.1 368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2z"]],
    "face-angry-horns": [640, 512, [], "e368", ["M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256zM403.9 389.3C387.8 371.4 359.7 352 320 352C280.3 352 252.2 371.4 236.1 389.3C230.2 395.9 230.7 405.1 237.3 411.9C243.9 417.8 253.1 417.3 259.9 410.7C271.6 397.7 291.5 384 319.1 384C348.5 384 368.4 397.7 380.1 410.7C386 417.3 396.1 417.8 402.7 411.9C409.3 405.1 409.8 395.9 403.9 389.3H403.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304V304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z", "M566.1 185.1C550.5 131 517.6 84.28 473.8 51.3C490.8 47.99 513.5 42.74 536.8 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1V185.1zM103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C122.4 84.28 89.5 131 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8948 19.49-.9022 24.88 2.688C44.17 15.55 73.41 26.86 103.3 35.78V35.78zM208.4 272C208.4 263.2 211.9 255.2 217.7 249.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L272.1 267.6C272.3 269 272.4 270.5 272.4 272C272.4 289.7 258 304 240.4 304C222.7 304 208.4 289.7 208.4 272L208.4 272zM432.4 272C432.4 289.7 418 304 400.4 304C382.7 304 368.4 289.7 368.4 272C368.4 270.4 368.5 268.8 368.7 267.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L422.9 249.2C428.7 255 432.4 263.1 432.4 272L432.4 272z"]],
    "face-anguished": [512, 512, [], "e369", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z", "M192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9z"]],
    "face-anxious-sweat": [576, 512, [], "e36a", ["M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM224 416H352C360.8 416 368 408.8 368 400C368 355.8 332.2 319.1 288 319.1C243.8 319.1 208 355.8 208 400C208 408.8 215.2 416 224 416zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7z", "M219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7zM207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-astonished": [512, 512, [], "e36b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384V352C304 325.5 282.5 304 256 304zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z", "M192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9z"]],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM144 120C108.7 120 80 148.7 80 184V194.3C80 210.7 93.3 224 109.7 224H178.3C194.7 224 208 210.7 208 194.3V184C208 148.7 179.3 120 144 120zM272 199.5C272 213 282.1 224 296.5 224H391.5C405 224 416 213 416 199.5V192C416 152.2 383.8 120 344 120C304.2 120 272 152.2 272 192L272 199.5zM116.3 288C105.9 288 98.14 297.6 100.4 307.8C116.5 380.4 181.7 432 256 432C330.3 432 395.5 380.4 411.6 307.8C413.9 297.6 406.1 288 395.7 288H116.3z", "M153.1 120.8C176.6 124.3 195.3 139.7 203.5 160.4C197.9 169.7 187.7 175.1 175.1 175.1C158.3 175.1 143.1 161.7 143.1 143.1C143.1 134.9 147.8 126.6 153.1 120.8H153.1zM360.8 121.1C382.8 127.2 400.9 142.6 409.9 162.9C404 170.8 394.6 176 384 176C366.3 176 352 161.7 352 144C352 135.5 355.3 127.7 360.8 121.1zM100.4 307.8C98.14 297.6 105.9 288 116.3 288H395.7C406.1 288 413.9 297.6 411.6 307.8C406.6 330.1 397 350.5 383.9 367.1C370.6 357.9 353.1 352 335.1 352C291.8 352 255.1 387.8 255.1 432C181.7 432 116.5 380.4 100.4 307.8V307.8z"]],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", ["M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z", "M217.6 212.8L217.6 212.8L217.4 212.5C217.2 212.3 217 212 216.7 211.6C216 210.8 215.1 209.7 213.9 208.3C211.4 205.4 207.9 201.7 203.7 197.1C194.9 190.2 184.8 184 176 184C167.2 184 157.1 190.2 148.3 197.1C144.1 201.7 140.6 205.4 138.1 208.3C136.9 209.7 135.1 210.8 135.3 211.6C134.1 212 134.8 212.3 134.6 212.5L134.4 212.8L134.4 212.8C132.3 215.6 128.7 216.7 125.5 215.6C122.2 214.5 120 211.4 120 208C120 190.1 126.7 172.4 136.6 159.2C146.4 146.2 160.5 136 176 136C191.5 136 205.6 146.2 215.4 159.2C225.3 172.4 232 190.1 232 208C232 211.4 229.8 214.5 226.5 215.6C223.3 216.7 219.7 215.6 217.6 212.8V212.8zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM377.6 212.8L377.4 212.5C377.2 212.3 377 212 376.7 211.6C376 210.8 375.1 209.7 373.9 208.3C371.4 205.4 367.9 201.7 363.7 197.1C354.9 190.2 344.8 184 336 184C327.2 184 317.1 190.2 308.3 197.1C304.1 201.7 300.6 205.4 298.1 208.3C296.9 209.7 295.1 210.8 295.3 211.6C294.1 212 294.8 212.3 294.6 212.5L294.4 212.8L294.4 212.8C292.3 215.6 288.7 216.7 285.5 215.6C282.2 214.5 280 211.4 280 208C280 190.1 286.7 172.4 296.6 159.2C306.4 146.2 320.5 136 336 136C351.5 136 365.6 146.2 375.4 159.2C385.3 172.4 392 190.1 392 208C392 211.4 389.8 214.5 386.5 215.6C383.3 216.7 379.7 215.6 377.6 212.8L377.6 212.8z"]],
    "face-clouds": [640, 512, [], "e47d", ["M212.7 192C209.9 196.7 208.4 202.2 208.4 208C208.4 225.7 222.7 240 240.4 240C258 240 272.4 225.7 272.4 208C272.4 198.6 268.3 190.1 261.8 184.3C296 169.6 320 135.6 320 96C320 55.77 295.2 21.31 260.1 7.036C279.3 2.436 299.4 0 320 0C461.4 0 576 114.6 576 256C576 270.8 574.7 285.3 572.3 299.5C558.3 287.3 540 280 520 280C509.1 280 500.3 281.9 491.5 285.2C471.6 267.1 445.1 256 416 256C364.6 256 321.2 290.7 308.1 337.9C260.2 347.2 224 389.4 224 440C224 462.5 231.1 483.3 243.3 500.3C139.4 467.7 64 370.6 64 256C64 233.9 66.8 212.5 72.06 192H212.7zM400.4 240C418 240 432.4 225.7 432.4 208C432.4 190.3 418 176 400.4 176C382.7 176 368.4 190.3 368.4 208C368.4 225.7 382.7 240 400.4 240z", "M188.4 42.8C198.6 35.98 210.8 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H72.56C83.63 12.87 104.3 0 128 0C155.9 0 179.7 17.87 188.4 42.8zM484.9 327.3C493.6 317.9 506.1 312 520 312C546.5 312 568 333.5 568 360C568 362.7 567.8 365.4 567.3 368H568C607.8 368 640 400.2 640 440C640 479.8 607.8 512 568 512H328C288.2 512 256 479.8 256 440C256 400.2 288.2 368 328 368H336C336 323.8 371.8 288 416 288C445.3 288 470.9 303.8 484.9 327.3z"]],
    "face-confounded": [512, 512, [], "e36c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM118.8 212.8L154.8 256L118.8 299.2C116.1 301.4 116 304.1 116 306.9C116 315.8 125.6 321.6 133.5 317.3L223.4 269.4C234.1 263.7 234.1 248.3 223.4 242.6L133.5 194.7C125.6 190.4 116 196.2 116 205.1C116 207.9 116.1 210.6 118.8 212.8V212.8zM288.6 242.6C277.9 248.3 277.9 263.7 288.6 269.4L378.5 317.3C386.4 321.6 396 315.8 396 306.9C396 304.1 395 301.4 393.2 299.2L357.2 256L393.2 212.8C395 210.6 396 207.9 396 205.1C396 196.2 386.4 190.4 378.5 194.7L288.6 242.6zM216.9 354.7C211.5 351.1 204.5 351.1 199.1 354.7L158.9 381.5L135.2 369.7C127.3 365.7 117.6 368.9 113.7 376.8C109.7 384.7 112.9 394.4 120.8 398.3L152.8 414.3C157.1 416.9 164.1 416.5 168.9 413.3L208 387.2L247.1 413.3C252.5 416.9 259.5 416.9 264.9 413.3L304 387.2L343.1 413.3C347.9 416.5 354 416.9 359.2 414.3L391.2 398.3C399.1 394.4 402.3 384.7 398.3 376.8C394.4 368.9 384.7 365.7 376.8 369.7L353.1 381.5L312.9 354.7C307.5 351.1 300.5 351.1 295.1 354.7L256 380.8L216.9 354.7z", "M116 205.1C116 196.2 125.6 190.4 133.5 194.7L223.4 242.6C234.1 248.3 234.1 263.7 223.4 269.4L133.5 317.3C125.6 321.6 116 315.8 116 306.9C116 304.1 116.1 301.4 118.8 299.2L154.8 256L118.8 212.8C116.1 210.6 116 207.9 116 205.1V205.1zM393.2 212.8L357.2 256L393.2 299.2C395 301.4 396 304.1 396 306.9C396 315.8 386.4 321.6 378.5 317.3L288.6 269.4C277.9 263.7 277.9 248.3 288.6 242.6L378.5 194.7C386.4 190.4 396 196.2 396 205.1C396 207.9 395 210.6 393.2 212.8z"]],
    "face-confused": [512, 512, [], "e36d", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM171.1 395.6C219.3 357 279.3 336 341 336H352C360.8 336 368 328.8 368 320C368 311.2 360.8 304 352 304H341C271.1 304 205 327.5 151.1 370.6L150 371.5C143.1 377 141.1 387.1 147.5 393.1C153 400.9 163.1 402 169.1 396.5L171.1 395.6zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-cowboy-hat": [512, 512, [], "e36e", ["M48 303.1C48 254.6 65.2 209.3 93.93 173.6C136.6 204.9 193.5 223.1 256 223.1C318.5 223.1 375.4 204.9 418.1 173.6C446.8 209.3 464 254.6 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1zM256.2 376.8C223.5 376.8 192.5 372.5 164.6 364.7C152.2 361.2 140.3 371.1 146 383.5C166.2 424.1 207.1 452 256.2 452C304.5 452 346.2 424.1 366.4 383.5C372.1 371.1 360.2 361.2 347.8 364.7C319.9 372.5 288.9 376.8 256.2 376.8zM192 271.1C178.7 271.1 168 282.7 168 295.1C168 309.3 178.7 319.1 192 319.1C205.3 319.1 216 309.3 216 295.1C216 282.7 205.3 271.1 192 271.1zM320 319.1C333.3 319.1 344 309.3 344 295.1C344 282.7 333.3 271.1 320 271.1C306.7 271.1 296 282.7 296 295.1C296 309.3 306.7 319.1 320 319.1z", "M133.6 109.8C148.6 64.93 179.2 0 216 0C225.1 0 233.9 4.003 242.1 10.71C250.1 17.16 261.9 17.16 269.9 10.71C278.1 4.003 286.9 0 296 0C332.8 0 363.4 64.93 378.4 109.8C411.1 99.32 441.1 84.62 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.04 84.62 100 99.32 133.6 109.8H133.6zM216 296C216 309.3 205.3 320 192 320C178.7 320 168 309.3 168 296C168 282.7 178.7 272 192 272C205.3 272 216 282.7 216 296zM296 295.1C296 282.7 306.7 271.1 320 271.1C333.3 271.1 344 282.7 344 295.1C344 309.3 333.3 319.1 320 319.1C306.7 319.1 296 309.3 296 295.1z"]],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM372.4 319.4C380.9 316.1 385.8 308.1 383.4 299.6C380.1 291.1 372.1 286.2 363.6 288.6L139.6 352.6C131.1 355 126.2 363.9 128.6 372.4C131 380.9 139.9 385.8 148.4 383.4L372.4 319.4zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-disappointed": [512, 512, [], "e36f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM211.3 244.7C205.1 238.4 194.9 238.4 188.7 244.7L181.3 252.1C162.5 270.9 138.2 283.4 111.9 287.8L109.4 288.2C100.7 289.7 94.76 297.9 96.22 306.6C97.67 315.3 105.9 321.2 114.6 319.8L117.1 319.4C150 313.9 180.4 298.3 203.9 274.7L211.3 267.3C217.6 261.1 217.6 250.9 211.3 244.7V244.7zM308.1 274.7C331.6 298.3 361.1 313.9 394.9 319.4L397.4 319.8C406.1 321.2 414.3 315.3 415.8 306.6C417.2 297.9 411.3 289.7 402.6 288.2L400.2 287.8C373.8 283.4 349.5 270.9 330.7 252.1L323.3 244.7C317.1 238.4 306.9 238.4 300.7 244.7C294.4 250.9 294.4 261.1 300.7 267.3L308.1 274.7z", "M203.9 274.7C180.4 298.3 150 313.9 117.1 319.4L114.6 319.8C105.9 321.2 97.67 315.3 96.22 306.6C94.77 297.9 100.7 289.7 109.4 288.2L111.9 287.8C138.2 283.4 162.5 270.9 181.3 252.1L188.7 244.7C194.9 238.4 205.1 238.4 211.3 244.7C217.6 250.9 217.6 261.1 211.3 267.3L203.9 274.7zM300.7 267.3C294.4 261.1 294.4 250.9 300.7 244.7C306.9 238.4 317.1 238.4 323.3 244.7L330.7 252.1C349.5 270.9 373.8 283.4 400.2 287.8L402.6 288.2C411.3 289.7 417.2 297.9 415.8 306.6C414.3 315.3 406.1 321.2 397.4 319.8L394.9 319.4C361.1 313.9 331.6 298.3 308.1 274.7L300.7 267.3z"]],
    "face-disguise": [576, 512, [], "e370", ["M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 239.6 33.54 223.5 36.49 208H104C104 258.1 142.4 299.2 191.3 303.6C181.7 311.5 176 323.3 176 336C176 351.9 184.1 366.4 199.1 373.5L179.5 398C173.1 404.9 175.1 414.1 182 420.5C188.9 426 198.1 424.9 204.5 417.1L228.4 388.1L235.7 391.7L225.1 418.1C221.9 426.3 225.9 435.6 234.1 438.9C242.3 442.1 251.6 438.1 254.9 429.9L264.8 405C267.2 405.7 269.6 406.3 271.1 406.8V432C271.1 440.8 279.2 448 287.1 448C296.8 448 304 440.8 304 432V406.8C306.4 406.3 308.8 405.7 311.2 405L321.1 429.9C324.4 438.1 333.7 442.1 341.9 438.9C350.1 435.6 354.1 426.3 350.9 418.1L340.3 391.7L347.6 388.1L371.5 417.1C377 424.9 387.1 426 393.1 420.5C400.9 414.1 402 404.9 396.5 398L376.9 373.5C391 366.4 400 351.9 400 336C400 323.3 394.3 311.5 384.7 303.6C433.6 299.2 472 258.1 472 208H539.5C542.5 223.5 544 239.6 544 256H544zM531.3 176H466.5C461.3 161.1 452.5 147.1 441.1 137.5L446.3 127.2C450.3 119.3 447.1 109.6 439.2 105.7C431.3 101.7 421.6 104.9 417.7 112.8L414.2 119.9C409.6 117.9 404.9 116.3 400 115V96C400 87.16 392.8 80 384 80C375.2 80 368 87.16 368 96V112.3C363.6 112.7 359.3 113.4 355 114.3L350.3 104.8C346.4 96.94 336.7 93.74 328.8 97.69C320.9 101.6 317.7 111.3 321.7 119.2L325.3 126.4C308.9 136.7 295.8 151.7 287.1 169.6C280.2 151.7 267.1 136.7 250.7 126.4L254.3 119.2C258.3 111.3 255.1 101.6 247.2 97.69C239.3 93.74 229.6 96.94 225.7 104.8L220.1 114.3C216.7 113.4 212.4 112.7 207.1 112.3V96C207.1 87.16 200.8 80 191.1 80C183.2 80 175.1 87.16 175.1 96V115C171.1 116.3 166.4 117.9 161.8 119.9L158.3 112.8C154.4 104.9 144.7 101.7 136.8 105.7C128.9 109.6 125.7 119.3 129.7 127.2L134.9 137.5C123.5 147.1 114.7 161.1 109.5 176H44.75C78.34 73.79 174.6 0 287.1 0C401.4 0 497.7 73.79 531.3 176H531.3z", "M352 216C352 202.7 362.7 192 376 192C389.3 192 400 202.7 400 216C400 229.3 389.3 240 376 240C362.7 240 352 229.3 352 216zM223.1 216C223.1 229.3 213.3 240 199.1 240C186.7 240 175.1 229.3 175.1 216C175.1 202.7 186.7 192 199.1 192C213.3 192 223.1 202.7 223.1 216zM191.1 80C200.8 80 207.1 87.16 207.1 96V112.3C212.4 112.7 216.7 113.4 220.1 114.3L225.7 104.8C229.6 96.94 239.3 93.74 247.2 97.69C255.1 101.6 258.3 111.3 254.3 119.2L250.7 126.4C267.1 136.7 280.2 151.7 287.1 169.6C295.8 151.7 308.9 136.7 325.3 126.4L321.7 119.2C317.7 111.3 320.9 101.6 328.8 97.69C336.7 93.74 346.4 96.94 350.3 104.8L355 114.3C359.3 113.4 363.6 112.7 368 112.3V96C368 87.16 375.2 80 384 80C392.8 80 400 87.16 400 96V115C404.9 116.3 409.6 117.9 414.2 119.9L417.7 112.8C421.6 104.9 431.3 101.7 439.2 105.7C447.1 109.6 450.3 119.3 446.3 127.2L441.1 137.5C452.5 147.1 461.3 161.1 466.5 175.1H544C552.8 175.1 560 183.2 560 191.1C560 200.8 552.8 207.1 544 207.1H472C472 258.1 433.6 299.2 384.7 303.6C394.3 311.5 400 323.3 400 336C400 351.9 391 366.4 376.9 373.5L396.5 398C402 404.9 400.9 414.1 393.1 420.5C387.1 426 377 424.9 371.5 417.1L347.6 388.1L340.3 391.7L350.9 418.1C354.1 426.3 350.1 435.6 341.9 438.9C333.7 442.1 324.4 438.1 321.1 429.9L311.2 405C308.8 405.7 306.4 406.3 304 406.8V432C304 440.8 296.8 448 287.1 448C279.2 448 271.1 440.8 271.1 432V406.8C269.6 406.3 267.2 405.7 264.8 405L254.9 429.9C251.6 438.1 242.3 442.1 234.1 438.9C225.9 435.6 221.9 426.3 225.1 418.1L235.7 391.7L228.4 388.1L204.5 417.1C198.1 424.9 188.9 426 182 420.5C175.1 414.1 173.1 404.9 179.5 398L199.1 373.5C184.1 366.4 176 351.9 176 336C176 323.3 181.7 311.5 191.3 303.6C142.4 299.2 104 258.1 104 207.1H32C23.16 207.1 16 200.8 16 191.1C16 183.2 23.16 175.1 32 175.1H109.5C114.7 161.1 123.5 147.1 134.9 137.5L129.7 127.2C125.7 119.3 128.9 109.6 136.8 105.7C144.7 101.7 154.4 104.9 158.3 112.8L161.8 119.9C166.4 117.9 171.1 116.3 176 115V96C176 87.16 183.2 80 192 80H191.1zM376 272C411.3 272 440 243.3 440 208C440 172.7 411.3 144 376 144C340.7 144 312 172.7 312 208C312 210.5 312.1 212.9 312.4 215.3C317.8 218.9 322.5 223.7 325.1 229.5L347.3 265.1C348.4 265.7 349.3 266.2 349.9 266.5C357.9 270 366.7 272 376 272zM199.1 144C164.7 144 135.1 172.7 135.1 208C135.1 243.3 164.7 272 199.1 272C209.3 272 218.1 270 226.1 266.5C226.7 266.2 227.6 265.7 228.7 265.1L250 229.5C253.5 223.7 258.2 218.9 263.6 215.3C263.9 212.9 263.1 210.5 263.1 208C263.1 172.7 235.3 144 199.1 144zM287.1 240C283.7 240 279.7 242.3 277.5 245.1L235.3 316.2L213.5 327.2C210.1 328.8 207.1 332.3 207.1 336C207.1 339.7 210.1 343.2 213.5 344.8L266.5 371.4C280 378.1 295.1 378.1 309.5 371.4L362.5 344.8C365.9 343.2 368 339.7 368 336C368 332.3 365.9 328.8 362.5 327.2L340.7 316.2L298.5 245.1C296.3 242.3 292.3 240 287.1 240V240z"]],
    "face-dizzy": [512, 512, ["dizzy"], "f567", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416zM100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3zM292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3z", "M196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7z"]],
    "face-dotted": [512, 512, [129765], "e47f", ["M215.1 3.115C229 1.062 242.4 0 255.1 0C269.6 0 282.1 1.062 296 3.115C313.5 5.858 325.4 22.24 322.7 39.69C319.9 57.15 303.5 69.08 286.1 66.34C276.3 64.8 266.3 64 255.1 64C245.7 64 235.7 64.8 225.9 66.34C208.5 69.08 192.1 57.15 189.3 39.69C186.6 22.24 198.5 5.858 215.1 3.115V3.115zM150.2 55.94C160.6 70.23 157.4 90.24 143.2 100.6C126.9 112.5 112.5 126.9 100.6 143.2C90.24 157.4 70.22 160.6 55.94 150.2C41.65 139.8 38.49 119.8 48.89 105.5C64.68 83.8 83.8 64.68 105.5 48.89C119.8 38.49 139.8 41.65 150.2 55.94V55.94zM361.8 55.94C372.2 41.65 392.2 38.49 406.5 48.89C428.2 64.68 447.3 83.8 463.1 105.5C473.5 119.8 470.4 139.8 456.1 150.2C441.8 160.6 421.8 157.4 411.4 143.2C399.5 126.9 385.1 112.5 368.8 100.6C354.6 90.24 351.4 70.23 361.8 55.94V55.94zM472.3 189.3C489.8 186.6 506.1 198.5 508.9 215.1C510.9 229 512 242.4 512 256C512 269.6 510.9 282.1 508.9 296C506.1 313.5 489.8 325.4 472.3 322.7C454.8 319.9 442.9 303.5 445.7 286.1C447.2 276.3 448 266.3 448 256C448 245.7 447.2 235.7 445.7 225.9C442.9 208.5 454.8 192.1 472.3 189.3V189.3zM39.69 189.3C57.15 192.1 69.08 208.5 66.34 225.9C64.8 235.7 64 245.7 64 256C64 266.3 64.8 276.3 66.34 286.1C69.08 303.5 57.15 319.9 39.69 322.7C22.24 325.4 5.858 313.5 3.115 296C1.062 282.1 0 269.6 0 256C0 242.4 1.062 229 3.115 215.1C5.858 198.5 22.24 186.6 39.69 189.3V189.3zM55.94 361.8C70.22 351.4 90.24 354.6 100.6 368.8C112.5 385.1 126.9 399.5 143.2 411.4C157.4 421.8 160.6 441.8 150.2 456.1C139.8 470.4 119.8 473.5 105.5 463.1C83.8 447.3 64.68 428.2 48.89 406.5C38.49 392.2 41.65 372.2 55.94 361.8V361.8zM456.1 361.8C470.4 372.2 473.5 392.2 463.1 406.5C447.3 428.2 428.2 447.3 406.5 463.1C392.2 473.5 372.2 470.4 361.8 456.1C351.4 441.8 354.6 421.8 368.8 411.4C385.1 399.5 399.5 385.1 411.4 368.8C421.8 354.6 441.8 351.4 456.1 361.8V361.8zM189.3 472.3C192.1 454.8 208.5 442.9 225.9 445.7C235.7 447.2 245.7 448 255.1 448C266.3 448 276.3 447.2 286.1 445.7C303.5 442.9 319.9 454.8 322.7 472.3C325.4 489.8 313.5 506.1 296 508.9C282.1 510.9 269.6 512 255.1 512C242.4 512 229 510.9 215.1 508.9C198.5 506.1 186.6 489.8 189.3 472.3z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H184C170.7 376 160 365.3 160 352C160 338.7 170.7 328 184 328H328z"]],
    "face-downcast-sweat": [512, 512, [], "e371", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 220.2 7.341 186.1 20.6 155.2C29.19 158.3 38.43 160 48 160C91.45 160 128 125.4 128 81.01C128 69.58 124.2 58.57 120.9 50.53C119.6 47.43 118.1 44.32 116.6 41.23C156.7 15.15 204.6 0 256 0C397.4 0 512 114.6 512 256zM256 384C284.5 384 304.4 397.7 316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384H256z", "M48 128C21.54 128 0 107 0 81.01C0 61.02 28.55 20.65 41.6 3.281C44.8-1.094 51.2-1.094 54.4 3.281C67.57 20.65 95.1 61.02 95.1 81.01C95.1 107 74.46 128 47.1 128H48zM96 272C96 263.2 103.2 256 112 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H112C103.2 288 96 280.8 96 272zM288 272C288 263.2 295.2 256 304 256H400C408.8 256 416 263.2 416 272C416 280.8 408.8 288 400 288H304C295.2 288 288 280.8 288 272z"]],
    "face-drooling": [512, 512, [], "e372", ["M384 344.2C388.6 339.5 392.7 334.7 396.5 329.1C402 323.1 400.9 313 393.1 307.5C387.1 301.1 377 303.1 371.5 310C348.7 338.5 310.2 368 256 368C201.8 368 163.3 338.5 140.5 310C134.1 303.1 124.9 301.1 118 307.5C111.1 313 109.1 323.1 115.5 329.1C142.2 363.3 189 400 256 400C267.2 400 277.9 398.1 288 397.1V448C288 456.8 295.2 464 304 464C312.8 464 320 456.8 320 448V387.8C331.7 383.1 342.3 377.4 352 370.9V493.4C322.4 505.4 289.9 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8L384 344.2zM192 176C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144C167.9 144 149.5 154.2 136.6 166.4C123.1 178.4 116.2 192.7 112.8 202.9C110 211.3 114.6 220.4 122.9 223.2C131.3 225.1 140.4 221.4 143.2 213.1C145.1 207.3 150.2 197.6 158.6 189.6C166.8 181.8 177.7 176 192 176L192 176zM389.1 223.2C397.4 220.4 401.1 211.3 399.2 202.9C395.8 192.7 388 178.4 375.4 166.4C362.5 154.2 344.1 143.1 320 143.1C311.2 143.1 304 151.2 304 159.1C304 168.8 311.2 175.1 320 175.1C334.3 175.1 345.2 181.8 353.4 189.6C361.8 197.6 366.9 207.3 368.8 213.1C371.6 221.4 380.7 225.1 389.1 223.2V223.2z", "M158.6 189.6C150.2 197.6 145.1 207.3 143.2 213.1C140.4 221.4 131.3 225.1 122.9 223.2C114.6 220.4 110 211.3 112.8 202.9C116.2 192.7 123.1 178.4 136.6 166.4C149.5 154.2 167.9 144 191.1 144C200.8 144 208 151.2 208 160C208 168.8 200.8 176 191.1 176C177.7 176 166.8 181.8 158.6 189.6L158.6 189.6zM320 176C311.2 176 304 168.8 304 160C304 151.2 311.2 144 320 144C344.1 144 362.5 154.2 375.4 166.4C388 178.4 395.8 192.7 399.2 202.9C401.1 211.3 397.4 220.4 389.1 223.2C380.7 225.1 371.6 221.4 368.8 213.1C366.9 207.3 361.8 197.6 353.4 189.6C345.2 181.9 334.3 176 320 176V176zM288 448V397.1C299.4 394.1 310.1 391.8 320 387.8V448C320 456.8 312.8 464 304 464C295.2 464 288 456.8 288 448zM352 496V370.9C364.3 362.8 374.9 353.6 384 344.2V496C384 504.8 376.8 512 368 512C359.2 512 352 504.8 352 496z"]],
    "face-exhaling": [576, 512, [], "e480", ["M32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 258.8 543.1 261.6 543.9 264.5C541.2 264.2 538.5 264 535.8 264C514.4 264 495.2 273.3 482.1 288C481.4 288 480.7 288 480 288C448.5 288 422.3 310.7 416.1 340.7L374.8 353.4C361.3 357.4 352 369.9 352 384C352 398.1 361.3 410.6 374.8 414.6L416.1 427.3C419.6 441.7 426.1 454.5 437.5 463.8C395.4 494.1 343.8 512 288 512C146.6 512 32 397.4 32 256zM227.2 238.4C209.6 261.9 174.4 261.9 156.8 238.4C151.5 231.3 141.5 229.9 134.4 235.2C127.3 240.5 125.9 250.5 131.2 257.6C161.6 298.1 222.4 298.1 252.8 257.6C258.1 250.5 256.7 240.5 249.6 235.2C242.5 229.9 232.5 231.3 227.2 238.4zM326.4 235.2C319.3 240.5 317.9 250.5 323.2 257.6C353.6 298.1 414.4 298.1 444.8 257.6C450.1 250.5 448.7 240.5 441.6 235.2C434.5 229.9 424.5 231.3 419.2 238.4C401.6 261.9 366.4 261.9 348.8 238.4C343.5 231.3 333.5 229.9 326.4 235.2zM288 424C310.1 424 328 406.1 328 384C328 361.9 310.1 344 288 344C265.9 344 248 361.9 248 384C248 406.1 265.9 424 288 424z", "M575.5 336C575.5 336.8 575.5 337.7 575.4 338.5C594.4 344.9 608 362.9 608 383.1C608 405.1 594.4 423.1 575.4 429.5C575.5 430.3 575.5 431.2 575.5 432C575.5 454.1 557.6 472 535.5 472C521.4 472 508.9 464.6 501.8 453.5C497.5 455.1 492.8 456 487.8 456C465.8 456 447.9 438.1 447.9 416C447.9 411.7 448.6 407.6 449.8 403.8L384 384L448.2 364.7C447.1 363.2 447.9 361.6 447.9 360C447.9 337.9 465.8 320 487.8 320C491.5 320 494.1 320.5 498.3 321.4C504.2 306.5 518.6 296 535.5 296C557.6 296 575.5 313.9 575.5 336V336z"]],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", ["M481.4 265.2L511.1 253.5C511.1 254.3 512 255.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 255.2 .0042 254.3 .0125 253.5L30.55 265.2C44.63 270.6 60.43 269.1 73.22 261.1L93.92 248.2C99.11 244.9 105.7 244.9 110.9 248.2L128.2 258.1C143.7 268.7 163.5 268.7 179 258.1L196.3 248.2C201.5 244.9 208.1 244.9 213.3 248.2L230.6 258.1C246.1 268.7 265.9 268.7 281.4 258.1L298.7 248.2C303.9 244.9 310.5 244.9 315.7 248.2L332.1 258.1C348.5 268.7 368.3 268.7 383.8 258.1L401.1 248.2C406.3 244.9 412.9 244.9 418.1 248.2L438.8 261.1C451.6 269.1 467.4 270.6 481.4 265.2L481.4 265.2zM176.4 368C194 368 208.4 353.7 208.4 336C208.4 318.3 194 303.1 176.4 303.1C158.7 303.1 144.4 318.3 144.4 336C144.4 353.7 158.7 368 176.4 368zM336.4 303.1C318.7 303.1 304.4 318.3 304.4 336C304.4 353.7 318.7 368 336.4 368C354 368 368.4 353.7 368.4 336C368.4 318.3 354 303.1 336.4 303.1zM245.3 384C215.9 384 192 407.9 192 437.3C192 443.2 196.8 448 202.7 448H309.3C315.2 448 320 443.2 320 437.3C320 407.9 296.1 384 266.7 384H245.3z", "M320 196.5C320 204.3 322.5 211.9 327 218C312.5 211.4 295.5 212.4 281.8 221L264.5 231.8C259.3 235.1 252.7 235.1 247.5 231.8L230.2 221C216.5 212.4 199.5 211.4 184.1 218C189.5 211.9 192 204.3 192 196.5V192C192 174.3 177.7 160 160 160H120C89.07 160 64 134.9 64 104C64 73.07 89.07 48 120 48C128.9 48 137.3 50.08 144.8 53.78C149.7 23.29 176.1 0 208 0C227.1 0 244.3 8.38 256 21.67C267.7 8.38 284.9 0 304 0C335.9 0 362.3 23.29 367.2 53.78C374.7 50.08 383.1 48 392 48C422.9 48 448 73.07 448 104C448 134.9 422.9 160 392 160H352C334.3 160 320 174.3 320 192V196.5zM298.1 248C304 244.1 310.4 244.1 315.4 248H298.1zM196.6 248C201.6 244.1 207.1 244.1 213 248H196.6zM208.4 336C208.4 353.7 194 368 176.4 368C158.7 368 144.4 353.7 144.4 336C144.4 318.3 158.7 304 176.4 304C194 304 208.4 318.3 208.4 336zM368.4 336C368.4 353.7 354 368 336.4 368C318.7 368 304.4 353.7 304.4 336C304.4 318.3 318.7 304 336.4 304C354 304 368.4 318.3 368.4 336z"]],
    "face-expressionless": [512, 512, [], "e373", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160zM144 224H208C216.8 224 224 216.8 224 208C224 199.2 216.8 192 208 192H144C135.2 192 128 199.2 128 208C128 216.8 135.2 224 144 224zM304 192C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224H368C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192H304z", "M208 192C216.8 192 224 199.2 224 208C224 216.8 216.8 224 208 224H144C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192H208zM368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304C295.2 224 288 216.8 288 208C288 199.2 295.2 192 304 192H368z"]],
    "face-eyes-xmarks": [512, 512, [], "e374", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7zM315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7zM256 304C211.8 304 176 339.8 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 339.8 300.2 304 256 304z", "M196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7z"]],
    "face-fearful": [512, 512, [], "e375", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288zM192 96C192 87.16 184.8 80 176 80C170.2 80 164.4 80.38 158.8 81.13C130.6 84.85 105.1 97.58 85.08 116.3C78.62 122.3 78.28 132.5 84.31 138.9C90.34 145.4 100.5 145.7 106.9 139.7C122.4 125.2 141.8 115.7 162.1 112.9C167.2 112.3 171.6 112 176 112C184.8 112 192 104.8 192 96V96zM405.1 139.7C411.5 145.7 421.7 145.4 427.7 138.9C433.7 132.5 433.4 122.3 426.9 116.3C406.9 97.58 381.4 84.85 353.2 81.13C347.6 80.38 341.8 80 336 80C327.2 80 320 87.16 320 96C320 104.8 327.2 112 336 112C340.4 112 344.8 112.3 349 112.9C370.2 115.7 389.6 125.2 405.1 139.7z", "M176 112C171.6 112 167.2 112.3 162.1 112.9C141.8 115.7 122.4 125.2 106.9 139.7C100.5 145.7 90.34 145.4 84.31 138.9C78.28 132.5 78.62 122.3 85.08 116.3C105.1 97.58 130.6 84.85 158.8 81.13C164.4 80.38 170.2 80 176 80C184.8 80 192 87.16 192 96C192 104.8 184.8 112 176 112zM128.4 224C128.4 206.3 142.7 192 160.4 192C178 192 192.4 206.3 192.4 224C192.4 241.7 178 256 160.4 256C142.7 256 128.4 241.7 128.4 224zM320.4 224C320.4 206.3 334.7 192 352.4 192C370 192 384.4 206.3 384.4 224C384.4 241.7 370 256 352.4 256C334.7 256 320.4 241.7 320.4 224zM349 112.9C344.8 112.3 340.4 112 336 112C327.2 112 320 104.8 320 96C320 87.16 327.2 80 336 80C341.8 80 347.6 80.38 353.2 81.13C381.4 84.85 406.9 97.58 426.9 116.3C433.4 122.3 433.7 132.5 427.7 138.9C421.7 145.4 411.5 145.7 405.1 139.7C389.6 125.2 370.2 115.7 349 112.9V112.9z"]],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM160 152C120.2 152 88 184.2 88 224C88 263.8 120.2 296 160 296C199.8 296 232 263.8 232 224C232 184.2 199.8 152 160 152zM352 296C391.8 296 424 263.8 424 224C424 184.2 391.8 152 352 152C312.2 152 280 184.2 280 224C280 263.8 312.2 296 352 296z", "M136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224zM328 224C328 210.7 338.7 200 352 200C365.3 200 376 210.7 376 224C376 237.3 365.3 248 352 248C338.7 248 328 237.3 328 224z"]],
    "face-frown": [512, 512, [9785, "frown"], "f119", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM159.3 388.7C171.5 349.4 209.9 320 256 320C302.1 320 340.5 349.4 352.7 388.7C355.3 397.2 364.3 401.9 372.7 399.3C381.2 396.7 385.9 387.7 383.3 379.3C366.8 326.1 315.8 287.1 256 287.1C196.3 287.1 145.2 326.1 128.7 379.3C126.1 387.7 130.8 396.7 139.3 399.3C147.7 401.9 156.7 397.2 159.3 388.7H159.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM259.9 369.4C288.8 369.4 316.2 375.2 340.6 385.5C352.9 390.7 366.7 381.3 361.4 369.1C344.8 330.9 305.6 303.1 259.9 303.1C214.3 303.1 175.1 330.8 158.4 369.1C153.1 381.3 166.1 390.6 179.3 385.4C203.7 375.1 231 369.4 259.9 369.4L259.9 369.4z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-frown-slight": [512, 512, [], "e376", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM347.9 394.5C353.7 401.2 363.8 401.9 370.5 396.1C377.2 390.3 377.9 380.2 372.1 373.5C349.8 347.9 311.1 320 256 320C200.9 320 162.2 347.9 139.9 373.5C134.1 380.2 134.8 390.3 141.5 396.1C148.2 401.9 158.3 401.2 164.1 394.5C182 373.8 212.6 352 256 352C299.4 352 329.1 373.8 347.9 394.5H347.9zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-glasses": [512, 512, [], "e377", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.2 2.971 211.2 8.546 190.2C10.77 191.3 13.31 192 16 192H48V248C48 278.9 73.07 304 104 304H184C214.9 304 240 278.9 240 248V192H272V248C272 278.9 297.1 304 328 304H408C438.9 304 464 278.9 464 248V192H496C498.7 192 501.2 191.3 503.5 190.2C509 211.2 512 233.2 512 256zM139.9 362.5C162.2 388.1 200.9 416 256 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.1 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5H139.9zM18.61 160C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160H458.6C449.6 141.1 430.3 128 408 128H328C305.7 128 286.4 141.1 277.4 160H234.6C225.6 141.1 206.3 128 184 128H104C81.66 128 62.38 141.1 53.39 160H18.61z", "M184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224zM328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224zM0 176C0 167.2 7.164 160 16 160H53.39C62.38 141.1 81.66 128 104 128H184C206.3 128 225.6 141.1 234.6 160H277.4C286.4 141.1 305.7 128 328 128H408C430.3 128 449.6 141.1 458.6 160H496C504.8 160 512 167.2 512 176C512 184.8 504.8 192 496 192H464V248C464 278.9 438.9 304 408 304H328C297.1 304 272 278.9 272 248V192H240V248C240 278.9 214.9 304 184 304H104C73.07 304 48 278.9 48 248V192H16C7.164 192 0 184.8 0 176zM104 272H184C197.3 272 208 261.3 208 248V184C208 170.7 197.3 160 184 160H104C90.75 160 80 170.7 80 184V248C80 261.3 90.75 272 104 272zM432 184C432 170.7 421.3 160 408 160H328C314.7 160 304 170.7 304 184V248C304 261.3 314.7 272 328 272H408C421.3 272 432 261.3 432 248V184z"]],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM399.3 360H344V400H352C375.8 400 395.5 382.7 399.3 360zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400H328zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-grin": [512, 512, [128512, "grin"], "f580", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", ["M256 .0003C307.4 .0003 355.3 15.15 395.4 41.23C393.9 44.32 392.4 47.43 391.1 50.53C387.8 58.57 384 69.57 384 81.01C384 125.4 420.6 160 464 160C473.6 160 482.8 158.3 491.4 155.2C504.7 186.1 512 220.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V.0003zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M512 81.01C512 107 490.5 128 464 128C437.5 128 416 107 416 81.01C416 61.02 444.4 20.65 457.6 3.281C460.8-1.094 467.2-1.094 470.4 3.281C483.4 20.65 512 61.02 512 81.01H512zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM199.3 129.1C181.5 124.4 163.2 134.9 158.4 152.7L154.1 168.8L137.1 164.5C120.2 159.7 101.9 170.3 97.14 188.1C92.38 205.8 102.9 224.1 120.7 228.9L185.8 246.3C194.4 248.6 203.1 243.6 205.4 235L222.9 169.1C227.6 152.2 217.1 133.9 199.3 129.1H199.3zM353.6 152.7C348.8 134.9 330.5 124.4 312.7 129.1C294.9 133.9 284.4 152.2 289.1 169.1L306.6 235C308.9 243.6 317.6 248.6 326.2 246.3L391.3 228.9C409.1 224.1 419.6 205.8 414.9 188.1C410.1 170.3 391.8 159.7 374 164.5L357.9 168.8L353.6 152.7z", "M158.4 152.7C163.2 134.9 181.5 124.4 199.3 129.1C217.1 133.9 227.6 152.2 222.9 169.1L205.4 235C203.1 243.6 194.4 248.6 185.8 246.3L120.7 228.9C102.9 224.1 92.38 205.8 97.14 188.1C101.9 170.3 120.2 159.7 137.1 164.5L154.1 168.8L158.4 152.7zM357.9 168.8L374 164.5C391.8 159.7 410.1 170.3 414.9 188.1C419.6 205.8 409.1 224.1 391.3 228.9L326.2 246.3C317.6 248.6 308.9 243.6 306.6 235L289.1 169.1C284.4 152.2 294.9 133.9 312.7 129.1C330.5 124.4 348.8 134.9 353.6 152.7L357.9 168.8z"]],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z", "M116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1V157.1zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8z"]],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", ["M382.2 33.17C380.6 37.96 379.3 42.81 378.1 47.52C373.3 66.46 370.1 86.05 368.4 97.79C364.5 124.6 387.4 147.5 414.1 143.6C426 141.9 445.6 138.8 464.5 133.9C469.2 132.7 474.1 131.4 478.8 129.9C534.2 227.5 520.2 353.8 437 437C353.8 520.3 227.5 534.2 129.8 478.8C131.3 474 132.7 469.2 133.9 464.5C138.7 445.5 141.9 425.1 143.6 414.2C147.5 387.4 124.6 364.5 97.89 368.4C85.97 370.1 66.39 373.2 47.46 378.1C42.76 379.3 37.93 380.6 33.15 382.1C-22.19 284.5-8.245 158.2 74.98 74.98C158.2-8.253 284.5-22.19 382.2 33.17V33.17zM416.4 202.3C411.6 190.4 395.6 191.4 389.6 202.7C370.1 239.4 343.3 275.9 309.8 309.4C276.3 342.9 239.8 369.7 203.1 389.2C191.8 395.2 190.8 411.2 202.7 416C262.1 440.2 332.6 428.3 380.7 380.3C428.7 332.2 440.6 261.7 416.4 202.3H416.4zM94.43 288.5L150.5 293.6L155.6 349.7C155.8 352.5 157.1 355 159 357C165.4 363.4 176.2 360.7 178.8 352.1L208.5 254.6C211.1 242.1 201.1 232.1 189.5 235.7L92.05 265.3C83.46 267.9 80.76 278.7 87.1 285.1C89.07 287.1 91.66 288.3 94.43 288.5V288.5zM235.7 189.5C232.1 201.1 242.1 211.1 254.6 208.5L352.1 178.8C360.7 176.2 363.4 165.4 357 159C355 157.1 352.5 155.8 349.7 155.6L293.6 150.5L288.5 94.43C288.3 91.66 287.1 89.07 285.1 87.1C278.7 80.76 267.9 83.46 265.3 92.05L235.7 189.5z", "M497.8 85.18C483 99.97 432.2 108.8 409.6 111.9C403.1 112.8 399.2 108 400.1 102.4C403.3 79.94 412 28.97 426.8 14.18C446-5.046 477.5-4.646 497.1 14.92C516.6 34.49 517 65.95 497.8 85.18H497.8zM87.1 285.1C80.76 278.7 83.46 267.9 92.05 265.3L189.5 235.7C201.1 232.1 211.1 242.1 208.5 254.6L178.8 352.1C176.2 360.7 165.4 363.4 159 357C157.1 355 155.8 352.5 155.6 349.7L150.5 293.6L94.43 288.5C91.66 288.3 89.07 287.1 87.1 285.1V285.1zM265.3 92.05C267.9 83.46 278.7 80.76 285.1 87.1C287.1 89.07 288.3 91.66 288.5 94.43L293.6 150.5L349.7 155.6C352.5 155.8 355 157.1 357 159C363.4 165.4 360.7 176.2 352.1 178.8L254.6 208.5C242.1 211.1 232.1 201.1 235.7 189.5L265.3 92.05zM14.18 426.8C28.97 412 79.85 403.2 102.4 400.1C108 399.2 112.8 403.1 111.9 409.6C108.7 432.1 99.97 483 85.18 497.8C65.95 517 34.49 516.6 14.92 497.1C-4.645 477.5-5.046 446 14.18 426.8H14.18z"]],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5H407.4zM152.8 124.6L136.2 159.3L98.09 164.3C95.03 164.7 92.48 166.8 91.52 169.8C90.57 172.7 91.39 175.9 93.62 178L121.5 204.5L114.5 242.3C113.1 245.4 115.2 248.4 117.7 250.2C120.2 252.1 123.5 252.3 126.2 250.8L159.1 232.5L193.8 250.8C196.5 252.3 199.8 252.1 202.3 250.2C204.8 248.4 206 245.4 205.5 242.3L198.5 204.5L226.4 178C228.6 175.9 229.4 172.7 228.5 169.8C227.5 166.8 224.1 164.7 221.9 164.3L183.8 159.3L167.2 124.6C165.9 121.8 163.1 120 159.1 120C156.9 120 154.1 121.8 152.8 124.6V124.6zM344.8 124.6L328.2 159.3L290.1 164.3C287 164.7 284.5 166.8 283.5 169.8C282.6 172.7 283.4 175.9 285.6 178L313.5 204.5L306.5 242.3C305.1 245.4 307.2 248.4 309.7 250.2C312.2 252.1 315.5 252.3 318.2 250.8L352 232.5L385.8 250.8C388.5 252.3 391.8 252.1 394.3 250.2C396.8 248.4 398 245.4 397.5 242.3L390.5 204.5L418.4 178C420.6 175.9 421.4 172.7 420.5 169.8C419.5 166.8 416.1 164.7 413.9 164.3L375.8 159.3L359.2 124.6C357.9 121.8 355.1 120 352 120C348.9 120 346.1 121.8 344.8 124.6H344.8z", "M183.8 159.3L221.9 164.3C224.1 164.7 227.5 166.8 228.5 169.8C229.4 172.7 228.6 175.9 226.4 178L198.5 204.5L205.5 242.3C206 245.4 204.8 248.4 202.3 250.2C199.8 252.1 196.5 252.3 193.8 250.8L159.1 232.5L126.2 250.8C123.5 252.3 120.2 252.1 117.7 250.2C115.2 248.4 113.1 245.4 114.5 242.3L121.5 204.5L93.62 178C91.39 175.9 90.57 172.7 91.52 169.8C92.48 166.8 95.03 164.7 98.09 164.3L136.2 159.3L152.8 124.6C154.1 121.8 156.9 120 159.1 120C163.1 120 165.9 121.8 167.2 124.6L183.8 159.3zM375.8 159.3L413.9 164.3C416.1 164.7 419.5 166.8 420.5 169.8C421.4 172.7 420.6 175.9 418.4 178L390.5 204.5L397.5 242.3C398 245.4 396.8 248.4 394.3 250.2C391.8 252.1 388.5 252.3 385.8 250.8L352 232.5L318.2 250.8C315.5 252.3 312.2 252.1 309.7 250.2C307.2 248.4 305.1 245.4 306.5 242.3L313.5 204.5L285.6 178C283.4 175.9 282.6 172.7 283.5 169.8C284.5 166.8 287 164.7 290.1 164.3L328.2 159.3L344.8 124.6C346.1 121.8 348.9 120 352 120C355.1 120 357.9 121.8 359.2 124.6L375.8 159.3z"]],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", ["M91.4 371.4C95.87 368.4 100.1 365 104.1 361.1C112.2 352.1 117.3 342.5 120.6 334.4C124.2 325.7 127.1 316 129.4 306.9C134 288.7 137 269.1 138.6 258.7C142.6 232.2 119.9 209.5 93.4 213.3C86.59 214.3 77.18 215.7 66.84 217.7C85.31 94.5 191.6 0 319.1 0C448.4 0 554.7 94.5 573.2 217.7C562.8 215.7 553.4 214.3 546.6 213.3C520.1 209.5 497.4 232.2 501.4 258.7C502.1 269.1 505.1 288.7 510.6 306.9C512.9 316 515.8 325.7 519.4 334.4C522.7 342.5 527.8 352.1 535.9 361.1C539.9 365 544.1 368.4 548.6 371.4C506.4 454.8 419.9 512 319.1 512C220.1 512 133.6 454.8 91.4 371.4V371.4zM320.3 331.8C272.9 331.8 228.1 324.9 188.5 312.8C176.2 309 164.2 319.7 169.2 331.5C194.1 390.6 252.4 432 320.3 432C388.2 432 446.4 390.6 471.4 331.5C476.4 319.7 464.4 309 452.1 312.8C412.4 324.9 367.7 331.8 320.3 331.8V331.8zM290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6V231.6zM441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6L441 228.1L441.4 228.5L441.6 228.8L441.6 228.8z", "M281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 240 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 183.1 227.4 183.1 224C183.1 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 239.1 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 295.1 206.1 295.1 224C295.1 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8L281.6 228.8zM441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 224C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 152 400 152C415.5 152 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 224C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8L441.6 228.8zM625.7 337.7C607 356.4 576.9 356.8 558.6 338.4C544.4 324.3 536.1 275.6 533 254.1C532.2 248.7 536.7 244.2 542.1 245C563.7 247.1 612.3 256.4 626.4 270.6C644.8 288.9 644.4 319 625.7 337.7L625.7 337.7zM106.1 254.1C103.9 275.6 95.58 324.3 81.44 338.4C63.06 356.8 32.98 356.4 14.27 337.7C-4.442 319-4.825 288.9 13.55 270.6C27.69 256.4 76.34 247.1 97.94 245C103.3 244.2 107.8 248.7 106.1 254.1L106.1 254.1z"]],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"]],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8L154.8 192L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7zM396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 192L393.2 148.8C395 146.6 396 143.9 396 141.1V141.1z", "M223.4 178.6C234.1 184.3 234.1 199.7 223.4 205.4L133.5 253.3C125.6 257.6 116 251.8 116 242.9C116 240.1 116.1 237.4 118.8 235.2L154.8 192L118.8 148.8C116.1 146.6 116 143.9 116 141.1C116 132.2 125.6 126.4 133.5 130.7L223.4 178.6zM378.5 130.7C386.4 126.4 396 132.2 396 141.1C396 143.9 395 146.6 393.2 148.8L357.2 191.1L393.2 235.2C395 237.4 396 240.1 396 242.9C396 251.8 386.4 257.6 378.5 253.3L288.6 205.4C277.9 199.7 277.9 184.3 288.6 178.6L378.5 130.7zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"]],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM336 272C371.3 272 400 243.3 400 208C400 172.7 371.3 144 336 144C300.7 144 272 172.7 272 208C272 243.3 300.7 272 336 272z", "M312 208C312 194.7 322.7 184 336 184C349.3 184 360 194.7 360 208C360 221.3 349.3 232 336 232C322.7 232 312 221.3 312 208zM195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6zM320 402.6V448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V402.6z"]],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176 128C158.3 128 144 156.7 144 192C144 227.3 158.3 256 176 256C193.7 256 208 227.3 208 192C208 156.7 193.7 128 176 128zM336 256C353.7 256 368 227.3 368 192C368 156.7 353.7 128 336 128C318.3 128 304 156.7 304 192C304 227.3 318.3 256 336 256z", "M144 192C144 156.7 158.3 128 176 128C193.7 128 208 156.7 208 192C208 227.3 193.7 256 176 256C158.3 256 144 227.3 144 192zM304 192C304 156.7 318.3 128 336 128C353.7 128 368 156.7 368 192C368 227.3 353.7 256 336 256C318.3 256 304 227.3 304 192z"]],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-hand-over-mouth": [512, 512, [129762], "e378", ["M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z", "M208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192z"]],
    "face-hand-peeking": [640, 512, [129763], "e481", ["M545.5 134.7C529.6 128.2 510.7 131.4 497.8 144.3C490.4 151.7 486.2 160.1 485.2 170.5L447.2 143.5C436.4 135.7 422.1 134.1 411.2 138.1C405 136.7 398.6 136 392 136C343.4 136 304 175.4 304 224C304 264.3 331.1 298.3 368.1 308.7C368 309.8 368 310.9 368 311.1C368 334.1 385.9 352 408 352H416C416 352.3 416 352.6 416 352.9C416 374.1 433.9 392.9 456 392.9H520.8C526.3 392.9 531.7 392.5 537.1 391.8C491.8 463.1 411.5 512 320 512C210.4 512 116.1 443.2 80.43 346.4C92.79 350.7 105.9 352.9 119.2 352.9H183.1C206.1 352.9 223.1 334.1 223.1 312.9C223.1 312.6 223.1 312.3 223.1 312H232C254.1 312 272 294.1 272 272C272 269.4 271.8 266.9 271.3 264.5C281.4 257.3 288 245.4 288 231.1C288 218.6 281.4 206.7 271.3 199.5C271.8 197.1 272 194.6 272 192C272 169.9 254.1 152 232 152H156.8L158.2 150.5C175.4 133.4 175.4 105.5 158.2 88.32C152.3 82.35 144.1 78.45 137.3 76.63C183.8 29.34 248.5 0 320 0C417.5 0 502.2 54.49 545.5 134.7V134.7zM320 352C284.7 352 256 373.5 256 400C256 426.5 284.7 448 320 448C355.3 448 384 426.5 384 400C384 373.5 355.3 352 320 352zM416.4 224C416.4 230.1 414.1 235.8 410.3 240H374.5C370.7 235.8 368.4 230.1 368.4 224C368.4 210.7 379.1 200 392.4 200C405.6 200 416.4 210.7 416.4 224H416.4z", "M169.6 208C167.4 208 165.6 209.8 165.6 212C165.6 214.2 167.4 216 169.6 216H248C256.8 216 264 223.2 264 232C264 240.8 256.8 248 248 248H169.6C167.4 248 165.6 249.8 165.6 252C165.6 254.2 167.4 256 169.6 256H232C240.8 256 248 263.2 248 272C248 280.8 240.8 288 232 288H170C167.6 288 165.6 289.1 165.6 292.5C165.6 294.9 167.6 296.9 170 296.9H183.1C192.8 296.9 199.1 304.1 199.1 312.9C199.1 321.7 192.8 328.9 183.1 328.9H119.2C93.95 328.9 69.73 318.9 51.88 301C14.98 264.1 14.71 204.4 51.08 167.2L51.88 166.4L112.1 105.3C120.8 97.48 133.5 97.48 141.3 105.3C149.1 113.1 149.1 125.8 141.3 133.6L112.5 162.3C107.5 167.4 111 176 118.2 176H232C240.8 176 248 183.2 248 192C248 200.8 240.8 208 232 208L169.6 208zM414.7 189C407.5 183.9 405.8 173.9 410.1 166.7C416.1 159.5 426.1 157.8 433.3 162.1L515.1 221.4C517.3 223 520.1 223.7 522.9 223.4C532.2 222.3 536.1 210.1 529.5 204.4L514.7 189.6C506.9 181.8 506.9 169.1 514.7 161.3C522.5 153.5 535.2 153.5 543 161.3L588.1 206.4L588.9 207.2C625.3 244.4 625 304.1 588.1 341C570.3 358.9 546.1 368.9 520.8 368.9H456C447.2 368.9 440 361.7 440 352.9C440 344.1 447.2 336.9 456 336.9H475.5C478 336.9 480 334.9 480 332.5C480 329.1 478 328 475.5 328H408C399.2 328 392 320.8 392 311.1C392 303.2 399.2 295.1 408 295.1H476C478.2 295.1 480 294.2 480 291.1C480 289.8 478.2 287.1 476 287.1H392C383.2 287.1 376 280.8 376 271.1C376 263.2 383.2 255.1 392 255.1H466.6C473.1 255.1 480 249.1 480 242.6C480 238.2 477.9 234.2 474.4 231.6L414.7 189z"]],
    "face-hand-yawn": [512, 512, [], "e379", ["M385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C358.6 258.7 342.9 254.2 328.1 256.6C310.5 236.6 284.7 223.1 256 223.1C217.8 223.1 184.8 246.3 169.3 278.7C167.6 278.5 165.8 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9zM201.1 124.5C208.9 118.1 210 108.9 204.5 102C198.1 95.1 188.9 93.99 182 99.51L102 163.5C95.1 169 93.99 179.1 99.51 185.1C105 192.9 115.1 194 121.1 188.5L201.1 124.5zM307.5 102C301.1 108.9 303.1 118.1 310 124.5L390 188.5C396.9 194 406.1 192.9 412.5 185.1C418 179.1 416.9 169 409.1 163.5L329.1 99.51C323.1 93.99 313 95.1 307.5 102z", "M204.5 102C210 108.9 208.9 118.1 201.1 124.5L121.1 188.5C115.1 194 105 192.9 99.51 185.1C93.99 179.1 95.11 169 102 163.5L182 99.51C188.9 93.99 198.1 95.11 204.5 102V102zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM310 124.5C303.1 118.1 301.1 108.9 307.5 102C313 95.11 323.1 93.99 329.1 99.51L409.1 163.5C416.9 169 418 179.1 412.5 185.1C406.1 192.9 396.9 194 390 188.5L310 124.5z"]],
    "face-head-bandage": [576, 512, [], "e37a", ["M544 256C544 397.4 429.4 512 288 512C188.5 512 102.2 455.2 59.83 372.2C62.31 368.4 64.59 364.7 66.56 361.5C68.48 358.4 70.09 355.7 71.29 353.1C100.4 310.8 135.9 272.4 176.4 240C176.4 257.7 190.7 271.1 208.4 271.1C226 271.1 240.4 257.7 240.4 239.1C240.4 225.9 231.2 213.9 218.5 209.6C227.5 203.8 236.7 198.3 246.1 193C259.1 192.3 273.9 191.1 288 191.1C371.4 191.1 451.9 204.3 527.8 227.1L542.9 231.6C543.6 239.6 544 247.8 544 255.1L544 256zM373.2 397.5C379.8 403.5 389.9 402.1 395.8 396.5C401.8 389.9 401.3 379.8 394.8 373.8C373.2 354.3 340.2 336 296 336C279.6 336 264.6 338.5 251.2 342.8C242.8 345.4 238.1 354.4 240.7 362.8C243.4 371.2 252.4 375.9 260.8 373.3C271.2 370 282.9 368 296 368C330.8 368 356.4 382.2 373.2 397.5zM368.4 272C386 272 400.4 257.7 400.4 240C400.4 222.3 386 208 368.4 208C350.7 208 336.4 222.3 336.4 240C336.4 257.7 350.7 272 368.4 272zM210.5 67.09C172.9 70.09 136 75.25 99.81 82.44C146.6 31.75 213.6 0 288 0C315.1 0 342.9 4.491 368.1 12.79C312.6 24.05 259.7 42.49 210.5 67.09V67.09z", "M476.2 82.44C419.3 71.13 360.6 64.86 300.6 64.08C338.9 51.1 378.9 41.83 420.1 36.7C440.9 49.25 459.8 64.69 476.2 82.44zM537 196.4C458.2 172.7 374.6 160 287.1 160C270.9 160 253.9 160.5 237 161.5C189.2 164.3 142.5 170.9 97.08 181.2C77.45 185.6 58.07 190.7 38.97 196.4C45.35 169.7 55.93 144.5 69.98 121.8C118.4 110.1 168.2 102.2 219.2 98.51C241.9 96.85 264.9 96 287.1 96C327.1 96 367.3 98.53 405.1 103.4C439.9 107.7 473.3 113.9 506 121.8C520.1 144.5 530.7 169.7 537 196.4zM44.77 336.1C36.48 310.9 32 283.1 32 256C32 252.1 32.05 249.9 32.16 246.9C38.06 239.9 44.12 233.1 50.33 226.4C91.29 214.2 133.6 205.1 176.1 199.3C125.3 236.8 80.5 283.1 44.77 336.1V336.1zM218.5 209.6C231.2 213.9 240.4 225.9 240.4 240C240.4 257.7 226 272 208.4 272C190.7 272 176.4 257.7 176.4 240C189.9 229.2 203.9 219.1 218.5 209.6V209.6zM336.4 240C336.4 222.3 350.7 208 368.4 208C386 208 400.4 222.3 400.4 240C400.4 257.7 386 272 368.4 272C350.7 272 336.4 257.7 336.4 240z"]],
    "face-holding-back-tears": [512, 512, [129401], "e482", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM344.5 367.9C337.8 362.1 327.7 362.8 321.9 369.5C308.1 384.4 287.1 400 256 400C224.9 400 203 384.4 190.1 369.5C184.3 362.8 174.2 362.1 167.5 367.9C160.8 373.7 160.1 383.8 165.9 390.5C183.1 410.3 213.2 432 256 432C298.8 432 328.9 410.3 346.1 390.5C351.9 383.8 351.2 373.7 344.5 367.9zM240 240C240 198.5 208.5 164.4 168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 258 85.95 274.6 96 288V320C96 328.8 103.2 336 112 336C120.8 336 128 328.8 128 320V313.3C137.8 317.6 148.6 320 160 320C178 320 194.6 314 208 304C208 312.8 215.2 320 224 320C232.8 320 240 312.8 240 304V240zM384 320C384 328.8 391.2 336 400 336C408.8 336 416 328.8 416 320V288C426 274.6 432 258 432 240C432 221.1 426 205.4 416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C363.4 320 374.2 317.6 384 313.3V320z", "M189.9 121.6C179.3 158.6 147.7 185.7 109.5 190.4L97.98 191.9C89.22 192.1 81.22 186.8 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6zM320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.8 186.8 422.8 192.1 414 191.9L402.5 190.4C364.3 185.7 332.7 158.6 322.1 121.6L320.6 116.4zM128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.9 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2z"]],
    "face-hushed": [512, 512, [], "e37b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 288C194 288 208.4 273.7 208.4 256C208.4 238.3 194 224 176.4 224C158.7 224 144.4 238.3 144.4 256C144.4 273.7 158.7 288 176.4 288zM336.4 224C318.7 224 304.4 238.3 304.4 256C304.4 273.7 318.7 288 336.4 288C354 288 368.4 273.7 368.4 256C368.4 238.3 354 224 336.4 224zM178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9zM320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160zM256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432z", "M192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM144.4 256C144.4 238.3 158.7 224 176.4 224C194 224 208.4 238.3 208.4 256C208.4 273.7 194 288 176.4 288C158.7 288 144.4 273.7 144.4 256zM304.4 256C304.4 238.3 318.7 224 336.4 224C354 224 368.4 238.3 368.4 256C368.4 273.7 354 288 336.4 288C318.7 288 304.4 273.7 304.4 256zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9z"]],
    "face-icicles": [512, 512, [], "e37c", ["M512 256C512 264.3 511.6 272.6 510.8 280.7C510.8 281.2 510.8 281.8 510.7 282.3L495.9 482.4C494.7 499.1 480.8 512 464 512C447.2 512 433.3 499.1 432.1 482.4L429.3 444.4C424.3 449 419.1 453.5 413.7 457.7L402.2 490.6C397.7 503.4 385.6 512 372 512C360.5 512 350.1 505.9 344.5 496.3C316.9 506.5 287.1 512 256 512C186.6 512 123.7 484.4 77.6 439.6C71.87 444.9 64.26 448 56 448C40.36 448 27.01 436.7 24.44 421.3L6.455 313.4C2.231 294.9 0 275.7 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256H512zM56 416L76.05 295.7C78.12 283.3 68.56 272 56 272C43.44 272 33.88 283.3 35.95 295.7L56 416zM372 480L400 400V360H344V400L372 480zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400L296 448L328 400zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM464 480L485.8 247.9C486.1 235.1 476.9 224 464 224C451.1 224 441 235.1 442.2 247.9L464 480z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8V236.8zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", ["M512 256C512 285.3 507.1 313.4 498 339.7C486.9 334.1 474.5 333.1 461.8 334.6C448.1 300.8 411.5 280.3 374.3 290.7C334.2 301.9 312.4 343.8 322.4 382.8L345.3 472.1C347.3 479.7 350.9 486.4 355.7 491.8C325.1 504.8 291.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 256zM271.9 300.3C258.7 292.9 241.4 288 224 288C220.4 288 217.2 290.5 216.3 293.1C215.3 297.5 216.9 301.2 220.1 302.1L220.1 302.1L220.3 303.1C220.5 303.2 220.8 303.4 221.2 303.7C222 304.1 223.2 304.9 224.6 305.8C227.4 307.6 231.2 310.3 234.8 313.4C238.6 316.5 242 319.1 244.5 323.4C246.1 326.1 248 329.8 248 332C248 334.2 246.1 337 244.5 340.6C242 344 238.6 347.5 234.8 350.6C231.2 353.7 227.4 356.4 224.6 358.2C223.2 359.1 222 359.9 221.2 360.3C220.8 360.6 220.5 360.8 220.3 360.9L220.1 361L220.1 361C217.6 362.4 216 365.1 216 368C216 370.9 217.6 373.6 220.1 374.1L220.1 374.1L220.3 375.1L220.6 375.3L221.2 375.7C222 376.1 223.2 376.9 224.6 377.8C227.4 379.6 231.2 382.3 234.8 385.4C238.6 388.5 242 391.9 244.5 395.4C246.1 398.1 248 401.8 248 403.1C248 406.2 246.1 409 244.5 412.6C242 416 238.6 419.5 234.8 422.6C231.2 425.7 227.4 428.4 224.6 430.2C223.2 431.1 222 431.9 221.2 432.3C220.8 432.6 220.5 432.8 220.3 432.9L220.1 433L220.1 433C216.9 434.8 215.3 438.5 216.3 442C217.2 445.5 220.4 447.1 224 447.1C241.4 447.1 258.7 443.1 271.9 435.7C278.5 432 284.4 427.5 288.7 422.3C292.9 417.2 296 410.9 296 403.1C296 397.1 292.9 390.8 288.7 385.7C284.4 380.5 278.5 375.1 271.9 372.3C269.2 370.7 266.3 369.3 263.2 367.1C266.3 366.7 269.2 365.3 271.9 363.7C278.5 360 284.4 355.5 288.7 350.3C292.9 345.2 296 338.9 296 331.1C296 325.1 292.9 318.8 288.7 313.7C284.4 308.5 278.5 303.1 271.9 300.3L271.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6zM439.4 373.3L459.5 367.6C481.7 361.4 504.6 375.2 510.6 398.4C516.5 421.7 503.3 445.6 481.1 451.8L396.1 475.6C387.5 478 378.6 472.9 376.3 464.2L353.4 374.9C347.5 351.6 360.7 327.7 382.9 321.5C405.2 315.3 428 329.1 433.1 352.3L439.4 373.3z"]],
    "face-laugh": [512, 512, ["laugh"], "f599", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z", "M144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192zM304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192z"]],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z", "M217.6 212.8L217.4 212.5C217.2 212.3 217 212 216.7 211.6C216 210.8 215.1 209.7 213.9 208.3C211.4 205.4 207.9 201.7 203.7 197.1C194.9 190.2 184.8 184 176 184C167.2 184 157.1 190.2 148.3 197.1C144.1 201.7 140.6 205.4 138.1 208.3C136.9 209.7 135.1 210.8 135.3 211.6C134.1 212 134.8 212.3 134.6 212.5L134.4 212.8L134.4 212.8C132.3 215.6 128.7 216.7 125.5 215.6C122.2 214.5 120 211.4 120 208C120 190.1 126.7 172.4 136.6 159.2C146.4 146.2 160.5 136 176 136C191.5 136 205.6 146.2 215.4 159.2C225.3 172.4 232 190.1 232 208C232 211.4 229.8 214.5 226.5 215.6C223.3 216.7 219.7 215.6 217.6 212.8L217.6 212.8zM377.6 212.8L377.4 212.5C377.2 212.3 377 212 376.7 211.6C376 210.8 375.1 209.7 373.9 208.3C371.4 205.4 367.9 201.7 363.7 197.1C354.9 190.2 344.8 184 336 184C327.2 184 317.1 190.2 308.3 197.1C304.1 201.7 300.6 205.4 298.1 208.3C296.9 209.7 295.1 210.8 295.3 211.6C294.1 212 294.8 212.3 294.6 212.5L294.4 212.8L294.4 212.8C292.3 215.6 288.7 216.7 285.5 215.6C282.2 214.5 280 211.4 280 208C280 190.1 286.7 172.4 296.6 159.2C306.4 146.2 320.5 136 336 136C351.5 136 365.6 146.2 375.4 159.2C385.3 172.4 392 190.1 392 208C392 211.4 389.8 214.5 386.5 215.6C383.3 216.7 379.7 215.6 377.6 212.8L377.6 212.8z"]],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM133.5 114.7C125.6 110.4 116 116.2 116 125.1C116 127.9 116.1 130.6 118.8 132.8L154.8 176L118.8 219.2C116.1 221.4 116 224.1 116 226.9C116 235.8 125.6 241.6 133.5 237.3L223.4 189.4C234.1 183.7 234.1 168.3 223.4 162.6L133.5 114.7zM396 125.1C396 116.2 386.4 110.4 378.5 114.7L288.6 162.6C277.9 168.3 277.9 183.7 288.6 189.4L378.5 237.3C386.4 241.6 396 235.8 396 226.9C396 224.1 395 221.4 393.2 219.2L357.2 176L393.2 132.8C395 130.6 396 127.9 396 125.1V125.1z", "M116 125.1C116 116.2 125.6 110.4 133.5 114.7L223.4 162.6C234.1 168.3 234.1 183.7 223.4 189.4L133.5 237.3C125.6 241.6 116 235.8 116 226.9C116 224.1 116.1 221.4 118.8 219.2L154.8 176L118.8 132.8C116.1 130.6 116 127.9 116 125.1V125.1zM393.2 132.8L357.2 176L393.2 219.2C395 221.4 396 224.1 396 226.9C396 235.8 386.4 241.6 378.5 237.3L288.6 189.4C277.9 183.7 277.9 168.3 288.6 162.6L378.5 114.7C386.4 110.4 396 116.2 396 125.1C396 127.9 395 130.6 393.2 132.8V132.8z"]],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM300.8 217.6C318.4 194.1 353.6 194.1 371.2 217.6C376.5 224.7 386.5 226.1 393.6 220.8C400.7 215.5 402.1 205.5 396.8 198.4C366.4 157.9 305.6 157.9 275.2 198.4C269.9 205.5 271.3 215.5 278.4 220.8C285.5 226.1 295.5 224.7 300.8 217.6z", "M144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192zM278.4 220.8C271.3 215.5 269.9 205.5 275.2 198.4C305.6 157.9 366.4 157.9 396.8 198.4C402.1 205.5 400.7 215.5 393.6 220.8C386.5 226.1 376.5 224.7 371.2 217.6C353.6 194.1 318.4 194.1 300.8 217.6C295.5 224.7 285.5 226.1 278.4 220.8z"]],
    "face-lying": [512, 512, [], "e37e", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C389.3 0 498.8 101.8 510.9 231.9C501.7 226.9 491.2 224 480 224H288C279.2 224 272 231.2 272 240C272 248.8 279.2 256 288 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H352C343.2 320 336 327.2 336 336C336 344.8 343.2 352 352 352H480C484.8 352 489.5 351.5 494 350.5C456.4 445.1 364 512 256 512V512zM176.4 144C158.7 144 144.4 158.3 144.4 176C144.4 193.7 158.7 208 176.4 208C194 208 208.4 193.7 208.4 176C208.4 158.3 194 144 176.4 144zM336.4 144C318.7 144 304.4 158.3 304.4 176C304.4 193.7 318.7 208 336.4 208C354 208 368.4 193.7 368.4 176C368.4 158.3 354 144 336.4 144zM188.8 393.6C200.5 378 219.1 368 239.1 368C249.1 368 257.8 369.9 265.6 373.3C273.7 376.9 283.1 373.2 286.7 365.1C290.2 356.1 286.5 347.5 278.4 343.1C266.6 338.8 253.6 336 239.1 336C208.6 336 180.7 351.1 163.2 374.4C157.9 381.4 159.3 391.5 166.4 396.8C173.5 402.1 183.5 400.7 188.8 393.6H188.8z", "M144.4 176C144.4 158.3 158.7 144 176.4 144C194 144 208.4 158.3 208.4 176C208.4 193.7 194 208 176.4 208C158.7 208 144.4 193.7 144.4 176zM304.4 176C304.4 158.3 318.7 144 336.4 144C354 144 368.4 158.3 368.4 176C368.4 193.7 354 208 336.4 208C318.7 208 304.4 193.7 304.4 176z"]],
    "face-mask": [576, 512, [], "e37f", ["M542 224.1C540.5 224.3 538.1 224.7 537.5 225.4L423.1 276.2C414.4 263.1 400.2 255.1 384 255.1H191.1C175.8 255.1 161.6 263.1 152.9 276.2L38.5 225.4C37.02 224.7 35.49 224.3 33.97 224.1C49.66 97.78 157.4 0 287.1 0C418.6 0 526.3 97.78 542 224.1H542zM255.1 160C255.1 151.2 248.8 144 239.1 144C184.6 144 146.4 166.1 132.7 180.7C126.4 186.9 126.4 197.1 132.7 203.3C138.9 209.6 149.1 209.6 155.3 203.3C162.9 195.7 192.1 176 239.1 176C248.8 176 255.1 168.8 255.1 160L255.1 160zM443.3 203.3C449.6 197.1 449.6 186.9 443.3 180.7C429.6 166.1 391.4 143.1 336 143.1C327.2 143.1 320 151.2 320 159.1C320 168.8 327.2 175.1 336 175.1C383 175.1 413.1 195.7 420.7 203.3C426.9 209.6 437.1 209.6 443.3 203.3L443.3 203.3zM507.1 388.5C504.2 385.7 500.3 384 496 384H432V307.3L543.1 257.5C543.7 305.4 530.3 350.2 507.1 388.5H507.1zM287.1 512C207.2 512 135.1 474.5 88.15 416H146.7C153.3 434.6 171.1 448 191.1 448H384C404.9 448 422.7 434.6 429.3 416H487.9C440.9 474.5 368.8 512 287.1 512zM32 257.5L143.1 307.3V384H79.1C75.69 384 71.78 385.7 68.9 388.5C45.72 350.2 32.28 305.4 32 257.5z", "M17.38 233.5C20.97 225.4 30.42 221.8 38.5 225.4L152.9 276.2C161.6 263.1 175.8 256 192 256H384C400.2 256 414.4 263.1 423.1 276.2L537.5 225.4C545.6 221.8 555 225.4 558.6 233.5C562.2 241.6 558.6 251 550.5 254.6L432 307.3V384H496C504.8 384 512 391.2 512 400C512 408.8 504.8 416 496 416H429.3C422.7 434.6 404.9 448 384 448H192C171.1 448 153.3 434.6 146.7 416H80C71.16 416 64 408.8 64 400C64 391.2 71.16 384 80 384H144V307.3L25.5 254.6C17.43 251 13.79 241.6 17.38 233.5V233.5z"]],
    "face-meh": [512, 512, [128528, "meh"], "f11a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-melting": [640, 512, [129760], "e483", ["M567.3 322.3C563.4 336.8 573.7 352 588.7 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H560C551.2 416 544 423.2 544 432C544 440.8 551.2 448 560 448H576C593.7 448 608 462.3 608 480C608 497.7 593.7 512 576 512H325.8C322.1 512.1 318.3 512.1 314.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H44.92C81.76 448 103.4 397.3 87.84 363.9C63.37 311.3 56.54 250.2 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3L567.3 322.3zM247.2 219.9C264.3 224.5 281.8 214.4 286.4 197.3C290.1 180.2 280.9 162.7 263.8 158.1C246.7 153.5 229.2 163.7 224.6 180.7C220 197.8 230.2 215.4 247.2 219.9zM418.3 199.5C401.3 194.1 383.7 205.1 379.1 222.2C374.6 239.2 384.7 256.8 401.8 261.3C418.8 265.9 436.4 255.8 440.1 238.7C445.5 221.6 435.4 204.1 418.3 199.5V199.5zM213.2 299.4C209.4 291.4 199.8 288.1 191.8 291.1C183.9 295.8 180.6 305.4 184.4 313.3C199.3 343.9 229.5 380.8 282.7 395.1C335.9 409.4 380.6 392.5 408.7 373.4C416 368.5 417.1 358.5 413 351.2C408 343.9 398.1 341.1 390.8 346.9C368.1 362.3 332.9 375.4 291 364.2C249.1 352.1 225.2 324 213.2 299.4H213.2z", "M224.6 180.7C229.2 163.7 246.7 153.5 263.8 158.1C280.9 162.7 290.1 180.2 286.4 197.3C281.8 214.4 264.3 224.5 247.2 219.9C230.2 215.4 220 197.8 224.6 180.7zM379.1 222.2C383.7 205.1 401.3 194.1 418.3 199.5C435.4 204.1 445.5 221.6 440.1 238.7C436.4 255.8 418.8 265.9 401.8 261.3C384.7 256.8 374.6 239.2 379.1 222.2V222.2z"]],
    "face-monocle": [512, 512, [], "e380", ["M427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C449.3 412.2 448 403.2 448 393.9V224C448 162.1 397.9 112 336 112C274.1 112 224 162.1 224 224C224 285.9 274.1 336 336 336C367.3 336 395.7 323.1 416 302.4V393.9C416 412.3 419.9 430.1 427.2 446.3V446.3zM144.4 160C126.7 160 112.4 174.3 112.4 192C112.4 209.7 126.7 224 144.4 224C162 224 176.4 209.7 176.4 192C176.4 174.3 162 160 144.4 160zM160 368C174.3 368 197.9 370.9 220.6 379.7C243.4 388.5 263.3 402.5 273.7 423.2C277.6 431.1 287.3 434.3 295.2 430.3C303.1 426.4 306.3 416.7 302.3 408.8C287.1 378.3 258.1 360.3 232.2 349.9C205.3 339.5 177.7 336 159.1 336C151.2 336 143.1 343.2 143.1 352C143.1 360.8 151.2 368 159.1 368L160 368zM305.2 89.91C313.2 83.49 323.2 80 333.5 80C342.4 80 351.1 82.64 358.5 87.59L367.1 93.31C374.5 98.21 384.4 96.23 389.3 88.88C394.2 81.52 392.2 71.59 384.9 66.69L376.3 60.97C363.6 52.51 348.7 48 333.5 48C315.9 48 298.9 53.97 285.2 64.92L262 83.51C255.1 89.03 253.1 99.1 259.5 105.1C265 112.9 275.1 114 281.1 108.5L305.2 89.91z", "M281.1 108.5C275.1 114 265 112.9 259.5 105.1C253.1 99.1 255.1 89.03 262 83.51L285.2 64.92C298.9 53.97 315.9 48 333.5 48C348.7 48 363.6 52.51 376.3 60.97L384.9 66.69C392.2 71.59 394.2 81.52 389.3 88.88C384.4 96.23 374.5 98.21 367.1 93.31L358.5 87.59C351.1 82.64 342.4 80 333.5 80C323.2 80 313.2 83.49 305.2 89.91L281.1 108.5zM352.4 224C352.4 241.7 338 256 320.4 256C302.7 256 288.4 241.7 288.4 224C288.4 206.3 302.7 192 320.4 192C338 192 352.4 206.3 352.4 224zM416 393.9V302.4C395.7 323.1 367.3 336 336 336C274.1 336 224 285.9 224 224C224 162.1 274.1 112 336 112C397.9 112 448 162.1 448 224V393.9C448 427 465.1 457.8 493.1 475.3L504.5 482.4C511.1 487.1 514.3 496.1 509.6 504.5C504.9 511.1 495 514.3 487.5 509.6L476.2 502.5C438.7 479.1 416 438.1 416 393.9V393.9zM336 144C291.8 144 256 179.8 256 224C256 268.2 291.8 304 336 304C380.2 304 416 268.2 416 224C416 179.8 380.2 144 336 144zM176.4 192C176.4 209.7 162 224 144.4 224C126.7 224 112.4 209.7 112.4 192C112.4 174.3 126.7 160 144.4 160C162 160 176.4 174.3 176.4 192z"]],
    "face-nauseated": [512, 512, [], "e381", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208zM143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208zM195.3 123.3C201.6 117.1 201.6 106.9 195.3 100.7C189.1 94.44 178.9 94.44 172.7 100.7L165.3 108.1C146.5 126.9 122.2 139.4 95.85 143.8L93.37 144.2C84.65 145.7 78.76 153.9 80.22 162.6C81.67 171.3 89.91 177.2 98.63 175.8L101.1 175.4C134 169.9 164.4 154.3 187.9 130.7L195.3 123.3zM316.7 100.7C310.4 106.9 310.4 117.1 316.7 123.3L324.1 130.7C347.6 154.3 377.1 169.9 410.9 175.4L413.4 175.8C422.1 177.2 430.3 171.3 431.8 162.6C433.2 153.9 427.3 145.7 418.6 144.2L416.2 143.8C389.8 139.4 365.5 126.9 346.7 108.1L339.3 100.7C333.1 94.44 322.9 94.44 316.7 100.7zM168 282.7C160.4 278.3 150.6 280.9 146.2 288.6C141.7 296.2 144.3 305.1 151.1 310.4C166.4 318.7 175.1 334.3 175.1 352C175.1 369.7 166.4 385.3 151.1 393.6C144.3 398 141.7 407.8 146.2 415.4C150.6 423.1 160.4 425.7 168 421.3C187.5 410 201.8 390.8 206.4 368H305.6C310.2 390.8 324.5 410 343.1 421.3C351.6 425.7 361.4 423.1 365.8 415.4C370.3 407.8 367.7 398 360 393.6C345.6 385.3 336 369.7 336 352C336 334.3 345.6 318.7 360 310.4C367.7 305.1 370.3 296.2 365.8 288.6C361.4 280.9 351.6 278.3 343.1 282.7C324.5 293.1 310.2 313.2 305.6 336H206.4C201.8 313.2 187.5 293.1 168 282.7H168z", "M195.3 100.7C201.6 106.9 201.6 117.1 195.3 123.3L187.9 130.7C164.4 154.3 134 169.9 101.1 175.4L98.63 175.8C89.91 177.2 81.67 171.3 80.22 162.6C78.76 153.9 84.65 145.7 93.37 144.2L95.85 143.8C122.2 139.4 146.5 126.9 165.3 108.1L172.7 100.7C178.9 94.44 189.1 94.44 195.3 100.7zM175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240zM335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240zM316.7 123.3C310.4 117.1 310.4 106.9 316.7 100.7C322.9 94.44 333.1 94.44 339.3 100.7L346.7 108.1C365.5 126.9 389.8 139.4 416.2 143.8L418.6 144.2C427.3 145.7 433.2 153.9 431.8 162.6C430.3 171.3 422.1 177.2 413.4 175.8L410.9 175.4C377.1 169.9 347.6 154.3 324.1 130.7L316.7 123.3z"]],
    "face-nose-steam": [576, 512, [], "e382", ["M544 256C544 285.1 539.1 313 530.2 339.1C524.9 337.4 519.4 336.3 513.9 336C512.7 334.7 511.5 333.3 510.2 332C486.9 308.7 450.1 307.1 424.9 327.3L368.5 293.4C355.9 285.9 339.8 287.9 329.4 298.3C318.1 308.6 317 324.8 324.6 337.3L358.5 393.8C338.3 418.1 339.8 455.8 363.1 479.1C364.4 480.4 365.8 481.6 367.1 482.8C367.4 488.1 368.4 493.4 370 498.6C344.3 507.3 316.7 512 288 512C258.6 512 230.4 507 204.1 497.9C205.8 492.7 206.8 487.3 207.1 481.9C208.5 480.7 209.8 479.5 211.1 478.2C234.4 454.9 235.1 418.1 215.8 392.1L249.7 336.5C257.2 323.9 255.2 307.8 244.8 297.4C234.5 286.1 218.3 285 205.8 292.6L149.3 326.5C124.1 306.3 87.31 307.8 63.1 331.1C62.71 332.4 61.49 333.8 60.33 335.1C55.27 335.4 50.24 336.3 45.35 337.8C36.69 312.1 32 284.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256H544zM143.1 256H239.1C248.8 256 255.1 248.8 255.1 240C255.1 231.2 248.8 224 239.1 224H143.1C135.2 224 127.1 231.2 127.1 240C127.1 248.8 135.2 256 143.1 256zM448 240C448 231.2 440.8 224 432 224H336C327.2 224 320 231.2 320 240C320 248.8 327.2 256 336 256H432C440.8 256 448 248.8 448 240zM421.1 143.2C429.4 140.4 433.1 131.3 431.2 122.9C428.4 114.6 419.3 110 410.9 112.8C369.7 126.6 336.7 152.7 324.7 164.7C318.4 170.9 318.4 181.1 324.7 187.3C330.9 193.6 341.1 193.6 347.3 187.3C356.6 177.1 385.5 155 421.1 143.2H421.1zM228.7 187.3C234.9 193.6 245.1 193.6 251.3 187.3C257.6 181.1 257.6 170.9 251.3 164.7C239.3 152.7 206.3 126.6 165.1 112.8C156.7 110 147.6 114.6 144.8 122.9C142 131.3 146.6 140.4 154.9 143.2C190.5 155 219.4 177.1 228.7 187.3zM68.01 335.2L63.1 331.1z", "M41.37 376.4C51.24 366.5 65.96 364.5 77.86 370.2C79.05 364.2 81.97 358.4 86.63 353.8C99.12 341.3 119.4 341.3 131.9 353.8C136.3 358.2 139.1 363.5 140.4 369.1L222.2 320L173.1 401.8C178.7 403.1 184.1 405.1 188.4 410.3C200.9 422.8 200.9 443.1 188.4 455.6C183.8 460.3 178.1 463.2 172 464.4C177.8 476.3 175.7 490.1 165.8 500.9C153.3 513.4 133.1 513.4 120.6 500.9C118.5 498.8 116.8 496.5 115.4 494.1C96.59 508.6 69.51 507.2 52.28 489.9C35.05 472.7 33.66 445.6 48.11 426.8C45.7 425.4 43.43 423.7 41.37 421.7C28.88 409.2 28.88 388.9 41.37 376.4V376.4zM532.9 422.5C530.8 424.6 528.5 426.3 526.1 427.7C540.6 446.5 539.2 473.6 521.9 490.8C504.7 508.1 477.6 509.4 458.8 494.1C457.4 497.4 455.7 499.7 453.7 501.7C441.2 514.2 420.9 514.2 408.4 501.7C398.5 491.9 396.5 477.2 402.2 465.2C396.2 464.1 390.4 461.1 385.8 456.5C373.3 443.1 373.3 423.7 385.8 411.2C390.2 406.9 395.5 404 401.1 402.7L352 320.9L433.8 369.1C435.1 364.4 437.1 359 442.3 354.7C454.8 342.2 475.1 342.2 487.6 354.7C492.3 359.3 495.2 365.1 496.4 371.1C508.3 365.3 522.1 367.4 532.9 377.3C545.3 389.8 545.3 410 532.9 422.5H532.9z"]],
    "face-party": [640, 512, [], "e383", ["M531.7 400C485.6 467.6 407.1 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C433.4 0 529.7 73.79 563.3 176H560C515.8 176 480 211.8 480 256C480 274 485.1 290.6 495.1 304H416C414.1 304 413.1 304 412.1 304.1C411.8 301.8 410.3 299.7 408.7 297.7C404.4 292.5 398.5 287.1 391.9 284.3C378.7 276.9 361.4 272 344 272C340.4 272 337.2 274.5 336.3 277.1C335.3 281.5 336.9 285.2 340.1 286.1L340.1 286.1L340.3 287.1C340.5 287.2 340.8 287.4 341.2 287.7C342 288.1 343.2 288.9 344.6 289.8C347.4 291.6 351.2 294.3 354.8 297.4C358.6 300.5 362 303.1 364.5 307.4C366.1 310.1 368 313.8 368 315.1C368 318.2 366.1 321 364.5 324.6C362 328 358.6 331.5 354.8 334.6C351.2 337.7 347.4 340.4 344.6 342.2C343.2 343.1 342 343.9 341.2 344.3C340.8 344.6 340.5 344.8 340.3 344.9L340.1 345L340.1 345C337.6 346.4 336 349.1 336 352C336 354.9 337.6 357.6 340.1 358.1L340.1 358.1L340.3 359.1C340.5 359.2 340.8 359.4 341.2 359.7C342 360.1 343.2 360.9 344.6 361.8C347.4 363.6 351.2 366.3 354.8 369.4C358.6 372.5 362 375.9 364.5 379.4C366.1 382.1 368 385.8 368 388C368 390.2 366.1 393 364.5 396.6C362 400 358.6 403.5 354.8 406.6C351.2 409.7 347.4 412.4 344.6 414.2C343.2 415.1 342 415.9 341.2 416.3C340.8 416.6 340.5 416.8 340.3 416.9L340.1 417L340.1 417C336.9 418.8 335.3 422.5 336.3 426C337.2 429.5 340.4 431.1 344 431.1C361.4 431.1 378.7 427.1 391.9 419.7C398.5 416 404.4 411.5 408.7 406.3C410.3 404.3 411.8 402.2 412.1 399.9C413.1 399.1 414.1 399.1 416 399.1L531.7 400zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6z", "M51.26 152.2L31.26 100.3C46.62 71.85 66.04 45.97 88.75 23.39L132 37.81C96.46 68.47 68.47 107.7 51.26 152.2zM55.14 12.18C40.89 27.64 27.99 44.36 16.6 62.14L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4702 15.19-1.136 21.06 .8215L55.14 12.18zM182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8V236.8zM342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8zM512 255.1C512 229.5 533.5 207.1 560 207.1H592C618.5 207.1 640 229.5 640 255.1V319.1C640 346.5 618.5 368 592 368H400C391.2 368 384 360.8 384 352C384 343.2 391.2 336 400 336H592C600.8 336 608 328.8 608 319.1V255.1C608 247.2 600.8 239.1 592 239.1H560C551.2 239.1 544 247.2 544 255.1C544 264.8 551.2 271.1 560 271.1H576C584.8 271.1 592 279.2 592 287.1C592 296.8 584.8 303.1 576 303.1H560C533.5 303.1 512 282.5 512 255.1z"]],
    "face-pensive": [512, 512, [], "e384", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 384C199.2 384 192 391.2 192 400C192 408.8 199.2 416 208 416H304C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384H208zM387.2 270.4C369.6 293.9 334.4 293.9 316.8 270.4C311.5 263.3 301.5 261.9 294.4 267.2C287.3 272.5 285.9 282.5 291.2 289.6C321.6 330.1 382.4 330.1 412.8 289.6C418.1 282.5 416.7 272.5 409.6 267.2C402.5 261.9 392.5 263.3 387.2 270.4zM102.4 267.2C95.33 272.5 93.9 282.5 99.2 289.6C129.6 330.1 190.4 330.1 220.8 289.6C226.1 282.5 224.7 272.5 217.6 267.2C210.5 261.9 200.5 263.3 195.2 270.4C177.6 293.9 142.4 293.9 124.8 270.4C119.5 263.3 109.5 261.9 102.4 267.2V267.2zM87.16 222.3L110 210.9C128.6 201.6 145 188.3 158.1 172L172.5 153.1C178 147.1 176.9 137 169.1 131.5C163.1 125.1 153 127.1 147.5 134L133.1 152.1C122.9 164.7 110.2 175 95.7 182.3L72.84 193.7C64.94 197.6 61.74 207.3 65.69 215.2C69.64 223.1 79.25 226.3 87.16 222.3V222.3zM416.3 182.3C401.8 175 389.1 164.7 378.9 152.1L364.5 134C358.1 127.1 348.9 125.1 342 131.5C335.1 137 333.1 147.1 339.5 153.1L353.9 172C366.1 188.3 383.4 201.6 401.1 210.9L424.8 222.3C432.7 226.3 442.4 223.1 446.3 215.2C450.3 207.3 447.1 197.6 439.2 193.7L416.3 182.3z", "M439.2 193.7C447.1 197.6 450.3 207.3 446.3 215.2C442.4 223.1 432.7 226.3 424.8 222.3L401.1 210.9C383.4 201.6 366.1 188.3 353.9 172L339.5 153.1C333.1 147.1 335.1 137 342 131.5C348.9 125.1 358.1 127.1 364.5 134L378.9 152.1C389.1 164.7 401.8 175 416.3 182.3L439.2 193.7zM65.69 215.2C61.74 207.3 64.94 197.6 72.84 193.7L95.7 182.3C110.2 175 122.9 164.7 133.1 152L147.5 134C153 127.1 163.1 125.1 169.1 131.5C176.9 137 178 147.1 172.5 153.1L158.1 172C145 188.3 128.6 201.6 110 210.9L87.16 222.3C79.25 226.3 69.64 223.1 65.69 215.2V215.2zM124.8 270.4C142.4 293.9 177.6 293.9 195.2 270.4C200.5 263.3 210.5 261.9 217.6 267.2C224.7 272.5 226.1 282.5 220.8 289.6C190.4 330.1 129.6 330.1 99.2 289.6C93.9 282.5 95.33 272.5 102.4 267.2C109.5 261.9 119.5 263.3 124.8 270.4zM316.8 270.4C334.4 293.9 369.6 293.9 387.2 270.4C392.5 263.3 402.5 261.9 409.6 267.2C416.7 272.5 418.1 282.5 412.8 289.6C382.4 330.1 321.6 330.1 291.2 289.6C285.9 282.5 287.3 272.5 294.4 267.2C301.5 261.9 311.5 263.3 316.8 270.4z"]],
    "face-persevering": [512, 512, [], "e385", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM188.7 100.7L181.3 108.1C162.5 126.9 138.2 139.4 111.9 143.8L109.4 144.2C100.7 145.7 94.77 153.9 96.22 162.6C97.67 171.3 105.9 177.2 114.6 175.8L117.1 175.4C150 169.9 180.4 154.3 203.9 130.7L211.3 123.3C217.6 117.1 217.6 106.9 211.3 100.7C205.1 94.44 194.9 94.44 188.7 100.7V100.7zM308.1 130.7C331.6 154.3 361.1 169.9 394.9 175.4L397.4 175.8C406.1 177.2 414.3 171.3 415.8 162.6C417.2 153.9 411.3 145.7 402.6 144.2L400.2 143.8C373.8 139.4 349.5 126.9 330.7 108.1L323.3 100.7C317.1 94.44 306.9 94.44 300.7 100.7C294.4 106.9 294.4 117.1 300.7 123.3L308.1 130.7zM133.5 210.7C125.6 206.4 116 212.2 116 221.1C116 223.9 116.1 226.6 118.8 228.8L154.8 272L118.8 315.2C116.1 317.4 116 320.1 116 322.9C116 331.8 125.6 337.6 133.5 333.3L223.4 285.4C234.1 279.7 234.1 264.3 223.4 258.6L133.5 210.7zM396 221.1C396 212.2 386.4 206.4 378.5 210.7L288.6 258.6C277.9 264.3 277.9 279.7 288.6 285.4L378.5 333.3C386.4 337.6 396 331.8 396 322.9C396 320.1 395 317.4 393.2 315.2L357.2 272L393.2 228.8C395 226.6 396 223.9 396 221.1V221.1z", "M203.9 130.7C180.4 154.3 150 169.9 117.1 175.4L114.6 175.8C105.9 177.2 97.67 171.3 96.22 162.6C94.77 153.9 100.7 145.7 109.4 144.2L111.9 143.8C138.2 139.4 162.5 126.9 181.3 108.1L188.7 100.7C194.9 94.44 205.1 94.44 211.3 100.7C217.6 106.9 217.6 117.1 211.3 123.3L203.9 130.7zM300.7 123.3C294.4 117.1 294.4 106.9 300.7 100.7C306.9 94.44 317.1 94.44 323.3 100.7L330.7 108.1C349.5 126.9 373.8 139.4 400.2 143.8L402.6 144.2C411.3 145.7 417.2 153.9 415.8 162.6C414.3 171.3 406.1 177.2 397.4 175.8L394.9 175.4C361.1 169.9 331.6 154.3 308.1 130.7L300.7 123.3zM223.4 258.6C234.1 264.3 234.1 279.7 223.4 285.4L133.5 333.3C125.6 337.6 116 331.8 116 322.9C116 320.1 116.1 317.4 118.8 315.2L154.8 272L118.8 228.8C116.1 226.6 116 223.9 116 221.1C116 212.2 125.6 206.4 133.5 210.7L223.4 258.6zM393.2 228.8L357.2 272L393.2 315.2C395 317.4 396 320.1 396 322.9C396 331.8 386.4 337.6 378.5 333.3L288.6 285.4C277.9 279.7 277.9 264.3 288.6 258.6L378.5 210.7C386.4 206.4 396 212.2 396 221.1C396 223.9 395 226.6 393.2 228.8V228.8z"]],
    "face-pleading": [512, 512, [], "e386", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM303.9 405.3C294.7 395.1 278.7 384 256 384C233.3 384 217.3 395.1 208.1 405.3C202.2 411.9 202.7 421.1 209.3 427.9C215.9 433.8 225.1 433.3 231.9 426.7C236.6 421.4 244.6 416 255.1 416C267.4 416 275.4 421.4 280.1 426.7C286 433.3 296.1 433.8 302.7 427.9C309.3 421.1 309.8 411.9 303.9 405.3H303.9zM168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 284.2 115.8 320 160 320C204.2 320 240 284.2 240 240C240 198.5 208.5 164.4 168 160.4zM416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C396.2 320 432 284.2 432 240C432 221.1 426 205.4 416 192z", "M189.9 121.6C179.3 158.6 147.7 185.7 109.5 190.4L97.98 191.9C89.22 192.1 81.22 186.8 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6zM320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.8 186.8 422.8 192.1 414 191.9L402.5 190.4C364.3 185.7 332.7 158.6 322.1 121.6L320.6 116.4zM128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.9 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2z"]],
    "face-pouting": [512, 512, [], "e387", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM161.3 382.1C155.9 394.4 170 403.7 182.4 398.5C204.8 389 229.7 383.7 256.1 383.7C282.4 383.7 307.3 389 329.7 398.5C342.1 403.7 356.2 394.4 350.8 382.1C334.9 345.5 298.4 319.1 256.1 319.1C213.7 319.1 177.2 345.5 161.3 382.1V382.1zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z", "M229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8zM358.9 217.2C364.7 223 368.4 231.1 368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2z"]],
    "face-raised-eyebrow": [512, 512, [], "e388", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 208C158.7 208 144.4 222.3 144.4 240C144.4 257.7 158.7 272 176.4 272C194 272 208.4 257.7 208.4 240C208.4 222.3 194 208 176.4 208zM336.4 272C354 272 368.4 257.7 368.4 240C368.4 222.3 354 208 336.4 208C318.7 208 304.4 222.3 304.4 240C304.4 257.7 318.7 272 336.4 272zM160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM328.8 141.8C339.5 131.1 357.4 132.9 365.8 145.5L370.7 152.9C375.6 160.2 385.5 162.2 392.9 157.3C400.2 152.4 402.2 142.5 397.3 135.1L392.4 127.7C372.8 98.32 331.2 94.2 306.2 119.2L276.7 148.7C270.4 154.9 270.4 165.1 276.7 171.3C282.9 177.6 293.1 177.6 299.3 171.3L328.8 141.8zM128 144C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176H192C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144H128z", "M299.3 171.3C293.1 177.6 282.9 177.6 276.7 171.3C270.4 165.1 270.4 154.9 276.7 148.7L306.2 119.2C331.2 94.2 372.8 98.32 392.4 127.7L397.3 135.1C402.2 142.5 400.2 152.4 392.9 157.3C385.5 162.2 375.6 160.2 370.7 152.9L365.8 145.5C357.4 132.9 339.5 131.1 328.8 141.8L299.3 171.3zM192 144C200.8 144 208 151.2 208 160C208 168.8 200.8 176 192 176H128C119.2 176 112 168.8 112 160C112 151.2 119.2 144 128 144H192zM208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 222.3 158.7 208 176.4 208C194 208 208.4 222.3 208.4 240zM368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 222.3 318.7 208 336.4 208C354 208 368.4 222.3 368.4 240z"]],
    "face-relieved": [512, 512, [], "e389", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM187.3 356.7C181.1 350.4 170.9 350.4 164.7 356.7C158.4 362.9 158.4 373.1 164.7 379.3C182.6 397.2 213.1 416 255.1 416C298.9 416 329.4 397.2 347.3 379.3C353.6 373.1 353.6 362.9 347.3 356.7C341.1 350.4 330.9 350.4 324.7 356.7C311.6 369.7 288.9 384 255.1 384C223.1 384 200.4 369.7 187.3 356.7H187.3zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM186.9 64.82L180.6 66.93C150.2 77.06 124.1 97.02 106.3 123.7L98.69 135.1C93.79 142.5 95.77 152.4 103.1 157.3C110.5 162.2 120.4 160.2 125.3 152.9L132.1 141.4C146.8 120.7 167.1 105.2 190.7 97.29L197.1 95.18C205.4 92.38 209.1 83.32 207.2 74.94C204.4 66.56 195.3 62.03 186.9 64.82L186.9 64.82zM321.3 97.29C344.9 105.2 365.2 120.7 379 141.4L386.7 152.9C391.6 160.2 401.5 162.2 408.9 157.3C416.2 152.4 418.2 142.5 413.3 135.1L405.7 123.7C387.9 97.02 361.8 77.06 331.4 66.93L325.1 64.82C316.7 62.03 307.6 66.56 304.8 74.94C302 83.33 306.6 92.39 314.9 95.18L321.3 97.29z", "M207.2 74.94C209.1 83.32 205.4 92.39 197.1 95.18L190.7 97.29C167.1 105.2 146.8 120.7 132.1 141.4L125.3 152.9C120.4 160.2 110.5 162.2 103.1 157.3C95.77 152.4 93.79 142.5 98.69 135.1L106.3 123.7C124.1 97.02 150.2 77.06 180.6 66.93L186.9 64.82C195.3 62.03 204.4 66.56 207.2 74.94L207.2 74.94zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4V238.4zM316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4V238.4zM314.9 95.18C306.6 92.39 302 83.32 304.8 74.94C307.6 66.56 316.7 62.03 325.1 64.82L331.4 66.93C361.8 77.06 387.9 97.02 405.7 123.7L413.3 135.1C418.2 142.5 416.2 152.4 408.9 157.3C401.5 162.2 391.6 160.2 386.7 152.9L379 141.4C365.2 120.7 344.9 105.2 321.3 97.29L314.9 95.18z"]],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288z", "M195.6 180.4C195.6 200.1 179.6 215.1 160 215.1C140.4 215.1 124.4 200.1 124.4 180.4C124.4 177.4 124.8 174.4 125.5 171.6C135.1 164.3 147.1 160 160 160C172.9 160 184.9 164.3 194.5 171.6C195.2 174.4 195.6 177.4 195.6 180.4zM384 184C384 201.7 369.7 216 352 216C334.3 216 320 201.7 320 184C320 177.1 322.2 170.8 325.8 165.6C333.8 161.1 342.7 160 352 160C361.3 160 370.2 161.1 378.2 165.6C381.8 170.8 384 177.1 384 184z"]],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", ["M352 493.4C322.4 505.4 289.9 512 256 512C222.1 512 189.6 505.4 160 493.4V288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288V477.8C51.48 433.5 0 350.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8V288C384 279.2 376.8 272 368 272C359.2 272 352 279.2 352 288V493.4zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM316.8 233.6C334.4 210.1 369.6 210.1 387.2 233.6C392.5 240.7 402.5 242.1 409.6 236.8C416.7 231.5 418.1 221.5 412.8 214.4C382.4 173.9 321.6 173.9 291.2 214.4C285.9 221.5 287.3 231.5 294.4 236.8C301.5 242.1 311.5 240.7 316.8 233.6zM208 368C208 394.5 229.5 416 256 416C282.5 416 304 394.5 304 368V336C304 309.5 282.5 288 256 288C229.5 288 208 309.5 208 336V368z", "M195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6V233.6zM128 477.8V288C128 279.2 135.2 272 144 272C152.8 272 160 279.2 160 288V493.4C148.9 488.9 138.2 483.7 128 477.8V477.8zM352 493.4V288C352 279.2 359.2 272 368 272C376.8 272 384 279.2 384 288V477.8C373.8 483.7 363.1 488.9 352 493.4V493.4zM294.4 236.8C287.3 231.5 285.9 221.5 291.2 214.4C321.6 173.9 382.4 173.9 412.8 214.4C418.1 221.5 416.7 231.5 409.6 236.8C402.5 242.1 392.5 240.7 387.2 233.6C369.6 210.1 334.4 210.1 316.8 233.6C311.5 240.7 301.5 242.1 294.4 236.8V236.8z"]],
    "face-sad-sweat": [576, 512, [], "e38a", ["M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM371.9 389.3C355.8 371.4 327.7 352 288 352C248.3 352 220.2 371.4 204.1 389.3C198.2 395.9 198.7 405.1 205.3 411.9C211.9 417.8 221.1 417.3 227.9 410.7C239.6 397.7 259.5 384 287.1 384C316.5 384 336.4 397.7 348.1 410.7C354 417.3 364.1 417.8 370.7 411.9C377.3 405.1 377.8 395.9 371.9 389.3H371.9zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7z", "M219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7zM207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 352C290.9 352 323.2 367.8 348.3 394.9C354.3 401.4 364.4 401.7 370.9 395.7C377.4 389.7 377.7 379.6 371.7 373.1C341.6 340.5 301 320 256 320C247.2 320 240 327.2 240 336C240 344.8 247.2 352 256 352H256zM208 369C208 349 179.6 308.6 166.4 291.3C163.2 286.9 156.8 286.9 153.6 291.3C140.6 308.6 112 349 112 369C112 395 133.5 416 160 416C186.5 416 208 395 208 369H208zM303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208zM207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208z", "M335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176zM153.6 291.3C156.8 286.9 163.2 286.9 166.4 291.3C179.6 308.6 208 349 208 369C208 395 186.5 416 160 416C133.5 416 112 395 112 369C112 349 140.6 308.6 153.6 291.3H153.6zM175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240z"]],
    "face-saluting": [640, 512, [129761], "e484", ["M608 256C608 397.4 493.4 512 352 512C229.1 512 126.5 425.5 101.7 310C117.8 307.1 133.4 300.6 147.3 290.5L229.7 230.6C234.5 227.1 238.7 223.1 242.2 218.6C246.6 231.1 258.4 240 272.4 240C290 240 304.4 225.7 304.4 208C304.4 190.3 290 176 272.4 176C266.4 176 260.8 177.6 256 180.5C256.4 166.9 252.4 153.1 243.8 141.2C237.8 132.9 230.1 126.4 221.5 121.1L276.1 84.96C302.2 67.21 311.1 33.47 298.5 5.608C315.7 1.933 333.6 0 352 0C493.4 0 608 114.6 608 256H608zM257.4 341C250.2 335.9 240.2 337.5 235 344.6C229.9 351.8 231.5 361.8 238.6 366.1C261.4 383.4 299.3 400 352 400C404.7 400 442.6 383.4 465.4 366.1C472.5 361.8 474.1 351.8 468.1 344.6C463.8 337.5 453.8 335.9 446.6 341C429.2 353.6 397.8 368 352 368C306.2 368 274.8 353.6 257.4 341H257.4zM432.4 240C450 240 464.4 225.7 464.4 208C464.4 190.3 450 176 432.4 176C414.7 176 400.4 190.3 400.4 208C400.4 225.7 414.7 240 432.4 240z", "M127.1 146.8V185.8L173.2 152.1C187.5 142.6 207.5 145.7 217.9 160C228.3 174.3 225.2 194.3 210.9 204.7L128.5 264.6C99.17 285.9 59.12 284.8 30.98 261.9L29.49 260.7C-12.06 226.9-9.257 162.5 35.09 132.5L222.2 5.522C236.8-4.4 256.7-.5876 266.6 14.04C276.5 28.66 272.7 48.56 258.1 58.48L127.1 146.8z"]],
    "face-scream": [640, 512, [], "e38b", ["M516.2 305.5C458.6 353.5 428.4 423.5 418.2 492.5C387.1 505.1 354.8 512 319.1 512C285.2 512 252.1 505.1 221.9 492.5C211.7 423.5 181.4 353.5 123.9 305.5C107.8 292.1 86.67 286 66.05 288.6C64.7 277.9 64 267 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256C576 267 575.3 277.9 573.1 288.5C553.3 286.1 532.3 292.1 516.2 305.5H516.2zM319.1 320C293.5 320 271.1 341.5 271.1 368V400C271.1 426.5 293.5 448 319.1 448C346.5 448 368 426.5 368 400V368C368 341.5 346.5 320 319.1 320zM264.7 149.3C237.5 134.4 197.1 152.2 174.6 189C152.1 225.9 156 267.8 183.3 282.7C210.5 297.6 250.9 279.8 273.4 242.1C295.9 206.1 291.1 164.2 264.7 149.3zM465.4 189C442.9 152.2 402.5 134.4 375.3 149.3C348 164.2 344.1 206.1 366.6 242.1C389.1 279.8 429.5 297.6 456.7 282.7C483.1 267.8 487.9 225.9 465.4 189z", "M174.6 189C197.1 152.2 237.5 134.4 264.7 149.3C291.1 164.2 295.9 206.1 273.4 242.1C250.9 279.8 210.5 297.6 183.3 282.7C156 267.8 152.1 225.9 174.6 189V189zM456.7 282.7C429.5 297.6 389.1 279.8 366.6 242.1C344.1 206.1 348 164.2 375.3 149.3C402.5 134.4 442.9 152.2 465.4 189C487.9 225.9 483.1 267.8 456.7 282.7zM192 512L82.29 511.1C82.73 461.5 65.56 426.2 39.12 386.2C25.99 366.5 31.53 339.1 51.55 326.1C67.97 316.4 89.12 318.2 103.4 330.1C157.2 374.1 185 443.6 192 512L192 512zM600.9 386.2C574.5 426.2 557.3 461.5 557.8 511.1L448 512C455 443.6 482.8 374.1 536.7 330.1C550.9 318.2 572.1 316.4 588.5 326.1C608.5 339.1 614.1 366.5 600.9 386.2L600.9 386.2z"]],
    "face-shush": [512, 512, [], "e38c", ["M256 0C397.4 0 512 114.6 512 256C512 338.2 473.2 411.4 412.1 458.3C420.3 436.9 414.2 412.3 395.8 396.1C382.3 385.7 365 381.9 348.1 385.1C343.3 363.9 329.9 345.9 312 334.2V275.9C326.8 269 338.6 260.1 347.3 251.3C353.6 245.1 353.6 234.9 347.3 228.7C341.1 222.4 330.9 222.4 324.7 228.7C321 232.4 316.6 236.1 311.4 239.6C307.3 212.7 284.1 192 256 192C227.9 192 204.7 212.7 200.6 239.6C195.4 236.1 190.1 232.4 187.3 228.7C181.1 222.4 170.9 222.4 164.7 228.7C158.4 234.9 158.4 245.1 164.7 251.3C173.4 260.1 185.2 269 200 275.9V326C167.2 338.8 144 370.7 144 408V456C144 467.8 146.3 479.1 150.5 489.3C61.76 449.1 0 359.8 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 160C194 160 208.4 145.7 208.4 128C208.4 110.3 194 96 176.4 96C158.7 96 144.4 110.3 144.4 128C144.4 145.7 158.7 160 176.4 160zM336.4 96C318.7 96 304.4 110.3 304.4 128C304.4 145.7 318.7 160 336.4 160C354 160 368.4 145.7 368.4 128C368.4 110.3 354 96 336.4 96z", "M256 224C269.3 224 280 234.7 280 248V320H232V248C232 234.7 242.7 224 256 224zM232 400C227.6 400 224 403.6 224 408V419.5L287.6 464H297.5C304.6 464 311.4 460.8 315.1 455.4L341.6 424.6C350 414.5 365.2 413.1 375.4 421.6C385.5 430 386.9 445.2 378.4 455.4L352.8 486.1C339.1 502.5 318.9 512 297.5 512H232C201.1 512 176 486.9 176 456V408C176 377.1 201.1 352 232 352H264C294.9 352 320 377.1 320 408V416C320 429.3 309.3 440 296 440C282.7 440 272 429.3 272 416V408C272 403.6 268.4 400 264 400H232z"]],
    "face-sleeping": [512, 512, [], "e38d", ["M477.8 128C499.5 165.7 512 209.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C304.7 0 350.2 13.58 388.9 37.16C390.8 41.11 393.3 44.75 396.2 48C383.1 61.68 380.6 81.26 387.7 98.37C395.1 116.3 412.6 127.1 432 127.1L477.8 128zM256 80C256 88.84 263.2 96 272 96H297.4L260.7 132.7C256.1 137.3 254.7 144.1 257.2 150.1C259.7 156.1 265.5 160 272 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H310.6L347.3 91.31C351.9 86.74 353.3 79.86 350.8 73.88C348.3 67.9 342.5 64 336 64H272C263.2 64 256 71.16 256 80V80zM256 424C278.1 424 296 406.1 296 384C296 361.9 278.1 344 256 344C233.9 344 216 361.9 216 384C216 406.1 233.9 424 256 424zM294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2V235.2zM195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4z", "M432 0H496C502.5 0 508.3 3.898 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0003 432 .0003V0zM272 64H336C342.5 64 348.3 67.9 350.8 73.88C353.3 79.86 351.9 86.74 347.3 91.31L310.6 128H336C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H272C265.5 160 259.7 156.1 257.2 150.1C254.7 144.1 256.1 137.3 260.7 132.7L297.4 96H272C263.2 96 256 88.84 256 80C256 71.16 263.2 64 272 64V64zM409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2V235.2zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4z"]],
    "face-sleepy": [512, 512, [], "e38e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 292.1 504.2 328.1 490 359.9C482.7 353.6 474.1 348.1 467.4 343.1C429.6 318.7 383.6 304 352 304C336.7 304 323.5 314.9 320.6 329.9C317.7 345 325.9 360 340.1 365.7C361.1 374.1 371.7 389.2 377.5 407.4C383.8 426.8 384 447.7 384 464C384 468.5 384.4 472.9 385.1 477.1C347.2 499.3 303.1 512 256 512C114.6 512 0 397.4 0 256V256zM256 395.8C278 395.8 298.9 399.4 317.8 405.9C330.1 410.2 342.9 400.6 336.1 389.5C320.1 364.8 290.8 347.1 256 347.1C221.3 347.1 191.1 364.8 175.1 389.5C169.2 400.6 181.1 410.2 194.3 405.9C213.2 399.4 234.1 395.8 256 395.8V395.8zM387.2 246.4C369.6 269.9 334.4 269.9 316.8 246.4C311.5 239.3 301.5 237.9 294.4 243.2C287.3 248.5 285.9 258.5 291.2 265.6C321.6 306.1 382.4 306.1 412.8 265.6C418.1 258.5 416.7 248.5 409.6 243.2C402.5 237.9 392.5 239.3 387.2 246.4zM102.4 243.2C95.33 248.5 93.9 258.5 99.2 265.6C129.6 306.1 190.4 306.1 220.8 265.6C226.1 258.5 224.7 248.5 217.6 243.2C210.5 237.9 200.5 239.3 195.2 246.4C177.6 269.9 142.4 269.9 124.8 246.4C119.5 239.3 109.5 237.9 102.4 243.2V243.2z", "M217.6 243.2C224.7 248.5 226.1 258.5 220.8 265.6C190.4 306.1 129.6 306.1 99.2 265.6C93.9 258.5 95.33 248.5 102.4 243.2C109.5 237.9 119.5 239.3 124.8 246.4C142.4 269.9 177.6 269.9 195.2 246.4C200.5 239.3 210.5 237.9 217.6 243.2V243.2zM409.6 243.2C416.7 248.5 418.1 258.5 412.8 265.6C382.4 306.1 321.6 306.1 291.2 265.6C285.9 258.5 287.3 248.5 294.4 243.2C301.5 237.9 311.5 239.3 316.8 246.4C334.4 269.9 369.6 269.9 387.2 246.4C392.5 239.3 402.5 237.9 409.6 243.2V243.2zM464 512C437.5 512 416 490.5 416 464C416 432 416 361.6 352 336C400 336 512 384 512 464C512 490.5 490.5 512 464 512z"]],
    "face-smile": [512, 512, [128578, "smile"], "f118", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-smile-halo": [512, 512, [], "e38f", ["M256 192C339 192 413.9 178.3 466.4 156.5C485.3 190.7 496 230.1 496 272C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 272C16 230.1 26.73 190.7 45.58 156.5C98.14 178.3 172.1 192 256 192zM139.9 378.5C162.2 404.1 200.9 432 256 432C311.1 432 349.8 404.1 372.1 378.5C377.9 371.8 377.2 361.7 370.5 355.9C363.8 350.1 353.7 350.8 347.9 357.5C329.1 378.2 299.4 400 255.1 400C212.6 400 182 378.2 164.1 357.5C158.3 350.8 148.2 350.1 141.5 355.9C134.8 361.7 134.1 371.8 139.9 378.5H139.9zM217.6 300.8C219.7 303.6 223.3 304.7 226.5 303.6C229.8 302.5 231.1 299.4 231.1 296C231.1 278.1 225.3 260.4 215.4 247.2C205.6 234.2 191.5 224 175.1 224C160.5 224 146.4 234.2 136.6 247.2C126.7 260.4 119.1 278.1 119.1 296C119.1 299.4 122.2 302.5 125.5 303.6C128.7 304.7 132.3 303.6 134.4 300.8L134.4 300.8L134.6 300.5C134.8 300.3 134.1 300 135.3 299.6C135.1 298.8 136.9 297.7 138.1 296.3C140.6 293.4 144.1 289.7 148.3 285.1C157.1 278.2 167.2 272 176 272C184.8 272 194.9 278.2 203.7 285.1C207.9 289.7 211.4 293.4 213.9 296.3C215.1 297.7 216 298.8 216.7 299.6C217 300 217.2 300.3 217.4 300.5L217.6 300.8L217.6 300.8zM386.5 303.6C389.8 302.5 392 299.4 392 296C392 278.1 385.3 260.4 375.4 247.2C365.6 234.2 351.5 224 336 224C320.5 224 306.4 234.2 296.6 247.2C286.7 260.4 280 278.1 280 296C280 299.4 282.2 302.5 285.5 303.6C288.7 304.7 292.3 303.6 294.4 300.8L294.4 300.8L294.6 300.5C294.8 300.3 294.1 300 295.3 299.6C295.1 298.8 296.9 297.7 298.1 296.3C300.6 293.4 304.1 289.7 308.3 285.1C317.1 278.2 327.2 272 336 272C344.8 272 354.9 278.2 363.7 285.1C367.9 289.7 371.4 293.4 373.9 296.3C375.1 297.7 376 298.8 376.7 299.6C377 300 377.2 300.3 377.4 300.5L377.6 300.8L377.6 300.8C379.7 303.6 383.3 304.7 386.5 303.6V303.6z", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM256 48C149.1 48 64 62.33 64 80C64 97.67 149.1 112 256 112C362 112 448 97.67 448 80C448 62.33 362 48 256 48zM217.6 300.8L217.6 300.8L217.4 300.5C217.2 300.3 217 300 216.7 299.6C216 298.8 215.1 297.7 213.9 296.3C211.4 293.4 207.9 289.7 203.7 285.1C194.9 278.2 184.8 272 176 272C167.2 272 157.1 278.2 148.3 285.1C144.1 289.7 140.6 293.4 138.1 296.3C136.9 297.7 135.1 298.8 135.3 299.6C134.1 300 134.8 300.3 134.6 300.5L134.4 300.8L134.4 300.8C132.3 303.6 128.7 304.7 125.5 303.6C122.2 302.5 120 299.4 120 296C120 278.1 126.7 260.4 136.6 247.2C146.4 234.2 160.5 224 176 224C191.5 224 205.6 234.2 215.4 247.2C225.3 260.4 232 278.1 232 296C232 299.4 229.8 302.5 226.5 303.6C223.3 304.7 219.7 303.6 217.6 300.8V300.8zM377.6 300.8L377.6 300.8L377.4 300.5C377.2 300.3 377 300 376.7 299.6C376 298.8 375.1 297.7 373.9 296.3C371.4 293.4 367.9 289.7 363.7 285.1C354.9 278.2 344.8 272 336 272C327.2 272 317.1 278.2 308.3 285.1C304.1 289.7 300.6 293.4 298.1 296.3C296.9 297.7 295.1 298.8 295.3 299.6C294.1 300 294.8 300.3 294.6 300.5L294.4 300.8L294.4 300.8C292.3 303.6 288.7 304.7 285.5 303.6C282.2 302.5 280 299.4 280 296C280 278.1 286.7 260.4 296.6 247.2C306.4 234.2 320.5 224 336 224C351.5 224 365.6 234.2 375.4 247.2C385.3 260.4 392 278.1 392 296C392 299.4 389.8 302.5 386.5 303.6C383.3 304.7 379.7 303.6 377.6 300.8V300.8z"]],
    "face-smile-hearts": [640, 512, [], "e390", ["M524.2 145.1C533.4 154.3 545.3 159.3 557.4 159.9C569.4 189.6 576 222 576 255.1C576 293.4 567.1 329 553.5 361.1C526.5 345.8 491.6 349.8 468.7 372.9C442.8 398.9 441.2 439.9 463.8 467.8C422.8 495.7 373.3 512 320 512C258.7 512 202.4 490.4 158.3 454.4L171.3 441.3C198.9 413.6 198.9 368.7 171.3 340.9C146.5 315.1 107.7 313.4 80.04 333.3C78.34 332 76.59 330.9 74.81 329.8C67.78 306.5 64 281.7 64 256C64 114.6 178.6 0 320 0C366.7 0 410.5 12.5 448.2 34.34C446.9 54.04 453.7 74.18 468.7 89.25L524.2 145.1zM228.1 325.5C222.3 318.8 212.2 318.1 205.5 323.9C198.8 329.7 198.1 339.8 203.9 346.5C226.1 372.1 264.9 400 319.1 400C375.1 400 413.8 372.1 436.1 346.5C441.9 339.8 441.2 329.7 434.5 323.9C427.8 318.1 417.7 318.8 411.9 325.5C393.9 346.2 363.4 368 319.1 368C276.6 368 246 346.2 228.1 325.5H228.1zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6z", "M573.7 11.5C588.9-3.757 613.5-3.757 628.6 11.5C643.8 26.76 643.8 51.49 628.6 66.75L573.2 122.5C565.9 129.8 554.1 129.8 546.9 122.5L491.4 66.69C476.2 51.43 476.2 26.7 491.4 11.44C506.5-3.814 531.1-3.814 546.3 11.44L560 25.27L573.7 11.5zM275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6zM435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6zM628.6 450.7L573.2 506.5C565.9 513.8 554.1 513.8 546.9 506.5L491.4 450.7C476.2 435.4 476.2 410.7 491.4 395.4C506.5 380.2 531.1 380.2 546.3 395.4L560 409.3L573.7 395.5C588.9 380.2 613.5 380.2 628.6 395.5C643.8 410.8 643.8 435.5 628.6 450.7L628.6 450.7zM93.71 363.5C108.9 348.2 133.5 348.2 148.6 363.5C163.8 378.8 163.8 403.5 148.6 418.7L93.2 474.5C85.93 481.8 74.13 481.8 66.86 474.5L11.37 418.7C-3.791 403.4-3.791 378.7 11.37 363.4C26.54 348.2 51.12 348.2 66.29 363.4L80.03 377.3L93.71 363.5z"]],
    "face-smile-horns": [640, 512, [], "e391", ["M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256zM203.9 370.5C226.2 396.1 264.9 424 320 424C375.1 424 413.8 396.1 436.1 370.5C441.9 363.8 441.2 353.7 434.5 347.9C427.8 342.1 417.7 342.8 411.9 349.5C393.1 370.2 363.4 392 319.1 392C276.6 392 246 370.2 228.1 349.5C222.3 342.8 212.2 342.1 205.5 347.9C198.8 353.7 198.1 363.8 203.9 370.5H203.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304V304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z", "M566.1 185.1C550.5 131 517.6 84.28 473.8 51.3C490.8 47.99 513.5 42.74 536.8 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1V185.1zM103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C122.4 84.28 89.5 131 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8948 19.49-.9022 24.88 2.688C44.17 15.55 73.41 26.86 103.3 35.78V35.78zM208.4 272C208.4 263.2 211.9 255.2 217.7 249.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L272.1 267.6C272.3 269 272.4 270.5 272.4 272C272.4 289.7 258 304 240.4 304C222.7 304 208.4 289.7 208.4 272L208.4 272zM432.4 272C432.4 289.7 418 304 400.4 304C382.7 304 368.4 289.7 368.4 272C368.4 270.4 368.5 268.8 368.7 267.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L422.9 249.2C428.7 255 432.4 263.1 432.4 272L432.4 272z"]],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", ["M0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288zM144.4 272C162 272 176.4 257.7 176.4 240C176.4 222.3 162 208 144.4 208C126.7 208 112.4 222.3 112.4 240C112.4 257.7 126.7 272 144.4 272zM304.4 208C286.7 208 272.4 222.3 272.4 240C272.4 257.7 286.7 272 304.4 272C322 272 336.4 257.7 336.4 240C336.4 222.3 322 208 304.4 208zM139.1 346.1C134.1 339.5 124 338.8 117.4 344.7C110.8 350.5 110.2 360.6 116 367.3C142.4 397.1 180.1 416 224 416C267 416 305.6 397.1 331.1 367.3C337.8 360.6 337.2 350.5 330.6 344.7C323.1 338.8 313.9 339.5 308 346.1C287.5 369.4 257.4 384 224 384C190.6 384 160.5 369.4 139.1 346.1V346.1z", "M544 0C557.3 0 568 10.75 568 24V72H616C629.3 72 640 82.75 640 96C640 109.3 629.3 120 616 120H568V168C568 181.3 557.3 192 544 192C530.7 192 520 181.3 520 168V120H472C458.7 120 448 109.3 448 96C448 82.75 458.7 72 472 72H520V24C520 10.75 530.7 0 544 0zM112.4 240C112.4 222.3 126.7 208 144.4 208C162 208 176.4 222.3 176.4 240C176.4 257.7 162 272 144.4 272C126.7 272 112.4 257.7 112.4 240V240zM272.4 240C272.4 222.3 286.7 208 304.4 208C322 208 336.4 222.3 336.4 240C336.4 257.7 322 272 304.4 272C286.7 272 272.4 257.7 272.4 240z"]],
    "face-smile-relaxed": [512, 512, [], "e392", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8V236.8zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-smile-tear": [512, 512, [], "e393", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM139.9 346.5C162.2 372.1 200.9 400 256 400C264.8 400 272 392.8 272 384C272 375.2 264.8 368 256 368C212.6 368 182 346.2 164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5L139.9 346.5zM352 416C378.5 416 400 395 400 369C400 349 371.4 308.6 358.4 291.3C355.2 286.9 348.8 286.9 345.6 291.3C332.4 308.6 304 349 304 369C304 395 325.5 416 352 416H352zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM400 369C400 395 378.5 416 352 416C325.5 416 304 395 304 369C304 349 332.4 308.6 345.6 291.3C348.8 286.9 355.2 286.9 358.4 291.3C371.4 308.6 400 349 400 369H400zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-smile-tongue": [512, 512, [], "e394", ["M489.7 312.1L424.3 274.3C423 273.6 421.6 272.9 420.1 272.5C411.6 270.3 402.8 275.3 400.5 283.9C382.5 351.5 324.1 400 255.1 400C187.9 400 129.5 351.5 111.5 283.9C109.2 275.3 100.4 270.3 91.87 272.5C83.33 274.8 78.26 283.6 80.54 292.1C101.1 372.3 171.9 432 256 432C287.1 432 316.3 423.8 341.8 409.4L409.9 449.9C412.6 451.5 415.4 452.9 418.1 454.1C373.1 490.3 317.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 278.8 509 300.1 503.4 322C499.3 318.3 494.7 314.1 489.7 312.1L489.7 312.1zM226.5 231.6C229.8 230.5 232 227.4 232 223.1C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 151.1 176 151.1C160.5 151.1 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 223.1C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 223.1C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 151.1 336 151.1C320.5 151.1 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 223.1C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM473.7 339.8C496.7 353.1 504.5 382.4 491.3 405.4C478.1 428.1 448.9 435.8 426.3 422.4L370.6 389.3C394.6 368.8 413.5 342.2 425.1 311.7L473.7 339.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-smile-upside-down": [512, 512, [], "e395", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM347.9 186.5C353.7 193.2 363.8 193.9 370.5 188.1C377.2 182.3 377.9 172.2 372.1 165.5C349.8 139.9 311.1 112 256 112C200.9 112 162.2 139.9 139.9 165.5C134.1 172.2 134.8 182.3 141.5 188.1C148.2 193.9 158.3 193.2 164.1 186.5C182 165.8 212.6 143.1 256 143.1C299.4 143.1 329.1 165.8 347.9 186.5L347.9 186.5zM335.6 336C353.3 336 367.6 321.7 367.6 304C367.6 286.3 353.3 272 335.6 272C317.1 272 303.6 286.3 303.6 304C303.6 321.7 317.1 336 335.6 336zM175.6 272C157.1 272 143.6 286.3 143.6 304C143.6 321.7 157.1 336 175.6 336C193.3 336 207.6 321.7 207.6 304C207.6 286.3 193.3 272 175.6 272z", "M207.6 304C207.6 321.7 193.3 336 175.6 336C157.1 336 143.6 321.7 143.6 304C143.6 286.3 157.1 272 175.6 272C193.3 272 207.6 286.3 207.6 304zM367.6 304C367.6 321.7 353.3 336 335.6 336C317.1 336 303.6 321.7 303.6 304C303.6 286.3 317.1 272 335.6 272C353.3 272 367.6 286.3 367.6 304z"]],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-smiling-hands": [640, 512, [], "e396", ["M228.9 495.3C245.9 473.7 256 446.4 256 416.8V386C274.1 394.4 295.4 400 319.1 400C344.6 400 365.9 394.4 384 386V416.8C384 446.4 394.1 473.7 411.1 495.3C382.8 506.1 352.1 512 319.1 512C287.9 512 257.2 506.1 228.9 495.3V495.3zM64.34 242.6C71.31 107.5 183.1 0 319.1 0C456.9 0 568.7 107.5 575.7 242.6C558.9 236.8 539.5 240.6 526.1 254.1L478.1 301.1C469.6 287.4 453.9 278.4 436 278.4C407.3 278.4 384 301.7 384 330.4V349.6C367.2 360.3 345.9 368 319.1 368C294.1 368 272.8 360.3 256 349.6V330.4C256 301.7 232.7 278.4 204 278.4C186.1 278.4 170.4 287.4 161 301.1L113.9 254.1C100.5 240.6 81.15 236.8 64.34 242.6L64.34 242.6zM290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6V231.6zM441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8z", "M281.6 228.8L281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 240 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 184 227.4 184 224C184 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 240 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 296 206.1 296 224C296 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8V228.8zM91.31 276.7L170.3 355.7C175.4 360.8 184 357.2 184 350.1V330.4C184 319.4 192.1 310.4 204 310.4C215 310.4 224 319.4 224 330.4V416.8C224 469.4 181.4 512 128.8 512C103.6 512 79.34 501.1 61.49 484.1L4.686 427.3C-1.562 421.1-1.562 410.9 4.686 404.7C10.93 398.4 21.07 398.4 27.31 404.7L46.63 424C49.22 426.6 53.41 426.6 55.1 424C58.59 421.4 58.59 417.2 55.1 414.6L4.686 363.3C-1.562 357.1-1.562 346.9 4.686 340.7C10.93 334.4 21.07 334.4 27.31 340.7L78.63 392C81.22 394.6 85.41 394.6 87.1 392C90.59 389.4 90.59 385.2 87.1 382.6L20.69 315.3C14.44 309.1 14.44 298.9 20.69 292.7C26.93 286.4 37.06 286.4 43.31 292.7L110.6 360C113.2 362.6 117.4 362.6 119.1 360C122.6 357.4 122.6 353.2 119.1 350.6L68.69 299.3C62.44 293.1 62.44 282.9 68.69 276.7C74.93 270.4 85.06 270.4 91.31 276.7L91.31 276.7zM571.3 276.7C577.6 282.9 577.6 293.1 571.3 299.3L520 350.6C517.4 353.2 517.4 357.4 520 360C522.6 362.6 526.8 362.6 529.4 360L596.7 292.7C602.9 286.4 613.1 286.4 619.3 292.7C625.6 298.9 625.6 309.1 619.3 315.3L552 382.6C549.4 385.2 549.4 389.4 552 392C554.6 394.6 558.8 394.6 561.4 392L612.7 340.7C618.9 334.4 629.1 334.4 635.3 340.7C641.6 346.9 641.6 357.1 635.3 363.3L584 414.6C581.4 417.2 581.4 421.4 584 424C586.6 426.6 590.8 426.6 593.4 424L612.7 404.7C618.9 398.4 629.1 398.4 635.3 404.7C641.6 410.9 641.6 421.1 635.3 427.3L578.5 484.1C560.7 501.1 536.4 512 511.2 512C458.6 512 416 469.4 416 416.8V330.4C416 319.4 424.1 310.4 436 310.4C447 310.4 456 319.4 456 330.4V350.1C456 357.2 464.6 360.8 469.7 355.7L548.7 276.7C554.9 270.4 565.1 270.4 571.3 276.7L571.3 276.7zM441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 224C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 152 400 152C415.5 152 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 224C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8L441.6 228.8z"]],
    "face-smirking": [512, 512, [], "e397", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM375.8 338.6C377.2 329.9 371.3 321.7 362.6 320.2C353.9 318.8 345.7 324.7 344.2 333.4L344 334.6C340.8 353.9 324.1 368 304.6 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H304.6C339.8 400 369.8 374.6 375.6 339.8L375.8 338.6zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z", "M96 208C96 199.2 103.2 192 112 192H176C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208z"]],
    "face-spiral-eyes": [512, 512, [], "e485", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM312.9 374.9C307.5 378.4 300.5 378.4 295.1 374.9L282.6 366.5C266.5 355.8 245.5 355.8 229.4 366.5L216.9 374.9C211.5 378.4 204.5 378.4 199.1 374.9L184.3 364.1C169.1 355.4 151.6 354.3 136.2 361.1L120.8 369.7C112.9 373.6 109.7 383.3 113.7 391.2C117.6 399.1 127.3 402.3 135.2 398.3L150.5 390.6C155.7 388 161.8 388.4 166.6 391.6L181.4 401.5C197.5 412.2 218.5 412.2 234.6 401.5L247.1 393.1C252.5 389.6 259.5 389.6 264.9 393.1L277.4 401.5C293.5 412.2 314.5 412.2 330.6 401.5L345.4 391.6C350.2 388.4 356.3 388 361.5 390.6L376.8 398.3C384.7 402.3 394.4 399.1 398.3 391.2C402.3 383.3 399.1 373.6 391.2 369.7L375.8 361.1C360.4 354.3 342 355.4 327.7 364.1L312.9 374.9zM153.4 100C93.53 102.4 46.93 156.7 52.44 210.5C55.3 264.4 106.1 304.8 154.9 299.5C204 296.6 240.9 251.6 235.5 208.3C232.2 164.9 190.8 133.9 152.6 139.1C114.2 142.5 86.91 178.2 92.3 211.2C96.14 244.2 128.2 265.7 155.9 260.4C183.6 256.3 201.3 229.6 195.4 206.8C193 195.3 185.9 186.9 177.6 181.1C169.5 177.3 159.3 175.4 150.1 178.7C141.2 181.4 135.2 187.6 132.3 194.6C129.7 200.9 129.2 209.6 134.1 216.4C138.4 222.7 145.2 225.6 151.8 224.9C157 224.3 166.9 219.6 165.9 208.5C165.6 205.8 164.5 203.4 162.9 201.5C163.7 201.8 164.5 202.2 165.5 202.7C168.6 204.5 171.1 207.6 171.1 211.9L172.1 212.3L172.2 212.6C174.2 220.3 167.4 234.6 152.3 236.7L151.9 236.7L151.6 236.8C137.6 239.6 118.3 227.7 116.1 208.2L116.1 207.9L116 207.5C112.9 189.2 129.2 165.1 154.9 162.1L155.3 162.9L155.6 162.9C180.3 159.4 209.4 180.6 211.6 210.4L211.6 210.7L211.6 211.1C215.4 239.9 189.5 273.6 153.2 275.6L152.9 275.6L152.6 275.7C117.2 279.6 78.38 249.2 76.39 208.1L76.38 208.6L76.34 208.3C72.15 168.9 107.5 125.9 154.4 123.1C161 123.7 166.2 118.1 165.9 111.5C165.6 104.9 160.1 99.74 153.4 100L153.4 100zM357.6 292C350.1 292.3 345.8 297.9 346.1 304.5C346.4 311.1 351.9 316.3 358.6 315.1C418.5 313.6 465.1 259.3 459.6 205.5C456.7 151.6 405.9 111.2 357.1 116.5C307.1 119.4 271.1 164.4 276.5 207.7C279.8 251.1 321.2 282.1 359.4 276.9C397.8 273.5 425.1 237.8 419.7 204.8C415.9 171.8 383.8 150.3 356.1 155.6C328.4 159.7 310.7 186.4 316.6 209.2C318.1 220.7 326.1 229.1 334.4 234C342.5 238.7 352.7 240.6 361.9 237.3C370.8 234.6 376.8 228.4 379.7 221.4C382.3 215.1 382.8 206.4 377.9 199.6C373.6 193.3 366.8 190.4 360.2 191.1C354.1 191.7 345.1 196.4 346.1 207.5C346.4 210.2 347.5 212.6 349.1 214.5C348.3 214.2 347.5 213.8 346.5 213.3C343.4 211.5 340.9 208.4 340 204.1L339.9 203.7L339.8 203.4C337.8 195.7 344.6 181.4 359.7 179.3L360.1 179.3L360.4 179.2C374.4 176.4 393.7 188.3 395.9 207.8L395.9 208.1L395.1 208.5C399.1 226.8 382.8 250.9 357.1 253L356.7 253.1L356.4 253.1C331.7 256.6 302.6 235.4 300.4 205.6L300.4 205.3L300.4 204.9C296.6 176.1 322.5 142.4 358.8 140.4L359.1 140.4L359.4 140.3C394.8 136.4 433.6 166.8 435.6 207L435.6 207.4L435.7 207.7C439.8 247.1 404.5 290.1 357.6 292L357.6 292z", "M76.34 208.3L76.38 208.6L76.39 208.1C78.38 249.2 117.2 279.6 152.6 275.7L152.9 275.6L153.2 275.6C189.5 273.6 215.4 239.9 211.6 211.1L211.6 210.7L211.6 210.4C209.4 180.6 180.3 159.4 155.6 162.9L155.3 162.9L154.9 162.1C129.2 165.1 112.9 189.2 116 207.5L116.1 207.9L116.1 208.2C118.3 227.7 137.6 239.6 151.6 236.8L151.9 236.7L152.3 236.7C167.4 234.6 174.2 220.3 172.2 212.6L172.1 212.3L171.1 211.9C171.1 207.6 168.6 204.5 165.5 202.7C164.5 202.2 163.7 201.8 162.9 201.5C164.5 203.4 165.6 205.8 165.9 208.5C166.9 219.6 157 224.3 151.8 224.9C145.2 225.6 138.4 222.7 134.1 216.4C129.2 209.6 129.7 200.9 132.3 194.6C135.2 187.6 141.2 181.4 150.1 178.7C159.3 175.4 169.5 177.3 177.6 181.1C185.9 186.9 193 195.3 195.4 206.8C201.3 229.6 183.6 256.3 155.9 260.4C128.2 265.7 96.14 244.2 92.3 211.2C86.91 178.2 114.2 142.5 152.6 139.1C190.8 133.9 232.2 164.9 235.5 208.3C240.9 251.6 204 296.6 154.9 299.5C106.1 304.8 55.31 264.4 52.44 210.5C46.93 156.7 93.54 102.4 153.4 100C160.1 99.74 165.6 104.9 165.9 111.5C166.2 118.1 161 123.7 154.4 123.1C107.5 125.9 72.15 168.9 76.34 208.3L76.34 208.3zM435.7 207.7L435.6 207.4L435.6 207.1C433.6 166.8 394.8 136.4 359.4 140.3L359.1 140.4L358.8 140.4C322.5 142.5 296.6 176.1 300.4 204.9L300.4 205.3L300.4 205.6C302.6 235.4 331.7 256.6 356.4 253.1L356.7 253.1L357.1 253C382.8 250.9 399.1 226.8 395.1 208.5L395.9 208.1L395.9 207.8C393.7 188.3 374.4 176.4 360.4 179.2L360.1 179.3L359.7 179.3C344.6 181.4 337.8 195.7 339.8 203.4L339.9 203.7L340 204.1C340.9 208.4 343.4 211.5 346.6 213.3C347.5 213.8 348.3 214.2 349.1 214.5C347.5 212.6 346.4 210.2 346.1 207.5C345.1 196.4 354.1 191.7 360.2 191.1C366.8 190.4 373.6 193.3 377.9 199.6C382.8 206.4 382.3 215.1 379.7 221.4C376.8 228.4 370.8 234.6 361.9 237.3C352.7 240.6 342.5 238.7 334.4 234C326.1 229.1 318.1 220.7 316.6 209.2C310.7 186.4 328.4 159.7 356.1 155.6C383.8 150.3 415.9 171.8 419.7 204.8C425.1 237.8 397.8 273.5 359.4 276.9C321.2 282.1 279.8 251.1 276.5 207.7C271.1 164.4 307.1 119.4 357.1 116.5C405.9 111.2 456.7 151.6 459.6 205.5C465.1 259.3 418.5 313.6 358.6 315.1C351.9 316.3 346.4 311.1 346.1 304.5C345.8 297.9 350.1 292.3 357.6 292C404.5 290.1 439.9 247.1 435.7 207.7L435.7 207.7z"]],
    "face-sunglasses": [512, 512, [], "e398", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.2 2.971 211.2 8.546 190.2C10.77 191.3 13.31 192 16 192H50.67L57.32 231.9C61.17 255 81.2 272 104.7 272H183.3C206.8 272 226.8 255 230.7 231.9L238.7 183.9C239.1 181.2 239.3 178.6 239.4 176H272.6C272.7 178.6 272.9 181.2 273.3 183.9L281.3 231.9C285.2 255 305.2 272 328.7 272H407.3C430.8 272 450.8 255 454.7 231.9L461.3 192H496C498.7 192 501.2 191.3 503.5 190.2C509 211.2 512 233.2 512 256H512zM164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5C162.1 388.1 200.9 416 255.1 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.9 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5H164.1zM493.4 160H460.6C454.1 141.6 436.5 128 415.3 128H320.7C306.3 128 293.6 134.2 284.9 144H227.1C218.4 134.2 205.7 128 191.3 128H96.66C75.48 128 57.92 141.6 51.39 160H18.61C56.58 66.18 148.6 0 255.1 0C363.4 0 455.4 66.18 493.4 160H493.4z", "M183.3 272H104.7C81.2 272 61.17 255 57.32 231.9L50.67 192H16C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H51.39C57.92 141.6 75.48 128 96.66 128H191.3C205.7 128 218.4 134.2 227.1 144H284.9C293.6 134.2 306.3 128 320.7 128H415.3C436.5 128 454.1 141.6 460.6 160H496C504.8 160 512 167.2 512 176C512 184.8 504.8 192 496 192H461.3L454.7 231.9C450.8 255 430.8 272 407.3 272H328.7C305.2 272 285.2 255 281.3 231.9L273.3 183.9C272.9 181.2 272.7 178.6 272.6 176H239.3C239.3 178.6 239.1 181.2 238.7 183.9L230.7 231.9C226.8 255 206.8 272 183.3 272H183.3z"]],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-swear": [640, 512, [], "e399", ["M320 0C461.4 0 576 114.6 576 256H64C64 114.6 178.6 0 320 0zM272.1 187.6L282.9 191.2C291.3 193.1 300.4 189.4 303.2 181.1C305.1 172.7 301.4 163.6 293.1 160.8L197.1 128.8C188.7 126 179.6 130.6 176.8 138.9C174 147.3 178.6 156.4 186.9 159.2L217.7 169.4C211.9 175.2 208.4 183.2 208.4 192C208.4 209.7 222.7 224 240.4 224C258 224 272.4 209.7 272.4 192C272.4 190.5 272.3 189 272.1 187.6V187.6zM400.4 224C418 224 432.4 209.7 432.4 192C432.4 183.1 428.7 175 422.9 169.2L453.1 159.2C461.4 156.4 465.1 147.3 463.2 138.9C460.4 130.6 451.3 126 442.9 128.8L346.9 160.8C338.6 163.6 334 172.7 336.8 181.1C339.6 189.4 348.7 193.1 357.1 191.2L368.7 187.3C368.5 188.8 368.4 190.4 368.4 192C368.4 209.7 382.7 224 400.4 224H400.4z", "M352 416H320V384H352V416zM0 336C0 309.5 21.49 288 48 288H592C618.5 288 640 309.5 640 336V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V336zM400 352H384V336C384 327.2 376.8 320 368 320C359.2 320 352 327.2 352 336V352H320V336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352H272C263.2 352 256 359.2 256 368C256 376.8 263.2 384 272 384H288V416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448H288V464C288 472.8 295.2 480 304 480C312.8 480 320 472.8 320 464V448H352V464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464V448H400C408.8 448 416 440.8 416 432C416 423.2 408.8 416 400 416H384V384H400C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352zM572.1 354.4C577.9 347.7 577.1 337.6 570.4 331.9C563.7 326.1 553.6 326.9 547.9 333.6L451.9 445.6C446.1 452.3 446.9 462.4 453.6 468.1C460.3 473.9 470.4 473.1 476.1 466.4L572.1 354.4zM472 376C485.3 376 496 365.3 496 352C496 338.7 485.3 328 472 328C458.7 328 448 338.7 448 352C448 365.3 458.7 376 472 376zM552 424C538.7 424 528 434.7 528 448C528 461.3 538.7 472 552 472C565.3 472 576 461.3 576 448C576 434.7 565.3 424 552 424zM224 336C224 327.2 216.8 320 208 320C199.2 320 192 327.2 192 336V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V336zM208 480C221.3 480 232 469.3 232 456C232 442.7 221.3 432 208 432C194.7 432 184 442.7 184 456C184 469.3 194.7 480 208 480zM96 336V337.5C90.36 338.7 84.45 340.8 79.15 344.5C71.63 349.9 66.4 357.8 64.64 368C63.39 375.3 64.04 382.4 67.13 388.9C70.16 395.3 74.89 399.8 79.58 403C87.66 408.5 98.25 411.7 105.1 414L107.5 414.5C116.9 417.3 122.7 419.3 126.2 421.9C127.6 422.8 127.8 423.4 127.8 423.5C127.9 423.5 127.9 423.7 127.1 424.1C128 424.5 128 425.2 127.8 426.4C127.3 429.6 126.3 430.1 125.9 430.4L125.8 430.4C124.7 431.1 122 431.1 117.1 431.9C106.9 431.8 94.52 427.1 85.06 424.8C76.68 422 67.62 426.6 64.82 434.9C62.03 443.3 66.56 452.4 74.94 455.2C79.82 456.8 87.02 459.2 95.11 461V464C95.11 472.8 102.3 480 111.1 480C119.9 480 127.1 472.8 127.1 464V463.2C132.2 462.4 137.5 460.8 142.4 457.8C151.5 452.3 157.4 443.4 159.4 431.9C160.6 424.5 160.1 417.4 157.2 410.7C154.4 404.2 149.8 399.4 145.1 395.1C136.6 389.8 125.4 386.5 117.5 384L116.8 383.8C107.2 380.9 101.2 379 97.56 376.5C96.55 375.9 96.18 375.4 96.07 375.3C96.03 375.1 95.1 374.5 96.18 373.5C96.51 371.6 97.1 371 97.7 370.6C98.76 369.9 101 368.9 105.1 368.4C113.4 367.5 123.1 369.3 131.9 371.4C140.4 373.6 149.2 368.6 151.5 360C153.7 351.5 148.7 342.7 140.1 340.4C136.7 339.5 132.6 338.6 128 337.8V336C128 327.2 120.8 320 112 320C103.2 320 96 327.2 96 336H96zM96.1 375.4C96.1 375.4 96.08 375.3 96.07 375.3z"]],
    "face-thermometer": [576, 512, [], "e39a", ["M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C400 0 495.2 71.96 529.1 172.2C515.9 168.1 500.2 171.5 488.1 182.4L338.2 328.4C323.3 323.2 306.6 320 288 320C232.9 320 194.2 347.9 171.9 373.5C166.1 380.2 166.8 390.3 173.5 396.1C180.2 401.9 190.3 401.2 196.1 394.5C214 373.8 244.6 352 288 352C331.4 352 361.1 373.8 379.9 394.5C385.7 401.2 395.8 401.9 402.5 396.1C407.7 391.6 409.3 384.4 406.1 378.4L543.8 246.4C543.9 249.6 544 252.8 544 255.1L544 256zM208.4 176C190.7 176 176.4 190.3 176.4 208C176.4 225.7 190.7 240 208.4 240C226 240 240.4 225.7 240.4 208C240.4 190.3 226 176 208.4 176zM368.4 240C386 240 400.4 225.7 400.4 208C400.4 190.3 386 176 368.4 176C350.7 176 336.4 190.3 336.4 208C336.4 225.7 350.7 240 368.4 240z", "M547.6 242.7L520.5 215.5C515.8 210.8 508.2 210.8 503.5 215.5C498.8 220.2 498.8 227.8 503.5 232.5L530.4 259.3L515.1 274.1L488.5 247.5C483.8 242.8 476.2 242.8 471.5 247.5C466.8 252.2 466.8 259.8 471.5 264.5L497.8 290.8L482.5 305.5L456.5 279.5C451.8 274.8 444.2 274.8 439.5 279.5C434.8 284.2 434.8 291.8 439.5 296.5L465.2 322.2L449.9 336.9L424.5 311.5C419.8 306.8 412.2 306.8 407.5 311.5C402.8 316.2 402.8 323.8 407.5 328.5L432.6 353.6L406.1 378.4C406.3 376.6 405.4 374.1 404.1 373.5C389.4 356.5 367.4 338.6 338.2 328.4L488.1 182.4C505.5 166.4 531.7 166.6 547.1 182.8C564.6 199.4 564.4 226.3 547.6 242.7L547.6 242.7zM240.4 207.1C240.4 225.7 226 239.1 208.4 239.1C190.7 239.1 176.4 225.7 176.4 207.1C176.4 190.3 190.7 175.1 208.4 175.1C226 175.1 240.4 190.3 240.4 207.1zM400.4 207.1C400.4 225.7 386 239.1 368.4 239.1C350.7 239.1 336.4 225.7 336.4 207.1C336.4 190.3 350.7 175.1 368.4 175.1C386 175.1 400.4 190.3 400.4 207.1z"]],
    "face-thinking": [512, 512, [], "e39b", ["M224.6 510.1C228.6 504.4 231.9 498.1 234.4 491.3L255.4 433.6L291.1 420.6C315 411.9 329.4 388.6 327.9 364.5C326.6 340.1 311.4 318.4 288.7 308.8L166.2 257.3C158.1 253.8 148.7 257.6 145.3 265.8C141.8 273.9 145.6 283.3 153.8 286.7L236.2 321.4L144 354.1V352C144 321.1 118.9 296 88 296C57.07 296 32 321.1 32 352V380C11.61 343.3 0 301 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.4 512 234.9 511.4 224.6 510.1L224.6 510.1zM176.4 207.1C194 207.1 208.4 193.7 208.4 175.1C208.4 158.3 194 143.1 176.4 143.1C158.7 143.1 144.4 158.3 144.4 175.1C144.4 193.7 158.7 207.1 176.4 207.1zM336.4 159.1C318.7 159.1 304.4 174.3 304.4 191.1C304.4 209.7 318.7 223.1 336.4 223.1C354 223.1 368.4 209.7 368.4 191.1C368.4 174.3 354 159.1 336.4 159.1zM229.6 140.1C236.3 145.9 246.4 145.1 252.1 138.4C257.9 131.7 257.1 121.6 250.4 115.9L237.2 104.5C206.4 78.14 162.3 73.95 127.1 94.08L120.1 98.11C112.4 102.5 109.7 112.3 114.1 119.9C118.5 127.6 128.3 130.3 135.9 125.9L142.1 121.9C166.5 108.4 195.9 111.2 216.4 128.8L229.6 140.1z", "M135.9 125.9C128.3 130.3 118.5 127.6 114.1 119.9C109.7 112.3 112.4 102.5 120.1 98.11L127.1 94.08C162.3 73.95 206.4 78.14 237.2 104.5L250.4 115.9C257.1 121.6 257.9 131.7 252.1 138.4C246.4 145.1 236.3 145.9 229.6 140.1L216.4 128.8C195.9 111.2 166.5 108.4 142.1 121.9L135.9 125.9zM144.4 176C144.4 158.3 158.7 144 176.4 144C194 144 208.4 158.3 208.4 176C208.4 193.7 194 208 176.4 208C158.7 208 144.4 193.7 144.4 176zM112 400.6L263.8 345.4C276.3 340.9 290 347.3 294.6 359.8C299.1 372.3 292.7 386 280.2 390.6L230.4 408.7L204.3 480.4C197.4 499.4 179.4 512 159.2 512H112C85.49 512 64 490.5 64 464V352C64 338.7 74.75 328 88 328C101.3 328 112 338.7 112 352L112 400.6zM368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192z"]],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z", "M116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1V157.1zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8V164.8z"]],
    "face-tissue": [512, 512, [], "e39c", ["M221.1 509.8C222.6 507.9 223 505.9 223.3 503.9L241.7 393.7L247.1 397.3C252.5 400.9 259.5 400.9 264.9 397.3L304 371.2L343.1 397.3C347.9 400.5 354 400.9 359.2 398.3L391.2 382.3C399.1 378.4 402.3 368.7 398.3 360.8C394.4 352.9 384.7 349.7 376.8 353.7L353.1 365.5L312.9 338.7C307.5 335.1 300.5 335.1 295.1 338.7L256 364.8L247.5 359.1L255.3 311.9C257.9 296.6 252.9 281 241.9 270.1C230.1 259.1 215.4 254.1 200.1 256.7L8.109 288.7C6.107 288.1 4.148 289.4 2.24 290C.7626 278.9 0 267.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C244.5 512 233.1 511.2 221.1 509.8L221.1 509.8zM118.8 148.8L154.8 191.1L118.8 235.2C116.1 237.4 115.1 240.1 115.1 242.9C115.1 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7C125.6 126.4 115.1 132.2 115.1 141.1C115.1 143.9 116.1 146.6 118.8 148.8V148.8zM288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 191.1L393.2 148.8C395 146.6 396 143.9 396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6z", "M191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6z"]],
    "face-tongue-money": [512, 512, [], "e39d", ["M163.1 494.6C67.66 457.5 0 364.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 364.6 444.3 457.5 348.9 494.6C360.9 476.8 368 455.2 368 432V421.5C390.4 401.4 407 375.4 415.2 346.1C419.1 332.4 407.8 320 393.6 320H118.4C104.2 320 92.92 332.4 96.76 346.1C104.1 375.4 121.6 401.4 144 421.5V432C144 455.2 151.1 476.8 163.1 494.6H163.1zM160 104V113.3C154.3 114.5 148.4 116.6 143 120.5C135.5 125.9 130.4 133.1 128.6 144.1C127.4 151.4 127.9 158.6 130.9 165.3C133.8 171.9 138.5 176.5 143.3 179.9C151.6 185.7 162.6 188.8 170.5 191.1L171.6 191.4C181.2 194.1 186.1 195.1 190.4 198.4C193 200.2 192.6 204.8 189.9 206.4L189.8 206.4C188.7 207.1 186 207.1 181.1 207.9C170.9 207.8 158.5 203.1 149.1 200.8C140.7 198 131.6 202.6 128.8 210.9C126 219.3 130.6 228.4 138.1 231.2C144 232.9 151.6 235.3 160 237.2V248C160 256.8 167.2 264 176 264C184.8 264 192 256.8 192 248V239.1C196.8 238.2 201.8 236.6 206.4 233.8C215.5 228.3 221.4 219.4 223.4 207.9C224.6 200.6 224.1 193.4 221.1 186.7C218.2 180.1 213.5 175.5 208.7 172.1C201.6 167.2 193.2 164.9 184.8 162.7C176.6 160.6 168.4 158.4 161.6 153.6C159.2 151.1 159.2 148.3 161.8 146.4C162.8 145.7 164.9 144.7 168.9 144.3C177.1 143.4 187.6 145.3 195.9 147.5C204.4 149.7 213.2 144.7 215.5 136.1C217.7 127.6 212.7 118.8 204.1 116.5C200.7 115.6 196.6 114.7 192 113.8V104C192 95.16 184.8 88 176 88C167.2 88 160 95.16 160 104L160 104zM352 104C352 95.16 344.8 88 336 88C327.2 88 320 95.16 320 104V113.3C314.3 114.5 308.4 116.6 303 120.5C295.5 125.9 290.4 133.1 288.6 144.1C287.4 151.4 287.9 158.6 290.9 165.3C293.8 171.9 298.5 176.5 303.3 179.9C311.6 185.7 322.6 188.8 330.5 191.1L331.6 191.4C341.2 194.1 346.1 195.1 350.4 198.4C353 200.2 352.6 204.8 349.9 206.4L349.8 206.4C348.7 207.1 346 207.1 341.1 207.9C330.9 207.8 318.5 203.1 309.1 200.8C300.7 198 291.6 202.6 288.8 210.9C286 219.3 290.6 228.4 298.1 231.2C304 232.9 311.6 235.3 320 237.2V248C320 256.8 327.2 264 336 264C344.8 264 352 256.8 352 248V239.1C356.8 238.2 361.8 236.6 366.4 233.8C375.5 228.3 381.4 219.4 383.4 207.9C384.6 200.6 384.1 193.4 381.1 186.7C378.2 180.1 373.5 175.5 368.7 172.1C361.6 167.2 353.2 164.9 344.9 162.7C336.6 160.6 328.4 158.4 321.6 153.6C319.2 151.1 319.2 148.3 321.8 146.4C322.8 145.7 324.9 144.7 328.9 144.3C337.1 143.4 347.6 145.3 355.9 147.5C364.4 149.7 373.2 144.7 375.5 136.1C377.7 127.6 372.7 118.8 364.1 116.5C360.7 115.6 356.6 114.7 352 113.8L352 104z", "M176 88C184.8 88 192 95.16 192 104V113.8C196.6 114.7 200.7 115.6 204.1 116.5C212.7 118.8 217.7 127.6 215.5 136.1C213.2 144.7 204.4 149.7 195.9 147.5C187.6 145.3 177.1 143.4 168.9 144.3C164.9 144.7 162.8 145.7 161.8 146.4C159.2 148.3 159.2 151.1 161.6 153.6C168.4 158.4 176.6 160.6 184.8 162.7C193.2 164.9 201.6 167.2 208.7 172.1C213.5 175.5 218.2 180.1 221.1 186.7C224.1 193.4 224.6 200.6 223.4 207.9C221.4 219.4 215.5 228.3 206.4 233.8C201.8 236.6 196.8 238.2 192 239.1V248C192 256.8 184.8 264 176 264C167.2 264 160 256.8 160 248V237.2C151.6 235.3 144 232.9 138.1 231.2C130.6 228.4 126 219.3 128.8 210.9C131.6 202.6 140.7 198 149.1 200.8C158.5 203.1 170.9 207.8 181.1 207.9C186 207.1 188.7 207.1 189.8 206.4L189.9 206.4C192.6 204.8 193 200.2 190.4 198.4C186.1 195.1 181.2 194.1 171.6 191.4L170.5 191.1C162.6 188.8 151.6 185.7 143.3 179.9C138.5 176.5 133.8 171.9 130.9 165.3C127.9 158.6 127.4 151.4 128.6 144.1C130.4 133.1 135.5 125.9 143 120.5C148.4 116.6 154.3 114.5 160 113.3V104C160 95.16 167.2 88 176 88L176 88zM336 88C344.8 88 352 95.16 352 104V113.8C356.6 114.7 360.7 115.6 364.1 116.5C372.7 118.8 377.7 127.6 375.5 136.1C373.2 144.7 364.4 149.7 355.9 147.5C347.6 145.3 337.1 143.4 328.9 144.3C324.9 144.7 322.8 145.7 321.8 146.4C319.2 148.3 319.2 151.1 321.6 153.6C328.4 158.4 336.6 160.6 344.9 162.7C353.2 164.9 361.6 167.2 368.7 172.1C373.5 175.5 378.2 180.1 381.1 186.7C384.1 193.4 384.6 200.6 383.4 207.9C381.4 219.4 375.5 228.3 366.4 233.8C361.8 236.6 356.8 238.2 352 239.1V248C352 256.8 344.8 264 336 264C327.2 264 320 256.8 320 248V237.2C311.6 235.3 304 232.9 298.1 231.2C290.6 228.4 286 219.3 288.8 210.9C291.6 202.6 300.7 198 309.1 200.8C318.5 203.1 330.9 207.8 341.1 207.9C346 207.1 348.7 207.1 349.8 206.4L349.9 206.4C352.6 204.8 353 200.2 350.4 198.4C346.1 195.1 341.2 194.1 331.6 191.4L330.5 191.1C322.6 188.8 311.6 185.7 303.3 179.9C298.5 176.5 293.8 171.9 290.9 165.3C287.9 158.6 287.4 151.4 288.6 144.1C290.4 133.1 295.5 125.9 303 120.5C308.4 116.6 314.3 114.5 320 113.3V104C320 95.16 327.2 88 336 88L336 88zM336 352V432C336 476.2 300.2 512 255.1 512C211.8 512 175.1 476.2 175.1 432V352H336zM245.3 378.9V385.3C241.5 386.1 237.6 387.5 234 390.1C229 393.9 225.6 399.3 224.4 406.3C223.6 411.2 223.9 416.2 225.9 420.7C227.9 425.2 230.1 428.4 234.2 430.6C239.8 434.6 247.1 436.7 252.3 438.3L253.1 438.5C259.4 440.4 263.3 441.6 265.6 443.3C267.4 444.5 267.1 447.6 265.2 448.7C264.5 449.2 262.7 449.8 259.4 449.8C252.6 449.7 244.3 447.1 238 444.9C232.4 443 226.4 446.1 224.5 451.8C222.7 457.5 225.7 463.7 231.3 465.6C234.7 466.8 239.7 468.5 245.3 469.7V477.1C245.3 483.1 250.1 488 256 488C261.9 488 266.7 483.1 266.7 477.1V470.1C269.9 470.4 273.2 469.3 276.2 467.4C282.3 463.7 286.2 457.6 287.6 449.8C288.4 444.8 288.1 439.8 286.1 435.3C284.1 430.8 281 427.6 277.8 425.4C273.1 421.1 267.5 420.5 261.9 418.1C256.4 417.5 250.1 415.1 246.4 412.7C244.8 411.6 244.8 409.1 246.5 407.8C247.2 407.3 248.6 406.7 251.3 406.4C256.7 405.8 263.7 407 269.3 408.5C274.1 410.1 280.8 406.6 282.3 400.8C283.8 394.1 280.4 389 274.7 387.5C272.5 386.8 269.7 386.2 266.7 385.6V378.9C266.7 372.9 261.9 368 256 368C250.1 368 245.3 372.9 245.3 378.9L245.3 378.9z"]],
    "face-tongue-sweat": [576, 512, [], "e39e", ["M128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 368.9 470.9 464.7 369.5 498.8C378.7 484 384 466.6 384 448V416.7C394.2 409.5 400 401 400 392C400 365.5 349.9 344 288 344C226.1 344 176 365.5 176 392C176 401 181.8 409.5 192 416.7V448C192 466.6 197.3 484 206.5 498.8C165.1 484.9 128.5 460.7 99.62 429.3C116.9 414.1 127.1 393.5 127.1 369L128 369zM335.6 272C335.6 289.7 349.1 304 367.6 304C385.3 304 399.6 289.7 399.6 272C399.6 254.3 385.3 240 367.6 240C349.1 240 335.6 254.3 335.6 272zM239.6 272C239.6 254.3 225.3 240 207.6 240C189.1 240 175.6 254.3 175.6 272C175.6 289.7 189.1 304 207.6 304C225.3 304 239.6 289.7 239.6 272zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7z", "M227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7zM207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304zM367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304zM348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3zM352 402.6V448C352 483.3 323.3 512 288 512C252.7 512 224 483.3 224 448V402.6C224 387.9 235.9 376 250.6 376H252.6C263.9 376 273.7 383.9 276.2 394.9C279 407.5 296.1 407.5 299.8 394.9C302.3 383.9 312.1 376 323.4 376H325.4C340.1 376 352 387.9 352 402.6V402.6zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-unamused": [512, 512, [], "e39f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3C323.8 355.4 295.7 336 255.1 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7H316.1zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z", "M96 208C96 199.2 103.2 192 112 192H176C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208z"]],
    "face-viewfinder": [512, 512, [], "e2ff", ["M136 464H48v-88C48 362.7 37.25 352 24 352S0 362.7 0 376V480c0 17.67 14.33 32 32 32h104C149.3 512 160 501.3 160 488S149.3 464 136 464zM23.1 160C37.25 160 48 149.3 48 136V48h88C149.3 48 160 37.25 160 24S149.3 0 136 0H32C14.33 0 0 14.33 0 32v104C0 149.3 10.75 160 23.1 160zM480 0h-104C362.7 0 352 10.75 352 23.1S362.7 48 376 48h88v88C464 149.3 474.7 160 488 160S512 149.3 512 136V32C512 14.33 497.7 0 480 0zM488 352c-13.25 0-24 10.75-24 24v88h-88c-13.25 0-24 10.75-24 24S362.7 512 376 512H480c17.67 0 32-14.33 32-32v-104C512 362.7 501.3 352 488 352z", "M256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM312 192c13.25 0 24 10.75 24 24S325.3 240 312 240S288 229.3 288 216S298.7 192 312 192zM200 192C213.3 192 224 202.7 224 216S213.3 240 200 240S176 229.3 176 216S186.7 192 200 192zM339.5 314.7C318.2 338.4 287.8 352 256 352s-62.22-13.59-83.47-37.3C166.6 308.1 167.2 298 173.8 292.1c6.562-5.922 16.66-5.359 22.59 1.219c30.38 33.91 88.94 33.91 119.3 0c5.906-6.562 16.03-7.109 22.59-1.219S345.4 308.1 339.5 314.7z"]],
    "face-vomit": [576, 512, [], "e3a0", ["M448.8 434.9C436.9 430.1 427.3 422.6 421.6 412C438.3 399.4 448 384.3 448 368C448 323.8 376.4 288 288 288C199.6 288 128 323.8 128 368C128 384.3 137.7 399.4 154.4 412C148.7 422.6 139.1 430.1 127.2 434.9L110.5 440.5C62.12 393.9 32 328.5 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 328.5 513.9 393.9 465.5 440.5L448.8 434.9zM165.5 130.7C157.6 126.4 148 132.2 148 141.1C148 143.9 148.1 146.6 150.8 148.8L186.8 192L150.8 235.2C148.1 237.4 148 240.1 148 242.9C148 251.8 157.6 257.6 165.5 253.3L255.4 205.4C266.1 199.7 266.1 184.3 255.4 178.6L165.5 130.7zM428 141.1C428 132.2 418.4 126.4 410.5 130.7L320.6 178.6C309.9 184.3 309.9 199.7 320.6 205.4L410.5 253.3C418.4 257.6 428 251.8 428 242.9C428 240.1 427 237.4 425.2 235.2L389.2 192L425.2 148.8C427 146.6 428 143.9 428 141.1V141.1z", "M192 396.1V338.7C215.6 327.6 249.3 320 287.1 320C326.7 320 360.4 327.6 384 338.7V396.1C384 427.1 403.8 454.6 433.2 464.4L467.3 475.8C474.9 478.3 480 485.4 480 493.4C480 503.7 471.7 512 461.4 512H114.6C104.3 512 96 503.7 96 493.4C96 485.4 101.1 478.3 108.7 475.8L142.8 464.4C172.2 454.6 192 427.1 192 396.1H192zM288 400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384C295.2 384 288 391.2 288 400zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416zM576 448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448C512 430.3 526.3 416 544 416C561.7 416 576 430.3 576 448zM64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480z"]],
    "face-weary": [512, 512, [], "e3a1", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM188.7 164.7L181.3 172.1C162.5 190.9 138.2 203.4 111.9 207.8L109.4 208.2C100.7 209.7 94.77 217.9 96.22 226.6C97.67 235.3 105.9 241.2 114.6 239.8L117.1 239.4C150 233.9 180.4 218.3 203.9 194.7L211.3 187.3C217.6 181.1 217.6 170.9 211.3 164.7C205.1 158.4 194.9 158.4 188.7 164.7zM308.1 194.7C331.6 218.3 361.1 233.9 394.9 239.4L397.4 239.8C406.1 241.2 414.3 235.3 415.8 226.6C417.2 217.9 411.3 209.7 402.6 208.2L400.2 207.8C373.8 203.4 349.5 190.9 330.7 172.1L323.3 164.7C317.1 158.4 306.9 158.4 300.7 164.7C294.4 170.9 294.4 181.1 300.7 187.3L308.1 194.7z", "M203.9 194.7C180.4 218.3 150 233.9 117.1 239.4L114.6 239.8C105.9 241.2 97.67 235.3 96.22 226.6C94.76 217.9 100.7 209.7 109.4 208.2L111.8 207.8C138.2 203.4 162.5 190.9 181.3 172.1L188.7 164.7C194.9 158.4 205.1 158.4 211.3 164.7C217.6 170.9 217.6 181.1 211.3 187.3L203.9 194.7zM300.7 187.3C294.4 181.1 294.4 170.9 300.7 164.7C306.9 158.4 317.1 158.4 323.3 164.7L330.7 172.1C349.5 190.9 373.8 203.4 400.1 207.8L402.6 208.2C411.3 209.7 417.2 217.9 415.8 226.6C414.3 235.3 406.1 241.2 397.4 239.8L394.9 239.4C361.1 233.9 331.6 218.3 308.1 194.7L300.7 187.3z"]],
    "face-woozy": [512, 512, [], "e3a2", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM411.3 347.3C417.6 341.1 417.6 330.9 411.3 324.7C405.1 318.4 394.9 318.4 388.7 324.7L349.4 363.1C341.7 371.7 331.3 376 320.4 376C312.7 376 305.1 373.8 298.6 369.8L284.4 360.9C257.5 344.1 224.2 341.1 194.8 352.9C174.2 361.1 150.8 358.7 132.4 346.4L120.9 338.7C113.5 333.8 103.6 335.8 98.69 343.1C93.78 350.5 95.77 360.4 103.1 365.3L114.6 372.1C141.9 391.1 176.3 394.7 206.7 382.6C226.6 374.6 249.2 376.6 267.4 387.1L281.6 396.9C293.3 404.2 306.7 408 320.4 408C339.7 408 358.3 400.3 372 386.6L411.3 347.3zM178.7 103.1C155.5 137.1 120.3 156.4 106.9 160.8C98.56 163.6 94.03 172.7 96.82 181.1C99.62 189.4 108.7 193.1 117.1 191.2C135.7 184.1 177.3 162.8 205.3 120.9C210.2 113.5 208.2 103.6 200.9 98.69C193.5 93.79 183.6 95.77 178.7 103.1V103.1zM204.1 208.5L140.1 224.5C131.5 226.6 126.3 235.3 128.5 243.9C130.6 252.5 139.3 257.7 147.9 255.5L211.9 239.5C220.5 237.4 225.7 228.7 223.5 220.1C221.4 211.5 212.7 206.3 204.1 208.5zM336 272C353.7 272 368 243.3 368 208C368 172.7 353.7 144 336 144C318.3 144 304 172.7 304 208C304 243.3 318.3 272 336 272z", "M117.1 191.2C108.7 193.1 99.62 189.4 96.82 181.1C94.03 172.7 98.56 163.6 106.9 160.8C120.3 156.4 155.5 137.1 178.7 103.1C183.6 95.77 193.5 93.79 200.9 98.69C208.2 103.6 210.2 113.5 205.3 120.9C177.3 162.8 135.7 184.1 117.1 191.2L117.1 191.2zM147.9 255.5C139.3 257.7 130.6 252.5 128.5 243.9C126.3 235.3 131.5 226.6 140.1 224.5L204.1 208.5C212.7 206.3 221.4 211.5 223.5 220.1C225.7 228.7 220.5 237.4 211.9 239.5L147.9 255.5zM304 208C304 172.7 318.3 144 336 144C353.7 144 368 172.7 368 208C368 243.3 353.7 272 336 272C318.3 272 304 243.3 304 208z"]],
    "face-worried": [512, 512, [], "e3a3", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.1 399.7C282.4 399.7 307.3 405 329.7 414.5C342.1 419.7 356.2 410.4 350.8 398.1C334.9 361.5 298.4 335.1 256.1 335.1C213.7 335.1 177.2 361.5 161.3 398.1C155.9 410.4 170 419.7 182.4 414.5C204.8 405 229.7 399.7 256.1 399.7V399.7zM176.4 240C158.7 240 144.4 254.3 144.4 272C144.4 289.7 158.7 304 176.4 304C194 304 208.4 289.7 208.4 272C208.4 254.3 194 240 176.4 240zM336.4 304C354 304 368.4 289.7 368.4 272C368.4 254.3 354 240 336.4 240C318.7 240 304.4 254.3 304.4 272C304.4 289.7 318.7 304 336.4 304zM208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144zM389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7z", "M192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM144.4 272C144.4 254.3 158.7 240 176.4 240C194 240 208.4 254.3 208.4 272C208.4 289.7 194 304 176.4 304C158.7 304 144.4 289.7 144.4 272zM304.4 272C304.4 254.3 318.7 240 336.4 240C354 240 368.4 254.3 368.4 272C368.4 289.7 354 304 336.4 304C318.7 304 304.4 289.7 304.4 272zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9z"]],
    "face-zany": [576, 512, [], "e3a4", ["M509.8 127.1C580.5 250.4 538.5 407 416.1 477.7C407.5 482.6 398.8 487 389.1 490.9C396.4 477.1 400.1 463.4 400.1 448V391.7C449.1 350.8 470.2 286.1 455 226.7C451.5 212.9 435.6 207.8 423.2 214.9L184.9 352.5C172.6 359.6 169 375.1 179.2 385.9C187.1 394.5 197.7 401.9 208.1 408.2V448C208.1 469.1 214.9 488.6 226.4 504.5C161.3 488.3 102.6 446.7 66.36 384C-4.331 261.6 37.62 104.1 160.1 34.3C282.5-36.4 439.1 5.557 509.8 127.1H509.8zM160 159.1C124.7 159.1 96 188.7 96 223.1C96 259.3 124.7 287.1 160 287.1C195.3 287.1 224 259.3 224 223.1C224 188.7 195.3 159.1 160 159.1zM344 223.1C383.8 223.1 416 191.8 416 151.1C416 112.2 383.8 79.1 344 79.1C304.2 79.1 271.1 112.2 271.1 151.1C271.1 191.8 304.2 223.1 344 223.1z", "M296 136C296 118.3 310.3 104 328 104C345.7 104 360 118.3 360 136C360 153.7 345.7 168 328 168C310.3 168 296 153.7 296 136zM184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224zM368.1 402.6V448C368.1 483.3 339.4 512 304.1 512C268.7 512 240.1 483.3 240.1 448V402.6C240.1 387.9 251.1 376 266.7 376H268.7C280 376 289.8 383.9 292.3 394.9C295.1 407.5 313.1 407.5 315.9 394.9C318.3 383.9 328.1 376 339.4 376H341.4C356.1 376 368.1 387.9 368.1 402.6V402.6z"]],
    "face-zipper": [512, 512, [], "e3a5", ["M512 256C512 290.9 505 324.1 492.4 354.4L440.6 328.5C422.1 319.3 399.8 322.9 385.2 337.5L369.5 353.2C354.9 367.8 351.3 390.1 360.5 408.6L389.6 466.7C390.6 468.7 391.6 470.6 392.7 472.5C353.2 497.5 306.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM112 336V368C112 376.8 119.2 384 128 384C136.8 384 144 376.8 144 368V336C144 327.2 136.8 320 128 320C119.2 320 112 327.2 112 336zM208 336C208 327.2 200.8 320 192 320C183.2 320 176 327.2 176 336V368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V336zM240 336V368C240 376.8 247.2 384 256 384C264.8 384 272 376.8 272 368V336C272 327.2 264.8 320 256 320C247.2 320 240 327.2 240 336zM336 336C336 327.2 328.8 320 320 320C311.2 320 304 327.2 304 336V368C304 376.8 311.2 384 320 384C328.8 384 336 376.8 336 368V336z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM392.2 375.8L407.8 360.2C412.7 355.3 420.2 354.1 426.3 357.2L484.4 386.2C513.7 400.9 520.1 439.9 496.9 463.1L495.1 464.9C471.9 488.1 432.9 481.7 418.2 452.4L389.2 394.3C386.1 388.2 387.3 380.7 392.2 375.8L392.2 375.8zM480.5 432.5C485.2 427.8 485.2 420.2 480.5 415.5C475.8 410.8 468.2 410.8 463.5 415.5L447.5 431.5C442.8 436.2 442.8 443.8 447.5 448.5C452.2 453.2 459.8 453.2 464.5 448.5L480.5 432.5zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "falafel": [576, 512, [129478], "e40a", ["M531.5 268.5c42.37 42.37 57.1 96.35 32.88 120.6c-24.21 24.21-78.19 9.492-120.6-32.88s-57.09-96.35-32.88-120.6S489.1 226.2 531.5 268.5z", "M300.9 261.4c1.086-1.688 1.791-3.705 2.637-5.662c3.527-8.154 8.357-19.32 19.26-28.11c10.9-8.789 23.24-11.12 31.4-12.66c2.037-.3848 4.117-.6172 5.105-.8711c1.596-1.006 3.018-2.424 4.537-3.744c6.369-5.539 15.99-13.91 29.89-17.06c3.744-.8496 7.66-1.279 11.64-1.279c9.029 0 16.92 2.215 22.69 3.834c1.889 .5293 3.734 1.184 4.5 1.393c1.004-.0938 2.021-.4473 3.031-.7168c.1387-6.984-.707-14.36 .7891-20.86c2.367-10.3 11.61-19.98 11.66-30.81c.0488-10.49-9.027-20.27-11.35-30.95c-2.322-10.68 1.84-23.47-2.561-32.95c-4.539-9.791-16.93-14.57-23.35-22.87c-6.525-8.437-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49c-10.08-2.42-21.46 4.436-32.06 4.383c-10.27-.0508-21.56-7.096-32.02-4.727c-10.46 2.373-17.77 13.64-27.06 18.13c-9.586 4.635-22.73 3.348-30.87 9.904C206.6 35.19 204.8 48.58 198.2 56.87C191.7 65.2 179.2 69.86 174.6 79.46C170.1 89.03 174.1 101.9 171.7 112.3c-2.367 10.3-11.61 19.98-11.66 30.81C159.1 153.6 169 163.4 171.3 174.1c1.252 5.76 .6797 12.11 .5215 18.25c.127 0 .2266-.0352 .3535-.0352c4.146 0 8.211 .4707 12.09 1.4c13.71 3.291 23.18 11.73 29.45 17.32C215.3 212.4 216.7 213.9 217.5 214.5c1.812 .6777 3.84 .9316 5.834 1.33c8.17 1.629 20.52 4.092 31.38 13.03c10.73 8.824 15.45 19.98 18.89 28.13c.8438 1.998 1.541 4.068 2.152 5.166C277.1 263.5 278.8 264.7 280.4 265.9C282.5 267.5 285.1 269.6 287.6 271.8c3.188-2.853 6.324-5.332 8.916-7.266C298.2 263.3 299.1 262.2 300.9 261.4zM239.1 159.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C255.1 152.8 248.8 159.1 239.1 159.1zM250.7 282.1c-6.525-8.437-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49C166.8 222.4 155.4 229.3 144.8 229.2C134.5 229.2 123.2 222.1 112.8 224.5C102.3 226.9 94.1 238.1 85.71 242.6c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.56-.5645 22.42-2.973 32.88C9.295 346.6 .0508 356.3 0 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.437 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c5.461-6.92 14.72-11.46 20.41-18.25c-2.727-9.601-2.496-18.58-2.211-25.52c.0918-2.211 .2285-5.553 .168-6.225c-.3184-1.07-1.818-4.016-2.811-5.965c-3.963-7.783-9.391-18.44-9.326-32.16c.0664-14.06 5.955-25.26 9.852-32.67c.9824-1.867 2.1-3.658 2.566-4.873c.2988-2.068 .0625-4.271-.002-6.471c-.1914-6.435-.375-14.63 1.838-23.43C264.5 293.1 255.8 288.7 250.7 282.1zM79.1 383.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C95.1 376.8 88.84 383.1 79.1 383.1zM111.1 447.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.836 7.166-15.1 16-15.1c8.836 0 15.1 7.164 15.1 15.1C127.1 440.8 120.8 447.1 111.1 447.1zM143.1 383.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C159.1 376.8 152.8 383.1 143.1 383.1zM567.1 383.1h-.1211c-1.188 1.699-2.055 3.627-3.537 5.109c-24.21 24.21-78.19 9.492-120.6-32.88c-42.37-42.37-57.09-96.35-32.88-120.6c3.549-3.549 7.889-6.014 12.59-7.926c-7.557-1.938-15.34-4.918-22.71-3.246c-10.46 2.373-17.77 13.64-27.06 18.13c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.56-.5645 22.42-2.973 32.88c-2.367 10.3-11.61 19.98-11.66 30.81c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.437 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c6.572-8.33 18.99-12.98 23.6-22.59c4.58-9.557 .5645-22.42 2.973-32.88C565.6 394.4 565.3 389.2 567.1 383.1zM367.1 384c-8.836 0-16-7.164-16-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C383.1 376.8 376.8 384 367.1 384zM399.1 448c-8.836 0-15.1-7.164-15.1-15.1c0-8.836 7.166-15.1 16-15.1c8.836 0 15.1 7.164 15.1 15.1C415.1 440.8 408.8 448 399.1 448z"]],
    "family": [512, 512, [], "e300", ["M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6zM196.1 229C183.6 214.9 176 196.3 176 176c0-4.561 .6107-8.965 1.347-13.32C171.8 161.1 166.1 160 160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480v-72.59C156.9 396.3 144 375.6 144 352V304C144 269.7 165.7 240.3 196.1 229z", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256z"]],
    "family-dress": [512, 512, [], "e301", ["M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM196.1 229C183.6 214.9 176 196.3 176 176c0-4.447 .6133-8.734 1.314-12.99C172.2 161.1 166.7 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-48.22 168.8C-2.295 373.8 5.379 384 16.01 384H64v96c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480v-72.59C156.9 396.3 144 375.6 144 352V304C144 269.7 165.7 240.3 196.1 229zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6z", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256z"]],
    "family-pants": [448, 512, [], "e302", ["M384 160h-64c-6.055 0-11.8 1.111-17.35 2.682C303.4 167 304 171.4 304 176c0 20.31-7.609 38.88-20.13 53.01C314.3 240.3 336 269.7 336 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C304.9 508.8 311.1 512 320 512h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM164.1 229C151.6 214.9 144 196.3 144 176c0-4.561 .6107-8.965 1.347-13.32C139.8 161.1 134.1 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C145.7 496.5 144 488.5 144 480v-72.59C124.9 396.3 112 375.6 112 352V304C112 269.7 133.7 240.3 164.1 229z", "M224 224c26.53 0 48-21.47 48-48S250.5 128 224 128S176 149.5 176 176S197.5 224 224 224zM256 256H192C165.5 256 144 277.5 144 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C304 277.5 282.5 256 256 256z"]],
    "fan": [512, 512, [], "f863", ["M352.6 127.1c-28.13 0-54.13 4.5-77.13 12.88l12.38-123.1c1.125-10.5-8.125-18.88-18.5-17.63C189.6 10.12 127.1 77.62 127.1 159.4c0 28.13 4.5 54.13 12.88 77.13L17.75 224.1C7.249 222.1-1.126 232.2 .1239 242.6c10 79.75 77.5 141.4 159.3 141.4c28.13 0 54.13-4.5 77.13-12.88l-12.38 123.1C222.1 504.6 232.2 513.1 242.6 511.9c79.75-10 141.4-77.5 141.4-159.3c0-28.13-4.5-54.13-12.88-77.13l123.1 12.38c10.5 1.125 18.88-8.125 17.63-18.5C501.9 189.6 434.4 127.1 352.6 127.1zM255.1 287.1c-17.63 0-31.1-14.37-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z", "M255.1 287.1c-17.63 0-31.1-14.37-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z"]],
    "fan-table": [448, 512, [], "e004", ["M224 0C109.1 0 16 93.13 16 208c0 103.1 76.42 189.8 176 205.2V448h64v-34.8C355.6 397.8 432 311.1 432 208C432 93.13 338.9 0 224 0zM379.4 249.4C375.1 253 369.5 254.5 364.1 253.6l-104.8-17.5c4.25 22 .5 44.75-10.62 64.13c-26.12 45.13-83.88 60.63-129.1 34.5c-7-4-14.5-16.75-5.125-28.25l67.5-82c-57.12-20.25-69.12-77.25-59.62-113c6.375-24.25 22.25-44.88 44-57.38c13-7.375 24.25 2.375 27 9.75l37.13 99c28-23.88 67.38-29.25 100.9-13.75c33.38 15.5 54.75 49 54.62 85.88C385.1 240.5 383.6 245.8 379.4 249.4z", "M320 448H128c-28.38 0-55 18.5-63.25 44.13C61.5 502 69.79 512 80.17 512h287.7c10.38 0 18.67-9.999 15.42-19.88C375 466.5 348.4 448 320 448zM119.6 334.8c45.25 26.12 103 10.62 129.1-34.5c11.12-19.38 14.88-42.13 10.62-64.13l104.8 17.5c5.375 .875 11-.625 15.25-4.25s6.625-8.875 6.625-14.38c.1255-36.88-21.25-70.38-54.62-85.88c-33.5-15.5-72.88-10.12-100.9 13.75l-37.13-99c-2.75-7.375-14-17.12-27-9.75c-21.75 12.5-37.63 33.13-44 57.38c-9.5 35.75 2.5 92.75 59.62 113l-67.5 82C105.1 318 112.6 330.8 119.6 334.8zM224 192c8.875 0 16 7.125 16 16S232.9 224 224 224S208 216.9 208 208S215.1 192 224 192z"]],
    "farm": [576, 512, ["barn-silo"], "f864", ["M162.4 258.1L211.3 139.4C214.3 132.1 219.1 126.1 227.2 122.7L354.3 62.49C362.1 58.38 373 58.38 381.7 62.49L508.8 122.7C516 126.1 521.7 132.1 524.7 139.4L573.6 258.1C575.2 262 576 266.2 576 270.3V480C576 497.7 561.7 512 544 512H432V448C432 421.5 410.5 400 384 400H352C325.5 400 304 421.5 304 448V512H192C174.3 512 160 497.7 160 480V270.3C160 266.2 160.8 262 162.4 258.1H162.4zM344 224C330.7 224 320 234.7 320 248V296C320 309.3 330.7 320 344 320H392C405.3 320 416 309.3 416 296V248C416 234.7 405.3 224 392 224H344z", "M0 96C0 42.98 42.98 0 96 0C149 0 192 42.98 192 96V110.3C187.7 115.3 184.3 121.1 181.7 127.3L181.4 127.1H0V96zM132.8 245.1C129.6 253.7 128 261.1 128 270.3V480C128 491.7 131.1 502.6 136.6 512H48C21.49 512 0 490.5 0 464V160H168.2L132.8 245.1zM392 224C405.3 224 416 234.7 416 248V296C416 309.3 405.3 320 392 320H344C330.7 320 320 309.3 320 296V248C320 234.7 330.7 224 344 224H392z"]],
    "faucet": [512, 512, [], "e005", ["M352 256h-38.54c-16-12.8-35.06-22.4-57.46-28.8v-48L224 176L192 179.2v48C169.6 233.6 150.5 243.2 134.5 256H16C6.4 256 0 262.4 0 272v96C0 377.6 6.4 384 16 384h92.78C127.1 422.4 172.8 448 224 448s96.02-25.6 115.2-64H352c19.2 0 32 12.71 32 31.91C384 435.1 396.8 448 416 448h64c19.2 0 32-12.74 32-31.94C512 326.5 441.6 256 352 256zM256 108.8V80C256 70.4 249.6 64 240 64h-32C198.4 64 192 70.4 192 80v28.8L224 112L256 108.8z", "M384 112v28.8C384 153.6 374.4 160 364.8 160L224 144L83.2 160C73.6 160 64 153.6 64 144v-32C64 102.4 73.6 96 83.2 96L224 112L364.8 96C374.4 96 384 102.4 384 112z"]],
    "faucet-drip": [512, 512, [128688], "e006", ["M352 192h-38.54c-16-12.8-35.06-22.4-57.46-28.8v-48L224 112L192 115.2v48C169.6 169.6 150.5 179.2 134.5 192H16C6.4 192 0 198.4 0 208v96C0 313.6 6.4 320 16 320h92.78C127.1 358.4 172.8 384 224 384s96.02-25.6 115.2-64H352c19.2 0 32 12.71 32 31.91C384 371.1 396.8 384 416 384h64c19.2 0 32-12.8 32-32C512 262.4 441.6 192 352 192zM256 44.8V16C256 6.4 249.6 0 240 0h-32C198.4 0 192 6.4 192 16v28.8L224 48L256 44.8z", "M364.8 32L224 48L83.2 32C73.6 32 64 38.4 64 48v28.8C64 89.6 73.6 96 83.2 96L224 80L364.8 96C374.4 96 384 89.6 384 80v-32C384 38.4 374.4 32 364.8 32zM448 416c0 0-32 44.8-32 64c0 19.2 12.8 32 32 32s32-12.8 32-32C480 460.8 448 416 448 416z"]],
    "fax": [512, 512, [128439, 128224], "f1ac", ["M272 256h-32C231.1 256 224 263.1 224 272v32C224 312.9 231.1 320 240 320h32c8.875 0 16-7.125 16-16v-32C288 263.1 280.9 256 272 256zM272 384h-32C231.1 384 224 391.1 224 400v32C224 440.9 231.1 448 240 448h32c8.875 0 16-7.125 16-16v-32C288 391.1 280.9 384 272 384zM400 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C416 391.1 408.9 384 400 384zM400 256h-32C359.1 256 352 263.1 352 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C416 263.1 408.9 256 400 256zM470.6 54.63l-45.25-45.25C419.4 3.375 411.2 0 402.8 0H160C142.3 0 128 14.33 128 32v160h64V64h197.5L416 90.51V192h64V77.25C480 68.77 476.6 60.63 470.6 54.63z", "M64 128H32C14.38 128 0 142.4 0 160v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C96 142.4 81.63 128 64 128zM480 192H128v288c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V224C512 206.3 497.7 192 480 192zM288 432c0 8.875-7.125 16-16 16h-32C231.1 448 224 440.9 224 432v-32C224 391.1 231.1 384 240 384h32c8.875 0 16 7.125 16 16V432zM288 304c0 8.875-7.125 16-16 16h-32C231.1 320 224 312.9 224 304v-32C224 263.1 231.1 256 240 256h32C280.9 256 288 263.1 288 272V304zM416 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM416 304c0 8.875-7.125 16-16 16h-32C359.1 320 352 312.9 352 304v-32C352 263.1 359.1 256 368 256h32C408.9 256 416 263.1 416 272V304z"]],
    "feather": [512, 512, [129718], "f52d", ["M483.4 244.2L351.9 287.1h97.74c-9.873 10.62 3.749-3.125-46.24 46.87l-147.6 49.12h98.24c-74.99 73.12-194.6 70.62-246.8 54.1l237.8-238c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L72.87 405.2l-.3107-.5296c-9.24-30.89-29.15-162.9 56.55-248.4l85.74-85.68c90.62-90.62 189.8-88.27 252.3-25.78C517.8 95.34 528.9 169.7 483.4 244.2z", "M23.1 512c-6.156 0-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.6 0-33.98l304-303.1c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-303.1 304C36.32 509.7 30.16 512 23.1 512z"]],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", ["M467.1 241.1L351.1 288h94.34c-7.711 14.85-16.29 29.28-25.87 43.01l-132.5 52.99h85.65c-59.34 52.71-144.1 80.35-264.5 52.82l235.9-235.9c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L75.11 402.1C-2.957 61.97 362.5 8.436 478.9 .0846c18.87-1.354 34.41 14.19 33.05 33.05C508.7 78.53 498.5 161.8 467.1 241.1z", "M23.1 512c-6.156 0-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l303.1-303.1c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-303.1 303.1C36.28 509.7 30.16 512 23.1 512z"]],
    "fence": [512, 512, [], "e303", ["M192 224H128V160H192V224zM384 224H320V160H384V224zM128 352H192V416H128V352zM384 416H320V352H384V416z", "M121.6 98.13C125.8 103.7 128 110.4 128 117.3V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V117.3C0 110.4 2.246 103.7 6.4 98.13L51.2 38.4C54.22 34.37 58.96 32 64 32C69.04 32 73.78 34.37 76.8 38.4L121.6 98.13zM313.6 98.13C317.8 103.7 320 110.4 320 117.3V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V117.3C192 110.4 194.2 103.7 198.4 98.13L243.2 38.4C246.2 34.37 250.1 32 256 32C261 32 265.8 34.37 268.8 38.4L313.6 98.13zM448 32C453 32 457.8 34.37 460.8 38.4L505.6 98.13C509.8 103.7 512 110.4 512 117.3V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V117.3C384 110.4 386.2 103.7 390.4 98.13L435.2 38.4C438.2 34.37 442.1 32 448 32V32z"]],
    "ferris-wheel": [512, 512, [], "e174", ["M381.8 477.9C385.2 485.3 384.6 494 380.2 500.9C375.8 507.8 368.2 512 360 512H152C143.8 512 136.2 507.8 131.8 500.9C127.4 494 126.8 485.3 130.2 477.9L219 286.6C212.1 278.3 208 267.6 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256C304 267.6 299.9 278.3 292.1 286.6L381.8 477.9z", "M302.7 36.88C330.4 42.75 356.2 53.73 379.1 68.8C385.4 65.72 392.5 64 400 64C426.5 64 448 85.49 448 112C448 119.5 446.3 126.6 443.2 132.9C458.3 155.8 469.3 181.6 475.1 209.3C496.3 214.3 512 233.3 512 256C512 278.7 496.3 297.7 475.1 302.7C469.3 330.4 458.3 356.2 443.2 379.1C446.3 385.4 448 392.5 448 400C448 425.6 428 446.4 402.9 447.9L364.3 367.9C368.9 362.8 374.6 358.7 380.1 355.9C398.2 334.4 409.9 308.5 414.2 280H332.3C334.7 272.4 336 264.4 336 256C336 247.6 334.7 239.6 332.3 232H414.2C410.3 205.7 399.9 181.6 384.8 161.1L326.9 218.1C319.4 204.5 307.5 192.6 293 185.1L350.9 127.2C330.4 112.1 306.3 101.7 280 97.79V179.7C272.4 177.3 264.4 176 256 176C247.6 176 239.6 177.3 232 179.7V97.79C205.7 101.7 181.6 112.1 161.1 127.2L218.1 185.1C204.5 192.6 192.6 204.5 185.1 218.1L127.2 161.1C112.1 181.6 101.7 205.7 97.79 232H179.7C177.3 239.6 176 247.6 176 256C176 264.4 177.3 272.4 179.7 280H97.79C102.1 308.5 113.8 334.4 131 355.9C137.4 358.7 143.1 362.8 147.7 367.9L109.1 447.9C83.97 446.4 64 425.6 64 400C64 392.5 65.72 385.4 68.8 379.1C53.73 356.2 42.75 330.4 36.88 302.7C15.73 297.7 0 278.7 0 256C0 233.3 15.73 214.3 36.88 209.3C42.75 181.6 53.73 155.8 68.8 132.9C65.72 126.6 64 119.5 64 112C64 85.49 85.49 64 112 64C119.5 64 126.6 65.72 132.9 68.8C155.8 53.73 181.6 42.75 209.3 36.88C214.3 15.73 233.3 0 256 0C278.7 0 297.7 15.73 302.7 36.88V36.88z"]],
    "ferry": [576, 512, [], "e4ea", ["M269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5z", "M191.1 32C191.1 14.33 206.3 0 223.1 0H352C369.7 0 384 14.33 384 32H459.1C479.7 32 490.7 56.29 477.2 71.8L456 96H119.1L98.83 71.8C85.25 56.29 96.27 32 116.9 32H191.1zM512 160V283.5C512 296.8 507.8 309.8 500.1 320.7L448.7 392.6C446.8 393.7 444.1 394.9 443.2 396.1C427.7 406.8 409.1 414.2 392.1 416H375.6C358.5 414.2 340.6 406.1 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C236.3 406.3 218.7 414.1 200.5 416H183.9C166.9 414.2 148.3 406.8 132.9 396.1C131.1 394.8 129.2 393.7 127.3 392.6L75.92 320.7C68.17 309.8 64 296.8 64 283.5V160C64 142.3 78.33 128 96 128H480C497.7 128 512 142.3 512 160H512zM448 192H127.1V288H448V192z"]],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", ["M432.1 351.9c-44.2 0-80.05 35.85-80.05 80.01c0 44.16 35.86 80.01 80.05 80.01s79.95-35.85 79.95-80.01C511.1 387.8 476.2 351.9 432.1 351.9zM503.7 74.96c5.613-8.262 8.291-17.63 8.291-26.91c0-15.51-7.506-30.76-21.4-40.01C482.4 2.603 473.2 0 464.1 0c-15.34 0-30.41 7.358-39.67 20.99l-73.13 104.5l79.84 53.16L503.7 74.96z", "M351.3 125.5l-184.7 271.9c-8.323 11.88-21.91 18.69-34.9 18.69c-26.57 0-35.85-24.89-35.85-37.5c0-4.547 .8872-12.99 6.778-21.41l9.824-14.07c5.846-8.383 8.653-17.99 8.653-27.49c0-22.67-17.96-48.09-47.93-48.09c-15.12 0-29.99 7.178-39.3 20.56L24.09 302.1c-9.392 13.46-24.09 39.81-24.09 76.91C.0009 457.4 64.04 512 131.3 512c67.4 0 104.6-46.44 114.3-60.29l185.5-273.1L351.3 125.5z"]],
    "file": [384, 512, [128459, 61462, 128196], "f15b", ["M224 0V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224z", "M224 0L384 160H224V0z"]],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288.1 360.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C99.72 322.3 105.8 320 112 320s12.28 2.344 16.97 7.031L168 366.1V248C168 234.8 178.8 224 192 224s24 10.75 24 24v118.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S298.3 351.6 288.1 360.1z", "M256 0v128h128L256 0zM255 327L216 366.1V248C216 234.8 205.3 224 192 224S168 234.8 168 248v118.1l-39.03-39.03C124.3 322.3 118.2 320 112 320s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S264.4 317.7 255 327z"]],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288.1 344.1C284.3 349.7 278.2 352 272 352s-12.28-2.344-16.97-7.031L216 305.9V424c0 13.25-10.75 24-24 24s-24-10.75-24-24V305.9l-39.03 39.03c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C298.3 320.4 298.3 335.6 288.1 344.1z", "M256 0v128h128L256 0zM208.1 231c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L168 305.9V424C168 437.3 178.8 448 192 448s24-10.75 24-24V305.9l39.03 39.03C259.7 349.7 265.8 352 272 352s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L208.1 231z"]],
    "file-audio": [384, 512, [], "f1c7", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM176 404c0 10.75-12.88 15.98-20.5 8.484L120 376H76C69.38 376 64 370.6 64 364v-56C64 301.4 69.38 296 76 296H120l35.5-36.5C163.1 251.9 176 257.3 176 268V404zM224 387.8c-4.391 0-8.75-1.835-11.91-5.367c-5.906-6.594-5.359-16.69 1.219-22.59C220.2 353.7 224 345.2 224 336s-3.797-17.69-10.69-23.88c-6.578-5.906-7.125-16-1.219-22.59c5.922-6.594 16.05-7.094 22.59-1.219C248.2 300.5 256 317.8 256 336s-7.766 35.53-21.31 47.69C231.6 386.4 227.8 387.8 224 387.8zM265.2 441.1c-2.781 1.938-5.988 2.875-9.145 2.875c-5.047 0-10.03-2.375-13.14-6.844c-5.047-7.25-3.281-17.22 3.969-22.28C272.6 396.9 288 367.4 288 336s-15.38-60.84-41.14-78.8c-7.25-5.062-9.027-15.03-3.98-22.28c5.047-7.281 14.99-9.062 22.27-3.969C299.5 254.9 320 294.2 320 336C320 377.8 299.5 417.1 265.2 441.1z", "M256 0v128h128L256 0zM155.5 259.5L120 296H76C69.38 296 64 301.4 64 308v56c0 6.625 5.375 12 12 12H120l35.5 36.5C163.1 420 176 414.8 176 404v-136C176 257.3 163.1 251.9 155.5 259.5zM234.7 288.3c-6.547-5.875-16.67-5.375-22.59 1.219c-5.906 6.594-5.359 16.69 1.219 22.59C220.2 318.3 224 326.8 224 336s-3.797 17.69-10.69 23.88c-6.578 5.906-7.125 16-1.219 22.59C215.3 386 219.6 387.8 224 387.8c3.812 0 7.625-1.398 10.69-4.148C248.2 371.5 256 354.2 256 336S248.2 300.5 234.7 288.3zM265.1 230.9c-7.281-5.094-17.22-3.312-22.27 3.969c-5.047 7.25-3.27 17.22 3.98 22.28C272.6 275.2 288 304.6 288 336s-15.39 60.86-41.16 78.83c-7.25 5.062-9.016 15.03-3.969 22.28c3.109 4.469 8.09 6.844 13.14 6.844c3.156 0 6.363-.9375 9.145-2.875C299.5 417.1 320 377.8 320 336C320 294.2 299.5 254.9 265.1 230.9z"]],
    "file-binary": [384, 512, [], "e175", ["M144 272h-32C103.2 272 96 279.2 96 288v80C96 376.8 103.2 384 112 384h32C152.8 384 160 376.8 160 368V288C160 279.2 152.8 272 144 272zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM192 368c0 26.47-21.53 48-48 48h-32C85.53 416 64 394.5 64 368V288c0-26.47 21.53-48 48-48h32C170.5 240 192 261.5 192 288V368zM304 416h-64c-8.844 0-16-7.156-16-16s7.156-16 16-16H256V272h-16C231.2 272 224 264.8 224 256s7.156-16 16-16h32C280.8 240 288 247.2 288 256v128h16c8.844 0 16 7.156 16 16S312.8 416 304 416z", "M256 0v128h128L256 0zM304 384H288V256c0-8.844-7.156-16-16-16h-32C231.2 240 224 247.2 224 256s7.156 16 16 16H256V384h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S312.8 384 304 384zM144 240h-32C85.53 240 64 261.5 64 288v80C64 394.5 85.53 416 112 416h32c26.47 0 48-21.53 48-48V288C192 261.5 170.5 240 144 240zM160 368C160 376.8 152.8 384 144 384h-32C103.2 384 96 376.8 96 368V288c0-8.828 7.188-16 16-16h32C152.8 272 160 279.2 160 288V368z"]],
    "file-certificate": [512, 512, ["file-award"], "f5f3", ["M384 128V0H176C149.5 0 128 21.49 128 48l.0007 84.94c1.732-.3867 3.804-1.012 6.679-1.793l3.795-1.031c5.186-1.406 10.54-2.121 15.9-2.121c16.23 0 32.1 6.676 43.55 18.32l2.742 2.793c2.17 2.219 3.688 3.867 5.027 5.102c1.691 .5547 3.809 1.066 6.703 1.855l3.85 1.055c21.1 5.781 37.55 22.42 43.14 43.57l1.124 4.252c.791 3.008 1.293 5.18 1.854 6.91c1.24 1.41 2.92 3.004 5.209 5.324l2.412 2.445c15.56 15.77 21.62 38.48 15.88 59.88l-.852 3.175c-.8926 3.328-1.596 5.645-1.984 7.559C283.4 292 284 294.1 284.8 297.1l1.084 4.125c5.711 21.29-.3828 44.15-15.72 59.48l-2.875 2.914c-2.154 2.18-3.754 3.703-4.949 5.047c-.5605 1.746-1.066 3.941-1.861 6.977l-.9824 3.727c-4.748 18.77-18.02 34.06-35.52 41.47L223.1 512H464c26.51 0 48-21.49 48-48V128H384z", "M384 0v128h128L384 0zM247.4 242.3C236.2 230.9 234.3 229.5 231.7 220.8C230.8 217.9 229.9 214.2 228.5 209C227.8 206.4 226.9 204 225.6 201.8C221.8 195.1 215.5 190.1 207.9 188C195.1 184.5 191.3 183.8 186.6 180C184.8 178.5 182.8 176.5 179.1 173.7C178.6 172.3 176.1 170.6 175.1 168.8C172.6 166.2 169.7 164.4 166.6 162.1C165.8 162.6 165.1 162.3 164.3 162C161.2 160.8 157.8 160 154.4 160c-.0176 0 .0176 0 0 0c-.002 0 .002 0 0 0s.002 0 0 0C151.9 160 149.4 160.3 146.9 161c.2441-.0664 .4809-.0391 .725-.0938C147.4 160.1 147.1 160.9 146.9 161C136.7 163.8 132.3 165.1 127.1 165.1c-4.359 0-8.697-1.375-18.82-4.125C106.7 160.3 104.1 160 101.6 160c-.0176 0 .0176 0 0 0C98.18 160 94.86 160.8 91.68 162C90.89 162.3 90.16 162.6 89.4 162.1C86.31 164.4 83.37 166.2 80.89 168.8C65.89 183.9 68.39 182.4 48.14 188C38.02 190.8 30.1 198.8 27.48 209C25.42 216.8 24.38 221.3 23.05 224.6C20.84 230.3 17.9 232.8 8.606 242.3C6.731 244.1 5.188 246.2 3.906 248.5C.0625 255.2-1.038 263.3 1.024 271.1c5.5 20.62 5.375 17.75 0 38.38c-2.062 7.688-.9616 15.8 2.882 22.54c1.281 2.246 2.825 4.34 4.7 6.215c11.06 11.34 13.09 12.77 15.72 21.48c.875 2.902 1.78 6.613 3.155 11.77c2.625 10.38 10.54 18.38 20.67 21.12c7.188 1.938 10.06 2.688 11.68 3.203s2.003 .7969 4.188 1.797V512l63.99-32l63.99 32v-114.4c4.25-2 1.501-1.125 15.87-5c7.592-2.062 13.91-7.078 17.71-13.84c1.266-2.25 2.257-4.695 2.913-7.289c1.375-5.188 2.303-8.914 3.169-11.82c2.594-8.727 4.549-10.09 15.7-21.43c7.5-7.5 10.38-18.5 7.625-28.75c-5.375-20.62-5.5-17.75 0-38.38C257.7 260.8 254.9 249.8 247.4 242.3zM128 352c-4.422 0-8.741-.4453-12.91-1.297c-8.336-1.703-16.08-5.027-22.89-9.625c-6.807-4.602-12.68-10.47-17.28-17.28C68.04 313.6 64.02 301.3 64.02 288s4.021-25.58 10.92-35.8c4.596-6.809 10.47-12.68 17.28-17.28c6.809-4.598 14.55-7.922 22.89-9.625C119.3 224.4 123.6 224 128 224c35.37 0 63.99 28.62 63.99 64S163.4 352 128 352z"]],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM128 435.3C128 441.6 121.6 448 115.3 448h-38.5C70.38 448 64 441.6 64 435.3v-70.5C64 358.4 70.38 352 76.75 352h38.5C121.6 352 128 358.4 128 364.8V435.3zM224 435.3C224 441.6 217.6 448 211.3 448h-38.5C166.4 448 160 441.6 160 435.3v-198.5C160 230.4 166.4 224 172.8 224h38.5C217.6 224 224 230.4 224 236.8V435.3zM320 435.3C320 441.6 313.6 448 307.3 448h-38.5C262.4 448 256 441.6 256 435.3v-134.5C256 294.4 262.4 288 268.8 288h38.5C313.6 288 320 294.4 320 300.8V435.3z", "M307.3 288h-38.5C262.4 288 256 294.4 256 300.8v134.5C256 441.6 262.4 448 268.8 448h38.5C313.6 448 320 441.6 320 435.3v-134.5C320 294.4 313.6 288 307.3 288zM115.3 352h-38.5C70.38 352 64 358.4 64 364.8v70.5C64 441.6 70.38 448 76.75 448h38.5C121.6 448 128 441.6 128 435.3v-70.5C128 358.4 121.6 352 115.3 352zM211.3 224h-38.5C166.4 224 160 230.4 160 236.8v198.5C160 441.6 166.4 448 172.8 448h38.5C217.6 448 224 441.6 224 435.3v-198.5C224 230.4 217.6 224 211.3 224zM256 0v128h128L256 0z"]],
    "file-chart-pie": [384, 512, [], "f65a", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM136.5 438.5c-28.75-11.12-51.88-34.25-63-63C43.38 298.1 90.88 224.8 160 210.6V352h141.4C287.3 421.1 213.9 468.6 136.5 438.5zM192 320V199.9c66.38 0 120.1 53.75 120.1 120.1H192z", "M160 210.6c-69.13 14.12-116.6 87.5-86.5 164.9c11.12 28.75 34.25 51.88 63 63C213.9 468.6 287.3 421.1 301.4 352H160V210.6zM256 0v128h128L256 0z"]],
    "file-check": [384, 512, [], "f316", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM282.2 295.6l-96 112c-4.344 5.062-10.62 8.094-17.31 8.344C168.6 415.1 168.3 415.1 168 415.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C289.7 270.4 290.8 285.5 282.2 295.6z", "M256 0v128h128L256 0zM245.8 264.4l-79.13 92.34l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48c4.5 4.5 10.62 7.031 16.97 7.031c.3125 0 .625 0 .9062-.0313c6.688-.25 12.97-3.281 17.31-8.344l96-112c8.625-10.06 7.469-25.22-2.594-33.84C269.6 253.2 254.4 254.3 245.8 264.4z"]],
    "file-circle-check": [576, 512, [], "e5a0", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"]],
    "file-circle-exclamation": [576, 512, [], "e4eb", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"]],
    "file-circle-info": [576, 512, [58604], "e493", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"]],
    "file-circle-minus": [576, 512, [], "e4ed", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"]],
    "file-circle-plus": [576, 512, [58606], "e494", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"]],
    "file-circle-question": [576, 512, [], "e4ef", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"]],
    "file-circle-xmark": [576, 512, [], "e5a1", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"]],
    "file-code": [384, 512, [], "f1c9", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM154.1 353.8c7.812 7.812 7.812 20.5 0 28.31C150.2 386.1 145.1 388 140 388s-10.23-1.938-14.14-5.844l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L120.3 320L154.1 353.8zM306.1 334.2l-48 48C254.2 386.1 249.1 388 244 388s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31L263.7 320l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C313.1 313.7 313.1 326.3 306.1 334.2z", "M256 0v128h128L256 0zM154.1 257.8c-7.812-7.812-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31l48 48C129.8 386.1 134.9 388 140 388s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L120.3 320l33.86-33.84C161.1 278.3 161.1 265.7 154.1 257.8zM258.1 257.8c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L263.7 320l-33.86 33.84c-7.812 7.812-7.812 20.5 0 28.31C233.8 386.1 238.9 388 244 388s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31L258.1 257.8z"]],
    "file-contract": [384, 512, [], "f56c", ["M256 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128h-128V0zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM246.6 377.5c2 4 6 6.5 10.12 6.5H304c8.875 0 16 7.125 16 16S312.9 416 304 416h-47.25c-16.38 0-31.25-9.125-38.63-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.75 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12-4.75-14-11L144 354.6L133.4 386.5C127.5 404.1 111 416 92.38 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63C200.4 347.1 234.8 353.6 246.6 377.5z", "M256 0v128h128L256 0zM304 384h-47.25c-4.125 0-8.125-2.5-10.12-6.5c-11.88-23.88-46.25-30.38-66-14.12l-13.88-41.63C163.5 311.9 154.4 305.3 144 305.3s-19.5 6.625-22.75 16.5L103 376.4C101.5 380.9 97.25 384 92.38 384H80C71.13 384 64 391.1 64 400S71.13 416 80 416h12.38c18.62 0 35.13-11.88 41-29.5L144 354.6L160.9 405c2 6.25 7.5 10.5 14 11H176c5.999 0 11.62-3.375 14.25-8.875l7.75-15.38c2.751-5.5 7.875-6.125 10-6.125s7.25 .625 10.12 6.5C225.5 406.9 240.4 416 256.8 416H304c8.875 0 16-7.125 16-16S312.9 384 304 384z"]],
    "file-csv": [384, 512, [], "f6dd", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 224C57.91 224 40 241.9 40 264V344C40 366.1 57.91 384 80 384H96C118.1 384 136 366.1 136 344V336C136 327.2 128.8 320 120 320C111.2 320 104 327.2 104 336V344C104 348.4 100.4 352 96 352H80C75.58 352 72 348.4 72 344V264C72 259.6 75.58 256 80 256H96C100.4 256 104 259.6 104 264V272C104 280.8 111.2 288 120 288C128.8 288 136 280.8 136 272V264C136 241.9 118.1 224 96 224H80zM175.4 310.6L200.8 325.1C205.2 327.7 208 332.5 208 337.6C208 345.6 201.6 352 193.6 352H168C159.2 352 152 359.2 152 368C152 376.8 159.2 384 168 384H193.6C219.2 384 240 363.2 240 337.6C240 320.1 231.1 305.6 216.6 297.4L191.2 282.9C186.8 280.3 184 275.5 184 270.4C184 262.4 190.4 256 198.4 256H216C224.8 256 232 248.8 232 240C232 231.2 224.8 224 216 224H198.4C172.8 224 152 244.8 152 270.4C152 287 160.9 302.4 175.4 310.6zM280 240C280 231.2 272.8 224 264 224C255.2 224 248 231.2 248 240V271.6C248 306.3 258.3 340.3 277.6 369.2L282.7 376.9C285.7 381.3 290.6 384 296 384C301.4 384 306.3 381.3 309.3 376.9L314.4 369.2C333.7 340.3 344 306.3 344 271.6V240C344 231.2 336.8 224 328 224C319.2 224 312 231.2 312 240V271.6C312 294.6 306.5 317.2 296 337.5C285.5 317.2 280 294.6 280 271.6V240z", "M224 160V0L384 160H224zM96 224C118.1 224 136 241.9 136 264V272C136 280.8 128.8 288 120 288C111.2 288 104 280.8 104 272V264C104 259.6 100.4 256 96 256H80C75.58 256 72 259.6 72 264V344C72 348.4 75.58 352 80 352H96C100.4 352 104 348.4 104 344V336C104 327.2 111.2 320 120 320C128.8 320 136 327.2 136 336V344C136 366.1 118.1 384 96 384H80C57.91 384 40 366.1 40 344V264C40 241.9 57.91 224 80 224H96zM152 270.4C152 244.8 172.8 224 198.4 224H216C224.8 224 232 231.2 232 240C232 248.8 224.8 256 216 256H198.4C190.4 256 184 262.4 184 270.4C184 275.5 186.8 280.3 191.2 282.9L216.6 297.4C231.1 305.6 240 320.1 240 337.6C240 363.2 219.2 384 193.6 384H168C159.2 384 152 376.8 152 368C152 359.2 159.2 352 168 352H193.6C201.6 352 208 345.6 208 337.6C208 332.5 205.2 327.7 200.8 325.1L175.4 310.6C160.9 302.4 152 287 152 270.4zM280 271.6C280 294.6 285.5 317.2 296 337.5C306.5 317.2 312 294.6 312 271.6V240C312 231.2 319.2 224 328 224C336.8 224 344 231.2 344 240V271.6C344 306.3 333.7 340.3 314.4 369.2L309.3 376.9C306.3 381.3 301.4 384 296 384C290.6 384 285.7 381.3 282.7 376.9L277.6 369.2C258.3 340.3 248 306.3 248 271.6V240C248 231.2 255.2 224 264 224C272.8 224 280 231.2 280 240V271.6z"]],
    "file-dashed-line": [576, 512, ["page-break"], "f877", ["M320 0V128C320 145.7 334.3 160 352 160H480V256H96V64C96 28.65 124.7 0 160 0H320zM480 448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V368H480V448zM352 0L480 128H352V0z", "M0 312C0 298.7 10.75 288 24 288H136C149.3 288 160 298.7 160 312C160 325.3 149.3 336 136 336H24C10.75 336 0 325.3 0 312zM224 312C224 298.7 234.7 288 248 288H328C341.3 288 352 298.7 352 312C352 325.3 341.3 336 328 336H248C234.7 336 224 325.3 224 312zM416 312C416 298.7 426.7 288 440 288H552C565.3 288 576 298.7 576 312C576 325.3 565.3 336 552 336H440C426.7 336 416 325.3 416 312z"]],
    "file-excel": [384, 512, [], "f1c3", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272.1 423.6C279.6 434.3 271.9 448 259.4 448h-26.43c-5.557 0-10.71-2.883-13.63-7.617L192 396l-27.31 44.38C161.8 445.1 156.6 448 151.1 448H124.6c-12.52 0-20.19-13.73-13.63-24.39L160 344L111 264.4C104.4 253.7 112.1 240 124.6 240h26.43c5.557 0 10.71 2.883 13.63 7.613L192 292l27.31-44.39C222.2 242.9 227.4 240 232.9 240h26.43c12.52 0 20.19 13.73 13.63 24.38L224 344L272.1 423.6z", "M259.4 240h-26.43c-5.557 0-10.71 2.883-13.63 7.613L192 292L164.7 247.6C161.8 242.9 156.6 240 151.1 240H124.6c-12.52 0-20.19 13.73-13.63 24.38L160 344l-48.99 79.61C104.4 434.3 112.1 448 124.6 448h26.43c5.557 0 10.71-2.883 13.63-7.617L192 396l27.31 44.38C222.2 445.1 227.4 448 232.9 448h26.43c12.52 0 20.19-13.73 13.63-24.39L224 344l48.99-79.62C279.6 253.7 271.9 240 259.4 240zM256 0v128h128L256 0z"]],
    "file-exclamation": [384, 512, [], "f31a", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM168 216C168 202.8 178.8 192 192 192s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V216zM192 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C224 433.7 209.7 448 192 448z", "M256 0v128h128L256 0zM192 352c13.25 0 24-10.75 24-24v-112C216 202.8 205.3 192 192 192S168 202.8 168 216v112C168 341.3 178.8 352 192 352zM192 383.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C224 398.3 209.7 383.1 192 383.1z"]],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", ["M384 336v128c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H256v128h128v160H216C202.8 288 192 298.8 192 312s10.75 24 24 24H384z", "M256 0v128h128L256 0zM568.1 295l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L494.1 288H216C202.8 288 192 298.8 192 312s10.75 24 24 24h278.1l-39.03 39.03C450.3 379.7 448 385.8 448 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C578.3 319.6 578.3 304.4 568.1 295z"]],
    "file-heart": [384, 512, [], "e176", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM284.7 342.3l-82.99 85.56c-5.387 5.504-13.95 5.504-19.34 0l-82.99-85.56c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754l8.445-8.754c21.55-22.14 56.55-25.77 79.93-5.754C307.3 276.1 308.8 317.3 284.7 342.3z", "M256 0v128h128L256 0zM200.3 258.9l-8.445 8.754l-8.445-8.754C162 236.7 127.1 233.1 103.6 253.1c-26.93 23.02-28.39 64.17-4.285 89.19l82.99 85.56c5.387 5.504 13.95 5.504 19.34 0l82.99-85.56c24.11-25.02 22.64-66.17-4.41-89.19C256.9 233.1 221.9 236.7 200.3 258.9z"]],
    "file-image": [384, 512, [128443], "f1c5", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM96 224c17.67 0 32 14.33 32 32S113.7 288 96 288S64 273.7 64 256S78.33 224 96 224zM318.1 439.5C315.3 444.8 309.9 448 304 448h-224c-5.9 0-11.32-3.248-14.11-8.451c-2.783-5.201-2.479-11.52 .7949-16.42l53.33-80C122.1 338.7 127.1 336 133.3 336s10.35 2.674 13.31 7.125L160 363.2l45.35-68.03C208.3 290.7 213.3 288 218.7 288s10.35 2.674 13.31 7.125l85.33 128C320.6 428 320.9 434.3 318.1 439.5z", "M256 0v128h128L256 0zM231.1 295.1C229 290.7 224 288 218.7 288s-10.35 2.674-13.31 7.125L160 363.2l-13.35-20.03C143.7 338.7 138.7 336 133.3 336s-10.35 2.674-13.31 7.125l-53.33 80c-3.273 4.908-3.578 11.22-.7949 16.42C68.68 444.8 74.1 448 80 448h224c5.9 0 11.32-3.248 14.11-8.451c2.783-5.201 2.479-11.52-.7949-16.42L231.1 295.1z"]],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", ["M512 128v336c0 26.51-21.49 48-48 48h-288C149.5 512 128 490.5 128 464v-128h174.1l-39.03 39.03C258.3 379.7 256 385.8 256 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 288H128V48C128 21.49 149.5 0 176 0H384v128H512z", "M384 0v128h128L384 0zM296.1 215c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 288H24C10.75 288 0 298.8 0 312s10.75 24 24 24h278.1l-39.03 39.03C258.3 379.7 256 385.8 256 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94L296.1 215z"]],
    "file-invoice": [384, 512, [], "f570", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM320 440c0 4.375-3.625 8-8 8h-80C227.6 448 224 444.4 224 440v-16c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V440zM320 336c0 8.875-7.125 16-16 16h-224C71.13 352 64 344.9 64 336v-96C64 231.1 71.13 224 80 224h224C312.9 224 320 231.1 320 240V336z", "M256 0v128h128L256 0zM304 224h-224C71.13 224 64 231.1 64 240v96C64 344.9 71.13 352 80 352h224c8.875 0 16-7.125 16-16v-96C320 231.1 312.9 224 304 224zM288 320H96V256h192V320zM312 416h-80C227.6 416 224 419.6 224 424v16c0 4.375 3.625 8 8 8h80c4.375 0 8-3.625 8-8v-16C320 419.6 316.4 416 312 416z"]],
    "file-invoice-dollar": [384, 512, [], "f571", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 152v-16C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152zM253.8 378.3c-3.623 20.91-19.47 34.64-41.83 39.43V424c0 11.03-8.953 20-20 20s-20-8.969-20-20v-6.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5c-10.42-3.688-15.88-15.12-12.2-25.53c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28l-5.812-1.688c-17.33-5.094-57.92-17-50.52-59.84C133.8 272.8 149.6 258.8 172 253.1V248c0-11.03 8.953-20 20-20s20 8.969 20 20v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 290.8 170.1 292.7 169.6 300.5C168.8 304.1 168.3 308.2 191.1 315.2l5.547 1.594C219.8 323.1 261.3 335 253.8 378.3z", "M256 0v128h128L256 0zM197.5 316.8L191.1 315.2C168.3 308.2 168.8 304.1 169.6 300.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V248c0-11.03-8.953-20-20-20s-20 8.969-20 20v5.992C149.6 258.8 133.8 272.8 130.2 293.7c-7.406 42.84 33.19 54.75 50.52 59.84l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625c-6.938-1.031-15.81-4.219-23.66-7.031l-4.469-1.625c-10.41-3.594-21.83 1.812-25.52 12.22c-3.672 10.41 1.781 21.84 12.2 25.53l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V424c0 11.03 8.953 20 20 20s20-8.969 20-20v-6.254c22.36-4.793 38.21-18.53 41.83-39.43C261.3 335 219.8 323.1 197.5 316.8z"]],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 416h-160C103.2 416 96 408.8 96 400S103.2 384 112 384h160c8.836 0 16 7.164 16 16S280.8 416 272 416zM272 352h-160C103.2 352 96 344.8 96 336S103.2 320 112 320h160c8.836 0 16 7.164 16 16S280.8 352 272 352zM272 288h-160C103.2 288 96 280.8 96 272S103.2 256 112 256h160C280.8 256 288 263.2 288 272S280.8 288 272 288z", "M256 0v128h128L256 0zM272 384h-160C103.2 384 96 391.2 96 400S103.2 416 112 416h160c8.836 0 16-7.164 16-16S280.8 384 272 384zM272 320h-160C103.2 320 96 327.2 96 336S103.2 352 112 352h160c8.836 0 16-7.164 16-16S280.8 320 272 320zM272 256h-160C103.2 256 96 263.2 96 272S103.2 288 112 288h160C280.8 288 288 280.8 288 272S280.8 256 272 256z"]],
    "file-lock": [576, 512, [], "e3a6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h280.9C323.4 502.5 320 491.7 320 479.1v-127.1c0-23.64 12.88-44.34 32-55.42V272c0-30.4 12.27-57.94 32-78.14V128H256z", "M543.1 320L544 272C544 227.9 508.1 192 464 192S384 227.9 384 272V320c-17.68 0-32 14.33-32 32.01v127.1C352 497.7 366.3 512 384 512h159.1C561.7 512 576 497.7 576 479.1v-127.1C576 334.3 561.7 320 543.1 320zM496 320h-64V272c0-17.64 14.34-32 32-32s32 14.36 32 32V320zM256 0v128h128L256 0z"]],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM312.1 440.1C308.3 445.7 302.2 448 296 448s-12.28-2.344-16.97-7.031l-48.67-48.67C214.5 402.1 195.1 408 176 408c-57.44 0-104-46.56-104-104S118.6 200 176 200s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C322.3 416.4 322.3 431.6 312.1 440.1zM176 248c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C232 273.1 206.9 248 176 248z", "M256 0v128h128L256 0zM264.3 358.4C274.1 342.5 280 324 280 304c0-57.44-46.56-104-104-104S72 246.6 72 304s46.56 104 104 104c19.1 0 38.5-5.922 54.36-15.71l48.67 48.67C283.7 445.7 289.8 448 296 448s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L264.3 358.4zM176 360c-30.88 0-56-25.12-56-56c0-30.88 25.12-56 56-56c30.88 0 56 25.12 56 56C232 334.9 206.9 360 176 360z"]],
    "file-medical": [384, 512, [], "f477", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM304 362c0 8.835-7.164 16-16 16h-54V432c0 8.836-7.164 16-16 16h-52c-8.835 0-16-7.164-16-16v-53.1H96c-8.836 0-16-7.165-16-16v-52c0-8.837 7.164-16 16-16h53.1V240c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54H288c8.836 0 16 7.163 16 16V362z", "M288 294h-54V240c0-8.836-7.164-16-16-16h-52c-8.835 0-16 7.164-16 16v54H96c-8.836 0-16 7.163-16 16v52c0 8.835 7.164 16 16 16h53.1V432c0 8.836 7.165 16 16 16h52c8.836 0 16-7.164 16-16v-53.1H288c8.836 0 16-7.165 16-16v-52C304 301.2 296.8 294 288 294zM256 0v128h128L256 0z"]],
    "file-minus": [384, 512, [], "f318", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H272c13.26 0 24 10.74 24 23.1S285.3 359.1 272 359.1z", "M256 0v128h128L256 0zM272 312H111.1C98.74 312 88 322.7 88 336c0 13.26 10.73 23.1 23.1 23.1H272c13.26 0 24-10.74 24-23.1S285.3 312 272 312z"]],
    "file-music": [384, 512, [], "f8b6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288 384c0 17.62-21.5 32-48 32S192 401.6 192 384s21.5-32 48-32c5.375 0 10.75 .7498 16 2V277.6l-96 37.5V416c0 17.62-21.5 32-48 32S64 433.6 64 416s21.5-32 48-32c5.375 0 10.75 .7498 16 2V271.3C128 264.3 132.5 258.1 139.3 256l128-47.25C272 207.3 277.4 208.1 281.5 211.1S288 218.9 288 224V384z", "M256 0v128h128L256 0zM267.3 208.8L139.3 256C132.5 258.1 128 264.3 128 271.3v114.8C122.8 384.8 117.4 384 112 384C85.5 384 64 398.4 64 416s21.5 32 48 32S160 433.6 160 416V315.1l96-37.5v76.38C250.8 352.8 245.4 352 240 352c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32V224c0-5.125-2.375-9.875-6.5-12.88S272 207.3 267.3 208.8z"]],
    "file-pdf": [384, 512, [], "f1c1", ["M88 304H80V256H88C101.3 256 112 266.7 112 280C112 293.3 101.3 304 88 304zM192 256H200C208.8 256 216 263.2 216 272V336C216 344.8 208.8 352 200 352H192V256zM0 64C0 28.65 28.65 0 64 0H224V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM64 224C55.16 224 48 231.2 48 240V368C48 376.8 55.16 384 64 384C72.84 384 80 376.8 80 368V336H88C118.9 336 144 310.9 144 280C144 249.1 118.9 224 88 224H64zM160 368C160 376.8 167.2 384 176 384H200C226.5 384 248 362.5 248 336V272C248 245.5 226.5 224 200 224H176C167.2 224 160 231.2 160 240V368zM288 224C279.2 224 272 231.2 272 240V368C272 376.8 279.2 384 288 384C296.8 384 304 376.8 304 368V320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H304V256H336C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224H288z", "M224 160V0L384 160H224zM88 224C118.9 224 144 249.1 144 280C144 310.9 118.9 336 88 336H80V368C80 376.8 72.84 384 64 384C55.16 384 48 376.8 48 368V240C48 231.2 55.16 224 64 224H88zM112 280C112 266.7 101.3 256 88 256H80V304H88C101.3 304 112 293.3 112 280zM160 240C160 231.2 167.2 224 176 224H200C226.5 224 248 245.5 248 272V336C248 362.5 226.5 384 200 384H176C167.2 384 160 376.8 160 368V240zM192 352H200C208.8 352 216 344.8 216 336V272C216 263.2 208.8 256 200 256H192V352zM336 224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256H304V288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H304V368C304 376.8 296.8 384 288 384C279.2 384 272 376.8 272 368V240C272 231.2 279.2 224 288 224H336z"]],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V299.5L289.3 394.3C281.1 402.5 275.3 412.7 272.5 423.1L257.4 484.1C255.1 493.5 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM564.3 250.1C579.9 265.7 579.9 291.1 564.3 306.7L534.8 336.1L463.9 265.2L493.3 235.7C508.9 220.1 534.2 220.1 549.9 235.7L564.3 250.1zM311.9 417.1L441.2 287.8L512.2 358.8L382.9 488.1C378.8 492.2 373.7 495.1 368.1 496.5L307.9 511.5C302.4 512.9 296.7 511.3 292.7 507.3C288.7 503.3 287.1 497.6 288.5 492.1L303.5 431.9C304.9 426.3 307.8 421.2 311.9 417.1V417.1z"]],
    "file-plus": [384, 512, [], "f319", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 359.1h-56v56C215.1 429.3 205.3 440 192 440c-13.27 0-24-10.74-24-23.1V359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H168V255.1C168 242.7 178.7 232 192 232s23.1 10.74 23.1 23.1V312H272c13.26 0 24 10.74 24 23.1S285.3 359.1 272 359.1z", "M256 0v128h128L256 0zM272 312h-56V255.1C215.1 242.7 205.3 232 192 232S168 242.7 168 255.1V312H111.1C98.74 312 88 322.7 88 336c0 13.26 10.73 23.1 23.1 23.1H168v56C168 429.3 178.7 440 192 440c13.26 0 23.1-10.74 23.1-23.1V359.1H272c13.26 0 24-10.74 24-23.1S285.3 312 272 312z"]],
    "file-plus-minus": [384, 512, [], "e177", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM256 432H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h128c8.844 0 16 7.156 16 16S264.8 432 256 432zM256 288h-48v48c0 8.844-7.156 16-16 16s-16-7.156-16-16V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h48V208C176 199.2 183.2 192 192 192s16 7.156 16 16V256H256c8.844 0 16 7.156 16 16S264.8 288 256 288z", "M256 0v128h128L256 0zM256 400H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S264.8 400 256 400zM256 256h-48V208C208 199.2 200.8 192 192 192S176 199.2 176 208V256H128C119.2 256 112 263.2 112 272S119.2 288 128 288h48v48c0 8.844 7.156 16 16 16s16-7.156 16-16V288H256c8.844 0 16-7.156 16-16S264.8 256 256 256z"]],
    "file-powerpoint": [384, 512, [], "f1c4", ["M204 288H160v56h44c15.44 0 28-12.56 28-28S219.4 288 204 288zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM204 392H160v40C160 440.8 152.8 448 144 448H128c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h71.51c39.75 0 76.05 28.52 80.08 68.05C284.2 353.5 248.5 392 204 392z", "M199.5 240H128C119.2 240 112 247.2 112 256v176C112 440.8 119.2 448 128 448h16C152.8 448 160 440.8 160 432v-40h44c44.53 0 80.23-38.49 75.59-83.95C275.6 268.5 239.3 240 199.5 240zM204 344H160V288h44c15.44 0 28 12.56 28 28S219.4 344 204 344zM256 0v128h128L256 0z"]],
    "file-prescription": [384, 512, [], "f572", ["M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM304 432l-11.25 11.38c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.25 6.25-16.48 6.266-22.73 .0156L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128l.0078 48.01c0 8.875-7.125 16-16 16L96 384c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88c6.25-6.25 16.38-6.25 22.62 0l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-29.88 30L304 409.4C310.3 415.6 310.3 425.8 304 432z", "M256 0v128h128L256 0zM273.1 379.4l29.88-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384l16.01 .0078c8.875 0 16-7.125 16-16L128 320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.27 11.27c6.25 6.25 16.48 6.234 22.73-.0156L240 413.3l29.1 30.12c6.25 6.25 16.5 6.25 22.75 0L304 432c6.25-6.25 6.25-16.38 0-22.62L273.1 379.4zM176 272H128v-32h48C184.9 240 192 247.1 192 256S184.9 272 176 272z"]],
    "file-shield": [576, 512, [], "e4f0", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V207L291.2 244.2C269.9 252.7 256 273.3 256 296.2C256 352.7 274.9 444.2 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"]],
    "file-signature": [576, 512, [], "f573", ["M256 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-75.19l-22.31 22.46C358.7 414.3 354.6 416 350.3 416L256 415.9c-16.07-.2852-30.55-9.284-37.81-23.8C215.3 386.3 210.1 385.6 208 385.6s-7.25 .625-10 6.125l-7.749 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12.06-4.75-14.06-11L144 354.6L133.4 386.5C127.5 404.1 110.1 416 92.4 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12C248.5 381.2 252.2 383.5 256 383.8l32 .181v-30.28c0-4.262 1.701-8.348 4.727-11.36L384 251.7V128H256V0zM568.5 167.4L536.6 135.5c-9.875-10-26-10-36 0l-27.25 27.25l67.88 67.88l27.25-27.25C578.5 193.4 578.5 177.3 568.5 167.4z", "M473.4 162.8l-180.6 179.6C289.7 345.3 288 349.4 288 353.7V416h62.34c4.264 0 8.35-1.703 11.35-4.727l179.6-180.6L473.4 162.8zM256 0v128h128L256 0z"]],
    "file-slash": [640, 512, [], "e3a7", ["M352 127.1L352 0H176C149.5 0 128 21.49 128 48l.002 27.01l383.1 300.1L512 160l-127.1-.0007C366.3 159.1 352 145.7 352 127.1zM384 0v128h128L384 0zM128 464C128 490.5 149.5 512 176 512h288c16.36 0 30.78-8.221 39.44-20.72L128 197L128 464z", "M639.1 487.1c0-7.119-3.153-14.16-9.191-18.89L38.82 5.11C34.41 1.672 29.19 0 24.04 0c-13.85 0-24.04 11.3-24.04 23.1c0 7.119 3.153 14.16 9.192 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"]],
    "file-spreadsheet": [384, 512, [], "f65b", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM328 432c0 8.875-7.125 16-16 16h-240c-8.875 0-16-7.125-16-16v-192c0-8.875 7.125-16 16-16h240c8.875 0 16 7.125 16 16V432z", "M256 0v128h128L256 0zM312 224h-240c-8.875 0-16 7.125-16 16v192c0 8.875 7.125 16 16 16h240c8.875 0 16-7.125 16-16v-192C328 231.1 320.9 224 312 224zM136 416h-48v-48h48V416zM136 336h-48V288h48V336zM216 416h-48v-48h48V416zM216 336h-48V288h48V336zM296 416h-48v-48h48V416zM296 336h-48V288h48V336z"]],
    "file-user": [384, 512, [], "f65c", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM192 192c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.81 80 80C304 440.8 296.8 448 288 448z", "M256 0v128h128L256 0zM192 320c35.35 0 64-28.66 64-64s-28.65-64-64-64C156.7 192 128 220.7 128 256S156.7 320 192 320zM224 352H160c-44.18 0-80 35.81-80 80C80 440.8 87.16 448 96 448h192c8.836 0 16-7.164 16-16C304 387.8 268.2 352 224 352z"]],
    "file-video": [384, 512, [], "f1c8", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM224 384c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V288c0-17.67 14.33-32 32-32h96c17.67 0 32 14.33 32 32V384zM320 387.1c0 12.57-13.82 20.23-24.48 13.57L256 376v-80l39.52-24.7C306.2 264.6 320 272.3 320 284.9V387.1z", "M256 0v128h128L256 0zM192 256H96C78.33 256 64 270.3 64 288v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32V288C224 270.3 209.7 256 192 256zM295.5 271.3L256 296v80l39.52 24.7C306.2 407.4 320 399.7 320 387.1V284.9C320 272.3 306.2 264.6 295.5 271.3z"]],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", ["M448 128v336c0 26.51-21.49 48-48 48h-288C85.49 512 64 490.5 64 464v-160h65.16l41.38 82.72C174.6 394.9 182.9 400 192 400c.3125 0 .6562 0 1-.0313c9.438-.375 17.78-6.281 21.28-15.06l44.16-110.4l8.094 16.19C270.6 298.9 278.9 304 288 304h64c8.836 0 16-7.164 16-16V272C368 263.2 360.8 256 352 256h-49.16l-25.38-50.72c-4.219-8.438-12.16-13.72-22.47-13.25c-9.438 .375-17.78 6.281-21.28 15.06L189.6 317.5L165.5 269.3C161.4 261.1 153.1 256 143.1 256H64V48C64 21.49 85.49 0 112 0H320v128H448z", "M320 0v128h128L320 0zM352 256h-49.16l-25.38-50.72c-4.219-8.438-12.16-13.72-22.47-13.25c-9.438 .375-17.78 6.281-21.28 15.06L189.6 317.5L165.5 269.3C161.4 261.1 153.1 256 143.1 256H16C7.164 256 0 263.2 0 272V288c0 8.836 7.164 16 16 16h113.2l41.38 82.72C174.6 394.9 182.9 400 192 400c.3125 0 .6562 0 1-.0313c9.438-.375 17.78-6.281 21.28-15.06l44.16-110.4l8.094 16.19C270.6 298.9 278.9 304 288 304h64c8.836 0 16-7.164 16-16V272C368 263.2 360.8 256 352 256z"]],
    "file-word": [384, 512, [], "f1c2", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM274.1 438.7C272.9 444.1 268 448 262.5 448h-29.26c-5.426 0-10.18-3.641-11.59-8.883L192 329.1l-29.61 109.1C160.1 444.4 156.2 448 150.8 448H121.5c-5.588 0-10.44-3.859-11.69-9.305l-42.46-184C65.66 247.2 71.37 240 79.08 240h23.37c5.588 0 10.44 3.859 11.69 9.301L137.8 352L165.6 248.9C167 243.6 171.8 240 177.2 240h29.61c5.426 0 10.18 3.641 11.59 8.883L246.2 352l23.7-102.7C271.1 243.9 275.1 240 281.5 240h23.37c7.717 0 13.43 7.18 11.69 14.7L274.1 438.7z", "M256 0v128h128L256 0zM304.9 240h-23.37c-5.588 0-10.44 3.859-11.69 9.301L246.2 352L218.4 248.9C216.1 243.6 212.2 240 206.8 240H177.2c-5.426 0-10.18 3.641-11.59 8.883L137.8 352L114.1 249.3C112.9 243.9 108 240 102.5 240H79.08c-7.717 0-13.43 7.18-11.69 14.7l42.46 184C111.1 444.1 115.1 448 121.5 448h29.26c5.428 0 10.18-3.641 11.59-8.883L192 329.1l29.61 109.1C223 444.4 227.8 448 233.2 448h29.26c5.588 0 10.44-3.859 11.69-9.305l42.46-184C318.3 247.2 312.6 240 304.9 240z"]],
    "file-xmark": [384, 512, ["file-times"], "f317", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272.1 367c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L192 353.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L158.1 320L111 272.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L192 286.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L225.9 320L272.1 367z", "M256 0v128h128L256 0zM272.1 239c-9.375-9.375-24.56-9.375-33.94 0L192 286.1L144.1 239c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L158.1 320l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.371 24.55 9.379 33.94 0L192 353.9l47.03 47.03c9.375 9.371 24.55 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L225.9 320l47.03-47.03C282.3 263.6 282.3 248.4 272.1 239z"]],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM96 32h64v32H96V32zM96 96h64v32H96V96zM96 160h64v32H96V160zM128.3 415.1c-40.56 0-70.76-36.45-62.83-75.45L96 224h64l30.94 116.9C198.7 379.7 168.5 415.1 128.3 415.1z", "M160 32H96v32h64V32zM160 160H96v32h64V160zM160 96H96v32h64V96zM256 0v128h128L256 0zM160 224H96l-30.56 116.5c-7.93 39 22.26 75.45 62.83 75.45c40.26 0 70.45-36.3 62.68-75.15L160 224zM144 368h-32C103.2 368 96 360.8 96 352s7.164-16 16-16h32C152.8 336 160 343.2 160 352S152.8 368 144 368z"]],
    "files": [448, 512, [], "e178", ["M96 368v-320C96 21.49 117.5 0 144 0H352v96h96v272c0 26.51-21.49 48-48 48h-256C117.5 416 96 394.5 96 368z", "M352 0v96h96L352 0zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "files-medical": [448, 512, [], "f7fd", ["M352 96V0H144C117.5 0 96 21.49 96 48v320C96 394.5 117.5 416 144 416h256c26.51 0 48-21.49 48-48V96H352zM368 274.3C368 281.9 361.9 288 354.3 288H304v50.29C304 345.9 297.9 352 290.3 352h-36.57C246.1 352 240 345.9 240 338.3V288H189.7C182.1 288 176 281.9 176 274.3V237.7C176 230.1 182.1 224 189.7 224H240V173.7C240 166.1 246.1 160 253.7 160h36.57C297.9 160 304 166.1 304 173.7V224h50.29C361.9 224 368 230.1 368 237.7V274.3z", "M352 0v96h96L352 0zM354.3 224H304V173.7C304 166.1 297.9 160 290.3 160h-36.57C246.1 160 240 166.1 240 173.7V224H189.7C182.1 224 176 230.1 176 237.7v36.57C176 281.9 182.1 288 189.7 288H240v50.29C240 345.9 246.1 352 253.7 352h36.57C297.9 352 304 345.9 304 338.3V288h50.29C361.9 288 368 281.9 368 274.3V237.7C368 230.1 361.9 224 354.3 224zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "fill": [512, 512, [], "f575", ["M238.6 436.1C226.1 448.6 205.9 448.6 193.4 436.1L75.88 318.6C67.58 310.3 64.79 298.6 67.52 288H386.7L238.6 436.1z", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C63.39 285.9 63.39 306.1 75.88 318.6L193.4 436.1C205.9 448.6 226.1 448.6 238.6 436.1L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 135.1L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"]],
    "fill-drip": [576, 512, [], "f576", ["M67.52 288H386.7L238.6 436.1C226.1 448.6 205.9 448.6 193.4 436.1L75.88 318.6C67.58 310.3 64.79 298.6 67.52 288H67.52zM448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448H448z", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C63.39 285.9 63.39 306.1 75.88 318.6L193.4 436.1C205.9 448.6 226.1 448.6 238.6 436.1L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 135.1L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"]],
    "film": [512, 512, [127902], "f008", ["M335.1 288H175.1c-8.836 0-16 7.164-16 16v96c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16v-96C351.1 295.2 344.8 288 335.1 288zM335.1 96H175.1c-8.836 0-16 7.164-16 16v96c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16v-96C351.1 103.2 344.8 96 335.1 96z", "M463.1 32h-416C21.49 32-.0001 53.49-.0001 80v352c0 26.51 21.49 48 47.1 48h416c26.51 0 48-21.49 48-48v-352C511.1 53.49 490.5 32 463.1 32zM111.1 408c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 408zM111.1 280c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM111.1 152c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 152zM351.1 400c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.836 7.164-16 16-16h160c8.836 0 16 7.164 16 16V400zM351.1 208c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.836 7.164-16 16-16h160c8.836 0 16 7.164 16 16V208zM463.1 408c0 4.418-3.582 8-8 8h-47.1c-4.418 0-7.1-3.582-7.1-8l0-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V408zM463.1 280c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM463.1 152c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8l0-48c0-4.418 3.582-8 7.1-8h47.1c4.418 0 8 3.582 8 8V152z"]],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", ["M320 448H32V96h288V448z", "M544 128h-224v288h160c17.62 0 32-14.38 32-32v-32c0-17.62 14.38-32 32-32s32-14.38 32-32V160C576 142.4 561.6 128 544 128zM440 360c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V360zM440 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM536 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM16 96h320C344.9 96 352 88.88 352 80v-32C352 39.13 344.9 32 336 32H256V16C256 7.125 248.9 0 240 0h-128C103.1 0 96 7.125 96 16V32H16C7.125 32 0 39.13 0 48v32C0 88.88 7.125 96 16 96zM336 448h-320C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h320c8.875 0 16-7.125 16-16v-32C352 455.1 344.9 448 336 448z"]],
    "film-simple": [512, 512, ["film-alt"], "f3a0", ["M352 480H160V32h192V480z", "M464 32v56C464 92.42 460.4 96 456 96h-48c-4.418 0-8-3.582-8-8V32H352v448h48v-56c0-4.418 3.582-8 8-8h48c4.418 0 8 3.582 8 8V480c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM464 344c0 4.418-3.582 8-8 8h-48c-4.418 0-8-3.582-8-8v-48C400 291.6 403.6 288 408 288h48c4.418 0 8 3.582 8 8V344zM464 216C464 220.4 460.4 224 456 224h-48c-4.418 0-8-3.582-8-8v-48C400 163.6 403.6 160 408 160h48c4.418 0 8 3.582 8 8V216zM112 32v56C112 92.42 108.4 96 104 96h-48C51.58 96 48 92.42 48 88V32C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480v-56C48 419.6 51.58 416 56 416h48c4.418 0 8 3.582 8 8V480H160V32H112zM112 344C112 348.4 108.4 352 104 352h-48c-4.418 0-8-3.582-8-8v-48C48 291.6 51.58 288 56 288h48C108.4 288 112 291.6 112 296V344zM112 216C112 220.4 108.4 224 104 224h-48C51.58 224 48 220.4 48 216v-48C48 163.6 51.58 160 56 160h48C108.4 160 112 163.6 112 168V216z"]],
    "film-slash": [640, 512, [], "e179", ["M400 416h-160C231.2 416 224 408.8 224 400v-96C224 295.2 231.2 288 240 288h4.082L176 234.6V280C176 284.4 172.4 288 168 288h-48C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224h42.43L64 146.9V432C64 458.5 85.49 480 112 480h377l-83.17-65.19C404.1 415.5 402.1 416 400 416zM176 408C176 412.4 172.4 416 168 416h-48c-4.418 0-8-3.582-8-8v-48C112 355.6 115.6 352 120 352h48c4.418 0 8 3.582 8 8V408zM528 32h-416C101.7 32 92.21 35.31 84.39 40.84L224 150.3V112C224 103.2 231.2 96 240 96h160C408.8 96 416 103.2 416 112v96C416 216.8 408.8 224 400 224H318.1l163.3 128H520c4.418 0 8 3.582 8 8v28.53l48 37.62V80C576 53.49 554.5 32 528 32zM528 280C528 284.4 524.4 288 520 288h-48c-4.418 0-8-3.582-8-8v-48C464 227.6 467.6 224 472 224h48c4.418 0 8 3.582 8 8V280zM528 152C528 156.4 524.4 160 520 160h-48c-4.418 0-8-3.582-8-8v-48C464 99.58 467.6 96 472 96h48c4.418 0 8 3.582 8 8V152z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "films": [576, 512, [], "e17a", ["M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM200 327C200 331.1 195.1 336 191 336h-30C156 336 152 331.1 152 327v-30C152 292 156 288 161 288h30C195.1 288 200 292 200 297V327zM200 223C200 227.1 195.1 232 191 232h-30C156 232 152 227.1 152 223v-30C152 188 156 184 161 184h30C195.1 184 200 188 200 193V223zM200 119C200 123.1 195.1 128 191 128h-30C156 128 152 123.1 152 119v-30C152 84.03 156 80 161 80h30C195.1 80 200 84.03 200 89V119zM416 320c0 8.836-7.164 16-16 16h-128C263.2 336 256 328.8 256 320V240C256 231.2 263.2 224 272 224h128C408.8 224 416 231.2 416 240V320zM416 176C416 184.8 408.8 192 400 192h-128C263.2 192 256 184.8 256 176V96c0-8.838 7.164-16 16-16h128C408.8 80 416 87.16 416 96V176zM520 327c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C472 292 476 288 481 288h30C515.1 288 520 292 520 297V327zM520 223c0 4.969-4.031 9-9 9h-30C476 232 472 227.1 472 223v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V223zM520 119C520 123.1 515.1 128 511 128h-30C476 128 472 123.1 472 119v-30C472 84.03 476 80 481 80h30C515.1 80 520 84.03 520 89V119z", "M272 336h128c8.836 0 16-7.164 16-16V240C416 231.2 408.8 224 400 224h-128C263.2 224 256 231.2 256 240V320C256 328.8 263.2 336 272 336zM272 192h128C408.8 192 416 184.8 416 176V96c0-8.838-7.164-16-16-16h-128C263.2 80 256 87.16 256 96v80C256 184.8 263.2 192 272 192zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "filter": [512, 512, [], "f0b0", ["M3.853 54.87C10.47 40.9 24.54 32 40 32H472C487.5 32 501.5 40.9 508.1 54.87C514.8 68.84 512.7 85.37 502.1 97.33L320 320.9V448C320 460.1 313.2 471.2 302.3 476.6C291.5 482 278.5 480.9 268.8 473.6L204.8 425.6C196.7 419.6 192 410.1 192 400V320.9L9.042 97.33C-.745 85.37-2.765 68.84 3.854 54.87L3.853 54.87z", ""]],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", ["M472 0C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87C10.47 8.904 24.54 0 40 0L472 0z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM408.1 338.1C407.9 337 408.4 336.1 408.8 335.4C409.4 334.5 410.6 333.3 413 331.1C418.1 329.3 425.6 327.9 431.8 328C439.1 328.1 448.9 329.8 458.1 332.1C466.7 334.2 475.4 328.1 477.5 320.4C479.7 311.8 474.4 303.2 465.9 301C460.3 299.6 454.3 298.3 448 297.4V288C448 279.2 440.8 272 432 272C423.2 272 416 279.2 416 288V297.5C409.9 298.7 403.7 300.7 397.1 303.8C386.1 310.1 374.9 322.2 376.1 341C377.1 357 387.8 366.4 397.7 371.7C406.6 376.4 417.5 379.5 426.3 381.1L428.1 382.5C438.3 385.4 445.1 387.7 451.2 390.8C455.8 393.5 455.1 395.1 455.1 396.5C456.1 398.9 455.5 400.2 454.1 401C454.3 401.1 453.2 403.2 450.1 404.4C446.3 406.9 439.2 408.2 432.5 407.1C422.1 407.7 414 404.8 402.6 401.2C400.7 400.6 398.8 400 396.8 399.4C388.3 396.8 379.3 401.5 376.7 409.9C374.1 418.3 378.8 427.3 387.2 429.9C388.9 430.4 390.5 430.1 392.3 431.5C399.3 433.8 407.4 436.4 416 438.1V449.5C416 458.4 423.2 465.5 432 465.5C440.8 465.5 448 458.4 448 449.5V438.7C454.2 437.6 460.5 435.6 466.3 432.5C478.3 425.9 488.5 413.8 487.1 395.5C487.5 379.4 477.7 369.3 467.5 363.3C458.1 357.7 446.2 354.4 436.9 351.7L436.8 351.7C426.3 348.7 418.5 346.5 412.9 343.5C408.1 340.9 408.1 339.5 408.1 339.1L408.1 338.1z"]],
    "filter-circle-xmark": [576, 512, [], "e17b", ["M472 0C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87C10.47 8.904 24.54 0 40 0L472 0z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "filter-list": [512, 512, [], "e17c", ["M3.459 87.73C9.886 73.3 24.2 64 39.1 64H312C327.8 64 342.1 73.3 348.5 87.73C354.1 102.2 352.3 119 341.7 130.8L240 243.8V416C240 428.1 233.2 439.2 222.3 444.6C211.5 450 198.5 448.9 188.8 441.6L124.8 393.6C116.7 387.6 112 378.1 112 368V243.8L10.27 130.8C-.3002 119-2.968 102.2 3.459 87.73H3.459z", "M480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H416C398.3 128 384 113.7 384 96C384 78.33 398.3 64 416 64H480zM320 256C320 238.3 334.3 224 352 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H352C334.3 288 320 273.7 320 256zM320 416C320 398.3 334.3 384 352 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H352C334.3 448 320 433.7 320 416z"]],
    "filter-slash": [640, 512, [], "e17d", ["M81.74 38.76C88.18 34.45 95.88 32 104 32H536C551.5 32 565.5 40.9 572.1 54.87C578.8 68.84 576.7 85.37 566.1 97.33L406.6 293.4L81.74 38.76zM256 400V297.7L384 398.5V448C384 460.1 377.2 471.2 366.3 476.6C355.5 482 342.5 480.9 332.8 473.6L268.8 425.6C260.7 419.6 256 410.1 256 400z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "filters": [640, 512, [], "e17e", ["M39.99 96H164.1C167.3 105 172.3 113.4 179 120.7L320 273.1V290.7L288 325.5V448C288 460.1 281.2 471.2 270.3 476.6C259.5 482 246.5 480.9 236.8 473.6L172.8 425.6C164.7 419.6 160 410.1 160 400V325.5L10.55 163.1C-.197 151.4-3.019 134.5 3.36 119.9C9.74 105.4 24.11 96 39.99 96V96z", "M195.4 55.93C201.8 41.39 216.1 32 231.1 32H600C615.9 32 630.2 41.39 636.6 55.93C643 70.46 640.2 87.4 629.4 99.08L480 261.5V416C480 428.1 473.2 439.2 462.3 444.6C451.5 450 438.5 448.9 428.8 441.6L364.8 393.6C356.7 387.6 352 378.1 352 368V261.5L202.6 99.08C191.8 87.4 188.1 70.46 195.4 55.93H195.4z"]],
    "fingerprint": [512, 512, [], "f577", ["M256.1 246c-13.25 0-23.1 10.75-23.1 23.1c1.125 72.25-8.124 141.9-27.75 211.5C201.7 491.3 206.6 512 227.5 512c10.5 0 20.12-6.875 23.12-17.5c13.5-47.87 30.1-125.4 29.5-224.5C280.1 256.8 269.4 246 256.1 246zM144.6 144.5C134.2 136.1 119.2 137.6 110.7 147.9C85.25 179.4 71.38 219.3 72 259.9c.6249 37.62-2.375 75.37-8.999 112.1c-2.375 12.1 6.249 25.5 19.25 27.87c20.12 3.5 27.12-14.87 27.1-19.37c7.124-39.87 10.5-80.62 9.749-121.4C119.6 229.3 129.2 201.3 147.1 178.3C156.4 167.9 154.9 152.9 144.6 144.5zM253.1 82.14C238.6 81.77 223.1 83.52 208.2 87.14c-12.87 2.1-20.87 15.1-17.87 28.87c3.125 12.87 15.1 20.75 28.1 17.75C230.4 131.3 241.7 130 253.4 130.1c75.37 1.125 137.6 61.5 138.9 134.6c.5 37.87-1.375 75.1-5.624 113.6c-1.5 13.12 7.999 24.1 21.12 26.5c16.75 1.1 25.5-11.87 26.5-21.12c4.625-39.75 6.624-79.75 5.999-119.7C438.6 165.3 355.1 83.64 253.1 82.14z", "M255.2 164.3C193.1 164.1 151.2 211.3 152.1 265.4c.75 47.87-3.75 95.87-13.37 142.5c-2.75 12.1 5.624 25.62 18.62 28.37c12.1 2.625 25.62-5.625 28.37-18.62c10.37-50.12 15.12-101.6 14.37-152.1C199.7 238.6 219.1 212.1 254.5 212.3c31.37 .5 57.24 25.37 57.62 55.5c.8749 47.1-2.75 96.25-10.62 143.5c-2.125 12.1 6.749 25.37 19.87 27.62c19.87 3.25 26.75-15.12 27.5-19.87c8.249-49.1 12.12-101.1 11.25-151.1C359.2 211.1 312.2 165.1 255.2 164.3zM506.1 203.6c-2.875-12.1-15.51-21.25-28.63-18.38c-12.1 2.875-21.12 15.75-18.25 28.62c4.75 21.5 4.875 37.5 4.75 61.62c-.1249 13.25 10.5 24.12 23.75 24.25c13.12 0 24.12-10.62 24.25-23.87C512.1 253.8 512.3 231.8 506.1 203.6zM465.1 112.9c-48.75-69.37-128.4-111.7-213.3-112.9c-69.74-.875-134.2 24.84-182.2 72.96c-46.37 46.37-71.34 108-70.34 173.6l-.125 21.5C-.3651 281.4 10.01 292.4 23.26 292.8C23.51 292.9 23.76 292.9 24.01 292.9c12.1 0 23.62-10.37 23.1-23.37l.125-23.62C47.38 193.4 67.25 144 104.4 106.9c38.87-38.75 91.37-59.62 147.7-58.87c69.37 .1 134.7 35.62 174.6 92.37c7.624 10.87 22.5 13.5 33.37 5.875C470.1 138.6 473.6 123.8 465.1 112.9z"]],
    "fire": [448, 512, [128293], "f06d", ["M323.5 51.25C302.8 70.5 284 90.75 267.4 111.1C240.1 73.62 206.3 35.5 168 0C69.75 91.13 0 210 0 281.6C0 408.9 100.3 512 224 512s224-103.1 224-230.4C448 228.4 396 118.5 323.5 51.25zM304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z", "M304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z"]],
    "fire-burner": [640, 512, [], "e4f1", ["M240 210C240 186 255 165 285 128C289 133 347 207 347 207L383 165C386 169 388 173 390 177C408 210 400 252 370 273C355 283 339 288 320.1 288C276 288 240 259 240 210zM32 280C32 266.7 42.75 256 56 256H104C117.3 256 128 266.7 128 280C128 293.3 117.3 304 104 304H80V384H560V304H536C522.7 304 512 293.3 512 280C512 266.7 522.7 256 536 256H584C597.3 256 608 266.7 608 280V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V280zM320 480C337.7 480 352 465.7 352 448C352 430.3 337.7 416 320 416C302.3 416 288 430.3 288 448C288 465.7 302.3 480 320 480zM448 416C430.3 416 416 430.3 416 448C416 465.7 430.3 480 448 480C465.7 480 480 465.7 480 448C480 430.3 465.7 416 448 416zM192 480C209.7 480 224 465.7 224 448C224 430.3 209.7 416 192 416C174.3 416 160 430.3 160 448C160 465.7 174.3 480 192 480z", "M273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C313.3 21.55 331.8 40.74 349 61.49C356.9 51.61 365.8 40.76 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734V3.734zM320.1 287.1C339 287.1 355 282.1 370 272.1C400 251.1 408 209.1 390 176.1C388 172.1 386 168.1 383 164.1L347 206.1C347 206.1 289 132.1 285 127.1C255 164.1 240 185.1 240 209.1C240 258.1 276 287.1 320.1 287.1z"]],
    "fire-extinguisher": [512, 512, [129519], "f134", ["M64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l-.0001-64H64L64 480zM128 108V58.81C69.59 69.32 20.5 110.6 1.235 168.4C-2.952 181 3.845 194.6 16.41 198.8C18.94 199.6 21.48 200 24 200c10.05 0 19.42-6.344 22.77-16.41C59.45 145.5 90.47 117.8 128 108zM224 56v48l63.1-.002v-48L224 56z", "M503.4 5.56c-5.453-4.531-12.61-6.406-19.67-5.188l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63v48c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM224 139.2V32c0-17.67-14.33-32-31.1-32H160C142.3 0 128 14.33 128 32v107.2C90.26 157.2 64 195.4 64 240L64 416h223.1l.0001-176C287.1 195.4 261.7 157.2 224 139.2zM176 96C167.2 96 160 88.84 160 80c0-8.838 7.164-16 15.1-16s15.1 7.162 15.1 16C192 88.84 184.8 96 176 96z"]],
    "fire-flame": [384, 512, ["flame"], "f6df", ["M203.1 4.364C196.9-1.461 187.1-1.452 180.9 4.369C74.52 104.6 0 220.2 0 298C0 423.1 79 512 192 512s192-88.01 192-213.1C384 219.9 309 104.2 203.1 4.364zM192 448c-70.63 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.7 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 55 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z", "M192 448c-70.62 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.8 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 54.1 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z"]],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", ["M215.1 23.88C215.1 23.87 215.1 23.88 215.1 23.88C215.1 23.87 215.1 23.88 215.1 23.88c-.0078-14.76-11.86-23.85-24.04-23.88c-2.924-.0078-5.767 .9616-8.577 2.04c-.0059 .002 .0059-.002 0 0C183.2 2.132 182.9 2.162 182.7 2.215c.2344-.0449 .4876-.0814 .7122-.1751C179 3.71 174.1 6.312 171.9 10.85C48.01 191.9 224 200 224 288c0 35.63-29.12 64.45-64.84 63.98C123.1 351.5 96 322.2 96 287V201.5C96 179.8 69.54 169.3 54.57 185C27.82 213.2 0 261.3 0 319.1C0 425.9 86.13 512 192 512s192-86.13 192-192C384 149.7 215.1 127 215.1 23.88zM54.57 185C54.56 185.1 54.58 185 54.57 185C54.58 185 54.56 185.1 54.57 185zM192 448c-43.69 0-82.35-22.01-105.5-55.52c21.39 15.21 46.77 23.51 73.47 23.51C230.6 416 288 358.6 288 288c0-57.92-36.9-93.78-63.84-119.1C238.9 177.8 320 230.5 320 320C320 390.6 262.6 448 192 448z", "M192 448c-43.69 0-82.35-22.01-105.5-55.52c21.39 15.21 46.77 23.51 73.47 23.51C230.6 416 288 358.6 288 288c0-57.92-36.9-93.78-63.84-119.1C238.9 177.8 320 230.5 320 320C320 390.6 262.6 448 192 448z"]],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", ["M203.1 4.365c-6.177-5.82-16.06-5.819-22.23-.0007C74.52 104.5 0 234.1 0 312C0 437.9 79 512 192 512s192-74.05 192-200C384 233.9 309 104.2 203.1 4.365zM192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z", "M192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z"]],
    "fire-hydrant": [384, 512, [], "e17f", ["M56 176h272C341.3 176 352 165.3 352 152C352 138.7 341.3 128 328 128h-12.53C303.9 83.17 268.8 48.13 224 36.53V32c0-17.69-14.31-32-32-32S160 14.31 160 32v4.525C115.2 48.13 80.13 83.17 68.53 128H56C42.75 128 32 138.7 32 152C32 165.3 42.75 176 56 176zM32 272v96C32 376.8 39.16 384 48 384H64V256H48C39.16 256 32 263.2 32 272zM336 256H320v128h16c8.836 0 16-7.164 16-16v-96C352 263.2 344.8 256 336 256z", "M336 464H320v-288H64v288H48C39.16 464 32 471.2 32 480v16C32 504.8 39.16 512 48 512h288c8.836 0 16-7.164 16-16V480C352 471.2 344.8 464 336 464zM192 384c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C256 355.3 227.3 384 192 384z"]],
    "fire-smoke": [640, 512, [], "f74b", ["M148.4 261.1C145.6 248.2 144 234.1 144 221.3C144 165 198.8 71.6 276 0c30.05 27.89 56.67 57.85 78.08 87.31c13.06-16.01 27.79-31.92 44.1-47.04C455.1 93.11 496 179.4 496 221.3c0 13.68-1.6 26.96-4.396 39.78c-17.06 4.465-33.14 11.62-47.4 21.99c-9.787-12.05-21.39-22.31-34.06-30.97c5.664-22.7 2.906-47.49-7.281-69.31c-2.631-5.635-5.582-11.59-8.951-17.72l-43.5 53.32c0 0-69.29-95.08-73.72-100.6C241.6 163.7 224 205.1 224 221.3c0 10.98 2.094 21.36 5.186 31.26c-12.4 8.572-23.77 18.79-33.39 30.63C181.5 272.8 165.5 265.5 148.4 261.1z", "M229.2 252.5C226.1 242.6 224 232.3 224 221.3c0-16.14 17.59-57.53 52.69-103.5c4.426 5.537 8.656 11.08 12.67 16.6l61.05 84.02l43.5-53.32c3.369 6.129 6.32 12.08 8.951 17.72c10.19 21.82 12.95 46.62 7.281 69.31C384.1 234.3 352.1 224 320 224C286.7 224 255.4 234.4 229.2 252.5zM528 288c-37.13 0-69.75 18.25-90.13 46.13C418.4 288.3 373 255.1 320 255.1s-98.38 32.25-117.9 78.13C181.7 306.3 149.1 288 112 288C50.13 288 0 338.1 0 400S50.13 512 112 512h416c61.88 0 112-50.13 112-112S589.9 288 528 288z"]],
    "fireplace": [640, 512, [], "f79a", ["M592 0h-544C39.25 0 32 7.25 32 16v64C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-64C608 7.25 600.8 0 592 0zM371.3 281.6c-10.75 9.625-20.5 19.75-29 30C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3C435.3 370.3 408.5 315.3 371.3 281.6zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z", "M64 512h96v-160c0-88.37 71.63-160 160-160s160 71.63 160 160v160h96V96H64V512zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z"]],
    "fish": [576, 512, [128031], "f578", ["M180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.8133 364.5-2.97 348.7 4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5L180.5 141.5zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256z"]],
    "fish-bones": [576, 512, [], "e304", ["M27.56 100.7c-12.15-12.05-30.26 .6796-27.23 18.96L28.8 256l-28.46 136.3c-3.037 18.28 15.08 31.01 27.11 19.09l58.1-52.92c6.659-6.064 10.45-14.65 10.45-23.65V279.1H88C74.75 279.1 64 269.2 64 256s10.75-23.1 24-23.1h8V177.2c0-9.011-3.799-17.6-10.46-23.67L27.56 100.7zM440.4 98.23c-10.78-6.222-24.36 1.268-24.36 13.67l.0001 120.1l32-.0126c13.25 0 24 10.75 24 23.1s-10.75 23.1-24 23.1l-32-.0119L416 400.1c0 12.4 13.59 19.89 24.36 13.67C520.8 367.3 576 285.1 576 256C576 226.9 520.8 144.7 440.4 98.23z", "M472 256c0 13.26-10.75 24.01-24 24.01l-71.1-.0119v72c0 13.26-10.75 24-24 24s-24-10.74-24-24v-72h-48v72c0 13.26-10.75 24-23.1 24s-24-10.74-24-24v-72h-48v72c0 13.26-10.75 24-23.1 24s-24-10.74-24-24v-72L88 280C74.75 280 64 269.3 64 256c0-13.26 10.75-24.01 24-24.01L136 232v-72c0-13.26 10.75-24 24-24s23.1 10.74 23.1 24v72h48v-72c0-13.26 10.75-24 24-24s23.1 10.74 23.1 24v72h48v-72c0-13.26 10.75-24 24-24s24 10.74 24 24v72L448 231.1C461.3 231.1 472 242.7 472 256z"]],
    "fish-cooked": [576, 512, [], "f7fe", ["M327.1 64C237.2 64 158.5 129.7 114.9 185.1L27.56 112.7C15.41 101.5-2.699 113.3 .338 130.2L28.8 256l-28.46 125.8c-3.037 16.88 15.07 28.63 27.11 17.62l87.3-73.41C158.5 382.2 237.2 448 327.1 448c137.4 0 248.8-153.6 248.8-192C575.1 217.6 464.5 64 327.1 64zM228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z", "M228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z"]],
    "fish-fins": [576, 512, [], "e4f2", ["M181.1 150.4C221.3 120.9 273.7 96 336 96C398.3 96 450.7 120.9 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C450.7 391.1 398.3 416 336 416C273.7 416 221.3 391.1 181.1 361.6C166.6 350.1 153 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 256L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4V150.4zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M238.9 36.93C250.2 29.85 264.6 30.44 275.2 38.4L352.8 96.61C347.3 96.21 341.7 96 336 96C298.2 96 264.1 105.1 234.3 118.9L224.6 70.28C222 57.27 227.7 44 238.9 36.93V36.93zM336 416C341.7 416 347.3 415.8 352.8 415.4L275.2 473.6C264.6 481.6 250.2 482.1 238.9 475.1C227.7 468 222 454.7 224.6 441.7L234.3 393.1C264.1 406.9 298.2 416 336 416V416z"]],
    "fishing-rod": [512, 512, [], "e3a8", ["M408 88.04v71.97h-48V88.04c0-29.3-26.13-40.02-39.92-40.02c-3.252 0-6.539 .3963-9.799 1.207l-63 15.78C172.3 83.73 120 150.7 120 227.1v60.03H128c17.67 0 32 14.32 32 31.1v159.1c0 17.67-14.33 31.1-32 31.1H64c-17.67 0-32-14.33-32-31.1v-159.1c0-17.67 14.33-31.1 32-31.1h8V227.1c0-99.31 67.28-185.5 163.6-209.5l63-15.78C305.8 .8792 313 0 320.2 0C351.1 0 408 23.46 408 88.04z", "M416.5 453.4C444.4 427.3 480 384.5 480 336c0-79.53-96-143.1-96-143.1s-96 64.46-96 143.1c0 48.47 35.63 91.26 63.48 117.4l-27.63 32.24c-2.53 2.958-3.848 6.656-3.848 10.4C319.1 506.5 328.9 512 336 512h96c6.968 0 16-5.463 16-16.01c0-3.743-1.318-7.44-3.848-10.4L416.5 453.4zM384 336c-13.25 0-24-10.75-24-23.1c0-13.26 10.75-23.1 24-23.1s24 10.74 24 23.1C408 325.3 397.3 336 384 336z"]],
    "flag": [512, 512, [61725, 127988], "f024", ["M512 30.73v301.4c0 12.25-7.947 23.75-20.63 28.75c-43.95 17.12-80.05 23.09-111.1 23.09c-73.63 0-124.9-31.78-198.6-31.78c-32.97 0-70.91 7.057-116.8 25.51V32c0-2.695-.9023-5.086-1.521-7.586c48.34-17.21 92.79-24.11 122.7-24.11c69.07 .0078 103.9 31.87 163.9 31.87c28.28 0 62.14-7.084 107.8-27.94C463.3 1.35 469.9 0 476.3 0C495.3 0 512 11.1 512 30.73z", "M32 0C14.25 0 0 14.25 0 32v464C0 504.8 7.25 512 16 512h32C56.75 512 64 504.8 64 496V32C64 14.25 49.75 0 32 0z"]],
    "flag-checkered": [576, 512, [127937], "f11e", ["M96 384c44.17-20.37 80.2-28.75 112-30.88V264.1C176.2 267.1 140.1 275.7 96 296V384zM96 120V208c44.12-20.34 80.23-28.89 112-31.04v-88C176.2 91.11 140.1 99.66 96 120zM208 176.1v88c42.7-2.887 77.44 5.973 112 15.08v-88C285.4 182.9 250.7 174.1 208 176.1zM320 104V19.25c-31.41-10.34-63.49-22.05-112-17.64v87.36C250.7 86.08 285.4 94.94 320 104zM320 280v87.98c34.62 9.125 69.24 18.23 112 15.36V294.8c-5.766 .6641-11.24 1.125-16 1.125C380.4 295.1 350.2 288 320 280zM416 119.1c-35.6 0-65.8-7.961-96-15.92v88c30.2 7.961 60.4 15.92 96 15.92c4.758 0 10.23-.4609 16-1.125v-88C426.2 119.5 420.8 119.1 416 119.1zM544 264V176c-35.87 14.48-80.42 27.22-112 30.84v88C463.6 291.2 508.1 278.5 544 264zM544 30.74c0-25-28.81-37.99-53.17-26.49C468.5 14.8 449.2 21.68 432 26.05v92.8C463.6 115.2 508.1 102.5 544 88V30.74z", "M432 118.8V26.05c-48.43 12.27-80.11 3.695-112-6.801v84.8c30.2 7.961 60.4 15.92 96 15.92C420.8 119.1 426.2 119.5 432 118.8zM544 176V88c-35.87 14.48-80.42 27.22-112 30.84v88C463.6 203.2 508.1 190.5 544 176zM524.1 360.9C536.3 355.9 544 344.4 544 332.1V264c-35.87 14.48-80.42 27.22-112 30.84v88.55C458.8 381.6 488.8 375.1 524.1 360.9zM96 208V120c44.12-20.34 80.23-28.89 112-31.04V1.602C178.2 4.316 142.3 12.93 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 16 16H80C88.75 512 96 504.8 96 496V296c44.12-20.34 80.23-28.89 112-31.04v-88C176.2 179.1 140.1 187.7 96 208zM320 192v-88c-34.56-9.109-69.3-17.97-112-15.08v88C250.7 174.1 285.4 182.9 320 192zM416 207.1c-35.6 0-65.8-7.961-96-15.92v88c30.2 7.961 60.4 15.92 96 15.92c4.758 0 10.23-.4609 16-1.125v-88C426.2 207.5 420.8 207.1 416 207.1zM208 264.1v88.15c42.65-2.867 77.47 5.812 112 14.91V280C285.4 270.9 250.7 262.1 208 264.1z"]],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", ["M512 208c0 10.06-6.266 19.03-15.7 22.53L64 389.8V32c0-2.223-.832-4.172-1.264-6.266l433.6 159.7C505.7 188.1 512 197.9 512 208z", "M32 0C14.33 0 0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V32C64 14.33 49.67 0 32 0z"]],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", ["M506.4 344.5c6.016 7.156 7.344 17.12 3.406 25.59S497.3 384 487.1 384H64V32h423.1c9.326 0 17.83 5.406 21.76 13.88s2.609 18.44-3.406 25.59L391.4 208L506.4 344.5z", "M32 0C14.25 0 0 14.25 0 32v464C0 504.8 7.25 512 16 512h32C56.75 512 64 504.8 64 496V32C64 14.25 49.75 0 32 0z"]],
    "flag-usa": [576, 512, [], "f74d", ["M315.6 303.6C254 288.5 195.3 274.8 96 314.8V384c200-92.25 238.8 53.25 428.1-23.12C536.3 355.9 544 344.4 544 332.1V296.1c-46.98 17.25-86.42 24.12-120.8 24.12C383 320.1 349.1 311.8 315.6 303.6zM315.6 207.6C254 192.5 195.3 178.8 96 218.8v61.5c102-37.63 166.5-22.75 228.4-7.625C385.1 287.8 444.7 301.4 544 261.5V200c-46.98 17.25-86.42 24.12-120.8 24.12C383 224.1 349.1 215.8 315.6 207.6zM490.8 4.25C385.4 54.07 345.1 25.38 288 9.152V67.5c43.89 11.44 102.1 60.81 256-5.875V30.74C544 5.742 515.2-7.25 490.8 4.25zM288 100.8v67.77c12.37 2.523 24.51 5.312 36.44 8.227C385.1 191.8 444.7 205.4 544 165.6V96.75c-57.75 23.5-100.4 31.38-135.8 31.38C345.2 128.1 289.2 101 288 100.8z", "M96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 15.1 16H80C88.75 512 96 504.8 96 496V184.3c82.38-30.27 140.2-26.3 192-15.73V9.152C245.1-3.039 192.7-8.219 96 32.38zM160 136c-8.75 0-16-7.125-16-16s7.25-16 16-16s16 7.125 16 16S168.8 136 160 136zM160 72c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S168.8 72 160 72zM224 128C215.3 128 208 120.9 208 112S215.3 96 224 96s16 7 16 16C240 120.8 232.8 128 224 128zM224 64.25c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S232.8 64.25 224 64.25z"]],
    "flashlight": [640, 512, [128294], "f8b8", ["M400.1 149.2L383.1 160H31.1c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h352l16.12 10.75C443.2 391.5 511.1 416 575.1 416V96C511.1 96 443.2 120.5 400.1 149.2zM287.1 288h-32c-17.62 0-32-14.38-32-32s14.38-32 32-32h32c17.62 0 32 14.38 32 32S305.6 288 287.1 288z", "M607.1 96h-32v320h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96zM287.1 224h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h32c17.62 0 32-14.38 32-32S305.6 224 287.1 224z"]],
    "flask": [448, 512, [], "f0c3", ["M437.2 403.5L319.1 215L319.1 64h7.1c13.25 0 23.1-10.75 23.1-24l-.0002-16c0-13.25-10.75-24-23.1-24H120C106.8 0 96.01 10.75 96.01 24l-.0002 16c0 13.25 10.75 24 23.1 24h7.1L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM377.1 448H70.89c-5.535 0-8.565-6.187-5.77-10.7l126.9-204L191.9 64h63.99l.0599 169.3l126.9 204C385.7 441.8 382.6 448 377.1 448z", "M137.1 320h171.9l72.1 117.3C385.7 441.8 382.6 448 377.1 448H70.89c-5.535 0-8.566-6.188-5.77-10.7L137.1 320z"]],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", ["M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1z", "M183.1 288C170.7 288 159.1 298.8 159.1 312s10.75 24 23.1 24s23.1-10.75 23.1-24S197.2 288 183.1 288zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1zM263.1 288c-13.25 0-23.99 10.75-23.99 24s10.75 24 23.99 24c13.25 0 24-10.75 24-24S277.2 288 263.1 288z"]],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", ["M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM330.1 448l-213.6 .7109C93.27 422.2 80 387.8 80 352c0-85.97 60.64-118.2 111.1-145.1V64h63.99v143.3c37.08 19.92 114 54.55 112 147.8C367.1 389.6 353.1 422.7 330.1 448z", "M367.8 352c-.0039 1.055 .2012 2.012 .1777 3.078C367.1 389.6 353.1 422.7 330.1 448l-213.6 .7109C93.27 422.2 80 387.8 80 352c0-6.238 .9609-11.62 1.57-17.31c65.59-32.07 127.2-30.1 181.3-3.191C308 353.1 344.2 352 367.8 352z"]],
    "flask-vial": [640, 512, [], "e4f3", ["M224 309.9L175 389.4C165.2 405.4 160 423.8 160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H224C241.7 0 256 14.33 256 32C256 49.67 241.7 64 224 64V309.9zM160 64H96V160H160V64z", "M512 0C529.7 0 544 14.33 544 32C544 49.67 529.7 64 512 64V214.9L629.7 406.2C636.4 417.2 640 429.7 640 442.6C640 480.9 608.9 512 570.6 512H261.4C223.1 512 192 480.9 192 442.6C192 429.7 195.6 417.2 202.3 406.2L320 214.9V64C302.3 64 288 49.67 288 32C288 14.33 302.3 0 320 0L512 0zM379.3 240.8L330.5 320H501.5L452.7 240.8C449.6 235.7 448 229.9 448 224V64H384V224C384 229.9 382.4 235.7 379.3 240.8H379.3z"]],
    "flatbread": [512, 512, [129747], "e40b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM112 248c-2.062 0-4.125-.7969-5.656-2.344C103.8 243.1 103.3 239 105.1 235.9c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.891 7.188-1.422 9.781 1.203C248.3 108.9 248.8 112.1 246.9 116.1C214.3 170.3 170.3 214.3 116.1 246.9C114.8 247.6 113.4 248 112 248zM164.7 358.5C163.3 359.5 161.6 360 160 360c-2.062 0-4.094-.7969-5.656-2.344c-2.781-2.766-3.125-7.125-.8438-10.31c53.59-75.03 118.8-140.3 193.8-193.9c3.156-2.297 7.531-1.922 10.31 .8594c2.781 2.766 3.125 7.125 .8438 10.31C304.9 239.7 239.7 304.9 164.7 358.5zM406.9 276.1c-32.56 54.23-76.53 98.22-130.8 130.8C274.8 407.6 273.4 408 272 408c-2.062 0-4.125-.7969-5.656-2.344c-2.594-2.594-3.094-6.625-1.219-9.766c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.875 7.219-1.375 9.781 1.203C408.3 268.9 408.8 272.1 406.9 276.1z", "M358.5 164.7c2.281-3.188 1.938-7.547-.8438-10.31c-2.781-2.781-7.156-3.156-10.31-.8594c-75.03 53.61-140.3 118.8-193.8 193.9c-2.281 3.188-1.938 7.547 .8438 10.31C155.9 359.2 157.9 360 160 360c1.625 0 3.25-.4844 4.656-1.484C239.7 304.9 304.9 239.7 358.5 164.7zM246.9 116.1c1.875-3.141 1.375-7.172-1.219-9.766C243.1 103.7 239 103.3 235.9 105.1C181.7 137.7 137.7 181.7 105.1 235.9C103.3 239 103.8 243.1 106.3 245.7C107.9 247.2 109.9 248 112 248c1.406 0 2.844-.375 4.125-1.141C170.3 214.3 214.3 170.3 246.9 116.1zM405.7 266.3c-2.562-2.578-6.625-3.078-9.781-1.203c-54.22 32.53-98.19 76.52-130.8 130.8c-1.875 3.141-1.375 7.172 1.219 9.766C267.9 407.2 269.9 408 272 408c1.406 0 2.844-.375 4.125-1.141c54.22-32.53 98.19-76.52 130.8-130.8C408.8 272.1 408.3 268.9 405.7 266.3z"]],
    "flatbread-stuffed": [512, 512, [129369], "e40c", ["M137.1 201.1C107.6 230.6 104.2 276.3 126.7 309.6L245.6 190.7C231.2 180.9 214.5 176 197.8 176C175.8 176 153.9 184.4 137.1 201.1zM341.2 44.9c-10.54 2.701-21.43 5.576-28.83 4.27c-7.926-1.307-18.03-7.75-27.79-14.02C269.4 25.3 251.9 14.1 232.9 16.27C213.4 18.54 200.1 33.76 188.5 47.17C181.5 55.18 174.2 63.54 167.4 66.68C160.8 69.82 149.8 70.17 139.2 70.52C100 71.82 72.87 74.79 70.6 139.1C70.17 149.6 69.82 160.8 66.77 167.3C63.46 174.1 55.19 181.3 47.08 188.4C33.67 200 18.54 213.2 16.28 232.9C14.1 251.8 25.31 269.2 35.15 284.6c6.27 9.756 12.71 19.69 14.11 27.7c1.307 7.402-1.568 18.29-4.355 28.74c-4.352 16.8-9.193 35.77-1.553 53.72c2.242-3.289 4.662-6.479 7.52-9.336l53.14-53.14C88.69 311.1 80 287.6 80 261.8c0-31.46 12.25-61.03 34.5-83.28C136.7 156.3 166.3 144 197.8 144c25.87 0 50.22 8.688 70.52 24.01l117.1-117.1c2.877-2.875 6.014-5.393 9.301-7.641C376.9 35.74 357.9 40.47 341.2 44.9z", "M456.7 76.63c-11.83-15.53-34.88-16.94-48.68-3.139L73.49 408.1c-13.8 13.8-12.38 36.85 3.141 48.68c106.3 81.02 258.8 72.96 355.9-24.18C529.7 335.4 537.8 182.9 456.7 76.63zM240 448C231.2 448 224 440.8 224 432c0-8.838 7.165-16 16-16S256 423.2 256 432C256 440.8 248.8 448 240 448zM272 384c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S288 359.2 288 368C288 376.8 280.8 384 272 384zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S320 423.2 320 432C320 440.8 312.8 448 304 448z"]],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M288 352c0 35.34-28.66 64-64 64s-64-28.66-64-64s28.66-64 64-64S288 316.7 288 352z"]],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9C448 152.9 441.7 137.7 433.1 129.1zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM507.3 379.3l-56 56C448.2 438.4 444.1 440 439.1 440s-8.187-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 384h-89.38c-8.836 0-15.1-7.164-15.1-16s7.163-16 15.1-16h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C513.6 362.9 513.6 373.1 507.3 379.3z"]],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9C448 152.9 441.7 137.7 433.1 129.1zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM488.5 401.9c6.242 6.242 6.252 16.37 .0098 22.62c-6.24 6.242-16.37 6.231-22.62-.0113l-33.91-33.91l-33.91 33.91c-6.242 6.242-16.37 6.253-22.62 .0106s-6.232-16.37 .0098-22.62l33.91-33.91l-33.91-33.91c-6.242-6.242-6.251-16.37-.009-22.62s16.37-6.232 22.62 .0106l33.91 33.91l33.91-33.91c6.242-6.242 16.37-6.254 22.61-.0113s6.233 16.37-.009 22.62l-33.91 33.91L488.5 401.9z"]],
    "floppy-disk-pen": [576, 512, [], "e182", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.29-56.47c1.906-9.609 6.594-18.45 13.59-25.48L448 234.7V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M565.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.13l72.01 72.01l38.13-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM307.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L307.4 420.6z"]],
    "floppy-disks": [512, 512, [], "e183", ["M497.9 97.94l-83.88-83.88C406.3 6.294 391.1 0 380.1 0H144C117.5 0 96 21.48 96 48v320C96 394.5 117.5 416 144 416h320c26.5 0 48-21.48 48-48V131.9C512 120.9 505.7 105.7 497.9 97.94zM288 352c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S323.3 352 288 352zM384 144C384 152.8 376.8 160 368 160h-192C167.2 160 160 152.8 160 144v-64C160 71.16 167.2 64 176 64h192C376.8 64 384 71.16 384 80V144z", "M288 352c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64S224 252.7 224 288C224 323.3 252.7 352 288 352zM392 512h-272C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h272c13.25 0 24 10.75 24 24S405.3 512 392 512z"]],
    "florin-sign": [384, 512, [], "e184", ["M144 288H64C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224H170.7L144 288zM240 224H320C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H213.3L240 224z", "M226.1 91.08C240.1 55.3 275.9 32 314.7 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H314.7C301.7 96 290.1 103.8 285.1 115.7L157.9 420.9C143 456.7 108.1 480 69.33 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H69.33C82.25 416 93.9 408.2 98.87 396.3L226.1 91.08z"]],
    "flower": [512, 512, [127804, 10047], "f7ff", ["M480 160c0-70.75-57.25-128-128-128c-38.5 0-72.5 17.25-96 44.12C232.5 49.25 198.5 32 160 32C89.25 32 32 89.25 32 160c0 38.5 17.25 72.5 44.13 96C49.25 279.5 32 313.5 32 352c0 70.75 57.25 128 128 128c38.5 0 72.5-17.25 96-44.13C279.5 462.8 313.5 480 352 480c70.75 0 128-57.25 128-128c0-38.5-17.25-72.5-44.13-96C462.8 232.5 480 198.5 480 160zM256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z", "M256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z"]],
    "flower-daffodil": [512, 512, [9880], "f800", ["M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-76.1-223.8-175.1c-1-9.125 6.877-16.88 16-16.88l47.26 .0011c63.01 0 119.9 22.25 160.6 57.88l-.0005-97.08C236.7 275.1 247.8 266.6 256 255.6c8.217 11.03 19.33 19.56 32.01 25.23l-.0005 97.08c40.76-35.63 97.64-57.88 160.6-57.88l47.26-.0011C505 319.1 512.9 327.7 511.9 336.9z", "M367.5 143.1C387.1 129.4 400 106.3 400 80C400 35.82 364.2 0 320 0c-26.29 0-49.42 12.87-64 32.46C241.4 12.87 218.3 0 192 0C147.8 0 112 35.82 112 80c0 26.29 12.87 49.41 32.45 63.1C124.9 158.6 112 181.7 112 208C112 252.2 147.8 288 192 288c26.29 0 49.42-12.85 64-32.44C270.6 275.1 293.7 288 320 288c44.18 0 80-35.82 80-80C400 181.7 387.1 158.6 367.5 143.1zM256 191.1c-26.5 0-48.01-21.5-48.01-48S229.5 95.1 256 95.1s48.01 21.5 48.01 48S282.5 191.1 256 191.1z"]],
    "flower-tulip": [512, 512, [127799], "f801", ["M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-77-223.8-175.1C-.9141 327.8 6.963 320 16.09 320h47.26c63.01 0 119.9 22.25 160.6 57.88L223.1 256h64.01l.0002 121.9C328.8 342.3 385.6 320 448.7 320h47.26C505 320 512.9 327.8 511.9 336.9z", "M223.1 256C153.2 256 95.98 198.8 95.98 128V32l80.01 48L257.1 0l78.89 80L416 32v96c0 70.75-57.26 128-128 128H223.1z"]],
    "flute": [640, 512, [], "f8b9", ["M608 160H96v192h512c17.62 0 32-14.38 32-32V192C640 174.4 625.6 160 608 160zM320 280C306.8 280 296 269.3 296 256S306.8 232 320 232S344 242.8 344 256S333.3 280 320 280zM416 280c-13.25 0-24-10.75-24-24S402.8 232 416 232S440 242.8 440 256S429.3 280 416 280zM512 280c-13.25 0-24-10.75-24-24S498.8 232 512 232S536 242.8 536 256S525.3 280 512 280z", "M320 232C306.8 232 296 242.8 296 256S306.8 280 320 280S344 269.3 344 256S333.3 232 320 232zM0 192v128c0 17.62 14.38 32 32 32h64V160H32C14.38 160 0 174.4 0 192zM512 232c-13.25 0-24 10.75-24 24S498.8 280 512 280S536 269.3 536 256S525.3 232 512 232zM416 232c-13.25 0-24 10.75-24 24S402.8 280 416 280S440 269.3 440 256S429.3 232 416 232z"]],
    "flux-capacitor": [448, 512, [], "f8ba", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM208 262.6V273.6C171.5 281 144 313.3 144 352C144 396.2 179.8 432 224 432C268.2 432 304 396.2 304 352C304 313.3 276.5 281 240 273.6V262.6L275.9 226.7C288.5 235.1 303.7 240 320 240C364.2 240 400 204.2 400 160C400 115.8 364.2 80 320 80C275.8 80 240 115.8 240 160C240 176.3 244.9 191.5 253.3 204.1L224 233.4L194.7 204.1C203.1 191.5 208 176.3 208 160C208 115.8 172.2 80 128 80C83.82 80 48 115.8 48 160C48 204.2 83.82 240 128 240C144.3 240 159.5 235.1 172.1 226.7L208 262.6z", "M224 233.4L276.7 180.7C273.7 174.4 272 167.4 272 160C272 133.5 293.5 112 320 112C346.5 112 368 133.5 368 160C368 186.5 346.5 208 320 208C312.6 208 305.6 206.3 299.3 203.3L240 262.6V306.7C258.6 313.3 272 331.1 272 352C272 378.5 250.5 400 224 400C197.5 400 176 378.5 176 352C176 331.1 189.4 313.3 208 306.7V262.6L148.7 203.3C142.4 206.3 135.4 208 128 208C101.5 208 80 186.5 80 160C80 133.5 101.5 112 128 112C154.5 112 176 133.5 176 160C176 167.4 174.3 174.4 171.3 180.7L224 233.4z"]],
    "flying-disc": [448, 512, [], "e3a9", ["M83.41 364.4c94.89 0 250.3-156.1 250.3-249.7c0-33.99-21.9-46.18-46.28-46.18c-94.89 0-250.3 156.1-250.3 249.7C37.13 352.2 59.01 364.4 83.41 364.4z", "M447.1 126.9C447.1 66.23 408 32 352.9 32c-14 0-29.21 2.584-44.94 6.73c7.579 1.675 58.01 13.89 58.01 75.62c0 111.4-169.8 282.1-282.6 282.1c-.1217 0-.4522 .0067-.9691 .0067c-8.227 0-63.66-1.682-75.59-58.57c-4.518 16.74-6.846 32.69-6.846 47.49C.0001 445.4 39.44 480 94.95 480C234.8 480 447.1 270.8 447.1 126.9z"]],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", ["M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z", ""]],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z", "M159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z"]],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z", "M352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z"]],
    "folder-bookmark": [512, 512, [], "e186", ["M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64H288v239.1c0 13.42 15.52 20.88 25.1 12.49L368 305.3l54 43.2C432.5 356.8 448 349.4 448 335.1V96h16C490.5 96 512 117.5 512 144z", "M448 335.1c0 13.42-15.52 20.88-25.1 12.49L368 305.3l-54 43.2C303.5 356.8 288 349.4 288 335.1V96h160V335.1z"]],
    "folder-closed": [512, 512, [], "e185", ["M512 144V192H0V80C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z", "M512 192v240c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432V192H512z"]],
    "folder-gear": [512, 512, ["folder-cog"], "e187", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM366.9 352c-4.457 7.719-9.781 14.55-15.56 20.86c-2.506 2.738-6.633 3.281-9.846 1.422l-23.46-13.54C309.2 368.3 299.1 374.2 288 378.1v27.02c0 3.711-2.531 7.016-6.154 7.812C273.5 414.8 264.9 416 256 416c-8.912 0-17.49-1.195-25.84-3.047C226.5 412.2 224 408.9 224 405.1v-27.02c-11.12-3.957-21.19-9.867-29.99-17.38L170.6 374.3c-3.215 1.859-7.34 1.316-9.848-1.422C154.9 366.6 149.6 359.7 145.1 352c-4.455-7.719-7.709-15.75-10.29-23.91C133.7 324.6 135.3 320.7 138.6 318.9l23.21-13.4C160.7 299.8 160 293.1 160 288s.7129-11.78 1.76-17.46L138.6 257.1C135.3 255.3 133.7 251.4 134.9 247.9C137.4 239.7 140.7 231.7 145.1 224c4.457-7.719 9.783-14.55 15.56-20.86C163.2 200.4 167.3 199.9 170.6 201.7l23.45 13.54C202.8 207.7 212.9 201.8 224 197.9V170.9c0-3.711 2.531-7.016 6.156-7.816C238.5 161.2 247.1 160 256 160c8.914 0 17.49 1.195 25.85 3.043C285.5 163.8 288 167.1 288 170.9v27.02c11.12 3.957 21.19 9.867 29.99 17.38l23.46-13.54c3.213-1.859 7.34-1.316 9.846 1.422C357.1 209.4 362.4 216.3 366.9 224s7.711 15.75 10.29 23.91c1.119 3.539-.4766 7.383-3.689 9.234l-23.21 13.4C351.3 276.2 352 282 352 288s-.7129 11.78-1.76 17.46l23.21 13.4c3.213 1.852 4.809 5.695 3.691 9.234C374.6 336.3 371.3 344.3 366.9 352zM256 248C233.9 248 216 265.9 216 288s17.91 40 40 40S296 310.1 296 288S278.1 248 256 248z", "M373.4 318.9l-23.21-13.4C351.3 299.8 352 293.1 352 288s-.7129-11.78-1.76-17.46l23.21-13.4c3.213-1.852 4.809-5.695 3.689-9.234C374.6 239.7 371.3 231.7 366.9 224s-9.781-14.55-15.56-20.86c-2.506-2.738-6.633-3.281-9.846-1.422l-23.46 13.54C309.2 207.7 299.1 201.8 288 197.9V170.9c0-3.711-2.531-7.016-6.154-7.816C273.5 161.2 264.9 160 256 160C247.1 160 238.5 161.2 230.2 163C226.5 163.8 224 167.1 224 170.9v27.02C212.9 201.8 202.8 207.7 194 215.3L170.6 201.7C167.3 199.9 163.2 200.4 160.7 203.1C154.9 209.4 149.6 216.3 145.1 224C140.7 231.7 137.4 239.7 134.9 247.9C133.7 251.4 135.3 255.3 138.6 257.1l23.21 13.4C160.7 276.2 160 282 160 288s.7129 11.78 1.76 17.46L138.6 318.9c-3.215 1.852-4.809 5.695-3.691 9.234C137.4 336.3 140.7 344.3 145.1 352c4.457 7.719 9.783 14.55 15.56 20.86c2.508 2.738 6.633 3.281 9.848 1.422l23.45-13.54C202.8 368.3 212.9 374.2 224 378.1v27.02c0 3.711 2.531 7.016 6.156 7.812C238.5 414.8 247.1 416 256 416c8.914 0 17.49-1.195 25.85-3.047C285.5 412.2 288 408.9 288 405.1v-27.02c11.12-3.957 21.19-9.867 29.99-17.38l23.46 13.54c3.213 1.859 7.34 1.316 9.846-1.422C357.1 366.6 362.4 359.7 366.9 352s7.711-15.75 10.29-23.91C378.3 324.6 376.7 320.7 373.4 318.9zM256 328c-22.09 0-40-17.91-40-40S233.9 248 256 248S296 265.9 296 288S278.1 328 256 328z"]],
    "folder-grid": [512, 512, [], "e188", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 320c0 8.836-7.162 16-16 16H96c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM304 320c0 8.836-7.162 16-16 16H224c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM432 320c0 8.836-7.162 16-16 16h-64c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320z", "M160 240H96C87.16 240 80 247.2 80 256v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C176 247.2 168.8 240 160 240zM288 240H224C215.2 240 208 247.2 208 256v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C304 247.2 296.8 240 288 240zM416 240h-64c-8.836 0-16 7.164-16 16v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C432 247.2 424.8 240 416 240z"]],
    "folder-heart": [512, 512, [], "e189", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z", "M348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z"]],
    "folder-image": [512, 512, [], "e18a", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM127.1 192c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S110.3 192 127.1 192zM414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.214-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288c5.109 0 9.913 2.441 12.93 6.574l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224c5.348 0 10.34 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z", "M414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.214-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288c5.109 0 9.913 2.441 12.93 6.574l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224c5.348 0 10.34 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z"]],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM376.1 408.1C372.3 413.7 366.2 416 360 416s-12.28-2.344-16.97-7.031l-48.67-48.67C278.5 370.1 259.1 376 240 376c-57.44 0-104-46.56-104-104S182.6 168 240 168s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C386.3 384.4 386.3 399.6 376.1 408.1zM240 216c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C296 241.1 270.9 216 240 216z", "M376.1 375l-48.67-48.67C338.1 310.5 344 292 344 272c0-57.44-46.56-104-104-104S136 214.6 136 272s46.56 104 104 104c19.1 0 38.5-5.922 54.36-15.71l48.67 48.67C347.7 413.7 353.8 416 360 416s12.28-2.344 16.97-7.031C386.3 399.6 386.3 384.4 376.1 375zM240 328c-30.88 0-56-25.12-56-56c0-30.88 25.12-56 56-56c30.88 0 56 25.12 56 56C296 302.9 270.9 328 240 328z"]],
    "folder-medical": [512, 512, [], "e18c", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z", "M352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z"]],
    "folder-minus": [512, 512, [], "f65d", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z", "M360 288c0 13.26-10.74 23.1-23.1 23.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288z"]],
    "folder-music": [512, 512, [], "e18d", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z", "M352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z"]],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", ["M480 144V224H147.8C135.7 224 124.6 230.8 119.2 241.7L0 480V80C0 53.49 21.49 32 48 32h160l64 64h160C458.5 96 480 117.5 480 144z", "M572.6 270.3l-96 192C471.2 473.2 460.1 480 447.1 480H0l119.2-238.3C124.6 230.8 135.7 224 147.8 224h396.2C567.7 224 583.2 249 572.6 270.3z"]],
    "folder-plus": [512, 512, [], "f65e", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z", "M360 288c0 13.26-10.74 23.1-23.1 23.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288z"]],
    "folder-tree": [576, 512, [], "f802", ["M64 16C64 7.125 56.88 0 48 0h-32C7.125 0 0 7.125 0 16V416c0 17.62 14.38 32 32 32h224v-64H64V160h192V96H64V16z", "M544 32h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32V64C576 46.38 561.6 32 544 32zM544 320h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32v-128C576 334.4 561.6 320 544 320z"]],
    "folder-user": [512, 512, [], "e18e", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM256 192c35.35 0 64 28.66 64 64s-28.65 64-64 64S192 291.3 192 256S220.7 192 256 192zM352 416H160c-8.836 0-16-7.164-16-16C144 373.5 165.5 352 192 352h128c26.51 0 48 21.49 48 48C368 408.8 360.8 416 352 416z", "M256 320c35.35 0 64-28.66 64-64s-28.65-64-64-64S192 220.7 192 256S220.7 320 256 320zM320 352H192c-26.51 0-48 21.49-48 48C144 408.8 151.2 416 160 416h192c8.836 0 16-7.164 16-16C368 373.5 346.5 352 320 352z"]],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z", "M336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z"]],
    "folders": [640, 512, [], "f660", ["M608 144v192c0 26.5-21.5 48-48 48h-384c-26.5 0-48-21.5-48-48v-256c0-26.5 21.5-48 48-48H304l64 64h192C586.5 96 608 117.5 608 144z", "M488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"]],
    "fondue-pot": [512, 512, [129749], "e40d", ["M296.4 1.125c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96c-3.088 11.3 .7109 22.5 8.314 30.35L219.1 224h33.17l17.82-65.34c10.62-2.859 19.55-10.86 22.65-22.24l26.19-96C323.5 23.38 313.5 5.781 296.4 1.125zM465.2 5C450.3-4.469 430.5-.0781 421 14.81l-61.09 96c-6.299 9.893-5.984 21.72-1.051 31.46L306.8 224h37.94l40.84-64.18C386 159.8 386.5 160 386.9 160c10.56 0 20.94-5.234 27.03-14.81l61.09-96C484.5 34.27 480.1 14.48 465.2 5zM64 304C64 312.8 71.16 320 80 320S96 312.8 96 304V271.1C96 263.2 103.2 256 111.1 256h0C120.8 256 128 263.2 128 271.1V272C128 280.8 135.2 288 144 288S160 280.8 160 272V224H64V304z", "M512 256c0 17.67-14.31 32-32 32h-32v32c0 52.13-25.43 98.07-64.14 127.3C383.9 447.5 384 447.8 384 448v32c0 17.67-14.31 32-32 32s-32-14.33-32-32v-3.234C309.7 478.9 298.1 480 288 480H160c-10.96 0-21.66-1.125-32-3.234V480c0 17.67-14.31 32-32 32s-32-14.33-32-32v-32c0-.248 .1348-.4531 .1406-.7012C25.43 418.1 0 372.1 0 320V256c0-17.67 14.31-32 32-32h32v80C64 312.8 71.16 320 80 320S96 312.8 96 304v-32C96 263.2 103.2 256 112 256S128 263.2 128 272C128 280.8 135.2 288 144 288S160 280.8 160 272V224h320C497.7 224 512 238.3 512 256z"]],
    "font": [448, 512, [], "f031", ["M416 416h-25.81L253.1 52.76c-4.688-12.47-16.57-20.76-29.91-20.76s-25.34 8.289-30.02 20.76L57.81 416H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H126.2l17.1-48h159.6l17.1 48H320c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32S433.7 416 416 416zM168.2 304L224 155.1l55.82 148.9H168.2z", ""]],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", ["M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32C158.6 384 142.6 387.6 128 392.2v-64C142.6 323.6 158.6 320 179.2 320c62.73 0 86.51 32 149.3 32C348.9 352 364.1 349 384 342.7v-208C364.1 141 348.9 144 328.5 144c-62.82 0-86.6-32-149.3-32C128.4 112 104.3 132.6 64 140.7v-64C104.3 68.63 128.4 48 179.2 48c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z", "M32 480C14.33 480 0 465.7 0 448V63.1C0 46.33 14.33 32 31.1 32S64 46.33 64 63.1V448C64 465.7 49.67 480 32 480z"]],
    "font-case": [640, 512, [], "f866", ["M608 160c-13.14 0-24.37 7.943-29.3 19.27C559.2 167.3 536.5 160 512 160c-70.58 0-128 57.41-128 128l.0007 63.93c0 70.59 57.42 128.1 127.1 128.1c24.51 0 47.21-7.266 66.7-19.26C583.6 472.1 594.9 480 608 480c17.67 0 32-14.31 32-32V192C640 174.3 625.7 160 608 160zM576 352c0 35.28-28.7 64-64 64s-64-28.72-64-64v-64c0-35.28 28.7-63.1 64-63.1s64 28.72 64 63.1V352z", "M349.1 436.8l-144-384C201.3 40.3 189.3 32.01 176 32.01S150.7 40.3 146 52.76l-144 384c-6.203 16.56 2.188 35 18.73 41.22c16.55 6.125 34.98-2.156 41.2-18.72l28.21-75.25h171.6l28.21 75.25C294.9 472.1 307 480 320 480c3.734 0 7.531-.6562 11.23-2.031C347.8 471.8 356.2 453.3 349.1 436.8zM114.2 320L176 155.1l61.82 164.9H114.2z"]],
    "football": [512, 512, [127944, "football-ball"], "f44e", ["M17.33 307.3l187.5 187.5c18.65-1.457 38.24-4.512 58.27-9.602L26.77 248.8C21.68 268.8 18.81 288.4 17.33 307.3zM307.2 17.27c-18.65 1.457-38.24 4.51-58.28 9.6l236.3 236.3c5.094-19.94 7.965-39.53 9.443-58.43L307.2 17.27z", "M16.17 337.5c0 44.98 7.565 83.54 13.98 107.9C35.22 464.3 50.46 496 174.9 496c9.566 0 19.59-.4707 29.84-1.271L17.33 307.3C16.53 317.6 16.17 327.7 16.17 337.5zM495.8 174.5c0-44.98-7.565-83.53-13.98-107.9c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-9.564 0-19.59 .4707-29.84 1.271l187.5 187.5C495.5 194.4 495.8 184.3 495.8 174.5zM26.77 248.8l236.3 236.3c142-36.1 203.9-150.4 222.2-221.1L248.9 26.87C106.9 62.96 45.07 177.2 26.77 248.8zM256 335.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l64.01 64C254.4 327.8 256 331.9 256 335.1zM304 287.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01C302.5 279.8 304 283.9 304 287.1zM256 175.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688l-64.01-64.01C257.6 184.2 256 180.1 256 175.1z"]],
    "football-helmet": [512, 512, [], "f44f", ["M496 320H354.3l-14.2-75.98l-31.77 4.134L321.7 320h-48.16c0 0 18.71 46.8 12.8 32h41.36l9.875 52.66C347.5 457.6 393.8 496 447.7 496h48.31c8.844 0 16-7.156 16-16v-144C512 327.2 504.8 320 496 320zM479.1 464h-32.31c-32.28 0-60.54-19.45-73.07-48h105.4V464zM479.1 384h-113.7l-5.992-32h119.7V384z", "M256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c25.12 12.62 55.62 7.714 75.62-12.29C317.6 412.5 292.3 366.8 286.4 352l-23.14-57.79c-7.75-19.38 4.996-40.89 25.62-43.51l188.3-24.49c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16zM175.1 359.1c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S189.2 359.1 175.1 359.1z"]],
    "fork": [512, 512, ["utensil-fork"], "f2e3", ["M434.6 232.5C427.9 243.7 418.6 253.1 407.7 260.1C396.7 267.1 384.3 271.6 371.3 273C358 274.4 344.6 272.8 331.9 268.4C319.3 264.1 307.7 256.1 298.1 247.7L264.4 213.9C255 204.3 247.9 192.8 243.5 180.2C239.1 167.6 237.5 154.1 238.8 140.8C240.3 127.9 244.7 115.4 251.7 104.5C258.8 93.51 268.2 84.3 279.3 77.54L397.1 2.563C400.4 .4423 404.4-.3746 408.3 .2692C412.2 .9131 415.7 2.972 418.1 6.051C420.6 9.126 421.8 13 421.6 16.93C421.4 20.87 419.7 24.58 416.1 27.36L315.1 129.2L327.4 141.5L444.2 48.87C446.8 46.84 450.1 45.83 453.3 46.03C456.6 46.23 459.7 47.62 462.1 49.95C464.4 52.28 465.8 55.37 465.1 58.66C466.2 61.94 465.2 65.19 463.1 67.78L370.5 184.6L382.8 196.9L484.6 95.04C487.4 92.27 491.1 90.62 495.1 90.41C498.1 90.2 502.9 91.45 505.9 93.91C509 96.37 511.1 99.88 511.7 103.8C512.3 107.6 511.5 111.6 509.4 114.9L434.6 232.5z", "M310.4 257.8C309.1 258.2 309.9 258.8 309.4 259.2L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L252.9 202.6C253.3 202.1 253.1 201.1 254.5 201.5C257.3 205.1 260.6 210.1 264.3 213.1L298 247.7C301.8 251.5 305.1 254.8 310.4 257.8z"]],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", ["M24.28 7.083C28.36 3.804 33.17 1.573 38.3 .5847C43.44-.4035 48.73-.119 53.73 1.414C58.73 2.947 63.28 5.68 66.98 9.377L265.9 208.3L152.8 321.4L54.11 222.8C28.01 196.7 10.32 163.3 3.341 127.1C-3.641 90.84 .4008 53.33 14.94 19.39C17 14.59 20.21 10.36 24.28 7.083L24.28 7.083zM512 472C512 482.6 507.8 492.8 500.3 500.3C492.8 507.8 482.6 512 472 512C461.4 512 451.2 507.8 443.7 500.3L310.6 367.2L367.2 310.6L500.3 443.7C507.8 451.2 512 461.4 512 472z", "M573.5 114.9L498.5 232.6C490.1 245.1 480.3 255.5 467.6 262.7C454.8 269.9 440.5 273.6 425.9 273.6C407.5 273.5 389.6 267.9 374.4 257.6C373.1 258 373.9 258.6 373.4 259L132.3 500.3C124.8 507.8 114.6 512 104 512C93.39 512 83.22 507.8 75.71 500.3C68.21 492.8 63.1 482.6 63.1 472C63.1 461.4 68.21 451.2 75.71 443.7L316.8 202.6C317.3 202.1 317.9 201.1 318.4 201.5C306.2 183.7 300.7 162.2 302.8 140.8C304.3 127.8 308.7 115.4 315.8 104.4C322.8 93.4 332.2 84.16 343.4 77.38L461.1 2.528C464.4 .4236 468.4-.3821 472.3 .2646C476.2 .911 479.7 2.964 482.2 6.032C484.6 9.1 485.9 12.97 485.7 16.9C485.4 20.82 483.8 24.54 481 27.33L379.2 129.2L391.5 141.4L504.7 48.8C507.8 46.49 511.6 45.37 515.4 45.64C519.3 45.91 522.9 47.56 525.6 50.29C528.3 53.01 529.1 56.62 530.3 60.47C530.5 64.31 529.4 68.12 527.1 71.2L434.3 184.4L446.6 196.7L548.5 94.88C551.2 92.11 554.1 90.46 558.9 90.25C562.8 90.04 566.7 91.29 569.7 93.75C572.8 96.21 574.9 99.72 575.5 103.6C576.2 107.5 575.4 111.5 573.3 114.8L573.5 114.9z"]],
    "forklift": [640, 512, [], "f47a", ["M544 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H512C494.3 448 480 433.7 480 416V32C480 14.33 494.3 0 512 0C529.7 0 544 14.33 544 32V384zM160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432zM416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 387.8 291.8 352 336 352C380.2 352 416 387.8 416 432z", "M96 160V48C96 21.49 117.5 0 144 0H292.7C313 0 331.1 12.75 337.9 31.86L413.2 242.6C415.1 247.8 416 253.3 416 258.8V353.6C395.7 332.9 367.3 320 336 320C279.6 320 232.9 361.7 225.1 416H190.9C183.1 361.7 136.4 320 80 320C48.66 320 20.33 332.9 0 353.6V208C0 181.5 21.49 160 48 160H96zM256 256H350L281.4 64H160V160L256 256z"]],
    "fort": [640, 512, [], "e486", ["M48 0C56.84 0 64 7.164 64 16V64H96V16C96 7.164 103.2 0 112 0H144C152.8 0 160 7.164 160 16V64H192V16C192 7.164 199.2 0 208 0H240C248.8 0 256 7.164 256 16V176C256 202.5 234.5 224 208 224H48C21.49 224 0 202.5 0 176V16C0 7.164 7.164 0 16 0H48zM480 64V16C480 7.164 487.2 0 496 0H528C536.8 0 544 7.164 544 16V64H576V16C576 7.164 583.2 0 592 0H624C632.8 0 640 7.164 640 16V176C640 202.5 618.5 224 592 224H432C405.5 224 384 202.5 384 176V16C384 7.164 391.2 0 400 0H432C440.8 0 448 7.164 448 16V64H480z", "M384 176C384 202.5 405.5 224 432 224H592C597.6 224 602.1 223 608 221.3V464C608 490.5 586.5 512 560 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H80C53.49 512 32 490.5 32 464V221.3C37 223 42.39 224 48 224H208C234.5 224 256 202.5 256 176V160H384V176z"]],
    "forward": [512, 512, [9193], "f04e", ["M52.51 440.6l171.5-142.9V214.3L52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z", "M308.5 440.6l192-159.1c15.25-12.87 15.25-36.37 0-49.24l-192-159.1c-20.63-17.12-52.51-2.749-52.51 24.62v319.9C256 443.3 287.9 457.7 308.5 440.6z"]],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", ["M512 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C462.3 447.1 448 433.6 448 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C497.7 64.03 512 78.36 512 96.03z", "M448 284.1l-171.5 156.5C255.9 457.7 224 443.3 224 415.1V284.1l-171.5 156.5C31.88 457.7 0 443.3 0 415.1V96.03c0-27.37 31.88-41.74 52.5-24.62L224 226.8V96.03c0-27.37 31.88-41.74 52.5-24.62L448 226.8V284.1z"]],
    "forward-step": [320, 512, ["step-forward"], "f051", ["M287.1 447.1c17.67 0 31.1-14.33 31.1-32V96.03c0-17.67-14.33-32-32-32c-17.67 0-31.1 14.33-31.1 31.1v319.9C255.1 433.6 270.3 447.1 287.1 447.1z", "M52.51 440.6l192-159.1c7.625-6.436 11.43-15.53 11.43-24.62c0-9.094-3.809-18.18-11.43-24.62l-192-159.1C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z"]],
    "frame": [448, 512, [], "e495", ["M64 64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V352H64V64zM64 416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416zM384 448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V160H384V448zM384 96H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V96z", "M416 96C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160H128V96H416zM64 96V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H64zM32 416C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H320V416H32zM384 416V352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H384z"]],
    "franc-sign": [320, 512, [], "e18f", ["M48 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H48V384zM112 320H192C209.7 320 224 334.3 224 352C224 369.7 209.7 384 192 384H112V320z", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H112V192H256C273.7 192 288 206.3 288 224C288 241.7 273.7 256 256 256H112V448C112 465.7 97.67 480 80 480C62.33 480 48 465.7 48 448V64C48 46.33 62.33 32 80 32H288z"]],
    "french-fries": [384, 512, [127839], "f803", ["M114.3 1.097C109.1-.903 103.3-.1529 98.88 3.222L70.38 24.85C65.5 28.47 63.13 34.6 64.25 40.6l36.87 197.1c5.375 7.625 14.5 14.88 26.87 20.75V33.1L124.3 13.1C123.3 7.599 119.5 3.097 114.3 1.097zM215.1 17.72L183.1 1.722C178.3-.7779 172.3-.5279 167.6 2.347C162.9 5.226 160 10.47 160 15.97v252.8c21.12 4.375 42.87 4.375 63.1 0V31.97C223.1 25.97 220.6 20.35 215.1 17.72zM20.63 80.73C15.25 79.1 9.504 80.35 5.379 83.98C1.254 87.73-.7458 93.23 .2542 98.73l16.25 93.26h33.5c3.625 0 6.1 1 10.37 1.75L40.38 86.6L20.63 80.73zM299.4 32.72l-34.25 10.25c-4.25 1.25-7.125 4.5-9.125 8.25v207.3c17.5-8.375 29.12-19.5 31.5-30.38c.5-1.75 1.5-3.25 2.125-4.875l30.12-172.5c1-5.5-.1-10.1-5.125-14.63C310.5 32.35 304.7 31.1 299.4 32.72zM378.6 84.1c-4.125-3.75-9.875-5-15.25-3.375l-17.25 5.125l-18.75 107.3c2.25-.375 4.25-1.125 6.625-1.125h33.5l16.25-93.26C384.7 93.23 382.7 87.73 378.6 84.1z", "M383.6 243.5l-54.13 243.5c-3.25 14.62-16.25 25-31.25 25H85.75c-14.1 0-28-10.38-31.25-25l-54.13-243.5C-.6266 238.7 .4768 233.8 3.477 230c2.1-3.75 7.647-6.031 12.52-6.031l34-.0027c6.1 0 13.75 4.25 15.25 11c8.625 38.1 62.13 69 126.8 69c64.75 0 118.3-30 126.8-69c1.5-6.75 8.375-11 15.25-11l34 .0027c4.875 0 9.522 2.281 12.52 6.031C383.5 233.8 384.6 238.7 383.6 243.5z"]],
    "frog": [576, 512, [], "f52e", ["M576 464c0 8.875-7.125 16-16 16h-90.38l-118.5-125.1c5-54.13-30-85-40.88-93.13c-36.75-27.62-88.25-27.62-125.1 0L150.4 287c-7.125 5.25-8.5 15.25-3.125 22.38C152.5 316.5 162.5 317.9 169.6 312.5L202.4 288c20.62-15.62 48.37-20.88 72.25-10.88c44 18.25 57.88 70.38 33.63 106.5L284.3 416h51.68c26.51 0 47.1 21.49 47.1 48c0 8.875-7.125 16-16 16h-304c-34.88 0-63.88-28.12-64-63c-.5-166.9 126.8-303.1 289.5-319.5C288.6 102.2 288 107 288 112c0 44.18 35.82 80 79.1 80s80-35.82 80-80c0-5.006-.6882-9.932-1.569-14.68c.1523 .0508 58.62 19.21 99.07 41.43c18.75 10.25 30.5 29.75 30.5 51.25c0 20.1-11.38 40.37-29.75 50.62l-140.6 79.03L495.9 416h32.07C554.5 416 576 437.5 576 464z", "M368 32c-44.18 0-79.1 35.82-79.1 80S323.8 192 368 192c44.18 0 80-35.82 80-80S412.2 32 368 32zM368 80c17.64 0 32 14.36 32 32h-64C336 94.36 350.4 80 368 80z"]],
    "function": [640, 512, [], "f661", ["M321.2 133C306.3 123.5 286.5 127.1 276.1 142.9c-70.48 110.9-70.48 243.4 0 354.3c6.109 9.594 16.47 14.84 27.05 14.84c5.875 0 11.81-1.625 17.12-5c14.92-9.469 19.33-29.25 9.859-44.16c-57.69-90.78-57.69-194.9 0-285.7C340.5 162.3 336.1 142.5 321.2 133zM587 142.9c-9.516-14.91-29.28-19.31-44.17-9.844c-14.92 9.469-19.33 29.25-9.859 44.16c57.69 90.78 57.69 194.9 0 285.7c-9.469 14.91-5.062 34.69 9.859 44.16c5.312 3.406 11.25 5 17.12 5c10.58 0 20.94-5.25 27.05-14.84C657.5 386.2 657.5 253.8 587 142.9z", "M192 .0146L160 .0098c-52.94 0-96 43.07-96 96v96H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h32v128c0 17.66-14.36 31.1-32 31.1c-17.67 0-32 14.32-32 32s14.33 32 32 32c52.94 0 96-43.06 96-96v-128h32c17.67 0 32-14.31 32-32s-14.33-32-32-32H128v-96C128 78.36 142.4 64.01 160 64.01l32 .0049c17.67 0 32-14.31 32-32S209.7 .0146 192 .0146zM477.3 320l33.38-33.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L432 274.8l-33.38-33.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l33.38 33.38l-33.38 33.38c-12.5 12.5-12.5 32.75 0 45.25c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375L432 365.3l33.38 33.38c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L477.3 320z"]],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", ["M458.3 99.08L458.3 99.08L458.3 99.08zM511.8 264c-1.442 48.66-16.82 95.87-44.28 136.1l-7.38-32.46l-113 13.86l-48.19 103.3l28.22 16.84c-23.48 6.78-47.67 10.2-71.85 10.2c-23.76 0-47.51-3.302-70.58-9.962l28.23-17.06l-48.19-103.3l-113-13.88l-7.39 32.46c-27.45-40.19-42.8-87.41-44.25-136.1l24.95 21.76l83.2-77.67L86.78 96.15L53.67 99.09c29.72-38.29 69.67-67.37 115.2-83.88l.3613 .2684L156.5 45.53l99.5 55.13l99.5-55.13L342.4 14.98c45.82 16.48 86 45.64 115.9 84.11L425.6 96.16L403.7 208.2l83.21 77.67L511.8 264zM357.3 217.4L255.1 144L154.7 217.4l38.82 118.6L318.8 336L357.3 217.4z", "M355.5 45.53L342.4 14.98c-27.95-9.983-57.18-14.98-86.42-14.98c-29.25 0-58.51 4.992-86.46 14.97L156.5 45.53l99.5 55.13L355.5 45.53zM86.78 96.15L53.67 99.09c-34.79 44.75-53.67 99.8-53.67 156.5L.0001 256c0 2.694 .0519 5.379 .1352 8.063l24.95 21.76l83.2-77.67L86.78 96.15zM318.8 336L357.3 217.4L255.1 144L154.7 217.4l38.82 118.6L318.8 336zM512 255.6c0-56.7-18.9-111.8-53.72-156.5L425.6 96.16L403.7 208.2l83.21 77.67l24.92-21.79C511.1 260.1 512 258.1 512 255.6zM51.77 367.7l-7.39 32.46c33.48 49.11 82.96 85.07 140 101.7l28.6-16.99l-48.19-103.3L51.77 367.7zM347.2 381.5l-48.19 103.3l28.57 17c57.05-16.66 106.5-52.62 140-101.7l-7.38-32.46L347.2 381.5z"]],
    "g": [448, 512, [103], "47", ["M448 256c0 143.4-118.6 222.3-225 222.3c-132.3 0-222.1-106.2-222.1-222.4c0-124.4 100.9-223.9 223.1-223.9c84.84 0 167.8 55.28 167.8 88.2c0 18.28-14.95 32-32 32c-31.04 0-46.79-56.16-135.8-56.16c-87.66 0-159.1 70.66-159.1 159.8c0 34.81 27.19 158.8 159.1 158.8c79.45 0 144.6-55.1 158.1-126.7h-134.1c-17.67 0-32-14.33-32-32s14.33-31.1 32-31.1H416C433.7 224 448 238.3 448 256z", ""]],
    "galaxy": [512, 512, [], "e008", ["M506.6 274.1c-16.88-71.13-75.38-127.9-147-142.1c-34-7-69.13-4.625-101.9 6.625c7.5-49.25 39.75-91.13 85.5-110.8c13.38-5.75 10.38-25.5-4-26.88c-21.88-2.25-43.88-.625-65.13 4.375C202.1 22.24 146.2 80.74 131.1 152.4C124.1 186.4 127.4 221.5 138.6 254.2C89.37 246.7 47.49 214.5 27.87 168.7C22.12 155.4 2.368 158.4 .9925 172.7C-1.258 194.6 .3674 216.6 5.368 237.9c16.88 71.13 75.38 127.9 147 142.1c34 7 69.13 4.625 101.9-6.625c-7.5 49.25-39.75 91.13-85.5 110.8c-13.38 5.75-10.38 25.5 4 26.88c21.88 2.25 43.88 .625 65.13-4.375c71.13-16.88 127.9-75.38 142.1-147c7-34 4.625-69.13-6.625-101.9c49.25 7.5 91.13 39.75 110.8 85.5c5.75 13.38 25.5 10.38 26.88-4C513.3 317.4 511.6 295.4 506.6 274.1zM255.1 304C229.5 304 207.1 282.5 207.1 256s21.5-48 48-48S304 229.5 304 256S282.5 304 255.1 304z", "M446 91.59c18.56 11.49 35.27 25.9 49.15 42.96c9.192 11.14-2.652 27.22-16.18 21.83c-23.89-9.549-49.42-12.21-74.06-8.61c-14.3-7.051-29.41-12.61-45.32-15.78c-34-7-69.13-4.625-101.9 6.625c3.623-23.8 13.13-45.79 27.05-64.47C337.7 56.19 397.6 61.75 446 91.59zM227.2 437.9c13.91-18.68 23.42-40.67 27.05-64.47c-32.75 11.25-67.88 13.63-101.9 6.625c-15.91-3.166-31.02-8.727-45.32-15.78c-24.65 3.604-50.17 .9375-74.06-8.61c-13.52-5.391-25.37 10.7-16.17 21.83c13.88 17.06 30.58 31.47 49.14 42.96C114.4 450.2 174.3 455.8 227.2 437.9zM373.4 257.8c11.25 32.75 13.63 67.88 6.625 101.9c-3.164 15.91-8.727 31.02-15.78 45.32c3.604 24.65 .9395 50.17-8.61 74.06c-5.391 13.52 10.7 25.37 21.83 16.17c17.06-13.88 31.47-30.58 42.96-49.14c29.84-48.41 35.4-108.4 17.44-161.2C419.2 270.9 397.2 261.4 373.4 257.8zM138.6 254.2C127.4 221.5 124.1 186.4 131.1 152.4C135.2 136.5 140.7 121.4 147.8 107.1C144.2 82.4 146.8 56.88 156.4 32.99c5.391-13.52-10.7-25.37-21.83-16.18C117.5 30.69 103.1 47.4 91.59 65.96C61.75 114.4 56.19 174.3 74.15 227.2C92.83 241.1 114.8 250.6 138.6 254.2z"]],
    "gallery-thumbnails": [576, 512, [], "e3aa", ["M64 416C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448C0 430.3 14.33 416 32 416H64zM224 416C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448C160 430.3 174.3 416 192 416H224zM320 448C320 430.3 334.3 416 352 416H384C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448zM544 416C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448C480 430.3 494.3 416 512 416H544z", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 64H64V288H512V64z"]],
    "game-board": [448, 512, [], "f867", ["M384 32h-320c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416h-320l0-320h319.1L384 416z", "M64 256l0 80h80V256H64zM384 416l-.0001-80h-80V416H384zM144 416h80v-80h-80V416zM64 96L64 176h80V96H64zM224 176h-80V256h80V176zM224 256v80h80V256H224zM384 256V176h-80V256H384zM304 96h-80v80h80V96z"]],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", ["M384 32h-320C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64L64 96h319.1L384 416z", "M64 96L64 256h160V96H64zM224 256v160h160l-.0002-160H224z"]],
    "game-console-handheld": [384, 512, [], "f8bb", ["M336 0h-288c-26.4 0-48 21.6-48 48L.0001 416c0 52.8 43.2 96 96 96h192c53.02 0 95.1-42.98 96-96l.0001-368C384 21.6 362.4 0 336 0zM160 336c0 8.8-7.2 16-16 16h-16v16c0 8.8-7.2 16-15.1 16c-8.8 0-16-7.2-16-15.1L96 352H80c-8.8 0-15.1-7.2-15.1-16S71.2 320 80 320h15.1l0-16C96 295.2 103.2 288 112 288c8.8 0 15.1 7.2 15.1 16V320h16C152.8 320 160 327.2 160 336zM232 384c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S245.3 384 232 384zM128 224c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1c8.837 0 16 7.163 16 16V192c0 17.6-14.4 32-32 32H128zM296 336c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S309.3 336 296 336z", "M288 80V192c0 17.6-14.4 32-32 32h-128c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1C280.8 64 288 71.16 288 80z"]],
    "gamepad": [640, 512, [], "f11b", ["M448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280zM431.1 344c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40s39.1 17.88 39.1 40S454.1 344 431.1 344zM495.1 248c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40c22.12 0 39.1 17.88 39.1 40S518.1 248 495.1 248z", "M247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280z"]],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", ["M640 384.2c0-5.257-.4576-10.6-1.406-15.98l-33.38-211.6C591.4 77.96 522 32 319.1 32C119 32 48.71 77.46 34.78 156.6l-33.38 211.6c-.9487 5.383-1.406 10.72-1.406 15.98c0 51.89 44.58 95.81 101.5 95.81c49.69 0 93.78-30.06 109.5-74.64l7.5-21.36h203l7.5 21.36c15.72 44.58 59.81 74.64 109.5 74.64C595.4 479.1 640 436.1 640 384.2zM247.1 248l-31.96-.0098L215.1 280c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24l.0367-32.01L135.1 248c-13.2 0-23.98-10.8-23.98-24c0-13.2 10.77-24 23.98-24l32.04-.011L167.1 168c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24l.0368 31.99L247.1 200c13.2 0 24.02 10.8 24.02 24C271.1 237.2 261.2 248 247.1 248zM432 311.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C472 294.1 454.1 311.1 432 311.1zM496 215.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C536 198.1 518.1 215.1 496 215.1z", "M247.1 200l-31.96-.011L215.1 168c0-13.2-10.78-24-23.98-24C178.8 144 167.1 154.8 167.1 168l.0367 31.99L135.1 200c-13.2 0-23.98 10.8-23.98 24c0 13.2 10.77 24 23.98 24l32.04-.0098L167.1 280c0 13.2 10.82 24 24.02 24c13.2 0 23.98-10.8 23.98-24l.0368-32.01L247.1 248c13.2 0 24.02-10.8 24.02-24C271.1 210.8 261.2 200 247.1 200z"]],
    "garage": [640, 512, [], "e009", ["M512 320H128V224H512V320zM128 352H512V512H128V352zM272 448H368C376.8 448 384 440.8 384 432C384 423.2 376.8 416 368 416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "garage-car": [640, 512, [], "e00a", ["M261.8 240H378.2C401.1 240 423.2 255.1 431 277.5L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L208.1 277.5C216.8 255.1 238 240 261.8 240L261.8 240zM261.8 288C258.4 288 255.4 290.2 254.3 293.4L242.2 328H397.8L385.7 293.4C384.6 290.2 381.6 288 378.2 288H261.8zM240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376zM400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "garage-open": [640, 512, [], "e00b", ["M244.1 320L242.2 328H397.8L395 320H445.9L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L194.1 320H244.1zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376z", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM512 287.1H128V223.1H512V287.1z"]],
    "garlic": [512, 512, [129476], "e40e", ["M64 306.9c0-55.59 17.16-84.8 33.78-113c10.6-18.05 20.69-35.61 26.1-60.65L48.8 191.7C17.79 215.9 0 251.4 0 288.1c0 62.77 49.45 114.6 113.1 124.8C84.23 390 64 354.4 64 306.9zM299.7 211.4C279.2 183.6 256 152 256 92.64V0H208C181.5 0 160 19.99 160 44.57v48.07c0 58.48-18.41 89.78-34.66 117.4C110.3 235.7 96 259.1 96 306.9C96 381.8 158.2 416 215.1 416C273.8 416 336 381.8 336 306.9C336 260.9 319.2 237.1 299.7 211.4zM463.2 191.7l-85.23-66.48C361.5 112.4 352 93.53 352 73.52V44.57C352 19.99 330.5 0 304 0H288v92.64c0 48.88 18.19 73.63 37.44 99.83C345.4 219.6 368 250.4 368 306.9c0 49.17-21.83 85.49-53.34 109.1L376 415.9C451.1 415.5 512 358.8 512 288.1C512 251.4 494.2 215.9 463.2 191.7z", "M200 488C200 501.3 210.8 512 224 512s24-10.75 24-24V448h-48V488zM328 448v40c0 13.25 10.75 24 24 24s24-10.75 24-24v-40.04L328 448zM136 488C136 501.3 146.8 512 160 512s24-10.75 24-24V448l-48-.0391V488zM264 488c0 13.25 10.75 24 24 24s24-10.75 24-24V448h-48V488z"]],
    "gas-pump": [512, 512, [9981], "f52f", ["M256 0C291.3 0 320 28.65 320 64V448H32V64C32 28.65 60.65 0 96 0H256zM112 64C103.2 64 96 71.16 96 80V176C96 184.8 103.2 192 112 192H240C248.8 192 256 184.8 256 176V80C256 71.16 248.8 64 240 64H112z", "M384 31.1C392.8 23.16 407.2 23.16 416 31.1L493.3 109.3C505.3 121.3 512 137.5 512 154.5V376C512 415.8 479.8 448 440 448C400.2 448 368 415.8 368 376V344C368 321.9 350.1 303.1 328 303.1H320V255.1H328C376.6 255.1 416 295.4 416 344V376C416 389.3 426.7 400 440 400C453.3 400 464 389.3 464 376V221.1C436.4 214.9 416 189.8 416 159.1V95.1L384 63.1C375.2 55.16 375.2 40.84 384 31.1V31.1zM0 480C0 462.3 14.33 448 32 448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480z"]],
    "gas-pump-slash": [640, 512, [], "f5f4", ["M520.8 382.9C525.3 376.4 528 368.5 528 360V221.1C500.4 214.9 480 189.8 480 160V96L448 64C439.2 55.16 439.2 40.84 448 32C456.8 23.16 471.2 23.16 480 32L557.3 109.3C569.3 121.3 576 137.5 576 154.5V360C576 379.7 569.5 397.9 558.6 412.5L520.8 382.9zM97.33 50.98C103.3 21.88 129.1 0 160 0H320C355.3 0 384 28.65 384 64V275.7L97.33 50.98zM384 398.5V416H96V171.6L384 398.5zM64 480C64 462.3 78.33 448 96 448H384C401.7 448 416 462.3 416 480C416 497.7 401.7 512 384 512H96C78.33 512 64 497.7 64 480z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M280 292.7C303.5 302.1 320 325.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 325.1 208.5 302.1 232 292.7V88C232 74.75 242.7 64 256 64C269.3 64 280 74.75 280 88V292.7z"]],
    "gauge-circle-bolt": [640, 512, [], "e496", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8z"]],
    "gauge-circle-minus": [640, 512, [], "e497", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM560 383.1C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H560z"]],
    "gauge-circle-plus": [640, 512, [], "e498", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 334.6 313.1 318.9 301.9 307.4L365.1 161.7C371.3 149.5 365.8 135.4 353.7 130C341.5 124.7 327.4 130.2 322 142.3L257.9 288C257.3 288 256.6 287.1 256 287.1C220.7 287.1 192 316.7 192 352C192 387.3 220.7 416 256 416V416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M322 142.3C327.4 130.2 341.5 124.7 353.7 130C365.8 135.4 371.3 149.5 365.1 161.7L301.9 307.4C313.1 318.9 319.1 334.6 319.1 352C319.1 387.3 291.3 416 255.1 416C220.6 416 191.1 387.3 191.1 352C191.1 316.7 220.6 288 255.1 288C256.6 288 257.3 288 257.9 288L322 142.3z"]],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C255.4 288 254.7 288 254.1 288L189.1 142.3C184.6 130.2 170.5 124.7 158.3 130C146.2 135.4 140.7 149.5 146 161.7L210.1 307.4C198.9 318.9 192 334.6 192 352C192 387.3 220.7 416 256 416V416zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M254.1 288C254.7 288 255.4 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 334.6 198.9 318.9 210.1 307.4L146 161.7C140.7 149.5 146.2 135.4 158.3 130C170.5 124.7 184.6 130.2 189.1 142.3L254.1 288z"]],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96zM320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352V352zM336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144z", "M411.4 227.6C422.6 220.6 437.4 224.1 444.4 235.4C451.4 246.6 447.9 261.4 436.6 268.4L319.1 341.2C319.7 344.7 320 348.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C270.1 288 283.2 292.6 293.8 300.4L411.4 227.6z"]],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M218.2 300.4C228.8 292.6 241.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 348.3 192.3 344.7 192.9 341.2L75.37 268.4C64.1 261.4 60.62 246.6 67.59 235.4C74.57 224.1 89.36 220.6 100.6 227.6L218.2 300.4z"]],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7z", "M280 292.7C303.5 302.1 320 325.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 325.1 208.5 302.1 232 292.7V88C232 74.75 242.7 64 256 64C269.3 64 280 74.75 280 88V292.7z"]],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 336.1 314.2 321.6 304.7 310.4L381.3 163.1C387.4 151.3 382.8 136.8 371.1 130.7C359.3 124.6 344.8 129.2 338.7 140.9L262.1 288.3C260.1 288.1 258.1 287.1 255.1 287.1C220.7 287.1 191.1 316.7 191.1 352L192 352z", "M338.7 140.9C344.8 129.2 359.3 124.6 371.1 130.7C382.8 136.8 387.4 151.3 381.3 163.1L304.7 310.4C314.2 321.6 320 336.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C258.1 288 260.1 288.1 262.1 288.3L338.7 140.9z"]],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C253.9 288 251.9 288.1 249.9 288.3L173.3 140.9C167.2 129.2 152.7 124.6 140.9 130.7C129.2 136.8 124.6 151.3 130.7 163.1L207.3 310.4C197.8 321.6 191.1 336.1 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 255.1 288L256 288z", "M249.9 288.3C251.9 288.1 253.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 336.1 197.8 321.6 207.3 310.4L130.7 163.1C124.6 151.3 129.2 136.8 140.9 130.7C152.7 124.6 167.2 129.2 173.3 140.9L249.9 288.3z"]],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352V352z", "M411.4 227.6C422.6 220.6 437.4 224.1 444.4 235.4C451.4 246.6 447.9 261.4 436.6 268.4L319.1 341.2C319.7 344.7 320 348.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C270.1 288 283.2 292.6 293.8 300.4L411.4 227.6z"]],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 287.1 256 287.1L256 288z", "M218.2 300.4C228.8 292.6 241.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 348.3 192.3 344.7 192.9 341.2L75.37 268.4C64.1 261.4 60.62 246.6 67.59 235.4C74.57 224.1 89.36 220.6 100.6 227.6L218.2 300.4z"]],
    "gavel": [512, 512, ["legal"], "f0e3", ["M214.6 342.6c6.25 6.251 9.374 14.44 9.374 22.62c0 8.187-3.125 16.37-9.376 22.62l-114.7 114.7C93.62 508.9 85.43 512 77.25 512s-16.37-3.125-22.62-9.375l-45.25-45.25c-6.25-6.248-9.375-14.43-9.375-22.62s3.125-16.37 9.375-22.62L124.1 297.4c6.25-6.248 14.44-9.372 22.62-9.372S163.1 291.1 169.4 297.4l81.06-81.06l45.25 45.25L214.6 342.6z", "M512 216.3c0-6.125-2.344-12.25-7.031-16.93L482.3 176.8c-4.688-4.686-10.84-7.028-16.1-7.028s-12.31 2.343-16.1 7.028l-5.625 5.625L329.6 69.28l5.625-5.625c4.687-4.688 7.03-10.84 7.03-16.1s-2.343-12.31-7.03-16.1l-22.62-22.62C307.9 2.344 301.8 0 295.7 0s-12.15 2.344-16.84 7.031L154.2 131.5C149.6 136.2 147.2 142.3 147.2 148.5s2.344 12.25 7.031 16.94l22.62 22.62c4.688 4.688 10.84 7.031 16.1 7.031c6.156 0 12.31-2.344 16.1-7.031l5.625-5.625l113.1 113.1l-5.625 5.621c-4.688 4.688-7.031 10.84-7.031 16.1s2.344 12.31 7.031 16.1l22.62 22.62c4.688 4.688 10.81 7.031 16.94 7.031s12.25-2.344 16.94-7.031l124.5-124.6C509.7 228.5 512 222.5 512 216.3z"]],
    "gear": [512, 512, [9881, "cog"], "f013", ["M304 256C304 282.5 282.5 304 256 304C229.5 304 208 282.5 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256z", "M495.9 166.6C499.2 175.2 496.4 184.9 489.6 191.2L446.3 230.6C447.4 238.9 448 247.4 448 255.1C448 264.6 447.4 273.1 446.3 281.4L489.6 320.8C496.4 327.1 499.2 336.7 495.9 345.4C491.5 357.3 486.2 368.8 480.2 379.7L475.5 387.8C468.9 398.8 461.5 409.2 453.4 419.1C447.4 426.2 437.7 428.7 428.9 425.9L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L316.7 490.7C314.7 499.7 307.7 506.1 298.5 508.5C284.7 510.8 270.5 512 255.1 512C241.5 512 227.3 510.8 213.5 508.5C204.3 506.1 197.3 499.7 195.3 490.7L182.8 433.6C167 427 152.2 418.4 138.8 408.1L83.14 425.9C74.3 428.7 64.55 426.2 58.63 419.1C50.52 409.2 43.12 398.8 36.52 387.8L31.84 379.7C25.77 368.8 20.49 357.3 16.06 345.4C12.82 336.8 15.55 327.1 22.41 320.8L65.67 281.4C64.57 273.1 64 264.6 64 256C64 247.4 64.57 238.9 65.67 230.6L22.41 191.2C15.55 184.9 12.82 175.3 16.06 166.6C20.49 154.7 25.78 143.2 31.84 132.3L36.51 124.2C43.11 113.2 50.52 102.8 58.63 92.95C64.55 85.8 74.3 83.32 83.14 86.14L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L195.3 21.33C197.3 12.25 204.3 5.04 213.5 3.51C227.3 1.201 241.5 0 255.1 0C270.5 0 284.7 1.201 298.5 3.51C307.7 5.04 314.7 12.25 316.7 21.33L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L428.9 86.14C437.7 83.32 447.4 85.8 453.4 92.95C461.5 102.8 468.9 113.2 475.5 124.2L480.2 132.3C486.2 143.2 491.5 154.7 495.9 166.6L495.9 166.6zM256 336C300.2 336 336 300.2 336 255.1C336 211.8 300.2 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336z"]],
    "gears": [640, 512, ["cogs"], "f085", ["M529.7 506.7C520.1 510.4 511 507.5 504.7 500.5L484.9 478.3C478.1 479.4 471.1 480 464 480C456.9 480 449.9 479.4 443.1 478.3L423.3 500.5C416.1 507.5 407 510.4 398.3 506.7C393 504.4 387.8 501.9 382.8 499.1L377.4 496C372.4 492.1 367.6 489.7 362.9 486.2C355.3 480.5 352.8 470.5 355.8 461.5L365.1 433.2C356.2 422.5 349.1 410.3 344.1 397L315.1 390.1C305.8 389 298.4 381.8 297.2 372.4C296.4 365.7 296 358.9 296 352C296 345.1 296.4 338.3 297.2 331.6C298.4 322.2 305.8 314.1 315.1 313L344.1 306.1C349.1 293.7 356.2 281.5 365.1 270.8L355.8 242.5C352.8 233.5 355.3 223.5 362.9 217.8C367.6 214.3 372.5 210.1 377.5 207.9L382.8 204.9C387.8 202.1 392.1 199.6 398.3 197.3C407 193.6 416.1 196.5 423.3 203.5L443.1 225.7C449.9 224.6 456.9 224 464 224C471.1 224 478.1 224.6 484.9 225.7L504.7 203.5C511 196.5 520.1 193.6 529.7 197.3C535 199.6 540.2 202.1 545.2 204.9L550.5 207.9C555.5 210.1 560.4 214.3 565.1 217.8C572.7 223.5 575.2 233.5 572.2 242.5L562.9 270.8C571.8 281.5 578.9 293.7 583.9 306.1L612.9 313C622.2 314.1 629.6 322.2 630.8 331.6C631.6 338.3 632 345.1 632 352C632 358.9 631.6 365.7 630.8 372.4C629.6 381.8 622.2 389 612.9 390.1L583.9 397C578.9 410.3 571.8 422.5 562.9 433.2L572.2 461.5C575.2 470.5 572.7 480.5 565.1 486.2C560.4 489.7 555.6 492.1 550.6 496L545.2 499.1C540.2 501.9 534.1 504.4 529.7 506.7H529.7zM416 352C416 378.5 437.5 400 464 400C490.5 400 512 378.5 512 352C512 325.5 490.5 304 464 304C437.5 304 416 325.5 416 352z", "M314.7 110.3C318.4 119 315.5 128.1 308.5 135.3L286.3 155.1C287.4 161.9 288 168.9 288 175.1C288 183.1 287.4 190.1 286.3 196.9L308.5 216.7C315.5 223 318.4 232.1 314.7 241.7C312.4 246.1 309.9 252.2 307.1 257.2L304 262.6C300.1 267.6 297.7 272.4 294.2 277.1C288.5 284.7 278.5 287.2 269.5 284.2L241.2 274.9C230.5 283.8 218.3 290.9 205 295.9L198.1 324.9C197 334.2 189.8 341.6 180.4 342.8C173.7 343.6 166.9 344 160 344C153.1 344 146.3 343.6 139.6 342.8C130.2 341.6 122.1 334.2 121 324.9L114.1 295.9C101.7 290.9 89.5 283.8 78.75 274.9L50.53 284.2C41.54 287.2 31.52 284.7 25.82 277.1C22.28 272.4 18.98 267.5 15.94 262.5L12.92 257.2C10.13 252.2 7.592 247 5.324 241.7C1.62 232.1 4.458 223 11.52 216.7L33.7 196.9C32.58 190.1 31.1 183.1 31.1 175.1C31.1 168.9 32.58 161.9 33.7 155.1L11.52 135.3C4.458 128.1 1.62 119 5.324 110.3C7.592 104.1 10.13 99.79 12.91 94.76L15.95 89.51C18.98 84.46 22.28 79.58 25.82 74.89C31.52 67.34 41.54 64.83 50.53 67.79L78.75 77.09C89.5 68.25 101.7 61.13 114.1 56.15L121 27.08C122.1 17.8 130.2 10.37 139.6 9.231C146.3 8.418 153.1 8 160 8C166.9 8 173.7 8.418 180.4 9.23C189.8 10.37 197 17.8 198.1 27.08L205 56.15C218.3 61.13 230.5 68.25 241.2 77.09L269.5 67.79C278.5 64.83 288.5 67.34 294.2 74.89C297.7 79.56 300.1 84.42 304 89.44L307.1 94.83C309.9 99.84 312.4 105 314.7 110.3L314.7 110.3zM160 223.1C186.5 223.1 208 202.5 208 175.1C208 149.5 186.5 127.1 160 127.1C133.5 127.1 112 149.5 112 175.1C112 202.5 133.5 223.1 160 223.1z"]],
    "gem": [512, 512, [128142], "f3a5", ["M256 192l144-128h-288L256 192zM222.3 224L112 64L0 224H222.3zM512 224l-112-160l-110.3 160H512z", "M512 224l-244.3 250.9C264.6 478.2 260.4 480 256 480s-8.636-1.828-11.67-5.062L0 224H512z"]],
    "genderless": [384, 512, [], "f22d", ["M192 320c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C256 291.3 227.3 320 192 320z", "M192 160c52.94 0 96 43.06 96 96s-43.06 96-96 96S96 308.9 96 256S139.1 160 192 160zM192 80C94.83 80 16 158.8 16 256c0 97.17 78.83 176 176 176s176-78.83 176-176C368 158.8 289.2 80 192 80z"]],
    "ghost": [384, 512, [128123], "f6e2", ["M186.1 .1032c-105.1 3.126-186.1 94.75-186.1 199.9v264c0 14.25 17.3 21.38 27.3 11.25l24.95-18.5c6.625-5.001 16-4.001 21.5 2.25l43 48.31c6.25 6.251 16.37 6.251 22.62 0l40.62-45.81c6.375-7.251 17.62-7.251 24 0l40.63 45.81c6.25 6.251 16.38 6.251 22.62 0l43-48.31c5.5-6.251 14.88-7.251 21.5-2.25l24.95 18.5c10 10.13 27.3 3.002 27.3-11.25V192C384 83.98 294.9-3.147 186.1 .1032zM128 224c-17.62 0-31.1-14.38-31.1-32.01s14.38-32.01 31.1-32.01s32 14.38 32 32.01S145.6 224 128 224zM256 224c-17.62 0-32-14.38-32-32.01s14.38-32.01 32-32.01c17.62 0 32 14.38 32 32.01S273.6 224 256 224z", "M128 159.1c-17.62 0-31.1 14.38-31.1 32.01s14.38 32.01 31.1 32.01s32-14.38 32-32.01S145.6 159.1 128 159.1zM256 159.1c-17.62 0-32 14.38-32 32.01s14.38 32.01 32 32.01s32-14.38 32-32.01S273.6 159.1 256 159.1z"]],
    "gif": [576, 512, [], "e190", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM260 306.9c0 5.297-2.109 10.39-5.859 14.14C237 338.2 212.4 348 186.5 348c-25.84 0-50.48-9.828-67.59-26.95C101.6 303.7 92 280.6 92 256s9.578-47.67 26.95-65.05c34.75-34.78 94.17-34.75 128.9 0c7.812 7.812 7.812 20.48 0 28.28c-7.828 7.812-20.48 7.812-28.28 0c-19.66-19.67-52.72-19.67-72.36 0C137.4 229.1 132 242.1 132 256s5.406 26.94 15.23 36.77C164.8 310.3 199.5 312.4 220 297.7V284H182.8c-11.05 0-20-8.953-20-20s8.953-20 20-20H240c11.05 0 20 8.953 20 20V306.9zM324 328c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20s20 8.953 20 20V328zM464 204h-68v32H448c11.05 0 20 8.953 20 20S459 276 448 276h-52v52c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20h88c11.05 0 20 8.953 20 20S475 204 464 204z", "M240 244H182.8c-11.05 0-20 8.953-20 20s8.953 20 20 20H220v13.73c-20.5 14.67-55.22 12.61-72.77-4.969C137.4 282.9 132 269.9 132 256s5.406-26.94 15.23-36.77c19.64-19.67 52.7-19.67 72.36 0c7.797 7.812 20.45 7.812 28.28 0c7.812-7.797 7.812-20.47 0-28.28c-34.75-34.75-94.17-34.78-128.9 0C101.6 208.3 92 231.4 92 256s9.578 47.67 26.95 65.05C136.1 338.2 160.7 348 186.5 348c25.83 0 50.47-9.828 67.59-26.95C257.9 317.3 260 312.2 260 306.9V264C260 252.1 251 244 240 244zM304 164c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20v-144C324 172.1 315 164 304 164zM464 204c11.05 0 20-8.953 20-20S475 164 464 164h-88c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20V276H448c11.05 0 20-8.953 20-20S459 236 448 236h-52v-32H464z"]],
    "gift": [512, 512, [127873], "f06b", ["M152 176H224V256H32C14.33 256 0 241.7 0 224V160C0 142.3 14.33 128 32 128H73.6C88.16 156.5 117.8 176 152 176zM480 256H288V176H360C394.2 176 423.8 156.5 438.4 128H480C497.7 128 512 142.3 512 160V224C512 241.7 497.7 256 480 256zM32 288H224V512H80C53.49 512 32 490.5 32 464V288zM288 512V288H480V464C480 490.5 458.5 512 432 512H288z", "M280.1 44.45C296.3 16.91 325.9 0 357.8 0H360C408.6 0 448 39.4 448 88C448 136.6 408.6 176 360 176H288V256H224V176H152C103.4 176 64 136.6 64 88C64 39.4 103.4 0 152 0H154.2C186.1 0 215.7 16.91 231.9 44.45L256 85.46L280.1 44.45zM190.5 68.78C182.9 55.91 169.1 48 154.2 48H152C129.9 48 112 65.91 112 88C112 110.1 129.9 128 152 128H225.3L190.5 68.78zM286.7 128H360C382.1 128 400 110.1 400 88C400 65.91 382.1 48 360 48H357.8C342.9 48 329.1 55.91 321.5 68.78L286.7 128zM224 512V288H288V512H224z"]],
    "gift-card": [576, 512, [], "f663", ["M470.4 128H512C547.3 128 576 156.7 576 192V320H0V192C0 156.7 28.65 128 64 128H105.6C120.2 156.5 149.8 176 184 176H243.4L189.6 240.6C181.1 250.8 182.5 265.1 192.6 274.4C202.8 282.9 217.1 281.5 226.4 271.4L287.1 197.5L349.6 271.4C358 281.5 373.2 282.9 383.4 274.4C393.5 265.1 394.9 250.8 386.4 240.6L332.6 176H392C426.2 176 455.8 156.5 470.4 128H470.4zM576 416V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V416H576z", "M243.4 176H184C135.4 176 96 136.6 96 88C96 39.4 135.4 0 184 0H186.2C218.1 0 247.7 16.91 263.9 44.45L288 85.46L312.1 44.45C328.3 16.91 357.9 0 389.8 0H392C440.6 0 480 39.4 480 88C480 136.6 440.6 176 392 176H332.6L386.4 240.6C394.9 250.8 393.5 265.1 383.4 274.4C373.2 282.9 358 281.5 349.6 271.4L288 197.5L226.4 271.4C217.1 281.5 202.8 282.9 192.6 274.4C182.5 265.1 181.1 250.8 189.6 240.6L243.4 176zM184 48C161.9 48 144 65.91 144 88C144 110.1 161.9 128 184 128H257.3L222.5 68.78C214.9 55.91 201.1 48 186.2 48H184zM432 88C432 65.91 414.1 48 392 48H389.8C374.9 48 361.1 55.91 353.5 68.78L318.7 128H392C414.1 128 432 110.1 432 88V88zM0 416V320H576V416H0z"]],
    "gifts": [640, 512, [], "f79c", ["M191.3 58.27L216.8 37.42C227.1 29.03 242.2 30.54 250.6 40.8C258.1 51.06 257.5 66.18 247.2 74.57L221 96H66.99L40.8 74.57C30.54 66.18 29.03 51.06 37.43 40.8C45.82 30.54 60.94 29.03 71.2 37.42L98.67 59.9L89.23 31.59C85.04 19.01 91.84 5.422 104.4 1.231C116.1-2.961 130.6 3.835 134.8 16.41L144.7 46.17L155.4 15.99C159.8 3.492 173.5-3.049 186 1.376C198.5 5.801 205 19.52 200.6 32.01L191.3 58.27zM640 272V352H448V272H520C551.4 272 578 251.1 587.9 224H592C618.5 224 640 245.5 640 272zM448 384H640V464C640 490.5 618.5 512 592 512H448V384zM416 384V512H272C245.5 512 224 490.5 224 464V384H416zM416 352H224V272C224 245.5 245.5 224 272 224H276.1C285.1 251.1 312.7 272 344 272H416V352z", "M240 95.1C256.9 95.1 271.7 104.7 280.3 117.9C257.3 135.7 241.9 162.1 240.2 193.1C212.5 201 192 226.1 192 255.1V479.1C192 491.7 195.1 502.6 200.6 511.1H48C21.49 511.1 0 490.5 0 463.1V143.1C0 117.5 21.49 95.1 48 95.1L240 95.1zM272 200C272 160.1 304.5 128 344.2 128C366.6 128 387.8 138.4 401.5 156.2L432 195.8L462.5 156.2C476.2 138.4 497.4 128 519.8 128C559.5 128 592 160.1 592 200C592 239.8 559.8 272 520 272H448V352H640V384H448V512H416V384H224V352H416V272H344C304.2 272 272 239.8 272 200H272zM363.5 185.5C358.9 179.5 351.7 176 344.2 176C330.8 176 320 186.9 320 200C320 213.3 330.7 224 344 224H393.1L363.5 185.5zM519.8 176C512.3 176 505.1 179.5 500.5 185.5L470.9 224H520C533.3 224 544 213.3 544 200C544 186.9 533.2 176 519.8 176H519.8z"]],
    "gingerbread-man": [448, 512, [], "f79d", ["M338.3 303.1h29.75c38.88 0 69.63-34.75 63.13-74.75c-5.125-31.5-34.75-53.25-66.5-53.25h-65.88c-7.125 0-10.5-8.375-5.5-13.5c20.75-21.63 31.5-52.75 24.88-86.25c-7.5-37.5-38.5-67.88-76-74.63c-61.13-11-114.1 35.5-114.1 94.38c0 25.75 10.25 49.13 26.75 66.25C159.7 167.5 156.4 175.1 149.2 175.1H83.37c-31.88 0-61.38 21.75-66.5 53.25C10.37 269.2 41.12 303.1 79.1 303.1h29.75c10.13 0 18.25 8.25 18.25 18.25c0 4.25-1.5 8.375-4.25 11.63L65.62 403.7c-23.38 27.88-21.63 72.38 7.125 94.63C84.25 507.6 98.25 512 111.1 512c18.25 0 36.5-7.75 49.25-23l38.25-45.88c12.75-15.38 36.38-15.38 49.25 0l38.25 45.88C299.8 504.2 317.8 512 336.3 512c13.75 0 27.63-4.375 39.25-13.5c28.75-22.38 30.38-66.75 7.125-94.75l-58.25-69.75c-2.625-3.25-4.125-7.375-4.125-11.75C320 312.2 328.3 303.1 338.3 303.1zM192 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16c8.75 0 16 7.25 16 16S200.8 95.1 192 95.1zM224 367.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 360.7 232.8 367.1 224 367.1zM224 303.1c-8.75 0-15.1-7.249-15.1-15.1s7.25-16 15.1-16s16 7.252 16 16S232.8 303.1 224 303.1zM224 239.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 232.7 232.8 239.1 224 239.1zM256 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16s16 7.25 16 16S264.8 95.1 256 95.1z", "M224 335.1c-8.75 0-15.1 7.251-15.1 16c0 8.75 7.25 15.1 15.1 15.1c8.75 0 16-7.249 16-15.1C240 343.2 232.8 335.1 224 335.1zM224 271.1c-8.75 0-15.1 7.252-15.1 16s7.25 15.1 15.1 15.1c8.75 0 16-7.249 16-15.1S232.8 271.1 224 271.1zM224 239.1c8.75 0 16-7.249 16-15.1c0-8.75-7.251-16-16-16c-8.75 0-15.1 7.251-15.1 16C208 232.7 215.3 239.1 224 239.1z"]],
    "glass": [384, 512, [129371], "f804", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L70.94 128H313.1L291.3 433.1z"]],
    "glass-citrus": [512, 512, [], "f869", ["M343.7 138.5c-6.125-6.625-14.75-10.5-23.75-10.5H32.02c-8.998 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1C352.7 154.1 349.7 145.3 343.7 138.5zM259 448H92.95L67.36 192h217.3L259 448z", "M368 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.1 0 95.99 43 95.99 96c0 50.13-38.62 90.88-87.62 95.13l-4.875 48.5C449.4 285.8 512 222.4 512 144C512 64.5 447.5 0 368 0zM92.95 448h166.1l19.2-192H73.75L92.95 448z"]],
    "glass-empty": [384, 512, [], "e191", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", ""]],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L77.8 224H306.2L291.3 433.1z"]],
    "glass-water": [384, 512, [], "e4f4", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L72.97 156.5L97.18 168.6C116.6 178.3 139.4 178.3 158.8 168.6C179.7 158.1 204.3 158.1 225.2 168.6C244.6 178.3 267.4 178.3 286.8 168.6L311 156.5L291.3 433.1z"]],
    "glass-water-droplet": [384, 512, [], "e4f5", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L83.05 297.5L95.1 304C116.1 314.1 139.9 314.1 159.1 304C180.1 293.9 203.9 293.9 224 304C244.1 314.1 267.9 314.1 288 304L300.1 297.5L291.3 433.1zM256 196C256 229.1 227.3 256 191.1 256C156.7 256 127.1 229.1 127.1 196C127.1 171.1 161.7 125.9 180.2 102.5C186.3 94.77 197.7 94.77 203.8 102.5C222.3 125.9 256 171.1 256 196V196z"]],
    "glasses": [576, 512, [], "f530", ["M222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98l-3.984-52.45c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z", "M574.1 280.4l-45.38-181.8c-5.875-23.63-21.62-44-43-55.75c-21.5-11.75-47-14.13-70.25-6.375l-15.25 5.125c-8.375 2.75-12.88 11.88-10 20.25l5 15.13c2.75 8.375 11.88 12.88 20.25 10.13l13.12-4.375c10.88-3.625 23-3.625 33.25 1.75c10.25 5.375 17.5 14.5 20.38 25.75l38.38 153.9c-22.12-6.875-49.75-12.5-81.13-12.5c-34.88 0-73.1 7-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-58.1 5.625-81.12 12.5l38.38-153.9C96.63 98.99 103.9 89.87 114.3 84.49c10.12-5.375 22.25-5.375 33.13-1.75l13.12 4.375c8.375 2.75 17.5-1.75 20.25-10.13l5-15.13c2.875-8.375-1.625-17.5-10.13-20.25l-15.25-5.125C137.3 28.74 111.6 31.12 90.25 42.87s-37.13 32.13-43 55.75L1.875 280.4C.6251 285.4 .0001 290.6 .0001 295.9v70.25C.0001 428.1 51.63 480 115.3 480h37.13c60.25 0 110.4-46 114.9-105.4l2.875-38.63h35.75l2.875 38.63C313.3 433.1 363.4 480 423.6 480h37.13c63.62 0 115.2-51 115.2-113.9V295.9C576 290.6 575.4 285.5 574.1 280.4zM222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98l-3.984-52.45c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z"]],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", ["M136 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s87.1 39.41 87.1 88C224 392.6 184.6 432 136 432zM440 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s88 39.41 88 88C528 392.6 488.6 432 440 432z", "M560.5 225.9L528.8 98.62C521.1 71.75 495 32 443.4 32c-15.62 0-23.12 2.1-43.13 9.625c-8.375 2.75-12.88 11.88-10 20.25l5 15.12C397.5 83.75 403.8 88 410.4 88c3.625 0 4.875-.75 18.25-5.25c26.12-8.625 48.25 6.125 53.63 27.5L511.9 229c-20.88-13.12-45.37-21-71.87-21c-55.13 0-102.2 32.88-123.6 80H259.6c-21.38-47.13-68.5-80-123.6-80c-26.5 0-51 7.877-71.88 21l29.63-118.8c5.375-21.38 27.5-36.25 53.63-27.5C160.8 87.25 161.1 88 165.6 88c6.625 0 12.88-4.25 15.13-11l5-15.12c2.875-8.375-1.625-17.5-10-20.25C155.8 34.1 148.3 32 132.6 32c-51.63 0-78.63 39.75-85.38 66.62L15.5 225.9C2.125 279.4 .0001 300.1 .0001 343.1c0 75.13 60.88 136 136 136c72.38 0 130.1-56.75 135.2-127.1h33.5c4.25 71.25 62.88 127.1 135.3 127.1c75.13 0 136-60.88 136-136C576 300.1 573.9 279.4 560.5 225.9zM136 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s87.1 39.41 87.1 88C224 392.6 184.6 432 136 432zM440 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s88 39.41 88 88C528 392.6 488.6 432 440 432z"]],
    "globe": [512, 512, [127760], "f0ac", ["M352 256C352 278.2 350.8 299.6 348.7 320H163.3C161.2 299.6 159.1 278.2 159.1 256C159.1 233.8 161.2 212.4 163.3 192H348.7C350.8 212.4 352 233.8 352 256zM503.9 192C509.2 212.5 512 233.9 512 256C512 278.1 509.2 299.5 503.9 320H380.8C382.9 299.4 384 277.1 384 256C384 234 382.9 212.6 380.8 192H503.9zM493.4 160H376.7C366.7 96.14 346.9 42.62 321.4 8.442C399.8 29.09 463.4 85.94 493.4 160zM344.3 160H167.7C173.8 123.6 183.2 91.38 194.7 65.35C205.2 41.74 216.9 24.61 228.2 13.81C239.4 3.178 248.7 0 256 0C263.3 0 272.6 3.178 283.8 13.81C295.1 24.61 306.8 41.74 317.3 65.35C328.8 91.38 338.2 123.6 344.3 160H344.3zM18.61 160C48.59 85.94 112.2 29.09 190.6 8.442C165.1 42.62 145.3 96.14 135.3 160H18.61zM131.2 192C129.1 212.6 127.1 234 127.1 256C127.1 277.1 129.1 299.4 131.2 320H8.065C2.8 299.5 0 278.1 0 256C0 233.9 2.8 212.5 8.065 192H131.2zM194.7 446.6C183.2 420.6 173.8 388.4 167.7 352H344.3C338.2 388.4 328.8 420.6 317.3 446.6C306.8 470.3 295.1 487.4 283.8 498.2C272.6 508.8 263.3 512 255.1 512C248.7 512 239.4 508.8 228.2 498.2C216.9 487.4 205.2 470.3 194.7 446.6H194.7zM190.6 503.6C112.2 482.9 48.59 426.1 18.61 352H135.3C145.3 415.9 165.1 469.4 190.6 503.6V503.6zM321.4 503.6C346.9 469.4 366.7 415.9 376.7 352H493.4C463.4 426.1 399.8 482.9 321.4 503.6V503.6z", "M321.4 503.6C300.6 509.1 278.6 512 255.1 512C233.4 512 211.4 509.1 190.6 503.6C165.1 469.4 145.3 415.9 135.3 352H18.61C14.42 341.7 10.89 330.1 8.065 320H131.2C129.1 299.4 127.1 277.1 127.1 256C127.1 234 129.1 212.6 131.2 192H8.065C10.89 181 14.42 170.3 18.61 160H135.3C145.3 96.14 165.1 42.62 190.6 8.442C211.4 2.934 233.4 0 255.1 0C248.7 0 239.4 3.178 228.2 13.81C216.9 24.61 205.2 41.74 194.7 65.35C183.2 91.38 173.8 123.6 167.7 160H344.3C338.2 123.6 328.8 91.38 317.3 65.35C306.8 41.74 295.1 24.61 283.8 13.81C272.6 3.178 263.3 0 255.1 0C278.6 0 300.6 2.934 321.4 8.442C346.9 42.62 366.7 96.14 376.7 160H493.4C497.6 170.3 501.1 181 503.9 192H380.8C382.9 212.6 384 234 384 256C384 277.1 382.9 299.4 380.8 320H503.9C501.1 330.1 497.6 341.7 493.4 352H376.7C366.7 415.9 346.9 469.4 321.4 503.6H321.4zM167.7 352C173.8 388.4 183.2 420.6 194.7 446.6C205.2 470.3 216.9 487.4 228.2 498.2C239.4 508.8 248.7 512 255.1 512C263.3 512 272.6 508.8 283.8 498.2C295.1 487.4 306.8 470.3 317.3 446.6C328.8 420.6 338.2 388.4 344.3 352H167.7zM352 256C352 233.8 350.8 212.4 348.7 192H163.3C161.2 212.4 159.1 233.8 159.1 256C159.1 278.2 161.2 299.6 163.3 320H348.7C350.8 299.6 352 278.2 352 256z"]],
    "globe-snow": [448, 512, [], "f7a3", ["M224 .0001c-123.7 0-223.1 100.3-223.1 223.1c0 62.87 26.12 119.4 67.88 159.1h124.1l0-32H134.1c-14.25 0-22-15-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32h124.1c41.63-40.62 67.88-97.13 67.88-159.1C448 100.3 347.8 .0001 224 .0001zM80 256c-8.75 0-16-7.25-16-15.1c0-8.75 7.25-16 16-16s16 7.25 16 16C96 248.8 88.75 256 80 256zM240 96c-8.75 0-16-7.25-16-15.1s7.25-15.1 16-15.1s16 7.25 16 15.1S248.8 96 240 96zM336 192c-8.75 0-16-7.25-16-15.1s7.25-16 16-16s16 7.25 16 16S344.8 192 336 192z", "M384 415.1h-320l-47.38 71.12c-7.125 10.63 .5 24.87 13.25 24.87h388.3c12.75 0 20.38-14.25 13.25-24.87L384 415.1zM192 383.1l0-32H134.1c-14.25 0-22-15-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32H192z"]],
    "globe-stand": [448, 512, [], "f5f6", ["M352 208C352 287.5 287.5 352 208 352C128.5 352 64 287.5 64 208C64 128.5 128.5 64 208 64C287.5 64 352 128.5 352 208z", "M49.61 332.5C58.98 323.1 74.18 323.1 83.55 332.5C152.3 401.2 263.7 401.2 332.5 332.5C401.2 263.7 401.2 152.3 332.5 83.55C323.1 74.18 323.1 58.98 332.5 49.61L367 15.03C376.4 5.657 391.6 5.657 400.1 15.03C410.3 24.4 410.3 39.6 400.1 48.97L382.5 67.48C453.5 155.4 448.1 284.6 366.4 366.4C328.8 404 281.1 425.5 232 430.7V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H87.1C74.74 512 63.1 501.3 63.1 488C63.1 474.7 74.74 464 87.1 464H183.1V430.7C142.4 426.3 101.8 410.2 67.48 382.5L48.97 400.1C39.6 410.3 24.4 410.3 15.03 400.1C5.657 391.6 5.657 376.4 15.03 367L49.61 332.5z"]],
    "goal-net": [640, 512, [], "e3ab", ["M528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V192h-64V144C384 135.2 376.8 128 368 128S352 135.2 352 144V192H288V144C288 135.2 280.8 128 272 128S256 135.2 256 144V192H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H160v64H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H160v64H112C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416H160v48C160 472.8 167.2 480 176 480S192 472.8 192 464V416h64v48C256 472.8 263.2 480 272 480S288 472.8 288 464V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H480v-64h48c8.836 0 16-7.164 16-16C544 295.2 536.8 288 528 288H480V224H528zM256 384H192v-64h64V384zM256 288H192V224h64V288zM352 384H288v-64h64V384zM352 288H288V224h64V288zM448 384h-64v-64h64V384zM448 288h-64V224h64V288z", "M544 32H96C43.06 32 0 75.06 0 128v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128c0-17.66 14.34-32 32-32h448c17.66 0 32 14.34 32 32v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128C640 75.06 596.9 32 544 32z"]],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", ["M192 .0001c-106 0-192 86.68-192 193.6c0 65.78 32.82 123.5 82.52 158.4h218.1C351.2 317.1 384 259.4 384 193.6C384 86.68 298 .0001 192 .0001zM179 205.1C183 206.9 187.4 208 192 208c17.53 0 31.74-14.33 31.74-31.1c0-4.687-1.111-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07c0 17.67-14.21 31.1-31.74 31.1C194.1 224 184 216.2 179 205.1zM223.7 303.1c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.109-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07C255.5 289.7 241.3 303.1 223.7 303.1zM287.2 240c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.73-14.33 31.73-31.1c0-4.687-1.109-9.062-2.902-13.07C311.2 183.9 318.9 195 318.9 208C318.9 225.7 304.7 240 287.2 240z", "M96 399.1c0 17.67 14.33 31.1 32 31.1s32 14.33 32 31.1v48h64v-48c0-17.67 14.33-31.1 32-31.1s32-14.33 32-31.1v-16H96V399.1zM239.6 256c0 17.67-14.21 31.1-31.74 31.1c-4.646 0-8.986-1.121-12.96-2.93c4.973 11.12 15.95 18.93 28.83 18.93c17.53 0 31.73-14.33 31.73-31.1c0-12.99-7.746-24.05-18.77-29.07C238.5 246.9 239.6 251.3 239.6 256zM207.9 224c17.53 0 31.74-14.33 31.74-31.1c0-12.99-7.746-24.05-18.77-29.07c1.793 4.008 2.904 8.383 2.904 13.07c0 17.67-14.21 31.1-31.74 31.1c-4.646 0-8.988-1.121-12.96-2.93C184 216.2 194.1 224 207.9 224zM300.2 178.9c1.793 4.008 2.902 8.383 2.902 13.07c0 17.67-14.21 31.1-31.73 31.1c-4.648 0-8.988-1.121-12.96-2.93c4.975 11.12 15.95 18.93 28.83 18.93c17.53 0 31.74-14.33 31.74-31.1C318.9 195 311.2 183.9 300.2 178.9z"]],
    "golf-club": [512, 512, [], "f451", ["M508.6 46.33l-223.1 447.1C279.2 505.2 268.1 512 255.1 512H31.1C14.33 512 0 497.7 0 480v-7.999h47.1c8.836 0 15.1-7.164 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-31.1h47.1c8.836 0 15.1-7.163 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-23.1c0-17.67 14.35-32 32-32c3.288 0 6.592 .5055 9.792 1.534l221.1 71.36l187.6-375.2C456.1 6.491 468.3 0 480 0C496.7 0 512 13.37 512 32.04C512 36.85 510.9 41.73 508.6 46.33z", "M47.1 440H0v31.1h47.1c8.836 0 15.1-7.164 15.1-15.1C63.1 447.2 56.83 440 47.1 440zM63.1 392c0-8.838-7.164-15.1-15.1-15.1H0v31.1h47.1C56.83 408 63.1 400.8 63.1 392z"]],
    "golf-flag-hole": [512, 512, [], "e3ac", ["M512 416c0 53.02-114.6 96-256 96s-256-42.98-256-96c0-35.51 51.55-66.45 128-83.05V416c0 17.67 35.82 32 80 32s80-14.33 80-32c0-17.67-35.82-32-80-32c-11.39 0-22.19 .9844-32 2.701v-61.85C201.2 321.7 228 320 256 320C397.4 320 512 362.1 512 416z", "M384 128c0 6.157-3.194 12.31-9.585 15.51L176 242.7v202.6C147.8 440.4 128 429.1 128 416V17.36c0-10.05 8.249-17.36 17.35-17.36c2.57 0 5.207 .5836 7.746 1.853L374.4 112.5C380.8 115.7 384 121.9 384 128z"]],
    "gopuram": [512, 512, [], "f664", ["M320 128H352V224H320V128zM384 352H352V224H384V352zM384 352H416V512H384V352zM160 352H128V512H96V352H128V224H160V352zM160 224V128H192V224H160z", "M120 0C133.3 0 144 10.75 144 24V32H184V24C184 10.75 194.7 0 208 0C221.3 0 232 10.75 232 24V32H280V24C280 10.75 290.7 0 304 0C317.3 0 328 10.75 328 24V32H368V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V128C433.7 128 448 142.3 448 160V224C465.7 224 480 238.3 480 256V352C497.7 352 512 366.3 512 384V480C512 497.7 497.7 512 480 512H416V352H384V224H352V128H320V224H352V352H384V512H304V464C304 437.5 282.5 416 256 416C229.5 416 208 437.5 208 464V512H128V352H160V224H192V128H160V224H128V352H96V512H32C14.33 512 0 497.7 0 480V384C0 366.3 14.33 352 32 352V256C32 238.3 46.33 224 64 224V160C64 142.3 78.33 128 96 128V24C96 10.75 106.7 0 120 0zM256 272C238.3 272 224 286.3 224 304V352H288V304C288 286.3 273.7 272 256 272zM224 224H288V192C288 174.3 273.7 160 256 160C238.3 160 224 174.3 224 192V224z"]],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", ["M323.9 143.5L161 184.2C121.6 194.1 92.4 225 83.28 263.1C90.83 268.1 96 277.7 96 288c0 9.953-4.814 18.49-11.94 24.36l24.83 149C110.5 471.1 103 480 93.11 480H34.89c-9.887 0-17.41-8.879-15.78-18.63l24.83-149C36.81 306.5 32 297.1 32 288c0-13.24 8.047-24.61 19.52-29.47c11.02-50.84 49.58-92.28 101.7-105.3l162.9-40.72c8.438-2.25 17.28 3.047 19.41 11.64C337.7 132.7 332.5 141.4 323.9 143.5z", "M640 160c0 10.38-6.438 19.65-16.05 23.09l-282.7 101.2c-13.73 4.91-28.7 4.91-42.43 0L108.2 216.1C121.9 200.9 139.1 189.5 161 184.2l162.9-40.72c8.594-2.141 13.78-10.83 11.66-19.39c-2.125-8.594-10.97-13.89-19.41-11.64L153.3 153.2C121.4 161.2 94.6 179.8 76.07 204.6L16.05 183.1C6.438 179.6 0 170.4 0 160s6.438-19.65 16.05-23.09l282.7-101.2c13.73-4.91 28.7-4.91 42.43 0l282.7 101.2C633.6 140.4 640 149.6 640 160zM351.1 314.4C341.7 318.1 330.9 320 320 320c-10.92 0-21.69-1.867-32-5.555L142.8 262.5L128 405.3C128 446.6 213.1 480 320 480c105.1 0 192-33.4 192-74.67l-14.78-142.9L351.1 314.4z"]],
    "gramophone": [384, 512, [], "f8bd", ["M376 269.1c0 45.75-37.13 82.75-82.75 82.75l-69.25-.0009v32.14h-64l-.0002-56.14c0-13.25 10.75-24 24-24h109.2c19.12 0 34.75-15.5 34.75-34.75c0-12.13-8.125-22.75-19.88-25.88c-76.75-20.63-175.7 30.75-238.6 73.88c-18.12 12.38-42.5-4.5-36.63-26.13l73.13-273.3C111.8-3.656 141.3-6.527 150.9 13.6c32.13 67.25 92.25 162.5 169.7 183.3C353.3 205.6 376 235.2 376 269.1z", "M384 463.1l-.0001 32c0 8.875-7.125 16-16 16h-352c-8.875 0-16-7.125-16-16l0-32c0-8.875 7.125-16 16-16l15.1 .0006L32 415.1c0-17.63 14.38-32 32-32h255.1c17.62 0 32 14.37 32 32l0 32l16-.0006C376.9 447.1 384 455.1 384 463.1z"]],
    "grapes": [512, 512, [], "e306", ["M392.4 119.6c18.08-37.78 11.56-81.72-19.76-114.8c-6.009-6.352-16.8-6.354-22.8 .0097c-40.48 42.96-39.09 103.8 3.263 145.9l8.246 8.246c42.12 42.35 103 43.74 145.9 3.263c6.354-5.998 6.343-16.78-.0041-22.79C474.1 108.1 430.2 101.5 392.4 119.6z", "M56 400C25.07 400 0 425.1 0 456S25.07 512 56 512s56-25.07 56-56S86.93 400 56 400zM224 232C193.1 232 168 257.1 168 288S193.1 344 224 344S280 318.9 280 288S254.9 232 224 232zM336 344c-30.93 0-55.93 25.05-55.93 55.97S305.1 456 336 456s56-25.07 56-56S366.9 344 336 344zM112 231.9C142.1 231.9 168 206.9 168 176S142.9 120 112 120S56 145.1 56 176S81.1 231.9 112 231.9zM88 256C57.07 256 32 281.1 32 312s25.07 56 56 56S144 342.9 144 312S118.9 256 88 256zM200 368c-30.93 0-56 25.07-56 56S169.1 480 200 480S256 454.9 256 424S230.9 368 200 368zM248 208c30.93 0 56-25.07 56-56S278.9 96 248 96S192 121.1 192 152S217.1 208 248 208zM360 208c-30.93 0-56 25.07-56 56S329.1 320 360 320S416 294.9 416 264S390.9 208 360 208z"]],
    "grate": [448, 512, [], "e193", ["M352 288v128h-64V288h-32v128H192V288H160v128H96V288H64V224h32V96h64v128h32V96h64v128h32V96h64v128h32v64H352z", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64V96h320V416z"]],
    "grate-droplet": [576, 512, [], "e194", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h280.2C328.1 457.3 320 430 320 400.7c0-37.73 14.8-65.7 32-91.31V288h14.82c17.79-25.07 35.88-51.44 47.95-91.42C419.8 180 432.3 167.7 448 162.6V96C448 60.65 419.3 32 384 32zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416H256V288h32V416zM288 224H256V96h32V224zM384 224h-32V96h32V224z", "M482.6 205.8c-5.031-18.05-31.5-18.83-37.19 0C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8z"]],
    "greater-than": [384, 512, [62769], "3e", ["M32.03 448c-11.75 0-23.05-6.469-28.66-17.69c-7.906-15.81-1.5-35.03 14.31-42.94l262.8-131.4L17.69 124.6C1.875 116.7-4.531 97.51 3.375 81.7c7.891-15.81 27.06-22.19 42.94-14.31l320 160C377.2 232.8 384 243.9 384 256c0 12.12-6.844 23.19-17.69 28.63l-320 160C41.72 446.9 36.83 448 32.03 448z", ""]],
    "greater-than-equal": [448, 512, [], "f532", ["M34.28 331.9c5.016 12.53 17.03 20.12 29.73 20.12c3.953 0 7.969-.7187 11.88-2.281l320-127.1C408 216.9 416 205.1 416 192s-7.969-24.85-20.11-29.72l-320-128c-16.47-6.594-35.05 1.406-41.61 17.84C27.72 68.55 35.7 87.17 52.11 93.73l245.7 98.28L52.11 290.3C35.7 296.9 27.72 315.5 34.28 331.9z", "M416 416H32c-17.67 0-32 14.31-32 31.99s14.33 32.01 32 32.01h384c17.67 0 32-14.32 32-32.01S433.7 416 416 416z"]],
    "grid": [448, 512, ["grid-3"], "e195", ["M248 32C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72C160 49.91 177.9 32 200 32H248zM88 192C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88zM160 392C160 369.9 177.9 352 200 352H248C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392zM408 192C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232C320 209.9 337.9 192 360 192H408z", "M0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM0 392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392zM288 280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280zM320 72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72zM448 440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440z"]],
    "grid-2": [448, 512, [], "e196", ["M448 184C448 206.1 430.1 224 408 224H296C273.9 224 256 206.1 256 184V72C256 49.91 273.9 32 296 32H408C430.1 32 448 49.91 448 72V184zM192 440C192 462.1 174.1 480 152 480H40C17.91 480 0 462.1 0 440V328C0 305.9 17.91 288 40 288H152C174.1 288 192 305.9 192 328V440z", "M192 176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176zM448 432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432z"]],
    "grid-2-plus": [512, 512, [], "e197", ["M32 80C32 53.49 53.49 32 80 32H176C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80zM32 336C32 309.5 53.49 288 80 288H176C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336zM432 32C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80C288 53.49 309.5 32 336 32H432z", "M408 360H472C485.3 360 496 370.7 496 384C496 397.3 485.3 408 472 408H408V472C408 485.3 397.3 496 384 496C370.7 496 360 485.3 360 472V408H296C282.7 408 272 397.3 272 384C272 370.7 282.7 360 296 360H360V296C360 282.7 370.7 272 384 272C397.3 272 408 282.7 408 296V360z"]],
    "grid-4": [448, 512, [], "e198", ["M119.5 48C119.5 39.16 126.6 32 135.5 32H193.1C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48zM73.6 151.5C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5C0 158.6 7.164 151.5 16 151.5H73.6zM73.6 390.4C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4C0 397.6 7.164 390.4 16 390.4H73.6zM193.1 270.9C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1zM238.9 167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5zM312.5 390.4C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5zM358.4 48C358.4 39.16 365.6 32 374.4 32H432C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48zM432 270.9C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9C358.4 278.1 365.6 270.9 374.4 270.9H432z", "M73.6 32C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48C0 39.16 7.164 32 16 32H73.6zM73.6 270.9C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9C0 278.1 7.164 270.9 16 270.9H73.6zM119.5 167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5zM193.1 390.4C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1zM238.9 48C238.9 39.16 246.1 32 254.9 32H312.5C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48zM312.5 270.9C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5zM358.4 167.5C358.4 158.6 365.6 151.5 374.4 151.5H432C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5zM432 390.4C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4C358.4 397.6 365.6 390.4 374.4 390.4H432z"]],
    "grid-5": [448, 512, [], "e199", ["M96 48C96 39.16 103.2 32 112 32H144C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48zM48 128C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144C0 135.2 7.164 128 16 128H48zM48 320C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336C0 327.2 7.164 320 16 320H48zM144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144zM96 432C96 423.2 103.2 416 112 416H144C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432zM240 128C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144C192 135.2 199.2 128 208 128H240zM192 336C192 327.2 199.2 320 208 320H240C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336zM336 32C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48C288 39.16 295.2 32 304 32H336zM288 240C288 231.2 295.2 224 304 224H336C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240zM336 416C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432C288 423.2 295.2 416 304 416H336zM384 144C384 135.2 391.2 128 400 128H432C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144zM432 320C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336C384 327.2 391.2 320 400 320H432z", "M0 48C0 39.16 7.164 32 16 32H48C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48zM0 240C0 231.2 7.164 224 16 224H48C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240zM48 416C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432C0 423.2 7.164 416 16 416H48zM96 144C96 135.2 103.2 128 112 128H144C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM192 48C192 39.16 199.2 32 208 32H240C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48zM240 224C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240C192 231.2 199.2 224 208 224H240zM192 432C192 423.2 199.2 416 208 416H240C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432zM336 128C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144C288 135.2 295.2 128 304 128H336zM288 336C288 327.2 295.2 320 304 320H336C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336zM432 32C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48C384 39.16 391.2 32 400 32H432zM384 240C384 231.2 391.2 224 400 224H432C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240zM432 416C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432C384 423.2 391.2 416 400 416H432z"]],
    "grid-dividers": [512, 512, [], "e3ad", ["M128 96C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128C32 110.3 46.33 96 64 96H128zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416C32 398.3 46.33 384 64 384H128zM192 128C192 110.3 206.3 96 224 96H288C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM352 128C352 110.3 366.3 96 384 96H448C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128zM448 384C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416C352 398.3 366.3 384 384 384H448z", "M488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM488 288C501.3 288 512 298.7 512 312C512 325.3 501.3 336 488 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H488z"]],
    "grid-horizontal": [448, 512, [], "e307", ["M160 168C160 145.9 177.9 128 200 128H248C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168zM0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM408 288C430.1 288 448 305.9 448 328V376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408z", "M0 168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM448 216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168C320 145.9 337.9 128 360 128H408C430.1 128 448 145.9 448 168V216z"]],
    "grill": [448, 512, [], "e5a3", ["M106.1 352.8L129.2 299C143.6 305.7 158.8 310.1 174.7 314.6L151.8 368H296.2L273.3 314.6C289.2 310.1 304.4 305.7 318.8 299L382.1 446.5C387.3 458.7 381.6 472.8 369.5 478.1C357.3 483.3 343.2 477.6 337.9 465.5L316.7 416H160C160 416 160 416 160 416C160 384.1 136.7 357.6 106.1 352.8H106.1z", "M408 32C430.1 32 448 49.91 448 72V96C448 219.7 347.7 320 224 320C100.3 320 0 219.7 0 96V72C0 49.91 17.91 32 40 32H408zM160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392z"]],
    "grill-fire": [576, 512, [], "e5a4", ["M408 32C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1C393.3 124 366.2 123.1 348.5 139.9C313.1 171.5 282.9 207.6 261.2 242.7C246.2 267 233.5 293.8 227.6 319.1C226.4 319.1 225.2 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368H224.8C226.4 384.6 229.1 400.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72C0 49.91 17.91 32 40 32H408zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392z", "M369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C409.3 181.6 427.8 200.7 445 221.5C452.9 211.6 461.8 200.8 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7V163.7zM416.1 448C435 448 451 442.1 466 432.1C496 412 504 370 486 336.1C484 332.1 482 328.1 479 324.1L443 366.1C443 366.1 384.1 292.1 380.1 287.1C351 324.1 336 346 336 370C336 418.1 372 448 416.1 448z"]],
    "grill-hot": [448, 512, [], "e5a5", ["M144 26.59C144 31.94 146.7 36.94 151.1 39.91L163.5 48.16C181.3 60.03 192 80.01 192 101.4V103.1C192 117.3 181.3 127.1 168 127.1C154.7 127.1 144 117.3 144 103.1V101.4C144 96.06 141.3 91.06 136.9 88.09L124.5 79.84C106.7 67.97 96 47.99 96 26.59V24C96 10.75 106.7 0 120 0C133.3 0 144 10.75 144 24V26.59zM256 26.59C256 31.94 258.7 36.94 263.1 39.91L275.5 48.16C293.3 60.03 304 80.01 304 101.4V103.1C304 117.3 293.3 127.1 280 127.1C266.7 127.1 256 117.3 256 103.1V101.4C256 96.06 253.3 91.06 248.9 88.09L236.5 79.84C218.7 67.97 208 47.99 208 26.59V24C208 10.75 218.7 0 232 0C245.3 0 256 10.75 256 24V26.59z", "M0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 270.1 401.4 337.3 334.4 367.3L382.1 478.5C387.3 490.7 381.6 504.8 369.5 510.1C357.3 515.3 343.2 509.6 337.9 497.5L327 472H155.3C145.9 495.5 122.9 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C99.44 384 102.8 384.3 106.1 384.8L113.6 367.3C46.65 337.3 .0003 270.1 .0003 192H0zM155.3 424H306.5L288.2 381.3C277.7 383.1 266.1 384 256 384H191.1C181 384 170.3 383.1 159.8 381.3L147.5 410C150.7 414.3 153.3 418.1 155.3 424H155.3zM96 472C109.3 472 120 461.3 120 448C120 434.7 109.3 424 96 424C82.75 424 72 434.7 72 448C72 461.3 82.75 472 96 472z"]],
    "grip": [448, 512, ["grip-horizontal"], "f58d", ["M0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z", "M0 136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136zM160 136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136zM448 184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184z"]],
    "grip-dots": [448, 512, [], "e410", ["M384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384zM224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384zM64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288z", "M384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224zM224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224zM64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128z"]],
    "grip-dots-vertical": [256, 512, [], "e411", ["M256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96zM256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256zM160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416z", "M96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"]],
    "grip-lines": [448, 512, [], "f7a4", ["M416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416z", "M416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416z"]],
    "grip-lines-vertical": [192, 512, [], "f7a5", ["M128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64z", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64z"]],
    "grip-vertical": [320, 512, [], "f58e", ["M232 480C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232zM232 320C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232zM280 32C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280z", "M40 480C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40zM40 320C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40zM88 32C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88z"]],
    "group-arrows-rotate": [512, 512, [], "e4f6", ["M222.7 32.15C227.7 49.09 218.1 66.91 201.1 71.95C186.5 76.3 172.6 82.34 159.7 89.85C159.9 91.87 159.1 93.93 159.1 96C159.1 131.3 131.3 160 95.1 160C93.92 160 91.87 159.9 89.85 159.7C82.34 172.6 76.29 186.5 71.94 201.1C66.9 218.1 49.09 227.7 32.15 222.7C15.21 217.6 5.563 199.8 10.6 182.9C17.01 161.4 26.15 141 37.64 122.3C34.02 114.3 31.1 105.4 31.1 96C31.1 60.65 60.65 32 95.1 32C105.4 32 114.3 34.02 122.3 37.64C141 26.16 161.4 17.01 182.9 10.61C199.8 5.566 217.6 15.21 222.7 32.15V32.15zM289.3 32.15C294.4 15.21 312.2 5.566 329.1 10.61C350.6 17.01 370.1 26.16 389.7 37.64C397.7 34.02 406.6 32 416 32C451.3 32 480 60.65 480 96C480 105.4 477.1 114.3 474.4 122.3C485.8 141 494.1 161.4 501.4 182.9C506.4 199.8 496.8 217.6 479.8 222.7C462.9 227.7 445.1 218.1 440.1 201.1C435.7 186.5 429.7 172.6 422.1 159.7C420.1 159.9 418.1 160 416 160C380.7 160 352 131.3 352 96C352 93.93 352.1 91.88 352.3 89.85C339.4 82.34 325.5 76.3 310.9 71.95C293.9 66.91 284.3 49.09 289.3 32.15L289.3 32.15zM32.15 289.3C49.09 284.3 66.9 293.9 71.94 310.9C76.29 325.5 82.34 339.4 89.85 352.3C91.87 352.1 93.92 352 95.1 352C131.3 352 159.1 380.7 159.1 416C159.1 418.1 159.9 420.1 159.7 422.2C172.6 429.7 186.5 435.7 201.1 440.1C218.1 445.1 227.7 462.9 222.7 479.9C217.6 496.8 199.8 506.4 182.9 501.4C161.4 494.1 141 485.8 122.3 474.4C114.3 477.1 105.4 480 95.1 480C60.65 480 31.1 451.3 31.1 416C31.1 406.6 34.02 397.7 37.64 389.7C26.15 370.1 17.01 350.6 10.6 329.1C5.562 312.2 15.21 294.4 32.15 289.3L32.15 289.3zM479.8 289.3C496.8 294.4 506.4 312.2 501.4 329.1C494.1 350.6 485.8 370.1 474.4 389.7C477.1 397.7 480 406.6 480 416C480 451.3 451.3 480 416 480C406.6 480 397.7 477.1 389.7 474.4C370.1 485.8 350.6 494.1 329.1 501.4C312.2 506.4 294.4 496.8 289.3 479.9C284.3 462.9 293.9 445.1 310.9 440.1C325.5 435.7 339.4 429.7 352.3 422.2C352.1 420.1 352 418.1 352 416C352 380.7 380.7 352 416 352C418.1 352 420.1 352.1 422.2 352.3C429.7 339.4 435.7 325.5 440.1 310.9C445.1 293.9 462.9 284.3 479.8 289.3H479.8z", "M238.2 346.1C232.1 357.9 217.7 362.6 205.9 356.6C169.7 338.1 144.8 300.4 144.8 256.8C144.8 227.9 155.7 201.6 173.7 181.7L162.5 170.6C155.1 163.1 160.6 152.8 169.9 152.8H230.4C236.1 152.8 240.8 157.5 240.8 163.2V223.7C240.8 232.1 229.6 237.6 223 231L207.7 215.7C198.4 226.8 192.8 241.1 192.8 256.8C192.8 281.6 206.9 303.2 227.7 313.8C239.5 319.9 244.2 334.3 238.2 346.1V346.1zM320.8 255.2C320.8 230.4 306.6 208.8 285.9 198.2C274.1 192.1 269.4 177.7 275.4 165.9C281.5 154.1 295.9 149.4 307.7 155.4C343.9 173.9 368.8 211.6 368.8 255.2C368.8 284.1 357.8 310.5 339.9 330.3L351 341.5C357.6 348 352.1 359.2 343.7 359.2H283.2C277.5 359.2 272.8 354.6 272.8 348.8V288.3C272.8 279 284 274.4 290.6 280.1L305.9 296.3C315.2 285.2 320.8 270.9 320.8 255.2V255.2z"]],
    "guarani-sign": [384, 512, [], "e19a", ["M224 32V66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32zM224 379.1C213.8 382.6 203 384 192 384C180.1 384 170.2 382.6 160 379.1V132C170.2 129.4 180.1 128 192 128C203.1 128 213.8 129.4 224 132V379.1zM224 480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448C202.9 448 213.6 447.1 224 445.3V480z", "M192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C251.6 384 301.8 343.2 315.1 288H224V224H352C369.7 224 384 238.3 384 256C384 362 298 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C244.3 64 291.8 84.97 326.4 118.9C339 131.3 339.2 151.5 326.9 164.1C314.5 176.8 294.2 176.1 281.6 164.6C258.5 141.9 226.9 128 191.1 128H192z"]],
    "guitar": [512, 512, [], "f7a6", ["M348.9 267.6c-3.375-14.62-10.4-27.99-19.14-40.11L295.5 261.8C289.2 268 279.1 268 272.9 261.8L250.2 239.2C243.1 232.9 243.1 222.8 250.2 216.5l34.27-34.27C272.4 173.5 259 166.5 244.4 163.1C211 155.4 177.4 162.3 154.5 185.1C145.3 194.5 138.3 206 134.3 218.6c-6 18.5-23.13 32.63-42.12 34.38C68.52 255.4 46.39 264.5 29.52 281.5c-45.62 45.5-37.37 127.5 18.12 183c55.37 55.38 137.4 63.51 182.9 18c16.1-16.88 26.25-38.85 28.5-62.72c1.752-18.75 15.84-36.16 34.47-42.16c12.5-3.875 24.03-10.88 33.4-20.25C349.8 334.5 356.6 301 348.9 267.6zM208 352c-26.5 .0039-47.1-21.5-48-48c.002-26.5 21.5-48 48-48c26.5-.002 48 21.5 47.1 48C256 330.5 234.5 352 208 352z", "M381.1 56.16l46.67-46.78c12.47-12.51 32.75-12.5 45.24-.0106l29.65 29.65c12.49 12.49 12.5 32.73-.0097 45.2l-46.8 46.69c-3.755 3.746-8.295 6.512-13.33 8.184l-36.53 12.17L295.5 261.8C289.2 268 279.1 268 272.9 261.8L250.2 239.2C243.1 232.9 243.1 222.8 250.2 216.5l110.5-110.5l12.19-36.51C374.6 64.48 377.4 59.91 381.1 56.16z"]],
    "guitar-electric": [512, 512, [127928], "f8be", ["M243.7 223.3C236.1 211.9 234.8 197.3 240.6 184.8l17.25-37.12c3.875-8.25 1.25-18.12-6.249-23.37C244.1 119.1 233.1 120 227.5 126.4L189.1 164.8c-8.124 8.125-14.37 17.1-18.12 28.75c-7.124 19.62-21.62 35.62-40.62 44.37L53.99 273.3c-57.24 22.87-72.37 96.74-28.87 140.2l73.37 73.37c43.62 43.5 117.5 28.37 140.4-28.75l35.37-76.37c8.874-18.1 24.87-33.62 44.49-40.5c10.75-3.875 20.62-10.12 28.87-18.25l21.5-21.5c6.499-6.5 7.749-16.62 2.1-24.5c-4.874-7.875-14.37-11.37-23.12-8.499L325.2 276c-12.62 3.875-26.37 1.249-36.74-7.125L243.7 223.3zM181.6 394.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0l-52.62-52.62c-4.123-4.124-2.07-9.304 0-11.37l11.25-11.25c4.123-4.124 9.303-2.07 11.37 0l52.62 52.62C185.7 387.1 183.7 392.3 181.6 394.4zM245.6 330.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0L170.4 289c-4.123-4.124-2.07-9.304 0-11.37l11.25-11.25c4.123-4.124 9.304-2.07 11.37 0l52.62 52.62C249.7 323.1 247.7 328.3 245.6 330.4z", "M128.1 330.4c-2.07-2.07-7.25-4.123-11.37 0l-11.25 11.25c-2.07 2.07-4.123 7.252 0 11.37l52.62 52.62c3.125 3.125 8.248 3.125 11.37 0l11.25-11.25c2.07-2.07 4.125-7.252 0-11.37L128.1 330.4zM511.2 39.56c-3.625-19.25-18.62-34.41-37.87-38.29c-22.87-4.25-22.75-.4588-106.6 53.66C357.6 60.81 351.1 70.93 351.1 81.93L351.1 115.1L243.7 223.3l44.74 45.62l173.1-172.9c.75 0 1.5 .3749 2.375 .3749c14.25 0 27.87-6.333 36.99-17.33C510.1 68.06 513.8 53.68 511.2 39.56zM192.1 266.4c-2.07-2.07-7.249-4.123-11.37 0L170.4 277.6c-2.07 2.07-4.123 7.25 0 11.37l52.62 52.62c3.123 3.125 8.248 3.125 11.37 0l11.25-11.25c2.07-2.07 4.123-7.251 0-11.37L192.1 266.4z"]],
    "guitars": [512, 512, [], "f8bf", ["M505.5 400.9l-26.1-73.5c-6.625-18.25-5.75-38.25 2.625-55.75c4.625-9.75 6.1-20.25 6.1-30.1V212.4c0-8.625-5.875-15.1-14.12-17.1s-16.87 1.875-20.75 9.5l-10.62 20.5c-5.373 10.38-15.37 17-26.62 19L351.1 242.5c-11.25-3-20.87-11-24.1-22.38l-12.1-35.75c-2.875-7.875-11.12-12.63-19.5-11.13c-8.375 1.375-14.37 8.625-14.37 17.13V240.8c0 10.75 2.375 21.25 6.1 30.87c8.25 17.5 9.125 37.63 2.5 55.88l-26.1 73.5C239.1 453.5 278.5 512 335.7 512l96.37-.0005C489.4 511.1 527.1 453.4 505.5 400.9zM431.1 392c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V392zM431.1 327.9c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V327.9zM229.3 300.2c5.5-10.62 8.333-22.37 8.458-34.25c0-29.13-16.1-54.92-43.25-71.17C181.8 186.8 166.1 182.9 152 181L152.1 224c0 8.837-7.163 16-16 16h-16c-8.837 0-16-7.163-16-16L104 180.1c-15 1.875-29.77 5.875-42.65 13.88C54.63 198.1 48.5 203.9 42.88 209.5c-15.37 15.38-24.62 34.1-24.62 56.62c0 11.88 2.875 23.62 8.375 34.12c7.998 15.62 5.998 35.62-4.875 48.75c-13.62 16.5-21.87 36.37-21.75 57.1c-.125 58 57.37 105 127.1 105c41.76 0 78.86-16.46 102.3-41.9l.1187-.6031c-9.251-26.12-8.375-54.75 2.375-80.37l10.25-27.75c-2.625-4.25-5.625-8.5-8.75-12.38C223.2 335.9 221.3 315.9 229.3 300.2zM156.2 332.3c-15.62 15.62-40.87 15.62-56.5 0s-15.62-40.88 0-56.5s40.87-15.62 56.5 0C171.9 291.4 171.9 316.6 156.2 332.3z", "M145.3 0H110.8c-14.58 0-26.5 11.83-26.5 26.41v54.09c0 4.439 1.114 8.976 3.098 12.95l16.66 33.3L104.1 224c0 8.836 7.164 16 16 16h16c8.836 0 16-7.164 16-16L152 126.7l16.59-33.19c2.059-4.117 3.033-8.461 3.033-13.06V26.37C171.6 11.81 159.8 0 145.3 0zM358.1 151v91.63l48 .625V73.38c1.75-1.125 3.5-2.375 5.125-3.75c14.75-14.88 16-38.5 2.625-54.75c-13.25-16.12-36.63-19.62-54.13-8c-16.38 11.13-14 13.25-31.88 96.25c-1.875 9 .875 18.38 7.375 25L358.1 151zM423.1 368h-79.1c-4.375 0-7.1 3.625-7.1 8v16c0 4.375 3.625 8 7.1 8h79.1c4.375 0 7.1-3.625 7.1-8v-16C431.1 371.6 428.4 368 423.1 368zM423.1 303.9h-79.1c-4.375 0-7.1 3.625-7.1 8v16c0 4.375 3.625 8 7.1 8h79.1c4.375 0 7.1-3.625 7.1-8v-16C431.1 307.5 428.4 303.9 423.1 303.9z"]],
    "gun": [576, 512, [], "e19b", ["M328.5 298.6C327.4 301.8 324.4 304 320.9 304H239.1L226.4 352h94.58c24.16 0 45.5-15.41 53.13-38.28L398.6 240h-50.62L328.5 298.6zM64 128v32h416V128H64z", "M544 64h-16V56C528 42.74 517.3 32 504 32S480 42.74 480 56V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L256 240h178.7c8.486 0 16.62-3.369 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM480 160H64V128h416V160z"]],
    "gun-slash": [640, 512, [], "e19c", ["M32 196.8C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.6 74.76 480 96.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L258.4 352h67.39L32 121.8V196.8zM576 64h-16V56C560 42.74 549.3 32 536 32S512 42.74 512 56V64H113.1l81.66 64H512v32H236.4l102.1 80h41.52l-8.6 25.8l40.13 31.45L430.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96C608 78.33 593.7 64 576 64z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.27-4.062-33.7C9.846 3.156 16.91 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "gun-squirt": [576, 512, [], "e19d", ["M296 288C282.7 288 272 298.7 272 312v16H233.6l-13.05 48H272v16c0 13.25 10.75 24 24 24S320 405.3 320 392v-80C320 298.7 309.3 288 296 288zM96 192h352c17.67 0 32-14.33 32-32H64C64 177.7 78.33 192 96 192zM560 128H544v64h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128z", "M496 64H128V56C128 42.74 117.3 32 104 32S80 42.74 80 56v9.613C34.64 73.27 0 112.5 0 160c0 47.59 34.72 86.81 80.16 94.4l-46.91 184.8C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L253.2 256H496C522.5 256 544 234.5 544 208v-96C544 85.49 522.5 64 496 64zM448 192H96C78.33 192 64 177.7 64 160s14.33-32 32-32h352c17.67 0 32 14.33 32 32S465.7 192 448 192z"]],
    "h": [384, 512, [104], "48", ["M384 64.01v384c0 17.67-14.33 32-32 32s-32-14.33-32-32v-192H64v192c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v128h256v-128c0-17.67 14.33-32 32-32S384 46.34 384 64.01z", ""]],
    "h1": [576, 512, [], "f313", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M544 384h-32v-288c0-11.09-5.75-21.38-15.17-27.22c-9.438-5.844-21.23-6.344-31.14-1.406l-64 32c-15.81 7.906-22.22 27.12-14.31 42.94c7.906 15.78 27.09 22.16 42.94 14.31L448 147.8v236.2h-32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S561.7 384 544 384z"]],
    "h2": [640, 512, [], "f314", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M608 384h-126l100.4-92.5c51.84-47.75 56.81-127.3 11.3-181.2c-22.75-26.94-54.64-43.28-89.8-46.09c-35.09-2.938-69.25 8.344-95.97 31.38l-25.09 21.59c-13.39 11.53-14.91 31.72-3.375 45.13c11.55 13.38 31.72 14.94 45.13 3.375l25.09-21.59c13.69-11.78 31.05-17.66 49.16-16.06c18 1.438 34.33 9.812 45.98 23.59c23.31 27.56 20.77 68.34-5.781 92.81l-160.7 148c-9.703 8.938-12.94 22.88-8.141 35.16S386.8 448 400 448H608c17.67 0 32-14.31 32-32S625.7 384 608 384z"]],
    "h3": [640, 512, [], "f315", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M523.9 211.7l91.03-93.38c8.984-9.219 11.58-22.91 6.578-34.78C616.5 71.73 604.9 64.01 592 64.01l-192-.0778c-17.67 0-32 14.39-32 32.08s14.33 32 32 32h116.1l-91.02 93.34c-8.984 9.219-11.58 22.91-6.578 34.78C423.5 267.1 435.1 275.7 448 275.7h73.84C551.7 275.7 576 299.1 576 329.9s-24.3 54.16-54.16 54.16h-62.53c-13.16 0-24.8-8.375-28.95-20.88c-5.578-16.75-23.69-25.88-40.48-20.22c-16.77 5.594-25.83 23.72-20.23 40.47c12.89 38.66 48.94 64.63 89.67 64.63h62.53C587 448 640 395 640 329.9C640 265.4 588.1 212.8 523.9 211.7z"]],
    "h4": [640, 512, [], "f86a", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M608 64.01c-17.67 0-32 14.31-32 32v159.1h-135l38.06-152.2c4.281-17.12-6.141-34.5-23.28-38.78c-17.05-4.25-34.52 6.094-38.81 23.28l-48 191.1c-2.391 9.562-.2344 19.69 5.828 27.44C380.8 315.5 390.1 320 400 320H576v96c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C640 78.33 625.7 64.01 608 64.01z"]],
    "h5": [640, 512, [], "e412", ["M32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64z", "M400.7 89.41C403.8 74.6 416.9 64 432 64H576C593.7 64 608 78.33 608 96C608 113.7 593.7 128 576 128H457.1L439.4 216H524C588.1 216 640 267.9 640 332C640 396.1 588.1 448 524 448H456.4C418.5 448 384.9 423.8 372.9 387.8L369.6 378.1C364.1 361.4 373.1 343.2 389.9 337.6C406.6 332.1 424.8 341.1 430.4 357.9L433.6 367.6C436.9 377.4 446 384 456.4 384H524C552.7 384 576 360.7 576 332C576 303.3 552.7 280 524 280H400C390.4 280 381.2 275.7 375.2 268.2C369.1 260.7 366.7 250.8 368.7 241.4L400.7 89.41z"]],
    "h6": [640, 512, [], "e413", ["M32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64z", "M501.7 160.1C578.6 163.1 640 226.4 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 265.7 365 228.5 388.1 198.5L487 76.01C498.1 62.21 518.2 59.97 531.1 71.01C545.8 82.05 548 102.2 536.1 115.1L501.7 160.1zM416 304C416 348.2 451.8 384 496 384C540.2 384 576 348.2 576 304C576 259.8 540.2 224 496 224C451.8 224 416 259.8 416 304z"]],
    "hammer": [576, 512, [128296], "f6e3", ["M353.1 227.5L122.9 490.9C108.8 504.1 90.44 512 71.1 512s-36.88-7-50.94-21.06c-28.13-28.12-28.09-73.72 .0371-101.8l263.5-230.3c2.598 3.906 5.611 7.619 8.951 10.96l49.16 49.14C345.9 222.1 349.5 224.1 353.1 227.5z", "M568.1 196.3l-22.62-22.62c-4.533-4.533-10.56-7.029-16.97-7.029s-12.44 2.496-16.97 7.029l-5.654 5.656l-20.12-20.12c4.596-23.46-2.652-47.9-19.47-64.73l-45.25-45.25C390.2 17.47 347.1 0 303.1 0C258.2 0 216 17.47 184.3 49.21L176.5 57.05L272.5 105.1v13.81c0 18.95 7.688 37.5 21.09 50.91l49.16 49.14c13.44 13.45 31.39 20.86 50.54 20.86c4.758 0 9.512-.4648 14.18-1.387l20.12 20.12l-5.654 5.654c-9.357 9.357-9.357 24.58-.002 33.94l22.62 22.62c4.535 4.533 10.56 7.031 16.97 7.031s12.44-2.498 16.97-7.031l90.53-90.5C578.3 220.8 578.3 205.6 568.1 196.3z"]],
    "hammer-crash": [640, 512, [], "e414", ["M640 223.1c0 6.881-4.416 13.03-10.94 15.17l-97.86 32.54l46.18 92.19c3.104 6.176 1.887 13.6-2.977 18.5c-4.896 4.863-12.32 6.08-18.5 2.977l-92.19-46.18l-32.54 97.86c-2.176 6.527-8.287 10.94-15.17 10.94c-6.879 0-13.02-4.416-15.17-10.94l-32.54-97.86l-92.19 46.18c-6.176 3.104-13.6 1.887-18.5-2.977c-4.863-4.896-6.08-12.32-2.975-18.5l33.25-66.37c29.44 12.86 64.51 1.824 80.96-26.69l48-83.13c17.7-30.62 7.201-69.76-23.42-87.42l-18.72-10.82l26.14-78.53c2.145-6.529 8.289-10.95 15.17-10.95c6.881 0 12.99 4.416 15.17 10.95l32.54 97.86l92.19-46.18c6.176-3.105 13.6-1.889 18.5 2.975c4.863 4.896 6.08 12.32 2.977 18.5L531.2 176.3l97.86 32.54C635.6 210.1 640 217.1 640 223.1z", "M6.764 439.5c-13.57 22.79-6.08 52.22 16.74 65.76c22.79 13.57 52.22 6.08 65.76-16.74L224.3 261.3l-83.14-48L6.764 439.5zM377.4 127.1l-55.42-32l-83.14-48L218.6 36.28c-4.863-2.816-10.37-4.289-16-4.289H115.3c-11.84 0-22.72 6.561-28.29 17.03L62.48 95.29C54.41 110.5 59.82 129.4 74.73 137.1l222.7 128.6c15.33 8.832 34.88 3.584 43.71-11.71l48-83.13C397.1 156.4 392.7 136.8 377.4 127.1z"]],
    "hammer-war": [384, 512, [], "f6e4", ["M224 267.1L224 496c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-16l0-228.9l31.1-5.324L224 267.1zM192 58.25l31.1-5.35V16c0-8.836-7.164-16-16-16h-32c-8.836 0-16 7.164-16 16v36.9L192 58.25z", "M384 64v192c0 19.75-17.75 34.75-37.25 31.5l-154.8-25.75L37.25 287.5C17.75 290.8 .0001 275.8 .0001 256V64c0-19.75 17.75-34.75 37.25-31.5l154.8 25.75l154.7-25.75C366.3 29.25 384 44.25 384 64z"]],
    "hamsa": [512, 512, [], "f665", ["M509.4 307.2C504.3 295.5 492.8 288 480 288h-64l.0001-208c0-21.1-18-40-40-40c-22 0-40 18-40 40l-.0001 134C336 219.5 331.5 224 326 224h-20c-5.5 0-10-4.5-10-9.1V40c0-21.1-17.1-40-39.1-40S215.1 18 215.1 40v174C215.1 219.5 211.5 224 205.1 224H185.1C180.5 224 175.1 219.5 175.1 214L175.1 80c0-21.1-18-40-40-40S95.1 58 95.1 80L95.1 288H31.99C19.24 288 7.743 295.5 2.618 307.2C-2.382 318.9-.1322 332.5 8.618 341.9l102.6 110C146.1 490.1 199.8 512 256 512s108.1-21.88 144.8-60.13l102.6-110C512.1 332.5 514.4 318.9 509.4 307.2zM256 416c-53 0-96.01-64-96.01-64s43-64 96.01-64s96.01 64 96.01 64S309 416 256 416z", "M288 352c0 17.62-14.38 32-32 32s-32-14.38-32-32s14.38-32 32-32S288 334.4 288 352z"]],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.05 16S288 248.8 288 240L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C17.15 272 0 290.7 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM368 352h-83.2C307.2 374.4 320 403.2 320 432c0 9.6-6.4 16-16 16S288 441.6 288 432c0-44.8-35.2-80-80-80C198.4 352 192 345.6 192 336S198.4 320 208 320h160c9.6 0 16 6.4 16 16S377.6 352 368 352z", "M304 448c-9.6 0-16-6.4-16-16c0-44.8-35.2-80-80-80C198.4 352 192 345.6 192 336S198.4 320 208 320h160c9.6 0 16 6.4 16 16S377.6 352 368 352h-83.2C307.2 374.4 320 403.2 320 432C320 441.6 313.6 448 304 448z"]],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", ["M448 144v120.4C448 314.2 422.6 358.1 384 384v128H128v-128l-53.19-38.67C48 325.8 32 294.3 32 261.2V192c0-14.58 6.625-28.38 17.1-37.48L80 130.5V176C80 184.8 87.16 192 96 192s16-7.164 16-16v-128C112 21.48 133.5 0 160 0c25.38 0 45.96 19.77 47.67 44.73C216.2 36.9 227.5 32 240 32C266.5 32 288 53.48 288 80v5.531C296.6 72.57 311.3 64 328 64c23.47 0 42.94 16.87 47.11 39.14C382.4 98.7 390.9 96 400 96C426.5 96 448 117.5 448 144z", ""]],
    "hand-back-point-down": [448, 512, [], "e19e", ["M384 272c-9.148 0-17.62-2.697-24.89-7.143C354.9 287.1 335.5 304 312 304c-17.38 0-32.46-9.33-40.89-23.17C266.1 303.1 247.5 320 224 320c-12.35 0-23.49-4.797-32-12.46V472C192 494.1 174.1 512 152 512S112 494.1 112 472L111.1 176c0-8.836-7.17-15.1-16.01-15.1c-8.838 0-16 7.164-16 16v45.47L50 197.5C38.63 188.4 32 174.6 32 160V112c0-10.38 3.375-20.48 9.594-28.8L60.78 57.61C87.84 21.53 130.9 0 176 0L288 0c3.318 0 6.557 .3379 9.686 .9785C372.5 6.064 432 67.91 432 144V224C432 250.5 410.5 272 384 272z", ""]],
    "hand-back-point-left": [512, 512, [], "e19f", ["M240 416c0-9.148 2.697-17.62 7.143-24.89C224.9 386.9 208 367.5 208 344c0-17.38 9.33-32.46 23.17-40.89C208.9 298.1 192 279.5 192 256c0-12.35 4.797-23.49 12.46-32H40C17.91 224 0 206.1 0 184S17.91 144 40 144l295.1-.0059c8.836 0 15.1-7.17 15.1-16.01c0-8.838-7.164-16-16-16h-45.47L314.5 82C323.6 70.63 337.4 64 352 64h48c10.38 0 20.48 3.375 28.8 9.594l25.59 19.19C490.5 119.8 512 162.9 512 208V320c0 3.318-.3379 6.557-.9785 9.686C505.9 404.5 444.1 464 368 464H288C261.5 464 240 442.5 240 416z", ""]],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", ["M192 40C192 17.91 174.1 0 152 0S112 17.91 112 40V48H192V40zM384 240c-9.148 0-17.62 2.697-24.89 7.143C354.9 224.9 335.5 208 312 208c-17.38 0-32.46 9.33-40.89 23.17C266.1 208.9 247.5 192 224 192C211.7 192 200.5 196.8 192 204.5L192 176H112l-.006 159.1c0 8.836-7.17 15.1-16.01 15.1c-8.838 0-16-7.164-16-16V290.5l-29.99 23.99C38.63 323.6 32 337.4 32 352v48c0 10.38 3.375 20.48 9.594 28.8l19.19 25.59C87.84 490.5 130.9 512 176 512H288c3.318 0 6.557-.3379 9.686-.9785C372.5 505.9 432 444.1 432 368V288C432 261.5 410.5 240 384 240z", "M33.21 134.1C35.68 140.1 41.53 144 47.1 144H192C200.8 144 208 136.8 208 128V64c0-8.844-7.156-16-16-16H47.1c-6.469 0-12.31 3.891-14.78 9.875S32.12 70.73 36.68 75.31L57.37 96L36.68 116.7C32.12 121.3 30.75 128.1 33.21 134.1z"]],
    "hand-back-point-right": [512, 512, [], "e1a1", ["M224 464H144c-76.09 0-137.9-59.49-143-134.3C.3379 326.6 0 323.3 0 320V208c0-45.09 21.53-88.16 57.61-115.2l25.59-19.19C91.52 67.38 101.6 64 112 64H160c14.58 0 28.38 6.625 37.48 18l23.99 29.99H176c-8.836 0-16 7.162-16 16c0 8.836 7.161 16.01 15.1 16.01L472 144C494.1 144 512 161.9 512 184S494.1 224 472 224h-164.5C315.2 232.5 320 243.7 320 256c0 23.48-16.88 42.96-39.17 47.11C294.7 311.5 304 326.6 304 344c0 23.47-16.87 42.94-39.14 47.11C269.3 398.4 272 406.9 272 416C272 442.5 250.5 464 224 464z", ""]],
    "hand-back-point-up": [448, 512, [], "e1a2", ["M432 288v80c0 76.09-59.49 137.9-134.3 143C294.6 511.7 291.3 512 288 512H176c-45.09 0-88.16-21.53-115.2-57.61l-19.19-25.59C35.38 420.5 32 410.4 32 400V352c0-14.58 6.625-28.38 17.1-37.48l29.99-23.99v45.47c0 8.836 7.162 16 16 16c8.836 0 16.01-7.161 16.01-15.1L112 40C112 17.91 129.9 0 152 0S192 17.91 192 40v164.5C200.5 196.8 211.7 192 224 192c23.48 0 42.96 16.88 47.11 39.17C279.5 217.3 294.6 208 312 208c23.47 0 42.94 16.87 47.11 39.14C366.4 242.7 374.9 240 384 240C410.5 240 432 261.5 432 288z", ""]],
    "hand-dots": [512, 512, ["allergies"], "f461", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM192 416c-8.836 0-16-7.164-16-16C176 391.2 183.2 384 192 384s16 7.162 16 16C208 408.8 200.8 416 192 416zM256 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 440.8 264.8 448 256 448zM256 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 344.8 264.8 352 256 352zM320 384c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C336 376.8 328.8 384 320 384zM352 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C368 440.8 360.8 448 352 448zM384 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C400 344.8 392.8 352 384 352z", "M192 384c-8.836 0-16 7.162-16 16C176 408.8 183.2 416 192 416s16-7.164 16-16C208 391.2 200.8 384 192 384zM320 352c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C336 359.2 328.8 352 320 352zM352 416c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C368 423.2 360.8 416 352 416z"]],
    "hand-fingers-crossed": [512, 512, [], "e1a3", ["M241.9 268.7c9.339 9.142 13.55 17.79 14.09 18.85V224c0-2.156 .4258-4.191 .6347-6.293L245.7 195.8L217.2 252.7C218.6 253.2 231.3 258.5 241.9 268.7zM138.3 124.2l35.78-71.56l-17.48-34.97C151 6.496 139.7 .0036 127.1 .0036c-16.97 0-31.97 13.66-31.97 32.03c0 4.81 1.089 9.694 3.387 14.29L138.3 124.2zM176 249.8C178.5 249.2 180.9 249.2 183.3 248.9l101.3-202.6c2.298-4.596 3.387-9.48 3.387-14.29C288 14.43 273.7 0 256.1 0C244.3 0 233 6.496 227.4 17.7L103 266.5L176 249.8zM368 361.9c-11.73 13.42-28.77 22.07-47.1 22.07c-27.49 0-50.74-17.43-59.8-41.76c-11.4 34.84-41.93 45.62-52.2 47.97l-50.18 11.45C156.6 401.9 155.4 402.1 154.3 402.1c-5.369 0-10.48-2.711-13.47-7.365c-1.739-2.712-2.542-5.686-2.542-8.602c0-7.117 4.788-13.88 12.45-15.63l48.05-10.96c18.97-4.326 33.22-21.03 33.22-39.85c0-19.75-16.08-39.64-39.95-39.64c-2.943 0-5.937 .3236-8.937 .998L64.34 308.1C41.42 313.3 32 331.9 32 347.4c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C84.66 473.1 144.8 512 210.8 512h61.19c82.54 0 151.8-57.21 170.7-134c-8.156 3.769-17.15 6.015-26.73 6.015C396.8 384 379.7 375.4 368 361.9z", "M416 224c-17.69 0-31.1 14.33-31.1 31.1v63.1c0 17.67 14.31 31.1 31.1 31.1S448 337.7 448 320V255.1C448 238.3 433.7 224 416 224zM320 192c-17.69 0-31.1 14.33-31.1 31.1v95.1c0 17.67 14.31 31.96 31.1 31.96s32-14.29 32-31.96V224C352 206.3 337.7 192 320 192z"]],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", ["M350.9 246.2c-12.43-7.648-21.94-19.31-26.88-33.25C313.7 219.9 301.3 223.9 288 223.9c-7.641 0-14.87-1.502-21.66-3.957C269.1 228.6 272 238.1 272 248c0 39.77-32.25 72-72 72H128c-8.836 0-16-7.164-16-16C112 295.2 119.2 288 128 288h72c22.09 0 40-17.91 40-40S222.1 208 200 208h-128C49.91 208 32 225.9 32 248v63.41c0 33.13 16 64.56 42.81 84.13L128 434.2V512h224v-85.09c38.3-24.09 64-66.42 64-114.9V247.1C406.6 252.6 395.7 256 384 256C371.7 256 360.5 252.2 350.9 246.2z", "M192 0C174.3 0 160 14.33 160 32v144h40c8.459 0 16.46 1.729 24 4.41V32C224 14.33 209.7 0 192 0zM96 32C78.31 32 64 46.33 64 64v112.8C66.66 176.5 69.26 176 72 176H128V64C128 46.33 113.7 32 96 32zM288 32c-17.69 0-32 14.33-32 32v96c0 17.67 14.31 32 32 32s32-14.33 32-32V64C320 46.33 305.7 32 288 32zM384 96c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.34 32-32.02V128C416 110.3 401.7 96 384 96z"]],
    "hand-heart": [512, 512, [], "f4bc", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z", "M383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z"]],
    "hand-holding": [576, 512, [], "f4bd", ["M559.7 392.2l-135.1 99.51C406.9 504.8 385 512 362.1 512H15.1c-8.749 0-15.1-7.246-15.1-15.99l0-95.99c0-8.748 7.25-16.02 15.1-16.02l55.37 .0238l46.5-37.74c20.1-16.1 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.37 31.62 37.37c-2.625 15.75-17.37 26.62-33.37 26.62H271.1c-8.749 0-15.1 7.249-15.1 15.1s7.25 15.1 15.1 15.1h120.6l119.7-88.17c17.8-13.19 42.81-9.342 55.93 8.467C581.3 354.1 577.5 379.1 559.7 392.2z", ""]],
    "hand-holding-box": [576, 512, [], "f47b", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.28l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM351.1 128l0-128H223.1l0 128l63.1-32L351.1 128z", "M127.1 256h320c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32h-95.1l0 128l-64-32L223.1 128l0-128h-96C110.4 0 95.97 14.4 95.97 32v192C95.97 241.6 110.4 256 127.1 256z"]],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M279.3 175C271.7 173.9 261.7 170.3 252.9 167.1L248 165.4C235.5 160.1 221.8 167.5 217.4 179.1s2.121 26.2 14.59 30.64l4.655 1.656c8.486 3.061 17.88 6.095 27.39 8.312V232c0 13.25 10.73 24 23.98 24s24-10.75 24-24V221.6c25.27-5.723 42.88-21.85 46.1-45.72c8.688-50.05-38.89-63.66-64.42-70.95L288.4 103.1C262.1 95.64 263.6 92.42 264.3 88.31c1.156-6.766 15.3-10.06 32.21-7.391c4.938 .7813 11.37 2.547 19.65 5.422c12.53 4.281 26.21-2.312 30.52-14.84s-2.309-26.19-14.84-30.53c-7.602-2.627-13.92-4.358-19.82-5.721V24c0-13.25-10.75-24-24-24s-23.98 10.75-23.98 24v10.52C238.8 40.23 221.1 56.25 216.1 80.13C208.4 129.6 256.7 143.8 274.9 149.2l6.498 1.875c31.66 9.062 31.15 11.89 30.34 16.64C310.6 174.5 296.5 177.8 279.3 175z"]],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M287.1 256c53 0 95.1-42.13 95.1-93.1c0-40-57.12-120.8-83.25-155.6c-6.375-8.5-19.12-8.5-25.5 0C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256z"]],
    "hand-holding-hand": [512, 512, [], "e4f7", ["M440.2 175.7C427.1 193.5 402.1 197.3 384.3 184.2L296.6 127.1H191.1C183.2 127.1 175.1 135.2 175.1 143.1C175.1 152.7 183.2 159.1 191.1 159.1H254.2C270.2 159.1 284.1 170.9 287.6 186.6C290.8 206.6 275.5 223.1 255.1 223.1H143.1C116.1 223.1 90.87 214.7 69.87 197.7L23.37 159.1L15.1 160C7.25 160 0 152.7 0 143.1V47.99C0 39.25 7.25 32 15.1 32H266.1C289 32 310.9 39.19 328.7 52.28L431.7 119.8C449.5 132.9 453.3 157.9 440.2 175.7L440.2 175.7z", "M7.803 304.3C20.93 286.5 45.94 282.7 63.74 295.8L183.4 384H304C312.8 384 320 376.8 320 368C320 359.3 312.8 352 304 352H225.8C209.8 352 195 341.1 192.4 325.4C189.2 305.4 204.5 288 224 288H352C379 288 405.1 297.3 426.1 314.3L472.6 352L496 352C504.7 352 512 359.3 512 368V464C512 472.8 504.7 480 496 480H213C190.1 480 169.1 472.8 151.3 459.7L16.27 360.2C-1.509 347.1-5.306 322.1 7.803 304.3V304.3z"]],
    "hand-holding-heart": [576, 512, [], "f4be", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1c0-8.746 7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.87 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74l-55.37-.0253c-8.748 0-15.1 7.275-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.187 61.7-20.28l135.1-99.51C577.5 379.1 581.3 354.1 568.2 336.3z", "M275.2 250.5c7 7.375 18.5 7.375 25.5 0l108.1-114.2c31.5-33.12 29.72-88.1-5.65-118.7c-30.88-26.75-76.75-21.9-104.9 7.724L287.1 36.91L276.8 25.28C248.7-4.345 202.7-9.194 171.1 17.56C136.7 48.18 134.7 103.2 166.4 136.3L275.2 250.5z"]],
    "hand-holding-magic": [576, 512, [], "f6e5", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M224 224c53 0 96-43 96-96c0 0-32 32-96 32C206.3 160 192 142.5 192 128L192 96c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32l0 32c0 34.25-17.5 66.5-42.13 90.75L288 272l17.75-1c77.13-4.375 141.6-65.25 142.3-141.5L447.1 96c0-53-42.1-96-95.1-96H223.1c-53 0-95.1 43-95.1 96l.001 32C128 179.1 172.9 224 224 224z"]],
    "hand-holding-medical": [576, 512, [], "e05c", ["M559.7 392.2l-135.1 99.52C406.9 504.8 385 512 362.1 512H15.1C7.251 512 0 504.8 0 496v-95.98C0 391.3 7.251 383.1 15.1 383.1l55.37 .0241l46.5-37.74c20.1-17 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.38 31.62 37.38c-2.623 15.74-17.37 26.62-33.37 26.62H271.1c-8.748 0-15.1 7.25-15.1 16c0 8.742 7.25 15.99 15.1 15.99h120.6l119.7-88.17c17.79-13.19 42.81-9.344 55.93 8.469C581.3 354.1 577.5 379.1 559.7 392.2z", "M400 96v64c0 8.836-7.164 16-16 16h-64v64C320 248.8 312.8 256 304 256h-64C231.2 256 224 248.8 224 240v-64H160C151.2 176 144 168.8 144 160V96c0-8.838 7.164-16 16-16h64v-64C224 7.162 231.2 0 240 0h64C312.8 0 320 7.162 320 16v64h64C392.8 80 400 87.16 400 96z"]],
    "hand-holding-seedling": [576, 512, [], "f4bf", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM319.1 160c88.38 0 160-71.63 160-160h-64c-52.6 0-98.84 25.71-127.1 64.89C307.8 91.54 319.1 124.2 319.1 160z", "M255.1 160v96C255.1 273.6 270.4 288 287.1 288s32-14.4 32-31.1L319.1 160c0-88.37-71.63-160-160-160H95.97C95.97 88.38 167.6 160 255.1 160z"]],
    "hand-holding-skull": [576, 512, [], "e1a4", ["M559.7 392.2l-135.1 99.52C406.9 504.8 385 512 362.1 512H15.1C7.251 512 0 504.8 0 496v-95.98C0 391.3 7.251 383.1 15.1 383.1l55.37 .0241l46.5-37.74c20.1-17 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.38 31.62 37.38c-2.623 15.74-17.37 26.62-33.37 26.62H271.1c-8.748 0-15.1 7.25-15.1 16c0 8.742 7.25 15.99 15.1 15.99h120.6l119.7-88.17c17.79-13.19 42.81-9.344 55.93 8.469C581.3 354.1 577.5 379.1 559.7 392.2z", "M432 127.1C432 57.25 367.5 0 288 0C208.5 0 143.1 57.25 143.1 127.1c0 46.5 28.24 86.88 69.1 109.3l-5.5 25.88C205.9 275.8 213.1 288 224.1 288h126c11.13 0 19.13-12.25 16.5-24.88l-5.501-25.88C403.8 214.9 432 174.5 432 127.1zM231.1 176c-17.63 0-32.01-14.38-32.01-32s14.38-32 32.01-32c17.63 0 32 14.38 32 32S249.6 176 231.1 176zM344 176c-17.63 0-32.01-14.38-32.01-32s14.38-32 32.01-32c17.63 0 32 14.38 32 32S361.6 176 344 176z"]],
    "hand-horns": [448, 512, [], "e1a9", ["M384 64c-17.69 0-32 14.33-32 32v192c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07c-3.291 3.764-7.084 7.033-11.14 9.961C221.8 364.2 202.4 384.2 176 390.2l-61.14 13.95L96.5 375.5L168.9 359c18.54-4.238 31.1-20.72 31.1-38.97c0-20.41-16.26-40.03-39.97-40.03c-2.946 0-5.942 .3236-8.947 .9981l-120 27.38c-29.22 6.679-31.1 34.69-31.1 39.01c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C52.66 473.1 112.8 512 178.8 512H240c97.03 0 176-78.95 176-176V96C416 78.33 401.7 64 384 64zM128 32c0-17.67-14.31-32-32-32S64 14.33 64 32v236l64-14.6V32z", "M288 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C320 206.3 305.7 192 288 192zM192 160C174.3 160 160 174.3 160 192v56.14c26.99 .0254 51.79 15.33 64 39.38V192C224 174.3 209.7 160 192 160z"]],
    "hand-lizard": [512, 512, [], "f258", ["M512 329.1V432c0 8.836-7.164 16-16 16H368c-8.836 0-16-7.164-16-16V416l-85.33-64H95.1c-16.47 0-31.44-13.44-31.96-29.9C62.87 285.8 91.96 256 127.1 256h104.9c13.77 0 26-8.811 30.36-21.88l10.67-32C280.9 181.4 265.4 160 243.6 160H63.1C27.95 160-1.129 130.2 .0352 93.9C.5625 77.44 15.53 64 31.1 64h271.2c26.26 0 50.84 12.88 65.79 34.47l128.8 185.1C507 297.8 512 313.7 512 329.1z", ""]],
    "hand-love": [512, 512, [], "e1a5", ["M448 64c-17.69 0-32 14.33-32 32v224c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07C292.3 375.3 275.2 384 256 384c-35.34 0-64-28.66-64-64V32c0-17.67-14.31-32-32-32S128 14.33 128 32l-.0004 304c0 2.646 .2797 5.213 .3969 7.832L68.28 283.7C60.47 275.9 50.23 272 40 272C17.2 272 0 290.6 0 311.1c0 10.24 3.906 20.47 11.72 28.29l122.5 122.5C165.9 494.5 208.1 512 253 512h50.89C400.9 512 480 432.1 480 335.9V96C480 78.33 465.7 64 448 64z", "M352 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C384 238.3 369.7 224 352 224zM256 192C238.3 192 224 206.3 224 224v96c0 17.67 14.31 32 32 32s32-14.33 32-32V224C288 206.3 273.7 192 256 192z"]],
    "hand-middle-finger": [448, 512, [128405], "f806", ["M448 288v96c0 70.69-57.31 128-128 128H184c-50.35 0-97.76-23.7-127.1-63.98l-14.43-19.23C35.37 420.5 32 410.4 32 400v-48.02c0-14.58 6.629-28.37 18.02-37.48L80 290.5V336C80 344.8 87.16 352 96 352s16-7.164 16-16v-96C112 213.5 133.5 192 160 192s48 21.48 48 48V40C208 17.91 225.9 0 248 0S288 17.91 288 40v189.5C296.6 216.6 311.3 208 328 208c23.48 0 42.94 16.87 47.11 39.14C382.4 242.7 390.8 240 400 240C426.5 240 448 261.5 448 288z", ""]],
    "hand-peace": [512, 512, [9996], "f25b", ["M256 287.4V32c0-17.67-14.31-32-32-32S192 14.33 192 32v216.3C218.7 248.4 243.7 263.1 256 287.4zM170.8 251.2c2.514-.7734 5.043-1.027 7.57-1.516L93.41 51.39C88.21 39.25 76.34 31.97 63.97 31.97c-20.97 0-31.97 18.01-31.97 32.04c0 4.207 .8349 8.483 2.599 12.6l81.97 191.3L170.8 251.2zM368 361.9C356.3 375.3 339.2 384 320 384c-27.41 0-50.62-17.32-59.73-41.55c-7.059 21.41-23.9 39.23-47.08 46.36l-47.96 14.76c-1.562 .4807-3.147 .7105-4.707 .7105c-6.282 0-12.18-3.723-14.74-9.785c-.8595-2.038-1.264-4.145-1.264-6.213c0-6.79 4.361-13.16 11.3-15.3l46.45-14.29c17.2-5.293 29.76-20.98 29.76-38.63c0-34.19-32.54-40.07-40.02-40.07c-3.89 0-7.848 .5712-11.76 1.772l-104 32c-18.23 5.606-28.25 22.21-28.25 38.22c0 4.266 .6825 8.544 2.058 12.67L68.19 419C86.71 474.5 138.7 512 197.2 512H272c82.54 0 151.8-57.21 170.7-134C434.6 381.8 425.6 384 416 384C396.8 384 379.7 375.3 368 361.9z", "M416 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C448 238.3 433.7 224 416 224zM320 192c-17.69 0-32 14.33-32 32v96c0 17.67 14.31 32 32 32s32-14.33 32-32V224C352 206.3 337.7 192 320 192z"]],
    "hand-point-down": [448, 512, [], "f0a7", ["M72 272C69.26 272 66.66 271.5 64 271.2V480c0 17.67 14.31 32 32 32s32-14.33 32-32V272H72zM384 160c11.72 0 22.55 3.381 32 8.879V136C416 60.89 355.1 0 280 0L191.3 0C162.5 0 134.5 9.107 111.2 26.02L74.81 52.47C48 72.03 32 103.5 32 136.6V200C32 222.1 49.91 240 72 240h128c22.09 0 39.1-17.91 39.1-39.1c0-28.73-26.72-40-42.28-40l-69.72 0C119.2 160 112 152.8 112 144S119.2 128 127.1 128H200c37.87 0 68.59 29.35 71.45 66.51C276.8 193.1 282.2 192 288 192c13.28 0 25.6 4.047 35.83 10.97C332.6 178 356.1 160 384 160z", "M288 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C320 238.3 305.7 224 288 224zM160 272V352c0 17.67 14.31 32 32 32s32-14.33 32-32V267.6C216.5 270.3 208.5 272 200 272H160zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192z"]],
    "hand-point-left": [512, 512, [], "f0a5", ["M240 104C240 101.3 240.5 98.66 240.8 96H32C14.33 96 0 110.3 0 128s14.33 32 32 32h208V104zM352 416c0 11.72-3.381 22.55-8.879 32H376C451.1 448 512 387.1 512 312V223.3c0-28.76-9.107-56.79-26.02-80.06l-26.45-36.41C439.1 80 408.5 64 375.4 64H312c-22.09 0-40 17.91-40 40v128c0 22.09 17.91 39.1 39.1 39.1c28.73 0 40-26.72 40-42.28L352 159.1C352 151.2 359.2 144 368 144S384 151.2 384 159.1V232c0 37.87-29.35 68.59-66.51 71.45C318.9 308.8 320 314.2 320 320c0 13.28-4.047 25.6-10.97 35.83C333.1 364.6 352 388.1 352 416z", "M256 352c17.67 0 32-14.31 32-32s-14.33-32-32-32H192c-17.67 0-32 14.31-32 32s14.33 32 32 32H256zM244.4 256C241.7 248.5 240 240.5 240 232V192H160C142.3 192 128 206.3 128 224s14.33 32 32 32H244.4zM288 384H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S305.7 384 288 384z"]],
    "hand-point-ribbon": [448, 512, [], "e1a6", ["M96 0C78.31 0 64 14.33 64 32h64C128 14.33 113.7 0 96 0zM224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H128c-8.836 0-16-7.164-16-16C112 359.2 119.2 352 128 352h69.72C213.2 352 240 340.7 240 312c0-22.09-17.91-40-40-40h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309zM128 240V160H64v80.81C66.66 240.5 69.26 240 72 240H128z", "M144 112v-64C144 39.16 136.8 32 128 32H15.99C9.523 32 3.68 35.89 1.211 41.88S.1172 54.73 4.68 59.31L25.37 80L4.68 100.7C.1172 105.3-1.258 112.1 1.211 118.1S9.523 128 15.99 128H128C136.8 128 144 120.8 144 112z"]],
    "hand-point-right": [512, 512, [], "f0a4", ["M272 160H480c17.67 0 32-14.31 32-32s-14.33-32-32-32h-208.8C271.5 98.66 272 101.3 272 104V160zM202.1 355.8C196 345.6 192 333.3 192 320c0-5.766 1.08-11.24 2.51-16.55C157.4 300.6 128 269.9 128 232V159.1C128 151.2 135.2 144 143.1 144S160 151.2 159.1 159.1l0 69.72C159.1 245.2 171.3 271.1 200 271.1C222.1 271.1 240 254.1 240 232v-128C240 81.91 222.1 64 200 64H136.6C103.5 64 72.03 80 52.47 106.8L26.02 143.2C9.107 166.5 0 194.5 0 223.3V312C0 387.1 60.89 448 136 448h32.88C163.4 438.6 160 427.7 160 416C160 388.1 178 364.6 202.1 355.8z", "M320 288h-64c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S337.7 288 320 288zM352 192h-80v40c0 8.459-1.729 16.46-4.41 24H352c17.67 0 32-14.31 32-32S369.7 192 352 192zM288 384H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S305.7 384 288 384z"]],
    "hand-point-up": [448, 512, [9757], "f0a6", ["M128 240V32c0-17.67-14.31-32-32-32S64 14.33 64 32v208.8C66.66 240.5 69.26 240 72 240H128zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H127.1C119.2 384 112 376.8 112 368S119.2 352 127.1 352l69.72 .0001c15.52 0 42.28-11.29 42.28-40C239.1 289.9 222.1 272 200 272h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309z", "M288 160c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V192C320 174.3 305.7 160 288 160zM192 128C174.3 128 160 142.3 160 160v80h40c8.459 0 16.46 1.729 24 4.41V160C224 142.3 209.7 128 192 128zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192z"]],
    "hand-pointer": [448, 512, [], "f25a", ["M400 224c-9.148 0-17.62 2.697-24.89 7.143C370.9 208.9 351.5 192 328 192c-17.38 0-32.46 9.33-40.89 23.17C282.1 192.9 263.5 176 240 176c-12.35 0-23.49 4.797-32 12.46V40c0-22.09-17.9-40-39.1-40C145.9 0 128 17.91 128 40v322.7L72 288C64.15 277.5 52.13 272 39.97 272c-21.22 0-39.97 17.06-39.97 40.02c0 8.356 2.608 16.78 8.005 23.98l91.22 121.6C124.8 491.7 165.5 512 208 512h96C383.4 512 448 447.4 448 368v-96C448 245.5 426.5 224 400 224zM240 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C208 295.2 215.2 288 224 288s16 7.156 16 16V400zM304 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C272 295.2 279.2 288 288 288s16 7.156 16 16V400zM368 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C336 295.2 343.2 288 352 288s16 7.156 16 16V400z", "M224 288C215.2 288 208 295.2 208 304v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C240 295.2 232.8 288 224 288zM288 288c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C304 295.2 296.8 288 288 288zM352 288c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C368 295.2 360.8 288 352 288z"]],
    "hand-scissors": [512, 512, [], "f257", ["M510.8 181.5c-3.02-31.08-18.35-60.13-43.55-79.04l-38.41-28.79C420.5 67.4 410.4 64.04 400 64.04H352c-14.58 0-28.38 6.625-37.48 18.01l-14.29 17.85l72.54 22.67c6.847 2.13 11.23 8.448 11.23 15.25c0 1.581-.2368 3.189-.7346 4.777C381.1 149.5 374.8 153.8 368 153.8c-1.578 0-3.188-.2344-4.766-.7344L84 65.89C79.98 64.61 75.91 63.1 71.91 63.1c-16.99 0-32.72 10.97-38.06 28.04c-1.255 3.991-1.851 8.032-1.851 12.01c0 17.01 10.93 32.78 28.01 38.15l209.5 65.84H40c-22.09 0-40 17.9-40 39.1s17.91 39.99 40 39.99h189.5C216.6 296.6 208 311.3 208 328c0 23.48 16.87 42.94 39.14 47.1C242.7 382.4 240 390.9 240 400C240 426.5 261.5 448 288 448h80c79.41 0 144-64.59 144-143.1V192C512 188.4 511.5 184.9 510.8 181.5z", ""]],
    "hand-sparkles": [640, 512, [], "e05d", ["M512 96c-17.67 0-32 14.33-32 32l-.0156 112c0 8.836-7.148 16-15.98 16s-16.07-7.164-16.07-16L448 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0635 176c0 8.836-7.106 16-15.94 16S351.9 248.8 351.9 240L352 32c0-17.67-14.33-32-32-32S288 14.33 288 32L287.9 240C287.9 248.8 280.8 256 272 256S255.9 248.8 255.9 240L256 64c0-17.67-14.33-32-32-32S192 46.33 192 64v279.4L132.3 283.7C124.5 275.9 114.2 272 104 272C82.68 272 64 289.2 64 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C226.6 491.2 276.9 512 330.3 512H368c42.72 0 81.91-15.32 112.4-40.73l-9.049-3.773c-14.81-7.359-23.36-21.25-23.36-35.5s8.547-28.14 21.28-34.55l39.56-16.56l15.64-37.52c4.461-9.037 11.45-15.37 19.43-19.23L544 128C544 110.3 529.7 96 512 96zM349.8 371.6L320 383.1l-12.42 29.78C306.1 415 305.4 416 304 416s-2.969-.9941-3.578-2.219L288 383.1l-29.79-12.42C256.1 370.1 256 369.4 256 367.1c0-1.365 .9922-2.967 2.209-3.577L288 352l12.42-29.79C301 320.1 302.6 320 304 320s2.967 .9902 3.578 2.217L320 352l29.79 12.42C351 365 352 366.6 352 367.1C352 369.4 351 370.1 349.8 371.6z", "M156.3 138L106.7 117.4L85.96 67.7C84.94 65.65 82.28 64 80 64C77.72 64 75.05 65.65 74.04 67.7L53.34 117.3L3.695 138C1.668 139.1 .0117 141.7 .0078 143.1c.0039 2.262 1.662 4.953 3.688 5.967l49.57 20.67l20.77 49.67C75.05 222.3 77.72 224 80 224c2.277 0 4.943-1.656 5.959-3.699l20.7-49.63l49.65-20.71c2.027-1.014 3.682-3.696 3.686-5.958C159.1 141.7 158.3 139.1 156.3 138zM639.1 432c-.0039-2.275-1.657-4.952-3.687-5.968l-49.57-20.67l-20.77-49.67C564.9 353.7 562.3 352 560 352c-2.281 0-4.959 1.652-5.975 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.682 3.683-3.686 5.958c.0039 2.262 1.661 4.954 3.686 5.968l49.57 20.67l20.77 49.67C555.1 510.3 557.7 512 560 512c2.277 0 4.933-1.656 5.949-3.699l20.7-49.63l49.65-20.71C638.3 436.9 639.1 434.3 639.1 432z"]],
    "hand-spock": [576, 512, [128406], "f259", ["M543.6 128.6c0-8.999-6.115-32.58-31.68-32.58c-14.1 0-27.02 9.324-30.92 23.56l-34.36 125.1c-1.682 6.16-7.275 10.43-13.66 10.43c-7.981 0-14.16-6.518-14.16-14.13c0-.9844 .1034-1.987 .3197-2.996l35.71-166.6c.5233-2.442 .7779-4.911 .7779-7.362c0-13.89-9.695-32.86-31.7-32.86c-14.79 0-28.12 10.26-31.34 25.29l-37.77 176.2c-2.807 13.1-14.38 22.46-27.77 22.46c-13.04 0-24.4-8.871-27.56-21.52l-52.11-208.5C243.6 11.2 230.5-.0013 215.6-.0013c-26.71 0-31.78 25.71-31.78 31.98c0 2.569 .3112 5.18 .9617 7.786l50.55 202.2c.2326 .9301 .3431 1.856 .3431 2.764c0 6.051-4.911 11.27-11.3 11.27c-4.896 0-9.234-3.154-10.74-7.812L166.9 103.9C162.4 89.1 149.5 80.02 135.5 80.02c-15.68 0-31.63 12.83-31.63 31.97c0 3.273 .5059 6.602 1.57 9.884l69.93 215.7c.2903 .8949 .4239 1.766 .4239 2.598c0 4.521-3.94 7.915-8.119 7.915c-1.928 0-3.906-.7219-5.573-2.388L101.7 285.3c-8.336-8.336-19.63-12.87-30.81-12.87c-23.56 0-39.07 19.69-39.07 39.55c0 10.23 3.906 20.47 11.72 28.28l122.5 122.5C197.6 494.3 240.3 512 284.9 512h50.98c23.5 0 108.4-14.57 132.5-103l73.96-271.2C543.2 134.8 543.6 131.7 543.6 128.6zM399.9 351.1h-83.2c22.4 22.4 35.2 51.2 35.2 80c0 9.6-6.4 16-16 16c-9.602 0-16-6.4-16-16c0-44.8-35.2-80-80-80c-9.602 0-15.1-6.4-15.1-16c0-9.602 6.398-16 15.1-16h160c9.6 0 16 6.398 16 16C415.9 345.6 409.5 351.1 399.9 351.1z", "M335.9 447.1c-9.6 0-16-6.4-16-16c0-44.8-35.2-80-80-80c-9.6 0-15.1-6.4-15.1-16s6.4-16 15.1-16h160c9.6 0 16 6.4 16 16s-6.4 16-16 16h-83.2c22.4 22.4 35.2 51.2 35.2 80C351.9 441.6 345.5 447.1 335.9 447.1z"]],
    "hand-wave": [512, 512, [], "e1a7", ["M472 96c-22.1 0-39.1 17.9-39.1 39.1V216.9L234.4 19.3C228.2 13.05 219.1 9.927 211.8 9.927c-18.3 0-31.1 14.96-31.1 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.123 3.124 4.685 7.219 4.685 11.31c0 9.156-7.482 15.1-15.1 15.1c-4.095 0-8.19-1.562-11.31-4.686L143.9 64.55C137.7 58.3 129.5 55.18 121.3 55.18c-17.09 0-31.1 13.76-31.1 32c0 8.19 3.124 16.38 9.372 22.63L245.7 256.9c3.124 3.124 4.686 7.219 4.686 11.31c0 9.152-7.48 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.686L98.65 155.1C92.4 148.8 84.21 145.7 76.02 145.7c-18.31 0-32 14.97-32 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.124 3.124 4.686 7.219 4.686 11.31c0 8.545-6.877 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.685L76.03 268.2C69.78 261.1 61.59 258.8 53.4 258.8c-17.09 0-32 13.76-32 32c0 8.19 3.124 16.38 9.372 22.63l147.1 147.1c34.31 34.31 79.38 51.47 124.5 51.47s90.14-17.16 124.5-51.47l26.67-26.67C491.2 396.1 512 345.9 512 292.5V135.1C512 113.9 494.1 96 472 96z", "M304 0C295.2 0 288 7.156 288 16S295.2 32 304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416z"]],
    "handcuffs": [640, 512, [], "e4f8", ["M240 32C240 14.33 254.3 0 272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64C254.3 64 240 49.67 240 32zM224 80C224 97.67 209.7 112 192 112C174.3 112 160 97.67 160 80C160 62.33 174.3 48 192 48C209.7 48 224 62.33 224 80zM128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160H128zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160H448zM400 32C400 49.67 385.7 64 368 64C350.3 64 336 49.67 336 32C336 14.33 350.3 0 368 0C385.7 0 400 14.33 400 32zM416 80C416 62.33 430.3 48 448 48C465.7 48 480 62.33 480 80C480 97.67 465.7 112 448 112C430.3 112 416 97.67 416 80z", "M96 184C96 170.7 106.7 160 120 160H200C213.3 160 224 170.7 224 184V200C224 201.7 223.8 203.4 223.5 205.1C280.3 229.6 320 286.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.2 39.74 229.6 96.54 205.1C96.19 203.4 96 201.7 96 200V184zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448zM337.6 278.9C354.5 246.1 382.5 219.8 416.5 205.1C416.2 203.4 416 201.7 416 200V184C416 170.7 426.7 160 440 160H520C533.3 160 544 170.7 544 184V200C544 201.7 543.8 203.4 543.5 205.1C600.3 229.6 640 286.2 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C346.9 402.5 352 377.9 352 352C352 326.1 346.9 301.5 337.6 278.9V278.9zM480 256C426.1 256 384 298.1 384 352C384 405 426.1 448 480 448C533 448 576 405 576 352C576 298.1 533 256 480 256z"]],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", ["M202 99.74c-15.51 1.807-24.79 16.99-20.33 31.11l15.36 48.61c5.986-2.148 12.32-3.482 18.98-3.482c5.508 0 10.99 .8105 16.5 2.471l16.11 4.975L227.7 117.2C224.2 106.2 213.6 98.39 202 99.74zM487.1 144.5c-13.27 .0977-23.95 10.91-23.86 24.16l-2.082 50.04l-59.98-189.8c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l38.56 122.1c1.332 4.213-1.004 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-47.93-151.7c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l43.37 137.8c1.33 4.213-1.006 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-33.46-106.4C275.6 56.39 264.9 48.6 253.4 49.94c-15.51 1.807-24.79 16.99-20.33 31.11l34.15 108.1l73.7 22.76C404.1 233.3 448 292.8 448 359.9v27.91c38.27-21.17 63.28-61.24 64-106.7V168.4C511.8 155.1 500.3 144.5 487.1 144.5z", "M330.8 242.3L223.1 209.1C210.3 205.2 197 212.3 193.1 224.9C189.2 237.6 196.3 251 208.9 254.9L256 272H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 306.6 41.19 320 56 320h128C188.4 320 192 323.6 192 328S188.4 336 184 336H24.9c-11.61 0-22.25 7.844-24.44 19.24C-2.49 370.6 9.193 384 24 384h160C188.4 384 192 387.6 192 392S188.4 400 184 400H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 434.6 41.19 448 56 448h128C188.4 448 192 451.6 192 456S188.4 464 184 464H88.9c-11.61 0-22.25 7.844-24.44 19.24C61.51 498.6 73.19 512 88 512h208c66.28 0 120-53.73 120-120v-32.03C416 306.6 381.1 259.4 330.8 242.3z"]],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", ["M532.6 128l-99.9 .004c-31.87 2.289-61.15 19.35-79.13 46.18c-9.828 14.69-5.891 34.56 8.781 44.41c14.66 9.812 34.55 5.906 44.41-8.781C414.2 198.7 426.6 191.1 440 191.1c22.06 0 40 17.94 40 40c0 22.06-17.94 39.1-40 39.1c-16.94 0-32.09-10.72-37.73-26.67c-5.891-16.66-24.17-25.39-40.84-19.5c-16.66 5.891-25.39 24.17-19.5 40.84c10.84 30.64 35.23 53.77 64.96 63.8l-79.68 22.76c-16.98 4.859-26.83 22.56-21.97 39.56c4.844 16.98 22.56 26.86 39.56 21.97l99.2-28.34l-80.82 69.28c-13.42 11.5-14.97 31.7-3.469 45.12c11.52 13.42 31.73 14.98 45.13 3.469l100.4-86.09l-22.33 48.39c-7.391 16.05-.3906 35.06 15.66 42.47c16.02 7.359 35.05 .4219 42.47-15.65l84.02-188C634.9 283.4 640 259.5 640 235.4C640 176.1 591.9 128 532.6 128z", "M160 280c0 22.06 17.94 40 40 40c13.38 0 25.81-6.656 33.28-17.81C243.1 287.5 263 283.6 277.7 293.4c14.67 9.844 18.61 29.72 8.781 44.41c-17.97 26.83-47.26 43.89-79.13 46.18L107.4 384C48.1 384 0 335.9 0 276.6c0-24.1 5.082-47.94 14.92-69.94l84.02-188C106.4 2.525 125.4-4.412 141.4 2.947c16.05 7.406 23.05 26.42 15.66 42.47l-22.33 48.39l100.4-86.09c13.39-11.52 33.61-9.953 45.13 3.469c11.5 13.42 9.953 33.62-3.469 45.12l-80.82 69.28l99.2-28.34c17-4.889 34.72 4.984 39.56 21.97c4.859 17-4.984 34.7-21.97 39.56L233.1 181.5C262.8 191.6 287.2 214.7 298.1 245.3c5.891 16.67-2.844 34.95-19.5 40.84c-16.67 5.891-34.95-2.844-40.84-19.5C232.1 250.7 216.9 240 200 240C177.9 240 160 257.9 160 280z"]],
    "hands-bound": [640, 512, [], "e4f9", ["M63.1 0C81.67 0 95.1 14.33 95.1 32V144.8L165.3 237.2C170.1 244.7 181.4 246.8 189.6 242C199.3 236.3 201.7 223.3 194.6 214.5L167 179.1C156.2 166.4 158.1 146.7 171.4 135.5C184.6 124.4 204.4 125.8 215.9 138.7L262.6 191.3C278.1 209.7 288 233.4 288 258.1V352H131.6L46.31 252.5C37.07 241.8 32 228 32 213.9V32C32 14.33 46.33 0 64 0L63.1 0zM287.1 480V512H159.1V480H287.1zM480 480V512H352V480H480zM352 352V258.1C352 233.4 361 209.7 377.4 191.3L424.1 138.7C435.6 125.8 455.4 124.4 468.6 135.5C481.9 146.7 483.8 166.4 472.1 179.1L445.4 214.5C438.3 223.3 440.7 236.3 450.4 242C458.6 246.8 469 244.7 474.7 237.2L544 144.8V32C544 14.33 558.3 0 576 0C593.7 0 608 14.33 608 32V213.9C608 228 602.9 241.8 593.7 252.5L508.4 352H352z", "M512 352C525.3 352 536 362.7 536 376C536 389.3 525.3 400 512 400H128C114.7 400 104 389.3 104 376C104 362.7 114.7 352 128 352H512zM512 432C525.3 432 536 442.7 536 456C536 469.3 525.3 480 512 480H128C114.7 480 104 469.3 104 456C104 442.7 114.7 432 128 432H512z"]],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", ["M290.6 49.94C279.1 48.6 268.4 56.39 264.9 67.46L231.4 173.9c-1.332 4.213-5.826 6.549-10.04 5.217C217.2 177.8 214.8 173.3 216.2 169.1l43.37-137.8c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.445-25.71 17.51L165.6 169.4C164.2 173.6 159.7 175.9 155.5 174.6C151.3 173.3 148.1 168.8 150.3 164.6l38.56-122.1c4.459-14.12-4.82-29.3-20.33-31.11C157 10.04 146.3 17.83 142.8 28.9L82.84 218.7L80.76 168.7C80.85 155.5 70.17 144.6 56.9 144.5C43.67 144.5 32.18 155.1 32 168.4v112.7c.709 44.48 24.76 83.69 61.65 105.2C94.45 386.1 95.19 385.8 96 385.6v-25.69c0-67.17 43.03-126.7 107.1-148l73.7-22.76l34.15-108.1C315.4 66.94 306.1 51.75 290.6 49.94zM112 416c-26.51 0-48 21.49-48 47.1s21.49 48 48 48S160 490.5 160 464S138.5 416 112 416zM341.1 99.74c-11.53-1.344-22.21 6.443-25.71 17.51l-20.9 66.17l16.11-4.975c5.508-1.66 10.99-2.471 16.5-2.471c6.662 0 12.1 1.334 18.98 3.482l15.36-48.61C366.8 116.7 357.5 101.5 341.1 99.74zM496 128c-26.51 0-48 21.49-48 48s21.49 47.1 48 47.1S544 202.5 544 176S522.5 128 496 128zM416 .0002c-17.67 0-32 14.33-32 32c0 17.67 14.33 31.1 32 31.1c17.67 0 32-14.33 32-31.1C448 14.33 433.7 .0002 416 .0002z", "M519.1 336H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H288l47.09-17.06c12.66-3.906 19.75-17.34 15.84-30.03c-3.938-12.62-17.28-19.69-30.03-15.84L213.2 242.3C162 259.4 128 306.6 128 359.1v25.65c36.47 7.434 64 39.75 64 78.38c0 10.71-2.193 20.91-6.031 30.25C204.1 505.3 225.2 512 248 512h208c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h160c14.81 0 26.49-13.42 23.54-28.76C541.3 343.8 530.7 336 519.1 336z"]],
    "hands-clapping": [512, 512, [], "e1a8", ["M384 357.5l0-163.9c0-6.016-4.672-33.69-32-33.69c-17.69 0-32.07 14.33-32.07 31.1L320 268.1L169.2 117.3C164.5 112.6 158.3 110.3 152.2 110.3c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3C227.4 243.4 228.9 247.2 228.9 251c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349l-107.6-107.6C91.22 149.2 85.08 146.9 78.94 146.9c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l107.6 107.6C172.5 298.4 173.9 302.2 173.9 305.1c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.9-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L59.28 227.2C54.59 222.5 48.45 220.1 42.31 220.1c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3c2.9 2.899 4.349 6.7 4.349 10.5c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L40.97 318.7C36.28 314 30.14 311.7 24 311.7c-13.71 0-23.99 11.26-23.99 24.05c0 6.141 2.332 12.23 7.02 16.92C112.6 458.2 151.3 512 232.3 512C318.1 512 384 440.9 384 357.5z", "M320 0c-8.844 0-16 7.156-16 16v64C304 88.84 311.2 96 320 96s16-7.156 16-16v-64C336 7.156 328.8 0 320 0zM383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM237.3 23.02C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951l32.56 48C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951L237.3 23.02zM480 160c-17.69 0-32 14.33-32 32v76.14l-32-32v121.4c0 94.01-63.31 141.5-78.32 152.2C345.1 510.9 352.6 512 360.3 512C446.1 512 512 440.9 512 357.5l-.0625-165.6C511.9 174.3 497.7 160 480 160z"]],
    "hands-holding": [640, 512, [], "f4c2", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", ""]],
    "hands-holding-child": [640, 512, [], "e4fa", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M360 40C360 62.09 342.1 80 320 80C297.9 80 280 62.09 280 40C280 17.91 297.9 0 320 0C342.1 0 360 17.91 360 40zM384.5 180.1L364.7 164.3L375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L266 109.2C276.1 100.7 288.9 96 302.2 96H337.8C351.1 96 363.9 100.7 373.1 109.2L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1H384.5z"]],
    "hands-holding-circle": [640, 512, [], "e4fb", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M448 128C448 198.7 390.7 256 320 256C249.3 256 192 198.7 192 128C192 57.31 249.3 0 320 0C390.7 0 448 57.31 448 128z"]],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4z"]],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M319.1 0C333.3 0 344 10.75 344 24V34.51C350.4 35.69 356.6 37.17 362.2 38.66C374.1 42.08 382.6 55.22 379.2 68.03C375.8 80.84 362.6 88.46 349.8 85.05C338.9 82.15 328.7 80.15 319.6 80.01C312.3 79.89 304.9 81.66 300.3 84.42C298.1 85.69 297.1 86.81 296.7 87.46C296.4 87.92 296.1 88.64 296.1 90.27C296.1 90.61 296.1 90.81 296.1 90.91C296.3 91.12 297 92.08 299.5 93.53C305.3 97.04 313.9 99.75 326.8 103.7L327.7 103.9C338.8 107.3 353.6 111.7 365.6 119.3C379.2 127.9 391.7 142.1 391.1 164.2C392.3 186.7 380.6 203.1 365.3 212.6C358.6 216.8 351.4 219.6 344 221.4V232C344 245.3 333.3 256 320 256C306.7 256 296 245.3 296 232V220.6C286.5 218.4 277.8 215.4 270.4 212.8C268.3 212.1 266.3 211.4 264.4 210.8C251.8 206.6 245 192.1 249.2 180.4C253.4 167.8 267 161 279.6 165.2C282.2 166.1 284.6 166.9 286.9 167.7C300.6 172.3 310.3 175.6 320.8 175.1C328.8 176.2 335.8 174.4 339.1 171.8C341.8 170.7 342.7 169.6 343.2 168.9C343.5 168.3 344 167.1 343.1 164.8L343.1 164.5C344 163.5 344 162.4 340 159.9C334.3 156.3 325.7 153.5 312.9 149.6L311.1 149C300.3 145.8 286.1 141.5 274.7 134.6C261.2 126.5 248.2 112.6 248.1 90.51C247.9 67.65 260.9 51.91 275.8 43.11C282.2 39.35 289.1 36.67 295.1 34.89V24C295.1 10.75 306.7 .0003 319.1 .0003L319.1 0z"]],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M299.9 21.26L320 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L336.4 230.5C327.2 239.2 312.8 239.2 303.6 230.5L200.5 133.9C184.9 119.2 176 98.79 176 77.4V72.57C176 32.49 208.5 0 248.6 0C267.8 0 286.3 7.645 299.9 21.25V21.26z"]],
    "hands-praying": [640, 512, ["praying-hands"], "f684", ["M618.1 353.6L528 323.6V243.4c0-19-5.5-37.37-16.12-53.25l-117.3-175.9c-.125-.25-.6251-.2487-.75-.4987c-9.625-13.5-27.88-17.85-42.38-9.229c-15.12 9.125-20 28.76-11 44.01l77.75 129.5C427.3 193 432 210 432 227.5v76.49c0 8.875-7.125 16-16 16s-16-7.125-16-16V223.1c0-17.62-14.38-31.97-32-31.97s-32 14.38-32 31.1v127.1c0 51.87 34.88 98.12 84.75 112.4L600 511C602.6 511.6 605.4 512 608 512c23.5 0 32-21.25 32-31.1v-95.99C640 370.3 631.3 358 618.1 353.6z", "M272 191.9c-17.62 0-32 14.35-32 31.97V303.9c0 8.875-7.125 16-16 16s-16-7.125-16-16V227.4c0-17.37 4.75-34.5 13.75-49.37L299.5 48.41c9-15.12 4.125-34.76-11-43.88C273.1-4.225 255.8 .1289 246.1 13.63C245.1 13.88 245.5 13.88 245.4 14.13L128.1 190C117.5 205.9 112 224.3 112 243.3v80.24l-90.13 29.1C8.75 357.9 0 370.1 0 383.9v95.99c0 10.88 8.5 31.1 32 31.1c2.75 0 5.375-.25 8-1l179.3-46.62C269.1 450 304 403.8 304 351.9V223.9C304 206.3 289.6 191.9 272 191.9z"]],
    "handshake": [640, 512, [], "f2b5", ["M480 128.2c-40.98-40.93-64.6-64.12-122.6-64.12c-10.49 0-19.93-.6141-30.2 8.566L217 163.6C196.8 180.7 194.2 210.1 211.4 231.2c9.5 11.21 23.03 16.99 36.67 16.99c10.94 0 21.95-3.716 30.97-11.33l39.57-33.46l165.3 135.3c4.361 3.536 7.123 8.173 9.078 13.04L544 351.1V128.4L480 128.2zM0 383.9l64 .0404c17.75 0 32-14.3 32-32.03V128.3L0 128.3V383.9zM48 320.1c8.75 0 16 7.124 16 15.99c0 8.735-7.25 15.99-16 15.99S32 344.8 32 336.1C32 327.2 39.25 320.1 48 320.1z", "M318.6 203.4L279 236.8c-9.016 7.619-20.03 11.33-30.97 11.33c-13.64 0-27.17-5.777-36.67-16.99C194.2 210.1 196.8 180.7 217 163.6l110.3-90.9L280.9 64C223.6 64.37 168.8 87.48 128.2 127.9L96 128.3v223.6l50.25-.0904l90.5 81.82c27.5 22.35 67.75 18.1 90-9.246l18.12 15.24c15.88 12.98 39.38 10.48 52.38-5.371l31.38-38.6l5.374 4.498c13.75 10.99 33.88 8.991 45-4.748l9.538-11.78c11.08-13.69 8.985-33.83-4.694-44.93L318.6 203.4zM544 128.4v223.6c0 17.6 14.25 32.05 31.1 32.05L640 384V128.5L544 128.4zM592 352c-8.75 0-16-7.253-16-15.99c0-8.868 7.25-15.99 16-15.99s16 7.124 16 15.99C608 344.8 600.8 352 592 352z"]],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", ["M624 198.2l-111.1 64.75l-.0001-46.1c0-13.25-10.75-24-24-24H320V256c0 26.51-21.49 48-48 48S224 282.5 224 256l.0389-134.4c0-4.367 1.067-8.528 2.77-12.38c.1426-.332 .252-.6797 .4043-1.004c1.875-3.875 4.465-7.402 7.744-10.3c1.316-1.164 2.562-2.386 4.082-3.335c32.12-20.02 69.21-30.63 107.1-30.63h62.57l103.4-59.75c15.25-8.75 34.88-3.5 43.75 11.75l79.95 138.6C644.5 169.8 639.3 189.4 624 198.2z", "M512 215.1l-.0001 48c0 13.25-10.75 24-24 24h-8v48.01c0 26.51-21.49 48-48 48c0 35.25-28.75 64-64 64H231.4l-103.4 59.75c-15.25 8.75-34.88 3.5-43.75-11.75l-80-138.6c-8.875-15.25-3.5-34.88 11.75-43.63l80-46.25c0-51.76 27.13-99.73 71.49-126.4l67.43-43.15c-6.771 5.988-10.92 14.48-10.92 23.69L224 256c0 26.51 21.49 48 48 48S320 282.5 320 256V191.1h168C501.3 191.1 512 202.7 512 215.1z"]],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", ["M608 128.1l-128 .1257c-40.98-40.93-64.56-64.13-122.5-64.13c-10.49 0-19.98-.7132-30.24 8.467L217 163.6c-20.25 17.11-22.77 47.4-5.641 67.6C220.9 242.4 234.4 248.2 248 248.2c10.94 0 21.95-3.716 30.97-11.33L318.6 203.4l165.3 135.4c4.361 3.54 7.092 8.151 9.047 13.01L608 351.7c17.6 0 32-14.4 32-31.98V160.1C640 142.4 625.7 128.1 608 128.1z", "M483.9 338.7c13.68 11.1 15.78 31.17 4.701 44.86L479 395.4c-11.12 13.74-31.25 15.74-45 4.748l-5.374-4.498l-31.38 38.6c-13 15.85-36.5 18.35-52.38 5.369L327 424.2c-22.25 27.35-62.75 31.84-90.25 9.487l-90.5-81.82l-114.3 .0604C14.4 351.9 0 337.4 0 319.8V160.1c0-17.59 14.4-31.98 32-31.98l96 .1254C168.6 87.76 223.6 64.38 280.9 64l46.31 8.568L217 163.6c-20.25 17.11-22.77 47.4-5.641 67.6C220.9 242.4 234.4 248.2 248 248.2c10.94 0 21.95-3.716 30.97-11.33L318.6 203.4L483.9 338.7z"]],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", ["M289.1 64.01L282.5 64c-43.48 0-85.19 13.66-120.8 37.44l46.55 36.48L289.1 64.01zM607.1 127.1h-95.1c-40.98-40.96-96.56-63.98-154.5-63.98h-8.613c-7.1 0-15.63 3.002-21.63 8.373l-93.44 85.57L297.6 207.1l65.51-59.85c6.5-5.871 16.62-5.496 22.62 .1c6 6.496 5.5 16.62-.1 22.62l-26.12 23.87l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98h81.62c17.6 0 31.1-14.39 31.1-31.99V159.1C639.1 142.3 625.7 127.1 607.1 127.1zM32 127.1c-17.6 0-31.1 14.4-31.1 31.99v159.8c0 17.59 14.4 32.06 31.1 32.06l114.2-.0712l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L39.93 127.1L32 127.1z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "handshake-slash": [640, 512, [], "e060", ["M.0005 128.2v255.7l63.1 .0446c17.75 0 32-14.28 32-32.03L96 171.9l-55.77-43.71H.0005zM64 336c0 8.742-7.25 15.99-15.1 15.99s-15.1-7.251-15.1-15.99c0-8.875 7.25-15.1 15.1-15.1S64 327.2 64 336zM543.1 128.2l.0002 223.8c0 17.62 14.25 31.99 31.1 31.99h64V128.1L543.1 128.2zM591.1 352c-8.75 0-16-7.251-16-15.99c0-8.875 7.25-15.1 16-15.1s15.1 7.122 15.1 15.1C607.1 344.8 600.7 352 591.1 352zM289.1 64L282.5 64c-43.47 0-85.16 13.68-120.8 37.45l46.53 36.47L289.1 64zM348.8 64c-7.941 0-15.64 2.97-21.5 8.329L233.7 157.9L297.5 207.9l65.33-59.79c6.5-5.871 16.75-5.496 22.62 1c6 6.496 5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.52-63.98-154.5-63.98H348.8zM128 351.8h18.25l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.88 12.1 39.37 10.5 52.37-5.371l13.02-16.03L128 196.1V351.8z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.187C-3.06 19.62-1.248 34.72 9.19 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "hanukiah": [640, 512, [128334], "f6e6", ["M608 48c0 0-24 38.63-24 53.38c0 14.62 10.75 26.56 23.1 26.56S632 116 632 101.4C632 86.63 608 48 608 48zM8 101.4C8 116 18.75 127.9 31.1 127.9S56 116 56 101.4C56 86.63 32 48 32 48S8 86.63 8 101.4zM296 53.38C296 68 306.7 79.94 319.1 79.94S344 68 344 53.38C344 38.63 320 0 320 0S296 38.63 296 53.38zM88 101.4C88 116 98.75 128 112 128s24-12 24-26.62C136 86.63 112 48 112 48S88 86.63 88 101.4zM152 101.4C152 116 162.8 128 176 128s24-12 24-26.62C200 86.63 176 48 176 48S152 86.63 152 101.4zM216 101.4C216 116 226.8 128 240 128s24-12 24-26.62C264 86.63 240 48 240 48S216 86.63 216 101.4zM376 101.4C376 116 386.8 128 400 128s24-12 24-26.62C424 86.63 400 48 400 48S376 86.63 376 101.4zM440 101.4C440 116 450.8 128 464 128s24-12 24-26.62C488 86.63 464 48 464 48S440 86.63 440 101.4zM504 101.4C504 116 514.8 128 528 128s24-12 24-26.62C552 86.63 528 48 528 48S504 86.63 504 101.4z", "M416 168c0-4.375-3.625-8.061-8-8.061L392 160C387.6 160 384 163.6 384 168V288h32V168zM480 168c0-4.375-3.625-8.061-8-8.061L456 160C451.6 160 448 163.6 448 168V288h32V168zM544 168c0-4.375-3.625-8.061-8-8.061L520 160C515.6 160 512 163.6 512 168V288h32V168zM192 168C192 163.6 188.4 160 184 160L167.1 159.9C163.6 159.9 160 163.6 160 168V288h32V168zM624 160h-31.98c-8.836 0-16.03 7.182-16.03 16.02L576 288c0 17.6-14.4 32-32 32h-192V128c0-8.836-7.152-16.01-15.99-16.01H303.1C295.2 111.1 288 119.2 288 128v192H96c-17.6 0-32-14.4-32-32l.0065-112C64.01 167.2 56.85 160 48.02 160H16C7.164 160 0 167.2 0 176V288c0 53.02 42.98 96 96 96h192v64H144C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512h416c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V176C640 167.2 632.8 160 624 160zM128 168C128 163.6 124.4 160 120 160L103.1 159.9C99.62 159.9 96 163.6 96 168V288h32V168zM256 168C256 163.6 252.4 160 248 160L231.1 159.9C227.6 159.9 224 163.6 224 168V288h32V168z"]],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", ["M464 32h-416C21.5 32 0 53.5 0 80v256C0 309.5 21.5 288 48 288h416c26.5 0 48 21.5 48 48v-256C512 53.5 490.5 32 464 32zM320 352c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 352 320 352z", "M464 288h-416C21.5 288 0 309.5 0 336v96C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-96C512 309.5 490.5 288 464 288zM320 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 416 320 416zM416 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S433.6 416 416 416z"]],
    "hashtag": [448, 512, [62098], "23", ["M341.3 32.43c-17.53-2.875-33.92 8.891-36.83 26.3l-43.54 261.3h64.88l41.79-250.7C370.5 51.83 358.7 35.34 341.3 32.43zM240.4 442.7c-2.906 17.44 8.875 33.92 26.3 36.83C268.5 479.9 270.3 480 272 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27h-64.88L240.4 442.7zM80.44 442.7c-2.906 17.44 8.875 33.92 26.3 36.83C108.5 479.9 110.3 480 112 480c15.36 0 28.92-11.09 31.53-26.73L187.1 191.1H122.2L80.44 442.7zM181.3 32.43c-17.53-2.875-33.92 8.891-36.83 26.3L132.9 127.1H197.8l9.789-58.74C210.5 51.83 198.7 35.34 181.3 32.43z", "M416 127.1h-58.23l-10.67 64H416c17.67 0 32-14.32 32-31.1C448 142.3 433.7 127.1 416 127.1zM0 352c0 17.67 14.33 31.1 32 31.1h58.23l10.67-64H32C14.33 319.1 0 334.3 0 352zM384 319.1H165.8l-10.67 64H384c17.67 0 32-14.33 32-31.1C416 334.3 401.7 319.1 384 319.1zM64 191.1h218.2l10.67-64H64c-17.67 0-32 14.33-32 32C32 177.7 46.33 191.1 64 191.1z"]],
    "hashtag-lock": [576, 512, [], "e415", ["M197.8 128H292.9L304.4 58.74C307.3 41.31 323.8 29.53 341.3 32.44C358.7 35.35 370.5 51.83 367.6 69.27L357.8 128H416C433.7 128 448 142.3 448 160C448 160.4 447.1 160.8 447.1 161.1C423.9 164.6 402.2 175.7 385.6 192H347.1L324.3 328.9C321.5 336.1 320 343.9 320 352V354.7L303.6 453.3C300.7 470.7 284.2 482.5 266.7 479.6C249.3 476.7 237.5 460.2 240.4 442.7L250.2 384H155.1L143.6 453.3C140.7 470.7 124.2 482.5 106.7 479.6C89.31 476.7 77.53 460.2 80.44 442.7L90.23 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H100.9L122.2 192H64C46.33 192 32 177.7 32 160C32 142.3 46.33 128 64 128H132.9L144.4 58.74C147.3 41.31 163.8 29.53 181.3 32.44C198.7 35.35 210.5 51.83 207.6 69.27L197.8 128zM260.9 320L282.2 192H187.1L165.8 320H260.9z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "hat-chef": [512, 512, [], "f86b", ["M512 128c0 41.75-64 192-64 192h-74.45l26.22-157.3c1.469-8.719-4.367-17.02-13.09-18.46c-8.469-1.594-16.98 4.336-18.45 13.09L341.1 320H272V160c0-8.844-7.156-16-16-16S240 151.2 240 160v160H170.9L143.8 157.3c-1.469-8.75-9.891-14.68-18.45-13.09C116.6 145.7 110.8 153.1 112.2 162.7L138.4 320H64c0 0-64-150.3-64-192C-.125 91.5 20.38 58.12 53.13 42c32.63-16.25 71.63-12.5 100.6 9.75C177.1 20.5 213.1 0 256 0c41.1 0 78.88 20.5 102.3 51.75C374.9 39 395.1 32.13 416 32C469 32 512 75 512 128z", "M448 320v160c0 17.6-14.4 32-32 32H96c-17.6 0-32-14.4-32-32v-160h74.45L112.2 162.7C110.8 153.1 116.6 145.7 125.3 144.2c8.562-1.594 16.98 4.336 18.45 13.09L170.9 320H240V160c0-8.844 7.156-16 16-16s16 7.156 16 16v160h69.12l27.12-162.7c1.469-8.75 9.984-14.68 18.45-13.09c8.719 1.438 14.55 9.742 13.09 18.46L373.6 320H448z"]],
    "hat-cowboy": [640, 512, [], "f8c0", ["M509.1 286.6c-47.44 18.04-110.8 33.38-189.9 33.38c-78.1 0-142.3-15.43-189.9-33.55c.12-.87 .24-1.71 .35-2.53c2.59-15.31 6.075-35.12 10.61-57.23c39.09 15.6 96.72 29.32 178.9 29.32s139.9-13.71 178.1-29.3c4.56 22.18 8.05 42 10.64 57.35C509.7 284.9 509.8 285.7 509.1 286.6z", "M499 226.7C481.9 143.8 450.6 32 401.4 32c-15.75 0-29.81 6.672-41.63 15.7c-23.45 17.88-55.95 17.88-79.4 0C268.5 38.7 254.5 32 238.7 32c-49.28 0-80.56 111.8-97.6 194.7c39.1 15.6 96.72 29.32 178.9 29.32S459.9 242.3 499 226.7zM632.9 227.7c-6.139-4.121-14.26-3.514-19.7 1.49c-1 .9024-101.3 90.77-293.1 90.77c-190.8 0-292.2-89.96-293.2-90.86C20.32 223.1 10.29 223.5 4.275 229.1C.1387 234.4-1.154 240.8 .9986 246.5C1.727 248.5 78.32 448 319.1 448c241.7 0 318.3-199.5 318.1-201.5C641.5 239.6 639 231.9 632.9 227.7z"]],
    "hat-cowboy-side": [640, 512, [], "f8c1", ["M640 367.1c0 67.25-60.25 80.01-75.2 80.01c-92.89 0-139.5-37.07-209.9-104.5L266.7 259c-25.72-22.94-55.72-35.06-86.72-35.06c-69.69 0-128.6 62.72-146.7 156.1c-3.19 16.6-.3794 33.83 7.711 47.31c7.83 13.11 19.61 20.64 32.25 20.64l-42.7 .0007c-9.245 .0327-17.68-5.279-21.64-13.63c-12.67-27.04-8.64-52.27-7.07-60.38c21.03-108.9 92.6-182 178.1-182c38.95 0 76.31 14.92 108.9 43.95l88.21 84.49c69.35 66.46 108.1 95.58 187.7 95.58c23.82 0 43.2-21.53 43.2-48.01c0-21.81-20.61-108.1-112.5-124.9l-5.55-33.08C601.9 223.1 640 323.5 640 367.1z", "M354.9 343.5L266.7 259C240.1 236.1 210.1 223.1 179.1 223.1c-69.69 0-128.6 62.72-146.7 156.1c-3.19 16.6-.3795 33.84 7.711 47.31c7.83 13.11 19.61 20.64 32.25 20.64h491.5c-71.12 0-115.1-21.73-163.4-62.17C386.6 373.5 371.4 359.3 354.9 343.5zM495.5 243.1l-27.16-162c-6.141-33-40.82-54.71-76.38-47.75L200.9 70.68c-27.09 5.301-47.41 26.07-50.35 51.49L142.9 196.7c12.1-3.149 24.56-4.739 37.07-4.728c38.95 0 76.31 14.92 108.9 43.95l88.21 84.49c69.35 66.46 108.1 95.58 187.7 95.58c23.82 0 43.2-21.53 43.2-48.01C608 346.2 587.4 259.9 495.5 243.1z"]],
    "hat-santa": [640, 512, [], "f7a7", ["M503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38c-8.117 2.492-14.68 8.484-17.6 16.31L384 192l64 192H63.1l84.38-247.5C174.8 73.25 236.6 32 305.3 32c50 0 97.38 22 129.8 60.13l73.88 87.35C506.1 180.6 505 181.7 503.4 183.4z", "M448 384H63.1C28.65 384 0 412.7 0 447.1C0 465.7 14.33 480 32 480h448c17.67 0 32-14.33 32-32C512 412.7 483.3 384 448 384zM640 240c0-12.12-8.25-21.88-19.25-25.25c5.5-10 4.5-22.75-4.125-31.38C608 174.8 595.3 173.8 585.3 179.2C581.9 168.2 572.1 160 560 160s-21.88 8.25-25.25 19.25C524.8 173.8 512 174.8 503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38C488.2 218.1 480 227.9 480 240s8.25 21.88 19.25 25.25c-5.5 10-4.453 22.75 4.172 31.38c5.25 5.125 11.95 7.747 18.83 7.747c4.5 0 8.625-1.5 12.5-3.625C538.1 311.8 547.9 320 560 320s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.5-2.625 18.88-7.75C625.3 288 626.3 275.2 620.8 265.2C631.8 261.9 640 252.1 640 240z"]],
    "hat-winter": [512, 512, [], "f7a8", ["M128 270.1l64 32l64-32l64 32l64-32l64 32l8.102-4.055c-31.67-76.73-90.37-135.1-147.8-158.6c-4.508 2.945-9.422 4.922-14.52 4.922c-4.375 0-8.5-1.5-12.5-3.625C277.9 151.8 268.1 160 256 160S234.1 151.8 230.8 140.8c-3.875 2.125-8 3.625-12.5 3.625c-5.191 0-10.09-1.973-14.55-4.914c-57.45 23.49-116.1 81.9-147.8 158.6L64 302.1L128 270.1zM467 328.4L448 337.9l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-19-9.496C36.75 355.1 32 385.4 32 416v32h448v-32C480 385.4 475.3 355.1 467 328.4z", "M195.3 105.2c-5.5 10-4.462 22.79 4.163 31.41c5.25 5.125 11.96 7.713 18.84 7.713c4.5 0 8.625-1.5 12.5-3.625C234.1 151.8 243.9 160 256 160s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.54-2.663 18.91-7.788c8.625-8.625 9.587-21.34 4.087-31.34C327.8 101.9 336 92.13 336 80s-8.25-21.87-19.25-25.25c5.5-10 4.487-22.76-4.138-31.39s-21.36-9.613-31.36-4.113C277.9 8.25 268.1 0 256 0S234.1 8.25 230.8 19.25c-10-5.5-22.76-4.494-31.38 4.131C190.7 32.01 189.8 44.75 195.3 54.75C184.3 58.13 176 67.88 176 80S184.3 101.9 195.3 105.2zM128 305.9l64 32l64-32l64 32l64-32l64 32l19-9.496c-3.113-10.4-6.836-20.46-10.9-30.31L448 302.1l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-8.102-4.055C51.84 307.9 48.11 317.1 45 328.4L64 337.9L128 305.9zM496 448h-480C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h480c8.75 0 16-7.25 16-16v-32C512 455.3 504.8 448 496 448z"]],
    "hat-witch": [576, 512, [], "f6e7", ["M320 319.1H256V384h63.98V319.1zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416z", "M96.05 416l110.1-249.6C218 141.4 236.8 120.8 260.4 107.1l166.3-102.9c12.5-7.25 28.37-5.125 38.49 5.125l69.36 72.62c8.625 8.625 11.62 21.25 7.75 32.75l-30.37 77.24l-14-42.12c-4.375-13.12-16.62-21.88-30.37-21.88h-39.24c-13.74 0-25.99 8.75-30.37 21.88l-6.25 18.1c-4.996 14.88-4.371 31.12 1.875 45.5L481.9 416H351.1l-.002-96C351.1 302.4 337.6 288 320 288H256C238.4 288 224 302.4 224 319.1L224 416H96.05zM224 384v32H256C238.3 416 224 401.7 224 384zM320 416h31.1v-32C351.1 401.7 337.7 416 320 416z"]],
    "hat-wizard": [512, 512, [], "f6e8", ["M496 448h-480C7.164 448 0 455.2 0 464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48C512 455.2 504.8 448 496 448zM256 192l12.42 24.84c1.477 2.949 5.68 2.949 7.156 0L288 192l24.84-12.42c2.949-1.477 2.949-5.68 0-7.156L288 160l-12.42-24.84c-1.477-2.949-5.68-2.949-7.156 0L256 160L231.2 172.4c-2.949 1.477-2.949 5.68 0 7.156L256 192z", "M361.6 214.4C355.4 200 354.8 183.8 359.8 168.9L416 0L228.4 107.3C204.8 120.8 185.1 141.4 175 166.4L48.14 448h411.8L361.6 214.4zM231.2 172.4L256 160l12.42-24.84c1.477-2.949 5.68-2.949 7.156 0L288 160l24.84 12.42c2.949 1.477 2.949 5.68 0 7.156L288 192l-12.42 24.84c-1.477 2.949-5.68 2.949-7.156 0L256 192L231.2 179.6C228.2 178.1 228.2 173.9 231.2 172.4zM314.4 343.7l-50.05 16.68L247.7 410.4c-2.469 7.406-12.95 7.406-15.43 0l-16.68-50.05l-50.05-16.68c-3.707-1.234-5.558-4.471-5.558-7.713s1.851-6.482 5.555-7.717l50.05-16.68L232.3 261.6c2.469-7.406 12.95-7.406 15.43 0l16.68 50.05l50.05 16.68C318.1 329.5 320 332.8 320 336S318.1 342.5 314.4 343.7z"]],
    "head-side": [512, 512, [], "f6e9", ["M509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H191.1C85.99 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L63.1 512h255.1l.002-64h63.1c35.37 0 63.1-28.62 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z", "M351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z"]],
    "head-side-brain": [512, 512, [], "f808", ["M159.9 178.9L160 176C160 177 159.9 177.9 159.9 178.9C159.9 178.9 159.8 178.8 159.9 178.9zM509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0053-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z", "M336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z"]],
    "head-side-cough": [640, 512, [], "e061", ["M477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L192 0C86 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L64 512h223.1v-32h64.01c35.38 0 64-28.62 64-63.1L320 416c-17.67 0-32-14.33-32-32s14.33-32 32-32h95.98l-.003-32h31.99C471.1 320 486.6 296.1 477.2 275zM336 224c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S353.6 224 336 224z", "M608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S493.3 359.1 480 359.1zM336 160c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S353.6 160 336 160zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 311.1 544 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 407.1 544 407.1zM608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1z"]],
    "head-side-cough-slash": [640, 512, [], "e062", ["M616 304C629.3 304 640 293.3 640 280S629.3 256 616 256S592 266.8 592 280S602.8 304 616 304zM404.1 88.25C365.6 33.62 302.5 0 234.1 0H192c-42.16 0-81.04 13.77-112.7 36.83l361.3 283.2h7.4c23.12 0 38.62-23.87 29.25-44.1C456.2 227.9 428.7 123.2 404.1 88.25zM320 415.1c-17.67 0-31.1-14.33-31.1-31.1S302.3 351.1 320 351.1l5.758-.0009L18.16 110.9c-11.53 24.66-18.16 52.07-18.16 81.09c0 56.75 24.75 107.6 64 142.9L64 511.1h223.1l0-31.1l64.01 .001c33.25 0 60.2-25.38 63.37-57.78l-7.932-6.217H320zM552 304c-13.25 0-24 10.75-24 24S538.8 352 552 352S576 341.3 576 328S565.3 304 552 304zM616 360c-13.25 0-24 10.75-24 24s10.75 24 24 24S640 397.3 640 384S629.3 360 616 360z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.126 9.187c-8.187 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", ["M303.1 64h111.9c-38.9-40.45-92.85-64-149.8-64H223.1C146.6 0 80.01 45.97 49.64 112h181.5C243.5 83.86 271.3 64 303.1 64zM509.2 275C503.3 261.7 496.8 243.6 490.1 224h-181.6c-33.22 0-63.84-19.23-77.23-48H32.81C32.37 181.3 32 186.6 32 192c0 54.5 23.25 106.5 63.1 142.9V512h223.1l.002-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.9-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275z", "M231.1 112H16C7.164 112 0 119.2 0 128v32c0 8.836 7.164 16 16 16h215.3C244.7 204.8 275.3 224 308.5 224h107.5l-.0601-160h-111.9C271.3 64 243.5 83.86 231.1 112zM495.1 64h-47.1v160h47.1c8.875 0 15.1-7.125 15.1-16v-128C511.1 71.13 504.9 64 495.1 64z"]],
    "head-side-headphones": [512, 512, [], "f8c2", ["M506.8 305.4C500.9 314.5 490.9 320 479.1 320h-31.1v64C447.1 419.4 419.4 448 384 448h-63.99l-.003 64H64l.0068-177.2C23.26 298.4 0 246.5 0 192c0-95.07 69.25-173.8 160-189.1v104.4C122.3 125.2 95.1 163.4 95.1 208c0 61.88 50.13 112 112 112S320 269.9 320 208c0-44.63-26.25-82.75-63.1-100.8V0h10.13c67.63 0 130.1 32.87 169.1 88.25c24.63 35 52.12 139.6 73.12 186.8C513.6 284.9 512.8 296.4 506.8 305.4z", "M207.1 240c-17.63 0-32-14.38-32-32s14.38-32 32-32c17.63 0 32 14.38 32 32S225.6 240 207.1 240zM256 107.2V0H192c-10.93 0-21.57 1.122-32 2.88v104.4C122.3 125.2 95.1 163.4 95.1 208c0 61.88 50.13 112 112 112S320 269.9 320 208C320 163.4 293.8 125.2 256 107.2zM208 272c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C272 243.3 243.3 272 208 272z"]],
    "head-side-heart": [512, 512, [], "e1aa", ["M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0L192 0C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z", "M330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z"]],
    "head-side-mask": [512, 512, [], "e063", ["M509.2 275c-20.1-47.13-48.49-151.8-73.11-186.8C397.6 33.63 334.5 0 266.1 0H200C117.1 0 42.48 50.57 13.25 123.7L239.2 288h272.6C511.8 283.7 511.1 279.3 509.2 275zM352 224c-17.62 0-32-14.38-32-32s14.38-32 32-32c17.62 0 31.1 14.38 31.1 32S369.6 224 352 224zM.1465 184.4C-2.166 244.2 23.01 298 63.99 334.9L63.99 512h160L224 316.5L3.674 156.2C1.871 165.4 .5195 174.8 .1465 184.4z", "M352 224c17.62 0 31.1-14.38 31.1-32s-14.37-32-31.1-32c-17.62 0-32 14.38-32 32S334.4 224 352 224zM336 368H496L512 320h-255.1l.0178 192h145.9c27.55 0 52-17.63 60.71-43.76L464 464h-127.1c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h138.7l10.67-32h-149.3c-8.836 0-16-7.164-16-16C320 375.2 327.2 368 336 368z"]],
    "head-side-medical": [512, 512, [], "f809", ["M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z", "M336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z"]],
    "head-side-virus": [512, 512, [], "e064", ["M509.2 275c-20.94-47.13-48.46-151.7-73.1-186.8C397.7 33.59 334.6 0 266.1 0H192C85.95 0 0 85.95 0 192c0 56.8 24.8 107.7 64 142.8L64 512h256l-.0044-64h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.2 509.2 275zM368 240h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576c6.25 6.25 6.25 16.38 0 22.62c-3.125 3.125-7.219 4.688-11.31 4.688c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-20.16-20.16-54.63-5.881-54.63 22.63V352c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-28.51-34.47-42.79-54.63-22.63l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l8.577-8.576C166.9 274.5 152.6 240 124.1 240H112c-8.844 0-16-7.156-16-16s7.157-16 16-16L124.1 208c28.51 0 42.79-34.47 22.63-54.63L138.2 144.8c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.63 0L169.4 130.7c20.16 20.16 54.63 5.881 54.63-22.63V96c0-8.844 7.156-16 16-16S256 87.16 256 96v12.12c0 28.51 34.47 42.79 54.63 22.63l8.576-8.576c6.25-6.25 16.38-6.25 22.63 0c6.25 6.25 6.25 16.38 0 22.62L333.3 153.4C313.1 173.5 327.4 208 355.9 208l12.12-.0004c8.844 0 15.1 7.157 15.1 16S376.8 240 368 240z", "M368 207.1L355.9 208c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.38 0-22.62c-6.25-6.25-16.38-6.25-22.63 0l-8.576 8.576c-20.16 20.16-54.63 5.881-54.63-22.63V96c0-8.844-7.156-16-15.1-16S224 87.16 224 96v12.12c0 28.51-34.47 42.79-54.63 22.63L160.8 122.2c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.62l8.577 8.576C166.9 173.5 152.6 208 124.1 208L112 207.1C103.2 207.1 96 215.2 96 224s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63L138.2 303.2c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688L169.4 317.3c20.16-20.16 54.63-5.881 54.63 22.63V352c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L333.3 294.6C313.1 274.5 327.4 240 355.9 240h12.12c8.844 0 16-7.156 16-16S376.8 207.1 368 207.1zM208 207.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.164-16 16-16s15.1 7.162 15.1 15.1C224 200.8 216.8 207.1 208 207.1zM272 272c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 15.1-16S288 247.2 288 256C288 264.8 280.8 272 272 272z"]],
    "heading": [448, 512, ["header"], "f1dc", ["M448 448c0 17.69-14.33 32-32 32h-96c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-144h-224v144H128c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-320H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32H112v112h224v-112H320c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32h-16v320H416C433.7 416 448 430.3 448 448z", ""]],
    "headphones": [512, 512, [127911], "f025", ["M511.1 399.9C511.1 399.9 511.1 400 511.1 399.9C511.1 399.1 511.1 399.9 511.1 399.9zM.0042 399.9C.0042 399.1 .0042 399.9 .0042 399.9C.0042 399.9 .0042 400 .0042 399.9zM256 32C112.9 32 4.563 151.1 0 288v48.13c0-33.47 20.64-62.13 49.8-74.1C62.66 159.6 150.2 80.14 256 80.13c105.8 .0137 193.3 79.49 206.2 181.9C491.4 273.1 512 302.7 512 336.1V287.9C507.4 151 399.1 32 256 32z", "M80 256C35.89 256 0 291.9 0 336.1l.0042 63.81C.0042 444.1 35.89 480 80 480C106.5 480 128 458.4 128 431.9V304.1C128 277.6 106.5 256 80 256zM432 256C405.5 256 384 277.6 384 304.1v127.9C384 458.4 405.5 480 432 480c44.11 0 79.1-35.88 79.1-80.06L512 336.1C512 291.9 476.1 256 432 256z"]],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", ["M256 32C112.9 32 4.563 151.1 0 288v104C0 405.3 10.75 416 23.1 416S48 405.3 48 392V288c0-114.7 93.34-207.8 208-207.8C370.7 80.2 464 173.3 464 288v104C464 405.3 474.7 416 488 416S512 405.3 512 392V287.1C507.4 151.1 399.1 32 256 32z", "M160 288L144 288c-35.34 0-64 28.7-64 64.13v63.75C80 451.3 108.7 480 144 480L160 480c17.66 0 32-14.34 32-32.05v-127.9C192 302.3 177.7 288 160 288zM368 288L352 288c-17.66 0-32 14.32-32 32.04v127.9c0 17.7 14.34 32.05 32 32.05L368 480c35.34 0 64-28.7 64-64.13v-63.75C432 316.7 403.3 288 368 288z"]],
    "headset": [512, 512, [], "f590", ["M256 0C112.9 0 4.583 119.1 .0208 256L0 296C0 309.3 10.75 320 23.1 320S48 309.3 48 296V256c0-114.7 93.34-207.8 208-207.8C370.7 48.2 464 141.3 464 256v144c0 22.09-17.91 40-40 40h-110.7C305 425.7 289.7 416 272 416H241.8c-23.21 0-44.5 15.69-48.87 38.49C187 485.2 210.4 512 239.1 512H272c17.72 0 33.03-9.711 41.34-24H424c48.6 0 88-39.4 88-88V256C507.4 119.1 399.1 0 256 0z", "M159.1 192L144 192c-35.34 0-64 28.66-64 64.08v47.79C80 339.3 108.7 368 144 368H160c17.66 0 32-14.36 32-32.06L191.1 224C191.1 206.3 177.6 192 159.1 192zM368 192l-16 0c-17.66 0-32 14.34-32 32.04L320 335.9C320 353.7 334.3 368 352 368h16c35.34 0 64-28.7 64-64.13V256.1C432 220.7 403.3 192 368 192z"]],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", ["M0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 .0003 232.4 .0003 190.9L0 190.9z", ""]],
    "heart-circle-bolt": [576, 512, [], "e4fc", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8z"]],
    "heart-circle-check": [576, 512, [], "e4fd", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "heart-circle-exclamation": [576, 512, [], "e4fe", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "heart-circle-minus": [576, 512, [], "e4ff", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "heart-circle-plus": [576, 512, [], "e500", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "heart-circle-xmark": [576, 512, [], "e501", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", ["M119.4 44.1C142.7 40.22 166.2 42.2 187.1 49.43L237.8 126.9L162.3 202.3C160.8 203.9 159.1 205.1 160 208.2C160 210.3 160.1 212.4 162.6 213.9L274.6 317.9C277.5 320.6 281.1 320.7 285.1 318.2C288.2 315.6 288.9 311.2 286.8 307.8L226.4 209.7L317.1 134.1C319.7 131.1 320.7 128.5 319.5 125.3L296.8 61.74C325.4 45.03 359.2 38.53 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09V44.1z", "M319.5 125.3C320.7 128.5 319.7 131.1 317.1 134.1L226.4 209.7L286.8 307.8C288.9 311.2 288.2 315.6 285.1 318.2C281.1 320.7 277.5 320.6 274.6 317.9L162.6 213.9C160.1 212.4 160 210.3 160 208.1C159.1 205.1 160.8 203.9 162.3 202.3L237.8 126.9L187.1 49.43C208.8 56.34 228.1 68.06 244 84.01L255.1 96L267.1 84.01C276.7 75.29 286.4 67.83 296.8 61.74L319.5 125.3z"]],
    "heart-half": [512, 512, [], "e1ab", ["M256 480V96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480L256 480z", "M256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09C164.1 36.51 211.4 51.38 244 84.02L256 96V480z"]],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", ["M256 407.4L420.7 253.6C438.1 237.4 448 214.7 448 190.9V185.1C448 146.5 420.1 113.6 382 107.2C356.9 103 331.3 111.2 313.2 129.3L256 186.5V96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480L256 407.4z", "M256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09C164.1 36.51 211.4 51.38 244 84.02L256 96V480z"]],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", ["M60.18 256C16.89 197.6 23.39 112.5 80.81 62.86C135.2 15.88 218.3 24.36 268.3 75.92l19.71 20.33l19.71-20.33C357.7 24.36 440.8 15.88 495.2 62.86c57.42 49.62 63.92 134.7 20.55 193.2h-121.5l-27.67-55.25c-5.884-11.75-22.78-11.75-28.67 0l-49.07 98L230.7 169.4c-5.884-12.75-24.04-12.5-29.54 .375l-35.93 86.25H60.18zM374.4 288l-22.03-44.25l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288l176.4 182.2c12.66 13.07 33.36 13.07 46.03 0l176.4-182.2L374.4 288z", "M515.8 256c-3.642 4.912-6.975 9.971-11.33 14.46l-17.06 17.53l-112.1 .0052l-22.03-44.25l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288L71.49 270.5C67.15 265.1 63.82 260.9 60.18 256h105l35.93-86.25c5.508-12.88 23.66-13.12 29.54-.375l58.21 129.4l49.07-98c5.884-11.75 22.78-11.75 28.67 0l27.67 55.25H515.8z"]],
    "heat": [448, 512, [], "e00c", ["M248.2 256.3c36.33 39.81 55.84 92.15 55.84 146l.0001 38.76C304 465.8 289.7 480 272 480s-32-14.33-32-31.1l0-45.63c-.0001-38.2-13.1-75.12-39.59-103.5C164.1 258.7 144 206.5 144 152.2L144 63.1C144 46.33 158.3 32 176 32s32 14.33 32 31.1V152.2C207.9 190.8 222.2 227.9 248.2 256.3z", "M104.2 256.3c36.33 39.81 55.84 92.15 55.84 146l.0001 38.76C160 465.8 145.7 480 127.1 480s-31.1-14.33-32-31.1l0-45.63c0-38.2-13.1-75.12-39.59-103.5C20.09 258.7 0 206.5 0 152.2L0 127.1C0 110.3 14.33 96 32 96S64 110.3 64 127.1V152.2C63.87 190.8 78.2 227.9 104.2 256.3zM391.7 255.8c-25.63-28.39-39.69-65.32-39.69-103.6l-.0001-24.25C352 110.3 337.7 96 320 96S288 110.3 288 127.1l.0001 24.25c.0001 53.86 19.49 106.1 55.77 145.9C369.7 326.7 384.1 363.9 384 402.4v45.63C384 465.7 398.3 480 415.1 480C433.7 480 448 465.7 448 448v-45.63C448 348.3 427.9 295.9 391.7 255.8z"]],
    "helicopter": [640, 512, [128641], "f533", ["M128 32C128 14.33 142.3 0 160 0H544C561.7 0 576 14.33 576 32C576 49.67 561.7 64 544 64H384V128H320V64H160C142.3 64 128 49.67 128 32zM630.6 470.6L626.7 474.5C602.7 498.5 570.2 512 536.2 512H256C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448H536.2C553.2 448 569.5 441.3 581.5 429.3L585.4 425.4C597.9 412.9 618.1 412.9 630.6 425.4C643.1 437.9 643.1 458.1 630.6 470.6L630.6 470.6z", "M303.1 384C293.9 384 284.4 379.3 278.4 371.2L191.1 256L47.19 198.1C37.65 194.3 30.52 186.1 28.03 176.1L4.97 83.88C2.445 73.78 10.08 64 20.49 64H47.1C58.07 64 67.56 68.74 73.6 76.8L111.1 128H416C504.4 128 576 199.6 576 288V352C576 369.7 561.7 384 544 384H303.1zM384 320H512V288C512 234.1 469 192 416 192H384V320z"]],
    "helicopter-symbol": [576, 512, [], "e502", ["M542 224H477.3C463.9 143.6 400.4 80.15 320 66.66V1.984C435.8 16.42 527.6 108.2 542 224V224zM477.3 288H542C527.6 403.8 435.8 495.6 320 510V445.4C400.4 431.9 463.9 368.4 477.3 288V288zM256 445.4V510C140.2 495.6 48.42 403.8 33.98 288H98.65C112.1 368.4 175.6 431.9 256 445.4zM98.66 224H33.98C48.42 108.2 140.2 16.42 256 1.984V66.66C175.6 80.15 112.1 143.6 98.66 224V224z", "M208 128C225.7 128 240 142.3 240 160V224H336V160C336 142.3 350.3 128 368 128C385.7 128 400 142.3 400 160V352C400 369.7 385.7 384 368 384C350.3 384 336 369.7 336 352V288H240V352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V160C176 142.3 190.3 128 208 128z"]],
    "helmet-battle": [576, 512, [], "f6eb", ["M480 210.9C480 90.38 288 0 288 0S95.1 90.38 95.1 210.9c0 82.75-22.88 145.9-31.13 180.6c-3.375 14.5 3.625 29.38 16.38 35.25L255.1 512V256L159.1 224L159.1 192h256L416 224l-96 32l-.0009 255.1l174.9-85.25c12.63-5.875 19.75-20.75 16.25-35.25C502.9 356.8 480 293.6 480 210.9z", "M31.99 256c17.63 0 32.01-12.5 32.01-28V0L.9928 221.1C-4.132 238.9 11.24 256 31.99 256zM575 221.1L512 0v228c0 15.5 14.38 28 32 28C564.8 256 580.1 238.9 575 221.1zM159.1 192L159.1 224l96 32v256l64-.0022L320 256l96-32l.0008-31.1H159.1z"]],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", ["M574.7 393.7C572.2 387.8 566.4 384 560 384h-544c-6.375 0-12.16 3.812-14.69 9.656c-2.531 5.875-1.344 12.69 3.062 17.34C7.031 413.8 72.02 480 287.1 480s280.1-66.19 283.6-69C576 406.3 577.2 399.5 574.7 393.7z", "M544 280.9c0-89.17-61.83-165.4-139.6-197.4L352 174.2V49.78C352 39.91 344.1 32 334.2 32H241.8C231.9 32 224 39.91 224 49.78v124.4L171.6 83.53C93.83 115.5 32 191.7 32 280.9V384h512V280.9z"]],
    "helmet-un": [512, 512, [], "e503", ["M218.4 384L242.3 343L320 416.9V288H368V462.5L369.6 464H440C453.3 464 464 474.7 464 488C464 501.3 453.3 512 440 512H360C353.8 512 347.9 509.6 343.5 505.4L215.7 384L218.4 384z", "M480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H274.4L218.4 384H87.65C39.24 384 0 344.8 0 296.3V240C0 107.5 107.5 0 240 0C367.2 0 471.2 98.91 479.5 224H480zM285.3 103.1C281.4 97.26 274.1 94.64 267.4 96.69C260.6 98.73 256 104.9 256 112V208C256 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208V164.8L322.7 216.9C326.6 222.7 333.9 225.4 340.6 223.3C347.4 221.3 352 215.1 352 208V112C352 103.2 344.8 96 336 96C327.2 96 320 103.2 320 112V155.2L285.3 103.1zM160 112C160 103.2 152.8 96 144 96C135.2 96 128 103.2 128 112V176C128 202.5 149.5 224 176 224C202.5 224 224 202.5 224 176V112C224 103.2 216.8 96 208 96C199.2 96 192 103.2 192 112V176C192 184.8 184.8 192 176 192C167.2 192 160 184.8 160 176V112z"]],
    "hexagon": [512, 512, [11043], "f312", ["M342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342z", ""]],
    "hexagon-check": [512, 512, [], "e416", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z", "M371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2V172.2z"]],
    "hexagon-divide": [512, 512, [], "e1ad", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 255.1 128C238.3 128 223.1 142.3 223.1 160C223.1 177.7 238.3 192 255.1 192zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "hexagon-exclamation": [512, 512, [], "e417", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM231.1 152V264C231.1 277.3 242.7 288 255.1 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 255.1 128C242.7 128 231.1 138.7 231.1 152zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "hexagon-image": [512, 512, [], "e504", ["M105.4 67.08C118.2 44.8 141.1 31.08 167.7 31.08H344.3C370 31.08 393.8 44.8 406.6 67.08L494.9 219.1C507.8 242.3 507.8 269.7 494.9 291.1L406.6 444.9C393.8 467.2 370 480.9 344.3 480.9H167.7C141.1 480.9 118.2 467.2 105.4 444.9L17.07 291.1C4.206 269.7 4.206 242.3 17.07 219.1L105.4 67.08zM158.3 279.8L107.1 335.9L153.9 416.9C156.7 421.9 161.1 424.9 167.7 424.9H344.3C350 424.9 355.3 421.9 358.1 416.9L413.4 321.2L340.7 233.8C336.2 228.3 329.4 225.1 322.3 225.1C315.2 225.1 308.4 228.3 303.8 233.8L232.2 320L193.3 279.4C188.7 274.6 182.4 271.9 175.7 271.1C169.1 272.1 162.8 274.9 158.3 279.8V279.8zM192 199.1C214.1 199.1 232 182.1 232 159.1C232 137.9 214.1 119.1 192 119.1C169.9 119.1 152 137.9 152 159.1C152 182.1 169.9 199.1 192 199.1z", "M175.7 271.1C182.4 271.9 188.7 274.6 193.3 279.4L232.2 320L303.8 233.8C308.4 228.3 315.2 225.1 322.3 225.1C329.4 225.1 336.2 228.3 340.7 233.8L413.4 321.2L358.1 416.9C355.3 421.9 350 424.9 344.3 424.9H167.7C161.1 424.9 156.7 421.9 153.9 416.9L107.1 335.9L158.3 279.8C162.8 274.9 169.1 272.1 175.7 271.1V271.1z"]],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 255.1 144C242.7 144 231.1 154.7 231.1 168V232H167.1C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H231.1V344C231.1 357.3 242.7 368 255.1 368z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "hexagon-vertical-nft": [512, 512, [], "e505", ["M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM127.8 170.6C124.9 163.5 117.4 159.4 109.9 160.9C102.4 162.3 96.92 168.9 96.92 176.6V336.6C96.92 345.4 104.1 352.6 112.9 352.6C121.8 352.6 128.9 345.4 128.9 336.6V259.7L162.1 342.5C164.9 349.6 172.4 353.7 179.9 352.3C187.5 350.8 192.9 344.2 192.9 336.6V176.6C192.9 167.7 185.8 160.6 176.9 160.6C168.1 160.6 160.9 167.7 160.9 176.6V253.5L127.8 170.6zM224.9 336.6C224.9 345.4 232.1 352.6 240.9 352.6C249.8 352.6 256.9 345.4 256.9 336.6V272.6H288.9C297.8 272.6 304.9 265.4 304.9 256.6C304.9 247.7 297.8 240.6 288.9 240.6H256.9V192.6H288.9C297.8 192.6 304.9 185.4 304.9 176.6C304.9 167.7 297.8 160.6 288.9 160.6H240.9C232.1 160.6 224.9 167.7 224.9 176.6V336.6zM336.9 160.6C328.1 160.6 320.9 167.7 320.9 176.6C320.9 185.4 328.1 192.6 336.9 192.6H352.9V336.6C352.9 345.4 360.1 352.6 368.9 352.6C377.8 352.6 384.9 345.4 384.9 336.6V192.6H400.9C409.8 192.6 416.9 185.4 416.9 176.6C416.9 167.7 409.8 160.6 400.9 160.6H336.9z", "M109.9 160.9C117.4 159.4 124.9 163.5 127.8 170.6L160.9 253.5V176.6C160.9 167.7 168.1 160.6 176.9 160.6C185.8 160.6 192.9 167.7 192.9 176.6V336.6C192.9 344.2 187.5 350.8 179.9 352.3C172.4 353.7 164.9 349.6 162.1 342.5L128.9 259.7V336.6C128.9 345.4 121.8 352.6 112.9 352.6C104.1 352.6 96.92 345.4 96.92 336.6V176.6C96.92 168.9 102.4 162.3 109.9 160.9V160.9zM224.9 176.6C224.9 167.7 232.1 160.6 240.9 160.6H288.9C297.8 160.6 304.9 167.7 304.9 176.6C304.9 185.4 297.8 192.6 288.9 192.6H256.9V240.6H288.9C297.8 240.6 304.9 247.7 304.9 256.6C304.9 265.4 297.8 272.6 288.9 272.6H256.9V336.6C256.9 345.4 249.8 352.6 240.9 352.6C232.1 352.6 224.9 345.4 224.9 336.6V176.6zM400.9 160.6C409.8 160.6 416.9 167.7 416.9 176.6C416.9 185.4 409.8 192.6 400.9 192.6H384.9V336.6C384.9 345.4 377.8 352.6 368.9 352.6C360.1 352.6 352.9 345.4 352.9 336.6V192.6H336.9C328.1 192.6 320.9 185.4 320.9 176.6C320.9 167.7 328.1 160.6 336.9 160.6H400.9z"]],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", ["M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM304 123.5C304 117.7 300.9 112.4 295.9 109.6L248.1 82.31C246.1 81.09 243.8 80.3 241.4 80.07C240.9 80.03 240.4 80 239.9 80H239.8C236.6 80 233.6 80.98 231 82.65C229.5 83.64 228.2 84.9 227 86.4C225.9 87.94 224.1 89.71 224.5 91.63C224 93.18 223.8 94.77 223.8 96.34V400.6C223.8 409.4 231 416.6 239.8 416.6C248.7 416.6 255.8 409.4 255.8 400.6V272.6H287.8C296.7 272.6 303.8 265.4 303.8 256.6C303.8 247.7 296.7 240.6 287.8 240.6H255.8V123.6L280.1 137.4C290.7 143.5 304 135.8 304 123.5H304zM320 150.9C320 156.6 323.1 161.9 328.1 164.8L351.8 178.4V352.6C351.8 361.4 359 368.6 367.8 368.6C376.7 368.6 383.8 361.4 383.8 352.6V196.6L400.1 205.9C407.7 210.3 417.5 207.6 421.9 199.9C426.3 192.3 423.6 182.5 415.9 178.1L343.9 137C333.3 130.9 320 138.6 320 150.9V150.9zM159.8 144.6V269.1L127 171.5C124.5 164.1 117 159.5 109.3 160.8C101.5 162 95.85 168.7 95.85 176.6V336.6C95.85 345.4 103 352.6 111.8 352.6C120.7 352.6 127.8 345.4 127.8 336.6V275.2L160.7 373.6C163.2 381.1 170.7 385.6 178.4 384.4C186.2 383.1 191.8 376.4 191.8 368.6V144.6C191.8 135.7 184.7 128.6 175.8 128.6C167 128.6 159.8 135.7 159.8 144.6V144.6z", "M295.9 109.6C300.9 112.4 304 117.7 304 123.5C304 135.8 290.7 143.5 280.1 137.4L255.8 123.6V240.6H287.8C296.7 240.6 303.8 247.7 303.8 256.6C303.8 265.4 296.7 272.6 287.8 272.6H255.8V400.6C255.8 409.4 248.7 416.6 239.8 416.6C231 416.6 223.8 409.4 223.8 400.6V96.34C223.8 94.77 224 93.18 224.5 91.63C224.1 89.71 225.9 87.94 227 86.4C228.2 84.9 229.5 83.64 231 82.65C233.6 80.97 236.6 80 239.8 80H239.9C240.4 80 240.9 80.03 241.4 80.07C243.8 80.3 246.1 81.09 248.1 82.31L295.9 109.6zM328.1 164.8C323.1 161.9 320 156.6 320 150.9C320 138.6 333.3 130.9 343.9 137L415.9 178.1C423.6 182.5 426.3 192.3 421.9 199.9C417.5 207.6 407.7 210.3 400.1 205.9L383.8 196.6V352.6C383.8 361.4 376.7 368.6 367.8 368.6C359 368.6 351.8 361.4 351.8 352.6V178.4L328.1 164.8zM191.8 368.6C191.8 376.4 186.2 383.1 178.4 384.4C170.7 385.6 163.2 381.1 160.7 373.6L127.8 275.2V336.6C127.8 345.4 120.7 352.6 111.8 352.6C103 352.6 95.85 345.4 95.85 336.6V176.6C95.85 168.7 101.5 162 109.3 160.8C117 159.5 124.5 164.1 127 171.5L159.8 269.1V144.6C159.8 135.7 167 128.6 175.8 128.6C184.7 128.6 191.8 135.7 191.8 144.6V368.6z"]],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM272 328C272 341.3 261.3 352 248 352S224 341.3 224 328v-48H160v48C160 341.3 149.3 352 136 352S112 341.3 112 328v-144C112 170.8 122.8 160 136 160S160 170.8 160 184v48h64v-48C224 170.8 234.8 160 248 160S272 170.8 272 184V328zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z", "M248 160C234.8 160 224 170.8 224 184v48H160v-48C160 170.8 149.3 160 136 160S112 170.8 112 184v144C112 341.3 122.8 352 136 352S160 341.3 160 328v-48h64v48C224 341.3 234.8 352 248 352s24-10.75 24-24v-144C272 170.8 261.3 160 248 160zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"]],
    "highlighter": [576, 512, [], "f591", ["M350.4 396.5C341.3 408.8 326.1 416 311.7 416H239.1L214.6 441.4C202.1 453.9 181.9 453.9 169.4 441.4L118.6 390.6C106.1 378.1 106.1 357.9 118.6 345.4L143.1 320V248.3C143.1 233 151.2 218.7 163.5 209.6L199.3 183.3L376.7 360.7L350.4 396.5z", "M376.7 360.7L199.3 183.3L436.6 8.398C444 2.943 452.1 0 462.2 0C473.6 0 484.5 4.539 492.6 12.62L547.4 67.38C555.5 75.46 559.1 86.42 559.1 97.84C559.1 107 557.1 115.1 551.6 123.4L376.7 360.7zM156.7 473.9L125.7 504.1C121.2 509.5 115.1 512 108.7 512H40C26.75 512 16 501.3 16 488V483.3C16 476.1 18.53 470.8 23.03 466.3L86.06 403.3L156.7 473.9z"]],
    "highlighter-line": [576, 512, [], "e1af", ["M183.3 183.3L360.7 360.7L334.4 396.5C325.3 408.8 310.1 416 295.7 416H223.1L198.6 441.4C186.1 453.9 165.9 453.9 153.4 441.4L102.6 390.6C90.13 378.1 90.13 357.9 102.6 345.4L127.1 320L127.1 248.3C127.1 233 135.2 218.7 147.5 209.6L183.3 183.3zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H223.1C210.7 512 199.1 501.3 199.1 488C199.1 474.7 210.7 464 223.1 464H552z", "M360.7 360.7L183.3 183.3L420.6 8.398C428 2.943 436.1 0 446.2 0C457.6 0 468.5 4.539 476.6 12.62L531.4 67.38C539.5 75.46 543.1 86.42 543.1 97.84C543.1 107 541.1 115.1 535.6 123.4L360.7 360.7zM140.7 473.9L109.7 504.1C105.2 509.5 99.05 512 92.69 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L70.06 403.3L140.7 473.9z"]],
    "hill-avalanche": [640, 512, [], "e507", ["M161.4 91.58C160.5 87.87 160 83.99 160 80C160 53.49 181.5 32 208 32C229.9 32 248.3 46.62 254.1 66.62C268.5 45.7 292.7 32 320 32C364.2 32 400 67.82 400 112C400 119.4 398.1 126.6 397.1 133.5C426.9 145.1 448 174.1 448 208C448 236.4 433.2 261.3 410.9 275.5L492.6 357.2C508.2 372.8 533.6 372.8 549.2 357.2C564.8 341.6 564.8 316.2 549.2 300.6C533.6 284.1 508.2 284.1 492.6 300.6L458.7 266.7C493 232.3 548.8 232.3 583.1 266.7C617.5 301 617.5 356.8 583.1 391.1C552.8 421.4 505.9 425 471.7 401.9L161.4 91.58zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM480 160C480 142.3 494.3 128 512 128C529.7 128 544 142.3 544 160C544 177.7 529.7 192 512 192C494.3 192 480 177.7 480 160z", "M470.6 457.4C479.8 466.5 482.5 480.3 477.6 492.2C472.6 504.2 460.9 512 448 512H64C46.33 512 32 497.7 32 480V96C32 83.06 39.8 71.39 51.75 66.44C63.71 61.48 77.48 64.22 86.63 73.37L470.6 457.4z"]],
    "hill-rockslide": [576, 512, [], "e508", ["M192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM279.4 40.16C282.2 35.12 287.6 32 293.4 32H346.6C352.4 32 357.8 35.12 360.6 40.16L387.6 88.16C390.3 93.03 390.3 98.97 387.6 103.8L360.6 151.8C357.8 156.9 352.4 160 346.6 160H293.4C287.6 160 282.2 156.9 279.4 151.8L252.4 103.8C249.7 98.97 249.7 93.03 252.4 88.16L279.4 40.16zM456.2 376.6C451.1 373.8 448 368.4 448 362.6V309.4C448 303.6 451.1 298.2 456.2 295.4L504.2 268.4C509 265.7 514.1 265.7 519.8 268.4L567.8 295.4C572.9 298.2 576 303.6 576 309.4V362.6C576 368.4 572.9 373.8 567.8 376.6L519.8 403.6C514.1 406.3 509 406.3 504.2 403.6L456.2 376.6zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256z", "M438.6 457.4C447.8 466.5 450.5 480.3 445.6 492.2C440.6 504.2 428.9 512 416 512H32C14.33 512 0 497.7 0 480V96C0 83.06 7.796 71.39 19.75 66.44C31.71 61.48 45.48 64.22 54.63 73.37L438.6 457.4z"]],
    "hippo": [640, 512, [129435], "f6ed", ["M407 47.03C416.4 37.66 431.6 37.66 440.1 47.03L458.2 64.21C460.1 64.07 462 64 463.1 64H495.1C507.2 64 517.9 66.31 527.6 70.48L543 55.03C552.4 45.66 567.6 45.66 576.1 55.03C586.3 64.4 586.3 79.6 576.1 88.97L564 101.9C571.6 114.1 575.1 128.6 575.1 144C575.1 154.2 583.4 162.8 592.7 166.1C620.6 179.5 639.1 207.5 639.1 240C639.1 284.2 604.2 320 559.1 320H431.1C413.1 320 397.4 314 383.1 304C383 303.3 382.1 302.5 381.1 301.7C363.3 287.1 351.1 264.9 351.1 240C351.1 231.2 344.8 224 335.1 224C327.2 224 319.1 231.2 319.1 240C319.1 284.7 346.2 323.2 383.1 341.2V352C383.1 369.7 398.3 384 415.1 384H447.1V448C447.1 465.7 433.7 480 415.1 480H351.1C334.3 480 319.1 465.7 319.1 448V372C300.2 379.7 278.6 384 255.1 384C233.4 384 211.8 379.7 191.1 372V448C191.1 465.7 177.7 480 159.1 480H95.1C78.33 480 63.1 465.7 63.1 448V329.1L45.93 369.7C40.55 381.9 26.36 387.3 14.25 381.9C2.138 376.5-3.317 362.4 2.067 350.3L23.1 300.9C29.27 289 31.1 276.2 31.1 263.2C31.1 155.7 117.2 68.02 223.8 64.13L223.1 64H288C329.7 64 371.4 76.07 405.2 89.73C406.9 87.9 408.7 86.15 410.5 84.48L407 80.97C397.7 71.6 397.7 56.4 407 47.03H407zM455.1 208C442.7 208 431.1 218.7 431.1 232C431.1 245.3 442.7 256 455.1 256C469.3 256 479.1 245.3 479.1 232C479.1 218.7 469.3 208 455.1 208zM567.1 256C581.3 256 591.1 245.3 591.1 232C591.1 218.7 581.3 208 567.1 208C554.7 208 543.1 218.7 543.1 232C543.1 245.3 554.7 256 567.1 256zM463.1 128C455.2 128 447.1 135.2 447.1 144C447.1 152.8 455.2 160 463.1 160C472.8 160 479.1 152.8 479.1 144C479.1 135.2 472.8 128 463.1 128zM527.1 160C536.8 160 543.1 152.8 543.1 144C543.1 135.2 536.8 128 527.1 128C519.2 128 511.1 135.2 511.1 144C511.1 152.8 519.2 160 527.1 160z", "M480 144C480 152.8 472.8 160 464 160C455.2 160 448 152.8 448 144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144zM544 144C544 152.8 536.8 160 528 160C519.2 160 512 152.8 512 144C512 135.2 519.2 128 528 128C536.8 128 544 135.2 544 144zM608 304V336C608 344.8 600.8 352 592 352H560C551.2 352 544 344.8 544 336V320H560C578 320 594.6 314 608 304zM480 320V336C480 344.8 472.8 352 464 352H432C423.2 352 416 344.8 416 336V318.4C421.2 319.4 426.5 320 432 320H480z"]],
    "hockey-mask": [448, 512, [], "f6ee", ["M448 238.2c0-242.4-217.8-238.2-224-238.2c-6.193 0-223.1-4.255-223.1 238.2c0 49.81 9.681 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0008 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM288 55.97c13.31 0 24 10.69 24 24c0 13.31-10.69 24-24 24c-13.31 0-24-10.69-24-24C264 66.66 274.7 55.97 288 55.97zM159.1 55.97c13.31 0 24 10.69 24 24c0 13.31-10.69 24-24 24c-13.31 0-24-10.69-24-24C135.1 66.66 146.7 55.97 159.1 55.97zM63.1 207.1c0-17.62 14.38-32 32-32h64c17.63 0 32 14.38 32 32c0 35.38-28.63 64-64 64S63.1 243.4 63.1 207.1zM175.1 471.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 461.3 189.3 471.1 175.1 471.1zM175.1 407.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 397.3 189.3 407.1 175.1 407.1zM175.1 343.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 333.3 189.3 343.1 175.1 343.1zM224 151.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24s24 10.69 24 24C248 141.3 237.3 151.1 224 151.1zM272 471.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 461.3 285.3 471.1 272 471.1zM272 407.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 397.3 285.3 407.1 272 407.1zM272 343.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 333.3 285.3 343.1 272 343.1zM320 271.1c-35.38 0-64-28.63-64-64c0-17.62 14.37-32 32-32h64c17.62 0 32 14.38 32 32C384 243.4 355.4 271.1 320 271.1z", "M175.1 295.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 306.7 189.3 295.1 175.1 295.1zM175.1 359.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 370.7 189.3 359.1 175.1 359.1zM183.1 79.97c0-13.31-10.69-24-24-24c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24C173.3 103.1 183.1 93.29 183.1 79.97zM175.1 423.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 434.7 189.3 423.1 175.1 423.1zM224 103.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24s24-10.69 24-24C248 114.7 237.3 103.1 224 103.1zM272 295.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 306.7 285.3 295.1 272 295.1zM288 55.97c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C312 66.66 301.3 55.97 288 55.97zM272 359.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 370.7 285.3 359.1 272 359.1zM272 423.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 434.7 285.3 423.1 272 423.1z"]],
    "hockey-puck": [512, 512, [], "f453", ["M512 160c0 53-114.6 96-256 96S0 213 0 160s114.6-96 256-96S512 107 512 160z", "M512 160v192c0 53-114.6 96-256 96s-256-43-256-96V160c0 53 114.6 96 256 96S512 213 512 160z"]],
    "hockey-stick-puck": [640, 512, [], "e3ae", ["M32 351.1C14.4 351.1 0 366.4 0 383.1v95.99c0 17.6 14.4 31.1 31.99 32l32 .0052v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.04 6.468-28.64 17.69l-167.2 334.3l-156.2 .0004V512h108.2c24.41 0 46.34-13.56 57.25-35.38l215.2-430.3C478.9 41.71 480 36.83 480 32.02z", "M63.1 511.1L95.1 512v-160l-31.1-.0098V511.1zM608 416h-192c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-32C640 430.3 625.7 416 608 416z"]],
    "hockey-sticks": [640, 512, [], "f454", ["M191.1-.0003c-18.12 0-31.99 14.77-31.99 32.02c0 4.811 1.089 9.695 3.387 14.29l102.9 205.9L302.1 180.6L220.6 17.69C215 6.468 203.7-.0003 191.1-.0003zM607.1 351.1L576 351.1v159.1l32.01-.0052C625.6 511.1 640 497.6 640 479.1v-95.99C640 366.4 625.6 351.1 607.1 351.1zM373.7 323.8l-35.78 71.56l40.64 81.29C389.4 498.4 411.4 512 435.8 512H544v-160l-156.2-.0006L373.7 323.8zM64 511.1L96 512v-160l-32-.0091V511.1z", "M32 351.1c-17.6 0-32 14.4-32 32v95.99c0 17.6 14.4 31.1 31.99 32L64 511.1v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69L252.2 351.1L96 351.1V512h108.2c24.41 0 46.34-13.56 57.25-35.38L476.6 46.31C478.9 41.71 480 36.83 480 32.02zM544 351.1V512l32-.0156v-159.1L544 351.1z"]],
    "holly-berry": [512, 512, [], "f7aa", ["M243.7 242.6C245.3 229.7 231.9 220.1 219.5 225.5C179.7 242.8 137.8 251.4 96.72 250.8C86.13 250.6 78.49 260.7 81.78 270.4C86.77 285.7 90.33 301.4 92.44 317.7c2.133 16.15-9.387 31.26-26.12 34.23c-16.87 2.965-33.7 4.348-50.48 4.152c-10.6-.0586-18.37 10.05-15.08 19.74c12.4 35.79 16.57 74.93 12.12 114.7c-1.723 14.96 13.71 25.67 28.02 19.8c38.47-15.95 78.77-23.81 118.2-23.34c10.58 .1953 18.36-9.91 15.07-19.6c-5.141-15.15-8.68-31.06-10.79-47.34c-2.133-16.16 9.371-31.13 26.24-34.09c16.73-2.973 33.57-4.496 50.36-4.301c10.73 .0781 18.51-10.03 15.22-19.72C242.5 324.7 238.5 283.9 243.7 242.6zM496.2 356.1c-16.78 .1953-33.61-1.188-50.48-4.152c-16.73-2.973-28.25-18.08-26.12-34.23c2.115-16.28 5.67-32.05 10.66-47.32c3.289-9.691-4.35-19.81-14.93-19.62c-41.11 .6484-83.01-7.965-122.7-25.23c-6.85-2.969-13.71-1.18-18.47 2.953c1.508 5.836 2.102 11.93 1.332 18.05c-4.539 36.23-1.049 72.56 10.12 105.1c3.395 9.988 3.029 20.73-.4766 30.52c12.44 .5 24.89 1.602 37.28 3.801c16.87 2.957 28.37 17.93 26.24 34.09c-2.115 16.27-5.654 32.19-10.79 47.34c-3.289 9.691 4.486 19.8 15.07 19.6c39.47-.4766 79.77 7.383 118.2 23.34c14.31 5.867 29.74-4.844 28.02-19.8c-4.451-39.81-.2832-78.95 12.12-114.7C514.5 366.1 506.8 356 496.2 356.1z", "M176 95.96c-26.5 0-47.1 21.5-47.1 47.1s21.5 47.1 47.1 47.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96zM335.1 95.99c-26.5 0-47.1 21.5-47.1 47.1s21.5 47.1 47.1 47.1c26.5 0 48-21.5 48-47.1S362.5 95.99 335.1 95.99zM303.1 47.1C303.1 21.5 282.5 0 255.1 0c-26.5 0-47.1 21.5-47.1 47.1S229.5 95.99 255.1 95.99C282.5 95.99 303.1 74.5 303.1 47.1z"]],
    "honey-pot": [448, 512, [127855], "e418", ["M448 224C446.9 268.1 437.4 311.5 419.1 352H28.03C10.59 311.5 1.076 268.1 0 224H448z", "M15.6 150.2C27.66 127.5 45.86 108.7 68.13 96H63.1C55.51 96 47.37 92.63 41.37 86.63C35.37 80.63 31.1 72.49 31.1 64C31.1 55.51 35.37 47.37 41.37 41.37C47.37 35.37 55.51 32 63.1 32H127.1V136.1C127.1 142.4 130.5 148.5 135 153C139.5 157.5 145.6 160.1 151.1 160.1C158.4 160.1 164.5 157.5 168.1 153C173.5 148.5 175.1 142.4 175.1 136.1V32H384C392.5 32 400.6 35.37 406.6 41.37C412.6 47.37 416 55.51 416 64C416 72.49 412.6 80.63 406.6 86.63C400.6 92.63 392.5 96 384 96H379.9C402.1 108.7 420.3 127.5 432.4 150.2C444.5 172.8 449.9 198.4 448 224H-.0012C-1.861 198.4 3.548 172.8 15.6 150.2zM103.2 463.5C70.36 432.2 44.7 394.2 28.03 352H419.1C403.3 394.2 377.6 432.2 344.8 463.5C332.9 474.1 317.5 479.1 301.6 480H146.4C130.5 479.1 115.1 474.1 103.2 463.5V463.5z"]],
    "hood-cloak": [576, 512, [], "f6ef", ["M288.2 192c-70.62 0-128 57.25-128 128l.0658 192h255.1l-.0593-192C416.2 249.2 358.9 192 288.2 192z", "M575.1 479.1c-.25 16.5-13.49 32-32.36 32L416.2 512l-.0593-192c0-70.75-57.25-128-128-128c-70.62 0-128 57.25-128 128l.0658 192l-127.9 0c-18.87 0-32.11-15.5-32.36-32c-.125-6.5 1.859-13.27 6.359-19.15c57.62-77 57.65-140.9 57.65-140.9v-64c0-146.5 127.1-256 223.6-256h149.1c17.5 0 26.25 21.12 13.87 33.5l-39.77 39.75c54.75 59.75 101.2 98.75 101.2 182.8v64c0 0 .0002 63.85 57.62 140.9C574.1 466.7 576.1 473.5 575.1 479.1z"]],
    "horizontal-rule": [640, 512, [8213], "f86c", ["M640 255.1C640 273.6 625.6 288 607.9 288h-576C14.41 288 0 273.6 0 256C0 238.4 14.39 224 32.06 224h576C625.7 224 640 238.4 640 255.1z", ""]],
    "horse": [576, 512, [128014], "f6f0", ["M575.9 76.61c.0176-8.098-3.009-15.93-8.55-21.84l-13.72-14.5c11.06-6.836 19.55-17.46 22.22-30.63c.8555-4.387-2.022-8.638-6.407-9.493c-.5078-.1016-1.051-.1484-1.567-.1484L447.9 0C380.9 0 323.6 60 320 121.9L319.9 128L159.1 128c-53.02 0-95.1 42.98-95.1 95.1c0 27.98 12.17 52.93 31.26 70.48l-26.42 68.01c-4.561 12.16-5.34 25.4-2.186 37.99l21.79 87.29C92.02 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74L162.2 386.9l23.78-63.61l133.1 22.34L319.1 480c0 17.67 14.33 32 31.1 32h31.1c17.67 0 31.1-14.33 31.1-32l.0166-161.8C436.5 297.4 447.1 269.3 447.1 240c0-.2187-.0928-.414-.1025-.6328V136.9L463.9 144l18.95 37.72c7.451 14.86 25.07 21.51 40.52 15.34l32.54-13.05c12.18-4.859 20.11-16.63 20.09-29.74L575.9 76.61zM511.9 96c-8.836 0-15.1-7.164-15.1-16S503.1 64 511.9 64s15.1 7.164 15.1 16S520.7 96 511.9 96z", "M.0001 248L0 304c0 8.836 7.164 15.1 15.1 15.1L31.1 320c8.836 0 15.1-7.164 15.1-16l.0005-56c0-13.24 6.842-24.37 16.76-31.65c1.744-21.61 10.5-41.16 24.19-56.35L87.1 160C39.4 160 .0001 199.4 .0001 248zM511.9 64c-8.836 0-15.1 7.164-15.1 16S503.1 96 511.9 96s15.1-7.164 15.1-16S520.7 64 511.9 64z"]],
    "horse-head": [512, 512, [], "f7ab", ["M509.8 332.5l-69.89-164.3c-14.87-40.96-50.21-71.08-93.01-79.24c18-10.6 46.33-35.88 34.23-82.29c-1.47-4.916-6.659-7.738-11.57-6.269L166.9 76.22C35.89 123.3 0 238.8 0 398.8v81.24C0 497.7 14.33 512 32 512h236.2c17.67-.015 31.96-14.36 31.95-32.03c-.0042-4.955-1.183-9.817-3.397-14.25l-40.78-81.71V383.3c-44.55-3.371-84.08-29.73-104.3-69.58C150.2 310.6 150.8 306.8 153.3 304.4l12.11-12.11C168.6 289.2 173.6 289.2 176.7 292.4c.6597 .6723 1.182 1.471 1.574 2.328c15.14 34.8 49.48 57.33 87.42 57.38c17.2 0 32.1-5.116 46.8-13.22l46 63.9c6.006 8.378 15.69 13.37 26 13.34h50.28c8.484-.0035 16.63-3.374 22.61-9.389l45.34-39.84C511.6 357.8 514.4 344.3 509.8 332.5zM328.1 223.1c-13.22-.0332-23.99-10.78-23.96-24c.0331-13.22 10.78-23.96 24-23.92c13.22 .0331 23.97 10.76 23.94 23.98C352 213.2 341.2 223.9 328.1 223.1z", "M178.3 294.7C176.5 290.7 171.7 288.9 167.7 290.7c-.8594 .3887-1.649 .9107-2.321 1.571l-12.11 12.11c-2.52 2.412-3.136 6.211-1.566 9.327c20.21 39.84 59.74 66.2 104.3 69.58v.7399l10.66-31.96l-.9559 .0189C227.8 351.1 193.4 329.5 178.3 294.7zM328.1 176c-13.22-.0332-23.97 10.7-24 23.92c-.0352 13.22 10.74 23.97 23.96 24c13.22 0 23.98-10.72 23.98-23.94S341.3 176 328.1 176z"]],
    "horse-saddle": [576, 512, [], "f8c3", ["M575.9 76.64c.0195-8.103-3.006-15.94-8.549-21.85l-13.72-14.5c11.06-6.841 19.54-17.48 22.22-30.65c.8594-4.39-2.035-8.628-6.422-9.484C568.9 .0469 568.4 0 567.9 0H447.9C380.9 0 323.6 60.04 320 121.1v37.87c0 47.57-34.64 86.81-80 94.47v78.1l80 13.31l-.0332 134.3c0 17.69 14.33 32.02 32 32.02h32c17.67 0 32-14.34 32-32.02L416 318.3c20.51-20.88 32.01-48.98 32-78.26c0-.2189-.0938-.4141-.1016-.633V136.9l16 7.12l18.89 37.74c7.453 14.87 25.05 21.49 40.5 15.32l32.59-13C568 179.2 576 167.5 576 154.4L575.9 76.64zM511.9 96.04c-8.836 0-16-7.165-16-16.01s7.164-16.01 16-16.01s16 7.165 16 16.01S520.7 96.04 511.9 96.04zM128 159.8V134c-37.2 13.24-64 48.25-64 90.02C64 252 76.16 277.1 95.26 294.7l-26.48 67.93c-4.562 12.16-5.295 25.41-2.143 38.01l21.79 87.13C92 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.56 31.05-39.77l-21.29-85.23l23.78-63.63L208 327.1V254.3C162.6 246.6 128 207.4 128 159.8z", "M0 248.1v56.01c0 8.842 7.164 16 16 16L32 320.1c8.836 0 16-7.163 16-16.01v-56.05c0-13.25 6.844-24.46 16.76-31.74c1.746-21.63 10.5-41.06 24.19-56.26L88 160.1C39.4 160.1 0 199.4 0 248.1zM128 134v25.82c0 47.57 34.64 86.77 80 94.43v72.79l32 5.346V254.3C285.4 246.7 320 207.4 320 159.8V128.1L160 128C148.7 128 138.1 130.4 128 134zM511.9 64.03c-8.836 0-16 7.165-16 16.01s7.164 16.01 16 16.01s16-7.165 16-16.01S520.7 64.03 511.9 64.03z"]],
    "hose": [448, 512, [], "e419", ["M144 320H416c17.66 0 32-14.34 32-32s-14.34-32-32-32H144C99.81 256 64 220.2 64 176S99.81 96 144 96H256V32H144C64.48 32 0 96.48 0 176S64.48 320 144 320zM416 448H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 448 416 448zM416 352H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 352 416 352z", "M448 40v48c0 8.832-7.168 16-16 16c-8.064 0-14.75-5.984-15.84-13.73L336 101.7V104C336 117.2 325.2 128 312 128S288 117.2 288 104v-80C288 10.75 298.8 0 312 0s24 10.75 24 24v2.271l80.16 11.46C417.2 29.98 423.9 24 432 24C440.8 24 448 31.17 448 40z"]],
    "hose-reel": [576, 512, [], "e41a", ["M320 0C178.6 0 64 114.6 64 256s114.6 256 256 256c54.34 0 104.8-16.96 146.3-45.92c14.5-10.08 18.05-30.05 7.936-44.54s-30.05-18.05-44.54-7.936C398.6 435.3 360.8 448 320 448c-106 0-192-85.95-192-192s85.95-192 192-192s192 85.95 192 192v96h64V256C576 114.6 461.4 0 320 0zM320 192C284.6 192 256 220.6 256 256s28.64 64 64 64s64-28.64 64-64S355.4 192 320 192zM320 96C231.6 96 160 167.6 160 256s71.65 160 160 160s160-71.65 160-160S408.4 96 320 96zM320 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S373 352 320 352z", "M608 376c0 13.25-10.75 24-24 24h-2.271l-11.46 80.16C578 481.2 584 487.9 584 496c0 8.832-7.168 16-16 16h-48c-8.832 0-16-7.168-16-16c0-8.064 5.984-14.75 13.73-15.84L506.3 400H504c-13.25 0-24-10.75-24-24S490.8 352 504 352h80C597.2 352 608 362.8 608 376z"]],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", ["M160 96V512H48C21.49 512 0 490.5 0 464V320H80C88.84 320 96 312.8 96 304C96 295.2 88.84 288 80 288H0V224H80C88.84 224 96 216.8 96 208C96 199.2 88.84 192 80 192H0V144C0 117.5 21.49 96 48 96H160zM592 96C618.5 96 640 117.5 640 144V192H560C551.2 192 544 199.2 544 208C544 216.8 551.2 224 560 224H640V288H560C551.2 288 544 295.2 544 304C544 312.8 551.2 320 560 320H640V464C640 490.5 618.5 512 592 512H480V96H592z", "M432 0C458.5 0 480 21.49 480 48V512H368V432C368 405.5 346.5 384 320 384C293.5 384 272 405.5 272 432V512H160V48C160 21.49 181.5 0 208 0H432zM312 64C303.2 64 296 71.16 296 80V104H272C263.2 104 256 111.2 256 120V136C256 144.8 263.2 152 272 152H296V176C296 184.8 303.2 192 312 192H328C336.8 192 344 184.8 344 176V152H368C376.8 152 384 144.8 384 136V120C384 111.2 376.8 104 368 104H344V80C344 71.16 336.8 64 328 64H312zM640 224H560C551.2 224 544 216.8 544 208C544 199.2 551.2 192 560 192H640V224zM640 320H560C551.2 320 544 312.8 544 304C544 295.2 551.2 288 560 288H640V320zM80 224H0V192H80C88.84 192 96 199.2 96 208C96 216.8 88.84 224 80 224zM80 320H0V288H80C88.84 288 96 295.2 96 304C96 312.8 88.84 320 80 320z"]],
    "hospital-user": [576, 512, [], "f80d", ["M0 48C0 21.49 21.49 0 48 0H272C298.5 0 320 21.49 320 48V367.8C281.8 389.2 256 430 256 476.9C256 489.8 259.6 501.8 265.9 512H48C21.49 512 0 490.5 0 464V384H144C152.8 384 160 376.8 160 368C160 359.2 152.8 352 144 352H0V288H144C152.8 288 160 280.8 160 272C160 263.2 152.8 256 144 256H0V48zM136 104H112C103.2 104 96 111.2 96 120V136C96 144.8 103.2 152 112 152H136V176C136 184.8 143.2 192 152 192H168C176.8 192 184 184.8 184 176V152H208C216.8 152 224 144.8 224 136V120C224 111.2 216.8 104 208 104H184V80C184 71.16 176.8 64 168 64H152C143.2 64 136 71.16 136 80V104z", "M352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272zM482.9 384C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1C288 425.7 329.7 384 381.1 384H482.9z"]],
    "hospitals": [576, 512, [], "f80e", ["M320 96C320 61.56 292.8 33.48 258.7 32.06C265.3 13.38 283.1 0 304 0H528C554.5 0 576 21.49 576 48V464C576 490.5 554.5 512 528 512H311.4C316.9 502.6 320 491.7 320 480L320 96zM424 64C415.2 64 408 71.16 408 80V104H384C375.2 104 368 111.2 368 120V136C368 144.8 375.2 152 384 152H408V176C408 184.8 415.2 192 424 192H440C448.8 192 456 184.8 456 176V152H480C488.8 152 496 144.8 496 136V120C496 111.2 488.8 104 480 104H456V80C456 71.16 448.8 64 440 64H424zM576 256H432C423.2 256 416 263.2 416 272C416 280.8 423.2 288 432 288H576V256zM576 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H576V352z", "M240 64C266.5 64 288 85.49 288 112V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V448H144C152.8 448 160 440.8 160 432C160 423.2 152.8 416 144 416H0V352H144C152.8 352 160 344.8 160 336C160 327.2 152.8 320 144 320H0V112C0 85.49 21.49 64 48 64H240zM136 128C127.2 128 120 135.2 120 144V168H96C87.16 168 80 175.2 80 184V200C80 208.8 87.16 216 96 216H120V240C120 248.8 127.2 256 136 256H152C160.8 256 168 248.8 168 240V216H192C200.8 216 208 208.8 208 200V184C208 175.2 200.8 168 192 168H168V144C168 135.2 160.8 128 152 128H136zM408 80C408 71.16 415.2 64 424 64H440C448.8 64 456 71.16 456 80V104H480C488.8 104 496 111.2 496 120V136C496 144.8 488.8 152 480 152H456V176C456 184.8 448.8 192 440 192H424C415.2 192 408 184.8 408 176V152H384C375.2 152 368 144.8 368 136V120C368 111.2 375.2 104 384 104H408V80z"]],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", ["M106.6 160H64C28.63 160 0 188.6 0 224v32h256L145.1 172.8C133.1 164.5 120.5 160 106.6 160zM64 128c35.38 0 64-28.62 64-64S99.38 0 64 0S0 28.62 0 64S28.63 128 64 128zM272 14.38C271 6.125 264.3 0 256.3 0h-16.17C230.6 0 223 8.625 224.1 18.38C228.5 57.5 246.5 92.88 274.3 115.5c17.38 14.12 28.75 36.75 32 62.12C307.3 185.9 313.1 192 321.1 192h16.13c9.5 0 17-8.625 16-18.38C349.8 134.5 331.6 99.13 304 76.5C286.6 62.38 275.1 39.75 272 14.38zM412 76.5c-17.38-14.12-28.88-36.75-32-62.12C379 6.125 372.3 0 364.3 0h-16.12c-9.5 0-17.12 8.625-16 18.38c4.375 39.13 22.38 74.5 50.13 97.13c17.38 14.12 28.75 36.75 32 62.12C415.3 185.9 421.1 192 429.1 192h16.13c9.5 0 17-8.625 16-18.38C457.8 134.5 439.6 99.13 412 76.5z", "M480 256H0v192c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V288C512 270.4 497.6 256 480 256zM128 440C128 444.4 124.4 448 120 448h-16C99.63 448 96 444.4 96 440v-112C96 323.6 99.63 320 104 320h16C124.4 320 128 323.6 128 328V440zM224 440C224 444.4 220.4 448 216 448h-16C195.6 448 192 444.4 192 440v-112C192 323.6 195.6 320 200 320h16C220.4 320 224 323.6 224 328V440zM320 440c0 4.375-3.625 8-8 8h-16C291.6 448 288 444.4 288 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM416 440c0 4.375-3.625 8-8 8h-16C387.6 448 384 444.4 384 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440z"]],
    "hotdog": [512, 512, [127789], "f80f", ["M488.6 23.44c-31.07-31.19-81.75-31.16-112.8 .0313L24.46 374.8c-20.83 19.96-29.19 49.65-21.83 77.6c7.36 27.95 29.07 49.65 57.02 57.01c27.95 7.364 57.64-.9949 77.6-21.83l351.3-351.3C519.7 105.2 519.8 54.5 488.6 23.44zM438.8 118.4c-19.59 19.59-37.39 22.51-51.74 25.01c-12.97 2.242-22.33 3.868-34.68 16.22c-12.35 12.35-13.97 21.71-16.22 34.69c-2.495 14.35-5.488 32.19-25.08 51.78s-37.43 22.58-51.78 25.08c-12.97 2.246-22.33 3.867-34.68 16.22C212.2 299.8 210.6 309.1 208.4 322.1c-2.494 14.35-5.488 32.19-25.08 51.78c-19.59 19.59-37.43 22.58-51.78 25.08c-12.97 2.242-22.33 3.868-34.68 16.22c-6.239 6.239-16.35 6.239-22.58 0c-6.239-6.239-6.239-16.34 0-22.58c19.59-19.59 37.43-22.58 51.78-25.07c12.98-2.25 22.33-3.871 34.68-16.22c12.35-12.35 13.97-21.71 16.22-34.69c2.496-14.35 5.49-32.19 25.08-51.78c19.59-19.59 37.43-22.58 51.78-25.08c12.98-2.242 22.33-3.867 34.68-16.22c12.35-12.35 13.97-21.7 16.22-34.68c2.496-14.35 5.49-32.19 25.08-51.78s37.43-22.58 51.78-25.07c12.98-2.25 22.28-3.812 34.63-16.17c6.237-6.239 16.35-6.239 22.59 0C444.1 102.1 444.1 112.2 438.8 118.4z", "M208.4 322.1c2.246-12.97 3.867-22.33 16.22-34.68c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.493 32.19-5.488 51.78-25.08s22.58-37.43 25.08-51.78c2.246-12.98 3.867-22.33 16.22-34.69c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.5 32.15-5.425 51.74-25.01c6.237-6.235 6.237-16.36 0-22.59c-6.239-6.239-16.36-6.239-22.59 0c-12.35 12.35-21.66 13.92-34.63 16.17c-14.35 2.493-32.19 5.486-51.78 25.07s-22.58 37.43-25.08 51.78c-2.246 12.98-3.867 22.33-16.22 34.68c-12.35 12.35-21.71 13.98-34.68 16.22C239.4 242.3 221.6 245.2 202 264.8C182.4 284.4 179.4 302.3 176.9 316.6c-2.246 12.97-3.867 22.33-16.22 34.69c-12.35 12.35-21.71 13.97-34.68 16.22c-14.35 2.493-32.19 5.486-51.78 25.07c-6.239 6.243-6.239 16.34 0 22.58c6.237 6.239 16.34 6.239 22.58 0c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.5 32.19-5.491 51.78-25.08C202.9 354.3 205.9 336.4 208.4 322.1zM372.2 20.1c-24.84-24.84-63.46-26.45-86.19-3.727L16.38 286C-6.347 308.7-4.733 347.4 20.1 372.2l3.569 3.532c.3047-.3047 .4776-.6866 .7882-.9835l351.3-351.3L372.2 20.1zM491.9 139.8l-3.367-3.532L137.2 487.5c-.2989 .3125-.6823 .4822-.9851 .787l3.53 3.571c24.84 24.83 63.46 26.45 86.19 3.727l269.6-269.7C518.4 203.2 516.7 164.6 491.9 139.8z"]],
    "hotel": [512, 512, [127976], "f594", ["M32 64H480V448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H304V448H208V512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64zM112 96C103.2 96 96 103.2 96 112V144C96 152.8 103.2 160 112 160H144C152.8 160 160 152.8 160 144V112C160 103.2 152.8 96 144 96H112zM224 144C224 152.8 231.2 160 240 160H272C280.8 160 288 152.8 288 144V112C288 103.2 280.8 96 272 96H240C231.2 96 224 103.2 224 112V144zM368 96C359.2 96 352 103.2 352 112V144C352 152.8 359.2 160 368 160H400C408.8 160 416 152.8 416 144V112C416 103.2 408.8 96 400 96H368zM96 240C96 248.8 103.2 256 112 256H144C152.8 256 160 248.8 160 240V208C160 199.2 152.8 192 144 192H112C103.2 192 96 199.2 96 208V240zM240 192C231.2 192 224 199.2 224 208V240C224 248.8 231.2 256 240 256H272C280.8 256 288 248.8 288 240V208C288 199.2 280.8 192 272 192H240zM352 240C352 248.8 359.2 256 368 256H400C408.8 256 416 248.8 416 240V208C416 199.2 408.8 192 400 192H368C359.2 192 352 199.2 352 208V240zM256 288C211.2 288 173.5 318.7 162.1 360.2C159.7 373.1 170.7 384 184 384H328C341.3 384 352.3 373.1 349 360.2C338.5 318.7 300.8 288 256 288z", "M480 0C497.7 0 512 14.33 512 32C512 49.67 497.7 64 480 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H480zM144 96C152.8 96 160 103.2 160 112V144C160 152.8 152.8 160 144 160H112C103.2 160 96 152.8 96 144V112C96 103.2 103.2 96 112 96H144zM272 96C280.8 96 288 103.2 288 112V144C288 152.8 280.8 160 272 160H240C231.2 160 224 152.8 224 144V112C224 103.2 231.2 96 240 96H272zM352 112C352 103.2 359.2 96 368 96H400C408.8 96 416 103.2 416 112V144C416 152.8 408.8 160 400 160H368C359.2 160 352 152.8 352 144V112zM144 192C152.8 192 160 199.2 160 208V240C160 248.8 152.8 256 144 256H112C103.2 256 96 248.8 96 240V208C96 199.2 103.2 192 112 192H144zM224 208C224 199.2 231.2 192 240 192H272C280.8 192 288 199.2 288 208V240C288 248.8 280.8 256 272 256H240C231.2 256 224 248.8 224 240V208zM400 192C408.8 192 416 199.2 416 208V240C416 248.8 408.8 256 400 256H368C359.2 256 352 248.8 352 240V208C352 199.2 359.2 192 368 192H400zM184 384C170.7 384 159.7 373.1 162.1 360.2C173.5 318.7 211.2 288 256 288C300.8 288 338.5 318.7 349 360.2C352.3 373.1 341.3 384 328 384H184z"]],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", ["M32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V74.98zM101.5 165.5L78.86 188.1z", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"]],
    "hourglass-clock": [576, 512, [], "e41b", ["M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L273.2 291.1C262.2 314.1 256 340.8 256 368C256 427.5 285.6 480.1 330.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32V32zM96 64V74.98C96 93.98 101.6 112.4 111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM447.1 304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304z"]],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", ["M32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V74.98zM101.5 165.5L78.86 188.1z", "M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32zM0 480C0 462.3 14.33 448 32 448H96V437C96 411.6 106.1 387.1 124.1 369.1L192 301.3L259.9 369.1C277.9 387.1 288 411.6 288 437V448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z"]],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", ["M78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9V323.9zM101.5 346.5L78.86 323.9z", "M32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0zM32 448H96V437C96 418 101.6 399.6 111.1 384H272C282.4 399.6 288 418 288 437V448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448zM192 210.7L124.1 142.9C119.5 138.3 115.5 133.3 111.1 128H272C268.5 133.3 264.5 138.3 259.9 142.9L192 210.7z"]],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", ["M78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9V323.9zM101.5 346.5L78.86 323.9z", "M32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448zM32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H288V74.98C288 100.4 277.9 124.9 259.9 142.9L192 210.7L124.1 142.9C106.1 124.9 96 100.4 96 74.98V64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0V0z"]],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", ["M288 74.52L512.1 270.6L512.5 471.9C512.6 494 494.7 512 472.5 512H392C369.9 512 352 494.1 352 472V383.7C352 366 337.7 351.7 320 351.7H256C238.3 351.7 224 366 224 383.7V472C224 494.1 206.1 512 184 512H104.1C81.1 512 64.09 494.1 64.08 472L64.02 270.5L288 74.52z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-blank": [576, 512, ["home-blank"], "e487", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-building": [640, 512, [], "e1b1", ["M320 48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H400C410 498.6 416 482 416 464V352H432C440.8 352 448 344.8 448 336V304C448 295.2 440.8 288 432 288H416V277.1C416 269.9 415 262.8 413.2 256H432C440.8 256 448 248.8 448 240V208C448 199.2 440.8 192 432 192H400C391.2 192 384 199.2 384 208V212.6L320 153.9V48zM528 192C519.2 192 512 199.2 512 208V240C512 248.8 519.2 256 528 256H560C568.8 256 576 248.8 576 240V208C576 199.2 568.8 192 560 192H528zM512 336C512 344.8 519.2 352 528 352H560C568.8 352 576 344.8 576 336V304C576 295.2 568.8 288 560 288H528C519.2 288 512 295.2 512 304V336zM384 144C384 152.8 391.2 160 400 160H432C440.8 160 448 152.8 448 144V112C448 103.2 440.8 96 432 96H400C391.2 96 384 103.2 384 112V144zM528 96C519.2 96 512 103.2 512 112V144C512 152.8 519.2 160 528 160H560C568.8 160 576 152.8 576 144V112C576 103.2 568.8 96 560 96H528z", "M.0003 464V277.1C.0003 263.7 5.647 250.8 15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464H.0003zM168 272C154.7 272 144 282.7 144 296V344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168z"]],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", ["M288 74.52L512.1 270.6L512.5 471.9C512.6 494 494.7 512 472.5 512H392C369.9 512 352 494.1 352 472V383.7C352 366 337.7 351.7 320 351.7H256C238.3 351.7 224 366 224 383.7V472C224 494.1 206.1 512 184 512H104.1C81.99 512 64.09 494.1 64.08 472L64.02 270.5L288 74.52z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-blank": [576, 512, [], "e3b0", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.74 512 64.09 483.4 64.07 448V448z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-heart": [576, 512, [], "e1b2", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM299.3 428.7L392 336C414.1 313.9 414.1 278.1 392 256C369.9 233.9 334.1 233.9 312 256L288 280L264 256C241.9 233.9 206.1 233.9 184 256C161.9 278.1 161.9 313.9 184 336L276.7 428.7C282.9 434.9 293.1 434.9 299.3 428.7H299.3z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM184 256C206.1 233.9 241.9 233.9 264 256L288 280L312 256C334.1 233.9 369.9 233.9 392 256C414.1 278.1 414.1 313.9 392 336L299.3 428.7C293.1 434.9 282.9 434.9 276.7 428.7L184 336C161.9 313.9 161.9 278.1 184 256H184z"]],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM400 280C400 271.2 392.8 264 384 264H328V208C328 199.2 320.8 192 312 192H264C255.2 192 248 199.2 248 208V264H192C183.2 264 176 271.2 176 280V328C176 336.8 183.2 344 192 344H248V400C248 408.8 255.2 416 264 416H312C320.8 416 328 408.8 328 400V344H384C392.8 344 400 336.8 400 328V280z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5zM400 328C400 336.8 392.8 344 384 344H328V400C328 408.8 320.8 416 312 416H264C255.2 416 248 408.8 248 400V344H192C183.2 344 176 336.8 176 328V280C176 271.2 183.2 264 192 264H248V208C248 199.2 255.2 192 264 192H312C320.8 192 328 199.2 328 208V264H384C392.8 264 400 271.2 400 280V328z"]],
    "house-chimney-user": [576, 512, [], "e065", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320zM192 448H384C392.8 448 400 440.8 400 432C400 387.8 364.2 352 320 352H256C211.8 352 176 387.8 176 432C176 440.8 183.2 448 192 448z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5zM352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256zM320 352C364.2 352 400 387.8 400 432C400 440.8 392.8 448 384 448H192C183.2 448 176 440.8 176 432C176 387.8 211.8 352 256 352H320z"]],
    "house-chimney-window": [576, 512, [], "e00d", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM248 240C234.7 240 224 250.7 224 264V344C224 357.3 234.7 368 248 368H328C341.3 368 352 357.3 352 344V264C352 250.7 341.3 240 328 240H248z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-circle-check": [640, 512, [], "e509", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "house-circle-exclamation": [640, 512, [], "e50a", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "house-circle-xmark": [640, 512, [], "e50b", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "house-crack": [576, 512, [], "e3b1", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.74 512 64.09 483.4 64.07 448V448z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-day": [640, 512, [], "e00e", ["M160.2 0C166.1 0 171.5 3.231 174.3 8.412L201.8 59.61L257.5 42.92C263.2 41.23 269.3 42.77 273.4 46.93C277.6 51.09 279.1 57.2 277.5 62.84L260.8 118.6L296.1 137.6L231.4 197.3C236.1 186.4 240.1 174.1 240.1 160.1C240.1 116.8 204.3 80.95 160.1 80.95C115.9 80.95 80.07 116.8 80.07 160.1C80.07 205.2 115.9 241 160.1 241C170.9 241 181.2 238.9 190.6 235L133.2 288L118.5 260.9L62.82 277.5C57.19 279.2 51.08 277.7 46.92 273.5C42.75 269.4 41.21 263.3 42.9 257.6L59.59 201.9L8.407 174.3C3.229 171.5 0 165.9 0 160.1C0 154.2 3.229 148.9 8.407 146.2L59.59 118.6L42.9 62.84C41.21 57.2 42.76 51.09 46.92 46.93C51.08 42.77 57.19 41.23 62.82 42.92L118.5 59.61L146.1 8.412C148.9 3.231 154.3 0 160.2 0zM112.1 160.1C112.1 133.6 133.6 112.1 160.1 112.1C186.6 112.1 208.1 133.6 208.1 160.1C208.1 186.6 186.6 208.1 160.1 208.1C133.6 208.1 112.1 186.6 112.1 160.1z", "M378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5C636.4 302.7 639.1 311.2 640 320C640 337.3 625.5 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C174.5 352 159.1 337.3 160 320C160 311.2 163.6 302.7 170.3 296.5L378.3 104.5zM368 288C359.2 288 352 295.2 352 304V368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368z"]],
    "house-fire": [640, 512, [], "e50c", ["M256 352C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L447.3 128.1C434.9 127.2 422.3 131.1 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 350.7 288 351.4 288 352H256z", "M433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7V163.7zM480.1 448C499 448 515 442.1 530 432.1C560 412 568 370 550 336.1C548 332.1 546 328.1 543 324.1L507 366.1C507 366.1 448.1 292.1 444.1 287.1C415 324.1 400 346 400 370C400 418.1 436 448 480.1 448z"]],
    "house-flag": [640, 512, [], "e50d", ["M416 512H416.1C416.9 512 416.8 512 416.8 512H352C334.3 512 320 497.7 320 480V384C320 366.3 305.7 352 288 352H224C206.3 352 192 366.3 192 384V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V287.1H31.1C18.6 287.1 6.629 279.7 1.983 267.1C-2.663 254.5 1.003 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0C497.7 0 512 14.33 512 32H624z"]],
    "house-flood-water": [576, 512, [], "e50e", ["M384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C158.1 400 126.5 389.7 97.5 374.2C84.12 382.6 63.79 393.4 39.27 399.2C22.06 403.2 4.853 392.5 .8422 375.3C-3.169 358.1 7.532 340.8 24.74 336.8C42.84 332.6 60.96 323.5 75.31 311.6C86.46 302.1 102.6 301.4 114.5 309.9L114.6 309.9C136.7 325.2 165.1 336 192 336C219.5 336 247 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336H384zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z", "M482.8 134.1C494 142.3 498.7 156.7 494.4 169.9C490.1 183.1 477.9 192 464 192H447.4L447.7 265.2C446.1 266.1 444.6 267.1 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C302.8 252.6 273.3 252.6 251.2 268.1C234 279.9 213.2 288.5 192 288.5C172.1 288.5 150.8 280.5 132.9 268.1C131.3 267 129.7 265.1 128 265V192H112C98.14 192 85.86 183.1 81.57 169.9C77.28 156.7 81.97 142.3 93.18 134.1L269.2 6.12C280.4-2.04 295.6-2.04 306.8 6.12L482.8 134.1z"]],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", ["M250.2 284.3C292.6 252.2 319.1 201.3 319.1 144C319.1 115.4 313.2 88.32 301 64.42L381.2 6.12C392.4-2.04 407.6-2.04 418.8 6.12L594.8 134.1C606 142.3 610.7 156.7 606.4 169.9C602.1 183.1 589.9 192 576 192H559.4L559.7 276.4C557.5 274.8 555.3 273.2 553.2 271.5C531 252.8 498.9 251.4 475.2 268.1C457.2 280.5 435 288.5 416 288.5C396.4 288.5 375.2 280.8 356.8 268.1C334.8 252.6 305.3 252.6 283.2 268.1C273.2 274.1 262 280.7 250.2 284.3V284.3zM301.5 309.9C312.6 302 327.4 302 338.5 309.9C360.1 325.4 388.5 336 416 336C442.9 336 471.4 325.2 493.4 309.9L493.5 309.9C505.4 301.4 521.5 302.1 532.7 311.6C547 323.5 565.2 332.6 583.3 336.8C600.5 340.8 611.2 358.1 607.2 375.3C603.2 392.5 585.1 403.2 568.7 399.2C544.2 393.4 523.9 382.6 510.5 374.2C481.5 389.7 449 400 416 400C384.1 400 355.4 390.1 335.6 381.1C329.7 378.5 324.5 375.8 320 373.4C315.5 375.8 310.3 378.5 304.4 381.1C284.6 390.1 255.9 400 224 400C190.1 400 158.5 389.7 129.5 374.2C116.1 382.6 95.79 393.4 71.27 399.2C54.06 403.2 36.85 392.5 32.84 375.3C28.83 358.1 39.53 340.8 56.74 336.8C74.84 332.6 92.96 323.5 107.3 311.6C118.5 302.1 134.6 301.4 146.5 309.9L146.6 309.9C168.7 325.2 197.1 336 224 336C251.5 336 279 325.4 301.5 309.9H301.5zM493.4 421.9L493.5 421.9C505.4 413.4 521.5 414.1 532.7 423.6C547 435.5 565.2 444.6 583.3 448.8C600.5 452.8 611.2 470.1 607.2 487.3C603.2 504.5 585.1 515.2 568.7 511.2C544.2 505.4 523.9 494.6 510.5 486.2C481.5 501.7 449 512 416 512C384.1 512 355.4 502.1 335.6 493.1C329.7 490.5 324.5 487.8 320 485.4C315.5 487.8 310.3 490.5 304.4 493.1C284.6 502.1 255.9 512 224 512C190.1 512 158.5 501.7 129.5 486.2C116.1 494.6 95.79 505.4 71.27 511.2C54.06 515.2 36.85 504.5 32.84 487.3C28.83 470.1 39.53 452.8 56.74 448.8C74.84 444.6 92.96 435.5 107.3 423.6C118.5 414.1 134.6 413.4 146.5 421.9L146.6 421.9C168.7 437.2 197.1 448 224 448C251.5 448 279 437.4 301.5 421.9C312.6 414 327.4 414 338.5 421.9C360.1 437.4 388.5 448 416 448C442.9 448 471.4 437.2 493.4 421.9H493.4z", "M0 144C0 64.47 64.47 0 144 0C223.5 0 288 64.47 288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144zM163.3 76.69C157.1 70.44 146.9 70.44 140.7 76.69C134.4 82.93 134.4 93.07 140.7 99.31L169.4 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H169.4L140.7 188.7C134.4 194.9 134.4 205.1 140.7 211.3C146.9 217.6 157.1 217.6 163.3 211.3L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7L163.3 76.69z"]],
    "house-heart": [576, 512, ["home-heart"], "f4c9", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM299.3 428.7L392 336C414.1 313.9 414.1 278.1 392 256C369.9 233.9 334.1 233.9 312 256L288 280L264 256C241.9 233.9 206.1 233.9 184 256C161.9 278.1 161.9 313.9 184 336L276.7 428.7C282.9 434.9 293.1 434.9 299.3 428.7H299.3z", "M565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9zM276.7 428.7L184 336C161.9 313.9 161.9 278.1 184 256C206.1 233.9 241.9 233.9 264 256L288 280L312 256C334.1 233.9 369.9 233.9 392 256C414.1 278.1 414.1 313.9 392 336L299.3 428.7C293.1 434.9 282.9 434.9 276.7 428.7H276.7z"]],
    "house-laptop": [640, 512, ["laptop-house"], "e066", ["M469.7 200.5C476.4 206.7 480 215.2 480 224H336C316.9 224 299.7 232.4 288 245.7V208C288 199.2 280.8 192 272 192H208C199.2 192 192 199.2 192 208V272C192 280.8 199.2 288 208 288H271.1V416H112C85.49 416 64 394.5 64 368V256H32C18.83 256 6.996 247.9 2.198 235.7C-2.6 223.4 .6145 209.4 10.3 200.5L218.3 8.486C230.6-2.829 249.4-2.829 261.7 8.486L469.7 200.5z", "M304 448V288C304 270.3 318.3 256 336 256H560C577.7 256 592 270.3 592 288V448H624C632.8 448 640 455.2 640 464C640 490.5 618.5 512 592 512H304C277.5 512 256 490.5 256 464C256 455.2 263.2 448 272 448H304zM544 448V304H352V448H544z"]],
    "house-lock": [640, 512, [], "e510", ["M392 512C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L490.7 166.3C447.2 181.7 416 223.2 416 272V296.6C396.9 307.6 384 328.3 384 352V480C384 491.7 387.1 502.6 392.6 512L392 512z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "house-medical": [576, 512, [], "e3b2", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM400 280C400 271.2 392.8 264 384 264H328V208C328 199.2 320.8 192 312 192H264C255.2 192 248 199.2 248 208V264H192C183.2 264 176 271.2 176 280V328C176 336.8 183.2 344 192 344H248V400C248 408.8 255.2 416 264 416H312C320.8 416 328 408.8 328 400V344H384C392.8 344 400 336.8 400 328V280z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM384 264C392.8 264 400 271.2 400 280V328C400 336.8 392.8 344 384 344H328V400C328 408.8 320.8 416 312 416H264C255.2 416 248 408.8 248 400V344H192C183.2 344 176 336.8 176 328V280C176 271.2 183.2 264 192 264H248V208C248 199.2 255.2 192 264 192H312C320.8 192 328 199.2 328 208V264H384z"]],
    "house-medical-circle-check": [640, 512, [], "e511", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "house-medical-circle-exclamation": [640, 512, [], "e512", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "house-medical-circle-xmark": [640, 512, [], "e513", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "house-medical-flag": [640, 512, [], "e514", ["M416 512H416.1L416.8 512H96C78.33 512 64 497.7 64 480V287.1H31.1C18.61 287.1 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512zM223.1 255.1H175.1C167.2 255.1 159.1 263.2 159.1 271.1V303.1C159.1 312.8 167.2 319.1 175.1 319.1H223.1V368C223.1 376.8 231.2 384 239.1 384H271.1C280.8 384 287.1 376.8 287.1 368V319.1H336C344.8 319.1 352 312.8 352 303.1V271.1C352 263.2 344.8 255.1 336 255.1H287.1V207.1C287.1 199.2 280.8 191.1 271.1 191.1H239.1C231.2 191.1 223.1 199.2 223.1 207.1V255.1z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0C497.7 0 512 14.33 512 32H624z"]],
    "house-night": [640, 512, [], "e010", ["M88 88C88 136.6 127.4 176 176 176C179 176 182 175.8 184.1 175.6C192.6 174.8 198.8 183.2 193.5 188.8C173.1 210.5 144.1 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C115.7 0 119.4 .1805 123 .5334C130.6 1.275 131.5 11.71 125.2 16.12C102.7 32.06 88 58.31 88 88L88 88zM248.5 12.28C251.1 5.312 260.9 5.312 263.5 12.28L275.4 44.55L307.7 56.5C314.7 59.07 314.7 68.93 307.7 71.5L275.4 83.45L263.5 115.7C260.9 122.7 251.1 122.7 248.5 115.7L236.6 83.45L204.3 71.5C197.3 68.93 197.3 59.07 204.3 56.5L236.6 44.55L248.5 12.28zM88.5 332.3C91.07 325.3 100.9 325.3 103.5 332.3L115.4 364.6L147.7 376.5C154.7 379.1 154.7 388.9 147.7 391.5L115.4 403.4L103.5 435.7C100.9 442.7 91.07 442.7 88.5 435.7L76.55 403.4L44.28 391.5C37.31 388.9 37.31 379.1 44.28 376.5L76.55 364.6L88.5 332.3z", "M378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5C639.4 305.4 642.6 319.4 637.8 331.7C633 343.9 621.2 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C178.8 352 166.1 343.9 162.2 331.7C157.4 319.4 160.6 305.4 170.3 296.5L378.3 104.5zM368 288C359.2 288 352 295.2 352 304V368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368z"]],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", ["M337.2 284.5C305.9 268.8 293.3 230.4 308.8 198.9l6.743-13.61c13.88-28 37.57-50.02 66.45-61.77l7.397-2.967L263.5 8.906c-13.38-11.88-33.5-11.88-46.88 0L4.715 196.4c-5.752 5.25-6.377 14.12-1.127 20l18.75 21.38c5.125 5.75 14.13 6.375 20 1.25l21.63-19.13v164.2c0 17.63 14.38 32.01 32 32.01l229.5-.0566l31.28-31.39c3-3 5.411-6.729 7.036-10.73l32.46-80.76c-.5-3-.748-6.033-.998-9.033C377.2 293.6 355.4 293.8 337.2 284.5zM223.1 272c0 8.875-7.127 16-16 16h-64c-8.877 0-16-7.125-16-16V208c0-8.875 7.124-16 16-16h64c8.875 0 16 7.125 16 16V272zM528 96.02c26.5 0 48-21.5 48-48.01c0-26.5-21.5-48.01-48-48.01c-26.5 0-48 21.5-48 48.01C479.1 74.52 501.5 96.02 528 96.02z", "M393.5 385.9c-3.125 8.125-8 15.38-14.13 21.5l-50 50.14c-11.88 12.5-11.63 32.26 .625 44.51c12.25 12.25 32 12.63 44.5 .75l59.5-59.39c6.127-6.125 10.88-13.5 14.13-21.5l13.5-33.76c-55.26-60.39-38.63-41.88-47.38-53.76L393.5 385.9zM622.4 245.1l-23.25-11.75l-9.752-29.38c-14.62-44.63-55.63-75.77-102.1-75.89c-36-.125-55.88 10.13-93.26 25.13c-21.75 8.875-39.38 25.26-49.75 46.26l-6.75 13.63c-7.75 15.76-1.375 34.88 14.25 42.89c7.502 3.75 16.25 4.375 24.25 1.75c8.002-2.754 14.5-8.504 18.25-16l6.75-13.63c3.375-7.004 9.252-12.51 16.5-15.38l26.75-10.88l-15.13 60.76c-5.25 20.88 .375 42.89 14.88 58.76l59.88 65.39c7.25 7.875 12.38 17.38 14.88 27.75l18.25 73.27c4.25 17.13 21.63 27.63 38.75 23.26c17.25-4.25 27.63-21.63 23.38-38.76l-22.25-89.02c-2.5-10.38-7.625-19.88-14.88-27.75L516.5 305.8l17.25-68.77l5.5 16.5c5.252 16.13 16.63 29.38 31.63 37.01l23.38 11.88c7.502 3.754 16.25 4.379 24.13 1.625c8.002-2.625 14.63-8.375 18.38-16C644.4 272.3 638.1 253.2 622.4 245.1z"]],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", ["M375.2 333.4c-30.78 12.13-65.94-1.47-80.45-31.1c-15.52-31.63-2.626-69.92 28.53-85.67l11.62-5.818l5.521-16.88c9.385-28.5 27.64-53.35 52.04-71.1l-128.8-113.9c-13.39-11.88-33.54-11.88-46.92 0L4.719 196.4c-5.756 5.25-6.382 14.13-1.126 20l18.77 21.38c5.13 5.75 14.14 6.375 20.02 1.25l21.65-19.13v164.1c0 17.63 14.39 32 32.03 32l246.2-.0256l10.12-40.52c3.879-15.5 11.49-29.81 22.37-41.56L375.2 333.4zM224.1 272c0 8.875-7.124 16-16.01 16H144.1c-8.884 0-16.01-7.125-16.01-16V208c0-8.875 7.124-16 16.01-16h64.03c8.884 0 16.01 7.125 16.01 16V272zM432.2 96.02c26.53 0 48.18-21.5 48.18-47.1s-21.65-48.01-48.18-48.01s-48.05 21.5-48.05 48S405.7 96.02 432.2 96.02z", "M531.5 262.5l-15.27-60.75l26.91 10.88c7.133 2.875 13.02 8.375 16.4 15.38l6.76 13.63c3.629 7.5 10.27 13.25 18.28 16c8.008 2.625 16.65 2 24.29-1.75c15.64-8 22.03-27.13 14.15-42.88l-6.634-13.63c-10.39-20.88-28.17-37.38-49.82-46.13c-37.41-15.13-57.35-25.38-93.39-25.25c-46.55 .125-87.63 31.25-102.4 75.88l-9.639 29.38l-23.41 11.88c-15.64 8-22.03 27.13-14.27 43c3.754 7.5 10.27 13.25 18.28 16c8.008 2.625 16.78 2 24.29-1.75l23.28-11.75c15.14-7.75 26.54-21 31.8-37l5.508-16.5l17.15 68.63l-45.44 49.75c-7.258 7.75-12.39 17.38-14.9 27.63l-22.28 89.01c-4.254 17.13 6.141 34.5 23.41 38.88c17.14 4.25 34.55-6.251 38.81-23.38l18.28-73.26c2.628-10.38 7.764-19.88 14.9-27.75l60.09-65.38C531.1 305.4 536.6 283.4 531.5 262.5zM631.2 457.4l-50.07-50.13c-6.131-6.125-11.02-13.38-14.15-21.5l-20.78-51.5c-8.759 11.88 7.864-6.624-47.44 53.75l13.52 33.75c3.253 8 8.014 15.38 14.15 21.5l59.59 59.38c12.51 11.88 32.3 11.5 44.56-.75C642.9 489.7 643.1 469.9 631.2 457.4z"]],
    "house-signal": [576, 512, [], "e012", ["M565.7 200.5C575.4 209.4 578.6 223.4 573.8 235.7C569 247.9 557.2 256 544 256H512V368C512 394.5 490.5 416 464 416H296.4C272.7 317.5 195.4 239.1 97.06 215.8C98.58 210.1 101.7 204.7 106.3 200.5L314.3 8.486C326.6-2.829 345.4-2.829 357.7 8.486L565.7 200.5zM288 272C288 280.8 295.2 288 304 288H368C376.8 288 384 280.8 384 272V208C384 199.2 376.8 192 368 192H304C295.2 192 288 199.2 288 208V272z", "M0 280C0 266.7 10.75 256 24 256C152.1 256 256 359.9 256 488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488C208 386.4 125.6 304 24 304C10.75 304 0 293.3 0 280zM64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480zM160 488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488C112 439.4 72.6 400 24 400C10.75 400 0 389.3 0 376C0 362.7 10.75 352 24 352C99.11 352 160 412.9 160 488z"]],
    "house-tree": [640, 512, [], "e1b3", ["M566.6 137.4C575.8 146.5 578.5 160.3 573.6 172.2C568.6 184.2 556.9 192 544 192H514.6L600.1 300C608.7 309.6 610.2 322.8 604.8 333.9C599.5 344.1 588.3 352 576 352H546.6L632.1 460C640.7 469.6 642.2 482.8 636.8 493.9C631.5 504.1 620.3 512 608 512H400C410 498.6 416 482 416 464V277.1C416 254.7 406.6 233.3 390.1 218.1L282.9 119.9L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372L566.6 137.4z", "M.0003 464V277.1C.0003 263.7 5.647 250.8 15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464H.0003zM168 272C154.7 272 144 282.7 144 296V344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168z"]],
    "house-tsunami": [576, 512, [], "e515", ["M184.4 96C207.4 96 229.3 101.1 248.1 110.3C264.1 117.7 271.9 136.8 264.4 152.8C256.1 168.8 237.9 175.7 221.9 168.3C210.6 162.1 197.9 160 184.4 160C135.5 160 95.1 199.5 95.1 248C95.1 287 121.6 320.2 157.1 331.7C167.1 334.5 179.7 336 192 336C219.5 336 247 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.1 399.1 192.1 400C192.1 400 192 400 192 400C190.2 400 188.3 399.1 186.5 399.9C185.8 399.1 185.1 400 184.4 400C169.8 400 155.6 397.9 142.2 394.1C53.52 372.1 .0006 291.6 .0006 200C.0006 87.99 95.18 0 209 0C232.8 0 255.8 3.823 277.2 10.9C294 16.44 303.1 34.54 297.6 51.32C292 68.1 273.9 77.21 257.2 71.67C242.2 66.72 225.1 64 209 64C152.6 64 104.9 93.82 80.81 136.5C108 111.4 144.4 96 184.4 96H184.4zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z", "M428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 287.9C575.8 290.8 575.4 293.6 574.7 296.3C569.8 293.6 564.3 291.5 558.5 290.1C545.4 287.1 531.8 280.3 521.2 271.5C499 252.8 466.9 251.4 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C323.3 267 321.7 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43z"]],
    "house-turret": [640, 512, [], "e1b4", ["M72 0C85.25 0 96 10.75 96 24V96H128V24C128 10.75 138.7 0 152 0H200C213.3 0 224 10.75 224 24V96H256V24C256 10.75 266.7 0 280 0H328C341.3 0 352 10.75 352 24V124.6L249.9 218.1C233.4 233.3 224 254.7 224 277.1V464C224 482 229.1 498.6 239.1 512H112C85.49 512 64 490.5 64 464V288L18.75 242.7C6.743 230.7 0 214.5 0 197.5V24C0 10.75 10.75 .0006 24 .0006L72 0zM176 160C153.9 160 136 177.9 136 200V224C136 232.8 143.2 240 152 240H200C208.8 240 216 232.8 216 224V200C216 177.9 198.1 160 176 160z", "M256 464V277.1C256 263.7 261.6 250.8 271.6 241.7L415.6 109.7C433.9 92.91 462.1 92.91 480.4 109.7L624.4 241.7C634.4 250.8 640 263.7 640 277.1V464C640 490.5 618.5 512 592 512H304C277.5 512 256 490.5 256 464H256zM424 272C410.7 272 400 282.7 400 296V344C400 357.3 410.7 368 424 368H472C485.3 368 496 357.3 496 344V296C496 282.7 485.3 272 472 272H424z"]],
    "house-user": [576, 512, ["home-user"], "e1b0", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320zM192 448H384C392.8 448 400 440.8 400 432C400 387.8 364.2 352 320 352H256C211.8 352 176 387.8 176 432C176 440.8 183.2 448 192 448z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256zM320 352C364.2 352 400 387.8 400 432C400 440.8 392.8 448 384 448H192C183.2 448 176 440.8 176 432C176 387.8 211.8 352 256 352H320z"]],
    "house-water": [576, 512, ["house-flood"], "f74f", ["M565.1 231.9l-255.1-223.1c-6.029-5.283-13.55-7.92-21.08-7.92c-6.199 0-14.15 1.85-21.08 7.92l-255.1 223.1C-11.25 251.3 2.604 287.1 32 287.1h32.02v100.9c8.527-7.877 19.54-12.51 31.35-12.51c40.88 0 34.45 39.62 97.04 39.62c64.52 0 53.23-39.66 95.32-40.02c42.2 .3652 31.4 40.02 95.9 40.02c62.63 0 55.89-39.62 97.04-39.62c11.79 0 22.8 4.617 31.32 12.47V287.1H544c17.73 0 31.1-14.4 31.1-32C575.1 246.9 572.2 238.1 565.1 231.9zM352 298.6c0 11.88-9.625 21.38-21.38 21.38H245.4c-11.75 0-21.38-9.625-21.38-21.38V213.4c0-11.88 9.625-21.38 21.38-21.38h85.25c11.75 0 21.38 9.5 21.38 21.38V298.6z", "M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.09-44.91-.375c-1.062 .9062-25.17 23-73.77 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.31-12.12-44.89-.375c-1.031 .9062-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.28 14.94-47.5 20.66c-17.39 3.188-28.89 19.84-25.72 37.22c3.203 17.41 19.8 29.09 37.27 25.69c25.31-4.594 44.7-13.28 58.17-21.19C115.4 498.9 147.4 512 192 512c44.55 0 76.44-13.06 95.95-24.59c19.5 11.47 51.52 24.58 96.12 24.58s76.48-13.11 95.09-24.64c13.47 7.938 32.86 16.62 58.19 21.25c18.41 3.375 34.91-8.312 38.11-25.72S567.2 448.9 549.8 445.7z"]],
    "house-window": [576, 512, [], "e3b3", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM248 240C234.7 240 224 250.7 224 264V344C224 357.3 234.7 368 248 368H328C341.3 368 352 357.3 352 344V264C352 250.7 341.3 240 328 240H248z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", ["M247.3 187.5L155.5 240H32C14.33 240 0 225.7 0 208C0 190.3 14.33 176 32 176H260.9C257.2 180.6 252.6 184.5 247.3 187.5zM52.33 336H32C14.33 336 .0003 321.7 .0003 304C.0003 286.3 14.33 272 32 272H99.82C76.51 287 59.79 309.9 52.33 336V336zM123.1 336C126.8 331.4 131.4 327.5 136.7 324.5L228.5 272H352C369.7 272 384 286.3 384 304C384 321.7 369.7 336 352 336H123.1zM284.2 240C307.5 224.1 324.2 202.1 331.7 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H284.2z", "M179.6 96C158.7 96 138.3 103.1 121.9 116.2L115.1 120.1C102.2 132 82.05 129.8 71.01 115.1C59.97 102.2 62.21 82.05 76.01 71.01L81.94 66.27C109.7 44.08 144.1 32 179.6 32H223C285.4 32 336 82.59 336 144.1C336 185.5 314.3 222.1 279.1 243.1L136.7 324.5C121.4 333.2 112 349.4 112 367C112 394.1 133.9 416 160.1 416H204.4C225.3 416 245.7 408.9 262.1 395.8L268 391C281.8 379.1 301.9 382.2 312.1 396C324 409.8 321.8 429.9 307.1 440.1L302.1 445.7C274.3 467.9 239.9 480 204.4 480H160.1C98.59 480 48 429.4 48 367C48 326.5 69.73 289 104.9 268.9L247.3 187.5C262.6 178.8 272 162.6 272 144.1C272 117.9 250.1 96 223 96H179.6z"]],
    "hundred-points": [512, 512, [128175, "100"], "e41c", ["M36.52 415.7C19.03 418.2 2.817 406 .3178 388.5C-2.181 371 9.975 354.8 27.47 352.3L475.5 288.3C492.1 285.8 509.2 297.1 511.7 315.5C514.2 332.1 502 349.2 484.5 351.7L36.52 415.7zM260.5 479.7C243 482.2 226.8 470 224.3 452.5C221.8 435 233.1 418.8 251.5 416.3L475.5 384.3C492.1 381.8 509.2 393.1 511.7 411.5C514.2 428.1 502 445.2 484.5 447.7L260.5 479.7z", "M163 101.8C168 61.9 201.9 32 242 32C289.9 32 326.1 73.98 321.1 121.5L308.1 218.2C303.1 258.1 270.1 288 229.1 288C182.1 288 144.1 246 150.9 198.5L163 101.8zM242 96C234.2 96 227.5 101.9 226.5 109.7L214.4 206.4C213.3 215.8 220.5 224 229.1 224C237.8 224 244.5 218.1 245.5 210.3L257.6 113.6C258.7 104.2 251.4 96 242 96H242zM123.5 38.29C132.7 45.18 137.3 56.54 135.7 68.01L103.7 292C101.2 309.5 84.96 321.1 67.46 319.7C49.96 317.5 37.81 301.5 40.32 283.1L64.25 116.5L44.59 125.2C28.34 132.4 9.53 125.2 2.575 109.1C-4.381 92.95 3.154 74.02 19.4 66.8L91.4 34.8C102 30.07 114.3 31.41 123.5 38.29H123.5zM507.1 119L499.8 199.4C496.1 240.5 461.6 272 420.3 272C373.4 272 336.6 231.7 340.9 184.1L348.2 104.6C351.9 63.47 386.4 32 427.7 32C474.6 32 511.4 72.29 507.1 119zM404.6 190.8C403.8 200 411 208 420.3 208C428.5 208 435.3 201.8 436.1 193.6L443.4 113.2C444.2 103.1 436.9 96 427.7 96C419.5 96 412.7 102.2 411.9 110.4L404.6 190.8z"]],
    "hurricane": [448, 512, [], "f751", ["M208 95.98l24.5-74.74c3.75-11.25-5.615-22.49-17.36-21.11C112 12.38 32 101.6 32 208c0 114.9 93.13 208 208 208l-24.5 74.73c-3.75 11.25 5.615 22.5 17.36 21.12C335.1 499.6 416 410.4 416 304C416 189.1 322.9 95.98 208 95.98zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z", "M224 223.1c-17.75 0-32 14.25-32 32c0 17.75 14.25 32 32 32s32-14.25 32-32C256 238.2 241.8 223.1 224 223.1zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z"]],
    "hyphen": [320, 512, [], "2d", ["M288 288H32c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h256c17.69 0 32 14.3 32 31.99S305.7 288 288 288z", ""]],
    "i": [320, 512, [105], "49", ["M320 448c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-320H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h256c17.69 0 32 14.33 32 32s-14.31 32-32 32h-96v320h96C305.7 416 320 430.3 320 448z", ""]],
    "i-cursor": [256, 512, [], "f246", ["M32 256c0 17.69 14.33 32 32 32h32V224H64C46.33 224 32 238.3 32 256zM192 224h-32v64h32c17.67 0 32-14.31 32-32S209.7 224 192 224z", "M256 480c0 17.69-14.33 31.1-32 31.1c-38.41 0-72.52-17.35-96-44.23c-23.48 26.88-57.59 44.23-96 44.23c-17.67 0-32-14.31-32-31.1s14.33-32 32-32c35.3 0 64-28.72 64-64V128c0-35.28-28.7-64-64-64C14.33 64 0 49.69 0 32s14.33-32 32-32c38.41 0 72.52 17.35 96 44.23c23.48-26.88 57.59-44.23 96-44.23c17.67 0 32 14.31 32 32s-14.33 32-32 32c-35.3 0-64 28.72-64 64v256c0 35.28 28.7 64 64 64C241.7 448 256 462.3 256 480z"]],
    "ice-cream": [448, 512, [127848], "f810", ["M386.4 164.2C392.2 166.6 397.5 170.1 401.1 174.6C406.4 179 409.1 184.3 412.4 190.1C414.8 195.9 416.1 202.2 416.1 208.5C416.1 214.8 414.9 221 412.5 226.9C410.1 232.7 406.6 237.1 402.1 242.4C397.7 246.9 392.4 250.5 386.6 252.9C380.7 255.3 374.5 256.6 368.2 256.6H79.81C67.08 256.6 54.88 251.5 45.89 242.4C36.91 233.4 31.88 221.2 31.9 208.5C31.93 195.7 37.01 183.6 46.03 174.6C55.05 165.6 67.27 160.6 79.1 160.6H80.99C80.33 155.1 79.99 149.5 79.97 144C79.97 105.8 95.14 69.18 122.1 42.18C149.1 15.17 185.8 0 223.1 0C262.2 0 298.8 15.17 325.8 42.18C352.8 69.18 367.1 105.8 367.1 144C367.1 149.5 367.6 155.1 367 160.6H368C374.3 160.6 380.5 161.8 386.4 164.2z", "M368.2 256L252.8 493.8C250.3 499.2 246.2 503.8 241.1 507C236.1 510.3 230.2 511.1 224.2 511.1C218.1 511.1 212.3 510.3 207.2 507C202.1 503.8 198.1 499.2 195.5 493.8L79.81 256H368.2z"]],
    "ice-skate": [576, 512, [9976], "f7ac", ["M272 128h48V96h-48c-8.836 0-16 7.164-16 16S263.2 128 272 128zM552 416c-13.2 0-24 10.8-24 23.1C528 453.3 517.3 464 504 464h-71.1L432 384H384l0 80h-240L144 384H96l0 80H32c-17.6 0-31.1 14.4-31.1 31.1C.0001 510 13.18 512 16 512h496c35.2 0 64-28.8 64-64L576 439.1C576 426.8 565.2 416 552 416zM272 192h48V160h-48c-8.836 0-16 7.164-16 16S263.2 192 272 192z", "M512 315L512 352c0 17.67-14.33 32-31.1 32h-416c-17.67 0-32-14.33-32-32l0-207.8c0-28.5 18.88-53.63 46.38-61.5L256 32V16c0-8.801 7.199-16 16-16l31.1 0c8.801 0 16 7.199 16 16V96h-48c-8.801 0-16 7.199-16 16c0 8.797 7.199 16 16 16h48v32h-48c-8.801 0-16 7.199-16 16c0 8.797 7.199 16 16 16h48L439.3 221.9C482 232.6 512 270.9 512 315z"]],
    "icicles": [512, 512, [], "f7ad", ["M511.4 37.87l-87.54 467.6c-1.625 8.625-14.04 8.635-15.67 .0104L341.6 142.3l27.25-102.1C374.3 19.94 359 0 337.1 0h142C500 0 515.2 18.25 511.4 37.87z", "M337.1 0c21.03 0 36.34 19.94 30.92 40.26l-27.25 102.1l-.2114-.5764l-45.52 171.9c-.0078 .0391 .0078-.0391 0 0L295.7 314.2c-2.375 7.625-12.98 7.625-15.36 0L246.3 180.9l-46.49 196.9c-1.875 8.375-13.64 8.375-15.51 0L139.1 190.5L103.6 314.5c-2.375 7.125-12.64 7.199-15.14 .0744L1.357 41.24C-4.768 20.75 10.61 0 31.98 0H337.1z"]],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", ["M116.7 219.1L19.85 119.2C-8.113 90.26-6.615 42.31 24.85 15.34C51.81-8.138 93.26-3.643 118.2 21.83L128.2 32.32L137.7 21.83C162.7-3.643 203.6-8.138 231.6 15.34C262.6 42.31 264.1 90.26 236.1 119.2L139.7 219.1C133.2 225.6 122.7 225.6 116.7 219.1H116.7zM473.4 259.1C479.4 263.4 481.6 271.4 478.7 278.3L440.3 367.1H495.1C502.7 367.1 508.6 372.1 510.1 378.4C513.3 384.6 511.6 391.6 506.5 396L378.5 508C372.9 512.1 364.6 513.3 358.6 508.9C352.6 504.6 350.3 496.6 353.3 489.7L391.7 399.1H335.1C329.3 399.1 323.4 395.9 321 389.6C318.7 383.4 320.4 376.3 325.5 371.1L453.5 259.1C459.1 255 467.4 254.7 473.4 259.1V259.1z", "M500.3 7.251C507.7 13.33 512 22.41 512 31.1V175.1C512 202.5 483.3 223.1 447.1 223.1C412.7 223.1 383.1 202.5 383.1 175.1C383.1 149.5 412.7 127.1 447.1 127.1V71.03L351.1 90.23V207.1C351.1 234.5 323.3 255.1 287.1 255.1C252.7 255.1 223.1 234.5 223.1 207.1C223.1 181.5 252.7 159.1 287.1 159.1V63.1C287.1 48.74 298.8 35.61 313.7 32.62L473.7 .6198C483.1-1.261 492.9 1.173 500.3 7.251H500.3zM74.66 303.1L86.5 286.2C92.43 277.3 102.4 271.1 113.1 271.1H174.9C185.6 271.1 195.6 277.3 201.5 286.2L213.3 303.1H255.1C273.7 303.1 287.1 318.3 287.1 335.1V479.1C287.1 497.7 273.7 511.1 255.1 511.1H31.1C14.33 511.1-.0019 497.7-.0019 479.1V335.1C-.0019 318.3 14.33 303.1 31.1 303.1H74.66zM143.1 359.1C117.5 359.1 95.1 381.5 95.1 407.1C95.1 434.5 117.5 455.1 143.1 455.1C170.5 455.1 191.1 434.5 191.1 407.1C191.1 381.5 170.5 359.1 143.1 359.1z"]],
    "id-badge": [384, 512, [], "f2c1", ["M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM144 64h96C248.8 64 256 71.16 256 80S248.8 96 240 96h-96C135.2 96 128 88.84 128 80S135.2 64 144 64zM192 160c35.35 0 64 28.66 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416z", "M192 160c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416z"]],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", ["M0 128v304C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V128H0zM176 192c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S140.7 192 176 192zM272 416h-192C71.16 416 64 408.8 64 400C64 373.5 85.49 352 112 352h128c26.51 0 48 21.49 48 48C288 408.8 280.8 416 272 416zM496 352h-128c-8.836 0-16-7.164-16-16s7.164-16 16-16h128c8.836 0 16 7.164 16 16S504.8 352 496 352zM496 288h-128C359.2 288 352 280.8 352 272S359.2 256 368 256h128C504.8 256 512 263.2 512 272S504.8 288 496 288zM496 224h-128C359.2 224 352 216.8 352 208S359.2 192 368 192h128C504.8 192 512 199.2 512 208S504.8 224 496 224z", "M240 352h-128C85.49 352 64 373.5 64 400C64 408.8 71.16 416 80 416h192c8.836 0 16-7.164 16-16C288 373.5 266.5 352 240 352zM240 256c0-35.34-28.65-64-64-64s-64 28.66-64 64s28.65 64 64 64S240 291.3 240 256zM528 32h-480C21.49 32 0 53.49 0 80V128h576V80C576 53.49 554.5 32 528 32z"]],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", ["M528 64H352v64h16C377.6 128 384 134.4 384 144S377.6 160 368 160h-160C198.4 160 192 153.6 192 144S198.4 128 208 128H224V64H48C22.4 64 0 86.4 0 112v352C0 489.6 22.4 512 48 512h480c25.6 0 48-22.4 48-48v-352C576 86.4 553.6 64 528 64zM288 224c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S252.7 224 288 224zM384 448H192c-8.836 0-16-7.164-16-16C176 405.5 197.5 384 224 384h128c26.51 0 48 21.49 48 48C400 440.8 392.8 448 384 448z", "M352 32c0-19.2-12.8-32-32-32H256C236.8 0 224 12.8 224 32v96h128V32zM288 352c35.35 0 64-28.66 64-64s-28.65-64-64-64S224 252.7 224 288S252.7 352 288 352zM352 384H224c-26.51 0-48 21.49-48 48C176 440.8 183.2 448 192 448h192c8.836 0 16-7.164 16-16C400 405.5 378.5 384 352 384z"]],
    "igloo": [576, 512, [], "f7ae", ["M288 32C298.8 32 309.5 32.6 320 33.76V160H48.5C100.2 82.82 188.1 32 288 32zM527.5 160H352V39.14C424.9 55.67 487.2 99.82 527.5 160zM0 320C0 274 10.77 230.6 29.94 192H96V320H0zM197.5 320H128V192H448V320H378.5C365.4 282.7 329.8 256 288 256C246.2 256 210.6 282.7 197.5 320zM576 352V432C576 458.5 554.5 480 528 480H384V352H576zM48 480C21.49 480 0 458.5 0 432V352H192V480H48zM576 320H480V192H546.1C565.2 230.6 576 274 576 320z", "M320 33.76C330.9 34.96 341.5 36.76 352 39.14V160H527.5C534.3 170.2 540.6 180.9 546.1 192H480V320H576V352H384V480H352V352C352 316.7 323.3 288 288 288C252.7 288 224 316.7 224 352V480H192V352H0V320H96V192H29.94C35.45 180.9 41.65 170.2 48.5 160H320V33.76zM197.5 320C210.6 282.7 246.2 256 288 256C329.8 256 365.4 282.7 378.5 320H448V192H128V320H197.5z"]],
    "image": [512, 512, [], "f03e", ["M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM111.1 96c26.51 0 48 21.49 48 48S138.5 192 111.1 192s-48-21.49-48-48S85.48 96 111.1 96zM446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z", "M446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z"]],
    "image-landscape": [576, 512, ["landscape"], "e1b5", ["M528 64h-480C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h480c26.51 0 48-21.49 48-48v-288C576 85.49 554.5 64 528 64zM175.1 160c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S158.3 160 175.1 160zM446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z", "M446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z"]],
    "image-polaroid": [448, 512, [], "f8c4", ["M400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352z", "M64 96v256h320V96H64zM128 128c17.62 0 32 14.38 32 32S145.6 192 128 192S96 177.6 96 160S110.4 128 128 128zM350.1 311.6C347.3 316.8 341.9 320 336 320h-224c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l46.67-64C148.8 226.4 153.6 224 158.7 224s9.916 2.441 12.93 6.574l12.26 16.81l53.5-80.26C240.3 162.7 245.3 160 250.7 160s10.35 2.672 13.31 7.125l85.33 128C352.6 300 352.9 306.3 350.1 311.6z"]],
    "image-polaroid-user": [448, 512, [], "e1b6", ["M400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352z", "M224 256c35.35 0 64-28.66 64-64s-28.65-64-64-64S160 156.7 160 192S188.7 256 224 256zM384 352h-48c0-35.35-28.65-64-63.1-64H175.1C140.7 288 112 316.7 112 351.1L64 352V96h320V352z"]],
    "image-portrait": [384, 512, ["portrait"], "f3e0", ["M336 0h-288c-26.51 0-48 21.49-48 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 128c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 227.3 128 192S156.7 128 192 128zM288 384H96c-8.836 0-16-7.164-16-16C80 323.8 115.8 288 160 288h64c44.18 0 80 35.82 80 80C304 376.8 296.8 384 288 384z", "M224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384h192c8.836 0 16-7.164 16-16C304 323.8 268.2 288 224 288zM192 256c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 156.7 128 192S156.7 256 192 256z"]],
    "image-slash": [640, 512, [], "e1b7", ["M145.1 416c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l16.43-24.65L63.99 146.8L63.99 416c0 35.35 28.65 64 64 64h361.1l-81.66-64H145.1zM511.1 32H127.1C113.6 32 100.4 36.98 89.78 45.06l69.08 54.14C164.2 97.15 169.9 96 175.1 96c26.51 0 48 21.49 48 48c0 1.945-.6211 3.701-.8457 5.586l108.1 84.72l23.45-35.18C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l103.9 155.9l89.63 70.25C575.3 422.2 575.1 419.2 575.1 416l.0034-320C575.1 60.65 547.3 32 511.1 32z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "image-user": [512, 512, [], "e1b8", ["M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM256 128c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S220.7 128 256 128zM352 384H160c-8.836 0-16-7.164-16-16c0-44.18 35.82-80 80-80h64c44.18 0 80 35.82 80 80C368 376.8 360.8 384 352 384z", "M256 256c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S220.7 256 256 256zM288 288h-64c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16h192c8.836 0 16-7.164 16-16C368 323.8 332.2 288 288 288z"]],
    "images": [576, 512, [], "f302", ["M527.1 32H144C117.5 32 96 53.49 96 80v256c0 26.51 21.49 48 48 48h383.1C554.5 384 576 362.5 576 336v-256C576 53.49 554.5 32 527.1 32zM223.1 96c17.68 0 32 14.33 32 32S241.7 160 223.1 160C206.3 160 191.1 145.7 191.1 128S206.3 96 223.1 96zM494.1 311.6C491.3 316.8 485.9 320 480 320H192C185.1 320 180.5 316.6 177.7 311.3C175 305.9 175.5 299.4 179.1 294.6l70-96C252.1 194.4 256.9 192 262 192C267.1 192 271.9 194.4 274.9 198.6l22.35 30.66l62.74-94.11C362.1 130.7 367.1 128 373.3 128c5.348 0 10.34 2.672 13.31 7.125l106.7 160C496.6 300 496.9 306.3 494.1 311.6z", "M493.3 295.1l-106.7-160C383.7 130.7 378.7 128 373.3 128c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11L274.9 198.6C271.9 194.4 267.1 192 262 192C256.9 192 252.1 194.4 249.1 198.6l-70 96C175.5 299.4 175 305.9 177.7 311.3C180.5 316.6 185.1 320 192 320h288c5.899 0 11.32-3.246 14.11-8.449C496.9 306.3 496.6 300 493.3 295.1zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "images-user": [576, 512, [], "e1b9", ["M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM336 96c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S300.7 96 336 96zM432 320h-192c-8.836 0-16-7.164-16-16c0-26.51 21.49-48 48-48h128c26.51 0 48 21.49 48 48C448 312.8 440.8 320 432 320z", "M240 320h192c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-128c-26.51 0-48 21.49-48 48C224 312.8 231.2 320 240 320zM336 224c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S300.7 224 336 224zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "inbox": [512, 512, [], "f01c", ["M439 288H384l-32 64H160L128 288H72.97L121 96h270L439 288z", "M447 56.25C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.247 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"]],
    "inbox-full": [512, 512, [], "e1ba", ["M391 96h-270L72.97 288H128l32 64h192l32-64h55.03L391 96zM176 144h160C344.8 144 352 151.2 352 160c0 8.836-7.164 16-16 16h-160C167.2 176 160 168.8 160 160C160 151.2 167.2 144 176 144zM368 256h-224C135.2 256 128 248.8 128 240C128 231.2 135.2 224 144 224h224C376.8 224 384 231.2 384 240C384 248.8 376.8 256 368 256z", "M447 56.25C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.247 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"]],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", ["M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z", "M374.6 169.4c12.5 12.5 12.5 32.75 0 45.25l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25C143.6 163.1 151.8 160 160 160s16.38 3.125 22.62 9.375L224 210.8V32c0-17.69 14.31-32 32-32S288 14.31 288 32v178.8l41.38-41.38C341.9 156.9 362.1 156.9 374.6 169.4z"]],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", ["M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z", "M137.4 150.6c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96c12.5 12.5 12.5 32.75 0 45.25C368.4 156.9 360.2 160 352 160s-16.38-3.125-22.62-9.375L288 109.3V288c0 17.69-14.31 32-32 32S224 305.7 224 288V109.3L182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6z"]],
    "inboxes": [512, 512, [], "e1bb", ["M480 352h-96L352 416H160l-32-64H32c-17.67 0-32 14.33-32 32v80C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V384C512 366.3 497.7 352 480 352zM160 224h192l32-64h48.73l-38.39-96H117.7l-38.39 96H128L160 224z", "M507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM384 160l-32 64H160L128 160H79.27l38.39-96h276.7l38.39 96H384z"]],
    "indent": [448, 512, [], "f03c", ["M416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416zM416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H224C206.3 224 192 209.7 192 192C192 174.3 206.3 160 224 160H416zM192 320C192 302.3 206.3 288 224 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H224C206.3 352 192 337.7 192 320zM416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416z", "M127.8 243.4C135.1 249.8 135.1 262.2 127.8 268.6L25.82 347.9C15.31 356.1 0 348.6 0 335.3V176.7C0 163.4 15.31 155.9 25.82 164.1L127.8 243.4z"]],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", ["M192 176C192 187.4 189.6 198.2 185.3 208H32C14.33 208 0 193.7 0 176C0 158.3 14.33 144 32 144H185.3C189.6 153.8 192 164.6 192 176zM252.4 208C254.8 197.7 256 186.1 256 176C256 165 254.8 154.3 252.4 144H288C305.7 144 320 158.3 320 176C320 193.7 305.7 208 288 208H252.4z", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H231.8C247.1 118.9 256 146.4 256 176C256 249.3 201.2 309.9 130.3 318.9L274.6 421.1C288.1 432.2 292.3 452.2 282 466.6C271.8 480.1 251.8 484.3 237.4 474L13.4 314C2.083 305.1-2.716 291.5 1.529 278.2C5.774 264.1 18.09 256 32 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H32C14.33 96 .0022 81.67 .0022 64C.0022 46.33 14.33 32 32 32L288 32z"]],
    "industry": [576, 512, [], "f275", ["M128 32C145.7 32 160 46.33 160 64V265.4L352 155.6V265.4L544 155.6V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64C32 46.33 46.33 32 64 32H128z", "M372.8 116.1C379.4 127.6 375.4 142.3 363.9 148.8L160 265.4V210.1L340.1 107.2C351.6 100.6 366.3 104.6 372.8 116.1H372.8zM564.8 116.1C571.4 127.6 567.4 142.3 555.9 148.8L352 265.4V210.1L532.1 107.2C543.6 100.6 558.3 104.6 564.8 116.1H564.8z"]],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", ["M32 64C32 46.33 46.33 32 64 32H128C145.7 32 160 46.33 160 64V265.4L352 155.6V265.4L544 155.6V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64zM136 312C127.2 312 120 319.2 120 328V376C120 384.8 127.2 392 136 392H184C192.8 392 200 384.8 200 376V328C200 319.2 192.8 312 184 312H136zM264 312C255.2 312 248 319.2 248 328V376C248 384.8 255.2 392 264 392H312C320.8 392 328 384.8 328 376V328C328 319.2 320.8 312 312 312H264zM376 376C376 384.8 383.2 392 392 392H440C448.8 392 456 384.8 456 376V328C456 319.2 448.8 312 440 312H392C383.2 312 376 319.2 376 328V376z", "M160 265.4V210.1L340.1 107.2C351.6 100.6 366.3 104.6 372.8 116.1C379.4 127.6 375.4 142.3 363.9 148.8L160 265.4zM352 265.4V210.1L532.1 107.2C543.6 100.6 558.3 104.6 564.8 116.1C571.4 127.6 567.4 142.3 555.9 148.8L352 265.4zM184 312C192.8 312 200 319.2 200 328V376C200 384.8 192.8 392 184 392H136C127.2 392 120 384.8 120 376V328C120 319.2 127.2 312 136 312H184zM312 312C320.8 312 328 319.2 328 328V376C328 384.8 320.8 392 312 392H264C255.2 392 248 384.8 248 376V328C248 319.2 255.2 312 264 312H312zM376 328C376 319.2 383.2 312 392 312H440C448.8 312 456 319.2 456 328V376C456 384.8 448.8 392 440 392H392C383.2 392 376 384.8 376 376V328z"]],
    "infinity": [640, 512, [9854, 8734], "f534", ["M494.9 96.01c-38.78 0-75.22 15.09-102.6 42.5L320 210.8L247.8 138.5c-27.41-27.41-63.84-42.5-102.6-42.5C65.11 96.01 0 161.1 0 241.1v29.75c0 80.03 65.11 145.1 145.1 145.1c38.78 0 75.22-15.09 102.6-42.5L320 301.3l72.23 72.25c27.41 27.41 63.84 42.5 102.6 42.5C574.9 416 640 350.9 640 270.9v-29.75C640 161.1 574.9 96.01 494.9 96.01zM202.5 328.3c-15.31 15.31-35.69 23.75-57.38 23.75C100.4 352 64 315.6 64 270.9v-29.75c0-44.72 36.41-81.13 81.14-81.13c21.69 0 42.06 8.438 57.38 23.75l72.23 72.25L202.5 328.3zM576 270.9c0 44.72-36.41 81.13-81.14 81.13c-21.69 0-42.06-8.438-57.38-23.75l-72.23-72.25l72.23-72.25c15.31-15.31 35.69-23.75 57.38-23.75C539.6 160 576 196.4 576 241.1V270.9z", ""]],
    "info": [192, 512, [], "f129", ["M96 128c26.51 0 48-21.49 48-48S122.5 32.01 96 32.01s-48 21.49-48 48S69.49 128 96 128z", "M160 448h-32V224c0-17.69-14.33-32-32-32L32 192c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1h32v192H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S177.7 448 160 448z"]],
    "inhaler": [576, 512, [], "f5f9", ["M31.99 320C14.37 320 0 334.4 0 352s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 320 31.99 320zM31.99 224C14.37 224 0 238.4 0 256s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 224 31.99 224zM31.99 416C14.37 416 0 430.4 0 448s14.37 31.1 31.99 31.1S63.99 465.6 63.99 448S49.62 416 31.99 416zM555.2 65.24l-120.5-32.26c-14.98-4.047-30.3 4.812-34.34 19.8l-22.27 81.09l147.4 147.4l49.55-181.7C579.1 84.6 570.2 69.29 555.2 65.24zM127.1 368c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 368 127.1 368zM127.1 272c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 272 127.1 272z", "M327.6 224H223.1c-17.67 0-32 14.33-32 31.1v191.1c0 17.6 14.4 31.1 31.1 31.1h246.4c12.8 0 23.95-8.531 27.13-20.89l42.79-163.1l-183.5-183.5L327.6 224z"]],
    "input-numeric": [640, 512, [], "e1bd", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M283.5 229.9C275.8 240.7 260.8 243.2 250.1 235.5C239.3 227.8 236.8 212.8 244.5 202.1L255.6 186.5C279.3 153.2 327.9 150.8 354.8 181.6C376.1 205.1 375.6 242.5 353.7 266.3L318.8 304H352C365.3 304 376 314.7 376 328C376 341.3 365.3 352 352 352H264C254.5 352 245.8 346.4 242 337.6C238.2 328.9 239.9 318.7 246.4 311.7L318.4 233.7C323.7 227.9 323.8 219.1 318.7 213.2C312.1 205.8 300.4 206.3 294.6 214.4L283.5 229.9zM160 160C173.3 160 184 170.7 184 184V304H200C213.3 304 224 314.7 224 328C224 341.3 213.3 352 200 352H120C106.7 352 96 341.3 96 328C96 314.7 106.7 304 120 304H136V208H128C114.7 208 104 197.3 104 184C104 170.7 114.7 160 128 160H160z"]],
    "input-pipe": [640, 512, [], "e1be", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M104 184C104 170.7 114.7 160 128 160C141.3 160 152 170.7 152 184V328C152 341.3 141.3 352 128 352C114.7 352 104 341.3 104 328V184z"]],
    "input-text": [640, 512, [], "e1bf", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M269.9 318.3C275.3 330.4 269.9 344.5 257.7 349.9C245.6 355.3 231.5 349.9 226.1 337.7L221.7 328H146.3L141.9 337.7C136.5 349.9 122.4 355.3 110.3 349.9C98.14 344.5 92.69 330.4 98.07 318.3L162.1 174.3C165.9 165.6 174.5 160 184 160C193.5 160 202.1 165.6 205.9 174.3L269.9 318.3zM200.4 280L184 243.1L167.6 280H200.4zM303.1 184C303.1 170.7 314.7 160 328 160H380C413.1 160 440 186.9 440 220C440 229.2 437.9 237.9 434.2 245.7C447.5 256.7 456 273.4 456 292C456 325.1 429.1 352 396 352H328C314.7 352 303.1 341.3 303.1 328V184zM352 208V232H380C386.6 232 392 226.6 392 220C392 213.4 386.6 208 380 208H352zM352 304H396C402.6 304 408 298.6 408 292C408 285.4 402.6 280 396 280H352V304z"]],
    "integral": [320, 512, [], "f667", ["M104 512c-48.53 0-88-39.46-88-87.1v-8c0-17.69 14.33-32 32-32s32 14.31 32 32v8c0 13.22 10.77 24 24 24s24-10.78 24-24v-336c0-48.53 39.47-88 88-88s88 39.47 88 88v8c0 17.69-14.33 32-32 32s-32-14.31-32-32v-8c0-13.22-10.77-24-24-24s-24 10.78-24 24v336C192 472.5 152.5 512 104 512z", ""]],
    "intersection": [384, 512, [8898], "f668", ["M352 480c-17.69 0-32-14.31-32-32V224c0-70.59-57.41-128-128-128s-128 57.41-128 128v223.1c0 17.69-14.31 32-32 32s-32-14.31-32-32V224c0-105.9 86.13-192 192-192s192 86.13 192 192v224C384 465.7 369.7 480 352 480z", ""]],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", ["M196.1 352c9.957-42.69 24.84-122.2 21.02-201.5L240 128h26.23c11.22 48.01 28.64 142.7 18.54 231.2C270.9 354.8 256.4 352 241.3 352H196.1z", "M336.5 32c-34.87 0-65.63 13.87-86.25 35.13C235.7 28.25 193.7 0 143.5 0C86.99 0 40.29 35.37 32.17 81.62C31.67 85.25 32.62 89 34.99 91.75C37.37 94.5 40.87 96 44.62 96h35.38L95.1 64l15.99 32h30.12c-34.12 35-39.62 86.87-14.5 122.6C131.1 224.7 140.7 225.9 146.1 220.5L240 128h128l15.97-32l16 32h35.37c3.752 0 7.251-1.5 9.626-4.25s3.375-6.5 2.875-10.13C439.7 67.37 393 32 336.5 32zM383.6 474.8C386.5 494.3 371.7 512 351.1 512H32.08c-19.75 0-34.59-17.75-31.72-37.25C10.86 404.3 71.49 352 142.7 352h98.52C312.5 352 373.1 404.3 383.6 474.8z"]],
    "italic": [384, 512, [], "f033", ["M384 64.01c0 17.69-14.31 32-32 32h-58.67l-133.3 320H224c17.69 0 32 14.31 32 32s-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h58.67l133.3-320H160c-17.69 0-32-14.31-32-32s14.31-32 32-32h192C369.7 32.01 384 46.33 384 64.01z", ""]],
    "j": [320, 512, [106], "4a", ["M320 64.01v259.4c0 86.36-71.78 156.6-160 156.6s-160-70.26-160-156.6V288c0-17.67 14.31-32 32-32s32 14.33 32 32v35.38c0 51.08 43.06 92.63 96 92.63s96-41.55 96-92.63V64.01c0-17.67 14.31-32 32-32S320 46.34 320 64.01z", ""]],
    "jack-o-lantern": [576, 512, [127875], "f30e", ["M425.5 128.4c-10.01 0-20.05 1.27-29.77 3.788c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.62-75.63-36.11-133.1-36.11s-101.4 12.49-133.1 36.11c6.82-12.34 6.585-15 25.38-31.88C170.5 129.7 160.5 128.4 150.5 128.4C51 128.4-.0021 254.4 0 319.9c.0021 64.45 51.26 192 151.5 192c24.97 0 49.96-7.939 69.4-23.8c17.75 15.38 39.89 23.86 67.14 23.86c27.25 0 49.38-8.487 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8c100.1 0 151.4-126.1 151.4-192C576 255.7 525.1 128.4 425.5 128.4zM320.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.301-3.409 5.566-3.409c2.296 0 4.737 1.144 6.436 3.409l41.13 66.63c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67h-82.26C321.9 287.1 320.1 284.5 320.1 281.3zM160.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.315-3.422 5.579-3.422c2.296 0 4.724 1.157 6.423 3.422L255.1 277.1c.4552 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67H166.9C161.9 287.1 160.1 284.5 160.1 281.3zM470.7 340.3c0 6.788-9.237 27.74-19.55 42.23c-9.375 13-21.38 23.88-35.25 33c-.25-8.625-7.25-15.5-15.88-15.5h-16c-8.875 0-16 7.125-16 16v21.5C344.5 444.4 317.9 447.1 288 447.1s-56.51-3.627-80.01-10.5v-21.5c0-8.875-7.127-16-16-16H175.1c-8.752 0-15.75 7-15.88 15.63c-13.75-9.125-25.63-19.75-34.75-32.5c-11.69-16.45-20.05-37.03-20.05-42.76c0-8.691 7.585-15.65 16.05-15.65c12.33 0 41.48 29.38 118.6 41.16v18.13c0 8.875 7.127 16 16 16h16C280.9 399.1 288 392.9 288 383.1v-14.25c100.1 0 155.7-45.03 166.7-45.03C463.3 324.7 470.7 331.9 470.7 340.3z", "M320.1 281.3c0 3.165 1.844 6.643 6.779 6.643h82.26c4.949 0 6.724-3.498 6.724-6.67c0-1.234-.2689-2.42-.7241-3.33l-41.13-66.63c-1.699-2.265-4.14-3.409-6.436-3.409c-2.264 0-4.386 1.113-5.566 3.409l-41.13 66.63C320.4 278.9 320.1 280.1 320.1 281.3zM352 106.6l-.0025-70.88c0-5.1-3.376-11.5-8.876-14.25l-39.63-19.75C301.2 .5541 298.8-.0001 296.4-.0001c-9.821 0-13.96 7.836-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM160.1 281.3c0 3.165 1.844 6.643 6.779 6.643h82.26c4.949 0 6.724-3.498 6.724-6.67c0-1.234-.2689-2.42-.7241-3.33L213.1 211.4c-1.699-2.265-4.127-3.422-6.423-3.422c-2.264 0-4.4 1.125-5.579 3.422l-41.13 66.63C160.4 278.9 160.1 280.1 160.1 281.3zM454.7 324.7c-10.66 0-65.92 45.03-166.7 45.03v14.25c0 8.875-7.125 16-16 16H255.1c-8.875 0-16-7.126-16-16v-18.13c-77.83-11.88-106.2-41.16-118.6-41.16c-8.462 0-16.05 6.959-16.05 15.65c0 5.745 8.361 26.3 20.05 42.76c9.125 12.75 21 23.38 34.75 32.5c.125-8.625 7.125-15.63 15.88-15.63h16c8.875 0 16 7.125 16 16v21.5C231.5 444.4 258.1 447.1 288 447.1s56.51-3.627 80.01-10.5v-21.5c0-8.875 7.127-16 16-16h16c8.627 0 15.63 6.875 15.88 15.5c13.88-9.125 25.88-20 35.25-33c10.31-14.48 19.55-35.44 19.55-42.23C470.7 331.9 463.3 324.7 454.7 324.7z"]],
    "jar": [320, 512, [], "e516", ["M256 96C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H256zM256 224H64V384H256V224z", "M256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32C32 14.33 46.33 0 64 0H256zM256 384H64V224H256V384z"]],
    "jar-wheat": [320, 512, [], "e517", ["M256 80C291.3 80 320 108.7 320 144V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V144C0 108.7 28.65 80 64 80H256zM208 160C188.9 160 171.7 168.4 160 181.7C148.3 168.4 131.1 160 112 160H64C64 195.3 92.65 224 128 224H192C227.3 224 256 195.3 256 160H208zM192 320C227.3 320 256 291.3 256 256H208C188.9 256 171.7 264.4 160 277.7C148.3 264.4 131.1 256 112 256H64C64 291.3 92.65 320 128 320H192zM208 352C188.9 352 171.7 360.4 160 373.7C148.3 360.4 131.1 352 112 352H64C64 387.3 92.65 416 128 416H144V448C144 456.8 151.2 464 160 464C168.8 464 176 456.8 176 448V416H192C227.3 416 256 387.3 256 352H208z", "M248 0C261.3 0 272 10.75 272 24C272 37.25 261.3 48 248 48H72C58.75 48 48 37.25 48 24C48 10.75 58.75 0 72 0H248zM256 160C256 195.3 227.3 224 192 224H128C92.65 224 64 195.3 64 160H112C131.1 160 148.3 168.4 160 181.7C171.7 168.4 188.9 160 208 160H256zM128 320C92.65 320 64 291.3 64 256H112C131.1 256 148.3 264.4 160 277.7C171.7 264.4 188.9 256 208 256H256C256 291.3 227.3 320 192 320H128zM256 352C256 387.3 227.3 416 192 416H176V448C176 456.8 168.8 464 160 464C151.2 464 144 456.8 144 448V416H128C92.65 416 64 387.3 64 352H112C131.1 352 148.3 360.4 160 373.7C171.7 360.4 188.9 352 208 352H256z"]],
    "jedi": [576, 512, [], "f669", ["M371.2 343.9l-42.13 8.627l20.13 33.75c1.875 3.25 1.375 7.375-1.375 10c-2.75 2.5-6.876 2.75-10 .75l-27.13-18.5l2.16 66.99C304.8 447.1 296.5 448 288 448s-16.85-.8711-24.89-2.508l2.16-66.99l-27.13 18.5c-3.125 2-7.251 1.75-10-.75c-2.75-2.625-3.25-6.75-1.375-10l20.13-33.75l-42.13-8.627c-3.625-.875-6.375-4.125-6.375-7.875s2.75-7 6.375-7.875l42.13-8.75L226.8 285.6C224.9 282.5 225.4 278.4 228.1 275.7c2.75-2.5 6.876-2.875 10-.75l30.38 20.63l11.49-287.8C280.3 3.461 283.7 .0156 287.1 0c4.236 .0156 7.759 3.461 8.009 7.828l11.49 287.8l30.38-20.63c3.125-2.125 7.251-1.75 10 .75c2.75 2.625 3.25 6.75 1.375 9.875l-20.13 33.75l42.13 8.75c3.625 .875 6.375 4.125 6.375 7.875S374.9 342.1 371.2 343.9z", "M554.9 293.1l-58.88 58.88h40C493.2 446.1 398.2 511.1 287.1 512c-110.3-.0078-205.2-65.88-247.1-160h40L21.13 293.1C17.75 275.1 16 258.6 16 241.2c0-5.75 .75-11.5 1-17.25h47L22.75 182.7c14.63-65.62 53.11-123.4 107.9-162.2c2.75-2 6.022-3.005 9.272-3.005c5.502 0 10.5 2.75 13.5 7.25C156.5 29.12 157 34.87 155 39.87c-6.5 16.25-9.875 33.75-9.875 51.25c0 45.13 21.13 86.63 57.75 113.8c4 2.875 6.501 7.5 6.626 12.38c.25 5-1.751 9.752-5.501 13c-32.75 29.38-47.5 74-38.5 117.1c1.725 8.551 4.659 16.66 8.108 24.5c.1484 .3594 .3242 .6953 .4766 1.047c2.502 5.551 5.383 10.86 8.658 15.95c1.479 2.398 2.924 4.77 4.559 7.055c.9336 1.258 2.002 2.391 2.982 3.613C212.1 428.8 248.1 448 288 448s75.02-19.18 97.7-48.46c.9805-1.223 2.049-2.355 2.982-3.613c1.635-2.285 3.08-4.656 4.559-7.055c3.275-5.094 6.156-10.4 8.658-15.95c.1523-.3516 .3281-.6875 .4766-1.047c3.449-7.84 6.383-15.94 8.108-24.5c9.002-43.13-5.751-87.75-38.5-117.1c-3.75-3.25-5.751-8.002-5.501-13c.125-4.875 2.626-9.5 6.626-12.38c36.63-27.12 57.75-68.63 57.75-113.8c0-17.5-3.375-35-9.875-51.25c-2-5-1.5-10.75 1.625-15.13c3-4.5 7.1-7.25 13.5-7.25c3.25 0 6.474 .9546 9.224 2.955c54.75 38.88 93.28 96.67 107.9 162.3l-41.25 41.25h47c.25 5.754 .9965 11.5 .9965 17.25C559.1 258.6 558.2 275.1 554.9 293.1z"]],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", ["M192 192V48H280L384 192H192zM384 320L280 464H192V320H384z", "M160 24C160 10.75 170.7 0 184 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H184C170.7 48 160 37.25 160 24zM500.4 192C508.1 192 515.7 193.4 522.9 196.1L625 234.4C634 237.8 640 246.4 640 256C640 265.6 634 274.2 625 277.6L522.9 315.9C515.7 318.6 508.1 320 500.4 320H160L105.4 374.6C99.37 380.6 91.23 384 82.75 384H48C39.16 384 32 376.8 32 368V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V144C32 135.2 39.16 128 48 128H82.75C91.23 128 99.37 131.4 105.4 137.4L160 192H500.4zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272H144C152.8 272 160 264.8 160 256C160 247.2 152.8 240 144 240H80zM296 464C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H296z"]],
    "jet-fighter-up": [576, 512, [], "e518", ["M80 384V296L224 216V384H80zM352 384V216L496 296V384H352z", "M346.8 112.6C350.2 120.6 352 129.2 352 137.9V416.7L410.5 467.1C414 470.1 416 475.4 416 480V496C416 504.8 408.8 512 400 512H304V448C304 439.2 296.8 432 288 432C279.2 432 272 439.2 272 448V512H176C167.2 512 160 504.8 160 496V480C160 475.4 161.1 470.1 165.5 467.1L224 416.7V137.9C224 129.2 225.8 120.6 229.2 112.6L273.3 9.697C275.8 3.814 281.6 0 288 0C294.4 0 300.2 3.814 302.7 9.697L346.8 112.6zM56 256C69.25 256 80 266.7 80 280V392C80 405.3 69.25 416 56 416C42.75 416 32 405.3 32 392V280C32 266.7 42.75 256 56 256zM544 392C544 405.3 533.3 416 520 416C506.7 416 496 405.3 496 392V280C496 266.7 506.7 256 520 256C533.3 256 544 266.7 544 280V392z"]],
    "joint": [640, 512, [], "f595", ["M444.4 181.1C466.8 196.8 480 222.2 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8c0-43.25-21-83.5-56.38-108.1C463.9 125 448 99.38 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.5 156 444.4 181.1zM553.3 87.12C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22.13 10.12 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.2 607.6 123.5 553.3 87.12z", "M195 359C125.1 370.1 59.75 394.8 0 432C83.62 484.2 180.2 512 279 512h88.5l-112.7-131.5C240 363.2 217.4 355.4 195 359zM360.9 352c-34.38 .125-86.75 .25-88.25 .25l117.9 137.4C402.6 503.9 420.4 512 439.1 512h88.38l-117.9-137.6C397.4 360.1 379.6 352 360.9 352zM616 352H432l117.1 137.6C562.1 503.9 579.9 512 598.6 512H616c13.25 0 24-10.75 24-24v-112C640 362.8 629.3 352 616 352z"]],
    "joystick": [448, 512, [128377], "f8c5", ["M128 352V336C128 327.1 120.9 320 112 320h-32C71.12 320 64 327.1 64 336v16.01H128zM256 218.8V352H192V218.8C202.2 221.8 212.8 224 224 224S245.8 221.8 256 218.8z", "M416 352H32c-17.62 0-32 14.38-32 32v96c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-96C448 366.4 433.6 352 416 352zM224 224c61.86 0 112-50.15 112-112S285.9-.0002 224-.0002S111.1 50.14 111.1 111.1S162.1 224 224 224zM200 48C213.3 48 224 58.75 224 72S213.3 96 200 96S176 85.25 176 72S186.8 48 200 48z"]],
    "jug": [448, 512, [], "f8c6", ["M303.1 63.92h-160c-8.837 0-16-7.163-16-16L127.1 16c0-8.837 7.164-16 16-16h159.1c8.837 0 15.1 7.163 15.1 16l-.0003 31.92C319.1 56.76 312.8 63.92 303.1 63.92zM415.1 287.1H32L31.1 415.1h384V287.1z", "M31.1 415.1h384l.0002 32.01c0 35.35-28.65 64-64 64h-256c-35.35 0-64-28.65-64-64L31.1 415.1zM404.9 233.9c7.25 16.13 10.1 36.6 11.12 54.1H32c.0273-29.11 9.875-60.32 28.05-83.05l76.93-96.16c4.541-5.673 7.011-12.73 7.011-19.1L143.1 63.92h160l.0005 24.9c0 7.423 2.58 14.77 7.3 20.51l10.07 12.32c19.38-23.13 51.12-31.68 79.5-21.31c28.38 10.38 47.25 37.39 47.13 67.64C447.1 196.6 431.1 222.4 404.9 233.9zM399.9 167.2c-.375-13-11-23.25-23.88-23.25c-11 0-19.88 7.499-22.75 17.63l24.13 30.13C390.2 190.1 400.2 180.1 399.9 167.2z"]],
    "jug-detergent": [384, 512, [], "e519", ["M200 0C213.3 0 224 10.75 224 24V48H232C245.3 48 256 58.75 256 72C256 85.25 245.3 96 232 96H88C74.75 96 64 85.25 64 72C64 58.75 74.75 48 88 48H96V24C96 10.75 106.7 0 120 0H200z", "M256 128C326.7 128 384 185.3 384 256V480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480V256C0 185.3 57.31 128 128 128H256zM288 224C270.3 224 256 238.3 256 256V352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352V256C320 238.3 305.7 224 288 224z"]],
    "k": [320, 512, [107], "4b", ["M314.3 429.8c10.06 14.53 6.438 34.47-8.094 44.53c-5.562 3.844-11.91 5.688-18.19 5.688c-10.16 0-20.12-4.812-26.34-13.78L128.1 273.3L64 338.9v109.1c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384C0 46.34 14.31 32.01 32 32.01S64 46.34 64 64.01v183.3l201.1-205.7c12.31-12.61 32.63-12.86 45.25-.5c12.62 12.34 12.88 32.61 .5 45.25l-137.2 140.3L314.3 429.8z", ""]],
    "kaaba": [576, 512, [128331], "f66b", ["M60.04 119.1L287.1 48.76L515.1 119.1L287.1 191.2L60.04 119.1zM52.78 245.7C61.21 248.4 65.91 257.3 63.28 265.8C60.64 274.2 51.67 278.9 43.23 276.3L0 262.8V229.2L52.78 245.7zM532.8 276.3C524.3 278.9 515.4 274.2 512.7 265.8C510.1 257.3 514.8 248.4 523.2 245.7L576 229.2V262.8L532.8 276.3zM96.73 276.2C99.37 267.8 108.3 263.1 116.8 265.7L180.8 285.7C189.2 288.4 193.9 297.3 191.3 305.8C188.6 314.2 179.7 318.9 171.2 316.3L107.2 296.3C98.8 293.6 94.1 284.7 96.73 276.2zM479.3 276.2C481.9 284.7 477.2 293.6 468.8 296.3L404.8 316.3C396.3 318.9 387.4 314.2 384.7 305.8C382.1 297.3 386.8 288.4 395.2 285.7L459.2 265.7C467.7 263.1 476.6 267.8 479.3 276.2zM224.7 316.2C227.4 307.8 236.3 303.1 244.8 305.7L283.2 317.7C286.3 318.7 289.7 318.7 292.8 317.7L331.2 305.7C339.7 303.1 348.6 307.8 351.3 316.2C353.9 324.7 349.2 333.6 340.8 336.3L302.3 348.3C292.1 351.2 283 351.2 273.7 348.3L235.2 336.3C226.8 333.6 222.1 324.7 224.7 316.2V316.2z", "M278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V149.2L292.8 237.7C289.7 238.7 286.3 238.7 283.2 237.7L.0006 149.2V112C.0006 98.01 9.097 85.63 22.46 81.46L278.5 1.457zM288 191.2L515.1 120L288 48.76L60.04 120L288 191.2zM302.3 268.3L576 182.8V229.2L523.2 245.7C514.8 248.4 510.1 257.3 512.7 265.8C515.4 274.2 524.3 278.9 532.8 276.3L576 262.8V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 399.1V262.8L43.23 276.3C51.67 278.9 60.64 274.2 63.28 265.8C65.91 257.3 61.21 248.4 52.78 245.7L0 229.2V182.8L273.7 268.3C283 271.2 292.1 271.2 302.3 268.3L302.3 268.3zM116.8 265.7C108.3 263.1 99.37 267.8 96.73 276.2C94.1 284.7 98.8 293.6 107.2 296.3L171.2 316.3C179.7 318.9 188.6 314.2 191.3 305.8C193.9 297.3 189.2 288.4 180.8 285.7L116.8 265.7zM468.8 296.3C477.2 293.6 481.9 284.7 479.3 276.2C476.6 267.8 467.7 263.1 459.2 265.7L395.2 285.7C386.8 288.4 382.1 297.3 384.7 305.8C387.4 314.2 396.3 318.9 404.8 316.3L468.8 296.3zM244.8 305.7C236.3 303.1 227.4 307.8 224.7 316.2C222.1 324.7 226.8 333.6 235.2 336.3L273.7 348.3C283 351.2 292.1 351.2 302.3 348.3L340.8 336.3C349.2 333.6 353.9 324.7 351.3 316.2C348.6 307.8 339.7 303.1 331.2 305.7L292.8 317.7C289.7 318.7 286.3 318.7 283.2 317.7L244.8 305.7z"]],
    "kazoo": [640, 512, [], "f8c7", ["M448 160c52.93 0 96 43.07 96 96s-43.07 96-96 96s-96-43.07-96-96S395.1 160 448 160zM448 112c-79.53 0-144 64.47-144 144s64.47 144 144 144s144-64.47 144-144S527.5 112 448 112z", "M498.9 216.4l-11.25-11.25c-1.5-1.5-3.5-2.375-5.625-2.375c-2.125 0-4.25 .875-5.75 2.375L448 233.4l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38L425.4 256l-28.25 28.25c-1.5 1.5-2.375 3.625-2.375 5.75c0 2.125 .875 4.125 2.375 5.625l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0L448 278.6l28.25 28.25c1.5 1.5 3.625 2.375 5.75 2.375c2.125 0 4.125-.875 5.625-2.375l11.25-11.25c1.5-1.5 2.375-3.5 2.375-5.625c0-2.125-.875-4.25-2.375-5.75L470.6 256l28.25-28.25C501.1 224.6 501.1 219.5 498.9 216.4zM383.3 384H241.9c-11.88 0-23.62-1.625-35.13-4.875l-183.5-52.5C9.5 322.8 0 310.1 0 295.9V216.1c0-14.25 9.5-26.88 23.25-30.75l183.5-52.5C218.3 129.6 229.1 128 241.9 128h141.5C336.5 151.8 304 199.9 304 256S336.5 360.3 383.3 384zM640 160v192c0 17.62-14.38 32-32 32h-95.35C559.5 360.3 592 312.1 592 256s-32.47-104.3-79.35-128H608C625.6 128 640 142.4 640 160z"]],
    "kerning": [640, 512, [], "f86f", ["M302.3 99.38C286.5 91.5 267.3 97.88 259.4 113.7L160 312.4L60.63 113.7C52.73 97.88 33.56 91.5 17.69 99.38C1.875 107.3-4.531 126.5 3.375 142.3l128 256c5.422 10.84 16.5 17.69 28.63 17.69s23.2-6.843 28.62-17.69l128-256C324.5 126.5 318.1 107.3 302.3 99.38zM636.6 369.7l-128-256c-10.84-21.69-46.41-21.69-57.25 0l-128 256c-7.906 15.81-1.5 35.03 14.31 42.94c15.86 7.875 35.02 1.5 42.94-14.31L403.8 352h152.4l23.19 46.31C584.1 409.5 596.3 416 608 416c4.797 0 9.688-1.094 14.28-3.375C638.1 404.7 644.5 385.5 636.6 369.7zM435.8 288L480 199.6L524.2 288H435.8z", "M199.1 512c-2.406 0-4.844-.5312-7.141-1.687c-7.906-3.969-11.11-13.56-7.156-21.47l239.1-479.1c3.969-7.875 13.55-11.16 21.47-7.156c7.906 3.969 11.11 13.56 7.156 21.47l-239.1 479.1C211.5 508.8 205.9 512 199.1 512z"]],
    "key": [512, 512, [128273], "f084", ["M168.3 229.7L282.3 343.7C282.3 343.7 282.3 343.7 282.3 343.7L248.1 376.1C244.5 381.5 238.4 384 232 384H192V424C192 437.3 181.3 448 168 448H128V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V408C0 401.6 2.529 395.5 7.029 391L168.3 229.7C168.3 229.7 168.3 229.7 168.3 229.7V229.7z", "M160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352C317.3 352 299.2 349.1 282.3 343.7L168.3 229.7C162.9 212.8 160 194.7 160 176V176zM376 96C353.9 96 336 113.9 336 136C336 158.1 353.9 176 376 176C398.1 176 416 158.1 416 136C416 113.9 398.1 96 376 96z"]],
    "key-skeleton": [448, 512, [128477], "f6f3", ["M227.3 265.9L141.3 352L182.6 393.4C195.1 405.9 195.1 426.1 182.6 438.6C170.1 451.1 149.9 451.1 137.4 438.6L96 397.3L77.25 416L118.6 457.4C131.1 469.9 131.1 490.1 118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6L9.372 438.6C-3.124 426.1-3.124 405.9 9.372 393.4L182.1 220.7C193.6 238.9 209.1 254.4 227.3 265.9V265.9z", "M160 144C160 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C224.5 288 160 223.5 160 144zM304 224C348.2 224 384 188.2 384 144C384 99.82 348.2 64 304 64C259.8 64 224 99.82 224 144C224 188.2 259.8 224 304 224z"]],
    "key-skeleton-left-right": [640, 512, [], "e3b4", ["M251.1 352H320V320C320 302.3 334.3 288 352 288C369.7 288 384 302.3 384 320V352H416L416 319.1C416 302.3 430.3 287.1 448 288C465.7 288 480 302.3 480 320L480 384C480 401.7 465.7 416 448 416H251.1C237.8 471.2 187.6 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C187.6 256 237.8 296.8 251.1 352V352zM128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320z", "M388 159.1H319.1V192C319.1 209.7 305.7 224 287.1 224C270.3 224 255.1 209.7 255.1 192V159.1H223.1L223.1 192C223.1 209.7 209.7 224 191.1 224C174.3 223.1 159.1 209.7 159.1 191.1L159.1 127.1C159.1 110.3 174.3 95.1 191.1 95.1H388C402.2 40.79 452.4 0 511.1 0C582.7 0 639.1 57.31 639.1 128C639.1 198.7 582.7 256 511.1 256C452.4 256 402.2 215.2 388 159.1V159.1zM511.1 192C547.3 192 575.1 163.3 575.1 128C575.1 92.65 547.3 64 511.1 64C476.7 64 447.1 92.65 447.1 128C447.1 163.3 476.7 192 511.1 192V192z"]],
    "keyboard": [576, 512, [9000], "f11c", ["M512 448H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64h448c35.35 0 64 28.65 64 64v256C576 419.3 547.3 448 512 448zM128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM176 276v-40C176 229.4 170.6 224 164 224h-40C117.4 224 112 229.4 112 236v40C112 282.6 117.4 288 124 288h40C170.6 288 176 282.6 176 276zM272 276v-40C272 229.4 266.6 224 260 224h-40C213.4 224 208 229.4 208 236v40C208 282.6 213.4 288 220 288h40C266.6 288 272 282.6 272 276zM368 276v-40C368 229.4 362.6 224 356 224h-40C309.4 224 304 229.4 304 236v40C304 282.6 309.4 288 316 288h40C362.6 288 368 282.6 368 276zM464 276v-40C464 229.4 458.6 224 452 224h-40C405.4 224 400 229.4 400 236v40C400 282.6 405.4 288 412 288h40C458.6 288 464 282.6 464 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM416 372v-40C416 325.4 410.6 320 404 320h-232C165.4 320 160 325.4 160 332v40C160 378.6 165.4 384 172 384h232C410.6 384 416 378.6 416 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z", "M128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM176 276v-40C176 229.4 170.6 224 164 224h-40C117.4 224 112 229.4 112 236v40C112 282.6 117.4 288 124 288h40C170.6 288 176 282.6 176 276zM272 276v-40C272 229.4 266.6 224 260 224h-40C213.4 224 208 229.4 208 236v40C208 282.6 213.4 288 220 288h40C266.6 288 272 282.6 272 276zM368 276v-40C368 229.4 362.6 224 356 224h-40C309.4 224 304 229.4 304 236v40C304 282.6 309.4 288 316 288h40C362.6 288 368 282.6 368 276zM464 276v-40C464 229.4 458.6 224 452 224h-40C405.4 224 400 229.4 400 236v40C400 282.6 405.4 288 412 288h40C458.6 288 464 282.6 464 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z"]],
    "keyboard-brightness": [640, 512, [], "e1c0", ["M198.6 217.4C211.1 229.9 211.1 250.1 198.6 262.6C186.1 275.1 165.9 275.1 153.4 262.6L89.37 198.6C76.88 186.1 76.88 165.9 89.37 153.4C101.9 140.9 122.1 140.9 134.6 153.4L198.6 217.4zM288 96C288 78.33 302.3 64 320 64C337.7 64 352 78.33 352 96V192C352 209.7 337.7 224 320 224C302.3 224 288 209.7 288 192V96zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4C563.1 165.9 563.1 186.1 550.6 198.6L486.6 262.6C474.1 275.1 453.9 275.1 441.4 262.6C428.9 250.1 428.9 229.9 441.4 217.4L505.4 153.4zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416H32C14.33 416 0 401.7 0 384zM512 384C512 366.3 526.3 352 544 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H544C526.3 416 512 401.7 512 384z", "M192 384C192 366.3 206.3 352 224 352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384z"]],
    "keyboard-brightness-low": [512, 512, [], "e1c1", ["M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM128 224C128 241.7 113.7 256 96 256C78.33 256 64 241.7 64 224C64 206.3 78.33 192 96 192C113.7 192 128 206.3 128 224zM384 224C384 206.3 398.3 192 416 192C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256C398.3 256 384 241.7 384 224zM512 384C512 401.7 497.7 416 480 416C462.3 416 448 401.7 448 384C448 366.3 462.3 352 480 352C497.7 352 512 366.3 512 384zM0 384C0 366.3 14.33 352 32 352C49.67 352 64 366.3 64 384C64 401.7 49.67 416 32 416C14.33 416 0 401.7 0 384z", "M128 384C128 366.3 142.3 352 160 352H352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416H160C142.3 416 128 401.7 128 384z"]],
    "keyboard-down": [576, 512, [], "e1c2", ["M512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM256 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C261.4 128 256 122.6 256 116V76zM160 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C165.4 128 160 122.6 160 116V76zM128 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM128 116c0 6.625-5.375 12-12 12h-40C69.38 128 64 122.6 64 116v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM416 212c0 6.625-5.375 12-12 12h-232c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h232c6.625 0 12 5.375 12 12V212zM416 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM512 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM512 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116z", "M268 128h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C256 122.6 261.4 128 268 128zM172 128h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C160 122.6 165.4 128 172 128zM116 160h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C128 165.4 122.6 160 116 160zM116 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C128 69.38 122.6 64 116 64zM500 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C512 69.38 506.6 64 500 64zM500 160h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C512 165.4 506.6 160 500 160zM404 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C416 69.38 410.6 64 404 64zM392 351.9h-208c-9.549 0-18.19 5.66-22 14.42c-3.814 8.756-2.079 18.97 4.405 25.96l104 112.1c9.498 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.988 8.219-17.2 4.409-25.96C410.2 357.6 401.5 351.9 392 351.9z"]],
    "keyboard-left": [640, 512, [], "e1c3", ["M575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM319.1 140c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V140zM319.1 236c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V236zM287.1 372c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V372zM287.1 276c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V276zM287.1 180c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V180zM479.1 372c0 6.625-5.375 12-12 12h-136c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h136c6.625 0 12 5.375 12 12V372zM479.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM479.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM575.1 372c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V372zM575.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM575.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180z", "M371.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C383.1 229.4 378.6 224 371.1 224zM275.1 128H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 133.4 282.6 128 275.1 128zM275.1 320H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 325.4 282.6 320 275.1 320zM371.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C383.1 133.4 378.6 128 371.1 128zM275.1 224H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 229.4 282.6 224 275.1 224zM563.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 133.4 570.6 128 563.1 128zM467.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 229.4 474.6 224 467.1 224zM563.1 320h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 325.4 570.6 320 563.1 320zM563.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 229.4 570.6 224 563.1 224zM467.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 133.4 474.6 128 467.1 128zM116.5 155.2c-7-3.051-15.15-1.664-20.74 3.523L6.138 241.9C2.046 245.7 .0002 250.9 .0002 255.1c-.002 5.137 2.046 10.28 6.137 14.08L95.74 353.3c5.588 5.188 13.74 6.576 20.74 3.527c7-3.051 11.53-9.965 11.53-17.6V172.8C127.1 165.2 123.5 158.3 116.5 155.2z"]],
    "keynote": [512, 512, [], "f66c", ["M336 448H288v-96H224v96H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 144 512h224c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448zM144 160c0-37.62 26.25-69 62.62-77.5C215.2 90.75 227 96 240 96h64C330.5 96 352 74.5 352 48S330.5 0 304 0h-64C217.6 0 199 15.38 193.8 36C137.8 49.75 96 99.88 96 160H144z", "M508.6 281.2L456.9 177.8C451.4 166.9 440.4 160 428.2 160H83.75C71.62 160 60.62 166.9 55.12 177.8L3.375 281.2C1.125 285.6 0 290.6 0 295.5V320c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V295.5C512 290.6 510.9 285.8 508.6 281.2z"]],
    "khanda": [576, 512, [9772], "f66d", ["M303.9 452.9v-30.12l-15.82-11.07l-16.17 11.31v29.91c-9.387 5.57-15.97 15.4-15.97 27.12c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C319.9 468.2 313.2 458.4 303.9 452.9zM350.7 290.2l-33.31-73.25c-8.75-24.42-8.811-51.19-.061-75.61l33.02-72.51c2.309-5.547 .9335-11.96-3.518-15.1L287.9 .0074l-59.05 52.77c-4.445 4.043-5.914 10.54-3.611 16.09l33.11 72.52C267.1 165.8 267.1 192.6 258.4 216.1L224.1 290.2C222.9 295.4 223.1 301.4 227.9 305.5l43.1 36.11v19.91l16.16 11.2l15.82-10.98v-20.12l44.01-36.12C351.8 301.4 352.9 295.4 350.7 290.2z", "M385.5 120.9c-9.574-16.95-23.4-31.12-40.12-41.1l-20.11 44.18c28.71 20.54 35.33 60.45 14.79 89.16c-4.609 6.445-10.43 11.94-17.06 16.28l20.05 44.05C396.9 243 415.9 174.7 385.5 120.9zM232.7 273.4l20.02-44.02C223.3 209.9 215.2 170.3 234.6 140.8c4.266-6.469 9.63-12.07 15.91-16.61l-20.06-44.03c-53.03 31.82-70.28 100.4-38.46 153.4C201.9 250.2 215.1 263.9 232.7 273.4zM447.7 65.1c-7.732-4.27-17.39-1.474-21.66 6.257c-2.82 5.105-2.697 11.33 .4125 16.26c16.5 26.18 25.27 56.52 25.23 87.46c-.1816 53.25-26.89 102.9-71.24 132.4l-92.44 64.33l-92.5-64.4C151.2 278.8 124.4 229.2 124.2 175.1C124.2 145.1 132.1 114.7 149.5 88.52c4.756-7.445 2.532-17.29-4.914-22.04c-4.959-3.168-11.17-3.348-16.31-.4883c-73.69 40.23-111.8 123.8-90.18 207.5c7.248 28.08 22.38 53.58 41.24 75.59l52.46 61.3c4.875 5.68 13.1 7.244 19.71 3.732l79.25-42.25l29.26 20.37l-47.09 32.75c-1.623-.5195-3.302-.8555-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.1 0 21.72-9.106 23.36-20.75l56.77-39.56l56.69 39.55c1.6 11.64 11.26 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99c0-13.25-10.73-24-23.98-24c-1.699 .1484-3.375 .4844-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c6.609 3.508 14.84 1.948 19.71-3.732l52.51-61.27c18.87-22 34-47.53 41.25-75.61C559.5 189.9 521.4 106.2 447.7 65.1z"]],
    "kidneys": [640, 512, [], "f5fb", ["M274 217.7L209.1 183.6c-12.35 16.28-16.45 32.14-16.97 45.33l59.56 31.35c2.637 1.387 4.289 4.125 4.287 7.106l-.0678 228.7c-.0039 8.84 7.16 16 16 16l15.96-.0002c8.834 0 15.1-7.164 16-15.1L303.1 267.4C303.1 246.5 292.5 227.4 274 217.7zM430.9 183.6l-64.93 34.17c-18.43 9.699-29.97 28.81-29.96 49.64l-.0137 228.6c.0039 8.832 7.166 15.1 16 15.1l16 .0002c8.84 0 16-7.163 16-16l.0113-228.7c-.002-2.98 1.65-5.719 4.287-7.106l59.53-31.33C447.4 215.7 443.3 199.9 430.9 183.6z", "M95.99 24.35c-59.88 53.5-93.62 125.6-95.87 199.6c-1.25 42 7.5 70.94 12.88 90.06c12 42.38 50.5 69.94 92.38 69.94c64.25 0 109.6-61.42 92.5-122c-1.125-3.75-23.11-50.44 26.02-94.31c39.63-35.38 42.99-96.02 7.734-135.5C196.2-7.51 135.5-10.9 95.99 24.35zM543.9 24.27c-39.5-35.13-100.4-31.78-135.7 7.972c-35.25 39.5-31.68 100.2 7.942 135.5c49.5 44.13 26.56 91.15 25.81 93.65c-17.5 60.63 27.63 122.6 92.25 122.6c41.75 0 80.13-27.38 92.25-69.5c5.625-19.25 14.63-48 13.38-90.5C637.8 149.1 604.2 77.89 543.9 24.27z"]],
    "kip-sign": [384, 512, [], "e1c4", ["M64 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H64V288zM182.5 288L145.2 256L182.5 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H182.5z", "M145.2 256L340.8 423.7C354.2 435.2 355.8 455.4 344.3 468.8C332.8 482.2 312.6 483.8 299.2 472.3L128 325.6V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V186.4L299.2 39.7C312.6 28.2 332.8 29.76 344.3 43.18C355.8 56.59 354.2 76.8 340.8 88.3L145.2 256z"]],
    "kit-medical": [576, 512, ["first-aid"], "f479", ["M96 480h32V32H96V480zM448 32v448h32V32H448z", "M512 32h-32v448h32c35.35 0 64-28.66 64-64V96C576 60.66 547.3 32 512 32zM0 96v320c0 35.34 28.65 64 64 64h32V32H64C28.65 32 0 60.66 0 96zM128 480h320V32H128V480zM176 230c0-8.837 7.164-16 16-16h53.1V160c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54H384c8.836 0 16 7.163 16 16v52c0 8.835-7.164 16-16 16h-54V352c0 8.836-7.164 16-16 16h-52c-8.835 0-16-7.164-16-16V298H192c-8.836 0-16-7.165-16-16V230z"]],
    "kitchen-set": [576, 512, [], "e51a", ["M64 144C64 99.82 99.82 64 144 64C188.2 64 224 99.82 224 144C224 188.2 188.2 224 144 224C99.82 224 64 188.2 64 144zM208 480C216.8 480 224 487.2 224 496C224 504.8 216.8 512 208 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H208zM256 296C256 282.7 266.7 272 280 272H376V264C376 250.7 386.7 240 400 240C413.3 240 424 250.7 424 264V272H520C533.3 272 544 282.7 544 296C544 309.3 533.3 320 520 320H280C266.7 320 256 309.3 256 296z", "M284.4 176C269.9 240.1 212.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C212.5 0 269.9 47.87 284.4 112H356.2C365 102.2 377.8 96 392 96H496C522.5 96 544 117.5 544 144C544 170.5 522.5 192 496 192H392C377.8 192 365 185.8 356.2 176H284.4zM144 64C99.82 64 64 99.82 64 144C64 188.2 99.82 224 144 224C188.2 224 224 188.2 224 144C224 99.82 188.2 64 144 64zM176 320C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336C32 327.2 39.16 320 48 320H176zM192 368C192 359.2 184.8 352 176 352H160V384H176C184.8 384 192 376.8 192 368zM512 464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464V320H512V464z"]],
    "kite": [640, 512, [129665], "f6f4", ["M71.1 251l24 15.86l24-15.86L120 224C120 175.4 80.6 136 32 136L16 136c-8.837 0-16 7.161-16 15.1v16c0 8.837 7.163 16 16 16L32 184c22.09 0 40 17.91 40 40L71.1 251zM640 31.99c0-8.473-3.371-16.63-9.37-22.62l-155.6 155.6l153.9 153.8C635.1 312.6 640 303.8 640 294.5V31.99zM321.3 11.11C317.9 15.04 315.5 19.72 314.3 24.79L234.2 371.1l-87.52 87.49c-3.046 3.045-6.957 4.586-10.95 4.586c-7.417 0-15.64-5.809-15.66-15.6l-.035-123.4l-24.01-15.84l-24 15.84L72 443.3C72 484.1 101.1 512 135.6 512c16.76 0 33.14-6.785 44.97-18.63l87.47-87.51l-6.66 1.516c-1.787 .4117-3.593 .6128-5.386 .6128c-6.294 0-12.42-2.479-16.97-7.033l235.1-235.1L321.3 11.11z", "M167.9 223.1c-4.455 0-9.023 1.253-13.22 4.016L95.1 266.9L37.31 228C33.09 225.2 28.51 223.1 24.04 223.1C11.56 223.1 0 233.8 0 247.8v80.32c0 13.99 11.59 23.84 24.07 23.84c4.463 0 9.041-1.259 13.24-4.039l58.69-38.76l58.69 38.84c4.203 2.78 8.783 4.04 13.25 4.04c12.48 0 24.06-9.84 24.06-23.84V247.8C191.1 233.8 180.4 223.1 167.9 223.1zM630.6 9.37c-5.985-5.999-14.14-9.37-22.61-9.37l-262.5 0c-9.306 .0137-18.13 4.068-24.22 11.11l153.8 153.8L239.1 400.1c4.552 4.554 10.68 7.033 16.97 7.033c1.793 0 3.599-.2011 5.386-.6128l353.8-81.62c5.078-1.172 9.775-3.606 13.7-7.03l-153.9-153.8L630.6 9.37z"]],
    "kiwi-bird": [576, 512, [], "f535", ["M576 224.3V464C576 471.3 571.1 477.7 564 479.5C556.1 481.3 549.6 478.1 546 471.8L477.6 348.6C533.9 335.2 575.9 284.7 576 224.3V224.3zM208 415.3C224.7 413.1 240.8 410.5 256 405.1V456C256 469.3 245.3 480 232 480C218.7 480 208 469.3 208 456V415.3zM96 390.3C110.9 398.9 126.1 405.6 144 409.1V456C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V390.3z", "M192 416C85.96 416 0 330 0 224C0 117.1 85.96 32 192 32C228.3 32 262.3 42.08 291.2 59.6C322.4 78.44 355.9 96 392.3 96H448C518.7 96 576 153.3 576 224C576 294.7 518.7 352 448 352H392.3C355.9 352 322.4 369.6 291.2 388.4C262.3 405.9 228.3 416 192 416V416zM448 248C461.3 248 472 237.3 472 224C472 210.7 461.3 200 448 200C434.7 200 424 210.7 424 224C424 237.3 434.7 248 448 248z"]],
    "kiwi-fruit": [448, 512, [], "e30c", ["M224 32C100.3 32 0 96.47 0 176S100.3 320 224 320s224-64.47 224-144S347.7 32 224 32zM292.7 108.7l16-16c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-16 16C312.2 134.4 308.1 136 304 136s-8.188-1.562-11.31-4.688C286.4 125.1 286.4 114.9 292.7 108.7zM208 80C208 71.16 215.2 64 224 64s16 7.156 16 16v24c0 8.844-7.156 16-16 16s-16-7.156-16-16V80zM64 176C64 167.2 71.16 160 80 160h32C120.8 160 128 167.2 128 176S120.8 192 112 192h-32C71.16 192 64 184.8 64 176zM155.3 243.3l-16 16C136.2 262.4 132.1 264 128 264S119.8 262.4 116.7 259.3c-6.25-6.25-6.25-16.38 0-22.62l16-16c6.25-6.25 16.38-6.25 22.62 0S161.6 237.1 155.3 243.3zM155.3 131.3C152.2 134.4 148.1 136 144 136S135.8 134.4 132.7 131.3l-16-16c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l16 16C161.6 114.9 161.6 125.1 155.3 131.3zM240 272C240 280.8 232.8 288 224 288S208 280.8 208 272V248c0-8.844 7.156-16 16-16s16 7.156 16 16V272zM224 203c-30.93 0-56-12.09-56-27S193.1 149 224 149S280 161.1 280 176S254.9 203 224 203zM331.3 259.3C328.2 262.4 324.1 264 320 264s-8.188-1.562-11.31-4.688l-16-16c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l16 16C337.6 242.9 337.6 253.1 331.3 259.3zM368 192h-32C327.2 192 320 184.8 320 176S327.2 160 336 160h32C376.8 160 384 167.2 384 176S376.8 192 368 192z", "M224 320c-123.7 0-224-64.47-224-144V256c0 123.7 100.3 224 224 224s224-100.3 224-224V176C448 255.5 347.7 320 224 320zM224 120c8.844 0 16-7.156 16-16V80C240 71.16 232.8 64 224 64S208 71.16 208 80v24C208 112.8 215.2 120 224 120zM320 176C320 184.8 327.2 192 336 192h32C376.8 192 384 184.8 384 176S376.8 160 368 160h-32C327.2 160 320 167.2 320 176zM304 136c4.094 0 8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-16 16c-6.25 6.25-6.25 16.38 0 22.62C295.8 134.4 299.9 136 304 136zM308.7 259.3C311.8 262.4 315.9 264 320 264s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-16-16c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L308.7 259.3zM80 192h32C120.8 192 128 184.8 128 176S120.8 160 112 160h-32C71.16 160 64 167.2 64 176S71.16 192 80 192zM224 288c8.844 0 16-7.156 16-16V248c0-8.844-7.156-16-16-16s-16 7.156-16 16V272C208 280.8 215.2 288 224 288zM132.7 220.7l-16 16c-6.25 6.25-6.25 16.38 0 22.62C119.8 262.4 123.9 264 128 264s8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62S138.9 214.4 132.7 220.7zM132.7 131.3C135.8 134.4 139.9 136 144 136s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-16-16c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L132.7 131.3z"]],
    "knife": [512, 512, ["utensil-knife"], "f2e4", ["M445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.84 508.7 127.1C501.7 163.3 483.1 196.7 457.9 222.8L353.6 327.1C347.7 333 340.6 337.7 332.8 340.1C325.1 344.2 316.7 345.8 308.3 345.8C299.9 345.8 291.6 344.2 283.8 340.1C276.1 337.7 269 333 263.1 327.1L195.2 259.2L445 9.377z", "M252.3 316.3L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L195.7 259.7L252.3 316.3z"]],
    "knife-kitchen": [576, 512, [128298], "f6f5", ["M291.9 194.7L4.888 469.9c-8.75 8.375-5.25 22.62 6.5 26.5c113.9 36.5 239.4 7.999 324.2-73.87l85.37-80.75c6.5-6.25 6.5-16.37 0-22.62L291.9 194.7z", "M566.3 43.24l-35.12-33.88c-12.1-12.5-33.1-12.5-46.1-.0007l-192.2 185.4l111.1 108.1l34.37-27.75c6.25-5.1 9.75-14.12 9.75-22.62V207.1l118.2-119.4C579.2 76.12 579.2 55.74 566.3 43.24zM443.3 155.3c-6.256 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C449.6 138.9 449.6 149.1 443.3 155.3zM507.3 91.3c-6.256 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C513.6 74.93 513.6 85.18 507.3 91.3z"]],
    "l": [320, 512, [108], "4c", ["M320 448c0 17.67-14.31 32-32 32H64c-17.69 0-32-14.33-32-32v-384C32 46.34 46.31 32.01 64 32.01S96 46.34 96 64.01v352h192C305.7 416 320 430.3 320 448z", ""]],
    "lacrosse-stick": [640, 512, [], "e3b5", ["M225.9 303.1l-182.6 151.5c-7.548 6.265-11.58 15.26-11.58 24.27c0 21.39 18.72 31.64 32.24 31.64c6.024 0 13.79-1.708 20.76-7.452l183.6-152.3C250 339.7 235.3 323.4 225.9 303.1z", "M433.9 63.32c.1205-.0007 .241-.0011 .3616-.0011c51.81 0 109.2 63.95 109.2 120.9c0 68.83-64.2 31.17-160.5 106.9l-6.093 4.821c-12.3 9.683-24.25 12.76-37.13 12.76c-55.45 0-61.32-45.8-61.32-55.5c0-35.78 22.62-51.32 23.56-52.06L308.4 196.2C400.2 123.8 382.8 63.62 433.9 63.32zM433.6-.682c-95.81 .5716-86.71 85.04-164.8 146.6L262.5 150.8C252.7 158.5 214.4 190.1 214.4 253.2c0 59.57 46.16 119.8 125.2 119.8c33.33 0 59.44-13.03 76.82-26.72l6.208-4.911c26.95-21.2 61.19-36.86 107.7-49.28c37.46-9.953 77.19-44.58 77.19-108.2c0-74.42-70.53-184.5-173.3-184.5C434-.6842 433.8-.6834 433.6-.682z"]],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", ["M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80S608 476.2 608 432C608 387.8 572.2 352 528 352zM225.9 303.1l-182.6 151.5c-7.548 6.265-11.58 15.26-11.58 24.27c0 21.39 18.74 31.64 32.24 31.64c6.022 0 13.78-1.707 20.75-7.452l183.6-152.3C250 339.7 235.3 323.4 225.9 303.1z", "M433.9 63.32c.1205-.0007 .241-.0011 .3616-.0011c51.81 0 109.2 63.95 109.2 120.9c0 68.83-64.2 31.17-160.5 106.9l-6.093 4.821c-12.3 9.683-24.26 12.76-37.13 12.76c-55.45 0-61.31-45.8-61.31-55.5c0-35.78 22.62-51.32 23.56-52.06L308.4 196.2C400.2 123.8 382.8 63.62 433.9 63.32zM433.6-.682c-95.81 .5716-86.71 85.04-164.8 146.6L262.5 150.8C252.7 158.5 214.4 190.1 214.4 253.2c0 59.57 46.16 119.8 125.2 119.8c33.33 0 59.44-13.03 76.82-26.72l6.208-4.911c26.95-21.2 61.19-36.86 107.7-49.28c37.46-9.953 77.19-44.58 77.19-108.2c0-74.42-70.53-184.5-173.3-184.5C434-.6842 433.8-.6834 433.6-.682z"]],
    "lambda": [448, 512, [], "f66e", ["M448 448c0 17.69-14.31 32-32 32h-64c-12.12 0-23.19-6.844-28.62-17.69l-130.6-261.2l-115.5 259.9c-5.312 11.94-17 19-29.28 19c-4.344 0-8.75-.875-12.97-2.75c-16.16-7.188-23.41-26.09-16.25-42.25l136.9-308.1L140.2 96.01H32c-17.69 0-32-14.31-32-32s14.31-32 32-32l128-.0049c12.12 0 23.19 6.849 28.62 17.69l183.2 366.3H416C433.7 416 448 430.3 448 448z", ""]],
    "lamp": [448, 512, [], "f4ca", ["M351.1 428.8c0 28.5-11.5 54.25-30.5 74.37C315.7 509.1 307.6 512 299.2 512h-150.5c-8.375 0-16.5-2.875-22.25-8.875c-19-20-30.5-45.87-30.5-74.37c0-42 26.78-103.5 64.03-140.8V256h128v32C325.3 325.3 351.1 386.8 351.1 428.8z", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.782 230.1 7.718 256 30.22 256h387.6C439.5 256 454.1 232.5 445.5 211.4z"]],
    "lamp-desk": [512, 512, [], "e014", ["M221.8 119.8l-118.8 118.9C98.45 243.2 95.97 249.4 95.97 255.7c0 2.178 .2967 4.374 .907 6.528l53 185.7h50l-52.88-185.2l108.8-108.8L221.8 119.8zM471.1 223.9c0-13-4.516-26.03-13.61-36.51l-78.63 78.72c10.47 9.109 23.48 13.63 36.47 13.63c14.31 0 28.6-5.491 39.41-16.38C466.5 252.5 471.1 238.2 471.1 223.9z", "M319.1 447.9H63.97C18.94 447.9 0 486.8 0 496.5C0 504.7 7.311 512 16.14 512h351.7c8.83 0 16.12-7.252 16.12-15.51C383.9 486.7 364.6 447.9 319.1 447.9zM512 81.2c0-9.067-7.032-17.76-17.63-17.76h-147.9l-45.25-45.31C288.8 6.039 272.7 0 256.6 0C222.1 0 192.6 27.89 192.6 64.05c0 16.11 6.032 32.23 18.11 44.7l45.11 45.14l.154 148.3c0 10.61 8.642 17.64 17.7 17.64c4.3 0 8.721-1.584 12.3-5.13l220.9-221.2C510.4 89.89 512 85.5 512 81.2z"]],
    "lamp-floor": [384, 512, [], "e015", ["M224 448H160l.0098-224h64.01L224 448z", "M256 448H127.1c-28.38 0-55.01 18.5-63.26 44.13C61.49 502 69.78 512 80.16 512h223.7c10.38 0 18.67-9.1 15.42-19.88C311 466.5 284.4 448 256 448zM381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.645 189.3-.6442 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224h320c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.3 381.4 179.4z"]],
    "lamp-street": [512, 512, [], "e1c5", ["M288 128v99.45l64-.0137V128c0-70.58-57.4-128-127.1-128H128C57.41 0 0 57.42 0 128v384h64V128c0-35.3 28.72-64 64-64h96C259.3 64 288 92.7 288 128zM256 448c0 35.38 28.62 64 63.99 64s64.01-28.62 64.01-64H256z", "M511.8 388.8C513.8 403.2 502.1 416 487.6 416H152.4c-14.53 0-26.16-12.81-24.19-27.16C140 306.2 205.3 241.2 288 227.5l64-.0137C434.8 241.2 499.1 306.1 511.8 388.8z"]],
    "land-mine-on": [576, 512, [], "e51b", ["M384 288C401.7 288 416 302.3 416 320V352H159.1V320C159.1 302.3 174.3 288 191.1 288H384zM450.3 384C468.5 384 485.1 394.3 493.3 410.5L520.8 465.7C531.5 486.1 516 512 492.2 512H83.78C59.99 512 44.52 486.1 55.15 465.7L82.73 410.5C90.86 394.3 107.5 384 125.7 384H450.3z", "M287.1 0C301.3 0 311.1 10.75 311.1 24V168C311.1 181.3 301.3 192 287.1 192C274.7 192 263.1 181.3 263.1 168V24C263.1 10.75 274.7 0 287.1 0zM4.266 138.3C11.81 127.4 26.76 124.7 37.66 132.3L141.7 204.3C152.6 211.8 155.3 226.8 147.7 237.7C140.2 248.6 125.2 251.3 114.3 243.7L10.34 171.7C-.5607 164.2-3.279 149.2 4.266 138.3V138.3zM538.3 132.3C549.2 124.7 564.2 127.4 571.7 138.3C579.3 149.2 576.6 164.2 565.7 171.7L461.7 243.7C450.8 251.3 435.8 248.6 428.3 237.7C420.7 226.8 423.4 211.8 434.3 204.3L538.3 132.3z"]],
    "landmark": [512, 512, [127963], "f66f", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M495.9 132.2C508.5 139.4 514.7 154.2 510.9 168.2C507.2 182.2 494.5 192 480 192H32C17.49 192 4.799 182.2 1.075 168.2C-2.649 154.2 3.528 139.4 16.13 132.2L240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2z"]],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", ["M127.1 416H167.1V288H231.1V416H280V288H344V416H384V288H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V288H127.1V416z", "M264 0C277.3 0 288 10.75 288 24V34.65C368.4 48.14 431.9 111.6 445.3 192H448C465.7 192 480 206.3 480 224C480 241.7 465.7 256 448 256H64C46.33 256 32 241.7 32 224C32 206.3 46.33 192 64 192H66.65C80.14 111.6 143.6 48.14 224 34.65V24C224 10.75 234.7 0 248 0H264z"]],
    "landmark-flag": [512, 512, [], "e51c", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M352 0C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H272V128H464C481.7 128 496 142.3 496 160C496 177.7 481.7 192 464 192H48C30.33 192 16 177.7 16 160C16 142.3 30.33 128 48 128H240V16C240 7.164 247.2 0 256 0H352z"]],
    "language": [640, 512, [], "f1ab", ["M160 233.2L179 276H140.1L160 233.2zM0 128C0 92.65 28.65 64 64 64H320V448H64C28.65 448 0 419.3 0 384V128zM141.7 175.9L77.72 319.9C73.24 329.1 77.78 341.8 87.88 346.3C97.97 350.8 109.8 346.2 114.3 336.1L123.2 315.1H196.8L205.7 336.1C210.2 346.2 222 350.8 232.1 346.3C242.2 341.8 246.8 329.1 242.3 319.9L178.3 175.9C175.1 168.7 167.9 164 160 164C152.1 164 144.9 168.7 141.7 175.9H141.7z", "M640 384C640 419.3 611.3 448 576 448H320V64H576C611.3 64 640 92.65 640 128V384zM500 184C500 172.1 491 164 480 164C468.1 164 460 172.1 460 184V188H408C396.1 188 388 196.1 388 208C388 219 396.1 228 408 228H515.1C507.8 244.7 497.7 259.9 485.3 272.1L484.7 272.4L470.1 257.9C462.3 250 449.7 250 441.9 257.9C434 265.7 434 278.3 441.9 286.1L454 298.3C448.1 301.1 441.9 305.2 435.5 308.1L431.9 309.7C421.8 314.2 417.2 326 421.7 336.1C426.2 346.2 438 350.8 448.1 346.3L451.8 344.7C463.8 339.3 475.2 332.8 485.7 325.3C489.1 328.3 494.4 331.1 498.8 333.8L517.7 345.1C527.2 350.8 539.5 347.8 545.2 338.3C550.8 328.8 547.8 316.5 538.3 310.9L519.4 299.5C518.5 298.1 517.6 298.4 516.7 297.9C533.9 279.1 547.5 256.1 556.4 232.5L558 228H560C571 228 580 219 580 208C580 196.1 571 188 560 188H500V184zM160 164C167.9 164 175.1 168.7 178.3 175.9L242.3 319.9C246.8 329.1 242.2 341.8 232.1 346.3C222 350.8 210.2 346.2 205.7 336.1L196.8 315.1H123.2L114.3 336.1C109.8 346.2 97.97 350.8 87.88 346.3C77.78 341.8 73.24 329.1 77.72 319.9L141.7 175.9C144.9 168.7 152.1 164 160 164H160zM140.1 276H179L160 233.2L140.1 276z"]],
    "laptop": [640, 512, [128187], "f109", ["M624 383.1h-608c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.2 632.8 383.1 624 383.1zM128 96h384v256h64v-272c0-26.38-21.62-48-48-48h-416c-26.38 0-48 21.62-48 48V352h64V96z", "M512 352H128V96h384V352z"]],
    "laptop-arrow-down": [640, 512, [], "e1c6", ["M624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM512 352h64V80C576 53.63 554.4 32 528 32h-184v64H512V352zM128 96h168V32H112C85.63 32 64 53.63 64 80V352h64V96z", "M512 96v256H128V96h168v126.1L256.1 183C252.3 178.3 246.2 176 240 176S227.7 178.3 223 183c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L344 222.1V96H512z"]],
    "laptop-code": [640, 512, [], "f5fc", ["M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384z", "M128 96v256h384V96H128zM274.1 257.9c7.812 7.812 7.812 20.5 0 28.31C270.2 290.1 265.1 292 260 292S249.8 290.1 245.9 286.2l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L240.3 224L274.1 257.9zM442.1 238.2l-48 48C390.2 290.1 385.1 292 380 292s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31l33.86-33.84l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C449.1 217.7 449.1 230.4 442.1 238.2z"]],
    "laptop-file": [640, 512, [], "e51d", ["M192 96C192 113.7 206.3 128 224 128H320V192H288C243.8 192 208 227.8 208 272V384C187.1 384 169.3 397.4 162.7 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H192V96zM320 96H224V0L320 96z", "M240 416V272C240 245.5 261.5 224 288 224H544C570.5 224 592 245.5 592 272V416H624C632.8 416 640 423.2 640 432V448C640 483.3 611.3 512 576 512H256C220.7 512 192 483.3 192 448V432C192 423.2 199.2 416 208 416H240zM528 416V288H304V416H528z"]],
    "laptop-medical": [640, 512, [], "f812", ["M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384z", "M128 96v256h384V96H128zM416 240c0 8.8-7.2 15.1-16 15.1H352V303.1C352 312.8 344.8 320 336 320h-32C295.2 320 288 312.8 288 303.1V255.1H240C231.2 255.1 224 248.8 224 240V207.1C224 199.2 231.2 192 240 192H288V144C288 135.2 295.2 128 304 128h32C344.8 128 352 135.2 352 144V192h48C408.8 192 416 199.2 416 207.1V240z"]],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", ["M448 192v256h128V192H448zM128 64h320v32h64V48c0-26.5-21.5-47.88-47.88-48H111.9C85.5 .125 64 21.5 64 48V288H16C7.125 288 0 295.1 0 304V320c.125 35.25 28.63 63.88 63.88 64H352V288H128V64z", "M604 127.1h-184C400.1 127.1 384 144.1 384 164v312C384 495.9 400.1 512 420 512h184C623.9 512 640 495.9 640 476v-312C640 144.1 623.9 127.1 604 127.1zM576 448h-128V192h128V448z"]],
    "laptop-slash": [640, 512, [], "e1c7", ["M128 196.6L64 146.4V352h64V196.6zM16 383.1c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64L489.6 480l-122.5-96L16 383.1zM623.1 384h-101.8l98.76 77.4C632.7 449.8 639.1 433.7 639.1 416v-16C639.1 391.3 632.7 384 623.1 384zM575.1 352l.0007-272c0-26.38-21.62-48-48-48H112C101.8 32 92.27 35.33 84.45 40.88L154.8 96H512v256H575.1z", "M615.1 512c-5.156 0-10.38-1.674-14.79-5.112L9.188 42.89C-1.249 34.72-3.067 19.63 5.12 9.189C13.25-1.217 28.28-3.092 38.81 5.111l591.1 463.1c10.44 8.172 12.26 23.27 4.068 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "lari-sign": [384, 512, [], "e1c8", ["M144 32C161.7 32 176 46.33 176 64V96.66C153.3 98.53 131.8 104.3 112 113.4V64C112 46.33 126.3 32 144 32V32zM176 160.1V256C176 273.7 161.7 288 144 288C126.3 288 112 273.7 112 256V188.1C129.1 173.7 151.1 163.1 176 160.1V160.1zM272 188.1V256C272 273.7 257.7 288 240 288C222.3 288 208 273.7 208 256V160.1C232 163.1 254 173.7 272 188.1zM208 96.66V64C208 46.33 222.3 32 240 32C257.7 32 272 46.33 272 64V113.4C252.2 104.3 230.7 98.53 208 96.66z", "M192 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H48.89C18.49 382 0 337.2 0 288C0 181.1 85.96 96 192 96C284.9 96 362.4 161.1 380.2 249.6C383.7 266.1 372.5 283.8 355.2 287.4C337.8 290.9 320.1 279.7 317.4 262.4C305.6 203.1 253.9 160 192 160C121.3 160 64 217.3 64 288C64 358.7 121.3 416 192 416V416z"]],
    "lasso": [576, 512, [], "f8c8", ["M576 176C576 273.2 447.1 352 288 352C273.1 352 258.4 351.3 244.1 349.1C251.8 365.3 256 382.4 256 400.2C256 461.9 205.9 512 144.2 512H56C42.75 512 32 501.3 32 488C32 474.7 42.75 464 56 464H144.2C179.4 464 208 435.4 208 400.2C208 375.3 193.5 352.7 170.9 342.2L126.6 321.8C50.2 290.1 0 236.6 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176zM288 304C420.5 304 528 246.7 528 176C528 105.3 420.5 48 288 48C155.5 48 48 105.3 48 176C48 246.7 155.5 304 288 304z", ""]],
    "lasso-sparkles": [576, 512, [], "e1c9", ["M281.4 25.36L255.3 34.98C240.2 40.58 229.2 53.26 225.4 68.43C132.2 81.97 64 125 64 176C64 237.9 164.3 288 288 288C411.7 288 512 237.9 512 176C512 144.8 486.4 116.5 445.2 96.21C447 91.1 448 85.63 448 80C448 59.92 435.5 41.95 416.7 34.98L390.6 25.36L385 10.24C496.4 34.58 576 99.61 576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0C288.9 0 289.8 .0026 290.7 .0077L281.4 25.36z", "M336 0C342.7 0 348.7 4.168 351 10.45L365.7 50.26L405.6 64.99C411.8 67.32 416 73.3 416 80C416 86.7 411.8 92.68 405.6 95.01L365.7 109.7L351 149.6C348.7 155.8 342.7 160 336 160C329.3 160 323.3 155.8 320.1 149.6L306.3 109.7L266.4 95.01C260.2 92.68 256 86.7 256 80C256 73.3 260.2 67.32 266.4 64.99L306.3 50.26L320.1 10.45C323.3 4.168 329.3 0 336 0V0zM496 352C502.7 352 508.7 356.2 511 362.4L525.7 402.3L565.6 416.1C571.8 419.3 576 425.3 576 432C576 438.7 571.8 444.7 565.6 447L525.7 461.7L511 501.6C508.7 507.8 502.7 512 496 512C489.3 512 483.3 507.8 480.1 501.6L466.3 461.7L426.4 447C420.2 444.7 416 438.7 416 432C416 425.3 420.2 419.3 426.4 416.1L466.3 402.3L480.1 362.4C483.3 356.2 489.3 352 496 352z"]],
    "layer-group": [512, 512, [], "f5fd", ["M292.9 279.8L444.9 209.6L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L67.13 209.6L219.1 279.8C242.5 290.7 269.5 290.7 292.9 279.8V279.8z", "M232.5 5.167C247.4-1.722 264.6-1.722 279.5 5.167L498.1 106.2C506.6 110.1 512 118.6 512 127.1C512 137.3 506.6 145.8 498.1 149.8L279.5 250.8C264.6 257.7 247.4 257.7 232.5 250.8L13.93 149.8C5.438 145.8 0 137.3 0 127.1C0 118.6 5.437 110.1 13.93 106.2L232.5 5.167zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z"]],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", ["M232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z", "M352 80C352 66.75 362.7 56 376 56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H376C362.7 104 352 93.25 352 80z"]],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", ["M232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z", "M456 56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H456V136C456 149.3 445.3 160 432 160C418.7 160 408 149.3 408 136V104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H408V24C408 10.75 418.7 0 432 0C445.3 0 456 10.75 456 24V56z"]],
    "leaf": [512, 512, [], "f06c", ["M512 165.4c0 127.9-70.06 235.3-175.3 270.1c-20.04 7.938-41.83 12.46-64.69 12.46c-68.27 0-127.3-38.92-156.5-95.75c42.63-42.12 109.4-80.24 212.5-80.24c13.25 0 23.1-10.75 23.1-24s-10.75-24-23.1-24c-105.8 0-178.9 36.21-229 79.54C97.13 293.3 96.01 282.8 96.01 272c0-97.21 78.81-176.1 176-176.1c13.84 0 27.29 1.411 40.18 4.481c55.1 13.33 118.2-7.409 149.3-61.24c5.664-9.829 20.02-9.516 24.66 .8282C502.7 76.76 512 121.9 512 165.4z", "M24.02 480c-2.062 0-4.192-.2813-6.316-.8438c-12.75-3.469-20.31-16.59-16.87-29.38C1.454 447.5 64.67 224 328 224c13.25 0 23.1 10.75 23.1 24s-10.75 24-23.1 24c-225.8 0-278.7 182.5-280.8 190.3C44.23 472.1 34.58 480 24.02 480z"]],
    "leaf-heart": [512, 512, [], "f4cb", ["M486.2 39.98c-4.639-10.34-18.99-10.66-24.66-.8281c-31.09 53.82-93.33 74.56-149.3 61.23c-25.25-6.008-52.6-6.555-80.93 .0078c-65.4 15.14-117.1 68.35-131.4 134.2C94.81 259.1 95.13 282.9 99.44 305.2C21.89 368.2 .9922 449 .668 450.4c-3.094 12.88 4.859 25.86 17.75 28.96C20.29 479.8 22.19 480 24.03 480c10.85 0 20.69-7.414 23.33-18.42c.2461-1.016 14.82-58.13 68.96-108.1c30.51 57.96 90.8 94.46 155.7 94.46c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z", "M382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z"]],
    "leaf-maple": [512, 512, [127809], "f6f6", ["M503.1 196.1l-141.3 89.89l65.07-16.67c12.66-2.758 23.82 8.648 20.69 21.19l-13.92 25.83l51.53 45.51c8.65 6.895 8.65 20.18 0 27.08l-51.53 45.51l13.92 25.7c3.133 12.54-8.023 24.07-20.69 21.19l-160.6-33.1l-16.05 37.24c-3.009 7.019-9.465 10.53-15.94 10.53c-6.473 .0001-12.96-3.509-16.03-10.53l-48.69-109.9l142.6-142.6c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0L136.5 341.6L26.53 292.9C19.51 289.8 16 283.3 16 276.9C15.1 270.4 19.51 263.9 26.53 260.9l37.24-16.05L30.67 84.27C27.79 71.6 39.32 60.45 51.86 63.58l25.7 13.92l45.51-51.53c6.896-8.652 20.19-8.652 27.08 0l45.51 51.53l25.83-13.92C234 60.45 245.4 71.6 242.7 84.27L226 149.3l89.9-141.3c3.053-4.829 7.829-7.511 12.86-7.999c6.332-.6135 13.03 2.227 16.73 8.374l22.31 37.36L456.8 35.88c5.596-.6289 10.71 1.43 14.28 5.02c3.596 3.574 5.652 8.691 5.023 14.29l-9.904 89.02l37.36 22.32c4.842 2.914 7.607 7.64 8.264 12.61C512.7 185.5 510.1 192.2 503.1 196.1z", "M312.1 232.1l-272 271.1C36.28 509.7 30.14 511.1 24 511.1s-12.28-2.344-16.97-7.031C2.344 500.3 0 494.1 0 487.1c0-6.141 2.344-12.28 7.031-16.97l272-271.1c9.375-9.375 24.56-9.375 33.94 0S322.3 223.6 312.1 232.1z"]],
    "leaf-oak": [512, 512, [], "f6f7", ["M498 232.8c-6.246 6.75-14.62 11.76-22.62 16.63c-12.62 7.871-25.62 14.98-39.86 23.11c4.457 5.469 8.092 9.71 11.44 13.85c22.32 27.61 15.85 65.11-15.49 81.78c-22.07 11.74-45.52 10.24-69.42 7.221c-12.75-1.625-25.74-2.625-42.24-4.375c4.248 6.125 6.246 8.624 7.748 11.25c14.99 26.11 4.246 55.37-24.62 63.23c-11.87 3.129-25.62 3.497-37.61 .7513c-17.24-3.875-33.36-12.87-50.61-17.5c-20.68-5.783-30.03-.5801-35.67 1.266c-19.51 6.422-40 3.705-57.74-5.345l191.7-191.7c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-191.7 191.7c-9.049-17.74-11.72-38.21-5.298-57.71c1.857-5.646 7.077-14.9 1.265-35.67C78.71 280.1 69.71 263.9 65.84 246.7c-2.748-12-2.374-25.75 .7506-37.62C74.46 180.2 103.7 169.5 129.8 184.5c2.625 1.5 5.124 3.501 11.25 7.747C139.3 175.7 138.3 162.7 136.7 149.1C133.7 126.1 132.2 102.6 143.9 80.54c16.67-31.34 54.17-37.82 81.78-15.49C229.8 68.39 234.1 72.03 239.5 76.48c8.121-14.25 15.24-27.24 23.11-39.86c4.871-7.996 9.872-16.38 16.62-22.62c23.74-22.12 59.1-17.36 77.85 9.624c6.799 10.37 10.35 25.29 26.87 20.5c32.99-9.742 57.02-2.832 71.52 12.41c15.24 14.5 22.14 38.52 12.39 71.5c-4.738 16.34 9.73 19.8 20.5 26.87C515.4 173.6 520.1 209 498 232.8z", "M312.1 232.1l-272 272C36.28 509.7 30.14 512 23.1 512s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l272-272c9.375-9.375 24.56-9.375 33.94 0S322.3 223.6 312.1 232.1z"]],
    "leafy-green": [576, 512, [129388], "e41d", ["M448 208h-57.38l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 249.4V192c0-8.844-7.156-16-16-16S272 183.2 272 192v89.38l-59.31 59.31c-6.25 6.25-6.25 16.38 0 22.62C215.8 366.4 219.9 368 224 368s8.188-1.562 11.31-4.688L358.6 240H448c8.844 0 16-7.156 16-16S456.8 208 448 208zM209.1 50.16c-6.756-14.12-16.79-26.72-30.68-36.05C163.9 4.337 147.4 .1842 131.2 1.436C114.1 1.833 98.9 7.641 85.16 18.85C72.03 29.57 63.01 43.13 57.37 57.88C51.24 73.91 41.92 87.31 30.14 96.75c-5.34 4.283-10.21 9.412-14.43 15.44c-18.43 26.33-20.01 60.79-8.064 89.38c15.27 36.55-.5 82.62 27.35 111.9c45.69 48.04 40.4 69.47 46.28 90.76l14.97-14.97c1.482-79.13 14.61-103.3 31.68-125.5C136 253.2 142.1 244.1 142.1 190.7c0-43.31 26.17-70.82 47.2-92.92c11.12-11.69 21.45-22.81 27.13-34.71C214.5 58.87 211.4 54.95 209.1 50.16z", "M573.4 93.82c-4.891-22.76-16.55-42.92-32.72-58.4c-15.44-16.2-35.56-27.89-58.27-32.79C460.7-2.043 440.3-.2305 421.1 6c-19.89 6.762-40.42 8.139-59.74 3.807c-8.758-1.967-17.77-2.95-27.03-2.353c-40.45 2.588-72.48 29.15-86.66 64.53C230.4 117.2 174.1 138.5 174.1 190.7c0 134.2-45.96 48.25-46.97 207.9c-.0078 1.297 .2871 2.494 .3809 3.762l-55.01 55.01c-12.5 12.5-12.5 32.75 0 45.25C79.63 508.9 87.81 512 96 512s16.38-3.125 22.62-9.375l55.2-55.2C175.8 447.7 177.8 448 179.9 448c157.7 0 70.43-46.07 205.8-46.07c52.03-.0039 73.3-55.57 118.4-73.75c35.29-14.22 61.7-46.2 64.28-86.74c.5938-9.287-.2884-18.43-2.249-27.21c-4.322-19.37-2.951-39.94 3.799-59.87C576.2 136 578 115.6 573.4 93.82zM448 208c8.844 0 16 7.156 16 16S456.8 240 448 240h-89.38l-123.3 123.3C232.2 366.4 228.1 368 224 368s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L272 281.4V192c0-8.844 7.156-16 16-16s16 7.156 16 16v57.38l132.7-132.7c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L390.6 208H448z"]],
    "left": [448, 512, ["arrow-alt-left"], "f355", ["M448 224v64c0 17.67-14.33 32-32 32h-192V192h192C433.7 192 448 206.3 448 224z", "M224 416c0 12.94-7.797 24.61-19.75 29.56c-11.97 4.953-25.72 2.219-34.88-6.938l-160-160C3.125 272.4 0 264.2 0 256s3.125-16.38 9.375-22.62l160-160c9.156-9.156 22.91-11.89 34.88-6.938C216.2 71.39 224 83.06 224 96V416z"]],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", ["M415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z", "M351.9 223.1v64c0 17.67-14.35 32-32.04 32H191.8v72c0 9.58-5.708 18.25-14.51 22.05c-8.803 3.781-19.03 1.984-26-4.594L7.201 273.5c-9.602-9.062-9.602-25.84 0-34.91l144.1-136C158.3 95.96 168.5 94.17 177.3 97.95C186.1 101.7 191.8 110.4 191.8 119.1v72h128.1C337.6 191.1 351.9 206.3 351.9 223.1z"]],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", ["M512 256C512 273.7 497.7 288 480 288H160.1V224H480C497.7 224 512 238.3 512 256z", "M145.7 130c-8.754-3.812-18.95-2.079-25.94 4.406L7.678 238.4c-10.24 9.5-10.24 25.69 0 35.19l112.1 104c6.992 6.484 17.18 8.219 25.94 4.407c8.758-3.812 14.42-12.45 14.42-22V151.1C160.1 142.5 154.4 133.8 145.7 130z"]],
    "left-long-to-line": [640, 512, [], "e41e", ["", "M247.8 377.6L135.7 273.6C125.4 264.1 125.4 247.9 135.7 238.4L247.8 134.4C254.7 127.9 264.9 126.2 273.7 129.1C282.4 133.8 288.1 142.5 288.1 151.1V208H608C625.7 208 640 222.3 640 240V272C640 289.7 625.7 304 608 304H288.1V360C288.1 369.5 282.4 378.2 273.7 382C264.9 385.8 254.7 384.1 247.8 377.6V377.6zM64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96z"]],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", ["M256 208h96.34V152c0-9.547 5.656-18.19 14.41-22s18.94-2.078 25.92 4.406l112 104c9.781 9.094 9.781 26.09 0 35.19l-112 104c-6.984 6.484-17.17 8.219-25.92 4.406S352.3 369.5 352.3 360V304H256V208z", "M256 304L159.7 303.1V360c0 9.547-5.656 18.19-14.41 22s-18.94 2.078-25.92-4.406l-112-104c-9.781-9.094-9.781-26.09 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406C154 133.8 159.7 142.5 159.7 152v55.1L256 208V304z"]],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", ["M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64z", "M103.3 238.5l144.1-136c6.975-6.578 17.2-8.375 26-4.594C282.2 101.8 287.9 110.4 287.9 120L287.9 192h128.1c17.69 0 32.02 14.33 32.02 32v64c0 17.67-14.34 32-32.02 32h-128.1l-.0314 72c0 9.578-5.708 18.25-14.51 22.05c-8.805 3.781-19.03 1.984-26-4.594l-144.1-136C93.66 264.4 93.66 247.6 103.3 238.5z"]],
    "lemon": [448, 512, [127819], "f094", ["M427.9 52.1c-20.13-20.23-47.58-25.27-65.63-14.77c-51.63 30.08-158.6-46.49-281 75.91c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63c20.13 20.24 47.58 25.27 65.63 14.77c51.63-30.08 158.6 46.49 281-75.91c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z", "M211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z"]],
    "less-than": [384, 512, [62774], "3c", ["M351.1 448c-4.797 0-9.688-1.094-14.28-3.375l-320-160C6.844 279.2 0 268.1 0 256c0-12.13 6.844-23.18 17.69-28.62l320-160c15.88-7.875 35.05-1.5 42.94 14.31c7.906 15.81 1.5 35.03-14.31 42.94L103.5 256l262.8 131.4c15.81 7.906 22.22 27.12 14.31 42.94C375 441.5 363.7 448 351.1 448z", ""]],
    "less-than-equal": [448, 512, [], "f537", ["M52.11 208.2l320 118.8c3.906 1.451 7.922 2.118 11.88 2.118c12.7 0 24.72-7.051 29.73-18.69c6.562-15.23-1.422-32.53-17.83-38.62L150.2 180.6L395.9 89.34c16.41-6.093 24.39-23.39 17.83-38.62S388.6 28.15 372.1 34.21l-320 118.8C39.97 157.5 32 168.4 32 180.6S39.97 203.7 52.11 208.2z", "M416 388.6H32c-17.67 0-32 13.29-32 29.71S14.33 448 32 448h384c17.67 0 32-13.29 32-29.71S433.7 388.6 416 388.6z"]],
    "life-ring": [512, 512, [], "f1cd", ["M214.7 169.5L99.2 53.95C142.5 20.26 196.8 0 256 0C315.2 0 369.5 20.26 412.8 53.95L297.3 169.5C297.4 169.4 297.2 169.6 297.3 169.5C284.8 163.5 270.8 160 256 160C241.2 160 227.2 163.5 214.7 169.5C214.8 169.6 214.6 169.4 214.7 169.5H214.7zM169.5 297.3L53.95 412.8C20.26 369.5 0 315.2 0 255.1C0 196.8 20.26 142.5 53.95 99.19L169.5 214.7C169.4 214.6 169.6 214.8 169.5 214.7C163.5 227.2 160 241.2 160 255.1C160 270.8 163.5 284.8 169.5 297.3C169.6 297.2 169.4 297.4 169.5 297.3V297.3zM512 256C512 315.2 491.7 369.5 458.1 412.8L342.5 297.3C342.6 297.4 342.4 297.2 342.5 297.3C348.5 284.8 352 270.8 352 256C352 241.2 348.5 227.2 342.5 214.7C342.4 214.8 342.6 214.6 342.5 214.7L458.1 99.2C491.7 142.5 512 196.9 512 256V256zM297.3 342.5L412.8 458.1C369.5 491.7 315.1 512 255.1 512C196.8 512 142.5 491.7 99.19 458.1L214.7 342.5C214.6 342.6 214.8 342.4 214.7 342.5C227.2 348.5 241.2 352 255.1 352C270.8 352 284.8 348.5 297.3 342.5C297.2 342.4 297.4 342.6 297.3 342.5H297.3z", "M297.3 169.5C297.2 169.6 297.4 169.4 297.3 169.5L425.4 41.37C437.9 28.88 458.1 28.88 470.6 41.37C483.1 53.88 483.1 74.13 470.6 86.62L342.5 214.7C342.6 214.6 342.4 214.8 342.5 214.7C333 194.9 317.1 178.1 297.3 169.5L297.3 169.5zM214.7 342.5C214.8 342.4 214.6 342.6 214.7 342.5L86.62 470.6C80.38 476.9 72.19 480 64 480C55.81 480 47.63 476.9 41.38 470.6C28.88 458.1 28.88 437.9 41.38 425.4L169.5 297.3C169.4 297.4 169.6 297.2 169.5 297.3C178.1 317.1 194.9 333 214.7 342.5L214.7 342.5zM470.6 425.4C483.1 437.9 483.1 458.1 470.6 470.6C464.4 476.9 456.2 480 448 480C439.8 480 431.6 476.9 425.4 470.6L297.3 342.5C297.4 342.6 297.2 342.4 297.3 342.5C317.1 333 333 317.1 342.5 297.3C342.4 297.2 342.6 297.4 342.5 297.3L470.6 425.4zM214.7 169.5C214.6 169.4 214.8 169.6 214.7 169.5C194.9 178.1 178.1 194.9 169.5 214.7C169.6 214.8 169.4 214.6 169.5 214.7L41.37 86.63C28.88 74.13 28.88 53.88 41.37 41.38C53.88 28.88 74.12 28.88 86.62 41.38L214.7 169.5z"]],
    "light-ceiling": [512, 512, [], "e016", ["M192 447.1c0 35.38 28.62 64 63.1 64s64.01-28.62 64.01-64H192zM288 162.3V0h-64v162.3C234.6 160.1 245.2 160 256 160S277.5 160.1 288 162.3z", "M512 380.8V384c0 19.2-12.87 32-32.17 32L32.41 415.1C13.11 415.1 0 403.2 0 384v-3.203C16.01 253.4 128 160 256 160S495.1 253.4 512 380.8z"]],
    "light-emergency": [448, 512, [], "e41f", ["M224 32C135.7 32 64 103.6 64 192v160h320V192C384 103.6 312.3 32 224 32zM224 112C179.8 112 144 147.9 144 192c0 8.832-7.039 16-16 16S112 200.8 112 192c0-61.76 50.24-112 112-112c8.961 0 16 7.168 16 16S232.1 112 224 112z", "M448 416v32c0 17.66-14.4 32-32 32H32c-17.6 0-32-14.34-32-32v-32c0-17.66 14.4-32 32-32h384C433.6 384 448 398.3 448 416z"]],
    "light-emergency-on": [640, 512, [], "e420", ["M320 32C231.7 32 160 103.6 160 192V352H480V192C480 103.6 408.3 32 320 32zM320 112C275.8 112 240 147.9 240 192C240 200.8 232.1 208 224 208C215 208 208 200.8 208 192C208 130.2 258.2 80 320 80C328.1 80 336 87.17 336 96C336 104.8 328.1 112 320 112z", "M549.4 107.1L597.4 75.97C608.3 68.61 611.2 53.73 603.8 42.69C596.5 31.65 581.8 28.67 570.6 36.03L522.6 68.03C511.7 75.39 508.8 90.27 516.2 101.3C523.5 112.4 538.2 115.3 549.4 107.1zM112 224C112 210.8 101.1 200 88 200H24C10.88 200 0 210.8 0 224C0 237.2 10.88 248 24 248H88C101.1 248 112 237.2 112 224zM90.56 107.1C101.8 115.3 116.5 112.4 123.8 101.3C131.2 90.27 128.3 75.39 117.4 68.03L69.44 36.03C58.24 28.67 43.52 31.65 36.16 42.69C28.8 53.73 31.68 68.61 42.56 75.97L90.56 107.1zM616 200H552C538.9 200 528 210.8 528 224C528 237.2 538.9 248 552 248H616C629.1 248 640 237.2 640 224C640 210.8 629.1 200 616 200zM512 384H128C110.4 384 96 398.3 96 416V448C96 465.7 110.4 480 128 480H512C529.6 480 544 465.7 544 448V416C544 398.3 529.6 384 512 384z"]],
    "light-switch": [384, 512, [], "e017", ["M288 272H96v-32h192V272z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 367.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V367.1z"]],
    "light-switch-off": [384, 512, [], "e018", ["M144 415.1h96c26.4 0 48-21.6 48-48V256H96v111.1C96 394.4 117.6 415.1 144 415.1z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 288v79.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V288z"]],
    "light-switch-on": [384, 512, [], "e019", ["M240 95.1h-96c-26.4 0-48 21.6-48 48V256h192V143.1C288 117.6 266.4 95.1 240 95.1z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 240v127.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V143.1c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48V240z"]],
    "lightbulb": [384, 512, [128161], "f0eb", ["M191.4 .0132C89.44 .3257 16 82.97 16 175.1c0 44.38 16.44 84.84 43.56 115.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0938 .5166 .125 .7823h160.2c.0313-.2656 .0938-.5166 .125-.7823c9.875-33.22 35.69-72.61 52.22-91.45C351.6 260.8 368 220.4 368 175.1C368 78.61 288.9-.2837 191.4 .0132zM192 96.01c-44.13 0-80 35.89-80 79.1C112 184.8 104.8 192 96 192S80 184.8 80 176c0-61.76 50.25-111.1 112-111.1c8.844 0 16 7.159 16 16S200.8 96.01 192 96.01z", "M272.1 384l-.2156 70.34c0 5.328-2.411 13.26-5.348 17.7l-17.08 25.68c-5.25 7.875-17.17 14.28-26.61 14.28H161.2c-9.469 0-21.39-6.406-26.64-14.28l-17.14-25.69c-3.469-5.25-5.284-11.39-5.284-17.69l-.2156-70.34H272.1z"]],
    "lightbulb-cfl": [320, 512, [], "e5a6", ["M39.76 95.04C22.62 99.33 5.242 88.91 .9555 71.76C-3.331 54.62 7.093 37.24 24.24 32.96L152.2 .9552C169.4-3.331 186.8 7.093 191 24.24C195.3 41.38 184.9 58.76 167.8 63.04L39.76 95.04zM319 88.24C323.3 105.4 312.9 122.8 295.8 127L39.76 191C22.62 195.3 5.242 184.9 .9552 167.8C-3.331 150.6 7.093 133.2 24.24 128.1L280.2 64.96C297.4 60.67 314.8 71.09 319 88.24V88.24zM319 184.2C323.3 201.4 312.9 218.8 295.8 223L39.76 287C22.62 291.3 5.242 280.9 .9552 263.8C-3.331 246.6 7.093 229.2 24.24 224.1L280.2 160.1C297.4 156.7 314.8 167.1 319 184.2V184.2zM144 293.1V384H96V305.1L144 293.1zM319 280.2C323.3 297.4 312.9 314.8 295.8 319L224 336.1V384H176V308.7C175.1 308.2 175.1 307.7 176 307.3V304L176.2 303.1C177.9 291.3 187.1 280.2 200.2 276.1L280.2 256.1C297.4 252.7 314.8 263.1 319 280.2V280.2z", "M224 384C241.7 384 256 398.3 256 416V448C256 465.7 241.7 480 224 480H192C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480H96C78.33 480 64 465.7 64 448V416C64 398.3 78.33 384 96 384H224z"]],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", ["M199.8 95.04C182.6 99.33 165.2 88.91 160.1 71.76C156.7 54.62 167.1 37.24 184.2 32.96L312.2 .9552C329.4-3.331 346.8 7.093 351 24.24C355.3 41.38 344.9 58.76 327.8 63.04L199.8 95.04zM479 88.24C483.3 105.4 472.9 122.8 455.8 127L199.8 191C182.6 195.3 165.2 184.9 160.1 167.8C156.7 150.6 167.1 133.2 184.2 128.1L440.2 64.96C457.4 60.67 474.8 71.09 479 88.24V88.24zM479 184.2C483.3 201.4 472.9 218.8 455.8 223L199.8 287C182.6 291.3 165.2 280.9 160.1 263.8C156.7 246.6 167.1 229.2 184.2 224.1L440.2 160.1C457.4 156.7 474.8 167.1 479 184.2V184.2zM304 293.1V384H256V305.1L304 293.1zM479 280.2C483.3 297.4 472.9 314.8 455.8 319L384 336.1V384H336V308.7C335.1 308.2 335.1 307.7 336 307.3V304L336.2 303.1C337.9 291.3 347.1 280.2 360.2 276.1L440.2 256.1C457.4 252.7 474.8 263.1 479 280.2V280.2z", "M101.3 36.03C112.3 43.38 115.3 58.28 107.1 69.31C100.6 80.34 85.72 83.32 74.69 75.97L26.69 43.97C15.66 36.62 12.68 21.71 20.03 10.69C27.38-.3429 42.28-3.323 53.31 4.03L101.3 36.03zM565.3 75.97C554.3 83.32 539.4 80.34 532 69.31C524.7 58.28 527.7 43.38 538.7 36.03L586.7 4.03C597.7-3.322 612.6-.3423 619.1 10.69C627.3 21.72 624.3 36.62 613.3 43.97L565.3 75.97zM88 159.1C101.3 159.1 112 170.7 112 183.1C112 197.3 101.3 207.1 88 207.1H24C10.75 207.1 0 197.3 0 183.1C0 170.7 10.75 159.1 24 159.1H88zM616 159.1C629.3 159.1 640 170.7 640 183.1C640 197.3 629.3 207.1 616 207.1H552C538.7 207.1 528 197.3 528 183.1C528 170.7 538.7 159.1 552 159.1H616zM53.31 363.1C42.28 371.3 27.38 368.3 20.03 357.3C12.68 346.3 15.66 331.4 26.69 324L74.69 292C85.72 284.7 100.6 287.7 107.1 298.7C115.3 309.7 112.3 324.6 101.3 331.1L53.31 363.1zM613.3 324C624.3 331.4 627.3 346.3 619.1 357.3C612.6 368.3 597.7 371.3 586.7 363.1L538.7 331.1C527.7 324.6 524.7 309.7 532 298.7C539.4 287.7 554.3 284.7 565.3 292L613.3 324zM224 416C224 398.3 238.3 384 256 384H384C401.7 384 416 398.3 416 416V448C416 465.7 401.7 480 384 480H352C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480H256C238.3 480 224 465.7 224 448V416z"]],
    "lightbulb-dollar": [384, 512, [], "f670", ["M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1458 .5101 .1458 .7601h160.2c0-.25 .1458-.5101 .1458-.7601c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM253.8 226.3C250.2 247.2 234.4 260.1 212 265.7V272c0 11.03-8.953 20-20 20S172 283 172 272V265.2c-12.03-2.662-23.14-6.836-29.33-9.012C132.3 252.5 126.8 241.1 130.5 230.7c3.688-10.41 15.11-15.81 25.52-12.22C175 225.4 179.6 226.5 184.1 227.1c13.72 2.125 28.94 .1875 30.31-7.625c1.398-8.139-8.713-10.71-33.73-17.97c-17.33-5.094-57.92-17-50.52-59.84C133.8 120.8 149.6 106.8 172 101.1V96c0-11.03 8.953-20 20-20S212 84.97 212 96v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 138.8 170.1 140.7 169.6 148.5c-1.514 8.832 14.89 12.51 27.92 16.25C219.8 171.1 261.3 183 253.8 226.3z", "M184.1 227.1C179.6 226.5 175 225.4 155.1 218.5C145.6 214.9 134.2 220.3 130.5 230.7C126.8 241.1 132.3 252.5 142.7 256.2C148.9 258.4 159.1 262.6 172 265.2V272c0 11.03 8.953 20 20 20s20-8.969 20-20V265.7c22.36-4.793 38.21-18.53 41.83-39.43c7.484-43.28-34.03-55.19-56.33-61.56C184.5 161 168.1 157.3 169.6 148.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C223.3 105.4 217.5 103.8 212 102.6V96c0-11.03-8.953-20-20-20S172 84.97 172 96v5.992C149.6 106.8 133.8 120.8 130.2 141.7C122.8 184.5 163.4 196.4 180.7 201.5c25.02 7.264 35.13 9.83 33.73 17.97C213 227.3 197.8 229.3 184.1 227.1zM111.9 384l.1906 70.36c.125 6.25 1.794 12.4 5.294 17.65l17.15 25.71C140.5 506.6 150.5 512 161.2 512h61.68c10.75 0 20.73-5.388 26.61-14.26l17.09-25.7c3.5-5.25 5.361-11.42 5.361-17.67l.1906-70.36H111.9z"]],
    "lightbulb-exclamation": [384, 512, [], "f671", ["M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM168 88C168 74.75 178.8 64 192 64s24 10.75 24 24v112C216 213.3 205.3 224 192 224S168 213.3 168 200V88zM192 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S209.7 320 192 320z", "M192 224c13.25 0 24-10.75 24-24v-112C216 74.75 205.3 64 192 64S168 74.75 168 88v112C168 213.3 178.8 224 192 224zM192 320c17.67 0 32-14.33 32-32s-14.33-32-32-32S160 270.3 160 288S174.3 320 192 320zM112.3 384l-.0906 70.35c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C139.8 505.6 151.8 512 161.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.34-25.7c2.938-4.438 5.097-12.35 5.097-17.68l.2156-70.35L112.3 384z"]],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", ["M319.5 .0127C217.5 .2627 144 82.1 144 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C479.5 260.9 496 220.4 496 175.1C496 78.62 416.8-.2373 319.5 .0127zM296 88C296 74.75 306.8 64 320 64s24 10.75 24 24v112C344 213.3 333.3 224 320 224S296 213.3 296 200V88zM320 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S337.7 320 320 320z", "M107.1 287.3l-55.5 32c-7.5 4.125-12.25 12.12-12.38 20.88c0 8.625 4.625 16.62 12.12 21c7.625 4.25 16.88 4.125 24.25-.375l55.5-32C142.3 322 145.1 307.5 139.5 296.3C133 284.9 118.5 280.9 107.1 287.3zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h64C101.3 216 112 205.3 112 192zM131.1 55.25l-55.5-32C68.25 18.75 59 18.62 51.38 22.88c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM616 168h-64c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h64c13.25 0 24-10.75 24-24C640 178.8 629.3 168 616 168zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.752 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9l-55.38 32c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM320 224c13.25 0 24-10.75 24-24v-112C344 74.75 333.3 64 320 64S296 74.75 296 88v112C296 213.3 306.8 224 320 224zM320 320c17.67 0 32-14.33 32-32s-14.33-32-32-32S288 270.3 288 288S302.3 320 320 320zM240.1 415.1l.0761 38.36c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C267.8 505.6 279.8 512 289.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.34-25.7c2.938-4.438 5.097-12.35 5.097-17.68l.2156-70.35l-159.9 .002L240.1 415.1z"]],
    "lightbulb-on": [640, 512, [], "f672", ["M319.5 .0154C217.5 .2654 144 82.1 144 175.1c0 42.63 15.4 83.76 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5105 .1146 .7604l160.3 .0007c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C480.6 259.8 496 218.6 496 175.1C496 78.62 416.8-.2346 319.5 .0154zM320 96.01c-44.13 0-80 35.87-80 79.1c0 8.875-7.125 16-16 16s-16-7.125-16-16C208.1 114.1 258.1 64.14 320 64.01c8.875 0 16 7.126 16 16S328.9 96.01 320 96.01z", "M240.1 415.1l.0167 38.36c0 6.297 1.89 12.43 5.359 17.68l17.09 25.69c5.25 7.875 17.18 14.28 26.65 14.28h61.72c9.438 0 21.38-6.394 26.63-14.27l17.09-25.69C397.6 467.6 400 459.7 400 454.4l.1562-70.35l-159.9 .002L240.1 415.1zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM131.1 55.25l-55.5-32C68.25 18.75 59 18.63 51.38 22.88c-7.5 4.375-12.13 12.37-12.13 21c.125 8.75 4.875 16.75 12.38 20.88L107.1 96.75C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.37 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.37-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM107.1 287.3L51.62 319.3c-7.5 4.125-12.25 12.12-12.38 20.88c0 8.625 4.625 16.63 12.13 21c7.625 4.25 16.87 4.125 24.25-.375l55.5-32c11.12-6.75 14.87-21.25 8.375-32.5C133 284.9 118.5 280.9 107.1 287.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9L509 55.25c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100z"]],
    "lightbulb-slash": [640, 512, [], "f673", ["M187.6 291.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0625 .5156 .0938 .7812l.1876 70.35c0 6.297 1.875 12.43 5.344 17.68l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.66c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.437 5.348-12.37 5.348-17.7l.0973-44.18L148.2 212.9C154.6 242.6 168.2 269.7 187.6 291.8zM319.5 .0131C246.5 .1927 188.4 42.74 161.1 100.9l52.84 41.41c14.41-45.23 56.08-78.23 106.1-78.33c8.875 0 15.99 7.127 15.99 16S328.9 96.01 319.1 96.01c-39.94 0-72.83 29.46-78.76 67.76l193.4 151.6c6.348-9.328 12.52-17.57 17.82-23.59c28.12-31.1 43.54-73.15 43.54-115.8C495.1 78.62 416.8-.2369 319.5 .0131z", "M615.1 512c-5.188 0-10.39-1.648-14.8-5.117L9.188 42.89c-10.42-8.156-12.24-23.26-4.073-33.7c8.188-10.41 23.23-12.29 33.7-4.073l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "lights-holiday": [640, 512, [], "f7b2", ["M146.1 236c-14.66-5.499-69.17-19.1-93.77 45.55c-18.61 49.61 12.1 129.2 26.53 134.3c13.53 5.059 89.65-33.99 108.3-83.69C214.2 262.4 153.1 238.7 146.1 236zM319.1 256c-15.67 0-71.8 5.539-71.8 75.58C248.2 384.6 305.7 448 320.1 448s72.08-63.29 72.08-116.4C392.2 257 327.5 256 319.1 256zM586.8 281.6c-24.6-65.58-79.12-51.05-93.81-45.58c-6.1 2.64-67.24 26.31-41.06 96.11c18.65 49.72 94.81 88.75 108.3 83.69C573.7 410.8 605.4 331.2 586.8 281.6z", "M621.9 127.5c-34.56 18.52-72.57 33.46-112.7 44.92l21.94 58.97c-.002 0 .002 0 0 0c-8.287-1.066-16.17-.5488-22.8 .5879c-.0449 .0078 .0449-.0078 0 0c-3.25 .5625-6.417 1.283-8.968 1.994c-.1074 .0273 .1055-.0273 0 0c-2.469 .6992-4.77 1.449-6.377 2.047c-.6504 .2422-1.993 .7891-3.448 1.418c-.0918 .0391 .0957-.0469 0 0c-4.775 2.074-13.04 6.289-21.14 13.17L444.9 187.3c-29.1 5.398-60.89 8.734-92.43 10.15v65.54c-14.93-6.418-29.15-6.992-32.44-6.992c-6.332 0-19.26 1.16-32.43 6.855V197.5C256 196.1 225.1 192.7 195.1 187.3L172.2 251.2c-.002 0 .002 0 0 0C163.9 244 155.5 239.7 150.6 237.5c-.0215-.0078 .0215 .0078 0 0c-1.564-.6797-2.896-1.223-3.578-1.48c-1.553-.582-3.635-1.266-6-1.945C140.8 234 140.7 234 140.6 233.1C138.2 233.3 135.4 232.7 132.4 232.1c-.2227-.0391-.4219-.0781-.6445-.1172C128.6 231.5 125.3 231.1 121.7 230.9C121.5 230.9 121.4 230.9 121.2 230.9c-3.68-.1641-7.521-.082-11.5 .3828l21.07-58.83c-40.16-11.46-78.17-26.4-112.7-44.92c-17.34-9.289-23.42-31.28-12.83-47.95c9.152-14.4 27.86-19.94 42.8-11.8C123.9 109.1 219.2 131.6 320 131.6s196.1-22.45 271.1-63.81c14.94-8.145 33.65-2.605 42.8 11.8C645.4 96.23 639.3 118.2 621.9 127.5z"]],
    "line-columns": [512, 512, [], "f870", ["M480 96H320C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32H480C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96zM480 224H320C302.3 224 288 209.7 288 192C288 174.3 302.3 160 320 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224zM288 320C288 302.3 302.3 288 320 288H480C497.7 288 512 302.3 512 320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320zM480 480H320C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480z", "M192 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H192C209.7 32 224 46.33 224 64C224 81.67 209.7 96 192 96zM192 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H192C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224zM0 320C0 302.3 14.33 288 32 288H192C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352H32C14.33 352 0 337.7 0 320zM192 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H192C209.7 416 224 430.3 224 448C224 465.7 209.7 480 192 480z"]],
    "line-height": [576, 512, [], "f871", ["M256 96C256 78.33 270.3 64 288 64H544C561.7 64 576 78.33 576 96C576 113.7 561.7 128 544 128H288C270.3 128 256 113.7 256 96zM256 256C256 238.3 270.3 224 288 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H288C270.3 288 256 273.7 256 256zM544 384C561.7 384 576 398.3 576 416C576 433.7 561.7 448 544 448H288C270.3 448 256 433.7 256 416C256 398.3 270.3 384 288 384H544z", "M73.37 41.37C85.87 28.88 106.1 28.88 118.6 41.37L182.6 105.4C195.1 117.9 195.1 138.1 182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6L127.1 141.3V370.7L137.4 361.4C149.9 348.9 170.1 348.9 182.6 361.4C195.1 373.9 195.1 394.1 182.6 406.6L118.6 470.6C106.1 483.1 85.87 483.1 73.37 470.6L9.372 406.6C-3.125 394.1-3.125 373.9 9.372 361.4C21.87 348.9 42.13 348.9 54.63 361.4L63.1 370.7V141.3L54.63 150.6C42.13 163.1 21.87 163.1 9.372 150.6C-3.125 138.1-3.125 117.9 9.372 105.4L73.37 41.37z"]],
    "lines-leaning": [384, 512, [], "e51e", ["", "M62.36 458.1C56.77 474.9 38.65 483.9 21.88 478.4C5.116 472.8-3.946 454.6 1.643 437.9L129.6 53.88C135.2 37.12 153.4 28.05 170.1 33.64C186.9 39.23 195.9 57.35 190.4 74.12L62.36 458.1zM261.3 32.44C278.7 35.34 290.5 51.83 287.6 69.26L223.6 453.3C220.7 470.7 204.2 482.5 186.7 479.6C169.3 476.7 157.5 460.2 160.4 442.7L224.4 58.74C227.3 41.31 243.8 29.53 261.3 32.44H261.3zM352 32C369.7 32 384 46.33 384 64V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V64C320 46.33 334.3 32 352 32V32z"]],
    "link": [640, 512, [128279, "chain"], "f0c1", ["M579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L467.5 380C411 436.5 319.5 436.5 263 380C213 330 206.5 251.2 247.6 193.7L248.7 192.1C258.1 177.8 278.1 174.4 293.3 184.7C307.7 194.1 311.1 214.1 300.8 229.3L299.7 230.9C276.8 262.1 280.4 306.9 308.3 334.8C339.7 366.2 390.8 366.2 422.3 334.8L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24L579.8 63.24z", "M60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L172.5 131.1C228.1 75.51 320.5 75.51 376.1 131.1C426.1 181.1 433.5 260.8 392.4 318.3L391.3 319.9C381 334.2 361 337.6 346.7 327.3C332.3 317 328.9 297 339.2 282.7L340.3 281.1C363.2 249 359.6 205.1 331.7 177.2C300.3 145.8 249.2 145.8 217.7 177.2L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8L60.21 448.8z"]],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", ["M640 303.4C640 383.3 575.3 448 495.4 448H336.6C256.7 448 192 383.3 192 303.4C192 232.7 243.1 172.4 312.8 160.8L314.7 160.4C332.2 157.5 348.7 169.3 351.6 186.7C354.5 204.2 342.7 220.7 325.3 223.6L323.4 223.9C284.5 230.4 256 263.1 256 303.4C256 347.9 292.1 384 336.6 384H495.4C539.9 384 576 347.9 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4V303.4z", "M0 208.6C0 128.7 64.74 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 279.3 396.9 339.6 327.2 351.2L325.3 351.6C307.8 354.5 291.3 342.7 288.4 325.3C285.5 307.8 297.3 291.3 314.7 288.4L316.6 288.1C355.5 281.6 384 248 384 208.6C384 164.1 347.9 128 303.4 128H144.6C100.1 128 64 164.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6H0z"]],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", ["M518.1 380.8C551.6 370.1 576 340 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 354.2 613.8 398.9 574.1 424.7L518.1 380.8zM364.9 260.7C376.9 246.6 384 228.3 384 208.6C384 164.1 347.9 128 303.4 128H195.6L117.2 66.59C126.1 64.89 135.3 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 243.1 435.8 275.1 415.3 300.2L364.9 260.7zM336.6 448C256.7 448 192 383.3 192 303.4C192 286.2 195 269.5 200.6 254.1L256.2 297.8C256.1 299.7 256 301.5 256 303.4C256 347.9 292.1 384 336.6 384H365.5L446.8 448H336.6zM30.37 119.9L80.65 159.5C70.21 173.1 64 190.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 175.2 11.34 144.4 30.37 119.9V119.9z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "link-simple": [640, 512, [], "e1cd", ["M192 256C192 238.3 206.3 224 224 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H224C206.3 288 192 273.7 192 256z", "M256 96C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C106.1 160 64 202.1 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H256zM480 96C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352H480C533 352 576 309 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480z"]],
    "link-simple-slash": [640, 512, [], "e1ce", ["M481.4 351.1C533.8 351.3 576 308.6 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 321.1 601.1 377.1 545.3 402.1L481.4 351.1zM318.1 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H399.7L318.1 224zM154.9 96.08C156.6 96.03 158.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H236.4L154.9 96.08zM0 256C0 208.1 20.28 166.7 52.57 137.4L104.1 177.1C79.8 195.4 64 223.9 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", ["M438.6 318.4L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L489.3 358.2L438.6 318.4zM353.4 251.7C359.3 225.5 351.7 197.2 331.7 177.2C306.6 152.1 269.1 147 238.1 161.1L185.7 120.3C242.5 75.82 324.7 79.73 376.1 131.1C420.1 175.1 430.9 239.6 406.7 293.5L353.4 251.7zM263 380C233.1 350.1 218.7 309.8 220.9 270L406.6 416.4C357.4 431 301.9 418.9 263 380H263zM116.6 187.9L167.2 227.8L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L116.6 187.9z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "lips": [576, 512, [128482, 128068], "f600", ["M.3947 224H63.89c0 0 74.7 96 224.1 96s224.1-96 224.1-96h63.49c1.093 9.531-.2141 19.29-4.059 28.4C546.3 312.3 470.3 448 324.7 448H251.3c-145.6 0-221.6-135.8-246.9-195.6C.6086 243.3-.6979 233.5 .3947 224z", "M63.89 224h-63.5c.8913-7.773 3.349-15.41 7.547-22.34C54.44 124.6 156.3 64 200 64c0 0 29.33 0 87.99 45C346.7 64 375.1 64 375.1 64c43.68 0 145.6 60.6 192.1 137.7C572.3 208.6 574.7 216.2 575.6 224h-63.49c0 0-56.03-32-140.1-32l-30.96 8.875C324.5 205.5 306.4 208 288 208c-18.39 0-36.53-2.5-53.06-7.125L203.1 192C119.9 192 63.89 224 63.89 224z"]],
    "lira-sign": [320, 512, [8356], "f195", ["M48 256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H48V256zM48 332.5C48 339.1 47.33 345.6 46.01 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H48V332.5zM110.8 352C111.6 345.6 112 339.1 112 332.5V288H224C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352H110.8zM112 256V192H224C241.7 192 256 206.3 256 224C256 241.7 241.7 256 224 256H112z", "M176.4 95.1C140.8 95.1 112 124.8 112 160.4V332.5C112 361.5 104.1 390 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96V95.1z"]],
    "list": [512, 512, ["list-squares"], "f03a", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M16 72C16 58.75 26.75 48 40 48H88C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72zM16 232C16 218.7 26.75 208 40 208H88C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232zM88 368C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392C16 378.7 26.75 368 40 368H88z"]],
    "list-check": [512, 512, ["tasks"], "f0ae", ["M192 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384zM256 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H256C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224zM256 128C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H256z", "M81.84 152.1C77.43 156.9 71.21 159.8 64.63 159.1C58.05 160.2 51.69 157.6 47.03 152.1L7.029 112.1C-2.343 103.6-2.343 88.4 7.029 79.03C16.4 69.66 31.6 69.66 40.97 79.03L63.08 101.1L118.2 39.94C127 30.09 142.2 29.29 152.1 38.16C161.9 47.03 162.7 62.2 153.8 72.06L81.84 152.1zM81.84 312.1C77.43 316.9 71.21 319.8 64.63 319.1C58.05 320.2 51.69 317.6 47.03 312.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L63.08 261.1L118.2 199.9C127 190.1 142.2 189.3 152.1 198.2C161.9 207 162.7 222.2 153.8 232.1L81.84 312.1zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"]],
    "list-dropdown": [512, 512, [], "e1cf", ["M384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280H128C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232H384zM384 320C397.3 320 408 330.7 408 344C408 357.3 397.3 368 384 368H128C114.7 368 104 357.3 104 344C104 330.7 114.7 320 128 320H384z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 416H448V192H64V416zM357.7 109.7L394.3 146.3C397.5 149.5 402.5 149.5 405.7 146.3L442.3 109.7C447.4 104.6 443.8 96 436.7 96H363.3C356.2 96 352.6 104.6 357.7 109.7V109.7z"]],
    "list-music": [512, 512, [], "f8c9", ["M31.97 255.1h224.1C273.7 255.1 288 241.7 288 224c0-17.66-14.32-32.02-31.97-32.02H31.97C14.32 191.1 0 206.3 0 223.1C0 241.6 14.32 255.1 31.97 255.1zM31.97 127.1h224.1C273.7 127.1 288 113.6 288 95.99c0-17.66-14.31-32.01-31.97-32.01H31.97C14.32 63.98 0 78.31 0 95.97C0 113.6 14.32 127.1 31.97 127.1zM128 319.1H31.97C14.32 319.1 0 334.3 0 351.1c0 17.66 14.32 32.02 31.97 32.02H128C145.7 383.1 160 369.7 160 352C160 334.4 145.7 319.1 128 319.1z", "M471 1.323l-96.63 28.5C361.1 33.95 352 46.33 352 60.33v299.7c-15.5-5.251-31.62-8.001-48-8.001c-61.88 0-112 35.88-112 80.01S242.1 512 304 512s112-35.88 112-80.01V148.1l73-21.38C502.6 122.7 512 110.2 512 95.96V31.96c0-10.13-4.75-19.64-12.88-25.64C491.1 .323 480.6-1.552 471 1.323z"]],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", ["M224 96C224 78.33 238.3 64 256 64H512C529.7 64 544 78.33 544 96C544 113.7 529.7 128 512 128H256C238.3 128 224 113.7 224 96zM224 256C224 238.3 238.3 224 256 224H520C537.7 224 552 238.3 552 256C552 273.7 537.7 288 520 288H256C238.3 288 224 273.7 224 256zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H256C238.3 448 224 433.7 224 416C224 398.3 238.3 384 256 384H512z", "M111.1 32.04C125.3 32.04 135.1 42.78 135.1 56.04V176H151.1C165.3 176 175.1 186.8 175.1 200C175.1 213.3 165.3 224 151.1 224H71.1C58.74 224 47.1 213.3 47.1 200C47.1 186.8 58.74 176 71.1 176H87.1V80.04H79.1C66.74 80.04 55.1 69.29 55.1 56.04C55.1 42.78 66.74 32.04 79.1 32.04H111.1zM83.53 357.9C75.83 368.7 60.84 371.2 50.05 363.5C39.26 355.8 36.77 340.8 44.47 330.1L55.59 314.5C79.33 281.2 127.9 278.8 154.8 309.6C176.1 333.1 175.6 370.5 153.7 394.3L118.8 432H152C165.3 432 176 442.7 176 456C176 469.3 165.3 480 152 480H64C54.47 480 45.84 474.4 42.02 465.6C38.19 456.9 39.9 446.7 46.36 439.7L118.4 361.7C123.7 355.9 123.8 347.1 118.7 341.2C112.1 333.8 100.4 334.3 94.65 342.4L83.53 357.9z"]],
    "list-radio": [512, 512, [], "e1d0", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM64 280C77.25 280 88 269.3 88 256C88 242.7 77.25 232 64 232C50.75 232 40 242.7 40 256C40 269.3 50.75 280 64 280zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM64 440C77.25 440 88 429.3 88 416C88 402.7 77.25 392 64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440z"]],
    "list-timeline": [512, 512, [], "e1d1", ["M153.1 83.2L191.5 54.4C197 50.25 203.7 48 210.7 48H424C437.3 48 448 58.75 448 72V120C448 133.3 437.3 144 424 144H210.7C203.7 144 197 141.8 191.5 137.6L153.1 108.8C144.5 102.4 144.5 89.6 153.1 83.2V83.2zM210.7 208H488C501.3 208 512 218.7 512 232V280C512 293.3 501.3 304 488 304H210.7C203.7 304 197 301.8 191.5 297.6L153.1 268.8C144.5 262.4 144.5 249.6 153.1 243.2L191.5 214.4C197 210.2 203.7 208 210.7 208zM210.7 368H424C437.3 368 448 378.7 448 392V440C448 453.3 437.3 464 424 464H210.7C203.7 464 197 461.8 191.5 457.6L153.1 428.8C144.5 422.4 144.5 409.6 153.1 403.2L191.5 374.4C197 370.2 203.7 368 210.7 368z", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256zM112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416z"]],
    "list-tree": [512, 512, [], "e1d2", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H320C302.3 288 288 273.7 288 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H320C302.3 448 288 433.7 288 416C288 398.3 302.3 384 320 384H480z", "M72 48C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144V232H128C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280H72V384C72 388.4 75.58 392 80 392H128C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440H80C49.07 440 24 414.9 24 384V144C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72z"]],
    "list-ul": [512, 512, ["list-dots"], "f0ca", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256zM112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416z"]],
    "litecoin-sign": [384, 512, [], "e1d3", ["M64 280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6L64 280.1zM128 195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9L128 195.3z", "M96 32C113.7 32 128 46.33 128 64V416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32z"]],
    "loader": [576, 512, [], "e1d4", ["M423.8 74.97C436.3 62.48 456.5 62.48 469 74.97C481.5 87.47 481.5 107.7 469 120.2L423.8 165.5C411.3 177.1 391 177.1 378.5 165.5C366 152.1 366 132.7 378.5 120.2L423.8 74.97zM416 255.1C416 238.3 430.3 223.1 448 223.1H512C529.7 223.1 544 238.3 544 255.1C544 273.7 529.7 287.1 512 287.1H448C430.3 287.1 416 273.7 416 255.1zM287.1 383.1C305.7 383.1 320 398.3 320 415.1V479.1C320 497.7 305.7 511.1 287.1 511.1C270.3 511.1 255.1 497.7 255.1 479.1V415.1C255.1 398.3 270.3 383.1 287.1 383.1zM469 391.8C481.5 404.3 481.5 424.5 469 437C456.5 449.5 436.3 449.5 423.8 437L378.5 391.8C366 379.3 366 359 378.5 346.5C391 334 411.3 334 423.8 346.5L469 391.8zM106.1 437C94.48 424.5 94.48 404.3 106.1 391.8L152.2 346.5C164.7 334 184.1 334 197.5 346.5C209.1 359 209.1 379.3 197.5 391.8L152.2 437C139.7 449.5 119.5 449.5 106.1 437z", "M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32C256 14.33 270.3 0 288 0zM32 256C32 238.3 46.33 224 64 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H64C46.33 288 32 273.7 32 256zM197.5 120.2C209.1 132.7 209.1 152.1 197.5 165.5C184.1 177.1 164.7 177.1 152.2 165.5L106.1 120.2C94.48 107.7 94.48 87.48 106.1 74.98C119.5 62.49 139.7 62.49 152.2 74.98L197.5 120.2z"]],
    "lobster": [512, 512, [129438], "e421", ["M192 352H175.1c-12.34 0-24.72 2.922-35.75 8.438l-18.5 9.25c-7.906 3.953-11.09 13.56-7.156 21.47C116.5 396.8 122.2 400 128 400c2.406 0 4.844-.5469 7.156-1.688l18.5-9.25C160.3 385.8 167.7 384 175.1 384h18.2C192.4 378.9 192 373.6 192 368.4V352zM72.84 262.3l34.5 17.25C118.4 285.1 130.8 288 143.1 288H192V256H143.1C135.7 256 128.3 254.3 121.7 250.9l-34.5-17.25c-7.875-3.891-17.5-.7656-21.47 7.156C61.75 248.8 64.94 258.4 72.84 262.3zM192 336v-32H122.4c-5.156 0-10.25-.8281-15.16-2.453L69.06 288.8c-8.344-2.734-17.44 1.719-20.25 10.11C46.03 307.3 50.56 316.4 58.94 319.2l38.16 12.73C105.3 334.6 113.8 336 122.4 336H192zM463.2 298.9c-2.812-8.391-11.91-12.86-20.25-10.11l-38.16 12.71C399.9 303.2 394.8 304 389.6 304H320v32h69.63c8.594 0 17.09-1.37 25.28-4.104l38.16-12.72C461.4 316.4 465.1 307.3 463.2 298.9zM320 288h48.91c12.34 0 24.72-2.922 35.75-8.438l34.5-17.25c7.906-3.953 11.09-13.56 7.156-21.47c-3.969-7.922-13.53-11.08-21.47-7.156l-34.5 17.25C383.7 254.3 376.3 256 368.9 256H320V288zM391.2 369.7l-18.5-9.25C361.6 354.9 349.3 352 336.9 352H320v16.42C320 373.6 319.6 378.9 318.7 384h18.2c7.406 0 14.81 1.75 21.44 5.062l18.5 9.25C379.2 399.5 381.6 400 384 400c5.844 0 11.5-3.234 14.31-8.844C402.3 383.3 399.1 373.6 391.2 369.7zM352 32c0-8.844-7.156-16-16-16c-35.28 0-64 28.7-64 64v58.57c9.861 7.475 22.22 19.01 32 34.44V80c0-17.64 14.34-32 32-32C344.8 48 352 40.84 352 32zM176 16C167.2 16 160 23.16 160 32s7.156 16 16 16c17.66 0 32 14.36 32 32v93.01c9.779-15.44 22.14-26.97 32-34.44V80C240 44.7 211.3 16 176 16z", "M512 79.1V128c0 36.37-30.43 65.24-67.18 63.51l-46.54 32.58C383.4 234.5 365.1 240 347.8 240H320v128.4c0 10.32-1.664 20.57-4.926 30.36l-16.75 50.26C328.7 454 352 480.2 352 512l-192 0c0-31.81 23.27-57.1 53.68-62.96l-16.76-50.26C193.7 388.1 192 378.7 192 368.4V240H164.2c-18.19 0-35.63-5.5-50.5-15.91L67.17 191.5C30.42 193.2 0 164.4 0 128V79.1C0 35.82 35.82 0 79.1 0L80 96L128 32v92.57c0 15.16-5.045 29.7-13.6 41.43l26.81 18.78C147.1 189.5 155.9 192 164.2 192h34.09C214.1 149.6 256 128 256 128s41.95 21.58 57.72 64h34.09c8.281 0 16.22-2.5 22.94-7.219l26.84-18.78C389 154.3 384 139.7 384 124.6V32l48 64l0-96C476.2 0 512 35.82 512 79.1z"]],
    "location-arrow": [448, 512, [], "f124", ["M285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1z", ""]],
    "location-check": [384, 512, ["map-marker-check"], "f606", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM288.1 160.1C298.3 151.6 298.3 136.4 288.1 127C279.6 117.7 264.4 117.7 255 127L160 222.1L120.1 183C111.6 173.7 96.4 173.7 87.03 183C77.66 192.4 77.66 207.6 87.03 216.1L143 272.1C152.4 282.3 167.6 282.3 176.1 272.1L288.1 160.1z", "M288.1 127C298.3 136.4 298.3 151.6 288.1 160.1L176.1 272.1C167.6 282.3 152.4 282.3 143 272.1L87.03 216.1C77.66 207.6 77.66 192.4 87.03 183C96.4 173.7 111.6 173.7 120.1 183L160 222.1L255 127C264.4 117.7 279.6 117.7 288.1 127V127z"]],
    "location-crosshairs": [512, 512, ["location"], "f601", ["M336 256C336 300.2 300.2 336 256 336C211.8 336 176 300.2 176 256C176 211.8 211.8 176 256 176C300.2 176 336 211.8 336 256z", "M256 0C273.7 0 288 14.33 288 32V66.65C368.4 80.14 431.9 143.6 445.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H445.3C431.9 368.4 368.4 431.9 288 445.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V445.3C143.6 431.9 80.14 368.4 66.65 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H66.65C80.14 143.6 143.6 80.14 224 66.65V32C224 14.33 238.3 0 256 0zM128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256z"]],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", ["M509.3 288C505.3 312 496.8 334.5 484.8 354.6L433.8 314.7C442.9 297.1 448 277.2 448 256C448 185.3 390.7 128 320 128C287.8 128 258.3 139.9 235.8 159.5L184.9 119.6C212.4 92.34 248.1 73.35 288 66.65V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V66.65C432.4 80.14 495.9 143.6 509.3 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H509.3zM400 256C400 265.9 398.2 275.4 394.9 284.2L274.7 190C287.6 181.2 303.2 176 320 176C364.2 176 400 211.8 400 256zM352 445.3V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V445.3C207.6 431.9 144.1 368.4 130.7 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H130.7C131.9 216.8 133.5 209.7 135.5 202.7L192.3 247.5C192.1 250.3 192 253.1 192 256C192 326.7 249.3 384 320 384C333.3 384 346.1 381.1 358.2 378.2L414.9 422.9C395.8 433.8 374.6 441.6 352 445.3V445.3z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 272C236.2 272 272 236.2 272 192C272 147.8 236.2 112 192 112C147.8 112 112 147.8 112 192C112 236.2 147.8 272 192 272z", "M240 192C240 218.5 218.5 240 192 240C165.5 240 144 218.5 144 192C144 165.5 165.5 144 192 144C218.5 144 240 165.5 240 192z"]],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", ["M363.2 259.4C385.3 245.1 400 220.3 400 192C400 147.8 364.2 112 319.1 112C284.9 112 255 134.7 244.3 166.1L154 95.42C187.3 38.35 249.2 0 319.1 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L363.2 259.4zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V232C168 245.3 178.7 256 192 256C205.3 256 216 245.3 216 232V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z", "M216 232C216 245.3 205.3 256 192 256C178.7 256 168 245.3 168 232V120C168 106.7 178.7 96 192 96C205.3 96 216 106.7 216 120V232zM160 320C160 302.3 174.3 288 192 288C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352C174.3 352 160 337.7 160 320z"]],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM120 168C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H120z", "M96 192C96 178.7 106.7 168 120 168H264C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H120C106.7 216 96 205.3 96 192z"]],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM276.8 107C262.1 92.31 238.2 92.31 223.5 107L208.6 121.1L261.9 175.3L276.8 160.4C291.5 145.6 291.5 121.8 276.8 107V107zM105.6 231.4L96.48 268C95.12 273.5 96.71 279.3 100.7 283.2C104.7 287.2 110.4 288.8 115.9 287.4L152.5 278.3C158.1 276.9 163.3 273.1 167.4 269.9L239.3 197.9L185.1 144.6L114.1 216.5C109.1 220.6 107 225.8 105.6 231.4H105.6z", "M223.5 107C238.2 92.31 262.1 92.31 276.8 107C291.5 121.8 291.5 145.6 276.8 160.4L261.9 175.3L208.6 121.1L223.5 107zM239.3 197.9L167.4 269.9C163.3 273.1 158.1 276.9 152.5 278.3L115.9 287.4C110.4 288.8 104.7 287.2 100.7 283.2C96.71 279.3 95.12 273.5 96.48 268L105.6 231.4C107 225.8 109.1 220.6 114.1 216.5L185.1 144.6L239.3 197.9z"]],
    "location-pin": [384, 512, ["map-marker"], "f041", ["M384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384z", ""]],
    "location-pin-lock": [512, 512, [], "e51f", ["M256 446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C328.5 170.3 288 216.4 288 272V296.6C268.9 307.6 256 328.3 256 352L256 446.8zM192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128z", "M320 320V272C320 227.8 355.8 192 400 192C444.2 192 480 227.8 480 272V320C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320zM368 320H432V272C432 254.3 417.7 240 400 240C382.3 240 368 254.3 368 272V320z"]],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", ["M154 95.42C187.3 38.35 249.2 0 319.1 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L154 95.42zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V168H120C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H168V264C168 277.3 178.7 288 192 288C205.3 288 216 277.3 216 264V216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H216V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120z", "M216 168H264C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H216V264C216 277.3 205.3 288 192 288C178.7 288 168 277.3 168 264V216H120C106.7 216 96 205.3 96 192C96 178.7 106.7 168 120 168H168V120C168 106.7 178.7 96 192 96C205.3 96 216 106.7 216 120V168z"]],
    "location-question": [384, 512, ["map-marker-question"], "f60b", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM105.4 134.5C100.9 147 107.5 160.7 119.1 165.2C132.5 169.6 146.2 163.1 150.6 150.6L151.1 149.3C152.2 146.1 155.2 144 158.6 144H216.9C225.2 144 232 150.8 232 159.1C232 164.6 229.1 169.6 224.4 172.3L180.1 197.7C172.6 202 168 209.9 168 218.5V232C168 245.3 178.7 256 192 256C205.1 256 215.8 245.5 215.1 232.4L248.3 213.9C267.9 202.7 280 181.8 280 159.1C280 124.3 251.7 96 216.9 96H158.6C134.9 96 113.8 110.9 105.8 133.3L105.4 134.5zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z", "M216.9 96C251.7 96 280 124.3 280 159.1C280 181.8 267.9 202.7 248.3 213.9L215.1 232.4C215.8 245.5 205.1 256 192 256C178.7 256 168 245.3 168 232V218.5C168 209.9 172.6 202 180.1 197.7L224.4 172.3C229.1 169.6 232 164.6 232 159.1C232 150.8 225.2 144 216.9 144H158.6C155.2 144 152.2 146.1 151.1 149.3L150.6 150.6C146.2 163.1 132.5 169.6 119.1 165.2C107.5 160.7 100.9 147 105.4 134.5L105.8 133.3C113.8 110.9 134.9 96 158.6 96L216.9 96zM159.1 320C159.1 302.3 174.3 288 191.1 288C209.7 288 224 302.3 224 320C224 337.7 209.7 352 191.1 352C174.3 352 159.1 337.7 159.1 320z"]],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM128 192C145.7 192 160 177.7 160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM128.6 244.9C122.5 235.7 110.1 233.2 100.9 239.4C91.72 245.5 89.23 257.9 95.36 267.1C106.9 284.4 140.9 316 192 316C243.1 316 277.1 284.4 288.6 267.1C294.8 257.9 292.3 245.5 283.1 239.4C273.9 233.2 261.5 235.7 255.4 244.9C249.1 254.3 226.3 276 192 276C157.7 276 134.9 254.3 128.6 244.9z", "M160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM192 276C226.3 276 249.1 254.3 255.4 244.9C261.5 235.7 273.9 233.2 283.1 239.4C292.3 245.5 294.8 257.9 288.6 267.1C277.1 284.4 243.1 316 192 316C140.9 316 106.9 284.4 95.36 267.1C89.23 257.9 91.72 245.5 100.9 239.4C110.1 233.2 122.5 235.7 128.6 244.9C134.9 254.3 157.7 276 192 276z"]],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM116.1 150.1L158.1 191.1L116.1 233.9C106.7 243.3 106.7 258.5 116.1 267.9C125.5 277.3 140.7 277.3 150.1 267.9L191.1 225.9L233.9 267.9C243.3 277.3 258.5 277.3 267.9 267.9C277.3 258.5 277.3 243.3 267.9 233.9L225.9 191.1L267.9 150.1C277.3 140.7 277.3 125.5 267.9 116.1C258.5 106.7 243.3 106.7 233.9 116.1L191.1 158.1L150.1 116.1C140.7 106.7 125.5 106.7 116.1 116.1C106.7 125.5 106.7 140.7 116.1 150.1z", "M191.1 158.1L233.9 116.1C243.3 106.7 258.5 106.7 267.9 116.1C277.3 125.5 277.3 140.7 267.9 150.1L225.9 191.1L267.9 233.9C277.3 243.3 277.3 258.5 267.9 267.9C258.5 277.3 243.3 277.3 233.9 267.9L191.1 225.9L150.1 267.9C140.7 277.3 125.5 277.3 116.1 267.9C106.7 258.5 106.7 243.3 116.1 233.9L158.1 191.1L116.1 150.1C106.7 140.7 106.7 125.5 116.1 116.1C125.5 106.7 140.7 106.7 150.1 116.1L191.1 158.1z"]],
    "lock": [448, 512, [128274], "f023", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H304V144C304 99.82 268.2 64 224 64z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "lock-a": [448, 512, [], "e422", ["M224 307.8L254.1 368H193.9L224 307.8zM224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM136.8 446.3C144.7 450.3 154.4 447.1 158.3 439.2L177.9 400H270.1L289.7 439.2C293.6 447.1 303.3 450.3 311.2 446.3C319.1 442.4 322.3 432.7 318.3 424.8L238.4 264.1C237.6 263.4 236.6 261.1 235.3 260.7C233.9 259.2 232.2 258.1 230.4 257.3C228.3 256.4 226.1 255.1 224 255.1C221.9 255.1 219.7 256.4 217.6 257.3C215.8 258.1 214.1 259.3 212.6 260.7C211.4 261.1 210.4 263.4 209.6 264.1L129.7 424.8C125.7 432.7 128.9 442.4 136.8 446.3V446.3z", "M238.4 264.1L318.3 424.8C322.3 432.7 319.1 442.4 311.2 446.3C303.3 450.3 293.6 447.1 289.7 439.2L270.1 400H177.9L158.3 439.2C154.4 447.1 144.7 450.3 136.8 446.3C128.9 442.4 125.7 432.7 129.7 424.8L209.6 264.1C210.4 263.4 211.4 261.1 212.7 260.7C214.1 259.2 215.8 258.1 217.6 257.3C219.7 256.4 221.9 255.1 223.1 255.1C226.1 255.1 228.3 256.4 230.4 257.3C232.2 258.1 233.9 259.2 235.3 260.7C236.6 261.1 237.6 263.4 238.4 264.1V264.1zM254.1 368L223.1 307.8L193.9 368H254.1z"]],
    "lock-hashtag": [448, 512, [], "e423", ["M192 320H256V384H192V320zM80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192zM160 256V288H128C119.2 288 112 295.2 112 304C112 312.8 119.2 320 128 320H160V384H128C119.2 384 112 391.2 112 400C112 408.8 119.2 416 128 416H160V448C160 456.8 167.2 464 176 464C184.8 464 192 456.8 192 448V416H256V448C256 456.8 263.2 464 272 464C280.8 464 288 456.8 288 448V416H320C328.8 416 336 408.8 336 400C336 391.2 328.8 384 320 384H288V320H320C328.8 320 336 312.8 336 304C336 295.2 328.8 288 320 288H288V256C288 247.2 280.8 240 272 240C263.2 240 256 247.2 256 256V288H192V256C192 247.2 184.8 240 176 240C167.2 240 160 247.2 160 256z", "M192 288H256V256C256 247.2 263.2 240 272 240C280.8 240 288 247.2 288 256V288H320C328.8 288 336 295.2 336 304C336 312.8 328.8 320 320 320H288V384H320C328.8 384 336 391.2 336 400C336 408.8 328.8 416 320 416H288V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416H192V448C192 456.8 184.8 464 176 464C167.2 464 160 456.8 160 448V416H128C119.2 416 112 408.8 112 400C112 391.2 119.2 384 128 384H160V320H128C119.2 320 112 312.8 112 304C112 295.2 119.2 288 128 288H160V256C160 247.2 167.2 240 176 240C184.8 240 192 247.2 192 256V288zM256 384V320H192V384H256z"]],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H304V144C304 99.82 268.2 64 224 64z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 320C256 302.3 241.7 288 224 288C206.3 288 192 302.3 192 320V384C192 401.7 206.3 416 224 416C241.7 416 256 401.7 256 384V320z"]],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", ["M432 64C387.8 64 352 99.82 352 144V192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"]],
    "lock-open": [576, 512, [], "f3c1", ["M432 64C387.8 64 352 99.82 352 144V192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "locust": [576, 512, [], "e520", ["M328 32C464.1 32 576 143 576 280V320C576 286.1 554.9 257 525 245.4C508.6 151.4 426.7 80 328 80H312C298.7 80 288 69.25 288 56C288 42.75 298.7 32 312 32H328z", "M307.8 193.3L348.7 137.8C353.8 130.8 362.2 127.2 370.8 128.2C379.3 129.1 386.7 134.6 390.1 142.5L431.8 240H496C540.2 240 576 275.8 576 320C576 364.2 540.2 400 496 400H483.6L508.8 444.1C515.4 455.6 511.4 470.3 499.9 476.8C488.4 483.4 473.7 479.4 467.2 467.9L428.4 400H347.1L299.7 469.7C292.2 480.6 277.2 483.3 266.3 475.7C255.4 468.2 252.7 453.2 260.3 442.3L289.6 400H215.1L163.3 470.2C155.5 480.9 140.4 483.2 129.8 475.3C119.1 467.5 116.8 452.4 124.7 441.8L165.2 386.7L122.2 370.4L42.84 470.9C34.62 481.3 19.53 483 9.13 474.8C-1.274 466.6-3.049 451.5 5.164 441.1L245.2 137.1C250.4 130.5 258.8 127.1 267.2 128.2C275.5 129.3 282.7 134.8 286.1 142.5L307.8 193.3zM379.6 240L362.5 199.1L332.1 240H379.6zM273.3 240L274.8 238.1L257.8 198.5L225.1 240H273.3zM496 304C487.2 304 480 311.2 480 320C480 328.8 487.2 336 496 336C504.8 336 512 328.8 512 320C512 311.2 504.8 304 496 304zM48.9 337.3C38.31 326.8 32 312.3 32 296.8C32 265.4 57.45 240 88.83 240H126.7L48.9 337.3z"]],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", ["M502.6 502.6C496.6 508.6 488.5 511.1 479.1 511.1C471.5 511.1 463.4 508.6 457.4 502.6L303.1 348.3C320.6 335.9 335.9 320.6 348.3 303.1L502.6 457.4C508.6 463.4 511.1 471.5 511.1 479.1C511.1 488.5 508.6 496.6 502.6 502.6z", "M327.7 56.29C363.7 92.29 383.9 141.1 384 192C384 229.1 372.7 267.1 351.6 298.7C330.5 330.2 300.6 354.9 265.5 369.4C230.4 383.9 191.8 387.7 154.5 380.3C117.3 372.9 83.09 354.6 56.24 327.8C29.38 300.9 11.1 266.7 3.689 229.5C-3.719 192.2 .0832 153.6 14.62 118.5C29.15 83.44 53.76 53.46 85.33 32.36C116.9 11.26 154 0 192 0C242.9 .0509 291.7 20.3 327.7 56.29zM278.9 306.2C301.3 289.2 318.3 266.1 327.7 239.6C337.1 213.1 338.6 184.5 331.9 157.2C325.2 129.9 310.7 105.1 290.1 85.98C269.6 66.83 243.9 54.11 216.2 49.4C188.5 44.69 159.1 48.18 134.2 59.45C108.5 70.72 86.62 89.28 71.3 112.8C55.97 136.4 47.88 163.9 48 191.1C48 219.6 58.96 246 78.46 265.5C97.96 285 124.4 295.1 152 295.1C179.6 295.1 206 285 225.5 265.5C245 246 256 219.6 256 191.1C256 175 249.3 158.7 237.3 146.7C225.3 134.7 208.1 127.1 192 127.1C175 127.1 158.7 134.7 146.7 146.7C134.7 158.7 128 175 128 191.1C128 198.4 130.5 204.5 135 208.1C139.5 213.5 145.6 215.1 152 215.1C158.4 215.1 164.5 213.5 168.1 208.1C173.5 204.5 176 198.4 176 191.1C176 185.6 178.5 179.5 183 175C187.5 170.5 193.6 167.1 200 167.1C206.4 167.1 212.5 170.5 216.1 175C221.5 179.5 224 185.6 224 191.1C224 211.1 216.4 229.4 202.9 242.9C189.4 256.4 171.1 263.1 152 263.1C132.9 263.1 114.6 256.4 101.1 242.9C87.59 229.4 80 211.1 80 191.1C80 162.3 91.8 133.8 112.8 112.8C133.8 91.8 162.3 79.1 192 79.1C221.7 79.1 250.2 91.8 271.2 112.8C292.2 133.8 304 162.3 304 191.1C303.9 223.5 293.1 254.2 275.6 279.9C257.3 305.5 231.4 324.8 201.6 335C229.6 333.2 256.5 323.1 278.9 306.2L278.9 306.2z"]],
    "loveseat": [512, 512, ["couch-small"], "f4cc", ["M64 226.9V160c0-70.7 57.31-128 128-128h128c70.7 0 128 57.3 128 128v66.94C429.4 233.5 416 251.1 416 272V352H96V272C96 251.1 82.6 233.5 64 226.9z", "M464 224C437.5 224 416 245.5 416 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64C88.84 480 96 472.8 96 464V448h320v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C512 245.5 490.5 224 464 224z"]],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", ["M372 160h-67.97c-37.1 0-67.85 27.17-76.85 64H220.7C211.8 187.2 181.2 160 143.1 160L76 160C69.38 160 64 165.4 64 172v30.75C64 249.8 99.75 288 144 288h22.38C159 300.3 153.9 311.5 150.6 320.9C119.8 325.5 96 351.9 96 384c0 35.5 29.38 64 64.88 64H287c35.5 0 64.88-28.5 64.88-64c0-32.13-23.62-58.5-54.63-63.13C293.1 311.4 288.9 300.3 281.5 288H304C348.3 288 384 249.8 384 202.8V172C384 165.4 378.6 160 372 160zM224 266.8C244.3 286.6 255.9 305.3 262.8 320h-77.5C192.1 305.3 203.8 286.6 224 266.8zM144 256C117.5 256 96 232.1 96 202.8V192h48C170.5 192 192 215.9 192 245.2V256H144zM288 352c17.62 0 32 14.38 32 32s-14.38 32-32 32H160c-17.62 0-32-14.38-32-32s14.38-32 32-32H288zM352 202.8C352 232.1 330.5 256 304 256h-47.98c.1406 .1875 .3125 .375 0 0L256 245.2C256 215.9 277.5 192 304 192H352V202.8z", "M224 0C100.3 0 0 100.3 0 224v96c0 106 85.96 192 192 192h64c106 0 192-85.96 192-192V224C448 100.3 347.7 0 224 0zM384 202.8C384 249.8 348.3 288 304 288h-22.5c7.375 12.25 12.5 23.38 15.75 32.88c31 4.625 54.63 31 54.63 63.13c0 35.5-29.38 64-64.88 64H160.9C125.4 448 96 419.5 96 384c0-32.13 23.75-58.5 54.63-63.13C153.9 311.5 159 300.3 166.4 288H144C99.75 288 64 249.8 64 202.8V172C64 165.4 69.38 160 76 160l67.97 .0417c37.22 0 67.86 27.13 76.73 63.96h6.477c9-36.83 39.75-64 76.85-64H372C378.6 160 384 165.4 384 172V202.8z"]],
    "lungs": [640, 512, [129729], "f604", ["M186 96c-44 0-57.1 28.5-80.12 63.13C59.91 231 25.5 308.9 3.875 390.1C1.25 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.2 88.63l59.53-15.88c42.13-11.38 71.25-47.5 71.25-88.63L256 279.5l-101.4 67.58c-7.352 4.902-17.29 2.914-22.19-4.438l-8.875-13.31C118.7 321.1 120.6 312.1 128 307.2l128-85.31v-60.1C256 125.4 224.7 96 186 96zM636.1 390.1C614.5 308.9 580.1 231 534.1 159.1c-22.12-34.63-36.13-63.13-80.13-63.13C415.3 96 384 125.4 384 161.8v60.1l128 85.31c7.354 4.902 9.34 14.84 4.438 22.19l-8.875 13.31c-4.9 7.352-14.83 9.34-22.19 4.438L384 279.5l-.0313 124.4c0 41.13 29.12 77.25 71.25 88.63l59.53 15.88C577.5 525.3 640 481 640 419.8C640 409.8 638.8 399.9 636.1 390.1z", "M516.4 329.3l-8.875 13.31c-4.9 7.352-14.83 9.34-22.19 4.438l-147.6-98.42c-10.75-7.166-24.75-7.166-35.5 0l-147.6 98.42c-7.352 4.902-17.29 2.914-22.19-4.438l-8.875-13.31C118.7 321.1 120.6 312.1 128 307.2l153.8-102.5C290.7 198.7 296 188.7 296 178V16C296 7.164 303.2 0 312 0h16c8.838 0 16 7.164 16 16v162c0 10.7 5.347 20.69 14.25 26.63L512 307.2C519.4 312.1 521.3 321.1 516.4 329.3z"]],
    "lungs-virus": [640, 512, [], "e067", ["M328 0h-16c-8.875 0-16 7.125-16 16L295.1 150.7c7.088-4.137 15.22-6.675 23.1-6.675s16.91 2.538 24 6.675L344 16C344 7.125 336.9 0 328 0zM185.1 96c-44 0-57.97 28.5-80.09 63.13c-46 71.88-80.39 149.8-102 231C1.257 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.3 88.62l59.5-15.9c21.74-5.875 39.91-18.39 52.51-34.73c-2.553 .4141-5.137 .7591-7.774 .7591c-12.82 0-24.87-4.994-33.94-14.06c-18.71-18.72-18.71-49.16 .0033-67.87l8.576-8.576H192c-26.47 0-48-21.54-48-48c0-26.47 21.53-48 48-48l12.12-.0055L195.5 263.4c-18.71-18.72-18.71-49.16 0-67.88C204.6 186.5 216.7 181.5 229.5 181.5c9.576 0 18.72 2.799 26.52 7.986l.04-27.75C256 125.3 224.6 96 185.1 96zM636.1 390.1c-21.62-81.25-56.02-159.1-102-231c-22.12-34.63-36.09-63.13-80.09-63.13c-38.62 0-70.01 29.35-70.01 65.73v27.74c7.795-5.188 16.94-7.986 26.52-7.986c12.82 0 24.88 4.999 33.95 14.07c18.71 18.72 18.71 49.16 0 67.88l-8.576 8.571L448 272c26.47 0 48 21.53 48 48c0 26.47-21.53 48-48 48h-12.12l8.576 8.576c18.71 18.72 18.71 49.16-.0072 67.87c-9.066 9.066-21.12 14.06-33.94 14.06c-2.637 0-5.211-.3438-7.764-.7578c12.6 16.34 30.77 28.85 52.51 34.73l59.5 15.9C577.5 525.3 640 481 640 419.8C640 409.8 638.7 399.9 636.1 390.1z", "M448 303.1h-12.12c-28.51 0-42.79-34.46-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-8.576 8.577C370.5 246.9 336 232.6 336 204.1v-12.12c0-8.844-7.156-15.1-16-15.1s-16 7.156-16 15.1v12.12c0 28.51-34.47 42.79-54.63 22.63L240.8 218.2c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16c0 8.844 7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575C269.5 393.1 304 407.4 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.78 54.63-22.63l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.37 0-22.62l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16C464 311.1 456.8 303.1 448 303.1zM288 303.1c-8.836 0-16-7.162-16-15.1C272 279.2 279.2 271.1 288 271.1s16 7.158 16 15.1C304 296.8 296.8 303.1 288 303.1zM352 367.1c-8.836 0-16-7.166-16-16c0-8.84 7.164-15.1 16-15.1s16 7.163 16 16C368 360.8 360.8 367.1 352 367.1z"]],
    "m": [448, 512, [109], "4d", ["M448 64.01v384c0 17.67-14.31 32-32 32s-32-14.33-32-32V169.7l-133.4 200.1c-11.88 17.81-41.38 17.81-53.25 0L64 169.7v278.3c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-14.09 9.219-26.55 22.72-30.63c13.47-4.156 28.09 1.141 35.91 12.88L224 294.3l165.4-248.1c7.812-11.73 22.47-17.03 35.91-12.88C438.8 37.47 448 49.92 448 64.01z", ""]],
    "mace": [512, 512, [], "f6f8", ["M216.3 340.7L54.61 502.6c-12.49 12.53-32.75 12.53-45.25 .0118c-12.48-12.5-12.48-32.92 0-45.42l161.7-161.1C182.4 313.7 197.8 329.3 216.3 340.7z", "M500.1 209.4l-80.75-25.32c-13.59-45.03-49.13-80.32-94.35-92.1l-27.32-80.43C295.5 4.179 291.8 1.049 288 0c-3.83 1.049-7.514 4.179-9.699 10.7L250.1 91.12C205.8 103.8 170.2 138.9 156.6 183.1L75.88 209.4c-15.75 4.99-15.88 18.47-.1348 23.73l80.08 27.38c12.65 45.3 47.64 80.9 92.6 94.52l25.57 80.9C276.9 445.2 282.6 448.4 288 446.9c5.369 1.487 11.1-1.659 14.01-10.87l25.57-80.97c44.95-13.62 79.95-49.22 92.6-94.52l80.08-27.38C516 227.9 515.9 214.4 500.1 209.4zM288 255.5c-17.62 0-32-14.4-32-32.06s14.38-32.06 32-32.06s32 14.4 32 32.06S305.6 255.5 288 255.5z"]],
    "magnet": [448, 512, [129522], "f076", ["M0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V160H0V64zM320 64C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V160H320V64z", "M128 160V256C128 309 170.1 352 224 352C277 352 320 309 320 256V160H448V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V160H128z"]],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", ["M207.1 0C93.12 0-.0002 93.13-.0002 208S93.12 416 207.1 416s208-93.13 208-208S322.9 0 207.1 0zM207.1 336c-70.58 0-128-57.42-128-128c0-70.58 57.42-128 128-128s128 57.42 128 128C335.1 278.6 278.6 336 207.1 336z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", ["M0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM240.1 119C231.6 109.7 216.4 109.7 207 119C197.7 128.4 197.7 143.6 207 152.1L238.1 184H120C106.7 184 96 194.7 96 208C96 221.3 106.7 232 120 232H238.1L207 263C197.7 272.4 197.7 287.6 207 296.1C216.4 306.3 231.6 306.3 240.1 296.1L312.1 224.1C322.3 215.6 322.3 200.4 312.1 191L240.1 119z", "M312.1 191C322.3 200.4 322.3 215.6 312.1 224.1L240.1 296.1C231.6 306.3 216.4 306.3 207 296.1C197.7 287.6 197.7 272.4 207 263L238.1 232H120C106.7 232 96 221.3 96 208C96 194.7 106.7 184 120 184H238.1L207 152.1C197.7 143.6 197.7 128.4 207 119C216.4 109.7 231.6 109.7 240.1 119L312.1 191zM457.4 502.6L330.7 375.1C348 363.3 363.3 348 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6z"]],
    "magnifying-glass-chart": [512, 512, [], "e522", ["M0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM104 280C104 293.3 114.7 304 128 304C141.3 304 152 293.3 152 280V216C152 202.7 141.3 192 128 192C114.7 192 104 202.7 104 216V280zM184 280C184 293.3 194.7 304 208 304C221.3 304 232 293.3 232 280V120C232 106.7 221.3 96 208 96C194.7 96 184 106.7 184 120V280zM264 280C264 293.3 274.7 304 288 304C301.3 304 312 293.3 312 280V184C312 170.7 301.3 160 288 160C274.7 160 264 170.7 264 184V280z", "M104 216C104 202.7 114.7 192 128 192C141.3 192 152 202.7 152 216V280C152 293.3 141.3 304 128 304C114.7 304 104 293.3 104 280V216zM184 120C184 106.7 194.7 96 208 96C221.3 96 232 106.7 232 120V280C232 293.3 221.3 304 208 304C194.7 304 184 293.3 184 280V120zM264 184C264 170.7 274.7 160 288 160C301.3 160 312 170.7 312 184V280C312 293.3 301.3 304 288 304C274.7 304 264 293.3 264 280V184zM457.4 502.6L330.7 375.1C348 363.3 363.3 348 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6z"]],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM273.7 253.8C269.8 276.4 252.6 291.3 228 296.1V304c0 11.03-8.953 20-20 20S188 315 188 304V295.2C178.2 293.2 168.4 289.9 159.6 286.8L154.8 285.1C144.4 281.4 138.9 269.9 142.6 259.5C146.2 249.1 157.6 243.7 168.1 247.3l5.062 1.812c8.562 3.094 18.25 6.562 25.91 7.719c16.23 2.5 33.47-.0313 35.17-9.812c1.219-7.094 .4062-10.62-31.8-19.84L196.2 225.4C177.8 219.1 134.5 207.3 142.3 162.2C146.2 139.6 163.5 124.8 188 120V112c0-11.03 8.953-20 20-20S228 100.1 228 112v8.695c6.252 1.273 13.06 3.07 21.47 5.992c10.42 3.625 15.95 15.03 12.33 25.47C258.2 162.6 246.8 168.1 236.3 164.5C228.2 161.7 221.8 159.9 216.8 159.2c-16.11-2.594-33.38 .0313-35.08 9.812c-1 5.812-1.719 10 25.7 18.03l6 1.719C238.9 196 281.5 208.2 273.7 253.8z", "M213.5 188.7l-6-1.719C180 178.1 180.8 174.8 181.8 168.1c1.703-9.781 18.97-12.41 35.08-9.812c4.969 .75 11.36 2.5 19.52 5.344c10.44 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.906-21.84-12.33-25.47C241.1 123.8 234.3 121.1 228 120.7V112c0-11.03-8.953-20-20-20S188 100.1 188 112v8.043c-24.53 4.746-41.77 19.6-45.66 42.11C134.5 207.3 177.8 219.1 196.2 225.4l6.266 1.812c32.2 9.219 33.02 12.75 31.8 19.84C232.5 256.8 215.3 259.3 199.1 256.8C191.4 255.7 181.7 252.2 173.2 249.1L168.1 247.3C157.6 243.7 146.2 249.1 142.6 259.5C138.9 269.9 144.4 281.4 154.8 285.1l4.844 1.719C168.4 289.9 178.2 293.2 188 295.2V304c0 11.03 8.953 20 20 20S228 315 228 304V296.1c24.55-4.73 41.77-19.68 45.66-42.21C281.5 208.2 238.9 196 213.5 188.7zM500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0004C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM216.3 316.2C214.2 318.5 211.2 320 207.1 320c-3.209 0-6.164-1.459-8.207-3.791c-21.58-25.52-77.87-95.67-77.87-134C121.9 134.5 160.4 96 207.1 96c47.69 0 86.18 38.5 86.18 86.19C294.1 220.5 237.8 290.7 216.3 316.2z", "M207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320c3.207 0 6.26-1.459 8.303-3.791c21.58-25.52 77.88-95.67 77.88-134C294.1 134.5 255.6 96 207.1 96zM208 204c-15.46 0-28-12.54-28-28S192.5 148 208 148S236 160.5 236 176S223.5 204 208 204zM500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM288 232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24h160C301.3 184 312 194.7 312 208S301.3 232 288 232z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 184H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24h160C301.3 232 312 221.3 312 208S301.3 184 288 184z"]],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM288 232H231.1V288c0 13.26-10.74 24-23.1 24C194.7 312 184 301.3 184 288V232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24H184V128c0-13.26 10.74-24 23.1-24S231.1 114.7 231.1 128v56h56C301.3 184 312 194.7 312 208S301.3 232 288 232z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 184H231.1V128c0-13.26-10.74-24-23.1-24S184 114.7 184 128v56H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24H184V288c0 13.26 10.73 24 23.1 24c13.26 0 23.1-10.74 23.1-24V232h56C301.3 232 312 221.3 312 208S301.3 184 288 184z"]],
    "mailbox": [576, 512, [128234], "f813", ["M576 208V416C576 433.6 561.6 448 544 448L256 448C273.7 448 288 433.7 288 416V208C288 128.9 223.9 65.44 144.9 64.84C144.6 64.6 144.3 64.22 144 64H432C511.5 64 576 128.5 576 208V208zM512 208C512 199.2 504.8 192 496 192H400C391.2 192 384 199.2 384 208C384 216.8 391.2 224 400 224H448V272C448 280.8 455.2 288 464 288H496C504.8 288 512 280.8 512 272V208z", "M512 208V272C512 280.8 504.8 288 496 288H464C455.2 288 448 280.8 448 272V224H400C391.2 224 384 216.8 384 208C384 199.2 391.2 192 400 192H496C504.8 192 512 199.2 512 208V208zM288 208V416C288 433.7 273.7 448 256 448L32 448C14.4 448 0 433.6 0 416V214.2C0 139 54.95 71.86 129.8 64.68C215.7 56.45 288 123.8 288 208zM224 208C224 199.2 216.8 192 208 192H80C71.16 192 64 199.2 64 208C64 216.8 71.16 224 80 224H208C216.8 224 224 216.8 224 208z"]],
    "manat-sign": [384, 512, [], "e1d5", ["M224 64V98.65C213.6 96.91 202.9 96 192 96C181.1 96 170.4 96.91 160 98.65V64C160 46.33 174.3 32 192 32C209.7 32 224 46.33 224 64zM224 448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V164C170.2 161.4 180.1 160 192 160C203 160 213.8 161.4 224 164V448z", "M0 288C0 181.1 85.96 96 192 96C298 96 384 181.1 384 288V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V288C320 217.3 262.7 160 192 160C121.3 160 64 217.3 64 288V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V288z"]],
    "mandolin": [512, 512, [], "f6f9", ["M294.6 262.6L249.4 217.4l25.13-25.13C90.39 190.6 46.01 240.1 30.76 256.2c-46.88 46.87-39.5 150.4 17.5 207.5c57.13 57.12 160.6 64.37 207.5 17.5c15.25-15.25 65.64-59.64 64.01-243.7L294.6 262.6zM208 351.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99s48 21.5 48 47.99C256 330.5 234.5 351.1 208 351.1z", "M509.5 70.52l-40.01 63.99C465.1 141.4 458.3 146.5 450.4 148.5l-56.12 14.49l-99.64 99.63L249.4 217.4l99.64-99.63l14.5-56.1c2-8 7-14.75 14-19.12l64-40.11c6.375-3.875 14.51-2.998 19.76 2.252l46 46C512.6 56.03 513.5 64.15 509.5 70.52z"]],
    "mango": [512, 512, [], "e30f", ["M509.4 253.1C497.8 176.4 440.4 120.1 368 102.4v49.52C368 165.2 357.3 176 344 176S320 165.3 320 152l-.0752-55.99c-.0723 0 .0723 0 0 0c-171.5 .1602-208.7 177.9-301.7 268.4C6.512 375.8 0 391.5 0 407.9c0 25.1 15.28 47.62 38.73 56.57C88.42 483.4 181.1 512 287.1 512C423.2 512 530.4 392.3 509.4 253.1zM304 432c-8.844 0-16-7.156-16-16s7.156-16 16-16c52.94 0 96-43.06 96-96C400 295.2 407.2 288 416 288s16 7.156 16 16C432 374.6 374.6 432 304 432z", "M511.6 76.72C513.9 86.64 505.3 96 494.1 96h-51.05C411.5 96 385.5 83.31 368 63.56v88.4C368 165.2 357.3 176 344 176S320 165.3 320 152v-128C320 10.75 330.8 0 344 0h63.68C458.1 0 501.8 32.94 511.6 76.72z"]],
    "manhole": [512, 512, [], "e1d6", ["M287.4 99.17C285.7 115.3 272.5 128 256 128S226.3 115.3 224.6 99.17C151.4 113.8 96 178.5 96 256s55.39 142.2 128.6 156.8C226.3 396.7 239.5 384 256 384s29.69 12.72 31.36 28.83C360.6 398.2 416 333.5 416 256S360.6 113.8 287.4 99.17zM208 336h-32v-32h32V336zM208 272h-32v-32h32V272zM208 208h-32v-32h32V208zM272 336h-32v-32h32V336zM272 272h-32v-32h32V272zM272 208h-32v-32h32V208zM336 336h-32v-32h32V336zM336 272h-32v-32h32V272zM336 208h-32v-32h32V208z", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 448c-106 0-192-85.96-192-192s85.96-192 192-192s192 85.96 192 192S362 448 256 448z"]],
    "map": [576, 512, [62072, 128506], "f279", ["M192 32L384 96V480L192.1 416L192 32z", "M10.06 99.61L191.9 32.01L192 416L22 478.8C11.49 483.1 0 475.3 0 464V114.5C0 107.9 3.984 102 10.06 99.61V99.61zM576 48.02V397.6C576 404.1 572 409.1 565.9 412.4L384 480V96.01L554 33.16C564.6 28.96 576 36.7 576 48.02V48.02z"]],
    "map-location": [576, 512, ["map-marked"], "f59f", ["M416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.9C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.9C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120z"]],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", ["M416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.9C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.9C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z", "M273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM288 152C310.1 152 328 134.1 328 112C328 89.91 310.1 72 288 72C265.9 72 248 89.91 248 112C248 134.1 265.9 152 288 152z"]],
    "map-pin": [320, 512, [128205], "f276", ["M176 288C186.1 288 197.7 286.8 208 284.4V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V284.4C154.3 286.8 165 288 176 288V288z", "M32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144zM112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144z"]],
    "marker": [512, 512, [], "f5a1", ["M229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L175 207L304.1 336.1L229.5 412.5z", "M480.1 160.1L304.1 336.1L175 207L302.1 80L288.1 66.91C279.6 57.54 264.4 57.54 255 66.91L168.1 152.1C159.6 162.3 144.4 162.3 135 152.1C125.7 143.6 125.7 128.4 135 119L221.1 32.97C249.2 4.853 294.8 4.853 322.9 32.97L336 46.06L351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1V160.1z"]],
    "mars": [448, 512, [9794], "f222", ["M240 304c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S240 268.7 240 304z", "M431.1 31.1l-112.6 0c-21.42 0-32.15 25.85-17 40.97l29.61 29.56l-56.65 56.55c-30.03-20.66-65.04-31-100-31c-47.99-.002-95.96 19.44-131.1 58.39c-60.86 67.51-58.65 175 4.748 240.1C83.66 462.2 129.6 480 175.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56C411.9 182.2 417.9 184.4 423.8 184.4C436.1 184.4 448 174.8 448 160.4V47.1C448 39.16 440.8 31.1 431.1 31.1zM243.5 371.9c-18.75 18.71-43.38 28.07-68 28.07c-24.63 0-49.25-9.355-68.01-28.07c-37.5-37.43-37.5-98.33 0-135.8c18.75-18.71 43.38-28.07 68.01-28.07c24.63 0 49.25 9.357 68 28.07C281 273.5 281 334.5 243.5 371.9z"]],
    "mars-and-venus": [512, 512, [9893], "f224", ["M256 176C229.5 176 208 197.5 208 224c0 26.51 21.49 48 48 48s48-21.49 48-48C304 197.5 282.5 176 256 176z", "M480 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-27.11 27.11C326.1 76.85 292.7 64 256 64c-88.37 0-160 71.63-160 160c0 77.4 54.97 141.9 128 156.8v19.22H192c-8.836 0-16 7.162-16 16v31.1c0 8.836 7.164 16 16 16l32 .0001v32c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-32l32-.0001c8.838 0 16-7.164 16-16v-31.1c0-8.838-7.162-16-16-16h-32v-19.22c73.03-14.83 128-79.37 128-156.8c0-28.38-8.018-54.65-20.98-77.77l30.45-30.45l29.56 29.56C470.1 160.5 496 149.8 496 128.4V16C496 7.164 488.8 .0002 480 .0002zM256 304c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 268.1 300.1 304 256 304z"]],
    "mars-and-venus-burst": [640, 512, [], "e523", ["M176 8C182.6 8 188.5 11.1 190.9 18.09L220.3 92.05L280.4 73.81C236.3 108.1 208 163.2 208 224C208 269.2 223.6 310.8 249.8 343.6C244.5 345 238.7 343.7 234.6 339.9L176 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.74 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.876 229.6 4.418 223.2C2.959 216.8 5.545 210.1 10.94 206.4L76.51 161.3L37.02 92.18C33.77 86.49 34.32 79.39 38.4 74.27C42.49 69.14 49.29 67.03 55.56 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.5 8 176 8V8z", "M480 32C480 14.33 494.3 0 512 0H608C625.7 0 640 14.33 640 32V120C640 137.7 625.7 152 608 152C590.3 152 576 137.7 576 120V109.3L539.6 145.7C552.6 168.8 560 195.6 560 224C560 301.4 505 365.1 432 380.8V400H448C465.7 400 480 414.3 480 432C480 449.7 465.7 464 448 464H432V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V464H352C334.3 464 320 449.7 320 432C320 414.3 334.3 400 352 400H368V380.8C294.1 365.1 240 301.4 240 224C240 135.6 311.6 64 400 64C436.7 64 470.6 76.37 497.6 97.18L530.7 64H512C494.3 64 480 49.67 480 32V32zM400 320C453 320 496 277 496 224C496 170.1 453 128 400 128C346.1 128 304 170.1 304 224C304 277 346.1 320 400 320z"]],
    "mars-double": [640, 512, [9891], "f227", ["M176 240c-35.35 0-64 28.66-64 64s28.65 64 64 64c35.35 0 64-28.66 64-64S211.3 240 176 240zM623.1 32h-112.6c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L480 146.5v13.91C480 191.3 454.8 216.4 423.8 216.4C421.2 216.4 418.6 216 416 215.6v5.862c6.922 4.051 13.58 8.691 19.51 14.61c37.5 37.43 37.5 98.33 0 135.8c-18.75 18.71-43.38 28.07-68 28.07c-2.277 0-4.523-.4883-6.795-.6484c-9.641 18.69-22.1 36.24-37.64 51.77c-6.059 6.059-12.49 11.53-19.13 16.73C324.4 475.7 345.9 480 367.5 480c45.12 0 90.34-17.19 124.8-51.55c61.11-60.1 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56c4.898 4.887 10.92 7.075 16.83 7.075C628.1 184.4 640 174.8 640 160.4V48C640 39.16 632.8 32 623.1 32z", "M320.7 204.3l56.65-56.55l29.61 29.56C422.1 192.5 448 181.7 448 160.4V47.1c0-8.838-7.176-15.1-16.03-15.1H319.4c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L275.4 159.1c-71.21-48.99-170.4-39.96-231.1 27.39c-60.86 67.51-58.65 175 4.748 240.1c68.7 70.57 181.8 71.19 251.3 1.847C361.4 367.5 368 272.9 320.7 204.3zM243.5 371.9c-37.5 37.43-98.51 37.43-136 0s-37.5-98.33 0-135.8c37.5-37.43 98.51-37.43 136 0C281 273.5 281 334.5 243.5 371.9z"]],
    "mars-stroke": [512, 512, [9894], "f229", ["M272 304c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S272 268.7 272 304z", "M496 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.33 24.34l-33.94-33.94c-6.248-6.25-16.38-6.248-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l33.94 33.94l-18.96 18.96C239.1 111.8 144.5 118.6 83.55 179.5c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c60.99-60.99 67.73-155.6 20.47-224.1l18.96-18.96l33.94 33.94c6.248 6.248 16.38 6.25 22.63 0l22.63-22.63c6.248-6.248 6.248-16.38 0-22.63l-33.94-33.94l24.34-24.33l29.56 29.56C486.1 160.5 512 149.8 512 128.4v-112.4C512 7.162 504.8 .0002 496 .0002zM275.9 371.9c-37.43 37.43-98.33 37.43-135.8 0c-37.43-37.43-37.43-98.33 0-135.8c37.43-37.43 98.33-37.43 135.8 0C313.3 273.5 313.3 334.5 275.9 371.9z"]],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", ["M272 256c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S272 220.7 272 256z", "M619.3 244.7l-82.34-77.61c-15.12-15.12-40.97-4.41-40.97 16.97V223.1L463.1 224V176c.002-8.838-7.162-16-15.1-16h-32c-8.84 0-16 7.16-16 16V224h-19.05c-15.07-81.9-86.7-144-172.1-144C110.8 80 32 158.8 32 256c0 97.2 78.8 176 176 176c86.26 0 157.9-62.1 172.1-144h19.05V336c0 8.836 7.162 16 16 16h32c8.836 0 15.1-7.164 15.1-16V287.1L496 288v39.95c0 21.38 25.85 32.09 40.97 16.97l82.34-77.61C625.6 261.1 625.6 250.9 619.3 244.7zM208 352c-52.94 0-96-43.07-96-96c-.002-52.94 43.06-96 96-96c52.93 0 95.1 43.06 95.1 96C304 308.9 260.9 352 208 352z"]],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", ["M256 335.1c0 35.35-28.65 63.1-64 63.1s-64-28.65-64-63.1s28.65-63.1 64-63.1S256 300.7 256 335.1z", "M224 163V144h24c4.418 0 8-3.578 8-7.1V120c0-4.418-3.582-7.1-8-7.1H224V96h24.63c16.41 0 24.62-19.84 13.02-31.44l-60.97-60.97c-4.795-4.793-12.57-4.793-17.36 0L122.3 64.56c-11.6 11.6-3.383 31.44 13.02 31.44H160v15.1H136c-4.418 0-8 3.582-8 7.1v15.1c0 4.422 3.582 7.1 8 7.1H160v19.05c-84.9 15.62-148.5 92.01-143.7 182.5c4.783 90.69 82.34 165.1 173.2 166.5C287.8 513.4 368 434.1 368 336C368 249.7 305.9 178.1 224 163zM192 431.1c-52.94 0-96-43.06-96-95.1s43.06-95.1 96-95.1c52.93 0 96 43.06 96 95.1S244.9 431.1 192 431.1z"]],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", ["M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H175.1c-26.51 0-47.1 21.49-47.1 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z", "M341.1 128L256 213.1L170.9 128H341.1z"]],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", ["M296.2 192L208 280.2L119.8 192H296.2zM391.4 128H24.63C2.751 128-8.249 154.5 7.251 170l168.7 168.7V464H128c-17.67 0-32 14.33-32 32c0 8.836 7.164 16 15.1 16h191.1c8.836 0 15.1-7.164 15.1-16c0-17.67-14.33-32-31.1-32H240v-125.3l168.8-168.7C424.3 154.5 413.3 128 391.4 128z", "M432 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.87 0 95.1 43 95.1 96s-43.13 96-95.1 96c-14 0-27.25-3.25-39.37-8.625l-35.25 35.25c21.87 13.25 47.25 21.38 74.62 21.38c79.5 0 143.1-64.5 143.1-144S511.5 0 432 0zM208 280.2L264.2 224H151.8L208 280.2z"]],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", ["M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H176c-26.51 0-48 21.49-48 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-47.1-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z", "M405.1 64l-149.1 149.1L106.9 64H405.1z"]],
    "mask": [576, 512, [], "f6fa", ["M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.514 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3672 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM160 320c-35.35 0-64-28.66-64-64s28.65-64 64-64c35.35 0 64 28.66 64 64S195.3 320 160 320zM416 320c-35.35 0-64-28.66-64-64s28.65-64 64-64c35.35 0 64 28.66 64 64S451.3 320 416 320z", "M160 192C124.7 192 96 220.7 96 256s28.65 64 64 64c35.35 0 64-28.66 64-64S195.3 192 160 192zM416 192c-35.35 0-64 28.66-64 64s28.65 64 64 64c35.35 0 64-28.66 64-64S451.3 192 416 192z"]],
    "mask-face": [640, 512, [], "e1d7", ["M96 160V176H56C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L132.3 346.3C149.6 372.8 172.3 395.4 198.9 412.5L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H128C110.3 128 96 142.3 96 160L96 160zM507.7 346.3L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H544V160C544 142.3 529.7 128 512 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L441.1 412.5C467.7 395.4 490.4 372.8 507.7 346.3V346.3z", "M396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H512C529.7 128 544 142.3 544 160V224C544 347.7 443.7 448 320 448C196.3 448 96 347.7 96 224V160C96 142.3 110.3 128 128 128H153.2C172.2 128 190.7 122.4 206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12zM208 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H208C199.2 192 192 199.2 192 208C192 216.8 199.2 224 208 224zM208 256C199.2 256 192 263.2 192 272C192 280.8 199.2 288 208 288H432C440.8 288 448 280.8 448 272C448 263.2 440.8 256 432 256H208zM240 352H400C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320H240C231.2 320 224 327.2 224 336C224 344.8 231.2 352 240 352z"]],
    "mask-snorkel": [576, 512, [], "e3b7", ["M544 32c-17.69 0-32 14.31-32 32v96h64V64C576 46.31 561.7 32 544 32zM512 367.4C512 411.9 475.9 448 431.4 448c-39.84 0-74.13-29.47-79.75-68.56c-2.332-15.9-15.74-27.47-31.51-27.47c-27.19 0-32.19 25.67-32.19 32.02C287.1 390.9 308.4 512 431.4 512C511.2 512 576 447.2 576 367.4V192h-64V367.4z", "M384 288c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.041 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384z"]],
    "mask-ventilator": [640, 512, [], "e524", ["M584 128C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L477.5 403.4C490.1 386.5 499.8 367.4 505.6 346.9L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H480.7C473.1 159.5 464.3 143.2 454.5 128L584 128zM90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H185.1C175.3 143.2 166.6 159.5 159.1 176H55.1C51.58 176 47.1 179.6 47.1 184V269C47.1 302.1 70.49 330.9 102.5 338.9L134.3 346.8C140.1 367.3 149.6 386.4 162.2 403.3L90.9 385.5zM352 320V512H288V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320z", "M128 300.8C128 201.9 214 32 320 32C424.1 32 512 201.9 512 300.8C512 379.4 458.1 445.3 384 469.8V393.2C403.6 376.8 416 353.1 416 326.4C416 276.9 372.5 192 320 192C267 192 224 276.9 224 326.4C224 353 236.3 376.9 256 393.3V469.9C181 445.4 128 378.9 128 300.8V300.8z"]],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", ["M232.8 282.2l6.266-35.41c-9.891-2.692-20.47-3.561-31.35-1.66C171.2 251.7 146.4 284 149.3 319.3c13.54-16.81 36.86-30.31 65.25-35.32C220.8 282.9 226.8 282.4 232.8 282.2zM379.2 60.04c-5-28.12-26.72-49.93-54.09-54.3C301.3 1.935 277.3-.0001 253.4-.0001c-76.69 0-152.3 19.43-220.1 57.07C9.021 70.44-3.854 98.51 1.021 126.6L32.77 306c14.22 80.55 136.4 142 204.5 142c5.539 0 10.66-.4372 15.4-1.275c8.463-1.478 17.82-4.848 27.59-9.579c-14.4-16.7-26.94-35.13-36.25-54.18c-.791 .2226-1.787 .6404-2.465 .7595c-.3555 .0625-1.721 .2675-4.326 .2675c-48.47 0-134.2-48.61-141.4-89.14L64.11 115.5c-.2754-1.58 .2207-2.565 .2598-2.626c57.7-32.05 123-48.99 189-48.99c20.55 0 41.31 1.694 61.48 4.887c.0723 .0351 .3369 .5504 .5068 .73c21.53-3.405 43.07-4.893 64.63-5.205L379.2 60.04zM193.4 157.6C192.6 153.4 191.1 149.7 189.3 146.2C181 155.1 168.6 161.9 154 164.6C139.4 167.1 125.3 164.9 114.5 159.3c-.5 3.999-.625 7.999 .125 12.12c3.75 21.74 24.5 36.24 46.25 32.37C182.6 200.1 197.3 179.3 193.4 157.6z", "M606.8 121c-88.87-49.36-191.4-67.38-291.9-51.38C287.5 73.1 265.8 95.86 260.8 123.1L229 303.5c-15.37 87.1 95.33 196.3 158.3 207.3c62.1 11.12 204.5-53.72 219.9-140.8l31.75-179.5C643.9 162.3 631 134.4 606.8 121zM333.5 217.8c3.873-21.74 24.62-36.24 46.37-32.37c21.75 3.749 36.25 24.5 32.5 46.12c-.75 4.124-2.25 7.874-4.125 11.5c-8.25-8.997-20.62-15.75-35.25-18.37c-14.75-2.624-28.75-.3739-39.5 5.124C332.1 225.9 332.9 221.9 333.5 217.8zM403.1 416.5c-55.62-9.871-93.49-59.25-88.99-112.1c20.62 25.62 56.25 46.24 99.49 53.87c43.25 7.622 83.74 .3719 111.9-16.62C512.2 392.6 459.7 426.3 403.1 416.5zM534.4 265.2c-8.25-8.872-20.75-15.75-35.37-18.37c-14.62-2.499-28.62-.3739-39.5 5.249c-.5-3.999-.625-7.999 .125-12.12c3.875-21.74 24.62-36.24 46.37-32.37c21.75 3.874 36.25 24.5 32.37 46.24C537.6 257.9 536.1 261.7 534.4 265.2z"]],
    "mattress-pillow": [640, 512, [], "e525", ["M0 384V128C0 92.65 28.65 64 64 64H256V448H64C28.65 448 0 419.3 0 384zM96 128C78.33 128 64 142.3 64 160V352C64 369.7 78.33 384 96 384H160C177.7 384 192 369.7 192 352V160C192 142.3 177.7 128 160 128H96z", "M256 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H256V64z"]],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", ["M152.6 116.7l30.06-30.06C191.8 77.47 194.5 63.72 189.6 51.75c-4.938-11.95-16.62-19.75-29.56-19.75H24c-13.26 0-23.1 10.75-23.1 23.1v135.1c0 12.94 7.781 24.61 19.75 29.56c12 4.906 25.72 2.203 34.87-6.937l30.06-30.06l71.44 71.44l67.87-67.88L152.6 116.7zM428.2 290.4C424.3 288.8 420.1 288 415.1 288c-8.312 0-16.5 3.248-22.62 9.373L363.3 327.4l-71.44-71.44L224 323.9l71.44 71.44l-30.06 30.06c-9.156 9.156-11.91 22.91-6.937 34.87c4.938 11.95 16.62 19.75 29.56 19.75h135.1c13.25 0 23.1-10.75 23.1-23.1V319.1C447.1 307.1 440.2 295.4 428.2 290.4z", "M152.6 395.3l30.06 30.06c9.156 9.156 11.91 22.91 6.937 34.87C184.6 472.2 172.9 479.1 160 479.1H24c-13.25 0-23.1-10.74-23.1-23.1v-135.1c0-12.94 7.781-24.61 19.75-29.56C23.72 288.8 27.88 288 32 288c8.312 0 16.5 3.242 22.63 9.367l30.06 30.06l210.7-210.8l-30.06-30.06c-9.156-9.156-11.91-22.91-6.937-34.87c4.937-11.95 16.62-19.75 29.56-19.75h135.1c13.26 0 23.1 10.75 23.1 23.1v135.1c0 12.94-7.781 24.61-19.75 29.56c-11.1 4.906-25.72 2.203-34.87-6.937l-30.06-30.06L152.6 395.3z"]],
    "meat": [576, 512, [127830], "f814", ["M160 311.9L160 309.8l-8.556 8.544c-9.711 9.688-23.97 11.07-36.76 5.999c-30.95-12.36-66.05 2.706-78.41 33.64c-8.951 22.41-3.677 48.04 13.41 65.09c15.3 15.28 36.51 19.61 56.13 15.12c-4.49 19.59-.1676 40.78 15.12 56.05c23.51 23.63 61.72 23.71 85.35 .2079c17.16-17.07 22.43-42.73 13.43-65.2c-5.102-12.73-3.72-26.1 6-36.74l8.582-8.522l-2.31-.049C192.2 383.9 160 351.7 160 311.9zM408.2 136.1c-14.72-14.7-34.54-18.64-44.39-8.871c-9.852 9.77-5.853 29.67 8.878 44.37s34.67 18.68 44.48 8.871S422.1 150.8 408.2 136.1z", "M476 68.42C431.4 23.96 377 0 331.1 0C307.4 0 286.4 6.79 269.7 19.1c-2.645 1.66-5.156 3.657-7.365 5.86c-38.72 38.67-102.3 113.8-102.3 183.6l-.0552 102.5c0 39.76 32.24 71.98 72 71.98l102.8 .0273c69.89 0 144.1-63.43 183.7-102.1c2.627-2.68 5.032-5.727 6.823-9.02C562.8 223.4 542.7 135.1 476 68.42zM484.7 247.8c-9.76 9.75-24.25 11.85-34.74 11.85c-34.72 0-77.23-20.88-110.9-54.48c-27.19-27.15-46.33-60.31-52.47-90.98c-4.74-23.7-1.202-43.57 9.73-54.48c9.68-9.711 24.27-11.75 34.76-11.75c34.72 0 77.21 20.89 110.9 54.47C495.9 156.3 509 223.6 484.7 247.8z"]],
    "medal": [512, 512, [127941], "f5a2", ["M136.3 0H16.03c-12.95 0-20.53 14.58-13.1 25.18l130.3 184.8c28.74-27.99 67-46.13 109.5-49.3L149.1 7.77C147.1 2.949 141.9 0 136.3 0zM495.1 0H375.7c-5.621 0-10.83 2.949-13.72 7.77L269.2 160.7c42.5 3.168 80.76 21.31 109.5 49.3l130.3-184.8C516.5 14.58 508.9 0 495.1 0z", "M256 160c-97.25 0-176 78.75-176 176S158.8 512 256 512s176-78.75 176-176S353.3 160 256 160zM348.5 317.3l-37.88 37l8.875 52.25c1.625 9.25-8.25 16.5-16.63 12l-46.88-24.62L209.1 418.5c-8.375 4.5-18.25-2.75-16.63-12l8.875-52.25l-37.88-37C156.6 310.6 160.5 299 169.9 297.6l52.38-7.625L245.7 242.5c2-4.25 6.125-6.375 10.25-6.375S264.2 238.3 266.2 242.5l23.5 47.5l52.38 7.625C351.6 299 355.4 310.6 348.5 317.3z"]],
    "megaphone": [576, 512, [128227], "f675", ["M63.96 190.3L480 64V448L63.96 321.7C63.07 338.6 49.1 352 32 352C14.33 352 0 337.7 0 320V192C0 174.3 14.33 160 32 160C49.1 160 63.07 173.4 63.96 190.3V190.3z", "M576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64zM160 384C160 372.1 161.9 362.3 165.3 352.5L211.3 366.4C209.2 371.9 208 377.8 208 384C208 410.5 229.5 432 256 432C278.1 432 298.2 415.8 302.9 394.2L348.9 408.2C338.2 449.5 300.7 480 256 480C202.1 480 160 437 160 384H160z"]],
    "melon": [512, 512, [], "e310", ["M362.8 23.56C330.3 8.584 294.2 0 256 0C114.6 0 0 114.6 0 256c0 38.05 8.527 74.04 23.42 106.5c1.332-14.39 4.246-29.59 9.037-45.56c17.58-58.63 56.79-120.4 110.4-174.1C211.8 73.9 294.4 29.68 362.8 23.56zM448.9 185.9c14.73-49.1 10.5-88.49-11.87-110.9c-.0098-.0215 .0156 .0215 0 0c-14.05-14.02-34.29-20.67-58.28-20.67c-59.84 0-143.2 41.14-213.2 111.2C115.6 215.4 79.2 272.5 63.11 326.1c-14.73 49.1-10.49 88.5 11.89 110.9c.0137 .0195-.0137-.0156 0 0c.002 .002-.002-.002 0 0c14.05 14.01 34.27 20.64 58.25 20.64c59.84 0 143.2-41.14 213.3-111.1C396.4 296.6 432.8 239.6 448.9 185.9zM488.6 149.6c-1.334 14.38-4.281 29.57-9.066 45.52c-17.58 58.63-56.79 120.4-110.4 174.1c-68.98 68.95-151.5 113.2-219.9 119.3C181.7 503.4 217.8 512 256 512c141.4 0 256-114.6 256-256C512 217.1 503.5 182 488.6 149.6z", "M74.1 437C75 437 74.1 437 74.1 437C74.1 437 75 437 74.1 437C75 437 74.1 437 74.1 437zM74.1 437C75.01 437.1 74.99 437 74.1 437C74.98 437 75.02 437.1 74.1 437C75 437 74.1 437 74.1 437zM438.2 76.76c21.11 22.63 25.1 61.1 10.69 109.1c-16.09 53.67-52.46 110.7-102.4 160.6c-70.04 70-153.4 111.1-213.3 111.1c-23.98 0-44.21-6.632-58.25-20.64c21.31 21.3 46.49 38.65 74.2 51.4c68.39-6.119 150.9-50.33 219.9-119.3c53.63-53.63 92.83-115.5 110.4-174.1c4.785-15.95 7.732-31.14 9.066-45.52C476.1 122.3 458.9 97.81 438.2 76.76zM63.11 326.1c16.09-53.67 52.46-110.7 102.4-160.6c70.03-70.02 153.4-111.2 213.2-111.2c20.81 0 38.51 5.326 52.08 15.8c-20.03-18.84-42.71-34.91-68.03-46.57c-68.39 6.119-150.1 50.34-219.9 119.3C89.25 196.5 50.04 258.3 32.46 316.9c-4.791 15.97-7.705 31.17-9.037 45.56c12.77 27.83 30.21 53.15 51.58 74.53C52.64 414.6 48.38 375.2 63.11 326.1z"]],
    "melon-slice": [512, 512, [], "e311", ["M448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l44.96-44.96C93.24 317.4 110.3 320 128 320c106 0 192-85.96 192-192c0-17.7-2.592-34.77-7.076-51.05L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6z", "M425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375z"]],
    "memo": [384, 512, [], "e1d8", ["M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM208 352h-128C71.16 352 64 344.8 64 336S71.16 320 80 320h128c8.838 0 16 7.164 16 16S216.8 352 208 352zM304 256h-224C71.16 256 64 248.8 64 240S71.16 224 80 224h224C312.8 224 320 231.2 320 240S312.8 256 304 256zM304 160h-224C71.16 160 64 152.8 64 144S71.16 128 80 128h224C312.8 128 320 135.2 320 144S312.8 160 304 160z", "M208 320h-128C71.16 320 64 327.2 64 336S71.16 352 80 352h128c8.838 0 16-7.164 16-16S216.8 320 208 320zM304 224h-224C71.16 224 64 231.2 64 240S71.16 256 80 256h224C312.8 256 320 248.8 320 240S312.8 224 304 224zM304 128h-224C71.16 128 64 135.2 64 144S71.16 160 80 160h224C312.8 160 320 152.8 320 144S312.8 128 304 128z"]],
    "memo-circle-check": [576, 512, [], "e1d9", ["M320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "memo-circle-info": [576, 512, [], "e49a", ["M320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272zM416 352C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416z"]],
    "memo-pad": [448, 512, [], "e1da", ["M0 128v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V128H0zM208 432h-96C103.2 432 96 424.8 96 416c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C224 424.8 216.8 432 208 432zM336 336h-224C103.2 336 96 328.8 96 320c0-8.838 7.164-16 16-16h224c8.836 0 16 7.162 16 16C352 328.8 344.8 336 336 336zM336 240h-224C103.2 240 96 232.8 96 224c0-8.838 7.164-16 16-16h224C344.8 208 352 215.2 352 224C352 232.8 344.8 240 336 240z", "M384 0H64C28.65 0 0 28.65 0 64v64h448V64C448 28.65 419.3 0 384 0zM208 400h-96C103.2 400 96 407.2 96 416c0 8.836 7.164 16 16 16h96c8.836 0 16-7.164 16-16C224 407.2 216.8 400 208 400zM336 208h-224C103.2 208 96 215.2 96 224c0 8.836 7.164 16 16 16h224C344.8 240 352 232.8 352 224C352 215.2 344.8 208 336 208zM336 304h-224C103.2 304 96 311.2 96 320c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16C352 311.2 344.8 304 336 304z"]],
    "memory": [576, 512, [], "f538", ["M576 146.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v34.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V320h576V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM192 240C192 248.8 184.8 256 176 256h-32C135.2 256 128 248.8 128 240v-96C128 135.2 135.2 128 144 128h32C184.8 128 192 135.2 192 144V240zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-96C256 135.2 263.2 128 272 128h32C312.8 128 320 135.2 320 144V240zM448 240C448 248.8 440.8 256 432 256h-32C391.2 256 384 248.8 384 240v-96C384 135.2 391.2 128 400 128h32C440.8 128 448 135.2 448 144V240z", "M400 256h32C440.8 256 448 248.8 448 240v-96C448 135.2 440.8 128 432 128h-32C391.2 128 384 135.2 384 144v96C384 248.8 391.2 256 400 256zM272 256h32C312.8 256 320 248.8 320 240v-96C320 135.2 312.8 128 304 128h-32C263.2 128 256 135.2 256 144v96C256 248.8 263.2 256 272 256zM144 256h32C184.8 256 192 248.8 192 240v-96C192 135.2 184.8 128 176 128h-32C135.2 128 128 135.2 128 144v96C128 248.8 135.2 256 144 256zM0 320v128h80v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32H576v-128H0z"]],
    "menorah": [640, 512, [], "f676", ["M416 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S398.4 95.1 416 95.1zM608 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S590.4 95.1 608 95.1zM320 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1S288 46.37 288 63.1S302.4 95.1 320 95.1zM512 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S494.4 95.1 512 95.1zM224 95.1c17.62 0 32-14.38 32-32S224 0 224 0S192 46.37 192 63.1S206.4 95.1 224 95.1zM32 95.1c17.62 0 32-14.38 32-32S32 0 32 0S0 46.37 0 63.1S14.38 95.1 32 95.1zM128 95.1c17.62 0 32-14.38 32-32S128 0 128 0S96 46.37 96 63.1S110.4 95.1 128 95.1z", "M544 144C544 135.1 536.9 128 528 128h-32C487.1 128 480 135.1 480 144V288h64V144zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V288h64V144zM624 128h-32C583.2 128 576 135.2 576 144V288c0 17.6-14.4 32-32 32h-192V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V320H96c-17.6 0-32-14.4-32-32V144C64 135.2 56.84 128 48 128h-32C7.164 128 0 135.2 0 144V288c0 53.02 42.98 96 96 96h192v64H176C149.5 448 128 469.5 128 496C128 504.8 135.2 512 144 512h352c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V144C640 135.2 632.8 128 624 128zM160 144C160 135.1 152.9 128 144 128h-32C103.1 128 96 135.1 96 144V288h64V144zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V288h64V144z"]],
    "mercury": [384, 512, [9791], "f223", ["M256 224c0 35.35-28.65 64-64 64S128 259.3 128 224s28.65-64 64-64S256 188.7 256 224z", "M368 223.1c0-55.32-25.57-104.6-65.49-136.9c20.49-17.32 37.2-39.11 48.1-64.21c4.656-10.72-2.9-22.89-14.45-22.89h-54.31c-5.256 0-9.93 2.828-12.96 7.188C251.8 31.77 223.8 47.1 192 47.1c-31.85 0-59.78-16.23-76.88-40.81C112.1 2.828 107.4 0 102.2 0H47.84c-11.55 0-19.11 12.17-14.45 22.89C44.29 47.1 60.1 69.79 81.49 87.11C41.57 119.4 16 168.7 16 223.1c0 86.26 62.1 157.9 144 172.1V416H128c-8.836 0-16 7.164-16 16v32C112 472.8 119.2 480 128 480h32v16C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16V480h32c8.838 0 16-7.164 16-16v-32c0-8.836-7.162-16-16-16h-32v-19.05C305.9 381.9 368 310.3 368 223.1zM192 320c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 276.9 244.9 320 192 320z"]],
    "merge": [512, 512, [], "e526", ["M253.4 263.1C265.5 279.2 283.9 288 303.4 288L194.6 423.1C182.5 439.2 164.1 448 144.6 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H144.6L247 256L253.4 263.1z", "M144.6 64C164.1 64 182.4 72.84 194.6 88.02L303.4 224H384V176C384 166.3 389.8 157.5 398.8 153.8C407.8 150.1 418.1 152.2 424.1 159L504.1 239C514.3 248.4 514.3 263.6 504.1 272.1L424.1 352.1C418.1 359.8 407.8 361.9 398.8 358.2C389.8 354.5 384 345.7 384 336V288H303.4C283.9 288 265.5 279.2 253.4 263.1L144.6 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H144.6z"]],
    "message": [512, 512, ["comment-alt"], "f27a", ["M511.1 63.1v287.1c0 35.25-28.75 63.1-64 63.1h-144l-124.9 93.68c-7.875 5.75-19.12 .0497-19.12-9.7v-83.98h-96c-35.25 0-64-28.75-64-63.1V63.1c0-35.25 28.75-63.1 64-63.1h384C483.2 0 511.1 28.75 511.1 63.1z", ""]],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z", "M350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z"]],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z", "M350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z"]],
    "message-arrow-up-right": [512, 512, [], "e1dd", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM368 264C368 277.3 357.3 288 344 288S320 277.3 320 264V193.9l-96 96c-9.381 9.381-24.56 9.373-33.94 0C180.7 280.6 180.7 265.4 190.1 256l96-96H216C202.8 160 192 149.3 192 136S202.8 112 216 112h128c13.25 0 24 10.75 24 24V264z", "M344 112h-128C202.8 112 192 122.8 192 136S202.8 160 216 160h70.06l-96 96c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0l96-96V264C320 277.3 330.8 288 344 288s24-10.75 24-24v-128C368 122.8 357.3 112 344 112z"]],
    "message-bot": [640, 512, [], "e3b8", ["M464 0h-288C131.8 0 96 35.81 96 80v255.1c0 44.18 35.82 80 80 80L224 415.1v83.99C224 503.3 226.7 512 236 512c2.523 0 4.998-.8086 7.096-2.328L368 415.1l96 .0059c44.18 0 80-35.82 80-80V80C544 35.81 508.2 0 464 0zM480 256c0 17.67-14.33 32-32 32H192C174.3 288 160 273.7 160 256V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V256z", "M224 159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 159.1 224 159.1zM32 159.1c-18.3 0-32 14.97-32 32c0 17.06 13.73 31.1 32 31.1c18.85 0 25.44-13.3 27.03-15.1H96v-32H59.03C57.44 173.3 50.85 159.1 32 159.1zM416 159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 159.1 416 159.1zM608 159.1c-18.85 0-25.44 13.31-27.03 16H544v32h36.98C582.6 210.7 589.2 223.1 608 223.1c18.28 0 32-14.94 32-31.1S626.3 159.1 608 159.1z"]],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM135.1 320h-15.1C106.7 320 96 309.3 96 296S106.7 272 119.1 272h15.1c13.25 0 23.1 10.75 23.1 24S149.2 320 135.1 320zM119.1 240C106.7 240 96 229.3 96 216S106.7 192 119.1 192h95.99c13.25 0 23.1 10.75 23.1 24S229.2 239.1 215.1 239.1L119.1 240zM295.1 320H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 272 215.1 272h79.99c13.25 0 23.1 10.75 23.1 24S309.2 320 295.1 320zM391.1 320h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 320 391.1 320zM391.1 240h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 192 295.1 192h95.99c13.25 0 23.1 10.75 23.1 24S405.2 240 391.1 240z", "M135.1 272h-15.1C106.7 272 96 282.8 96 296S106.7 320 119.1 320h15.1c13.25 0 23.1-10.75 23.1-24S149.2 272 135.1 272zM295.1 272H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 320 215.1 320h79.99c13.25 0 23.1-10.75 23.1-24S309.2 272 295.1 272zM119.1 240l95.99-.0038c13.25 0 23.99-10.75 23.99-23.1S229.2 192 215.1 192H119.1C106.7 192 96 202.8 96 216S106.7 240 119.1 240zM391.1 272h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 320 375.1 320h15.1c13.25 0 23.1-10.75 23.1-24S405.2 272 391.1 272zM295.1 240h95.99c13.25 0 23.1-10.75 23.1-24S405.2 192 391.1 192h-95.99c-13.25 0-23.1 10.75-23.1 24S282.7 240 295.1 240z"]],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z", "M347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z"]],
    "message-code": [512, 512, [], "e1df", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM216.1 262.2c9.844 8.875 10.64 24.03 1.781 33.91C213.1 301.3 206.6 304 200 304c-5.734 0-11.47-2.031-16.06-6.156l-80-72C98.89 221.3 96 214.8 96 208s2.891-13.28 7.938-17.84l80-72c9.875-8.844 25.03-8.031 33.91 1.781c8.859 9.875 8.062 25.03-1.781 33.91L155.9 208L216.1 262.2zM408.1 225.8l-80 72C323.5 301.1 317.7 304 312 304c-6.562 0-13.09-2.688-17.84-7.938c-8.859-9.875-8.062-25.03 1.781-33.91L356.1 208l-60.19-54.16c-9.844-8.875-10.64-24.03-1.781-33.91c8.875-9.844 24.05-10.62 33.91-1.781l80 72C413.1 194.7 416 201.2 416 208S413.1 221.3 408.1 225.8z", "M408.1 190.2l-80-72c-9.859-8.844-25.03-8.062-33.91 1.781c-8.859 9.875-8.062 25.03 1.781 33.91L356.1 208l-60.19 54.16c-9.844 8.875-10.64 24.03-1.781 33.91C298.9 301.3 305.4 304 312 304c5.734 0 11.47-2.031 16.06-6.156l80-72C413.1 221.3 416 214.8 416 208S413.1 194.7 408.1 190.2zM217.8 119.9C208.1 110.1 193.8 109.3 183.9 118.2l-80 72C98.89 194.7 96 201.2 96 208s2.891 13.28 7.938 17.84l80 72C188.5 301.1 194.3 304 200 304c6.562 0 13.09-2.688 17.84-7.938c8.859-9.875 8.062-25.03-1.781-33.91L155.9 208l60.19-54.16C225.9 144.1 226.7 129.8 217.8 119.9z"]],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", ["M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z", "M326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z"]],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z", "M127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z"]],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM232 104C232 90.75 242.8 80 256 80s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 229.3 232 216V104zM256 336c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 321.7 273.7 336 256 336z", "M256 240c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 90.75 232 104v112C232 229.3 242.8 240 256 240zM256 272c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C288 286.3 273.7 272 256 272z"]],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", ["M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM128 96c17.67 0 32 14.33 32 32S145.7 160 128 160S96 145.7 96 128S110.3 96 128 96zM414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z", "M414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z"]],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM264 288h-112C138.8 288 128 277.3 128 264S138.8 240 152 240h112C277.3 240 288 250.8 288 264S277.3 288 264 288zM360 192h-208C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z", "M360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h208C373.3 192 384 181.3 384 168S373.3 144 360 144zM264 240h-112C138.8 240 128 250.8 128 264S138.8 288 152 288h112C277.3 288 288 277.3 288 264S277.3 240 264 240z"]],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", ["M447.1 0h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.38 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.624 6.625 10.75c4 2 8.875 1.651 12.5-1.099l124.9-93.65h144c35.38 0 64-28.62 64-63.1V63.1C511.1 28.62 483.4 0 447.1 0zM368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z", "M368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z"]],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", ["M512 63.99v287.1c0 35.25-28.75 63.1-64 63.1h-111.1l-67.22 89.63c-6.4 8.533-19.2 8.533-25.6 0l-67.22-89.63H64c-35.25 0-64-28.75-64-63.1V63.99C0 28.75 28.75 0 64 0h384C483.3 0 512 28.75 512 63.99z", ""]],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", ["M512 160v287.1C512 483.3 483.3 512 448 512H64c-35.25 0-64-28.75-64-63.99V160c0-35.25 28.75-63.1 64-63.1h111.1l67.22-89.63C246.4 2.134 251.2 .0002 256 .0002s9.601 2.134 12.8 6.4l67.22 89.63H448C483.3 96.03 512 124.8 512 160z", ""]],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z", "M360 208c0 13.26-10.74 23.1-23.1 23.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208z"]],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", ["M447.1 .0072h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.37 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.618 6.625 10.74c4 1.1 8.875 1.581 12.5-1.044l124.9-93.7h144c35.38 0 64-28.62 64-63.1V64C511.1 28.63 483.4 .0072 447.1 .0072zM351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z", "M351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z"]],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z", "M215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z"]],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z", "M360 208c0 13.26-10.74 23.1-23.1 23.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208z"]],
    "message-question": [512, 512, [], "e1e3", ["M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM249.1 320C235.4 320 224 308.6 224 294S235.4 268 249.1 268C264.6 268 276 279.4 276 294S264.6 320 249.1 320zM307.7 203.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V214.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 166.2 296 160.4 296 153.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 164.6 176 153.8C176 121.6 201.8 96 234.3 96h43.33C310.2 96 336 121.6 336 153.8C336 173.7 325.2 192.7 307.7 203.4z", "M249.1 268C235.4 268 224 279.4 224 294S235.4 320 249.1 320C264.6 320 276 308.6 276 294S264.6 268 249.1 268zM277.7 96H234.3C201.8 96 176 121.6 176 153.8c0 10.74 9.166 19.83 20 19.83S216 164.6 216 153.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 197.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V226.5l38.33-23.13C325.2 192.7 336 173.7 336 153.8C336 121.6 310.2 96 277.7 96z"]],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", ["M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM239.1 232c0 39.7-32.3 71.1-71.1 71.1C154.7 303.1 144 293.3 144 280S154.8 256 168 256C181.2 256 192 245.2 192 232V223.2C189.4 223.6 186.7 224 183.1 224c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1S239.1 137.1 239.1 168L239.1 232zM383.1 232c0 39.7-32.3 71.1-72 71.1C298.7 303.1 288 293.3 288 280S298.8 256 312 256c13.23 0 24-10.77 24-24V223.2c-2.635 .3809-5.269 .8071-8.01 .8071c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1s56 25.07 56 55.1L383.1 232z", "M327.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C336 245.2 325.2 256 312 256C298.8 256 288 266.8 288 280s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-71.1l-.0094-63.1C383.1 137.1 358.9 112 327.1 112zM183.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C192 245.2 181.2 256 168 256C154.8 256 144 266.8 144 280s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-71.1L239.1 168C239.1 137.1 214.9 112 183.1 112z"]],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", ["M63.1 351.1c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.75 11.25 15.45 19.12 9.7l124.9-93.69l39.37-.0117L63.1 146.9L63.1 351.1zM511.1 .0041H127.1c-23.51 0-43.94 12.89-55.07 31.86l475.4 372.6c16.66-11.57 27.63-30.78 27.63-52.52V63.1C575.1 28.75 547.2 .0041 511.1 .0041z", "M601.2 506.9L9.188 42.9C-1.234 34.74-3.056 19.64 5.115 9.201c8.188-10.41 23.23-12.29 33.7-4.073l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C626.7 513.2 611.6 515.1 601.2 506.9z"]],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", ["M448 .0039H64C28.75 .0039 0 28.75 0 64v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.75 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V64C512 28.75 483.3 .0039 448 .0039zM320 112c17.75 0 31.1 14.25 31.1 32s-14.25 31.1-32 31.1S288 161.8 288 144S302.3 112 320 112zM192 112c17.75 0 31.1 14.25 31.1 32S209.8 175.1 192 175.1S160 161.8 160 144S174.3 112 192 112zM362.3 271.3c-26.5 31-65.14 48.74-106.3 48.74c-41.12 0-79.72-17.74-106.2-48.74c-8.5-10-7.5-25.12 2.625-33.75c9.998-8.5 25.25-7.375 33.87 2.75C203.5 260.4 228.9 272 256 272c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 246.1 370.8 261.3 362.3 271.3z", "M320 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.3 175.1 320 175.1zM359.5 237.5c-9.998-8.625-25.12-7.375-33.74 2.75C308.5 260.4 283.2 272 256 272c-27.12 0-52.49-11.62-69.74-31.75C177.7 230.1 162.4 229 152.4 237.5C142.3 246.1 141.3 261.3 149.8 271.3c26.5 31 65.09 48.74 106.2 48.74c41.12 0 79.76-17.74 106.3-48.74C370.8 261.3 369.6 246.1 359.5 237.5zM192 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.3 175.1 192 175.1z"]],
    "message-sms": [512, 512, [], "e1e5", ["M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM167.3 239.9C163.9 259.1 146.3 272 121.1 272c-4.031 0-8.25-.3125-12.59-1C101.1 269.8 92.81 266.8 85.5 264.1c-8.312-3-14.06-12.66-11.09-20.97S85 229.1 93.38 232.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 241.1 135 239 135.8 234.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 178.7 147.2 183.1 138.8 180.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 187.2 113.6 189.5 124.4 192.6C141.4 197.5 173.1 206.5 167.3 239.9zM320 256c0 8.844-7.156 16-16 16S288 264.8 288 256V208l-19.19 25.59c-6.062 8.062-19.56 8.062-25.62 0L224 208V256c0 8.844-7.156 16-16 16S192 264.8 192 256V160c0-6.875 4.406-13 10.94-15.19c6.5-2.094 13.72 .0625 17.88 5.594L256 197.3l35.19-46.94c4.156-5.531 11.41-7.656 17.88-5.594C315.6 147 320 153.1 320 160V256zM439.3 239.9C435.9 259.1 418.3 272 393.1 272c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 187.2 385.6 189.5 396.4 192.6C413.4 197.5 445.1 206.5 439.3 239.9z", "M124.4 192.6C113.6 189.5 103.2 187.2 104.2 181.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 147.8 136.5 145.9 130.6 145c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 239 125.7 241.1 114.3 239.4C107.9 238.4 100.4 235.4 93.38 232.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 261.1 85.5 264.1C92.81 266.8 101.1 269.8 109.4 271C113.7 271.7 117.9 272 121.1 272c24.28 0 41.94-12.03 45.38-32.13C173.1 206.5 141.4 197.5 124.4 192.6zM309.1 144.8c-6.469-2.062-13.72 .0625-17.88 5.594L256 197.3L220.8 150.4C216.7 144.9 209.4 142.7 202.9 144.8C196.4 147 192 153.1 192 160v96c0 8.844 7.156 16 16 16S224 264.8 224 256V208l19.19 25.59c6.062 8.062 19.56 8.062 25.62 0L288 208V256c0 8.844 7.156 16 16 16S320 264.8 320 256V160C320 153.1 315.6 147 309.1 144.8zM396.4 192.6C385.6 189.5 375.2 187.2 376.2 181.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 271.7 389.9 272 393.1 272c24.28 0 41.94-12.03 45.38-32.13C445.1 206.5 413.4 197.5 396.4 192.6z"]],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", ["M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM344 159.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176c13.25 0 24 10.75 24 24S357.3 159.1 344 159.1z", "M368 136c0 13.25-10.75 23.1-24 23.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176C357.3 112 368 122.8 368 136z"]],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 241.9L208.1 288.1c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 208L175 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 208L336.1 255z", "M175 288.1c9.373 9.371 24.56 9.379 33.94 0L256 241.9l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 208l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L256 174.1L208.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 208L175 255C165.7 264.4 165.7 279.6 175 288.1z"]],
    "messages": [640, 512, ["comments-alt"], "f4b6", ["M352 0H64C28.75 0 0 28.75 0 63.1V256C0 291.2 28.75 320 64 320l32 .0098v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0z", "M640 191.1v191.1c0 35.25-28.75 63.1-64 63.1h-32v54.24c0 7.998-9.125 12.62-15.5 7.873l-82.75-62.12L319.1 447.1C284.7 447.1 256 419.2 256 383.1v-31.98l96-.002c52.88 0 96-43.12 96-95.99V128h128C611.3 128 640 156.7 640 191.1z"]],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", ["M352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0zM269.8 202.3C266.2 223.2 250.4 236.1 228 241.7V252c0 11.03-8.953 20-20 20s-20-8.969-20-20V241.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 228.5 142.8 217.1 146.5 206.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 205.3 229 203.3 230.4 195.5C231.3 190.4 231.8 187.6 202.5 179.2L196.7 177.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 96.75 165.6 82.76 188 77.99V68c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 87.53 262.5 98.94 258.9 109.4C255.3 119.8 243.8 125.3 233.4 121.7c-5.859-2.031-12-4-17.59-4.844C202.2 114.8 186.1 116.7 185.6 124.5C184.8 128.1 184.3 132.2 207.1 139.2L213.5 140.8C235.8 147.1 277.3 159 269.8 202.3z", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM213.5 140.8L207.1 139.2C184.3 132.2 184.8 128.1 185.6 124.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C239.3 81.42 233.5 79.83 228 78.63V68c0-11.03-8.953-20-20-20s-20 8.969-20 20v9.992C165.6 82.76 149.8 96.75 146.2 117.7C138.8 160.5 179.4 172.4 196.7 177.5L202.5 179.2C231.8 187.6 231.3 190.4 230.4 195.5C229 203.3 213.8 205.3 200.1 203.1C193.2 202.1 184.3 198.9 176.5 196.1L171.1 194.5C161.6 190.9 150.2 196.3 146.5 206.7C142.8 217.1 148.3 228.5 158.7 232.2l4.266 1.5C170.7 236.5 179.3 239.3 188 241.2V252c0 11.03 8.953 20 20 20s20-8.969 20-20V241.7c22.36-4.793 38.21-18.53 41.83-39.43C277.3 159 235.8 147.1 213.5 140.8z"]],
    "messages-question": [640, 512, [], "e1e7", ["M352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0zM208.5 268.5C194.7 268.5 184 257.8 184 244c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 257.8 222.2 268.5 208.5 268.5zM261.1 158.9l-35.18 21.41v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 191.8 190.1 181.9V169.6c0-6.117 3.059-12.23 9.176-16.06l43.59-26c5.354-3.059 8.412-8.412 8.412-14.53c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35c0-29.82 23.71-53.53 53.53-53.53h39.76C264.3 59.53 288 83.23 288 113.1C288 131.4 278.1 149 261.1 158.9z", "M234.5 96.23c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 157.4 190.1 163.5 190.1 169.6v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V180.4l35.18-21.41C278.1 149 288 131.4 288 113.1c0-29.82-23.71-53.53-53.53-53.53H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM208.5 219.5C194.7 219.5 184 230.2 184 244c0 13.76 10.71 24.47 24.47 24.47c13.77 0 24.47-10.71 24.47-24.47C232.9 230.2 222.2 219.5 208.5 219.5z"]],
    "meteor": [512, 512, [9732], "f753", ["M507.2 4.718c-4.25-4.25-10.38-5.75-16.13-4c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.252-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625C232.5 55.97 122.1 116.5 60.6 176.4c-1.125 1-2.5 2-3.5 3c-76.13 76.13-76.13 199.5 0 275.7c76.13 76.01 199.5 76.01 275.5-.125c1.002-1 2.001-2.375 3.001-3.5c59.88-61.63 120.4-172.1 142.5-214.4c2.25-4.254 2.5-9.252 .625-13.75c-1.75-4.375-5.5-7.748-10.13-9.127c-5.25-1.625-11.63-3.5-18.63-5.625c27-76.01 49.75-149 61.38-187.8C512.1 15.09 511.5 8.843 507.2 4.718zM191.1 448c-70.75 0-128-57.26-128-128c0-70.63 57.25-128 128-128c70.63 0 128 57.38 128 128C319.1 390.8 262.6 448 191.1 448z", "M191.1 191.1c-70.75 0-128 57.38-128 128c0 70.75 57.25 128 128 128c70.63 0 128-57.26 128-128C319.1 249.4 262.6 191.1 191.1 191.1zM159.1 319.1c-17.75 0-32-14.37-32-32c0-17.62 14.25-32 32-32c8.5 0 16.63 3.375 22.63 9.375S191.1 279.5 191.1 287.1C191.1 305.6 177.6 319.1 159.1 319.1zM207.1 384c-8.877 0-16-7.128-16-16s7.099-16 15.98-16c8.75 0 15.1 7.126 15.1 16S216.7 384 207.1 384z"]],
    "meter": [512, 512, [], "e1e8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160z", "M160 128C177.7 128 192 142.3 192 160V192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192V160C128 142.3 142.3 128 160 128zM256 128C273.7 128 288 142.3 288 160V192C288 209.7 273.7 224 256 224C238.3 224 224 209.7 224 192V160C224 142.3 238.3 128 256 128zM352 128C369.7 128 384 142.3 384 160V192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192V160C320 142.3 334.3 128 352 128z"]],
    "meter-bolt": [640, 512, [], "e1e9", ["M442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L402 330.5C386.1 343.3 379.1 364.7 386.7 383.9C393.5 403.1 411.6 416 432 416H450.3L442.8 431zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160zM320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160z", "M553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2L553.9 352z"]],
    "meter-droplet": [640, 512, [], "e1ea", ["M400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L400.9 332.2C389.8 353.1 384 376.4 384 400C384 424.3 390 447.2 400.6 467.3V467.3zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160zM320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160z", "M429.2 347.3L504.5 206.1C509.1 197.4 518.2 192 528 192C537.8 192 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3H429.2z"]],
    "meter-fire": [640, 512, [], "e1eb", ["M351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C457.3 124 430.2 123.1 412.5 139.9C402.5 148.7 393 157.9 384 167.4V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 205.2 327.9 216.5 339.3 221.4C334.3 228.5 329.5 235.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 406.2 312.1 457.9 351.1 493.7V493.7zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "microchip": [512, 512, [], "f2db", ["M0 160c0 8.836 7.164 16 16 16H64v-32H16C7.164 144 0 151.2 0 160zM0 256c0 8.836 7.164 16 16 16H64v-32H16C7.164 240 0 247.2 0 256zM176 16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64h32V16zM0 352c0 8.836 7.164 16 16 16H64v-32H16C7.164 336 0 343.2 0 352zM272 16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h32V16zM512 160c0-8.836-7.162-16-16-16H448v32h48C504.8 176 512 168.8 512 160zM496 336H448v32h48c8.838 0 16-7.164 16-16S504.8 336 496 336zM352 0c-8.836 0-16 7.164-16 16V64h32V16C368 7.164 360.8 0 352 0zM496 240H448v32h48C504.8 272 512 264.8 512 256S504.8 240 496 240zM144 496C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h-32V496zM336 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM240 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM160 352h192V160H160V352z", "M384 64H128C92.65 64 64 92.66 64 128v256c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C448 92.66 419.3 64 384 64zM384 368c0 8.836-7.162 16-16 16h-224C135.2 384 128 376.8 128 368v-224C128 135.2 135.2 128 144 128h224C376.8 128 384 135.2 384 144V368z"]],
    "microchip-ai": [512, 512, [], "e1ec", ["M0 256c0 8.836 7.164 16 16 16H64v-32H16C7.164 240 0 247.2 0 256zM0 352c0 8.836 7.164 16 16 16H64v-32H16C7.164 336 0 343.2 0 352zM0 160c0 8.836 7.164 16 16 16H64v-32H16C7.164 144 0 151.2 0 160zM512 160c0-8.836-7.162-16-16-16H448v32h48C504.8 176 512 168.8 512 160zM176 16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64h32V16zM272 16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h32V16zM144 496C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h-32V496zM352 0c-8.836 0-16 7.164-16 16V64h32V16C368 7.164 360.8 0 352 0zM240 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM496 240H448v32h48C504.8 272 512 264.8 512 256S504.8 240 496 240zM336 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM496 336H448v32h48c8.838 0 16-7.164 16-16S504.8 336 496 336z", "M190.5 272h35.07L208 231.9L190.5 272zM384 64H128C92.65 64 64 92.65 64 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C448 92.65 419.3 64 384 64zM270.4 334.7C268.3 335.6 266.2 336 264 336c-6.156 0-12.04-3.578-14.66-9.594L239.5 304H176.5l-9.805 22.41c-3.531 8.125-12.94 11.83-21.06 8.25C137.5 331.1 133.8 321.7 137.3 313.6l56-128c5.062-11.66 24.25-11.66 29.31 0l56 128C282.2 321.7 278.5 331.1 270.4 334.7zM352 320c0 8.844-7.156 16-16 16S320 328.8 320 320V192c0-8.844 7.156-16 16-16S352 183.2 352 192V320z"]],
    "microphone": [384, 512, [], "f130", ["M368 215.1V256c0 88.91-66.28 162.5-152 174.2V464H256c18.2 0 32.84 15.19 31.96 33.57C287.6 505.8 280.2 512 272 512h-160c-8.222 0-15.57-6.216-15.96-14.43C95.16 479.2 109.8 464 128 464h40v-34.15C79.97 417.7 16 337.8 16 248.1V215.1C16 202.7 26.75 192 40 192S64 202.7 64 215.1L63.1 250.9c0 66.21 53.66 128.6 119.7 132.8C258 388.4 320 329.3 320 256V215.1C320 202.7 330.7 192 344 192S368 202.7 368 215.1z", "M192 352c53.03 0 96-42.97 96-96v-160c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352z"]],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", ["M208 127.1H288V96l-80 0c-8.836 0-16 7.164-16 16S199.2 127.1 208 127.1zM208 192H288V160h-80C199.2 160 192 167.2 192 176S199.2 192 208 192zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.168-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.19-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192zM208 256H288V224h-80C199.2 224 192 231.2 192 240S199.2 256 208 256z", "M192 352c53.03 0 96-42.97 96-96h-80C199.2 256 192 248.8 192 240S199.2 224 208 224H288V192h-80C199.2 192 192 184.8 192 176S199.2 160 208 160H288V127.1h-80c-8.836 0-16-7.164-16-16s7.164-16 16-16L288 96c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352z"]],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", ["M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.99-9.402 57.69-18.72l-43.26-33.91c-14.66 4.652-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9v-3.777L143.1 209.5l.0001 38.61c0 89.66 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM407.5 294.1c5.234-11.68 8.493-24.42 8.493-38.08l-57.07 .0006L407.5 294.1zM471.1 192c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.557 40.77-14.77 58.24l38.23 29.97c15.37-25.94 24.53-55.91 24.53-88.21V216C495.1 202.7 485.3 192 471.1 192zM335.1 96l80-.0003C415.1 42.97 373 0 319.1 0s-96 42.97-96 96L223.1 150.3l100.5 78.75c2.914-3.055 6.969-4.999 11.52-4.999h79.1V192L335.1 192c-8.836 0-15.1-7.164-15.1-15.1s7.164-16 15.1-16l79.1 .0013V128l-79.1-.0015c-8.836 0-15.1-7.164-15.1-15.1S327.2 96 335.1 96z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "microphone-slash": [640, 512, [], "f131", ["M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.98-9.402 57.69-18.72l-43.26-33.91c-14.66 4.652-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9V247.2L143.1 209.5l.0001 38.61c0 89.66 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM471.1 192c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.559 40.77-14.77 58.24l38.24 29.97c15.37-25.94 24.53-55.91 24.53-88.21V216C495.1 202.7 485.3 192 471.1 192zM319.1 0C266.1 0 223.1 42.97 223.1 96l0 54.25l183.5 143.8c5.234-11.69 8.493-24.42 8.493-38.08L415.1 96C415.1 42.97 373 0 319.1 0z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189C-3.067 19.63-1.25 34.72 9.188 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "microphone-stand": [512, 512, [127908], "f8cb", ["M6.73 423.1c-9.375 10.63-8.875 26.63 1 36.63l44.51 44.38c9.875 10 26 10.5 36.63 1.125l275.9-249.8L256.5 147.2L6.73 423.1zM314.4 35.72l-22.63 22.63l161.9 161.9l22.63-22.63L314.4 35.72z", "M289.5 60.47C265.8 84.35 255 116.1 256.5 147.2l108.3 108.3c31.13 1.5 62.88-9.251 86.76-33l2.125-2.25L291.8 58.35L289.5 60.47zM478.5 33.47c-44.76-44.63-117.3-44.63-162 0l-2.125 2.25l161.9 161.9l2.251-2.125C523.2 150.7 523.2 78.22 478.5 33.47zM224 495.1C224 504.9 231.1 512 240 512l31.98-.0023c8.875 0 16.02-7.146 16.02-16.02l.0027-171l-64.01 57.95L224 495.1z"]],
    "microscope": [512, 512, [128300], "f610", ["M312 384h-208C99.63 384 96 387.6 96 392v16C96 412.4 99.63 416 104 416h208c4.375 0 8-3.625 8-8v-16C320 387.6 316.4 384 312 384zM256 16C256 7.164 248.8 0 240 0h-64C167.2 0 160 7.164 160 16V32h96V16z", "M160 320h12v16c0 8.875 7.125 16 16 16h40c8.875 0 16-7.125 16-16V320H256c17.62 0 32-14.38 32-32V64c0-17.62-14.38-32-32-32H160C142.4 32 128 46.38 128 64v224C128 305.6 142.4 320 160 320zM464 448h-1.25C493.3 414 512 369.3 512 320c0-105.9-86.13-192-192-192v64c70.63 0 128 57.38 128 128s-57.38 128-128 128H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16C512 469.5 490.5 448 464 448z"]],
    "microwave": [576, 512, [], "e01b", ["M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448H128C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448C28.65 448 0 419.3 0 384V96zM96 328C96 341.3 106.7 352 120 352H392C405.3 352 416 341.3 416 328V152C416 138.7 405.3 128 392 128H120C106.7 128 96 138.7 96 152V328zM496 112C487.2 112 480 119.2 480 128V352C480 360.8 487.2 368 496 368C504.8 368 512 360.8 512 352V128C512 119.2 504.8 112 496 112z", "M96 152C96 138.7 106.7 128 120 128H392C405.3 128 416 138.7 416 152V328C416 341.3 405.3 352 392 352H120C106.7 352 96 341.3 96 328V152z"]],
    "mill-sign": [384, 512, [], "e1ed", ["M282.9 96.53C279.3 96.18 275.7 96 272 96C248.2 96 226.1 103.4 207.1 116.1L241.9 21.24C247.8 4.595 266.1-4.079 282.8 1.865C299.4 7.809 308.1 26.12 302.1 42.76L282.9 96.53zM224 261.5V208C224 185.7 239.1 167 259.7 161.6L224 261.5zM142.1 490.8C136.2 507.4 117.9 516.1 101.2 510.1C84.59 504.2 75.92 485.9 81.86 469.2L160 250.5V416C160 421.3 161.3 426.3 163.6 430.7L142.1 490.8z", "M112 160C85.49 160 64 181.5 64 208V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V128C0 110.3 14.33 96 32 96C42.87 96 52.48 101.4 58.26 109.7C74.21 100.1 92.53 96 112 96C143.3 96 171.7 108.9 192 129.6C212.3 108.9 240.7 96 272 96C333.9 96 384 146.1 384 208V416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416V208C320 181.5 298.5 160 272 160C245.5 160 224 181.5 224 208V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V208C160 181.5 138.5 160 112 160z"]],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", ["M200 287.1H64c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l30.06 30.06l-62.06 62.07c-12.49 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0012l62.06-62.07l30.06 30.06c6.125 6.125 14.31 9.375 22.62 9.375c4.125 0 8.281-.7969 12.25-2.437c11.97-4.953 19.75-16.62 19.75-29.56V311.1C224 298.7 213.3 287.1 200 287.1zM312 224h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-30.06-30.06l62.06-62.07c12.5-12.5 12.5-32.76 .0003-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-62.06 62.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937C295.8 39.39 288 51.06 288 64v135.1C288 213.3 298.7 224 312 224z", "M204.3 34.44C192.3 29.47 178.5 32.22 169.4 41.38L139.3 71.44L77.25 9.374c-12.5-12.5-32.76-12.5-45.26 .0003l-22.63 22.63c-12.49 12.5-12.49 32.75 .0018 45.25l62.07 62.06L41.38 169.4C35.25 175.5 32 183.7 32 192c0 4.125 .7969 8.281 2.438 12.25C39.39 216.2 51.07 224 64 224h135.1c13.25 0 23.1-10.74 23.1-23.1V64C224 51.06 216.2 39.38 204.3 34.44zM502.6 434.8l-62.06-62.06l30.06-30.06c9.141-9.156 11.84-22.87 6.938-34.87c-4.953-11.97-16.62-19.75-29.56-19.75h-135.1c-13.26 0-23.1 10.74-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.87-6.937l30.06-30.06l62.06 62.06c12.5 12.5 32.76 12.5 45.26 .0002l22.62-22.62C515.1 467.5 515.1 447.3 502.6 434.8z"]],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", ["M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z", ""]],
    "mistletoe": [576, 512, [], "f7b4", ["M554.1 394.2c-33.38 33.26-92.76 27.88-132.8-12.12c-26-26.01-38.63-89.65-44.13-130.9l-65.26-65.27l-.0039 96.38c28.38 32.63 72.01 89.18 72.01 127.3C383.1 466.2 340.1 512 287.1 512c-53.01 0-96.03-45.75-96.03-102.4c0-8.629 2.502-18.27 6.252-28.14c14.18 3.779 29.93 4.385 49.29-6.183c22.47-12.26 39.18-34.37 40.39-59.93c1.066-22.49-8.516-42.84-23.92-56.67v-72.89L198.7 251.1c-1 8.625-2.562 18.22-4.437 28.22c.0586-.0391-.0605 .0391 0 0C183.4 286.5 176 298.1 176 312c0 7.609 2.693 14.32 6.381 20.38c-.2773-.4609-.6816-.8281-.9414-1.297c-6.752 20.76-15.5 39.64-26.88 51.02c-39.88 40.01-99.38 45.38-132.8 12.12C-11.45 360.8-6.078 301.4 33.93 261.4c26-26.01 89.63-38.63 130.9-44.13L263.9 118.2l.0234-94.15C263.1 10.8 274.8 0 287.1 0c13.2 0 23.99 10.8 23.99 24l-.0215 8.256c-8.252 12.13-13.25 26.63-13.25 42.51c0 15.76 4.875 30.26 13.25 42.39l99.26 100.1c41.25 5.5 104.9 18.12 130.9 44.13C582.1 301.4 587.5 360.8 554.1 394.2z", "M371.1 32C347.7 32 328 51.73 328 76.04S347.7 119.9 371.1 119.9S416 100.3 416 75.97S396.3 32 371.1 32zM215.1 271.1C193.9 271.1 176 289.9 176 312S193.9 352 216 352S256 334.1 256 312S238.1 271.1 215.1 271.1z"]],
    "mitten": [448, 512, [], "f7b5", ["M352 384H64c-17.6 0-31.1 14.4-31.1 32l-.0079 64C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1L384 416C384 398.4 369.6 384 352 384z", "M425 206.9c-27.25-22.62-67.5-19-90.13 8.25l-20.88 25L284.4 111.8c-18-77.5-95.38-125.1-172.8-108C34.26 21.63-14.25 98.88 3.754 176.4L64 384h288l81.14-86.1C455.8 269.8 452.1 229.5 425 206.9z"]],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", ["M32 384v80C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48V384H32zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1z", "M352 48V384H32V48C32 21.5 53.5 0 80 0h224C330.5 0 352 21.5 352 48z"]],
    "mobile-button": [384, 512, [], "f10b", ["M32 384v80C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V384H32zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480z", "M352 48V384H32V48C32 21.49 53.49 0 80 0h224C330.5 0 352 21.49 352 48z"]],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", ["M288 0H96C51.82 0 16 35.82 16 80v352C16 476.2 51.82 512 96 512h192c44.18 0 80-35.82 80-80v-352C368 35.82 332.2 0 288 0zM304 432c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16v-352C80 71.18 87.18 64 96 64h32v16C128 88.84 135.2 96 144 96h96C248.8 96 256 88.84 256 80V64h32c8.822 0 16 7.178 16 16V432z", "M288 64h-32v16C256 88.84 248.8 96 240 96h-96C135.2 96 128 88.84 128 80V64H96C87.18 64 80 71.18 80 80v352C80 440.8 87.18 448 96 448h192c8.822 0 16-7.178 16-16v-352C304 71.18 296.8 64 288 64zM240 416h-96C135.2 416 128 408.8 128 400C128 391.2 135.2 384 144 384h96c8.838 0 16 7.162 16 16C256 408.8 248.8 416 240 416z"]],
    "mobile-retro": [320, 512, [], "e527", ["M0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64zM64 232C64 245.3 74.75 256 88 256H232C245.3 256 256 245.3 256 232V152C256 138.7 245.3 128 232 128H88C74.75 128 64 138.7 64 152V232zM80 352C93.25 352 104 341.3 104 328C104 314.7 93.25 304 80 304C66.75 304 56 314.7 56 328C56 341.3 66.75 352 80 352zM80 384C66.75 384 56 394.7 56 408C56 421.3 66.75 432 80 432C93.25 432 104 421.3 104 408C104 394.7 93.25 384 80 384zM160 352C173.3 352 184 341.3 184 328C184 314.7 173.3 304 160 304C146.7 304 136 314.7 136 328C136 341.3 146.7 352 160 352zM160 384C146.7 384 136 394.7 136 408C136 421.3 146.7 432 160 432C173.3 432 184 421.3 184 408C184 394.7 173.3 384 160 384zM240 352C253.3 352 264 341.3 264 328C264 314.7 253.3 304 240 304C226.7 304 216 314.7 216 328C216 341.3 226.7 352 240 352zM240 384C226.7 384 216 394.7 216 408C216 421.3 226.7 432 240 432C253.3 432 264 421.3 264 408C264 394.7 253.3 384 240 384zM128 48C119.2 48 112 55.16 112 64C112 72.84 119.2 80 128 80H192C200.8 80 208 72.84 208 64C208 55.16 200.8 48 192 48H128z", "M64 152C64 138.7 74.75 128 88 128H232C245.3 128 256 138.7 256 152V232C256 245.3 245.3 256 232 256H88C74.75 256 64 245.3 64 232V152z"]],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", ["M304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1zM288 384H96V64h192V384z", "M288 384H96V64h192V384z"]],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", ["M288 0H96c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64v-384C352 28.65 323.3 0 288 0zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480zM288 63.1v320H96v-320H288z", "M288 63.1v320H96v-320H288z"]],
    "mobile-signal": [512, 512, [], "e1ef", ["M227.3 448H64V64h224v251.1c4.303-4.988 8.613-9.977 13.32-14.68C316.7 285.9 333.8 272.9 352 261.1V48C352 21.5 330.5 0 304 0h-256C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h181.6C226.1 504.7 224 496.6 224 487.1C223.1 474.5 225.3 461.1 227.3 448zM144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144z", "M487.1 303.1c13.26 0 23.1-10.74 23.1-23.1c0-13.26-10.74-23.1-23.1-23.1c-61.97-.0117-120.2 24.13-164 67.95C280.1 367.8 255.1 426 256 487.1c0 13.26 10.74 24 23.1 24c13.26 0 23.1-10.74 23.1-24c0-49.14 19.15-95.36 53.9-130.1C392.6 323.1 438.9 303.1 487.1 303.1zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4zM512 375.1c0-13.26-10.74-23.1-23.1-23.1c-37.5 0-71.51 15.25-96.13 39.88S352 450.5 352 488C352 501.3 362.7 512 375.1 512s23.1-10.74 23.1-23.1c0-48.53 39.49-88.01 88.01-88.01C501.3 399.1 512 389.3 512 375.1z"]],
    "mobile-signal-out": [512, 512, [], "e1f0", ["M144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM287.1 448h-224V64H224V0H47.1c-26.5 0-48 21.5-48 48v416c0 26.5 21.5 48 48 48h255.1c26.5 0 48-21.5 48-48l.002-176h-64L287.1 448z", "M444.1 67.95C400.2 24.14 341.1 0 280 0c-13.26 0-24.03 10.74-24.03 23.1c0 13.26 10.74 23.1 23.1 23.1c49.14 0 95.36 19.15 130.1 53.89c34.75 34.75 53.89 80.96 53.89 130.1c0 13.26 10.74 23.1 23.1 23.1C501.3 255.1 512 245.3 512 231.1C512 170 487.9 111.8 444.1 67.95zM288 191.1c-8.189 0-16.38 3.123-22.63 9.373c-12.5 12.5-12.5 32.76 0 45.25c6.248 6.248 14.44 9.373 22.63 9.373s16.38-3.125 22.63-9.373c12.5-12.5 12.5-32.76 0-45.25C304.4 195.1 296.2 191.1 288 191.1zM279.1 96c-13.26 0-24 10.74-24 23.1s10.74 23.1 23.1 23.1c48.53 0 88.01 39.49 88.01 88.01c0 13.26 10.74 23.1 23.1 23.1S416 245.3 416 232c0-37.5-15.25-71.5-39.88-96.13S317.5 96 279.1 96z"]],
    "money-bill": [576, 512, [], "f0d6", ["M512 192V320C476.7 320 448 348.7 448 384H128C128 348.7 99.35 320 64 320V192C99.35 192 128 163.3 128 128H448C448 163.3 476.7 192 512 192zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM448 128H128C128 163.3 99.35 192 64 192V320C99.35 320 128 348.7 128 384H448C448 348.7 476.7 320 512 320V192C476.7 192 448 163.3 448 128z"]],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", ["M512 192V320C476.7 320 448 348.7 448 384H128C128 348.7 99.35 320 64 320V192C99.35 192 128 163.3 128 128H448C448 163.3 476.7 192 512 192zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z", "M288 188C299 188 308 196.1 308 208V276H312C323 276 332 284.1 332 296C332 307 323 316 312 316H264C252.1 316 244 307 244 296C244 284.1 252.1 276 264 276H268V227.6C258.9 225.7 252 217.7 252 208C252 196.1 260.1 188 272 188H288zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM64 192V320C99.35 320 128 348.7 128 384H448C448 348.7 476.7 320 512 320V192C476.7 192 448 163.3 448 128H128C128 163.3 99.35 192 64 192z"]],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", ["M512 304C480.6 304 454.5 326.6 449 356.4C386.6 357.2 327.2 372.1 276.2 384.1C271.4 386.2 266.7 387.4 262 388.5C211.3 401.1 167.9 410.7 127.9 411.7C125.6 378.3 97.89 352 64 352V208C95.38 208 121.5 185.4 126.1 155.6C189.4 154.8 248.8 139.9 299.8 127C304.6 125.8 309.3 124.6 313.1 123.5C364.7 110.9 408.1 101.3 448.1 100.3C450.4 133.7 478.1 160 512 160V304zM288 352C332.2 352 368 309 368 256C368 202.1 332.2 160 288 160C243.8 160 208 202.1 208 256C208 309 243.8 352 288 352z", "M288 187.1C299 187.1 308 196.1 308 207.1V275.1H312C323 275.1 332 284.1 332 295.1C332 307 323 315.1 312 315.1H264C252.1 315.1 244 307 244 295.1C244 284.1 252.1 275.1 264 275.1H268V227.6C258.9 225.7 252 217.7 252 207.1C252 196.1 260.1 187.1 272 187.1H288zM0 418.3V115.8C0 91.99 25.38 76.24 48.35 82.43C128.2 103.9 208.1 83.97 288 64C374.9 42.27 461.8 20.55 548.7 52.23C565.8 58.46 576 75.48 576 93.67V396.2C576 420 550.6 435.8 527.7 429.6C447.8 408.1 367.9 428 288 448C201.1 469.7 114.2 491.4 27.29 459.8C10.21 453.5 0 436.5 0 418.3V418.3zM313.1 123.5C309.3 124.6 304.6 125.8 299.8 127C248.8 139.9 189.4 154.8 126.1 155.6C121.5 185.4 95.38 207.1 64 207.1V352C97.89 352 125.6 378.3 127.9 411.7C167.9 410.7 211.3 401.1 262 388.5C266.7 387.4 271.4 386.2 276.2 384.1C327.2 372.1 386.6 357.2 449 356.4C454.5 326.6 480.6 303.1 512 303.1V159.1C478.1 159.1 450.4 133.7 448.1 100.3C408.1 101.3 364.7 110.9 313.1 123.5H313.1z"]],
    "money-bill-simple": [576, 512, [], "e1f1", ["M384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256z", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"]],
    "money-bill-simple-wave": [576, 512, [], "e1f2", ["M368 256C368 309 332.2 352 288 352C243.8 352 208 309 208 256C208 202.1 243.8 160 288 160C332.2 160 368 202.1 368 256z", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352z"]],
    "money-bill-transfer": [640, 512, [], "e528", ["M332 87.99C332 116.7 355.3 139.1 384 139.1L481.1 139.1C484.5 157.5 494.9 172.5 509.4 181.9C511.1 184.3 513.1 186.6 515.2 188.8C535.5 209.1 568.5 209.1 588.8 188.8L608 169.5V384C608 419.3 579.3 448 544 448H302.1C305.9 440.8 307.1 432.7 307.1 423.1C307.1 395.3 284.7 371.1 255.1 371.1L158.9 371.1C155.5 354.5 145.1 339.5 130.6 330.1C128.9 327.7 126.9 325.4 124.8 323.2C104.5 302.9 71.54 302.9 51.23 323.2L32 342.5V128C32 92.65 60.65 64 96 64H337.9C334.1 71.18 332 79.34 332 87.99V87.99zM96 127.1V191.1C131.3 191.1 160 163.3 160 127.1H96zM544 319.1C508.7 319.1 480 348.7 480 384H544V319.1zM320 159.1C266.1 159.1 224 202.1 224 255.1C224 309 266.1 352 320 352C373 352 416 309 416 255.1C416 202.1 373 159.1 320 159.1z", "M558.1 63.1L535 40.97C525.7 31.6 525.7 16.4 535 7.03C544.4-2.343 559.6-2.343 568.1 7.029L632.1 71.02C637.5 75.52 640 81.63 640 87.99C640 94.36 637.5 100.5 632.1 104.1L568.1 168.1C559.6 178.3 544.4 178.3 535 168.1C525.7 159.6 525.7 144.4 535 135L558.1 111.1L384 111.1C370.7 111.1 360 101.2 360 87.99C360 74.74 370.7 63.99 384 63.99L558.1 63.1zM255.1 399.1C269.3 399.1 279.1 410.7 279.1 423.1C279.1 437.2 269.3 447.1 255.1 447.1L81.95 448L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C2.528 436.5-.0003 430.4 0 423.1C0 417.6 2.529 411.5 7.03 407L71.03 343C80.4 333.7 95.6 333.7 104.1 343C114.3 352.4 114.3 367.6 104.1 376.1L81.94 400L255.1 399.1z"]],
    "money-bill-trend-up": [512, 512, [], "e529", ["M464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM96 464C96 437.5 74.51 416 48 416V464H96zM48 352C74.51 352 96 330.5 96 304H48V352zM464 464V416C437.5 416 416 437.5 416 464H464zM464 304H416C416 330.5 437.5 352 464 352V304zM256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448z", "M480 31.9C480 31.94 480 31.99 480 32.02V128C480 145.7 465.7 160 448 160C430.3 160 416 145.7 416 128V109.3L310.6 214.6C298.8 226.5 279.9 227.2 267.2 216.3L176 138.1L84.83 216.3C71.41 227.8 51.21 226.2 39.7 212.8C28.2 199.4 29.76 179.2 43.18 167.7L155.2 71.7C167.2 61.43 184.8 61.43 196.8 71.7L286.3 148.4L370.7 64H352C334.3 64 320 49.67 320 32C320 14.33 334.3 0 352 0H448C456.8 0 464.8 3.554 470.6 9.305C470.6 9.35 470.6 9.395 470.7 9.441C473.7 12.49 476 16 477.6 19.75C479.1 23.5 479.1 27.6 480 31.9V31.9z"]],
    "money-bill-wave": [576, 512, [], "f53a", ["M512 304C480.6 304 454.5 326.6 449 356.4C386.6 357.2 327.2 372.1 276.2 384.1C271.4 386.2 266.7 387.4 262 388.5C211.3 401.1 167.9 410.7 127.9 411.7C125.6 378.3 97.89 352 64 352V208C95.38 208 121.5 185.4 126.1 155.6C189.4 154.8 248.8 139.9 299.8 127C304.6 125.8 309.3 124.6 313.1 123.5C364.7 110.9 408.1 101.3 448.1 100.3C450.4 133.7 478.1 160 512 160V304zM288 352C332.2 352 368 309 368 256C368 202.1 332.2 160 288 160C243.8 160 208 202.1 208 256C208 309 243.8 352 288 352z", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM512 159.1C478.1 159.1 450.4 133.7 448.1 100.3C408.1 101.3 364.7 110.9 313.1 123.5C309.3 124.6 304.6 125.8 299.8 127C248.8 139.9 189.4 154.8 126.1 155.6C121.5 185.4 95.38 207.1 63.1 207.1V352C97.89 352 125.6 378.3 127.9 411.7C167.9 410.7 211.3 401.1 262 388.5C266.7 387.4 271.4 386.2 276.2 384.1C327.2 372.1 386.6 357.2 449 356.4C454.5 326.6 480.6 304 512 304V159.1z"]],
    "money-bill-wheat": [512, 512, [], "e52a", ["M464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM96 464C96 437.5 74.51 416 48 416V464H96zM48 352C74.51 352 96 330.5 96 304H48V352zM464 464V416C437.5 416 416 437.5 416 464H464zM464 304H416C416 330.5 437.5 352 464 352V304zM256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448z", "M160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16zM32 40C32 26.75 42.75 16 56 16H104C117.3 16 128 26.75 128 40C128 53.25 117.3 64 104 64H56C42.75 64 32 53.25 32 40zM0 112C0 98.75 10.75 88 24 88H136C149.3 88 160 98.75 160 112C160 125.3 149.3 136 136 136H24C10.75 136 0 125.3 0 112zM104 160C117.3 160 128 170.7 128 184C128 197.3 117.3 208 104 208H56C42.75 208 32 197.3 32 184C32 170.7 42.75 160 56 160H104zM368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80zM384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16zM464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128zM288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224zM240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128z"]],
    "money-bills": [640, 512, [], "e1f3", ["M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM224 96H512C512 131.3 540.7 160 576 160V256C540.7 256 512 284.7 512 320H224C224 284.7 195.3 256 160 256V160C195.3 160 224 131.3 224 96zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128z", "M576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM512 96H224C224 131.3 195.3 160 160 160V256C195.3 256 224 284.7 224 320H512C512 284.7 540.7 256 576 256V160C540.7 160 512 131.3 512 96z"]],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", ["M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM288 208C288 163.8 323.8 128 368 128C412.2 128 448 163.8 448 208C448 252.2 412.2 288 368 288C323.8 288 288 252.2 288 208z", "M576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288z"]],
    "money-check": [576, 512, [], "f53c", ["M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H112zM112 352H464C472.8 352 480 344.8 480 336C480 327.2 472.8 320 464 320H112C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352zM408 160C394.7 160 384 170.7 384 184V232C384 245.3 394.7 256 408 256H456C469.3 256 480 245.3 480 232V184C480 170.7 469.3 160 456 160H408z", "M456 160C469.3 160 480 170.7 480 184V232C480 245.3 469.3 256 456 256H408C394.7 256 384 245.3 384 232V184C384 170.7 394.7 160 408 160H456zM304 224C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H112C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224H304z"]],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", ["M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H496C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192H272zM272 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM164.1 160C164.1 148.9 155.1 139.9 143.1 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.14 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z", "M164.1 166.3C170.7 167.5 180.7 169.5 185.1 170.7C195.8 173.5 202.2 184.5 199.3 195.1C196.5 205.8 185.5 212.2 174.9 209.3C171 208.3 157.5 205.7 153.1 204.1C140.9 203.1 130.1 204.7 124.5 207.6C118.2 210.4 116.7 213.7 116.3 215.7C115.7 219.1 116.3 220.3 116.5 220.7C116.7 221.2 117.5 222.4 120.1 224.2C126.2 228.4 135.8 231.4 149.1 235.7L150.8 235.9C162.9 239.6 179.1 244.4 191.2 253.3C197.9 258.1 204.2 264.7 208.1 273.7C212.1 282.8 212.9 292.8 211.1 303.2C207.8 322.2 195.2 335.2 179.4 341.9C174.6 343.1 169.4 345.5 164.1 346.5V352C164.1 363.1 155.1 372.1 143.1 372.1C132.9 372.1 123.9 363.1 123.9 352V345.6C114.4 343.4 101.1 339.2 94.11 336.5C92.39 335.9 90.89 335.4 89.68 334.1C79.2 331.5 73.53 320.2 77.02 309.7C80.51 299.2 91.84 293.5 102.3 297C104.3 297.7 106.5 298.4 108.7 299.2C118.2 302.4 128.9 306 134.9 307C147.7 309 157.6 307.7 163.7 305.1C169.2 302.8 171.1 299.8 171.7 296.3C172.4 292.3 171.8 290.5 171.4 289.7C171.1 288.8 170.2 287.4 167.7 285.6C161.8 281.3 152.4 278.2 138.4 273.9L136.2 273.3C124.5 269.8 109.2 265.2 97.62 257.3C90.1 252.8 84.47 246.6 80.32 237.8C76.08 228.9 75.14 219 76.9 208.8C80.07 190.5 93.06 177.9 108 171.1C112.1 168.9 118.3 167.2 123.9 166V160C123.9 148.9 132.9 139.9 143.1 139.9C155.1 139.9 164.1 148.9 164.1 160L164.1 166.3zM495.1 192C504.8 192 511.1 199.2 511.1 208C511.1 216.8 504.8 224 495.1 224H271.1C263.2 224 255.1 216.8 255.1 208C255.1 199.2 263.2 192 271.1 192H495.1z"]],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", ["M512 64C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 288C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H272zM272 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H272C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224zM164.1 160C164.1 148.9 155.1 139.9 144 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.15 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z", "M557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7zM576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L505.1 287.8L576.1 358.7z"]],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", ["M.0003 128C.0003 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384L.0003 128zM112 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H112z", "M557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7zM576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L505.1 287.8L576.1 358.7z"]],
    "money-from-bracket": [640, 512, [], "e312", ["M448 512H192C156.7 512 128 483.3 128 448V96H512V448C512 483.3 483.3 512 448 512zM192 448H256C256 412.7 227.3 384 192 384V448zM448 448V384C412.7 384 384 412.7 384 448H448zM224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272z", "M96 64C78.33 64 64 78.33 64 96V160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96z"]],
    "money-simple-from-bracket": [640, 512, [], "e313", ["M448 512H192C156.7 512 128 483.3 128 448V96H512V448C512 483.3 483.3 512 448 512zM224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272z", "M96 64C78.33 64 64 78.33 64 96V160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96z"]],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", ["M512 96v320H64V288l118.1-.0313l27.62 55.17c5.875 11.88 22.65 11.86 28.52-.0104L288 243.8L310.1 288H400C408.9 288 416 280.9 416 272S408.9 256 400 256h-70.13l-27.62-55.13c-5.875-11.88-22.62-11.88-28.5 0L224 300.3L204.1 260.4C202.8 257.8 200 256 197 256H64V96H512z", "M528 32h-480C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h480c26.5 0 48-21.5 48-48v-352C576 53.5 554.5 32 528 32zM512 416H64V96h448V416z"]],
    "monkey": [576, 512, [128018], "f6fb", ["M448 64C474.5 64 496 85.49 496 112C496 135.8 478.7 155.5 456 159.3V168C456 190.1 438.1 208 416 208C393.9 208 376 190.1 376 168V159.3C353.3 155.5 336 135.8 336 112C336 85.49 357.5 64 384 64H448zM384 96C375.2 96 368 103.2 368 112C368 120.8 375.2 128 384 128C392.8 128 400 120.8 400 112C400 103.2 392.8 96 384 96zM448 128C456.8 128 464 120.8 464 112C464 103.2 456.8 96 448 96C439.2 96 432 103.2 432 112C432 120.8 439.2 128 448 128z", "M160 416C160 326.3 221.4 251 304.5 229.9C329.1 265 369.9 288 416 288C425.8 288 435.4 286.1 444.7 284.1L526.5 363C558.1 393.2 576 435 576 478.8V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V478.8C512 452.5 501.3 427.4 482.3 409.3L416 346.1V448H448C465.7 448 480 462.3 480 480C480 497.7 465.7 512 448 512H160C71.63 512 0 440.4 0 352V110.1C0 49.31 49.3 .0003 110.1 .0003H120.5C177.7 .0003 223.3 47.77 220.6 104.9C218.4 153.1 182 192.8 134.2 199.4L132.4 199.7C114.9 202.1 98.71 189.9 96.3 172.4C93.89 154.9 106.1 138.7 123.6 136.3L125.5 136C142.8 133.7 155.9 119.3 156.7 101.9C157.7 81.26 141.2 64 120.5 64H110.1C84.65 64 63.1 84.65 63.1 110.1V352C63.1 405 106.1 448 159.1 448L160 416zM416 256C386.7 256 360.1 243.8 341.2 224.3C332.3 215 325 204.1 319.1 192C284.6 191.1 256 163.3 256 128C256 92.66 284.6 64.02 319.1 64C335.6 26.42 372.7 0 416 0C459.3 0 496.4 26.42 512 64C547.4 64.02 576 92.66 576 128C576 163.3 547.4 191.1 512 192C496.4 229.6 459.3 256 416 256zM384 64C357.5 64 336 85.49 336 112C336 135.8 353.3 155.5 376 159.3V168C376 190.1 393.9 208 416 208C438.1 208 456 190.1 456 168V159.3C478.7 155.5 496 135.8 496 112C496 85.49 474.5 64 448 64H384z"]],
    "monument": [384, 512, [], "f5a6", ["M0 480C0 462.3 14.33 448 32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z", "M283.3 84.69C285.8 87.2 287.4 90.48 287.9 94.02L332.1 448H51.88L96.12 94.02C96.57 90.48 98.17 87.2 100.7 84.69L180.7 4.686C186.9-1.562 197.1-1.562 203.3 4.686L283.3 84.69zM151.1 320H232C245.3 320 256 309.3 256 296C256 282.7 245.3 272 232 272H151.1C138.7 272 127.1 282.7 127.1 296C127.1 309.3 138.7 320 151.1 320z"]],
    "moon": [512, 512, [127769, 9214], "f186", ["", "M32 256c0-123.8 100.3-224 223.8-224c11.36 0 29.7 1.668 40.9 3.746c9.616 1.777 11.75 14.63 3.279 19.44C245 86.5 211.2 144.6 211.2 207.8c0 109.7 99.71 193 208.3 172.3c9.561-1.805 16.28 9.324 10.11 16.95C387.9 448.6 324.8 480 255.8 480C132.1 480 32 379.6 32 256z"]],
    "moon-cloud": [640, 512, [], "f754", ["M627.5 380.1c-108.7 20.7-208.4-62.62-208.4-172.3c0-63.19 33.8-121.3 88.79-152.6c8.477-4.812 6.344-17.66-3.281-19.44c-11.21-2.078-29.55-3.746-40.92-3.746c-111.4 0-203.7 81.47-220.9 188.2c.7793 1.51 1.727 2.901 2.439 4.452C248.8 224.2 252.4 224 256 224c52.94 0 96 43.06 96 96c0 37.94-22.23 70.47-54.25 86.04C338.7 451.3 397.7 480 463.7 480c69.1 0 132.1-31.45 173.9-82.93C643.8 389.4 637.1 378.3 627.5 380.1z", "M320 320c0-35.25-28.75-64-64-64C244 256 232.9 259.5 223.3 265.3C219.8 224.3 185.9 192 144 192C105.3 192 72.88 219.6 65.63 256.3C65.13 256.3 64.63 256 64 256c-35.25 0-64 28.75-64 64s28.75 64 64 64h192C291.3 384 320 355.3 320 320z"]],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", ["M507.8 339L450.2 256l57.6-83.01c9.703-13.98 1.693-33.32-15.05-36.34l-99.43-17.97l-17.97-99.43c-3.027-16.75-22.36-24.76-36.34-15.05L256 61.79L172.1 4.194C159-5.51 139.7 2.498 136.6 19.25L118.7 118.7L19.25 136.6c-16.75 3.027-24.76 22.36-15.05 36.34L61.8 256l-57.6 83.01c-9.703 13.98-1.695 33.32 15.05 36.35l99.43 17.97l17.97 99.43c3.027 16.75 22.36 24.76 36.34 15.05L256 450.2l83.01 57.6c13.98 9.703 33.32 1.695 36.34-15.05l17.97-99.43l99.43-17.97C509.5 372.3 517.5 352.1 507.8 339zM357.8 357.1c-56.15 56.15-147.6 56.15-203.8 0s-56.15-147.6 0-203.8c56.15-56.15 147.6-56.15 203.8 0C413.9 210.4 413.9 301.8 357.8 357.1z", "M342.8 326.6c-20.86 25.67-52.34 41.45-86.9 41.45C194 368 144 317.8 144 256c0-61.98 50.17-111.1 111.9-111.1c6.855 0 13.69 .5755 20.4 1.888c4.812 .7305 5.839 7.111 1.611 9.59c-27.42 15.61-44.33 44.77-44.33 76.27c0 54.98 50.02 96.69 104.3 86.33C342.6 317.1 345.1 322.8 342.8 326.6z"]],
    "moon-stars": [512, 512, [], "f755", ["M288 63.1l12.42 29.78c.6094 1.225 2.211 2.219 3.578 2.219s2.967-.9941 3.576-2.219l12.42-29.78l29.79-12.42C351 50.97 352 49.36 352 47.1c0-1.365-.9922-2.967-2.211-3.576l-29.79-12.42l-12.42-29.79c-.6094-1.227-2.209-2.217-3.576-2.217s-2.969 .9902-3.578 2.217l-12.42 29.79L258.2 44.42c-1.217 .6094-2.209 2.211-2.209 3.576c0 1.359 .9922 2.971 2.209 3.58L288 63.1zM507.6 216.9L448 192l-24.88-59.63C421.8 129.8 419 127.1 416 127.1s-5.75 1.75-7.125 4.375L384 192l-59.63 24.88C321.8 218.3 320 221 320 224s1.75 5.75 4.375 7.125L384 256l24.88 59.63C410.3 318.3 413 320 416 320s5.75-1.75 7.125-4.375L448 256l59.63-24.88C510.3 229.8 512 227 512 224S510.3 218.3 507.6 216.9z", "M332.3 426.4c-93.13 17.75-178.5-53.63-178.5-147.6c0-54.25 29-104 76-130.9c7.375-4.125 5.45-15.12-2.8-16.62C108.7 109.4 0 200 0 320c0 106 85.76 192 191.8 192c59.25 0 113.2-26.79 148.9-71.04C346.1 434.5 340.3 424.8 332.3 426.4z"]],
    "moped": [640, 512, [], "e3b9", ["M224 96C241.7 96 256 110.3 256 128C256 145.7 241.7 160 224 160H128C110.3 160 96 145.7 96 128C96 110.3 110.3 96 128 96H224zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 432C538.5 432 560 410.5 560 384C560 357.5 538.5 336 512 336C485.5 336 464 357.5 464 384C464 410.5 485.5 432 512 432zM112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H112z", "M328 56C328 42.75 338.7 32 352 32H393.3C417.1 32 438.3 47.09 446.1 69.6L454.2 92.88L505.2 67.38C509.7 65.16 514.6 64 519.6 64H528C536.8 64 544 71.16 544 80V144C544 152.8 536.8 160 528 160H519.6C514.6 160 509.7 158.8 505.2 156.6L470.3 139.2L500 224.4C503.1 224.1 507.1 224 512 224C555.7 224 595.3 241.5 624.1 269.8C633.6 279.1 633.7 294.3 624.4 303.8C615.1 313.2 599.9 313.4 590.5 304.1C570.2 284.2 542.6 272 512 272C459.3 272 414.1 308.5 403.1 357.6C401.1 366.1 400 374.9 400 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320H365.3C382.2 281.5 413.7 250.8 452.9 235.3L400.8 85.37C399.7 82.16 396.7 80 393.3 80H352C338.7 80 328 69.26 328 56L328 56z"]],
    "mortar-pestle": [512, 512, [], "f5a7", ["M402.5 159.1H251.1l203.8-152.9c10.88-8.125 25.25-9.375 37.38-3.375c21.75 10.88 26.5 40 9.25 57.13L402.5 159.1z", "M496 191.1h-480c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16L31.1 256c0 81 50.25 150.1 121.1 178.4c-12.75 16.88-21.75 36.75-25 58.63C126.8 502.9 134.2 512 144.2 512h223.5c10 0 17.51-9.125 16.13-19c-3.25-21.88-12.25-41.75-25-58.63C429.8 406.1 479.1 337 479.1 256L496 255.1c8.875 0 16-7.125 16-16v-32C512 199.1 504.9 191.1 496 191.1z"]],
    "mosque": [640, 512, [128332], "f678", ["M546.3 117.9C551.5 121.4 556.9 124.9 562.3 128.5C591.3 147.7 608 180.2 608 214.6C608 243.1 596.7 269 578.2 288H221.8C203.3 269 191.1 243.1 191.1 214.6C191.1 180.2 208.7 147.7 237.7 128.5C243.1 124.9 248.5 121.4 253.7 117.9C309.1 81.34 352.5 52.7 387.2 6.4C390.2 2.371 394.1 0 400 0C405 0 409.8 2.371 412.8 6.4C447.5 52.7 490.9 81.34 546.3 117.9H546.3zM105.6 17.2C139.8 42.88 160 83.19 160 126V160H0V126C0 83.19 20.15 42.88 54.4 17.2L70.4 5.2C76.09 .9334 83.91 .9334 89.6 5.2L105.6 17.2z", "M160 264.6C140.9 275.6 128 296.3 128 320V480C128 489.6 130.1 498.6 133.8 506.8C127.3 510.1 119.9 512 112 512H48C21.49 512 0 490.5 0 464V160H160V264.6zM352 512H288V440C288 426.7 277.3 416 264 416C250.7 416 240 426.7 240 440V512H192C174.3 512 160 497.7 160 480V320C160 302.3 174.3 288 192 288H608C625.7 288 640 302.3 640 320V480C640 497.7 625.7 512 608 512H560V440C560 426.7 549.3 416 536 416C522.7 416 512 426.7 512 440V512H448V453.1C448 434.1 439.6 416.1 424.1 404.8L400 384L375 404.8C360.4 416.1 352 434.1 352 453.1V512z"]],
    "mosquito": [640, 512, [], "e52b", ["M319.1 237.1L154.6 388.3C97.58 448.2 .0003 405.8 0 321.1C0 273.1 34.02 232.7 79.35 226.7L298.7 192.4H341.3L560.6 226.7C605.1 232.7 640 273.1 640 321.1C640 405.8 542.4 448.2 485.4 388.3L319.1 237.1z", "M430.2 503.4L382.3 447.6C378.5 443.1 376.4 437.4 376.4 431.5V376.1L351.1 344.4V407.6C351.1 425.3 337.7 439.6 319.1 439.6C302.3 439.6 287.1 425.3 287.1 407.6V344.4L263.6 376.1V431.5C263.6 437.4 261.5 443.1 257.7 447.6L209.7 503.4C201.1 513.5 186.1 514.5 176.3 505.6C166.5 496.7 165.6 481.3 174.2 471.2L216.3 422.2V367.6C216.3 362.1 218.1 356.8 221.4 352.5L287.1 266L319.1 236.8L351.1 266L418.6 352.5C421.9 356.8 423.7 362.1 423.7 367.6V422.2L465.7 471.2C474.4 481.3 473.4 496.7 463.6 505.6C453.8 514.5 438.9 513.5 430.2 503.4L430.2 503.4zM191.5 161.7C183.7 153.9 182 141.6 187.6 131.1L211.5 90.29L173.2 39.48C165.3 28.85 167.2 13.58 177.5 5.371C187.9-2.839 202.7-.8787 210.7 9.751L258.7 73.58C264.6 81.44 265.3 92.22 260.4 100.8L237.8 140.2L287.1 190.3V152.3C287.1 137.4 298.2 124.8 311.1 121.3V64.18C311.1 59.77 315.6 56.18 319.1 56.18C324.4 56.18 327.1 59.77 327.1 64.18V121.3C341.8 124.8 351.1 137.4 351.1 152.3V190.4L402.2 140.2L379.6 100.8C374.7 92.22 375.3 81.44 381.2 73.58L429.2 9.751C437.2-.878 452.1-2.839 462.5 5.372C472.8 13.58 474.7 28.86 466.7 39.48L428.5 90.29L452.4 131.1C457.9 141.6 456.3 153.9 448.5 161.7L407.7 202.6L341.3 192.2H298.7L232.3 202.6L191.5 161.7z"]],
    "mosquito-net": [640, 512, [], "e52c", ["M191.1 380.2V336C191.1 331.8 193.7 327.7 196.7 324.7L255.1 265.4V242.3L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.23L161.7 23.16C157.7 15.26 160.9 5.645 168.8 1.693C176.7-2.259 186.4 .9447 190.3 8.848L222.3 72.85C224.2 76.64 224.5 81.04 223.2 85.06L210.6 122.7L255.1 160.5V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.68C279.8 59.18 283.5 55.52 287.1 55.52C292.5 55.52 296.2 59.18 296.2 63.68V106.1C309.9 110.6 319.1 123.1 319.1 137.9V160.5L365.4 122.7L352.8 85.06C351.5 81.04 351.8 76.64 353.7 72.85L385.7 8.848C389.6 .9444 399.3-2.259 407.2 1.693C415.1 5.644 418.3 15.26 414.3 23.16L385.3 81.23L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 224 512 224C495.3 224 480.6 232.5 472 245.5C463.4 232.5 448.7 224 432 224C410.3 224 392 238.4 386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L319.1 242.3V265.4L352.4 297.8C352.1 299.8 352 301.9 352 304C352 320.7 360.5 335.4 373.5 344C369.5 346.6 365.9 349.9 362.9 353.5L319.1 310.6V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V310.6L224 342.6V384C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3C160.9 458.4 157.7 448.8 161.7 440.8L191.1 380.2z", "M528 288H576V272C576 263.2 583.2 256 592 256C600.8 256 608 263.2 608 272V288H624C632.8 288 640 295.2 640 304C640 312.8 632.8 320 624 320H608V368H624C632.8 368 640 375.2 640 384C640 392.8 632.8 400 624 400H608V448H624C632.8 448 640 455.2 640 464C640 472.8 632.8 480 624 480H608V496C608 504.8 600.8 512 592 512C583.2 512 576 504.8 576 496V480H528V496C528 504.8 520.8 512 512 512C503.2 512 496 504.8 496 496V480H448V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V480H400C391.2 480 384 472.8 384 464C384 455.2 391.2 448 400 448H416V400H400C391.2 400 384 392.8 384 384C384 375.2 391.2 368 400 368H416V320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H416V272C416 263.2 423.2 256 432 256C440.8 256 448 263.2 448 272V288H496V272C496 263.2 503.2 256 512 256C520.8 256 528 263.2 528 272V288zM576 320H528V368H576V320zM576 400H528V448H576V400zM496 368V320H448V368H496zM496 448V400H448V448H496z"]],
    "motorcycle": [640, 512, [127949], "f21c", ["M128 416C154.9 416 177.9 399.5 187.3 376H253.8C242.5 435.2 190.5 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C190.5 224 242.5 268.8 253.8 328H187.3C177.9 304.5 154.9 288 128 288C92.65 288 64 316.7 64 352C64 387.3 92.65 416 128 416V416zM384 352C384 311.1 402.4 276.3 431.1 252.8L462.7 311.2C453.5 322.3 448 336.5 448 352C448 387.3 476.7 416 512 416C547.3 416 576 387.3 576 352C576 316.7 547.3 288 512 288C509.6 288 507.2 288.1 504.9 288.4L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352V352z", "M342.5 32C357.2 32 370.7 40.05 377.6 52.98L391.7 78.93L439.1 39.42C444.9 34.62 452.1 32 459.6 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H418.2L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L415.7 224.2C376.1 253.4 352 299.8 352 352C352 362.1 353.1 373.7 355.2 384H284.8C286.9 373.7 288 362.1 288 352C288 263.6 216.4 192 128 192H32V160C32 142.3 46.33 128 64 128H165.5C182.5 128 198.7 134.7 210.7 146.7L255.1 192L354.1 110.3L337.7 80H279.1C266.7 80 255.1 69.25 255.1 56C255.1 42.75 266.7 32 279.1 32L342.5 32zM96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352z"]],
    "mound": [576, 512, [], "e52d", ["M144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2z", ""]],
    "mountain": [512, 512, [127956], "f6fc", ["M208 288L136.9 193.2l95.06-148.9c10.42-16.33 37.73-16.33 48.15 0L394.8 224H256L208 288z", "M503.2 393.8c11.11 17.4 11.75 39.41 1.668 57.45C494.9 468.1 476.1 480 455.7 480H56.31c-20.39 0-39.24-11.03-49.17-28.77c-10.09-18.03-9.447-40.04 1.666-57.45l128.1-200.6L208 288L256 224h138.8L503.2 393.8z"]],
    "mountain-city": [640, 512, [], "e52e", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H470.2C470.7 511.2 471.2 510.5 471.6 509.7C483.2 488.6 482.8 462.9 470.3 442.4L396.5 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C364.8 256 361.9 256.9 359.4 258.5L288 140.1V48C288 21.49 309.5 0 336 0L432 0zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M223.1 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128H223.1zM174.1 352L222.1 288H283.8L223.1 188.9L150.4 310.8L174.1 352z"]],
    "mountain-sun": [640, 512, [], "e52f", ["M640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80z", "M55.91 512C25.03 512 0 486.1 0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512L55.91 512z"]],
    "mountains": [640, 512, [9968], "f6fd", ["M412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480H456.1C486.1 480 512 454.1 512 424.1C512 413.6 509 403.3 503.4 394.4L412.7 249.7z", "M0 424.1C0 413.6 2.964 403.3 8.551 394.4L225.3 49.01C231.9 38.42 243.5 32 256 32C268.5 32 280.1 38.42 286.8 49.01L503.4 394.4C509 403.3 512 413.6 512 424.1C512 454.1 486.1 480 456.1 480H55.91C25.03 480 .001 454.1 .001 424.1H0z"]],
    "mouse-field": [512, 512, [], "e5a8", ["M272 88C272 65.91 289.9 48 312 48C334.1 48 352 65.91 352 88V112C352 120.8 344.8 128 336 128H312C289.9 128 272 110.1 272 88z", "M424.8 119.5C429.5 107.2 432 93.9 432 80C432 48.79 419.2 20.56 398.6 .2464C444.1 3.638 480 41.63 480 88C480 107.7 473.5 125.8 462.6 140.5C492.7 164.5 512 201.4 512 242.9C512 258.1 498.1 272 482.9 272H380.1C378.1 272 376.1 271.9 374.1 271.8L350.3 335.3L394 351.2C407.2 355.1 416 368.5 416 382.6C416 401 401 416 382.6 416H72C58.75 416 48 426.7 48 440C48 453.3 58.75 464 72 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H72C32.24 512 0 479.8 0 440C0 400.2 32.24 368 72 368H103.5C98.69 357.5 96 345.9 96 333.6C96 240.4 169.5 164.3 261.6 160.2C238.9 144.3 224 117.9 224 88C224 39.4 263.4 0 312 0C360.6 0 400 39.4 400 88C400 96.64 398.8 104.1 396.4 112.9C406.3 114 415.8 116.3 424.8 119.5V119.5zM420 176C408.1 176 400 184.1 400 196C400 207 408.1 216 420 216C431 216 440 207 440 196C440 184.1 431 176 420 176zM312 48C289.9 48 272 65.91 272 88C272 110.1 289.9 128 312 128H336C344.8 128 352 120.8 352 112V88C352 65.91 334.1 48 312 48z"]],
    "mp3-player": [384, 512, [], "f8ce", ["M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 448c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S245 448 192 448zM320 192H64V64h256V192z", "M64 64v128h256V64H64zM192 256c-53 0-96 43-96 96s43 96 96 96s96-43 96-96S245 256 192 256zM192 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 384 192 384z"]],
    "mug": [576, 512, [], "f874", ["M416 128V64h32c70.75 0 128 57.25 128 128s-57.25 128-128 128h-32V256h32c35.38 0 64-28.62 64-64s-28.62-64-64-64H416z", "M416 352c0 53-43 96-96 96H128c-53 0-96-43-96-96V88C32 72.98 44.42 64 56 64H416V352z"]],
    "mug-hot": [512, 512, [9749], "f7b6", ["M132.1 59.27C119.7 52.03 112 38.63 112 24.28c0-13.25-10.75-24.14-24-24.14S64 11.03 64 24.28c0 31.34 16.83 60.64 43.91 76.45C120.3 107.1 128 121.4 128 136c0 13.25 10.75 23.89 24 23.89S176 148.1 176 135.7C176 104.4 159.2 75.08 132.1 59.27zM244.1 59.27C231.7 52.03 224 38.63 224 24.28c0-13.25-10.75-24.18-24-24.18S176 11.03 176 24.28c0 31.34 16.83 60.64 43.91 76.45C232.3 107.1 240 121.4 240 136c0 13.25 10.75 23.86 24 23.86S288 148.1 288 135.7C288 104.4 271.2 75.08 244.1 59.27z", "M400 192H32C14.25 192 0 206.3 0 224v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM400 352H384V256h16C426.5 256 448 277.5 448 304S426.5 352 400 352z"]],
    "mug-marshmallows": [512, 512, [], "f7b7", ["M200.9 44.75C195 37.5 186.4 32.38 176.3 32.38H64c-17.75 0-32 14.38-32 32v63.81l130.1 .0625c-5.5-21-.25-44.5 16.38-61L200.9 44.75zM343.3 89.75l-48.5-48.38c-12.5-12.5-32.75-12.5-45.25 0L201 89.75c-10.38 10.5-11.5 26.38-4.25 38.63h151C354.9 116.1 353.8 100.3 343.3 89.75zM96 223.8c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.67H96V223.8z", "M400 160.1L160 160.2v63.67c0 17.75-14.25 32-32 32s-32-14.25-32-32v-63.67L32 160.1c-17.75 0-32 14.38-32 32v191.9C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95l16 .0125c61.75 0 112-50.31 112-111.9C512 210.4 461.8 160.1 400 160.1zM400 320.3H384v-96h16c26.5 0 48 21.5 48 48C448 298.6 426.5 320.3 400 320.3z"]],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", ["M560 416h-544C7.164 416 0 423.2 0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48C576 423.2 568.8 416 560 416z", "M512 32H120c-13.25 0-24 10.75-24 24L96.01 288c0 53 43 96 96 96h192C437 384 480 341 480 288h32c70.63 0 128-57.38 128-128S582.6 32 512 32zM512 224h-32V96h32c35.25 0 64 28.75 64 64S547.3 224 512 224z"]],
    "mug-tea": [576, 512, [], "f875", ["M447.1 64H416l-.002 64h32c35.38 0 64 28.62 64 64s-28.62 64-64 64H415.1L416 320h31.1C518.7 320 576 262.8 576 192S518.7 64 447.1 64zM175.1 128V64H143.1v64L105.4 166.6c-6 6-9.375 14.13-9.375 22.63L95.1 256c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0003-66.75c0-8.5-3.374-16.63-9.374-22.63L175.1 128z", "M416 64l-.0008 288c0 53-43 96-96 96H127.1c-53 0-96-43-96-96L31.1 88c0-15.02 12.42-24 24-24h88v64L105.4 166.6c-6 6-9.375 14.13-9.375 22.63L95.1 256c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0003-66.75c0-8.5-3.374-16.63-9.374-22.63L175.1 128V64H416z"]],
    "mug-tea-saucer": [640, 512, [], "e1f5", ["M563.6 416H12.36c-25 0-11.63 64 36 64h479.5C575.5 480 588.6 416 563.6 416zM191.1 256h64c17.63 0 32-14.38 32-32L287.1 157.3c0-8.5-3.374-16.63-9.374-22.63L239.1 96V32H207.1v64L169.4 134.6c-6 6-9.375 14.13-9.375 22.63L159.1 224C159.1 241.6 174.4 256 191.1 256z", "M511.1 32H239.1v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L287.1 224c0 17.62-14.37 32-32 32h-64C174.4 256 159.1 241.6 159.1 224L159.1 157.3c0-8.5 3.375-16.63 9.375-22.63L207.1 96V32H119.1c-6.375 0-12.5 2.5-17 7C98.49 43.5 95.99 49.63 95.99 56L95.1 288c0 53 42.1 96 96 96h192c53 0 96-43 96-96h31.1c70.75 0 128-57.25 128-128S582.7 32 511.1 32zM511.1 224h-31.1l-.0012-128h32c35.38 0 64 28.62 64 64S547.4 224 511.1 224z"]],
    "mushroom": [512, 512, [127812], "e425", ["M304.3 96c0-25.45-12.17-47.85-30.78-62.5C267.6 33.06 261.9 32 256 32C219.8 32 185.6 40.91 154.7 55.79C147.7 67.65 143.4 81.27 143.4 96c0 44.18 36.01 80 80.43 80S304.3 140.2 304.3 96zM127.3 192C109.5 192 95.14 206.3 95.14 224c0 17.67 14.4 32 32.17 32c17.77 0 32.17-14.33 32.17-32C159.5 206.3 145.1 192 127.3 192zM484.2 214.1c-7.045-31.54-20.93-59.89-38.1-84.86C441.2 128.5 437.2 128 432.9 128c-35.54 0-64.34 28.65-64.34 64c0 35.35 28.81 64 64.34 64c22.73 0 42.6-11.79 54.05-29.49L484.2 214.1zM191.7 320l-24.48 121.7C163.2 461.5 178.4 480 198.7 480h114.5c20.3 0 35.53-18.47 31.55-38.28L320.3 320H191.7z", "M490.5 242l-3.471-15.53c-14.25 22.03-41.55 34.9-71.17 27.28c-22.66-5.83-40.88-24.95-45.74-47.83C361.3 164.5 392.8 128 432.9 128c4.203 0 8.295 .4648 12.28 1.23c-39.59-54.71-101.7-90.48-171.7-95.73c24.14 19 37.44 51.04 27.42 85.84c-7.48 25.97-29.02 46.91-55.16 53.78C191.9 187.3 143.4 147.3 143.4 96c0-14.73 4.285-28.35 11.27-40.21C91.88 85.99 43.7 142.8 27.78 214.1L21.53 242C12.6 282 43.02 320 83.99 320h344C468.1 320 499.4 282 490.5 242zM127.3 256C109.5 256 95.14 241.7 95.14 224c0-17.67 14.4-32 32.17-32c17.77 0 32.17 14.33 32.17 32C159.5 241.7 145.1 256 127.3 256z"]],
    "music": [512, 512, [127925], "f001", ["M192 224V83.69l256-75.6v140.9L192 224z", "M480 0c-2.719 0-7.031 .6615-9.625 1.49L448 8.092v284.8c-10.05-2.979-20.72-4.898-32.01-4.898c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.82 95.1-80L512 31.99C511.1 14.34 497.7 0 480 0zM128 126.5v230.4c-10.05-2.979-20.72-4.898-32-4.898C42.98 352 0 387.8 0 432C0 476.2 42.98 512 95.1 512s95.1-35.77 95.1-79.95L192 83.69L150.4 95.97C138.1 99.87 128 113.5 128 126.5z"]],
    "music-note": [384, 512, ["music-alt"], "f8cf", ["M256 148.1V17.55l55-16.22c9.625-2.875 20.12-1.001 28.12 5.001C347.3 12.32 352 21.84 352 31.96V95.96c0 14.25-9.375 26.75-23 30.75L256 148.1z", "M256 431.1C256 476.1 205.9 512 144 512S32 476.1 32 431.1s50.13-80.01 112-80.01c16.38 0 32.5 2.75 48 8V60.33c0-14 9.125-26.38 22.38-30.5L256 17.55V431.1z"]],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", ["M467.1 6.325c-7.1-6.002-18.5-7.877-28.12-5.002l-96.62 28.5c-13.25 4.125-22.37 16.5-22.37 30.5v165.2l63.1 50.16v-127.6l72.1-21.38c13.62-3.1 22.1-16.5 22.1-30.75l.0004-63.99C479.1 21.84 475.2 12.32 467.1 6.325zM271.1 351.1c-61.86 0-111.1 35.82-111.1 80s50.14 79.1 111.1 79.1s111.1-35.82 111.1-79.1S333.9 351.1 271.1 351.1z", "M630.8 469.1L38.81 5.111C34.41 1.674 29.19 .0006 24.03 .0006c-7.125 0-14.19 3.157-18.91 9.188c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "music-slash": [640, 512, [], "f8d1", ["M191.1 356.9c-10.05-2.978-20.72-4.895-32.01-4.895c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.77 95.1-79.95l.0268-134.8L191.1 247.2V356.9zM543.1 0c-2.719 0-7.031 .6615-9.625 1.49L214.4 95.97c-11.98 3.775-21.62 16.75-22.2 29.36l108.1 85.42l210.8-61.76V292.9c-10.05-2.978-20.72-4.895-32.01-4.895c-22.15 0-42.23 6.574-58.42 17.11l137.1 107.5c10.58-12.76 17.33-27.86 17.33-44.57l.0004-336C575.1 14.34 561.7 0 543.1 0z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.26-23.27-4.068-33.7C9.84 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "n": [384, 512, [110], "4e", ["M384 64.01v384c0 13.47-8.438 25.5-21.09 30.09C359.3 479.4 355.7 480 352 480c-9.312 0-18.38-4.078-24.59-11.52L64 152.4v295.6c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-13.47 8.438-25.5 21.09-30.09c12.62-4.516 26.84-.75 35.5 9.609L320 359.6v-295.6c0-17.67 14.31-32 32-32S384 46.34 384 64.01z", ""]],
    "naira-sign": [448, 512, [], "e1f6", ["M64 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V320zM128 256H185.5L228.2 320H128V256zM320 256V320H305.1L262.5 256H320zM416 256C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320H384V256H416z", "M86.73 33.37C100.2 29.29 114.8 34.52 122.6 46.25L320 342.3V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V448C384 462.1 374.8 474.5 361.3 478.6C347.8 482.7 333.2 477.5 325.4 465.8L128 169.7V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V64C64 49.9 73.23 37.46 86.73 33.37V33.37z"]],
    "narwhal": [640, 512, [], "f6fe", ["M464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35C144 338.1 128 330.7 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V143.1c0-12.75-14.21-20.36-24.82-13.29l-71.17 47.4L24.88 130.7C14.24 123.7 0 131.3 0 144.1v80.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.2 0 176-78.8 176-176S561.2 159.1 464 159.1zM504 319.1c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C528 309.3 517.3 319.1 504 319.1z", "M504 271.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C528 282.7 517.3 271.1 504 271.1zM622.6 0c-6.012-.0195-11.61 3.059-14.81 8.148l-99.31 157.7c-.0059-.002 .0059 .002 0 0c31.82 8.301 60.11 25.16 82.23 48.14l48.75-192.3C642.2 10.73 633.1 .0371 622.6 0z"]],
    "nesting-dolls": [640, 512, [], "e3ba", ["M191.9 0c-61.86 0-112 50.14-112 112V224h224V112C303.9 50.14 253.8 0 191.9 0zM191.9 160c-35.35 0-64-28.65-64-64c0-1.107 .2715-2.141 .3262-3.234c26.61-.1133 49.98-13.76 63.67-34.41c13.7 20.65 37.06 34.29 63.67 34.41C255.6 93.86 255.9 94.89 255.9 96C255.9 131.3 227.2 160 191.9 160zM463.9 308.9C446.8 334.9 417.4 352 383.9 352c0 44.18 35.83 80 80.02 80c44.2 0 80.02-35.82 80.02-80C510.5 352 481.1 334.9 463.9 308.9z", "M303.9 352c0-36.16 12.52-69.18 32.83-96H39.72c-4.387 11.3-9.455 22.29-15.33 32.73C7.949 317.7-31.74 423.4 48.74 512h199.1l14.4-19.2C289.1 457 303.9 412.7 303.9 368V352zM591.1 368V352c0-70.69-57.32-128-128-128c-70.71 0-128 57.31-128 128v16c0 51.93-16.85 102.5-48.01 144H640C608.8 470.5 591.1 419.9 591.1 368zM463.9 432c-44.2 0-80.02-35.82-80.02-80c33.44 0 62.83-17.13 80.02-43.05C481.1 334.9 510.5 352 543.1 352C543.1 396.2 508.1 432 463.9 432z"]],
    "network-wired": [640, 512, [], "f6ff", ["M352 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H512V320H448V288H192V320H128V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H288V192H352V224z", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM256 64V128H384V64H256zM240 320C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H240zM96 384V448H224V384H96zM352 368C352 341.5 373.5 320 400 320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368zM544 448V384H416V448H544z"]],
    "neuter": [384, 512, [9906], "f22c", ["M256 176c0 35.29-28.71 64-64 64c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64C227.3 112 256 140.7 256 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1V496C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16v-147C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 228.9 244.9 272 192 272z"]],
    "newspaper": [512, 512, [128240], "f1ea", ["M480 32H128C110.3 32 96 46.33 96 64v368C96 458.5 74.51 480 48 480H448c35.35 0 64-28.65 64-64V64C512 46.33 497.7 32 480 32zM272 416h-96C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h96c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 320h-96C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288h96C280.8 288 288 295.2 288 304C288 312.8 280.8 320 272 320zM432 416h-96c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C448 408.8 440.8 416 432 416zM432 320h-96C327.2 320 320 312.8 320 304C320 295.2 327.2 288 336 288h96C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320zM448 208C448 216.8 440.8 224 432 224h-256C167.2 224 160 216.8 160 208v-96C160 103.2 167.2 96 176 96h256C440.8 96 448 103.2 448 112V208z", "M0 128v304C0 458.5 21.49 480 48 480S96 458.5 96 432V96H32C14.33 96 0 110.3 0 128zM272 288h-96C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320h96c8.836 0 16-7.164 16-16C288 295.2 280.8 288 272 288zM336 320h96c8.836 0 16-7.164 16-16C448 295.2 440.8 288 432 288h-96C327.2 288 320 295.2 320 304C320 312.8 327.2 320 336 320zM272 384h-96C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416h96c8.836 0 16-7.164 16-16C288 391.2 280.8 384 272 384zM432 384h-96c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h96c8.836 0 16-7.164 16-16C448 391.2 440.8 384 432 384z"]],
    "nfc": [448, 512, [], "e1f7", ["M352 384H96V128h112v82.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48s48-21.49 48-48c0-20.87-13.4-38.45-32-45.06V128H352V384z", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 384c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128h64V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32V384z"]],
    "nfc-lock": [576, 512, [], "e1f8", ["M448 96v48c-23.82 0-45.83 7.602-64 20.33V128c0-17.64-14.36-32-32-32H224C215.2 96 208 103.2 208 112v98.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-20.87-13.4-38.45-32-45.06V128H352v71.22C342.1 215.9 336 235.2 336 256v38.68C307.8 307 288 335.3 288 368V384H96V128h48C152.8 128 160 120.8 160 112S152.8 96 144 96H96C78.36 96 64 110.4 64 128v256c0 17.64 14.36 32 32 32h192v48c0 5.479 .5645 10.83 1.619 16H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320C419.3 32 448 60.65 448 96z", "M528 320V256c0-44.11-35.89-80-80-80S368 211.9 368 256v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM448 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C480 433.7 465.7 448 448 448zM480 320h-64V256c0-17.64 14.36-32 32-32s32 14.36 32 32V320z"]],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", ["M384 173.5V128c0-17.64-14.36-32-32-32H224C215.2 96 208 103.2 208 112v98.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-20.87-13.4-38.45-32-45.06V128H352v64.72C313.4 221.9 288 267.8 288 320c0 22.79 4.92 44.38 13.51 64H96V128h48C152.8 128 160 120.8 160 112S152.8 96 144 96H96C78.36 96 64 110.4 64 128v256c0 17.64 14.36 32 32 32h224.7c21.51 28.47 52.17 49.38 87.77 58.49C400.9 477.7 392.8 480 384 480H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320c35.35 0 64 28.65 64 64v64C425.2 160 403.6 164.9 384 173.5z", "M630.6 457.4l-72.73-72.73C569.1 365.6 576 343.7 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c23.7 0 45.61-6.879 64.65-18.1l72.73 72.73C591.6 508.9 599.8 512 608 512s16.38-3.125 22.62-9.375C643.1 490.1 643.1 469.9 630.6 457.4zM448 384c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S483.3 384 448 384z"]],
    "nfc-pen": [576, 512, [], "e1fa", ["M64 384V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h202.7L352 330.8V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v170.8l64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.32-56.56C271.6 420.8 272.9 418.5 273.8 416H96C78.36 416 64 401.6 64 384z", "M307.4 420.6c-2.5 2.521-4.209 5.729-4.918 9.208l-14.29 71.42c-1.25 6.291 4.335 11.83 10.59 10.58l71.45-14.29c3.459-.6875 6.675-2.396 9.175-4.917l125.3-125.3l-72-72L307.4 420.6zM565.5 255.7l-21.09-21.1c-14.08-14.06-36.87-14.06-50.92 0l-38.12 38.15l72 72l38.12-38.13C579.5 292.5 579.5 269.7 565.5 255.7z"]],
    "nfc-signal": [512, 512, [], "e1fb", ["M144 128H96v256h149.4C267.3 333.1 304.1 290.6 352 262.2V128H240v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v117.4c20.15-8.672 41.65-14.64 64-18.06V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h160.4c.668-22.12 4.02-43.55 9.83-64H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128z", "M488 304C501.3 304 512 293.3 512 280S501.3 256 488 256C360.1 256 256 360.1 256 488c0 13.25 10.75 24 24 24s24-10.75 24-24C304 386.5 386.5 304 488 304zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4zM488 352C413 352 352 413 352 488c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53 39.47-88 88-88c13.25 0 24-10.75 24-24S501.3 352 488 352z"]],
    "nfc-slash": [640, 512, [], "e1fc", ["M448 325.8V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 2.262-.3633 4.424-.666 6.602L448 325.8zM192 416c-17.64 0-32-14.36-32-32V222.1L96 171.9V416c0 35.35 28.65 64 64 64h320c2.746 0 5.361-.4727 8.018-.8086L407.4 416H192zM192 384h174.6L192 247.2V384zM480 32H160C138.4 32 119.4 42.78 107.8 59.18l60.68 47.56C174.3 100.3 182.6 96 192 96h48C248.8 96 256 103.2 256 112S248.8 128 240 128H195.6l106.9 83.75C303 211.5 303.4 211.1 304 210.9V112C304 103.2 311.2 96 320 96h128c17.64 0 32 14.36 32 32v222.9l64 50.16V96C544 60.65 515.3 32 480 32z", "M630.8 469.1l-592-463.1c-10.47-8.172-25.5-6.359-33.7 4.078C-3.062 19.63-1.234 34.72 9.188 42.89l592 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "nfc-symbol": [512, 512, [], "e531", ["M386.3 475.7C374.3 482.6 359.2 481.1 348.9 471.8L170.6 311.8C157.5 300 156.4 279.8 168.2 266.6C179.1 253.5 200.2 252.4 213.4 264.2L373.2 407.7C418.5 373.2 447.1 317.4 447.1 256C447.1 186.4 410.1 124 354.3 91.7C338.1 82.86 333.7 63.28 342.6 47.98C351.4 32.68 371 27.46 386.3 36.31C461.6 79.89 511.1 163.2 511.1 256C511.1 348.8 461.6 432.1 386.3 475.7L386.3 475.7z", "M125.7 36.32C137.7 29.38 152.8 30.95 163.1 40.2L341.4 200.2C354.5 211.1 355.6 232.2 343.8 245.4C332 258.5 311.8 259.6 298.6 247.8L138.8 104.4C93.49 138.8 64 194.6 64 256C64 325.7 101.9 388 157.7 420.3C173 429.2 178.3 448.7 169.4 464C160.6 479.3 140.1 484.6 125.7 475.7C50.35 432.1 0 348.8 0 256C0 163.2 50.35 79.9 125.7 36.32V36.32z"]],
    "nfc-trash": [640, 512, [], "e1fd", ["M352 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v66.95C389 193.2 394.4 192 400 192h17.89l2.771-6.219C426.4 174.4 436.3 166.2 448 162.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h316.8l-4.719-75.5C370.2 411.4 361.7 416 352 416z", "M412.9 481.1C413.1 498.1 428.8 512 445.8 512h132.5c17.02 0 31.81-13.9 32.88-30.89L623.2 288h-222.4L412.9 481.1zM624 224h-38.67l-10.61-23.89C572.2 195.1 567.2 192 561.6 192h-99.2c-5.557 0-10.63 3.139-13.12 8.105L438.7 224H400C391.2 224 384 231.2 384 240C384 248.8 391.2 256 400 256h224C632.8 256 640 248.8 640 240C640 231.2 632.8 224 624 224z"]],
    "not-equal": [448, 512, [], "f53e", ["M400 304h-169.6l-42.67 64H400c17.69 0 32-14.32 32-32.01S417.7 304 400 304zM48 208h169.5l42.67-64H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208zM432 176c0-17.69-14.31-31.99-32-31.99h-62.89l-42.67 64H400C417.7 208 432 193.7 432 176zM16 336c0 17.69 14.31 32.01 32 32.01h62.87l42.67-64H48C30.31 304 16 318.3 16 336z", "M122.6 465.7C116.5 475 106.3 480 95.97 480c-6.093 0-12.25-1.75-17.72-5.375c-14.72-9.813-18.69-29.66-8.875-44.38l255.1-384c9.781-14.69 29.62-18.66 44.37-8.875c14.72 9.813 18.69 29.66 8.875 44.38L122.6 465.7z"]],
    "notdef": [384, 512, [], "e1fe", ["M64 390.3L153.5 256L64 121.7V64h38.46L192 198.3L281.5 64H320v57.69L230.5 256L320 390.3V448h-38.46L192 313.7L102.5 448H64V390.3z", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM320 448H64V64h256V448z"]],
    "note": [448, 512, [], "e1ff", ["M400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H320v-128h128v-272C448 53.49 426.5 31.1 400 31.1z", "M448 352l-128 128v-128H448z"]],
    "note-medical": [448, 512, [], "e200", ["M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480H320v-128h128V80C448 53.49 426.5 32 400 32zM320 248C320 252.4 316.4 256 312 256L256 255.1V312C256 316.4 252.4 320 248 320h-48C195.6 320 192 316.4 192 312V255.1L136 256C131.6 256 128 252.4 128 248v-48C128 195.6 131.6 192 136 192H192V136C192 131.6 195.6 128 200 128h48C252.4 128 256 131.6 256 136V192h56C316.4 192 320 195.6 320 200V248z", "M320 352v128l128-128H320zM320 200C320 195.6 316.4 192 312 192H256V136C256 131.6 252.4 128 248 128h-48C195.6 128 192 131.6 192 136V192H136C131.6 192 128 195.6 128 200v48C128 252.4 131.6 256 136 256L192 255.1V312C192 316.4 195.6 320 200 320h48C252.4 320 256 316.4 256 312V255.1L312 256C316.4 256 320 252.4 320 248V200z"]],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", ["M448 80V320h-64L384 96H64v320h224v64H48C21.49 480 0 458.5 0 432v-352C0 53.49 21.49 32 48 32h352C426.5 32 448 53.49 448 80z", "M448 320v5.49c0 16.97-6.742 33.25-18.75 45.25l-90.51 90.51C326.7 473.3 310.5 480 293.5 480H288v-128c0-17.67 14.33-32 32-32H448z"]],
    "notebook": [512, 512, [], "e201", ["M416 0H192v512h224c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0z", "M192 0v512H128c-35.35 0-64-28.65-64-64v-40H24C10.75 408 0 397.3 0 384c0-13.26 10.75-24 24-24H64v-80H24C10.75 280 0 269.3 0 256c0-13.26 10.75-24 24-24H64v-80H24C10.75 152 0 141.3 0 128c0-13.26 10.75-24 24-24H64V64c0-35.35 28.65-64 64-64H192z"]],
    "notes": [512, 512, [], "e202", ["M432 95.1h-288c-26.51 0-48 21.49-48 47.1v288C96 458.5 117.5 480 144 480H384v-96h96V143.1C480 117.5 458.5 95.1 432 95.1z", "M384 384v96l96-96H384zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"]],
    "notes-medical": [512, 512, [], "f481", ["M432 96h-288C117.5 96 96 117.5 96 144v288C96 458.5 117.5 480 144 480H384l96-96V144C480 117.5 458.5 96 432 96zM384 312C384 316.4 380.4 320 376 320H320v56c0 4.375-3.625 8-8 8h-48C259.6 384 256 380.4 256 376V320H200C195.6 320 192 316.4 192 312v-48C192 259.6 195.6 256 200 256H256V200C256 195.6 259.6 192 264 192h48C316.4 192 320 195.6 320 200V256h56C380.4 256 384 259.6 384 264V312z", "M376 256H320V200C320 195.6 316.4 192 312 192h-48C259.6 192 256 195.6 256 200V256H200C195.6 256 192 259.6 192 264v48C192 316.4 195.6 320 200 320H256v56c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8V320h56C380.4 320 384 316.4 384 312v-48C384 259.6 380.4 256 376 256zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"]],
    "o": [448, 512, [111], "4f", ["M224 32.01c-123.5 0-224 100.5-224 224s100.5 224 224 224s224-100.5 224-224S347.5 32.01 224 32.01zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1S312.2 416 224 416z", ""]],
    "object-exclude": [512, 512, [], "e49c", ["M352 160V288C352 323.3 323.3 352 288 352H160V224C160 188.7 188.7 160 224 160H352zM304 208H208V304H304V208z", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288zM224 160C188.7 160 160 188.7 160 224V352H288C323.3 352 352 323.3 352 288V160H224z"]],
    "object-group": [576, 512, [], "f247", ["M64 0C87.69 0 108.4 12.87 119.4 32H456.6C467.6 12.87 488.3 0 512 0C547.3 0 576 28.65 576 64C576 87.69 563.1 108.4 544 119.4V392.6C563.1 403.6 576 424.3 576 448C576 483.3 547.3 512 512 512C488.3 512 467.6 499.1 456.6 480H119.4C108.4 499.1 87.69 512 64 512C28.65 512 0 483.3 0 448C0 424.3 12.87 403.6 32 392.6V119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0V0zM480 392.6V119.4C470.3 113.8 462.2 105.7 456.6 95.1H119.4C113.8 105.7 105.7 113.8 95.1 119.4V392.6C105.7 398.2 113.8 406.3 119.4 416H456.6C462.2 406.3 470.3 398.2 480 392.6z", "M288 128C305.7 128 320 142.3 320 160V256C320 273.7 305.7 288 288 288H160C142.3 288 128 273.7 128 256V160C128 142.3 142.3 128 160 128H288zM256 352V320H288C323.3 320 352 291.3 352 256V224H416C433.7 224 448 238.3 448 256V352C448 369.7 433.7 384 416 384H288C270.3 384 256 369.7 256 352z"]],
    "object-intersect": [512, 512, [], "e49d", ["M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64zM64 288H160V352H224V448H448V224H352V160H288V64H64V288z", "M160 224C160 188.7 188.7 160 224 160H352V288C352 323.3 323.3 352 288 352H160V224z"]],
    "object-subtract": [512, 512, [], "e49e", ["M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64zM64 288H288V64H64V288z", "M224 512C188.7 512 160 483.3 160 448V352H288C323.3 352 352 323.3 352 288V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224z"]],
    "object-ungroup": [640, 512, [], "f248", ["M608 392.6C627.1 403.6 640 424.3 640 448C640 483.3 611.3 512 576 512C552.3 512 531.6 499.1 520.6 480H311.4C300.4 499.1 279.7 512 256 512C220.7 512 192 483.3 192 448C192 424.3 204.9 403.6 224 392.6V352H288V392.6C297.7 398.2 305.8 406.3 311.4 416H520.6C526.2 406.3 534.3 398.2 544 392.6V279.4C534.3 273.8 526.2 265.7 520.6 256H474.5C469.1 240.6 459.9 227.1 448 216.4V192H520.6C531.6 172.9 552.3 160 576 160C611.3 160 640 188.7 640 224C640 247.7 627.1 268.4 608 279.4V392.6z", "M64 0C87.69 0 108.4 12.87 119.4 32H328.6C339.6 12.87 360.3 0 384 0C419.3 0 448 28.65 448 64C448 87.69 435.1 108.4 416 119.4V232.6C435.1 243.6 448 264.3 448 288C448 323.3 419.3 352 384 352C360.3 352 339.6 339.1 328.6 320H119.4C108.4 339.1 87.69 352 64 352C28.65 352 0 323.3 0 288C0 264.3 12.87 243.6 32 232.6V119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0V0zM328.6 96H119.4C113.8 105.7 105.7 113.8 95.1 119.4V232.6C105.7 238.2 113.8 246.3 119.4 256H328.6C334.2 246.3 342.3 238.2 352 232.6V119.4C342.3 113.8 334.2 105.7 328.6 96V96z"]],
    "object-union": [512, 512, [], "e49f", ["", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288z"]],
    "objects-align-bottom": [512, 512, [], "e3bb", ["M112 384C85.49 384 64 362.5 64 336V48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112zM336 384C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336z", "M24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464z"]],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", ["M400 64C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H400zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H336z", "M200 24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V64H200V24zM200 288V224H248V288H200zM248 448V488C248 501.3 237.3 512 224 512C210.7 512 200 501.3 200 488V448H248z"]],
    "objects-align-center-vertical": [512, 512, [], "e3bd", ["M64 80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V80zM288 144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V144z", "M24 280C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V280H24zM288 280H224V232H288V280zM448 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H448V232z"]],
    "objects-align-left": [512, 512, [], "e3be", ["M128 112C128 85.49 149.5 64 176 64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112zM128 336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336z", "M48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24z"]],
    "objects-align-right": [512, 512, [], "e3bf", ["M384 176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336C362.5 64 384 85.49 384 112V176zM384 400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400z", "M488 0C501.3 0 512 10.75 512 24V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V24C464 10.75 474.7 0 488 0z"]],
    "objects-align-top": [512, 512, [], "e3c0", ["M176 128C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176C64 149.5 85.49 128 112 128H176zM400 128C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400z", "M0 24C0 10.75 10.75 0 24 0H488C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24z"]],
    "objects-column": [448, 512, [], "e3c1", ["M400 32C426.5 32 448 53.49 448 80V112C448 138.5 426.5 160 400 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H400zM400 224C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272C256 245.5 277.5 224 304 224H400z", "M144 32C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H144zM144 352C170.5 352 192 373.5 192 400V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H144z"]],
    "octagon": [512, 512, [128721], "f306", ["M320.5 .0667C339.6 .0667 357.9 7.652 371.4 21.16L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664L320.5 .0667z", ""]],
    "octagon-check": [512, 512, [], "e426", ["M140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM368.1 208.1C378.3 199.6 378.3 184.4 368.1 175C359.6 165.7 344.4 165.7 335 175L224 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L368.1 208.1z", "M368.1 175C378.3 184.4 378.3 199.6 368.1 208.1L240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L143 272.1C133.7 263.6 133.7 248.4 143 239C152.4 229.7 167.6 229.7 176.1 239L224 286.1L335 175C344.4 165.7 359.6 165.7 368.1 175V175z"]],
    "octagon-divide": [512, 512, [], "e203", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 191.1C273.7 191.1 288 177.7 288 159.1C288 142.3 273.7 127.1 256 127.1C238.3 127.1 224 142.3 224 159.1C224 177.7 238.3 191.1 256 191.1zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "octagon-exclamation": [512, 512, [], "e204", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1V151.1zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 367.1C269.3 367.1 280 357.3 280 343.1V279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H280V167.1C280 154.7 269.3 143.1 256 143.1C242.7 143.1 232 154.7 232 167.1V231.1H168C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H232V343.1C232 357.3 242.7 367.1 256 367.1z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L256 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L256 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "oil-can": [640, 512, [], "f613", ["M288 128V160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128H288z", "M368.9 159.1C378.8 159.1 388.6 162.3 397.5 166.8L448 191.1L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V207.1C0 181.5 21.49 159.1 48 159.1L368.9 159.1zM96 207.1H48V272.8L96 294.1V207.1z"]],
    "oil-can-drip": [640, 512, [], "e205", ["M352 96C352 113.7 337.7 128 320 128H288V160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96zM544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400z", "M368.9 159.1C378.8 159.1 388.6 162.3 397.5 166.8L448 191.1L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V207.1C0 181.5 21.49 159.1 48 159.1L368.9 159.1zM96 207.1H48V272.8L96 294.1V207.1z"]],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", ["M379.1 367.9C392.6 349.8 400 327.8 400 304C400 303.6 399.1 303.2 399.1 302.8C421.9 299.6 443.7 290.2 461.4 277.9L461.5 277.9C473.4 269.4 489.5 270.1 500.7 279.6C515 291.5 533.2 300.6 551.3 304.8C568.5 308.8 579.2 326.1 575.2 343.3C571.2 360.5 553.1 371.2 536.7 367.2C512.2 361.4 491.9 350.6 478.5 342.2C449.5 357.7 417 368 384 368C382.6 368 381.3 367.1 379.1 367.9L379.1 367.9zM196 367.9C194.7 367.1 193.4 368 192 368C158.1 368 126.5 357.7 97.5 342.2C84.12 350.6 63.79 361.4 39.27 367.2C22.06 371.2 4.853 360.5 .8422 343.3C-3.169 326.1 7.532 308.8 24.74 304.8C42.84 300.6 60.96 291.5 75.31 279.6C86.46 270.1 102.6 269.4 114.5 277.9L114.6 277.9C132.3 290.2 154.1 299.6 176 302.8C176 303.2 176 303.6 176 304C176 327.8 183.4 349.8 196 367.9L196 367.9zM306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9H306.5z", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H320V96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H320V230.7C348.3 243 368 271.2 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 271.2 227.7 243 256 230.7V32C256 14.33 270.3 0 288 0L352 0z"]],
    "oil-well": [576, 512, [], "e532", ["M302.2 149.4L308.5 167.5L228.2 188.4L241.8 149.4C246.3 136.6 258.4 128 272 128C285.6 128 297.7 136.6 302.2 149.4H302.2zM137.3 448L190.4 296.3L264.1 276.1L238.7 352H305.3L277.9 273.6L340 257.5L406.7 448H338.9L327.7 416H216.3L205.1 448L137.3 448z", "M569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L433.4 201.3L96 288.8V448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48V184C48 170.7 58.75 160 72 160C85.25 160 96 170.7 96 184V222.6L416.8 139.5L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8z"]],
    "olive": [448, 512, [], "e316", ["M374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z", "M392.5 89.39c-94.93-99.56-213.1-58.11-308.5 36.84c-95.42 94.96-112 232.4-37.02 307c74.98 74.61 213.1 58.12 308.5-36.84C450.9 301.5 487.5 188.1 392.5 89.39zM374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z"]],
    "olive-branch": [640, 512, [], "e317", ["M336 128c-79.53 0-143.1 85.96-143.1 192s64.47 192 143.1 192s143.1-85.96 143.1-192S415.5 128 336 128zM569.6 198.5c-42.23-42.29-93.92-65.54-141.8-69.26C478.2 168.7 512 239.5 512 320.3c0 59.01-18.11 112.6-47.45 152.7c53.26 14.72 105.8 6.727 140.2-27.74C663.1 386.8 647.3 276.4 569.6 198.5z", "M449.9 48H616c13.25 0 24-10.75 24-24S629.3 0 616 0h-166.1c-65.87 0-131.2 16.47-189.5 47.06C244.2 34.17 195.5 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64c0 4.563 1.938 8.891 5.344 11.94c1.721 1.541 32.19 28.04 75.96 42.6C69.25 124.8 57.4 132.6 46.99 142.1c-48.46 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.085 287.8 15.61 287.1c.25 0 .8984 .0156 1.93 .0156c12.84 0 82.66-2.142 127.5-46.98c30.93-30.94 41.48-73.57 45.09-101.4l87.41-47.7C330.3 63.21 389.9 48 449.9 48z"]],
    "om": [512, 512, [128329], "f679", ["M360.6 61C362.5 62.88 365.3 64 368 64s5.375-1.125 7.375-3l21.5-21.62C398.9 37.38 400 34.75 400 32s-1.125-5.375-3.125-7.375L375.4 3c-4.125-4-10.75-4-14.75 0L339 24.62C337 26.62 336 29.25 336 32s1 5.375 3 7.375L360.6 61zM454.3 67.25c-85.5 65.12-169 2.751-172.5 .125c-6-4.625-14.5-4.375-20.13 .5C255.9 72.75 254.3 81 257.9 87.63C259.5 90.63 298.3 160 376.8 160c79.88 0 98.75-31.38 101.8-37.63C479.5 120.3 480 117.9 480 115.5V80C480 66.75 464.9 59.25 454.3 67.25z", "M412.1 191.1c-26.75 0-51.75 10.38-70.63 29.25l-24.25 24.25c-6.75 6.75-15.75 10.5-25.37 10.5H245c10.5-22.12 14.12-48.12 7.75-75.25C242.6 138.2 206.4 104.6 163.2 97.62c-36.25-6-71 5-96 28.75c-7.375 7-7 18.87 1.125 24.87L94.5 170.9c5.75 4.375 13.62 4.375 19.12-.125C122.1 163.8 132.8 159.1 144 159.1c26.38 0 48 21.5 48 48S170.4 255.9 143.1 255.9L112 255.1c-11.88 0-19.75 12.63-14.38 23.25L113.8 311.5C116.2 316.5 121.4 319.5 126.9 320H160c35.25 0 64 28.75 64 64s-28.75 64-64 64c-96.12 0-122.4-53.1-145.2-92C10.25 348.4 0 352.4 0 361.2C-.125 416 41.12 512 160 512c70.5 0 127.1-57.44 127.1-128.1c0-23.38-6.874-45.06-17.87-63.94h21.75c26.62 0 51.75-10.38 70.63-29.25l24.25-24.25c6.75-6.75 15.75-10.5 25.37-10.5C431.9 255.1 448 272.1 448 291.9V392c0 13.25-18.75 24-32 24c-39.38 0-66.75-24.25-81.88-42.88C329.4 367.2 320 370.6 320 378.1V416c0 0 0 64 96 64c48.5 0 96-39.5 96-88V291.9C512 236.8 467.3 191.1 412.1 191.1z"]],
    "omega": [448, 512, [], "f67a", ["M416 480l-96-.0049c-17.67 0-32-14.4-32-32.08v-25.6c0-11.44 6.094-21.97 15.98-27.69C353.3 366.1 384 312.1 384 256c0-88.22-71.78-159.1-160-159.1S64 167.8 64 256c0 56.97 30.66 110.1 80.02 138.6C153.9 400.4 160 410.9 160 422.3v25.6c0 17.69-14.33 32.08-32 32.08l-96 .0049c-17.67 0-32-14.31-32-32s14.33-32 32-32h35.3C24.89 374.4 0 316.8 0 256c0-123.5 100.5-224 224-224s224 100.5 224 223.1c0 60.75-24.89 118.4-67.3 160H416c17.67 0 32 14.31 32 32S433.7 480 416 480zM320.2 422.3L320.2 422.3L320.2 422.3z", ""]],
    "onion": [448, 512, [129477], "e427", ["M355.1 133.6c0 0 0 0 0-.0156c-.6562-.375-65.66-39.27-85.81-121.4c-1.406-5.828-5.969-10.36-11.81-11.75c-5.688-1.406-11.97 .5781-15.84 5.125L224 26.02L206.4 5.562C202.5 1.016 196.3-.9687 190.6 .4375c-5.844 1.391-10.41 5.922-11.81 11.75C158.6 94.27 93.59 133.2 92.94 133.6C34.75 167.7 0 223 0 281.5C0 382.1 100.5 464 224 464s224-81.88 224-182.5C448 223 413.3 167.7 355.1 133.6zM129 198.2C98.84 269.7 96 287.1 96 315.5c0 12.22 1.438 22.86 4.406 32.53c2.594 8.453-2.125 17.41-10.59 20c-1.562 .4844-3.125 .7031-4.688 .7031c-6.844 0-13.19-4.422-15.28-11.3C65.91 344.7 64 330.1 64 315.5C64 280.2 68.66 258.9 99.5 185.8c3.469-8.156 12.91-11.92 20.97-8.516C128.6 180.7 132.4 190.1 129 198.2zM237.4 132c-43.78 169.9-45.47 188.1-36.03 224.3c1.906 7.375 4.312 13.83 7.344 19.73c4.062 7.859 .9687 17.52-6.906 21.55c-2.344 1.219-4.844 1.781-7.312 1.781c-5.781 0-11.38-3.156-14.22-8.672c-4.094-7.938-7.406-16.8-9.906-26.34C158.7 319.4 162.4 294.7 206.4 124c2.219-8.516 10.88-13.7 19.5-11.5C234.4 114.7 239.6 123.4 237.4 132zM361.8 357.6c-2.188 6.797-8.469 11.14-15.25 11.14c-1.594 0-3.25-.2344-4.875-.75c-8.406-2.688-13.06-11.69-10.38-20.11C334.5 338 336 327.2 336 314.7c0-33.16-4.594-52.06-46.66-148.3c-3.531-8.094 .1562-17.53 8.25-21.06c8.094-3.516 17.53 .1406 21.06 8.25C363.2 255.4 368 276.3 368 314.7C368 330.5 365.1 344.5 361.8 357.6z", "M121.2 480.4c-4.188 12.58 2.625 26.17 15.19 30.36C138.9 511.6 141.5 512 144 512c10.06 0 19.41-6.359 22.78-16.41l11.79-35.38c-16.23-2.736-31.73-7.029-46.47-12.46L121.2 480.4zM326.8 480.4l-10.88-32.66c-14.74 5.434-30.25 9.729-46.47 12.46l11.79 35.38C284.6 505.6 293.9 512 304 512c2.5 0 5.062-.3906 7.594-1.234C324.2 506.6 330.1 492.1 326.8 480.4zM200 462.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-25.08C240.1 463.6 232.1 464 224 464S207.9 463.6 200 462.9z"]],
    "option": [640, 512, [], "e318", ["M448 128h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160c-17.69 0-32 14.31-32 32S430.3 128 448 128z", "M640 416c0 17.69-14.31 32-32 32h-160c-9.719 0-18.91-4.406-25-12L176.6 128H32C14.31 128 0 113.7 0 96s14.31-32 32-32h160c9.719 0 18.91 4.406 25 12L463.4 384H608C625.7 384 640 398.3 640 416z"]],
    "ornament": [384, 512, [], "f7b8", ["M372.6 256H11.39C4.255 276.1 0 297.5 0 320c0 22.48 4.091 43.96 11.19 64h361.6C379.9 363.1 384 342.5 384 320C384 297.5 379.7 276.1 372.6 256zM191.9 96C174.4 96 159.9 81.5 159.9 64s14.51-32 32.01-32s31.97 14.5 31.97 32S209.4 96 191.9 96h55.13c5.498-9.375 8.887-20.25 8.887-32c0-35.25-28.75-64-63.98-64S127.1 28.75 127.1 64c0 11.75 3.368 22.62 8.866 32H191.9z", "M287.1 153.9L287.1 112c0-8.836-7.168-16-16.01-16H111.1c-8.836 0-15.1 7.164-15.1 16l.0016 41.94C56.84 176.6 26.76 212.8 11.39 256h361.2C357.2 212.8 327.1 176.6 287.1 153.9zM11.19 384c26.38 74.52 97.24 128 180.8 128s154.4-53.48 180.8-128H11.19z"]],
    "otter": [640, 512, [129446], "f700", ["M124.1 205.4l32.88-14.08C154.4 191.1 151.8 190.8 149.4 189.7l-8.314-3.777C133.1 182.3 128 174.9 128 166.7V160c0-6.723 5.996-12.17 13.39-12.17h37.21C186 147.8 192 153.3 192 160v6.701c0 8.15-5.068 15.6-13.09 19.25l-8.314 3.777c-2.391 1.088-5.012 1.324-7.598 1.631L195.9 205.4C199.8 207.1 204 208 208.3 208C234.6 208 256 186.6 256 160.3v-16C256 108.9 227.1 80 191.7 80H128.3C92.86 80 64 108.9 64 144.3v16C64 186.6 85.38 208 111.7 208C115.1 208 120.2 207.1 124.1 205.4zM224 128c8.836 0 16 7.162 16 16C240 152.8 232.8 160 224 160S208 152.8 208 144C208 135.2 215.2 128 224 128zM96 160C87.16 160 80 152.8 80 144C80 135.2 87.16 128 96 128s16 7.162 16 16C112 152.8 104.8 160 96 160zM356.6 319.1L320 320c-42.56 0-78.32-27.99-90.83-66.43C222.4 255.1 215.5 256 208.3 256C197.6 256 186.9 253.8 176.1 249.6L160 242.3L143 249.6C133.1 253.8 122.4 256 111.7 256C106.3 256 101.1 255.3 96 254.4V256c0 13.98 1.863 27.52 5.297 40.43C105 310.4 117.9 320 132.4 320H224c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h128v-32C352 340.1 353.6 330.3 356.6 319.1C356.5 320 356.6 319.9 356.6 319.1z", "M474.4 64.12C466.8 63.07 460 69.07 460 76.73c0 5.959 4.188 10.1 9.991 12.36C514.2 99.46 544 160 544 192v112c0 8.844-7.156 16-16 16S512 312.8 512 304V212c0-14.87-15.65-24.54-28.94-17.89c-28.96 14.48-47.83 42.99-50.51 74.88C403.7 285.6 384 316.3 384 352v32H224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H132.4c-14.46 0-27.37-9.598-31.08-23.57C97.86 283.5 96 269.1 96 256V254.4C101.1 255.3 106.3 256 111.7 256c10.78 0 21.45-2.189 31.36-6.436L160 242.3l16.98 7.271C186.9 253.8 197.6 256 208.3 256c7.176 0 14.11-.9277 20.83-2.426C241.7 292 277.4 320 320 320l36.56-.0366C363.1 294.7 377.1 272.7 396.2 256H320c0-25.73 17.56-31.61 32.31-32C369.8 223.8 384 209.6 384 192c0-17.67-14.31-32-32-32c-15.09 0-32.99 4.086-49.28 13.06C303.3 168.9 304 164.7 304 160.3v-16c0-1.684-.4238-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7C274.6 58.26 236.3 32 191.7 32H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h160c123.9-1.166 224-101.1 224-226.2C639.9 156.9 567.8 76.96 474.4 64.12zM64 160.3v-16C64 108.9 92.86 80 128.3 80h63.32C227.1 80 256 108.9 256 144.3v16C256 186.6 234.6 208 208.3 208c-4.309 0-8.502-.8608-12.46-2.558L162.1 191.4c2.586-.3066 5.207-.543 7.598-1.631l8.314-3.777C186.9 182.3 192 174.9 192 166.7V160c0-6.723-5.996-12.17-13.39-12.17H141.4C133.1 147.8 128 153.3 128 160v6.701c0 8.15 5.068 15.6 13.09 19.25l8.314 3.777c2.391 1.088 5.012 1.324 7.598 1.631l-32.88 14.08C120.2 207.1 115.1 208 111.7 208C85.38 208 64 186.6 64 160.3z"]],
    "outdent": [512, 512, ["dedent"], "f03b", ["M448 32C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H448zM448 160C465.7 160 480 174.3 480 192C480 209.7 465.7 224 448 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H448zM224 320C224 302.3 238.3 288 256 288H448C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H256C238.3 352 224 337.7 224 320zM448 416C465.7 416 480 430.3 480 448C480 465.7 465.7 480 448 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448z", "M134.2 164.1C144.7 155.9 160 163.4 160 176.7V335.3C160 348.6 144.7 356.1 134.2 347.9L32.24 268.6C24 262.2 24 249.8 32.24 243.4L134.2 164.1z"]],
    "outlet": [448, 512, [], "e01c", ["M224 288C210.8 288 200 298.8 200 312v24h48V312C248 298.8 237.2 288 224 288zM160 192C151.2 192 144 199.2 144 208V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C176 199.2 168.8 192 160 192zM288 192c-8.836 0-16 7.164-16 16V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C304 199.2 296.8 192 288 192zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z", "M384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z"]],
    "oven": [448, 512, [], "e01d", ["M64 448h320V256H64V448zM112 288h224C344.8 288 352 295.2 352 304S344.8 320 336 320h-224C103.2 320 96 312.8 96 304S103.2 288 112 288zM0 160v32h448V160H0z", "M0 480c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32V192H0V480zM64 256h320v192H64V256zM336 288h-224C103.2 288 96 295.2 96 304S103.2 320 112 320h224c8.838 0 16-7.164 16-16S344.8 288 336 288zM384 0H64C28.63 0 0 28.62 0 64v96h448V64C448 28.62 419.4 0 384 0zM80 104c-13.25 0-24-10.75-24-24S66.75 56 80 56S104 66.75 104 80S93.25 104 80 104zM176 104c-13.25 0-24-10.75-24-24S162.8 56 176 56S200 66.75 200 80S189.3 104 176 104zM272 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S285.3 104 272 104zM368 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 104 368 104z"]],
    "overline": [448, 512, [], "f876", ["M224 128c-97.84 0-177.5 79.63-177.5 177.5v29.06c0 97.84 79.63 177.5 177.5 177.5s177.5-79.62 177.5-177.5V305.5C401.5 207.6 321.8 128 224 128zM337.5 334.5c0 62.56-50.91 113.5-113.5 113.5s-113.5-50.91-113.5-113.5V305.5c0-62.56 50.91-113.5 113.5-113.5s113.5 50.91 113.5 113.5V334.5z", "M416 .0147H32c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 .0147 416 .0147z"]],
    "p": [320, 512, [112], "50", ["M160 32.01H32c-17.69 0-32 14.33-32 32v384c0 17.67 14.31 32 32 32s32-14.33 32-32v-96h96c88.22 0 160-71.78 160-159.1S248.2 32.01 160 32.01zM160 288H64V96.01h96c52.94 0 96 43.06 96 96S212.9 288 160 288z", ""]],
    "page": [384, 512, [], "e428", ["M0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448z", ""]],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM203.8 346.8L279.5 264.2C293.6 248.8 282.7 224 261.8 224H122.2C101.3 224 90.38 248.8 104.5 264.2L180.2 346.8C183.2 350.1 187.5 352 192 352C196.5 352 200.8 350.1 203.8 346.8z", "M104.5 264.2C90.38 248.8 101.3 224 122.2 224H261.8C282.7 224 293.6 248.8 279.5 264.2L203.8 346.8C200.8 350.1 196.5 352 191.1 352C187.5 352 183.2 350.1 180.2 346.8L104.5 264.2z"]],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM180.2 197.2L104.5 279.8C90.38 295.2 101.3 320 122.2 320H261.8C282.7 320 293.6 295.2 279.5 279.8L203.8 197.2C200.8 193.9 196.5 192 192 192C187.5 192 183.2 193.9 180.2 197.2V197.2z", "M279.5 279.8C293.6 295.2 282.7 320 261.8 320H122.2C101.3 320 90.38 295.2 104.5 279.8L180.2 197.2C183.2 193.9 187.5 192 191.1 192C196.5 192 200.8 193.9 203.8 197.2L279.5 279.8z"]],
    "pager": [512, 512, [128223], "f815", ["M448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z", "M448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM160 368H80C71.13 368 64 360.9 64 352v-16C64 327.1 71.13 320 80 320H160V368zM288 352c0 8.875-7.125 16-16 16H192V320h80c8.875 0 16 7.125 16 16V352zM448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z"]],
    "paint-roller": [512, 512, [], "f5aa", ["M512 192C512 245 469 288 416 288H272C263.2 288 256 295.2 256 304V320C273.7 320 288 334.3 288 352V480C288 497.7 273.7 512 256 512H192C174.3 512 160 497.7 160 480V352C160 334.3 174.3 320 192 320V304C192 259.8 227.8 224 272 224H416C433.7 224 448 209.7 448 192V160C448 142.3 433.7 128 416 128V64C469 64 512 106.1 512 160V192z", "M0 64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V128C416 163.3 387.3 192 352 192H64C28.65 192 0 163.3 0 128V64z"]],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", ["M320 400C320 461.9 269.9 512 208 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H68.81C86.44 448 98.4 429.1 96.59 411.6C96.2 407.8 96 403.9 96 400C96 338.1 146.1 288 208 288C212.4 288 216.8 288.3 221.1 288.8L315.7 369.1C318.5 378.9 320 389.3 320 400H320z", "M320 368C318.4 368 316.9 367.1 315.3 367.9C315.5 368.3 315.6 368.7 315.7 369.1L221.1 288.8C222.6 288.9 224.1 289.1 225.6 289.4C224.5 283.7 223.1 277.9 223.1 272V263.1C223.1 233.8 238.2 205.3 262.4 187.2L499.1 9.605C517.7-4.353 543.6-2.965 560.7 12.9C577.7 28.76 580.8 54.54 568.2 74.07L406.5 324.1C388.8 351.5 358.5 368 325.9 368H320zM208 512H64L63.85 512H208.3C208.2 512 208.1 512 208 512H208z"]],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", ["M205.2 291.9L284.1 370.8C284.2 370.8 284.2 370.9 284.2 371C286.7 380.3 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8C205.1 291.8 205.2 291.8 205.2 291.9H205.2z", "M284.3 370.9L205.1 291.7L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L284.3 370.9z"]],
    "paintbrush-pencil": [576, 512, [], "e206", ["M164.7 19.32L298.5 153.1L194.4 257.2C188.4 256.4 182.2 256 176 256C175.2 256 174.3 256 173.5 256L50.75 133.3C25.75 108.3 25.75 67.74 50.75 42.75L74.18 19.32C99.17-5.678 139.7-5.678 164.7 19.32V19.32zM384.6 467.1L319.1 402.5C319.1 401.7 320 400.8 320 400C320 393.8 319.6 387.6 318.8 381.6L422.9 277.5L498.5 353.2C505.3 359.9 510.2 368.2 512.8 377.4L542.5 481.4C544.9 489.8 542.6 498.8 536.4 504.1C530.2 511.1 521.2 513.5 512.8 511.1L408.8 481.4C399.7 478.7 391.3 473.8 384.6 467.1H384.6z", "M559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4H559.6zM284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8L205.1 291.7L284.3 370.9z"]],
    "palette": [512, 512, [127912], "f53f", ["M512 255.1C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 319.1 441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V255.1zM96 255.1C78.33 255.1 64 270.3 64 287.1C64 305.7 78.33 319.1 96 319.1C113.7 319.1 128 305.7 128 287.1C128 270.3 113.7 255.1 96 255.1zM128 191.1C145.7 191.1 160 177.7 160 159.1C160 142.3 145.7 127.1 128 127.1C110.3 127.1 96 142.3 96 159.1C96 177.7 110.3 191.1 128 191.1zM256 63.1C238.3 63.1 224 78.33 224 95.1C224 113.7 238.3 127.1 256 127.1C273.7 127.1 288 113.7 288 95.1C288 78.33 273.7 63.1 256 63.1zM384 191.1C401.7 191.1 416 177.7 416 159.1C416 142.3 401.7 127.1 384 127.1C366.3 127.1 352 142.3 352 159.1C352 177.7 366.3 191.1 384 191.1z", "M288 96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64C273.7 64 288 78.33 288 96zM96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160zM64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z"]],
    "pallet": [640, 512, [], "f482", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z", ""]],
    "pallet-box": [640, 512, [], "e208", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448zM384 0v128l-64-32l-64 32v-128H384z", "M160 255.1h320c17.6 0 32-14.4 32-31.1V31.1c0-17.6-14.4-32-32-32l-96 0v128l-64-32l-64 32v-128L160 0c-17.6 0-32 14.4-32 32V224C128 241.6 142.4 255.1 160 255.1z"]],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z", "M96 255.1L288 256c17.6 0 32-14.4 32-32V31.1c0-17.6-14.4-31.1-32-31.1L96 0c-17.6 0-32 14.4-32 32V224C64 241.6 78.4 255.1 96 255.1zM416 255.1h128c17.6 0 32-14.4 32-31.1v-128c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 255.1 416 255.1z"]],
    "pan-food": [576, 512, [129368], "e42b", ["M449.6 152.4C414.1 97.04 353.6 64 287.8 64C251.2 64 215.4 74.51 184.4 94.38C141.2 122.1 111.4 164.9 100.5 214.1C89.51 265.1 98.71 316.4 126.4 359.6C161.9 414.1 222.4 448 288.2 448c36.62 0 72.37-10.51 103.4-30.38c43.17-27.67 72.98-70.5 83.94-120.6C486.5 246.9 477.3 195.6 449.6 152.4zM288 88c35.28 0 64 28.7 64 64c0 4.422-3.594 8-8 8h-112c-4.406 0-8-3.578-8-8C224 116.7 252.7 88 288 88zM296 240c0 13.25-10.75 24-24 24s-24-10.75-24-24c0-13.26 10.75-24 24-24S296 226.7 296 240zM145.8 238.1c-7.781-7.812-7.781-20.47 0-28.28l32-32c7.812-7.812 20.5-7.812 28.31 0c7.781 7.812 7.781 20.47 0 28.28l-32 32C170.3 242 165.1 244 160 244S149.8 242 145.8 238.1zM272 416c-26.47 0-48-21.53-48-48v-25.38L197.5 316.1C194.6 318.3 191.3 319.6 187.9 319.6c-4.094 0-8.188-1.562-11.31-4.688c-6.25-6.234-6.25-16.38 0-22.62l19.69-19.7c6.25-6.25 16.38-6.25 22.62 0c5.732 5.717 5.949 14.59 1.166 20.87l26.55 26.55H272c26.47 0 48 21.53 48 48S298.5 416 272 416zM368 392c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C392 381.3 381.3 392 368 392zM429.1 301.1c-12.59 12.58-29.12 18.88-45.66 18.88s-33.06-6.297-45.66-18.88c-1.5-1.5-2.344-3.531-2.344-5.656s.8438-4.156 2.344-5.656l80-80c3.094-3.094 8.156-3.156 11.31 0c12.19 12.19 18.91 28.41 18.91 45.66S441.3 288.9 429.1 301.1z", "M177.8 177.9l-32 32c-7.781 7.812-7.781 20.47 0 28.28C149.8 242 154.9 244 160 244s10.25-1.953 14.16-5.859l32-32c7.781-7.812 7.781-20.47 0-28.28C198.3 170 185.7 170 177.8 177.9zM567.2 125l-43.16-67.34c-16.69-25.95-51.38-33.64-77.34-16.92l-23.84 16.92C382.8 30.53 335.6 16 287.8 16c-44.34 0-89.18 12.27-129.3 37.97C75.83 106.1 36.73 202.2 51.03 293.3L25.79 309.5c-26 16.64-33.63 51.34-16.94 77.38l43.16 67.34c10.69 16.66 28.78 25.77 47.25 25.77c10.31-.0156 20.78-2.859 30.09-8.844l23.79-16.89C193.2 481.5 240.3 496 288.2 496c44.34 0 89.18-12.27 129.3-37.97c82.68-53 121.8-148.2 107.5-239.4l25.25-16.21C576.2 185.8 583.8 151.1 567.2 125zM103.5 430.8c-2.469 1.531-4.844 1.328-6.031 1.078c-1.219-.2656-3.469-1.078-5.031-3.5L49.25 361c-2.375-3.719-1.312-8.688 2.438-11.08l12.26-7.857c5.744 14.91 13.07 29.46 22.03 43.44c8.814 13.75 19.1 25.91 30.04 37.21L103.5 430.8zM475.5 297c-10.96 50.09-40.77 92.92-83.94 120.6C360.6 437.5 324.8 448 288.2 448c-65.86 0-126.4-33.04-161.8-88.4C98.71 316.4 89.51 265.1 100.5 214.1C111.4 164.9 141.2 122.1 184.4 94.38C215.4 74.51 251.2 64 287.8 64c65.86 0 126.4 33.04 161.8 88.4C477.3 195.6 486.5 246.9 475.5 297zM524.3 162L512 169.9c-5.742-14.89-13.06-29.43-22.01-43.39c-8.824-13.77-19.12-25.94-30.07-37.25l12.58-8.061c2.438-1.547 4.781-1.359 6.031-1.078c1.219 .2656 3.469 1.078 5.031 3.5l43.16 67.33C529.1 154.7 528.1 159.6 524.3 162zM272 216c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C296 226.7 285.3 216 272 216zM417.8 209.8l-80 80c-1.5 1.5-2.344 3.531-2.344 5.656s.8438 4.156 2.344 5.656c12.59 12.58 29.12 18.88 45.66 18.88s33.06-6.297 45.66-18.88C441.3 288.9 448 272.7 448 255.4s-6.719-33.47-18.91-45.66C425.9 206.6 420.9 206.7 417.8 209.8z"]],
    "pan-frying": [576, 512, [127859], "e42c", ["M224 176C197.5 176 176 197.5 176 224S197.5 272 224 272S272 250.5 272 224S250.5 176 224 176z", "M574.4 439.2c-3.844-15.95-14.12-29.53-28.34-37.58l-120.3-80.74C439.9 291.5 447.1 258.7 447.1 224c0-123.7-100.3-224-223.1-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 223.1 224c54.29 0 104-19.33 142.8-51.46l109.5 99.16C487.3 506.2 501.9 512 516.1 512c1.875 0 3.719-.0938 5.594-.2656c17.03-1.625 32.5-10.53 42.44-24.45S578.4 455.8 574.4 439.2zM342.4 267.3c-23.77 18.12-48.64 16.25-70.45 37c-28.84 27.31-55.8 59.88-102.3 43.19C138.6 336.3 114.3 305 112.1 272.1c-2.188-32.95 19.44-64.27 25-96.45c6.594-38.55 19.11-71.55 62.5-78.55C234.8 91.37 254 109.6 278.9 130.1c21.84 17.94 52.5 20.75 72.25 41.13C378.2 196.5 370.5 245.9 342.4 267.3zM514.5 465.1c-8.715 1.457-16.96-4.428-18.42-13.14c-1.457-8.715 4.428-16.96 13.14-18.42c8.715-1.457 16.96 4.428 18.42 13.14C529.1 455.4 523.2 463.6 514.5 465.1z"]],
    "pancakes": [512, 512, [129374], "e42d", ["M68.44 294.3C65.58 286.9 64 278.9 64 270.6V246.4C42.53 239.7 23.03 231.4 7.408 221.2C2.742 227.2 0 233.5 0 240C0 260.1 26.09 280 68.44 294.3zM64 212.8v-48.95C42.03 155.3 25.78 144.9 15.1 133.1C5.5 141.5 0 150.6 0 160C0 180.3 24.28 198.7 64 212.8zM512 160c0-9.426-5.488-18.43-15.07-26.83C455.2 179.2 337.8 189.2 288 191.3V224c0 5.34-.8516 10.45-2.09 15.41C413.2 234.8 512 201 512 160zM256 351.1c-76.1 0-189.4-12.06-248.6-50.78C2.742 307.2 0 313.5 0 320c0 44.18 114.6 79.1 256 79.1S512 364.2 512 320c0-6.488-2.742-12.76-7.408-18.8C445.4 339.9 332.1 351.1 256 351.1zM256 431.1c-76.1 0-189.4-12.05-248.6-50.77C2.742 387.2 0 393.5 0 400c0 44.18 114.6 80 256 80s256-35.82 256-80c0-6.488-2.742-12.76-7.408-18.8C445.4 419.9 332.1 431.1 256 431.1zM266.1 271.8C254.8 281.8 240.2 287.1 224 287.1c-2.037 0-4.1-.0957-6.176-.293C208.3 286.8 199.4 283.7 191.6 278.1C190.1 293.2 183.7 305.9 174.3 315.8C199.1 318.5 227.4 319.1 256 319.1c141.4 0 256-35.81 256-79.99c0-6.488-2.742-12.76-7.408-18.8C447.9 258.3 341.9 270.8 266.1 271.8z", "M256 32C132.3 32 32 60.7 32 96.05c0 15.77 20.02 30.22 53.14 41.37C91.62 139.6 96 145.7 96 152.5v118.1c0 16.71 12.22 31.64 28.86 33.23C143.9 305.7 160 290.7 160 272V171.7c0-9.447 8.182-16.76 17.57-15.74l.3203 .0352C185.9 156.9 192 163.7 192 171.8v50.85c0 16.71 12.22 31.64 28.86 33.22C239.9 257.7 256 242.7 256 224V175.9c0-8.656 6.885-15.83 15.54-16C388 157.7 480 129.9 480 96.05C480 60.7 379.7 32 256 32zM304 96.01h-96c-8.836 0-16-7.161-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 88.85 312.8 96.01 304 96.01z"]],
    "panel-ews": [512, 512, [], "e42e", ["M448 0H64C28.64 0 0 28.64 0 64v224h32c35.36 0 64 28.64 64 64v32c0 17.66 14.34 32 32 32s32-14.34 32-32v-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32v32c0 17.66-14.34 32-32 32v32c0 35.36-28.64 64-64 64s-64-28.64-64-64v-32c0-17.66-14.34-32-32-32H0v128c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V64C512 28.64 483.4 0 448 0zM208 160h-96C103.2 160 96 152.8 96 144S103.2 128 112 128h96C216.8 128 224 135.2 224 144S216.8 160 208 160zM208 96h-96C103.2 96 96 88.83 96 80S103.2 64 112 64h96C216.8 64 224 71.17 224 80S216.8 96 208 96zM416 416c0 17.66-14.34 32-32 32h-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32V416zM400 160h-96C295.2 160 288 152.8 288 144S295.2 128 304 128h96C408.8 128 416 135.2 416 144S408.8 160 400 160zM400 96h-96C295.2 96 288 88.83 288 80S295.2 64 304 64h96C408.8 64 416 71.17 416 80S408.8 96 400 96z", "M192 256H160C142.3 256 128 270.3 128 288v32c0 17.66 14.34 32 32 32v32c0 17.66-14.34 32-32 32s-32-14.34-32-32v-32c0-35.36-28.64-64-64-64H0v32h32c17.66 0 32 14.34 32 32v32c0 35.36 28.64 64 64 64s64-28.64 64-64v-32c17.66 0 32-14.34 32-32V288C224 270.3 209.7 256 192 256zM384 256h-32c-17.66 0-32 14.34-32 32v128c0 17.66 14.34 32 32 32h32c17.66 0 32-14.34 32-32V288C416 270.3 401.7 256 384 256z"]],
    "panel-fire": [640, 512, [], "e42f", ["M384 32C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C402.5 148.7 393 157.9 384 167.4V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V192C64 209.7 78.33 224 96 224H337.5C333.1 230.2 328.1 236.5 325.2 242.7C314.3 260.3 304.7 279.2 297.9 298.1C294.9 296.8 291.5 296 288 296C274.7 296 264 306.7 264 320C264 333.3 274.7 344 288 344L288.2 344C288.1 346 288 348.1 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344zM192 296C178.7 296 168 306.7 168 320C168 333.3 178.7 344 192 344C205.3 344 216 333.3 216 320C216 306.7 205.3 296 192 296z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "panorama": [640, 512, [], "e209", ["M578.2 66.06C409.8 116.6 230.2 116.6 61.8 66.06C31 56.82 0 79.88 0 112v319.9c0 32.15 30.1 55.21 61.79 45.97c168.4-50.53 347.1-50.53 516.4-.002C608.1 487.2 640 464.1 640 431.1V112C640 79.88 609 56.82 578.2 66.06zM128 224C110.3 224 96 209.7 96 192s14.33-32 32-32c17.68 0 32 14.33 32 32S145.7 224 128 224zM474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z", "M474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z"]],
    "paper-plane": [512, 512, [61913], "f1d8", ["M511.6 36.86l-64 415.1c-1.5 9.734-7.375 18.22-15.97 23.05c-4.844 2.719-10.27 4.097-15.68 4.097c-4.188 0-8.319-.8154-12.29-2.472l-122.6-51.1L191.1 512L192 394.1c0-7.115 2.372-14.03 6.742-19.64L416 96l-293.7 264.3L19.69 317.5C8.438 312.8 .8125 302.2 .0625 289.1s5.469-23.72 16.06-29.77l448-255.1c10.69-6.109 23.88-5.547 34 1.406S513.5 24.72 511.6 36.86z", "M416 96l-217.3 279.3C194.4 380.1 192 387.9 192 394.1L191.1 512L122.3 360.3L416 96z"]],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", ["M511.1 255.1c0 12.8-7.625 24.38-19.41 29.41L44.6 477.4c-4.062 1.75-8.344 2.594-12.59 2.594c-8.625 0-17.09-3.5-23.28-10.05c-9.219-9.766-11.34-24.25-5.344-36.27l73.66-147.3l306.1-30.37L77.03 225.6l-73.66-147.3C-2.623 66.3-.4982 51.81 8.72 42.05c9.25-9.766 23.56-12.75 35.87-7.453L492.6 226.6C504.4 231.6 511.1 243.2 511.1 255.1z", "M383.1 255.1L77.03 286.4V225.6L383.1 255.1z"]],
    "paperclip": [448, 512, [128206], "f0c6", ["M364.2 83.8C339.8 59.39 300.2 59.39 275.8 83.8L91.8 267.8C49.71 309.9 49.71 378.1 91.8 420.2C133.9 462.3 202.1 462.3 244.2 420.2L396.2 268.2C407.1 257.3 424.9 257.3 435.8 268.2C446.7 279.1 446.7 296.9 435.8 307.8L283.8 459.8C219.8 523.8 116.2 523.8 52.2 459.8C-11.75 395.8-11.75 292.2 52.2 228.2L236.2 44.2C282.5-2.08 357.5-2.08 403.8 44.2C450.1 90.48 450.1 165.5 403.8 211.8L227.8 387.8C199.2 416.4 152.8 416.4 124.2 387.8C95.59 359.2 95.59 312.8 124.2 284.2L268.2 140.2C279.1 129.3 296.9 129.3 307.8 140.2C318.7 151.1 318.7 168.9 307.8 179.8L163.8 323.8C157.1 330.5 157.1 341.5 163.8 348.2C170.5 354.9 181.5 354.9 188.2 348.2L364.2 172.2C388.6 147.8 388.6 108.2 364.2 83.8V83.8z", ""]],
    "paperclip-vertical": [384, 512, [], "e3c2", ["M32 128C32 57.31 89.31 0 160 0C230.7 0 288 57.31 288 128V320C288 364.2 252.2 400 208 400C163.8 400 128 364.2 128 320V160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V320C192 328.8 199.2 336 208 336C216.8 336 224 328.8 224 320V128C224 92.65 195.3 64 160 64C124.7 64 96 92.65 96 128V336C96 397.9 146.1 448 208 448C269.9 448 320 397.9 320 336V160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V336C384 433.2 305.2 512 208 512C110.8 512 32 433.2 32 336V128z", ""]],
    "parachute-box": [512, 512, [], "f4cd", ["M68.17 192L188.3 324.2C194.3 321.5 200.1 320 208 320H240V192H272V320H304C311 320 317.7 321.5 323.7 324.2L443.8 192H487.1L346.8 346.3C350.1 352.8 352 360.2 352 368V464C352 490.5 330.5 512 304 512H208C181.5 512 160 490.5 160 464V368C160 360.2 161.9 352.8 165.2 346.3L24.92 192H68.17z", "M127.1 176C127.1 125 143.9 80.01 168.2 48.43C192.5 16.89 223.8 0 255.1 0C288.2 0 319.5 16.89 343.8 48.43C368.1 80.01 384 125 384 176C384 181.4 383.8 186.7 383.5 192H128.5C128.2 186.7 127.1 181.4 127.1 176H127.1zM507.8 173.6C510.5 183.1 502.1 192 493.1 192H415.5C415.8 186.7 416 181.4 416 176C416 112.1 393.8 54.84 358.9 16.69C450 49.27 493.4 122.6 507.8 173.6H507.8zM153.1 16.69C118.2 54.84 95.1 112.1 95.1 176C95.1 181.4 96.16 186.7 96.47 192H18.89C9 192 1.483 183.1 4.181 173.6C18.64 122.6 61.97 49.27 153.1 16.69H153.1z"]],
    "paragraph": [448, 512, [182], "f1dd", ["M384 96v352c0 17.67-14.33 32-31.1 32S320 465.7 320 448V96H384z", "M448 63.1C448 81.67 433.7 96 416 96H288v352c0 17.67-14.33 32-31.1 32S224 465.7 224 448v-96H198.9c-83.57 0-158.2-61.11-166.1-144.3C23.66 112.3 98.44 32 191.1 32h224C433.7 32 448 46.33 448 63.1z"]],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", ["M147.8 224h12.11v64C159.9 305.7 174.3 320 191.1 320c17.67 0 31.98-14.33 31.98-31.1V64h32v224c0 17.67 14.35 31.1 32.02 31.1c17.67 0 31.98-14.33 31.98-31.1V64c17.67 0 32-14.33 32-31.1C351.9 14.33 337.6 0 319.9 0h-175.1C80.36 0 32.53 47.41 31.94 110.8C31.37 173.1 85.57 224 147.8 224z", "M352 384H128v-48c0-6.203-3.595-11.86-9.22-14.48c-5.548-2.594-12.24-1.781-17.04 2.188l-96.01 80C2.109 406.8 0 411.3 0 416s2.109 9.25 5.75 12.3l96.01 80C104.7 510.7 108.3 512 112 512c2.297 0 4.632-.5 6.789-1.516C124.4 507.9 128 502.2 128 496V448h223.1C369.7 448 384 433.7 384 415.1C384 398.3 369.7 384 352 384z"]],
    "party-bell": [512, 512, [], "e31a", ["M64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512s31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1s-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM199.4 357.6c-10.22-8.5-25.31-7.125-33.81 3.062s-7.125 25.31 3.062 33.81c25.03 20.84 39.37 51.47 39.37 84.03V488c0 13.25 10.75 24 23.1 24S256 501.3 256 488v-9.531C256 431.6 235.3 387.6 199.4 357.6zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448zM487.1 208h-9.531c-32.56 0-63.19-14.34-84.03-39.38c-8.5-10.19-23.66-11.56-33.81-3.062c-10.19 8.5-11.56 23.62-3.062 33.81C387.6 235.3 431.6 256 478.5 256h9.531c13.25 0 24-10.75 24-24S501.2 208 487.1 208zM492.1 440.1c-1.562-17.25-3.687-40.91-28.16-61.84c-24.47-20.88-48.16-19.28-65.5-18.25c-14.84 .9687-21.97 1.094-31.22-6.844c-9.188-7.844-10.16-14.75-11.5-29.59c-1.531-17.25-3.625-40.91-28.09-61.81c-10.06-8.625-25.19-7.438-33.84 2.656c-8.594 10.09-7.406 25.25 2.656 33.84c9.188 7.844 10.16 14.75 11.5 29.56c1.531 17.28 3.625 40.91 28.09 61.84c24.44 20.88 48.16 19.25 65.5 18.25c14.84-.9687 21.97-1.094 31.22 6.844c9.219 7.875 10.19 14.78 11.53 29.66c1.562 17.25 3.687 40.91 28.16 61.84C476.9 510.1 482.5 512 487.1 512c6.75 0 13.5-2.844 18.25-8.406c8.594-10.06 7.438-25.22-2.656-33.84C494.4 461.9 493.4 454.1 492.1 440.1z", "M341.5 91.63L91.63 341.5c-16.35 16.35-43.46 13.21-56.17-6.113C4.782 288.7-8.34 229.4 5.498 166.1C23.14 87.38 87.38 23.14 166.1 5.498c62.43-13.84 121.7-.7149 168.4 29.97C354.7 48.17 357.8 75.28 341.5 91.63z"]],
    "party-horn": [512, 512, [], "e31b", ["M389.7 176c20.87-24.47 19.37-48.19 18.25-65.5c-.9687-14.97-1.062-21.97 6.844-31.22c7.875-9.219 14.78-10.19 29.66-11.53c17.25-1.562 40.91-3.688 61.84-28.16c8.594-10.06 7.437-25.22-2.656-33.84c-10.03-8.5-25.16-7.438-33.84 2.656c-7.875 9.219-14.78 10.19-29.66 11.53c-17.25 1.562-40.91 3.688-61.84 28.16c-20.87 24.47-19.37 48.19-18.25 65.5c.9687 14.97 1.062 21.97-6.844 31.22c-7.844 9.188-14.75 10.16-29.59 11.5c-17.25 1.531-40.91 3.625-61.81 28.09C253.2 194.5 254.3 209.7 264.4 218.3C268.9 222.1 274.5 224 279.1 224c6.781 0 13.5-2.844 18.25-8.406c7.844-9.188 14.75-10.16 29.56-11.5C345.1 202.6 368.7 200.5 389.7 176zM231.1 0c-13.25 0-23.1 10.75-23.1 24v9.531c0 32.56-14.34 63.19-39.37 84.03C158.4 126.1 157.1 141.2 165.6 151.4C170.3 157.1 177.1 160 184 160c5.437 0 10.87-1.812 15.37-5.562c35.97-30 56.62-74.06 56.62-120.9V24C255.1 10.75 245.2 0 231.1 0zM64 .0013c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C96 14.33 81.68 .0013 64 .0013zM487.1 256h-9.531C431.6 256 387.6 276.7 357.6 312.6c-8.5 10.19-7.125 25.31 3.062 33.81C365.1 350.2 370.6 352 375.1 352c6.875 0 13.69-2.938 18.44-8.625C415.3 318.3 445.9 304 478.5 304h9.531c13.25 0 23.1-10.75 23.1-24S501.2 256 487.1 256zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C511.1 142.3 497.7 128 479.1 128zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C511.1 430.3 497.7 416 479.1 416z", "M2.035 468.7c-4.406 11.75-1.531 24.1 7.344 33.88C15.47 508.8 23.66 512 32 512c3.781 0 7.594-.6562 11.25-2.031l90.25-33.84l-97.63-97.63L2.035 468.7zM48.22 345.6l118.2 118.2l60.18-22.57L70.79 285.4L48.22 345.6zM310.6 361.4L150.6 201.4C142.9 193.7 131.8 190.5 121.2 192.7C110.6 195 101.8 202.6 98.03 212.7L83.13 252.5l176.4 176.4l39.75-14.9c10.19-3.813 17.72-12.56 20.03-23.19C321.6 380.2 318.3 369.1 310.6 361.4z"]],
    "passport": [448, 512, [], "f5ab", ["M224 64C153.3 64 96 121.3 96 192s57.25 128 128 128s128-57.25 128-128S294.8 64 224 64zM318.4 176h-39.13c-1.5-27-6.5-51.38-14.12-70.38C292.8 118.9 313.1 144.8 318.4 176zM129.6 208h39.13c1.5 27 6.5 51.38 14.12 70.38C155.3 265.1 134.9 239.3 129.6 208zM168.8 176H129.6c5.25-31.25 25.62-57.13 53.25-70.38C175.3 124.6 170.3 149 168.8 176zM224 286.8C216.3 279.3 203.3 252.3 200.5 208h46.84C244.8 252.3 231.8 279.3 224 286.8zM200.6 176C203.2 131.8 216.3 104.8 224 97.25C231.8 104.8 244.7 131.8 247.5 176H200.6zM265.1 278.4C272.8 259.4 277.8 235 279.3 208h39.13C313.1 239.3 292.8 265.1 265.1 278.4z", "M265.1 105.6C272.8 124.6 277.8 149 279.3 176h39.13C313.1 144.8 292.8 118.9 265.1 105.6zM129.6 208c5.25 31.25 25.62 57.13 53.25 70.38C175.3 259.4 170.3 235 168.8 208H129.6zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM336 416h-224C103.3 416 96 408.8 96 400S103.3 384 112 384h224c8.75 0 16 7.25 16 16S344.8 416 336 416zM224 320c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S294.8 320 224 320zM129.6 176h39.13c1.5-27 6.5-51.38 14.12-70.38C155.3 118.9 134.9 144.8 129.6 176zM265.1 278.4c27.62-13.25 48-39.13 53.25-70.38h-39.13C277.8 235 272.8 259.4 265.1 278.4zM224 286.8C231.8 279.3 244.8 252.3 247.4 208H200.5C203.3 252.3 216.3 279.3 224 286.8zM200.6 176h46.88C244.7 131.8 231.8 104.8 224 97.25C216.3 104.8 203.2 131.8 200.6 176z"]],
    "paste": [512, 512, ["file-clipboard"], "f0ea", ["M512 224v240c0 26.51-21.49 48-48 48h-192C245.5 512 224 490.5 224 464v-288C224 149.5 245.5 128 272 128H416v96H512z", "M272 32H215.4C204.3 12.89 183.6 0 160 0S115.7 12.89 104.6 32H48C21.49 32 0 53.49 0 80v320C0 426.5 21.49 448 48 448h144L192 176C192 131.8 227.8 96 272 96H320V80C320 53.49 298.5 32 272 32zM160 88C146.8 88 136 77.25 136 64S146.8 40 160 40S184 50.75 184 64S173.3 88 160 88zM416 128v96h96L416 128z"]],
    "pause": [320, 512, [9208], "f04c", ["", "M272 63.1c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48s48-21.49 48-48v-288C320 85.49 298.5 63.1 272 63.1zM48 63.1c-26.51 0-48 21.49-48 48v288C0 426.5 21.49 448 48 448S96 426.5 96 400v-288C96 85.49 74.51 63.1 48 63.1z"]],
    "paw": [512, 512, [], "f1b0", ["M226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85zM11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4zM421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7zM310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7z", "M69.21 401.2C121.6 259.9 214.7 224 255.1 224C297.3 224 390.4 259.9 442.8 401.2C446.4 410.9 448 421.3 448 431.7V433.3C448 459.1 427.1 480 401.3 480C389.8 480 378.4 478.6 367.3 475.8L279.3 453.8C263.1 450 248 450 232.7 453.8L144.7 475.8C133.6 478.6 122.2 480 110.7 480C84.93 480 64 459.1 64 433.3V431.7C64 421.3 65.6 410.9 69.21 401.2H69.21z"]],
    "paw-claws": [512, 512, [], "f702", ["M320 0L373.1 58.4C390.4 77.45 400 102.3 400 128C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C285.7 100.2 301.7 81.02 320 71.23L320 0zM226.5 124.9C240.8 167.7 226.2 211.1 193.9 221.7C161.6 232.2 123.8 206 109.5 163.1C105.5 151.2 103.8 139.3 104 128C104 102.3 113.6 77.45 130.9 58.4L183.1 0V71.23C202.3 81.02 218.3 100.2 226.5 124.9H226.5zM11.63 281.4C3.718 267.8-.0723 253.3 0 240V236.8C0 223.3 4.285 210.1 12.24 199.2L64 128V196.8C77.93 202.1 91.11 214.7 100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4V281.4zM421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C420.9 214.7 434.1 202.1 448 196.8V127.1L499.8 199.2C507.7 210.1 512 223.3 512 236.8V239.1C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7V314.7z", "M69.21 433.2C121.6 291.9 214.7 256 255.1 256C297.3 256 390.4 291.9 442.8 433.2C446.4 442.9 448 453.3 448 463.7V465.3C448 491.1 427.1 512 401.3 512C389.8 512 378.4 510.6 367.3 507.8L279.3 485.8C263.1 482 248 482 232.7 485.8L144.7 507.8C133.6 510.6 122.2 512 110.7 512C84.93 512 64 491.1 64 465.3V463.7C64 453.3 65.6 442.9 69.21 433.2H69.21z"]],
    "paw-simple": [448, 512, ["paw-alt"], "f701", ["M96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80zM256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80zM448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192zM0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192z", "M97.72 286C103.1 283.8 109.5 279.7 112.7 273.9L152.7 201.1C167.1 176.1 194.4 160 224 160C253.6 160 280.9 176.1 295.3 201.1L335.3 273.9C338.5 279.7 344 283.8 350.3 286C388.6 300 416 336.8 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 132 480C76.77 480 32 435.2 32 380C32 336.8 59.38 300 97.72 286H97.72z"]],
    "peace": [512, 512, [9774], "f67c", ["M288 240.6l135.7 108.6c-10.51 18.83-24.16 35.62-40.14 49.88L288 322.6v122.5C277.6 446.9 266.9 448 256 448s-21.57-1.129-32-2.891v-122.5l-95.59 76.47c-15.98-14.27-29.64-31.05-40.14-49.88L224 240.6V66.89C234.4 65.13 245.1 64 256 64s21.57 1.129 32 2.891V240.6z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S361.9 448 256 448z"]],
    "peach": [512, 512, [], "e20b", ["M512 272c0 154.6-241.7 235.5-256 240c0 0-256-74.94-256-240c0-88.36 77.6-159.1 173.3-160c82.1 0 157.3 60.38 157.3 144c0 8.844 7.156 16 16 16s16-7.156 16-16c0-55.72-28.08-105.4-71.69-137.7C306.2 114.3 322.1 112 338.7 112C434.4 112 512 183.6 512 272z", "M146.6 81.81c21.07-2.574 60.48-4.828 104.8 13.89c31.46-8.309 63.25-20.09 113.1-13.89C386.3 67.38 400 43.32 400 16V0h-63.1c-44.18 0-79.1 35.82-79.1 80C256 35.82 204.2 0 160 0H112v16C112 43.32 125.7 67.38 146.6 81.81z"]],
    "peanut": [512, 512, [], "e430", ["M510.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52c0 0-58.3-1.752-60.09-1.752c-84.2 0-151.4 60.65-161.4 141.7c-7.943 64.34-68.28 69.4-69.56 69.56c-81.03 9.976-141.7 77.19-141.7 161.4c0 1.786 .0273 3.58 .0823 5.381l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52c0 0 58.3 1.754 60.08 1.754c84.2 0 151.4-60.65 161.4-141.7c7.944-64.35 68.27-69.4 69.56-69.55c81.04-9.976 141.7-77.2 141.7-161.4c0-1.785-.0273-3.578-.0822-5.377L510.2 79.27zM128 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S139 435.1 128 435.1zM192 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20c11.03 0 19.1 8.969 19.1 20S203 435.1 192 435.1zM192 371.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20c11.03 0 19.1 8.969 19.1 20S203 371.1 192 371.1zM351.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S363 211.1 351.1 211.1zM415.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 211.1 415.1 211.1zM415.1 147.1c-11.03 0-19.1-8.97-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 147.1 415.1 147.1z", "M415.1 147.1c11.03 0 19.1-8.97 19.1-20s-8.968-20-19.1-20s-19.1 8.969-19.1 20S404.1 147.1 415.1 147.1zM128 395.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S139 395.1 128 395.1zM192 395.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20S203 395.1 192 395.1zM415.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S427 171.1 415.1 171.1zM351.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S363 171.1 351.1 171.1zM192 331.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20S203 331.1 192 331.1z"]],
    "peanuts": [640, 512, [129372], "e431", ["M638.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52c0 0-58.3-1.752-60.09-1.752c-84.2 0-151.4 60.65-161.4 141.7c-7.943 64.34-68.28 69.4-69.56 69.56c-81.04 9.976-141.7 77.19-141.7 161.4c0 1.786 .0273 3.58 .0823 5.381l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52c0 0 58.3 1.754 60.08 1.754c84.2 0 151.4-60.65 161.4-141.7c7.944-64.35 68.27-69.4 69.56-69.55C579.3 290.8 640 223.6 640 139.4c0-1.786-.0273-3.58-.0823-5.381L638.2 79.27zM255.9 436c-11.03 0-20-8.969-20-20s8.973-20 20-20s20 8.969 20 20S266.1 436 255.9 436zM319.9 436c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S330.1 436 319.9 436zM319.9 372c-11.03 0-20-8.969-20-20s8.972-19.1 20-19.1s20 8.968 20 19.1S330.1 372 319.9 372zM479.1 212c-11.03 0-20-8.969-20-20s8.971-20 20-20s20 8.969 20 20S490.1 212 479.1 212zM543.1 212c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 212 543.1 212zM543.1 148c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 148 543.1 148z", "M255.9 396c-11.03 0-20 8.969-20 20s8.973 20 20 20s20-8.969 20-20S266.1 396 255.9 396zM306.3 77.4L287.1 36.82C276.2 13.84 252.8-.002 228.9-.002c-8.01 0-16.08 1.555-23.74 4.842l-40.39 17.31C113.7 44.01 83.89 92.89 83.89 145.1c0 32.42 9.154 40.15 9.154 61.38C93.05 273.1 0 264.2 0 374.2c0 20.08 4.416 40.65 13.74 60.37l19.2 40.57C43.81 498.2 67.23 512 91.13 512c8.008 0 16.07-1.555 23.74-4.84l10.64-4.561c-16.34-18.9-26.95-42.8-27.74-68.9c0 0-1.768-58.87-1.768-60.93c0-98.71 71.99-181.2 169.8-193.3c45.8-5.646 39.74-46.6 49.5-77.49C313.1 93.71 310.1 85.48 306.3 77.4zM543.1 148c11.03 0 20-8.969 20-20s-8.971-20-20-20S523.1 116.1 523.1 128S532.9 148 543.1 148zM543.1 172c-11.03 0-20 8.969-20 20s8.973 20 20 20s20-8.969 20-20S555 172 543.1 172zM479.1 172c-11.03 0-20 8.969-20 20s8.971 20 20 20S499.1 203 499.1 192S491 172 479.1 172zM319.9 396C308.9 396 299.9 404.1 299.9 416s8.973 20 20 20s20-8.969 20-20S330.1 396 319.9 396zM319.9 332C308.9 332 299.9 340.1 299.9 352s8.973 20 20 20s20-8.969 20-20S330.1 332 319.9 332z"]],
    "peapod": [512, 512, [], "e31c", ["M128 327.1c-30.94 0-56 25.06-56 56c0 30.93 25.06 56 56 56c30.93 0 56-25.07 56-56C184 353.1 158.9 327.1 128 327.1zM384 71.1C353.1 71.1 328 97.06 328 128c0 30.93 25.07 56 56 56C414.9 184 440 158.9 440 128C440 97.06 414.9 71.1 384 71.1zM256 199.1C225.1 199.1 200 225.1 200 256S225.1 312 256 312S312 286.9 312 256S286.9 199.1 256 199.1z", "M511.1 32.54c.4512-18.11-14.41-32.98-32.53-32.53c-61.21 1.524-195.9 15.29-282.5 101.9L101.9 196.9c-86.6 86.6-100.4 221.3-101.9 282.5c-.4513 18.11 14.41 32.98 32.53 32.53c61.21-1.525 195.9-15.3 282.5-101.9l95.06-95.03C496.7 228.5 510.5 93.75 511.1 32.54zM128 440c-30.93 0-56-25.07-56-56S97.07 327.1 128 327.1c30.93 0 56 25.07 56 56S158.9 440 128 440zM256 312c-30.93 0-56-25.07-56-56c0-30.93 25.07-56 56-56S312 225.1 312 256C312 286.9 286.9 312 256 312zM384 184C353.1 184 328 158.9 328 128s25.07-56 56-56C414.9 71.1 440 97.07 440 128S414.9 184 384 184z"]],
    "pear": [512, 512, [], "e20c", ["M479.6 166.2c0-26.69-7.883-53.41-23.55-76.39l-31.13 31.13c-4.687 4.687-10.83 7.032-16.97 7.032C395.2 128 384 117.7 384 104c0-6.141 2.344-12.28 7.031-16.97l31.41-31.41c-22.49-15.73-48.69-23.25-74.98-23.25c-36.48 0-73.17 14.54-100.5 41.99c-75.59 75.84-246.9 63.19-246.9 245.2c0 106.3 86.58 192.5 192.2 192.5c179.9 0 173.2-175.9 248.5-251.4C466.7 234.5 479.6 200.4 479.6 166.2zM192 448c-8.844 0-16-7.156-16-16S183.2 416 192 416c52.94 0 96-43.06 96-96c0-8.844 7.156-16 16-16S320 311.2 320 320C320 390.6 262.6 448 192 448z", "M407.1 128C395.2 128 384 117.7 384 104c0-6.141 2.344-12.28 7.031-16.97l80-80C475.7 2.344 481.9 0 488 0C500.8 0 512 10.3 512 24c0 6.141-2.344 12.28-7.031 16.97l-80 80C420.3 125.7 414.1 128 407.1 128z"]],
    "pedestal": [448, 512, [], "e20d", ["M352 0H96C60.65 0 32 28.65 32 64v384h384V64C416 28.65 387.3 0 352 0zM112 96C103.2 96 96 88.84 96 80C96 71.16 103.2 64 112 64S128 71.16 128 80C128 88.84 120.8 96 112 96zM336 96C327.2 96 320 88.84 320 80C320 71.16 327.2 64 336 64S352 71.16 352 80C352 88.84 344.8 96 336 96z", "M432 448h-416C7.164 448 0 455.2 0 464v32c0 8.836 7.151 15.99 15.99 15.99h416C440.8 511.1 448 504.8 448 496v-32C448 455.2 440.8 448 432 448zM112 96C120.8 96 128 88.84 128 80C128 71.16 120.8 64 112 64S96 71.16 96 80C96 88.84 103.2 96 112 96zM336 96C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64S320 71.16 320 80C320 88.84 327.2 96 336 96z"]],
    "pegasus": [576, 512, [], "f703", ["M64.36 215.7C54.07 223.3 47.99 235.3 47.1 248L47.1 304c0 8.837-7.163 16-15.1 16H15.1C7.163 320 0 312.8 0 304V248C0 199.4 39.4 160 87.1 160H88.46C74.58 175.5 66.12 195 64.36 215.7z", "M575.9 76.61c.0176-8.098-3.009-15.93-8.55-21.84c-3.779-4-8.61-9.121-13.72-14.5c11.06-6.84 19.53-17.46 22.21-30.63c.8555-4.387-2.011-8.636-6.396-9.491c-.5078-.0996-1.062-.1503-1.578-.1503L447.9 0c-70.69 0-127.1 57.31-127.1 128C255.1 128 215.7 91.23 192.3 37.74C188.9 30.2 178.7 30.01 175.1 37.46c-9.98 21.14-15.16 44.27-15.15 67.65c0 67 50.1 133.1 127.1 147.7V256C205.1 256 144.7 198.5 130.1 133.1C129.1 133.5 129 133.8 128 134.1V133.4C78.12 150.9 51.87 205.6 69.38 255.5c5.145 14.66 13.76 27.84 25.14 38.42l-25.67 68.61C66.25 369.4 65.21 376.7 65.11 384c-.0996 5.654 .2347 11.34 1.623 16.88l21.75 86.88C92.04 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.29-85.38l23.74-63.62l133.1 22.35V480c0 17.67 14.33 32 32 32h31.1c17.67 0 32-14.33 32-32V318.2C436.5 297.4 447.1 269.3 447.1 240c0-.2207-.0928-.4121-.1025-.6328V136.9L463.9 144l18.99 37.8c7.453 14.87 24.95 21.47 40.39 15.3l32.58-13.06c12.17-4.863 20.14-16.69 20.13-29.8L575.9 76.61zM511.9 96c-8.836 0-15.1-7.164-15.1-16S503 64 511.9 64s15.1 7.164 15.1 16S520.7 96 511.9 96z"]],
    "pen": [512, 512, [128394], "f304", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pen-circle": [512, 512, [], "e20e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM357.8 139.7C342.1 124.1 316.8 124.1 301.2 139.7L279.8 161.1L350.7 232.1L372.1 210.7C387.8 195 387.8 169.7 372.1 154.1L357.8 139.7zM143.5 303.8L128.5 363.1C127.1 369.4 128.7 375.2 132.7 379.2C136.7 383.1 142.4 384.7 147.9 383.4L208 368.3C213.6 366.9 218.8 364 222.9 359.9L328.1 254.7L257.1 183.8L151.9 288.1C147.8 293.1 144.9 298.2 143.5 303.8z", "M301.2 139.7C316.8 124.1 342.1 124.1 357.8 139.7L372.1 154.1C387.8 169.7 387.8 195 372.1 210.7L350.7 232.1L279.8 161.1L301.2 139.7zM328.1 254.7L222.9 359.9C218.8 364 213.6 366.9 208 368.3L147.9 383.4C142.4 384.7 136.7 383.1 132.7 379.2C128.7 375.2 127.1 369.4 128.5 363.1L143.5 303.8C144.9 298.2 147.8 293.1 151.9 288.1L257.1 183.8L328.1 254.7z"]],
    "pen-clip": [512, 512, ["pen-alt"], "f305", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L417.9 224L288 94.06L362.7 19.32z", "M104.1 216.1C95.6 226.3 80.4 226.3 71.03 216.1C61.66 207.6 61.66 192.4 71.03 183L173.1 80.97C201.2 52.85 246.8 52.85 274.9 80.97L417.9 224L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L254.1 128L240.1 114.9C231.6 105.5 216.4 105.5 207 114.9L104.1 216.1z"]],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", ["M264.3 181.8L318.1 128L304.1 114.9C295.6 105.5 280.4 105.5 271 114.9L230.5 155.4L192.5 125.6L237.1 80.97C265.2 52.85 310.8 52.85 338.9 80.97L481.9 224L409.9 296L264.3 181.8zM163.5 282.5L195.8 250.3L341.2 364.8L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.71 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.36 499.3 62.89 491.2 64.47 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L163.5 282.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L504.6 201.4L374.6 71.43L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", ["M255.1 337.9L233.7 434.3C231.1 445.8 222.4 454.8 211.2 457.1L24.35 510.3L119.7 414.9C122.4 415.6 125.1 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352C110.3 352 96 366.3 96 384C96 386.9 96.38 389.6 97.08 392.3L1.724 487.7L54.03 300.8C57.19 289.6 66.25 280.9 77.65 278.3L174.1 256L255.1 337.9zM512 78.61C512 78.74 512 78.86 512 78.98C512 79.1 512 79.22 512 79.34V78.61z", "M373.5 27.11C388.5 9.885 410.2 0 433 0C476.6 0 512 35.36 512 78.98C512 101.8 502.1 123.5 484.9 138.5L255.1 337.9L174.1 256L373.5 27.11z"]],
    "pen-fancy-slash": [640, 512, [], "e210", ["M287.1 199.7L437.5 27.11C452.5 9.885 474.2 0 497 0C540.6 0 576 35.36 576 78.98C576 101.8 566.1 123.5 548.9 138.5L387.9 278.7L287.1 199.7zM299.9 425.1C295.9 442.2 282.9 455.8 266 460.5L88.35 510.3L183.7 414.9C186.4 415.6 189.1 416 192 416C209.7 416 224 401.7 224 384C224 366.3 209.7 352 192 352C174.3 352 160 366.3 160 384C160 386.9 160.4 389.6 161.1 392.3L65.72 487.6L115.5 309.1C120.2 293.1 133.8 280.1 150.9 276.1L211 262.3L317.1 346.5L299.9 425.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-field": [640, 512, [], "e211", ["M0 208C0 163.8 35.82 128 80 128H272C289.7 128 304 142.3 304 160C304 177.7 289.7 192 272 192H80C71.16 192 64 199.2 64 208V432C64 440.8 71.16 448 80 448H496C504.8 448 512 440.8 512 432V304C512 286.3 526.3 272 544 272C561.7 272 576 286.3 576 304V432C576 476.2 540.2 512 496 512H80C35.82 512 0 476.2 0 432V208z", "M534.1 16.02C552.8-2.736 583.2-2.742 601.9 16.01L623.8 37.88C642.7 56.77 642.5 87.43 623.5 106.1L583.7 145.1L494.4 55.74L534.1 16.02zM560.8 167.5L415.6 309.6C408.7 316.4 400.3 321.5 391.1 324.6L319.6 348.5C310.1 351.4 301.5 349.1 295 342.7C288.6 336.3 286.4 326.8 289.2 318.1L313 246.8C316.1 237.4 321.4 228.8 328.5 221.8L471.7 78.37L560.8 167.5zM160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320zM192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320z"]],
    "pen-line": [576, 512, [], "e212", ["M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pen-nib": [512, 512, [10001], "f5ad", ["M293.9 92.81L419.2 218.1L371.4 377.3C365.4 397.2 350.2 413 330.5 419.6L66.17 508.2C54.83 512 42.32 509.2 33.74 500.9L187.3 347.3C193.6 350.3 200.6 352 207.1 352C234.5 352 255.1 330.5 255.1 304C255.1 277.5 234.5 256 207.1 256C181.5 256 159.1 277.5 159.1 304C159.1 311.4 161.7 318.4 164.7 324.7L11.11 478.3C2.809 469.7-.04 457.2 3.765 445.8L92.39 181.5C98.1 161.8 114.8 146.6 134.7 140.6L293.9 92.81z", "M368.4 18.34C390.3-3.526 425.7-3.526 447.6 18.34L493.7 64.4C515.5 86.27 515.5 121.7 493.7 143.6L419.2 218.1L293.9 92.81L368.4 18.34z"]],
    "pen-nib-slash": [640, 512, [], "e4a1", ["M208.1 137.8L351.1 94.6L481.4 224L450.3 327.6L208.1 137.8zM67.76 445.8L146.4 211.3L231.4 278.3C226.7 285.8 223.1 294.6 223.1 304C223.1 311.4 225.7 318.4 228.7 324.7L75.11 478.3C66.81 469.7 63.96 457.2 67.76 445.8V445.8zM271.1 352C285.5 352 297.7 346.4 306.4 337.4L404.9 415C401.6 416.8 398.1 418.4 394.5 419.6L130.2 508.2C118.8 512 106.3 509.2 97.74 500.9L251.3 347.3C257.6 350.3 264.6 352 271.1 352H271.1zM432.4 18.34C454.3-3.526 489.7-3.526 511.6 18.34L557.7 64.4C579.5 86.27 579.5 121.7 557.7 143.6L501.9 199.3L376.7 74.06L432.4 18.34z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", ["M147.1 226.3L16.4 95.6C-5.467 73.73-5.467 38.27 16.4 16.4C38.27-5.467 73.73-5.467 95.6 16.4L226.3 147.1L147.1 226.3zM423.9 290.6C474.3 301.5 512 346.4 512 400C512 403.9 511.8 407.8 511.4 411.6C509.6 429.1 521.6 448 539.2 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H400C346.4 512 301.5 474.3 290.6 423.9L423.9 290.6z", "M410.7 19.32C435.7-5.678 476.3-5.678 501.3 19.32L524.7 42.75C549.7 67.74 549.7 108.3 524.7 133.3L468.3 189.7L354.3 75.72L410.7 19.32zM445.7 212.3L190.8 467.1C184.1 473.8 175.8 478.7 166.6 481.4L62.59 511.1C54.21 513.5 45.19 511.1 39.03 504.1C32.87 498.8 30.53 489.8 32.92 481.4L62.65 377.4C65.26 368.2 70.16 359.9 76.89 353.2L331.7 98.34L445.7 212.3z"]],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", ["M249.4 103.4L103.4 249.4L16 161.9C-2.745 143.2-2.745 112.8 16 94.06L94.06 16C112.8-2.745 143.2-2.745 161.9 16L181.7 35.76C181.4 36.05 181 36.36 180.7 36.69L116.7 100.7C110.4 106.9 110.4 117.1 116.7 123.3C122.9 129.6 133.1 129.6 139.3 123.3L203.3 59.31C203.6 58.99 203.1 58.65 204.2 58.3L249.4 103.4zM453.7 307.8C453.4 308 453 308.4 452.7 308.7L388.7 372.7C382.4 378.9 382.4 389.1 388.7 395.3C394.9 401.6 405.1 401.6 411.3 395.3L475.3 331.3C475.6 330.1 475.1 330.6 476.2 330.3L496 350.1C514.7 368.8 514.7 399.2 496 417.9L417.9 496C399.2 514.7 368.8 514.7 350.1 496L262.6 408.6L408.6 262.6L453.7 307.8z", "M378.7 19.32C403.7-5.678 444.3-5.678 469.3 19.32L492.7 42.75C517.7 67.74 517.7 108.3 492.7 133.3L436.3 189.7L322.3 75.72L378.7 19.32zM413.7 212.3L158.8 467.1C152.1 473.8 143.8 478.7 134.6 481.4L30.59 511.1C22.21 513.5 13.19 511.1 7.03 504.1C.8669 498.8-1.47 489.8 .9242 481.4L30.65 377.4C33.26 368.2 38.16 359.9 44.89 353.2L299.7 98.34L413.7 212.3z"]],
    "pen-slash": [640, 512, [], "e213", ["M264.3 181.8L355.7 90.34L485.7 220.3L409.9 296L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L122.6 323.5zM426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-swirl": [512, 512, [], "e214", ["M256 8C286.1 8 314.1 13.37 341.7 23.19L303.6 61.7C288.3 57.97 272.4 56 256 56C145.5 56 56 145.5 56 256C56 366.5 145.5 456 256 456C269.3 456 280 466.7 280 480C280 493.3 269.3 504 256 504C119 504 8 392.1 8 256C8 119 119 8 256 8H256zM456 256C456 239.1 454.1 224.3 450.5 209.4L489 170.9C498.7 197.4 504 226.1 504 256C504 339.9 435.9 408 352 408C338.9 408 326.2 406.3 314 403.2C301.2 399.9 293.5 386.8 296.8 373.1C300.1 361.1 313.1 353.4 325.1 356.7C334.3 358.9 342.1 360 352 360C409.4 360 456 313.4 456 256L456 256z", "M406.1 16.02C424.8-2.736 455.2-2.742 473.9 16.01L495.8 37.88C514.7 56.77 514.5 87.43 495.5 106.1L455.7 145.1L366.4 55.74L406.1 16.02zM432.8 167.5L287.6 309.6C280.7 316.4 272.3 321.5 263.1 324.6L191.6 348.5C182.1 351.4 173.5 349.1 167 342.7C160.6 336.3 158.4 326.8 161.2 318.1L185 246.8C188.1 237.4 193.4 228.8 200.5 221.8L343.7 78.37L432.8 167.5z"]],
    "pen-to-square": [512, 512, ["edit"], "f044", ["M0 160C0 106.1 42.98 64 96 64H192C209.7 64 224 78.33 224 96C224 113.7 209.7 128 192 128H96C78.33 128 64 142.3 64 160V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V320C384 302.3 398.3 288 416 288C433.7 288 448 302.3 448 320V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V160z", "M392.4 21.66C414.3-.2135 449.7-.2135 471.6 21.66L490.3 40.4C512.2 62.27 512.2 97.73 490.3 119.6L460.3 149.7L362.3 51.72L392.4 21.66zM437.7 172.3L270.3 339.6C264.2 345.8 256.7 350.4 248.4 353.2L159.6 382.8C150.1 385.6 141.5 383.4 135 376.1C128.6 370.5 126.4 361 129.2 352.4L158.8 263.6C161.6 255.3 166.2 247.8 172.4 241.7L339.7 74.34L437.7 172.3z"]],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L86.74 363.2C85.79 364.2 85.1 365.3 84.72 366.6L59.44 452.6L145.4 427.3C146.7 426.9 147.9 426.2 148.8 425.3L158.6 415.4H112C103.2 415.4 96 408.3 96 399.4V353.9L86.74 363.2L52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pencil-slash": [640, 512, [], "e215", ["M264.3 181.8L355.7 90.34L485.7 220.3L409.9 296L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4L218.6 419.5L222.1 416H176C167.2 416 160 408.8 160 400V353.9L156.5 357.4C151.8 362.2 148.3 368 146.4 374.4L123.4 452.6L201.6 429.6C207.1 427.7 213.8 424.2 218.6 419.5L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5V323.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "people": [640, 512, [], "e216", ["M160 0C133.5 0 111.1 21.5 111.1 48S133.5 96 159.1 96s47.1-21.5 47.1-48S186.5 0 160 0zM479.1 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 479.1 96s48-21.5 48-48S506.5 0 479.1 0z", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L367.1 384H408v96c0 17.67 14.33 32 31.1 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h39.1l-43.75-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", ["M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 31.1 32L32 480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96.39l-50.36-47.53C100.1 327.9 96 316.2 96 304.1c0-12.16 4.971-23.83 13.64-32.01l72.13-68.08c1.65-1.555 3.773-2.311 5.611-3.578C177.1 176.8 155 160 128 160zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM512 160h-64c-26.1 0-49.98 16.77-59.38 40.42c1.842 1.271 3.969 2.027 5.623 3.588l72.12 68.06C475 280.2 480 291.9 480 304.1c.002 12.16-4.969 23.83-13.64 32.01L416 383.6V480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C576 188.7 547.3 160 512 160z", "M444.4 310.4l-72.12 68.07c-3.49 3.291-8.607 4.191-13.01 2.299C354.9 378.9 352 374.6 352 369.8v-36.14H224v36.14c0 4.795-2.857 9.135-7.262 11.03c-4.406 1.895-9.523 .9941-13.01-2.297L131.6 310.4c-4.805-4.535-4.805-12.94 0-17.47L203.7 224.9C207.2 221.6 212.3 220.7 216.7 222.6C221.1 224.5 224 228.8 224 233.6v35.99h128V233.6c0-4.793 2.857-9.135 7.262-11.03c4.406-1.895 9.523-.9941 13.01 2.299l72.12 68.07C449.2 297.5 449.2 305.9 444.4 310.4z"]],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", ["M128 0C101.5 0 80.01 21.5 80.01 47.1s21.5 47.1 47.1 47.1s47.1-21.5 47.1-47.1S154.5 0 128 0zM511.1 0c-26.5 0-48 21.5-48 47.1s21.5 47.1 47.1 47.1s47.1-21.5 47.1-47.1S538.5 0 511.1 0zM415.1 144c0-8.75-7.25-16-16-16H240c-8.75 0-16 7.25-16 16L224 315.4C228.6 317.9 235.3 319.5 240 319.9h159.1C404.7 319.5 411.4 317.9 416 315.4L415.1 144z", "M196.6 195.9c-8.375-25-25.38-46-48.12-59.38c-17.25-10-37.63-11.25-56.12-3.25c-18.88 8-32.88 24.88-37.5 44.88l-18.37 80.13c-4.625 20 .7506 41.25 14.37 56.75l67.25 75.88l10.12 92.63C130 499.8 143.8 512 160 512c1.25 0 2.25-.125 3.5-.25c17.62-1.875 30.25-17.62 28.25-35.25l-10-92.75c-1.5-13-7-25.12-15.62-35l-43.37-49l17.62-70.38l6.876 20.38c4 12.5 11.87 23.5 24.5 32.63l51 32.5C223.1 315.1 223.6 315.2 224 315.4l.001-75.38l-16.12-10.25L196.6 195.9zM46.26 358.1l-44 110c-6.5 16.38 1.5 35 17.88 41.63c16.75 6.5 35.12-1.75 41.62-17.88l27.62-69.13l-2-18.25L46.26 358.1zM603.5 258.3l-18.5-80.13c-4.625-20-18.62-36.88-37.5-44.88c-18.5-8-38.1-6.75-56.12 3.25c-22.62 13.38-39.62 34.5-48.12 59.38l-11.25 33.88l-15.1 10.25L416 315.4c.3711-.1992 .9043-.2949 1.246-.5078l51-32.5c12.62-9.125 20.5-20 24.5-32.63l6.875-20.38l17.63 70.38l-43.37 49c-8.625 9.875-14.12 22-15.62 35l-10 92.75c-2 17.62 10.75 33.38 28.25 35.25C477.7 511.9 478.7 512 479.1 512c16.12 0 29.1-12.12 31.75-28.5l10.12-92.63L589.1 315C602.7 299.5 608.1 278.3 603.5 258.3zM637.7 468.1l-43.1-110l-41.13 46.38l-2 18.25l27.62 69.13C583.2 504.4 595.2 512 607.1 512c3.998 0 7.998-.75 11.87-2.25C636.2 503.1 644.2 484.5 637.7 468.1z"]],
    "people-dress": [640, 512, [], "e217", ["M159.1 0c-26.5 0-48 21.5-48 48S133.5 96 159.1 96s48-21.5 48-48S186.5 0 159.1 0zM480 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 480 96s48-21.5 48-48S506.5 0 480 0z", "M253.9 173.1C236.3 144.9 205.8 128 172.5 128H147.5C114.2 128 83.75 144.9 66.06 173.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L47.1 384h40v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96H271.1L228.2 252.7l32.63 52.22C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L253.9 173.1zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.09-10.19l32.62-52.19L368 384H408v96c0 17.67 14.33 32 32 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32v-96h40l-43.76-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-dress-simple": [512, 512, [], "e218", ["M128 0C92.63 0 64 28.62 64 64s28.62 64 64 64s64-28.62 64-64S163.4 0 128 0zM384 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S419.4 0 384 0z", "M511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C253.7 373.8 261.4 384 272 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6zM207.1 194.8C201.3 174.2 182.4 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-48.22 168.8C-2.295 373.8 5.379 384 16.01 384H64v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99c10.63 0 18.3-10.18 15.38-20.4L207.1 194.8z"]],
    "people-group": [640, 512, [], "e533", ["M64 96C64 60.65 92.65 32 128 32C163.3 32 192 60.65 192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96zM192 394.5V448C192 465.7 177.7 480 160 480H96C78.33 480 64 465.7 64 448V405.2C26.16 387.2 0 348.7 0 304C0 242.1 50.14 192 112 192H144C163.7 192 182.3 197.1 198.4 206.1C174.6 231.8 160 266.2 160 304C160 338.3 171.1 369.8 192 394.5zM64 346.3V261.7C54.04 272.9 48 287.8 48 304C48 320.2 54.04 335.1 64 346.3zM448 394.5C468 369.8 480 338.3 480 304C480 266.2 465.4 231.8 441.6 206.1C457.7 197.1 476.3 192 496 192H528C589.9 192 640 242.1 640 304C640 348.7 613.8 387.2 576 405.2V448C576 465.7 561.7 480 544 480H480C462.3 480 448 465.7 448 448V394.5zM592 304C592 287.8 585.1 272.9 576 261.7V346.3C585.1 335 592 320.2 592 304zM448 96C448 60.65 476.7 32 512 32C547.3 32 576 60.65 576 96C576 131.3 547.3 160 512 160C476.7 160 448 131.3 448 96z", "M384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96zM384 448C384 465.7 369.7 480 352 480H288C270.3 480 256 465.7 256 448V405.2C218.2 387.2 192 348.7 192 304C192 242.1 242.1 192 304 192H336C397.9 192 448 242.1 448 304C448 348.7 421.8 387.2 384 405.2V448zM256 261.7C246 272.9 240 287.8 240 304C240 320.2 246 335.1 256 346.3V261.7zM400 304C400 287.8 393.1 272.9 384 261.7V346.3C393.1 335 400 320.2 400 304z"]],
    "people-line": [640, 512, [], "e534", ["M359.1 72C359.1 94.09 342.1 112 319.1 112C297.9 112 279.1 94.09 279.1 72C279.1 49.91 297.9 32 319.1 32C342.1 32 359.1 49.91 359.1 72zM183.1 168C183.1 190.1 166.1 208 143.1 208C121.9 208 103.1 190.1 103.1 168C103.1 145.9 121.9 128 143.1 128C166.1 128 183.1 145.9 183.1 168zM455.1 168C455.1 145.9 473.9 128 495.1 128C518.1 128 535.1 145.9 535.1 168C535.1 190.1 518.1 208 495.1 208C473.9 208 455.1 190.1 455.1 168zM199.1 352C199.1 369.7 185.7 384 167.1 384H119.1C102.3 384 87.1 369.7 87.1 352V313.5L61.13 363.4C54.84 375 40.29 379.4 28.62 373.1C16.95 366.8 12.58 352.3 18.87 340.6L56.74 270.3C72.09 241.8 101.9 224 134.2 224H153.8C170.1 224 185.7 228.5 199.2 236.6L232.7 174.3C248.1 145.8 277.9 128 310.2 128H329.8C362.1 128 391.9 145.8 407.3 174.3L440.8 236.6C454.3 228.5 469.9 224 486.2 224H505.8C538.1 224 567.9 241.8 583.3 270.3L621.1 340.6C627.4 352.3 623 366.8 611.4 373.1C599.7 379.4 585.1 375 578.9 363.4L551.1 313.5V352C551.1 369.7 537.7 384 519.1 384H471.1C454.3 384 439.1 369.7 439.1 352V313.5L413.1 363.4C406.8 375 392.3 379.4 380.6 373.1C368.9 366.8 364.6 352.3 370.9 340.6L407.2 273.1C405.5 271.5 404 269.6 402.9 267.4L375.1 217.5V272C375.1 289.7 361.7 304 343.1 304H295.1C278.3 304 263.1 289.7 263.1 272V217.5L237.1 267.4C235.1 269.6 234.5 271.5 232.8 273.1L269.1 340.6C275.4 352.3 271 366.8 259.4 373.1C247.7 379.4 233.1 375 226.9 363.4L199.1 313.5L199.1 352z", "M0 448C0 430.3 14.33 416 32 416H608C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448z"]],
    "people-pants": [640, 512, [], "e219", ["M159.1 0c-26.5 0-47.1 21.5-47.1 48S133.5 96 159.1 96s47.1-21.5 47.1-48S186.5 0 159.1 0zM479.1 0c-26.5 0-48 21.5-48 48S453.5 96 479.1 96s47.1-21.5 47.1-48S506.5 0 479.1 0z", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM635.1 271l-70.56-112.1C552.8 139.3 532.5 128 510.3 128h-60.5c-22.22 0-42.53 11.25-54.28 30.09l-70.6 112.1c-9.375 14.98-4.812 34.72 10.16 44.09c15 9.375 34.75 4.812 44.09-10.19L408 258.8L407.1 480c0 17.67 14.33 32 31.1 32s32-14.33 32-32L472 336h16L487.1 480c0 17.67 14.32 32 31.1 32s32-14.33 32-32L552 258.8l28.88 46.2C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-pants-simple": [448, 512, [], "e21a", ["M96 0C60.63 0 32 28.62 32 64s28.62 64 64 64s64-28.62 64-64S131.4 0 96 0zM352 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S387.4 0 352 0z", "M128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"]],
    "people-pulling": [576, 512, [], "e535", ["M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48V48zM118.3 128C130.1 128 143.5 130.5 155.2 135.4L289.3 191.2C283.9 198.1 279.4 207.4 275.8 216.3L274.3 220.1C267.8 236.4 275.5 254.8 291.6 261.5L173.3 212.2L231.2 473.1C235.1 490.3 224.2 507.4 206.9 511.2C189.7 515.1 172.6 504.2 168.8 486.9L138.8 352H123.1L143.6 474.7C146.5 492.2 134.7 508.7 117.3 511.6C99.83 514.5 83.34 502.7 80.44 485.3L56.35 340.8C50.48 347.6 41.75 352 32 352C14.33 352 0 337.7 0 320V192C0 156.7 28.65 128 64 128H118.3zM333.6 244.1C333.7 244 333.7 243.1 333.7 243.9L333.7 243.8C333.7 243.9 333.7 243.1 333.6 244.1z", "M512 48C512 74.51 490.5 96 464 96C437.5 96 416 74.51 416 48C416 21.49 437.5 0 464 0C490.5 0 512 21.49 512 48zM382.5 199.3C381.6 199.7 380.6 200.1 379.7 200.5L368.6 205.4C353.4 212.2 341.4 224.6 335.2 240.1L333.7 243.9C327.1 260.3 308.5 268.3 292.1 261.7C275.7 255.1 267.7 236.5 274.3 220.1L275.8 216.3C288.2 185.4 312.2 160.5 342.7 146.9L353.7 142C374.5 132.8 396.1 128 419.7 128C464.3 128 504.5 154.8 521.6 195.9L536.1 232.7L558.3 243.4C574.1 251.3 580.5 270.5 572.6 286.3C564.7 302.1 545.5 308.5 529.7 300.6L503 287.3C492.7 282.1 484.6 273.4 480.2 262.8L470.6 239.8L451.3 305.3L500.8 359.4C506.2 365.3 510.1 372.4 512 380.2L535 472.2C539.3 489.4 528.9 506.8 511.8 511C494.6 515.3 477.2 504.9 472.1 487.8L450.9 399.6L380.3 322.5C365.5 306.4 359.1 283.9 365.6 262.8L382.5 199.3zM324.7 398L349.7 335.6C351.8 338.6 354.2 341.4 356.7 344.2L397.4 388.6L382.9 424.8C380.5 430.9 376.9 436.4 372.3 440.9L310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6C252.9 490.1 252.9 469.9 265.4 457.4L324.7 398z"]],
    "people-robbery": [576, 512, [], "e536", ["M400 127.1C441.7 127.1 478.1 99.59 488.2 59.1L496.1 24.24C501.2 7.093 518.6-3.331 535.8 .9552C552.9 5.242 563.3 22.62 559 39.76L550.3 74.63C539.3 118.6 510.1 154.2 472 174.3V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V352H392V480C392 497.7 377.7 512 360 512C342.3 512 328 497.7 328 480V174.3C289.9 154.2 260.7 118.6 249.7 74.63L240.1 39.76C236.7 22.62 247.1 5.242 264.2 .9552C281.4-3.331 298.8 7.093 303 24.24L311.8 59.1C321.9 99.59 358.3 127.1 400 127.1H400zM448 47.1C448 74.51 426.5 95.1 400 95.1C373.5 95.1 352 74.51 352 47.1C352 21.49 373.5-.0006 400-.0006C426.5-.0006 448 21.49 448 47.1V47.1z", "M128 48C128 74.51 106.5 96 80.01 96C53.5 96 32.01 74.51 32.01 48C32.01 21.49 53.5 0 80.01 0C106.5 0 128 21.49 128 48zM8 192C8 156.7 36.65 128 72 128H104.7C132.1 128 157.6 142 172.2 165.1L209.6 224H240C257.7 224 272 238.3 272 256C272 273.7 257.7 288 240 288H192C181 288 170.9 282.4 164.1 273.1L152 252.7V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V352H72V480C72 497.7 57.68 512 40 512C22.33 512 8.005 497.7 8.005 480V288.6L8 287.1L8 192z"]],
    "people-roof": [640, 512, [], "e537", ["M359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.1 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480z", "M304.5 4.027C314.1-1.342 325.9-1.342 335.5 4.027L623.5 164C638.1 172.6 644.6 192.1 635.1 207.5C627.4 222.1 607.9 228.6 592.5 219.1L319.1 68.61L47.54 219.1C32.09 228.6 12.61 222.1 4.025 207.5C-4.558 192.1 1.008 172.6 16.46 164L304.5 4.027z"]],
    "people-simple": [512, 512, [], "e21b", ["M128 0C92.63 0 64 28.62 64 64s28.62 64 64 64s64-28.62 64-64S163.4 0 128 0zM384 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S419.4 0 384 0z", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C253.7 373.8 261.4 384 272 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6z"]],
    "pepper": [512, 512, [129745], "e432", ["M438.2 98.56c-24.98-5.939-49.9-1.373-70.45 10.6c-23.75-13.75-47.3-13.21-47.79-13.21c-.0703 0-.1328 .0664-.2031 .0703C295.2 96.07 272.1 105.6 256 120.9C239 105.6 216.8 96.05 192.1 96.01C192.1 96.01 192.1 95.95 192 95.95c-55.48 0-89.33 53.57-77.47 99.93l44.94 167.1c2.281 8.547-2.812 17.31-11.34 19.59C146.8 383.8 145.3 384 144 384c-7.062 0-13.53-4.719-15.47-11.86L83.56 203.1C73.43 164.4 86.07 124.6 112.8 97.48C100.2 95.24 87.01 95.4 73.76 98.56C22.2 110.8-9.646 162.6 2.633 214.2l53.34 224C66.47 482.3 105.8 512 149.3 512c7.375 0 14.84-.8438 22.34-2.625c11.38-2.711 21.59-7.611 30.79-13.74C217.7 505.1 236.1 512 256 512s38.31-6.035 53.62-16.37c9.195 6.131 19.41 11.03 30.79 13.74C347.9 511.2 355.4 512 362.7 512c43.4 0 82.78-29.68 93.28-73.79l53.34-224C521.6 162.6 489.8 110.8 438.2 98.56z", "M274.9 107.8c-6.814 3.711-13.32 7.918-19.05 13.08c-8.701-7.838-18.81-14.11-29.89-18.43C214.8 48.99 192 41.79 192 24C192 7.078 206.7 0 215.1 0C240.8 0 265.3 52.55 274.9 107.8z"]],
    "pepper-hot": [512, 512, [127798], "f816", ["M467.7 314.8C406.1 407 248.3 512 56 512C25.13 512 0 486.9 0 456s25.12-56 56-56c151.5 0 152.9-188.1 236.1-260.2L352 165.5V256h90.56L467.7 314.8z", "M465 134.2c21.46-38.38 19.87-87.17-5.65-123.1c-7.541-10.83-22.31-13.53-33.2-5.938c-10.77 7.578-13.44 22.55-5.896 33.41c14.41 20.76 15.13 47.69 4.098 69.77C407.1 100.1 388 95.1 368 95.1c-36.23 0-68.93 13.83-94.24 35.92L352 165.5V256h90.56l33.53 78.23C498.2 308.9 512 276.2 512 239.1C512 198 493.7 160.6 465 134.2z"]],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", ["M374.6 73.39c-12.5-12.5-32.75-12.5-45.25 0l-320 320c-12.5 12.5-12.5 32.75 0 45.25C15.63 444.9 23.81 448 32 448s16.38-3.125 22.62-9.375l320-320C387.1 106.1 387.1 85.89 374.6 73.39z", "M64 192c35.3 0 64-28.72 64-64S99.3 64.01 64 64.01S0 92.73 0 128S28.7 192 64 192zM320 320c-35.3 0-64 28.72-64 64s28.7 64 64 64s64-28.72 64-64S355.3 320 320 320z"]],
    "period": [128, 512, [], "2e", ["", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352z"]],
    "person": [320, 512, [129485, "male"], "f183", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9z"]],
    "person-arrow-down-to-line": [640, 512, [], "e538", ["M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 448V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H200V352H184V448L120 448z", "M528 64V306.7L553.4 281.4C565.9 268.9 586.1 268.9 598.6 281.4C611.1 293.9 611.1 314.1 598.6 326.6L518.6 406.6C506.1 419.1 485.9 419.1 473.4 406.6L393.4 326.6C380.9 314.1 380.9 293.9 393.4 281.4C405.9 268.9 426.1 268.9 438.6 281.4L464 306.7V64C464 46.33 478.3 32 496 32C513.7 32 528 46.33 528 64zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "person-arrow-up-from-line": [640, 512, [], "e539", ["M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 448V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H200V352H184V448L120 448z", "M553.4 166.6L528 141.3V384C528 401.7 513.7 416 496 416C478.3 416 464 401.7 464 384V141.3L438.6 166.6C426.1 179.1 405.9 179.1 393.4 166.6C380.9 154.1 380.9 133.9 393.4 121.4L473.4 41.37C485.9 28.88 506.1 28.88 518.6 41.37L598.6 121.4C611.1 133.9 611.1 154.1 598.6 166.6C586.1 179.1 565.9 179.1 553.4 166.6V166.6zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "person-biking": [640, 512, [128692, "biking"], "f84a", ["M256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 312C88.24 312 56 344.2 56 384C56 423.8 88.24 456 128 456C167.8 456 200 423.8 200 384C200 344.2 167.8 312 128 312zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 312C472.2 312 440 344.2 440 384C440 423.8 472.2 456 512 456C551.8 456 584 423.8 584 384C584 344.2 551.8 312 512 312z", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM365.4 111.2L427.2 159.1H480C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2H365.4z"]],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", ["M96.24 276.6C97.91 264.9 107.9 256 120 256H136C148.1 256 158.1 264.9 159.8 276.6C167.4 278.8 174.7 281.9 181.5 285.6C190.9 278.5 204.3 279.3 212.9 287.8L224.2 299.1C232.7 307.7 233.5 321.1 226.4 330.5C230.1 337.3 233.2 344.6 235.4 352.2C247.1 353.9 255.1 363.9 255.1 376V392C255.1 404.1 247.1 414.1 235.4 415.8C233.2 423.4 230.1 430.7 226.4 437.5C233.5 446.9 232.7 460.3 224.2 468.9L212.9 480.2C204.3 488.7 190.9 489.5 181.5 482.4C174.7 486.1 167.4 489.2 159.8 491.4C158.1 503.1 148.1 512 135.1 512H119.1C107.9 512 97.91 503.1 96.24 491.4C88.62 489.2 81.34 486.1 74.49 482.4C65.09 489.5 51.7 488.7 43.15 480.2L31.83 468.9C23.28 460.3 22.53 446.9 29.58 437.5C25.85 430.7 22.81 423.4 20.57 415.8C8.938 414.1 0 404.1 0 392V376C0 363.9 8.938 353.9 20.57 352.2C22.81 344.6 25.85 337.3 29.58 330.5C22.53 321.1 23.28 307.7 31.83 299.1L43.15 287.8C51.7 279.3 65.09 278.5 74.49 285.6C81.34 281.9 88.62 278.8 96.24 276.6L96.24 276.6zM128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320zM480.2 276.6C481.9 264.9 491.9 256 504 256H520C532.1 256 542.1 264.9 543.8 276.6C551.4 278.8 558.7 281.9 565.5 285.6C574.9 278.5 588.3 279.3 596.9 287.8L608.2 299.1C616.7 307.7 617.5 321.1 610.4 330.5C614.1 337.3 617.2 344.6 619.4 352.2C631.1 353.9 640 363.9 640 376V392C640 404.1 631.1 414.1 619.4 415.8C617.2 423.4 614.1 430.7 610.4 437.5C617.5 446.9 616.7 460.3 608.2 468.9L596.9 480.2C588.3 488.7 574.9 489.5 565.5 482.4C558.7 486.1 551.4 489.2 543.8 491.4C542.1 503.1 532.1 512 520 512H504C491.9 512 481.9 503.1 480.2 491.4C472.6 489.2 465.3 486.1 458.5 482.4C449.1 489.5 435.7 488.7 427.1 480.2L415.8 468.9C407.3 460.3 406.5 446.9 413.6 437.5C409.8 430.7 406.8 423.4 404.6 415.8C392.9 414.1 384 404.1 384 392V376C384 363.9 392.9 353.9 404.6 352.2C406.8 344.6 409.8 337.3 413.6 330.5C406.5 321.1 407.3 307.7 415.8 299.1L427.1 287.8C435.7 279.3 449.1 278.5 458.5 285.6C465.3 281.9 472.6 278.8 480.2 276.6L480.2 276.6zM512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320z", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM166.3 163.9L122.3 108.9C116.7 101.8 117.1 91.51 125.2 86.1L190.4 37.22C218 16.48 257.2 21.45 278.8 48.44L293.7 67.11C299.3 74.16 298 84.49 290.8 89.9L188.4 166.7C181.5 171.9 171.7 170.6 166.3 163.9V163.9z"]],
    "person-booth": [576, 512, [], "f756", ["M192 496C192 504.8 199.3 512 208 512h32C248.8 512 256 504.8 256 496V320H192V496zM544 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C576 14.25 561.8 0 544 0zM192 32v160h64V0H224C206.3 0 192 14.25 192 32zM288 32l31.5 223.1l-30.88 154.6C284.3 431.3 301.6 448 320 448c15.25 0 27.99-9.125 32.24-30.38C353.3 434.5 366.9 448 384 448c17.75 0 32-14.25 32-32c0 17.75 14.25 32 32 32s32-14.25 32-32V0h-192V32zM64 128c26.5 0 48-21.5 48-48S90.5 32 64 32S16 53.5 16 80S37.5 128 64 128z", "M224 224H173.1L127.9 178.8C115.8 166.6 99.75 160 82.75 160H64C46.88 160 30.75 166.8 18.75 178.8c-12 12.12-18.72 28.22-18.72 45.35L0 480c0 17.75 14.25 32 31.88 32s32-14.25 32-32L64 379.3c.875 .5 1.625 1.375 2.5 1.75L95.63 424V480c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32v-56.5c0-9.875-2.375-19.75-6.75-28.62l-41.13-61.25V253l20.88 20.88C141.8 283 153.8 288 166.5 288H224c17.75 0 32-14.25 32-32S241.8 224 224 224z"]],
    "person-breastfeeding": [448, 512, [], "e53a", ["M160 288C177.7 288 192 302.3 192 320V356.8C217.4 386.5 252.8 406.1 291.7 411.6L292.5 411.7C283.3 431.3 288.4 455.4 306 469.5C312.4 474.6 319.7 477.8 327.2 479.2C323.4 480.1 319.5 480.3 315.5 479.7L282.7 474.1C273.5 473.7 264.5 471.8 255.7 469.4C257.9 449.1 248 430.3 229.5 421.1L128.1 370.4C128 369.6 128 368.8 128 368V320C128 302.3 142.3 288 160 288H160zM320 332C320 356.3 300.3 376 276 376C251.7 376 232 356.3 232 332C232 307.7 251.7 288 276 288C300.3 288 320 307.7 320 332z", "M144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80zM436.8 382.8L373.5 461.1C356.9 482.7 326.7 486 306 469.5C288.4 455.4 283.3 431.3 292.5 411.7L291.7 411.6C252.8 406.1 217.4 386.5 192 356.8V320C192 302.3 177.7 288 160 288C142.3 288 128 302.3 128 320V368C128 368.8 128 369.6 128.1 370.4L229.5 421.1C253.2 432.9 262.8 461.8 250.9 485.5C239.1 509.2 210.2 518.8 186.5 506.9L27.21 427.3C26.11 426.7 25.02 426.2 23.95 425.5C19.04 422.7 14.79 419.1 11.3 414.1C6.732 409.5 3.492 403.3 1.683 396.6C-1.576 384.6-.1811 371.4 6.459 359.9C7.098 358.8 7.776 357.8 8.489 356.7L75.56 256.1C102.3 216.1 147.2 192 195.4 192H270.6C317.1 192 360.7 214.5 387.8 252.3L438.5 323.2C440.7 326.2 442.5 329.4 443.9 332.7C446.9 339.3 448.2 346.4 447.1 353.5C447.7 364.1 443.8 374.5 436.8 382.8V382.8zM276 288C251.7 288 232 307.7 232 332C232 356.3 251.7 376 276 376C300.3 376 320 356.3 320 332C320 307.7 300.3 288 276 288z"]],
    "person-burst": [640, 512, [], "e53b", ["M176 8C182.6 8 188.5 11.1 190.9 18.09L220.3 92.05L296.5 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L176 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.74 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.876 229.6 4.418 223.2C2.959 216.8 5.545 210.1 10.94 206.4L76.51 161.3L37.02 92.18C33.77 86.49 34.32 79.39 38.4 74.27C42.49 69.14 49.29 67.03 55.56 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.5 8 176 8V8z", "M528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48zM472 352V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V256.9L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L382.9 174.6C400.2 145.7 431.4 128 465.1 128H494.9C528.6 128 559.8 145.7 577.2 174.6L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L552 256.9V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V352L472 352z"]],
    "person-cane": [384, 512, [], "e53c", ["M328 368C323.6 368 320 371.6 320 376V384C320 397.3 309.3 408 296 408C282.7 408 272 397.3 272 384V376C272 345.1 297.1 320 328 320C358.9 320 384 345.1 384 376V488C384 501.3 373.3 512 360 512C346.7 512 336 501.3 336 488V376C336 371.6 332.4 368 328 368z", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9z"]],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", ["M80 .0003c-26.5 0-48 21.5-48 47.1C32 74.5 53.5 95.1 80 95.1S128 74.5 128 47.1C128 21.5 106.5 .0003 80 .0003zM352 95.1h-128c-17.6 0-32 14.4-32 32v159.1l160 .002c17.6 0 32-14.4 32-32V127.1C384 110.4 369.6 95.1 352 95.1z", "M0 479.9c0 17.75 14.25 31.1 32 31.1s32-14.2 32-31.95v-74.54c-16-13.62-63.38-54.63-64-55.13V479.9zM118.1 271.1C124.5 281.5 135.4 287.1 147.2 287.1H192v-63.1H166.6L133.3 162.2C122.3 141.1 100.5 127.1 76.75 127.1H48c-26.51 0-48 21.49-48 48v102.1c0 18.75 8.25 36.38 22.38 48.62l76 65.13l14.12 92.5c1 5.625 10.12 30.62 36.75 26.25c17.5-2.875 29.25-19.37 26.38-36.75l-14.12-92.5C159 367.4 151.4 353.9 140 344.1L96 306.4V228.1L118.1 271.1z"]],
    "person-chalkboard": [640, 512, [], "e53d", ["M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM184 352V480C184 497.7 169.7 512 152 512C134.3 512 120 497.7 120 480V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.58 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H400C417.7 128 432 142.3 432 160C432 177.7 417.7 192 400 192H264V480C264 497.7 249.7 512 232 512C214.3 512 200 497.7 200 480V352L184 352z", "M320 128V48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V224H384V256H576V64H384V128H320z"]],
    "person-circle-check": [576, 512, [], "e53e", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "person-circle-exclamation": [576, 512, [], "e53f", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "person-circle-minus": [576, 512, [], "e540", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "person-circle-plus": [576, 512, [], "e541", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "person-circle-question": [576, 512, [], "e542", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM409.6 280C386.6 280 368 298.6 368 321.6V328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6z"]],
    "person-circle-xmark": [576, 512, [], "e543", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "person-digging": [576, 512, ["digging"], "f85e", ["M311.1 416c-13.88 0-25.95 8.862-30.33 21.86l-24.75 74.07h319.9l-101.9-206.3c-11.38-22.5-43.1-23.63-56.1-2.01l-31.89 54.21L82.2 192.4L67.67 209.1C57.79 220.4 41.36 223.4 28.15 216.2l333.7 182.1l-9.837 16.87H311.1zM272 95.93c26.5 0 47.99-21.47 47.99-47.97S298.5 0 272 0S224 21.47 224 47.97S245.5 95.93 272 95.93z", "M320.9 322.2l-24-121.2c-7.875-39.62-33.63-73.23-69.75-91.23c-1-.5-2.125-.6249-3.125-1.125C221.7 107.5 219.2 106.6 216.7 105.1C201.5 99.85 185.2 95.98 168.7 95.98H95.1c-9.285 0-18.06 3.946-24.18 10.93L19.34 166.9C5.805 182.4 10.1 206.4 28.15 216.2C41.36 223.4 57.79 220.4 67.67 209.1l42.82-49.14h34.38L105.8 205.3l93.68 50.85l34.9-41.28l13.5 67.61L247.4 282.3L320.9 322.2zM209.7 357.3c-25.75-17.25-52.25-33.24-79.5-48.11L58.62 270.2L1.246 471.1c-4.875 16.1 5 34.74 22 39.62c17 4.875 34.63-4.998 39.5-21.99l36.63-128.1l60.63 40.37v78.86c0 17.62 14.38 31.99 32 31.99s32-14.37 32-31.99l.0022-95.93C224 373.2 218.6 363.2 209.7 357.3z"]],
    "person-dolly": [512, 512, [], "f4d0", ["M331.2 360.6c2.25 8.502 11.13 13.63 19.63 11.25l117-31.26c8.502-2.25 13.5-11.13 11.25-19.63l-31.38-116.9c-2.377-8.502-11.13-13.63-19.63-11.25L311.1 224.1c-8.502 2.25-13.63 11.13-11.25 19.63L331.2 360.6zM503.5 373.8c-1.125-4.252-5.5-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.26-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l59.01 220c-19.83 13.82-31.36 38.47-25.9 65.5c4.867 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.375-1.125 6.876-5.5 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 0C53.38 0 32 21.5 32 48.01s21.5 48.01 48.01 48.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0z", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01c17.75 0 32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5 350.8 0 350.3V479.1zM118.1 271c5.564 10.41 16.41 16.92 28.22 16.92l75.6-.0183L205.8 223.9L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.251 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.627 10.12 30.63 36.76 26.25c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51c-2.5-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1L118.1 271z"]],
    "person-dolly-empty": [512, 512, [], "f4d1", ["M503.5 373.8c-1.125-4.252-5.5-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.26-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l59.01 220c-19.83 13.82-31.36 38.47-25.9 65.5c4.867 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.375-1.125 6.876-5.5 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0C53.38 0 32 21.5 32 48.01S53.5 96.01 80.01 96.01z", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01c17.75 0 32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5 350.8 0 350.3V479.1zM140 344.1L96.01 306.3V228.1l22.96 42.97c5.564 10.41 16.41 16.92 28.22 16.92l75.6-.0183L205.8 223.9L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.251 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.627 10.12 30.63 36.76 26.25c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51C159 367.3 151.4 353.8 140 344.1z"]],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", ["M287.1 176c48.5 0 87.1-39.5 87.1-88S336.5 0 287.1 0S200 39.5 200 88S239.5 176 287.1 176zM555.9 296.9c-1.955-1.391-21.1-14.83-51.83-30.85C495.5 279.2 480.7 288 463.1 288c-26.25 0-47.1-21.75-47.1-48c0-3.549 .4648-6.992 1.217-10.33C378.6 217.2 334.4 208 288 208c-59.37 0-114.1 15.01-160.1 32.67C127.6 266.6 106 288 80 288C69.02 288 58.94 284 50.8 277.7c-18.11 10.45-29.25 18.22-30.7 19.26c-21.56 15.41-26.56 45.38-11.16 66.97c15.39 21.56 45.36 26.5 66.97 11.16c.6289-.459 41.62-29.26 100.1-50.05L176 432h223.1l-.0004-106.8c58.32 20.8 99.51 49.49 100.1 49.91C508.6 381.1 518.3 384 527.9 384c14.98 0 29.73-7 39.11-20.09C582.5 342.3 577.5 312.3 555.9 296.9zM240 296c-13.25 0-23.1-10.75-23.1-24S226.8 248 240 248c13.25 0 23.1 10.75 23.1 24S253.3 296 240 296zM335.1 392c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S349.2 392 335.1 392z", "M463.1 256c8.75 0 15.1-7.25 15.1-16S472.7 224 463.1 224c-8.75 0-15.1 7.25-15.1 16S455.2 256 463.1 256zM80 256c8.75 0 15.1-7.25 15.1-16S88.75 224 80 224S64 231.3 64 240S71.25 256 80 256zM559.1 464H16c-8.75 0-15.1 7.25-15.1 16l-.0016 16c0 8.75 7.25 16 15.1 16h543.1c8.75 0 15.1-7.25 15.1-16L575.1 480C575.1 471.3 568.7 464 559.1 464z"]],
    "person-dress": [320, 512, ["female"], "f182", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M88 384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.43 148.6 114.9 128 154.2 128H165.8C205.1 128 241.6 148.6 261.8 182.3L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L226.7 248.1L264.1 362.9C268.4 373.3 260.7 384 249.8 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 384z"]],
    "person-dress-burst": [640, 512, [], "e544", ["M175.1 8C182.6 8 188.4 11.1 190.9 18.09L220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 8 175.1 8V8z", "M432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48V48zM408 384H390.2C379.3 384 371.6 373.3 375 362.9L413.3 248.1L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L378.2 182.3C398.4 148.6 434.9 128 474.2 128H485.8C525.1 128 561.6 148.6 581.8 182.3L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L546.7 248.1L584.1 362.9C588.4 373.3 580.7 384 569.8 384H552V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384H472V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480L408 384z"]],
    "person-dress-simple": [256, 512, [], "e21c", ["M128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128z", "M207.1 194.8l48.23 168.8C258.3 373.8 250.6 384 239.1 384h-47.99L192 480c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32l-.0002-96H16.01c-10.63 0-18.3-10.17-15.38-20.4l48.23-168.8C54.74 174.2 73.57 160 95 160h65.99C182.4 160 201.3 174.2 207.1 194.8z"]],
    "person-drowning": [576, 512, [], "e545", ["M269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9H269.5z", "M160 32C177.7 32 192 46.33 192 64V96.16C192 148.8 226.1 195.4 276.3 211.4C316.3 224.2 358.1 225.1 399.1 216.6L504.9 192.8C522.1 188.9 539.3 199.7 543.2 216.9C547.1 234.1 536.3 251.3 519.1 255.2L414.1 279.1C403.6 281.5 392.9 283.3 382.2 284.5L364.5 382.1C350.9 378.9 337.2 372.7 324.8 364.1C302.8 348.6 273.3 348.6 251.2 364.1C234 375.9 213.2 384.5 192 384.5C184.7 384.5 177 383.3 169.2 381.2L190.2 234.5C151.5 200.1 128 150.2 128 96.16V64C128 46.33 142.3 32 160 32V32zM384 128C384 163.3 355.3 192 320 192C284.7 192 256 163.3 256 128C256 92.65 284.7 64 320 64C355.3 64 384 92.65 384 128z"]],
    "person-falling": [448, 512, [], "e546", ["M128 80C128 106.5 106.5 128 80 128C53.49 128 32 106.5 32 80C32 53.49 53.49 32 80 32C106.5 32 128 53.49 128 80z", "M288 41.84C288 96.45 260.1 146.5 215.5 175.4L215.7 175.8L272.5 255.1H344C359.1 255.1 373.3 263.1 382.4 275.2L425.6 332.8C436.2 346.9 433.3 366.1 419.2 377.6C405.1 388.2 385 385.3 374.4 371.2L336 319.1H254.6L346.9 462.6C356.5 477.5 352.2 497.3 337.4 506.9C322.5 516.5 302.7 512.2 293.1 497.4L132.5 249.2C129.6 258.4 128 268.1 128 278.2V351.1C128 369.7 113.7 383.1 96 383.1C78.33 383.1 64 369.7 64 351.1V278.2C64 213 103.6 154.5 164.1 130.3C200.3 115.8 224 80.79 224 41.84V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32L288 41.84z"]],
    "person-falling-burst": [640, 512, [], "e547", ["M419.2 313.6L382.1 265.3L384.2 247.6L365.8 244.8C351.2 231.5 332.1 223.1 312 223.1H292.6C292.6 223.7 292.5 223.4 292.4 223.2C290.1 216.8 293.5 210.1 298.9 206.4L364.5 161.3L325 92.18C321.8 86.49 322.3 79.39 326.4 74.27C330.5 69.14 337.3 67.03 343.6 68.93L419.7 92.05L449.1 18.09C451.6 11.1 457.4 8 464 8C470.6 8 476.5 11.1 478.9 18.09L508.3 92.05L584.5 68.93C590.7 67.03 597.5 69.14 601.6 74.27C605.7 79.39 606.2 86.49 602.1 92.18L563.5 161.3L629.1 206.4C634.5 210.1 637 216.8 635.6 223.2C634.1 229.6 628.9 234.4 622.4 235.4L543.8 247.6L549.4 327C549.8 333.6 546.3 339.7 540.4 342.6C534.5 345.4 527.4 344.4 522.6 339.9L464 286.1L424.7 322.2C423.1 319.3 421.3 316.4 419.2 313.6L419.2 313.6z", "M224 0C241.7 0 256 14.33 256 32V41.84C256 96.45 228.1 146.5 183.5 175.4L183.7 175.8L240.5 255.1H311.1C327.1 255.1 341.3 263.1 350.4 275.2L393.6 332.8C404.2 346.9 401.3 366.1 387.2 377.6C373.1 388.2 353 385.3 342.4 371.2L303.1 319.1H222.6L314.9 462.6C324.5 477.5 320.2 497.3 305.4 506.9C290.5 516.5 270.7 512.2 261.1 497.4L100.5 249.2C97.57 258.4 95.1 268.1 95.1 278.2V351.1C95.1 369.7 81.67 383.1 63.1 383.1C46.33 383.1 31.1 369.7 31.1 351.1V278.2C31.1 213 71.65 154.5 132.1 130.3C168.3 115.8 191.1 80.79 191.1 41.84V32C191.1 14.33 206.3 .0003 223.1 .0003L224 0zM0 80C0 53.49 21.49 32 48 32C74.51 32 96 53.49 96 80C96 106.5 74.51 128 48 128C21.49 128 0 106.5 0 80z"]],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", ["M150.6 191.1C141.1 178.6 142.6 161.7 152.9 150.5C140.3 61.81 112.4 0 80 0C35.82 0 0 114.6 0 255.1c0 141.4 35.82 255.1 80 255.1c25.25 0 47.72-37.53 62.39-96L128 415.1c-17.64-.0215-31.96-14.34-31.98-31.98c-.0215-17.67 14.31-32 31.98-32.02l26.13 .002C158.1 320.2 160 288.1 160 255.1c0-20.22-.8359-39.78-2.223-58.64C155.1 195.6 152.7 193.5 150.6 191.1zM368 0c-26.51 0-48.01 21.49-48.01 48c0 0 0-.002 0 0C320 74.51 341.5 96 368 96s48-21.49 48-47.1S394.6 0 368 0z", "M209.7 317.5l-14.84 34.51L128 351.1c-17.67 .0215-32 14.35-31.98 32.02C96.04 401.7 110.4 415.1 128 415.1l77.47 .002c19.21 .0254 36.51-11.44 44.06-29.1l8.828-20.52l-10.64-6.273C230.1 350.1 217.7 335.2 209.7 317.5zM480 223.1h-44.01l-26.1-53.25c-12.5-25.55-35.45-44.26-61.76-50.98l-71.1-21.13c-28.16-6.826-57.82-.5351-80.79 17.13l-39.71 30.47C142.5 156.1 139.9 177.1 150.6 191.1C161.4 205.1 181.5 207.7 195.5 196.1L235.1 166.6c7.656-5.891 17.52-8.031 25.33-6.172l14.65 4.333L237.7 252.2C225.1 281.8 236.3 316.1 264 332.5l84.98 50.18L321.5 470.4c-5.297 16.84 4.119 34.82 20.96 40.11c.0117 .002-.0098-.0039 0 0c16.82 5.314 34.77-4.123 40.09-20.94c.0137-.0449 31.68-101.1 31.68-101.1c5.9-20.93-3.003-43.21-21.67-54.38l-61.21-36.13l31.27-78.34l20.26 41.48c8.105 16.41 24.81 26.81 43.11 26.88H480c17.67 0 32-14.33 32-31.1C512 238.3 497.7 223.1 480 223.1z"]],
    "person-half-dress": [320, 512, [], "e548", ["M174.9 128C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480L168 128H174.9zM168 .6641C190.7 4.472 208 24.22 208 48C208 71.78 190.7 91.53 168 95.34V.6641z", "M112 48C112 24.22 129.3 4.473 152 .6641V95.34C129.3 91.53 112 71.78 112 48V48zM152 480.2C151.9 497.8 137.6 512 120 512C102.3 512 88 497.7 88 480V384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.06 149.2 113.5 128.8 152 128V480.2z"]],
    "person-harassing": [576, 512, [], "e549", ["M384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240zM576 344V446.1C576 482.5 546.5 512 510.1 512C492.6 512 475.8 505.1 463.4 492.7L408.8 438L380.6 494.3C372.7 510.1 353.5 516.5 337.7 508.6C321.9 500.7 315.5 481.5 323.4 465.7L371.4 369.7C375.1 360.5 384.7 354.1 394.9 352.4C405 350.8 415.4 354.1 422.6 361.4L464 402.7V344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344z", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9zM288 48C288 39.16 295.2 32 304 32H360C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 288 56.84 288 48zM335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7z"]],
    "person-hiking": [384, 512, ["hiking"], "f6ec", ["M137.5 113.1c0-7.011-4.986-13.44-12.39-15.13C118.4 96.38 111.7 95.6 105.1 95.6c-36.65 0-70 23.84-79.32 59.53L.5119 253.3C.1636 254.6-.0025 255.9-.0025 257.2c0 7.003 4.96 13.42 12.36 15.11L76.01 287.5c1.339 .3251 2.681 .4806 4.001 .4806c7.31 0 13.97-4.762 15.87-11.86L137 117C137.4 115.7 137.5 114.4 137.5 113.1zM352 256h-15.1v240c0 8.875 7.125 16 15.1 16h15.1C376.9 512 384 504.9 384 496V224C384 241.7 369.7 256 352 256zM368 160h-15.1c-8.875 0-15.1 7.125-15.1 16V192H352c17.67 0 32 14.33 32 32V176C384 167.1 376.9 160 368 160z", "M352 192h-50.75l-46.75-46.75C243.4 134.1 228.6 128 212.9 128c-27 0-50.37 18.25-56.1 44.5L129 280.3C128.4 282.8 128 285.5 128 288.1c0 8.325 3.265 16.44 9.354 22.53l86.62 86.63V480c0 17.62 14.37 32 31.1 32s32-14.38 32-32v-82.75c0-17.12-6.625-33.13-18.75-45.25l-46.87-46.88c.25-.5 .5-.875 .625-1.375l19.1-79.5l22.37 22.38C271.4 252.6 279.5 256 288 256H352c17.67 0 32-14.33 32-32C384 206.3 369.7 192 352 192zM81.01 472.3c-.672 2.63-.993 5.267-.993 7.86c0 14.29 9.748 27.29 24.24 30.89C106.9 511.8 109.5 512 112 512c14.37 0 27.37-9.75 30.1-24.25l25.25-101l-52.75-52.75L81.01 472.3zM240 96c26.5 0 48-21.5 48-48S266.5 0 240 0c-26.5 0-47.1 21.5-47.1 48S213.5 96 240 96z"]],
    "person-military-pointing": [512, 512, [], "e54a", ["M208 112C208 106.5 208.6 101.2 209.6 96H366.4C367.5 101.2 368 106.5 368 112C368 156.2 332.2 192 288 192C243.8 192 208 156.2 208 112V112zM354.8 230.5C365.7 234 376.1 238.9 385.7 244.9L214.6 416H384V448H192V393.4L354.8 230.5z", "M366.7 1.443C376 .6658 384 8.027 384 17.39V47.1C384 56.84 376.8 63.1 368 63.1H216.1C203.2 63.1 192 52.81 192 39C192 25.1 201.1 15.17 214.9 14.09L366.7 1.443zM313.2 223.1C327.6 223.1 341.6 226.3 354.8 230.5L192 393.4V303.1H40.01C17.92 303.1 .0077 286.1 .0077 263.1C.0077 241.9 17.92 223.1 40.01 223.1H313.2zM192 480V448H384V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480zM385.7 244.9C403.7 256.3 419.1 271.9 430.3 290.8L506.4 419.7C517.7 438.7 511.4 463.2 492.4 474.4C473.3 485.7 448.8 479.4 437.6 460.3L384 369.7V416H214.6L385.7 244.9z"]],
    "person-military-rifle": [448, 512, [], "e54b", ["M433.6 56C441.2 60.42 443.8 70.21 439.4 77.86L383.1 173.9L385.6 174.9C400.9 183.7 406.1 203.3 397.3 218.6L366.9 271.3C364.1 274.5 362.6 277.3 359.9 279.6C343.8 257 321.3 240.1 295.7 230.8L389.9 67.71C382.2 63.3 379.6 53.51 384 45.86C388.4 38.21 398.2 35.58 405.9 40L433.6 56zM302.4 94.61C303.5 99.78 304 105.1 304 110.6C304 154.8 268.2 190.6 224 190.6C179.8 190.6 144 154.8 144 110.6C144 105.1 144.6 99.78 145.6 94.61H302.4zM299.1 508.6L117.7 249.5C126.3 243 135.6 237.7 145.5 233.5L319.8 482.4C318.4 494.5 310.2 504.6 299.1 508.6V508.6z", "M302.7 .0564C312-.7209 320 6.64 320 16V46.61C320 55.45 312.8 62.61 304 62.61H152.1C139.2 62.61 128 51.42 128 37.61C128 24.61 137.1 13.78 150.9 12.7L302.7 .0564zM81.7 289.4C91.06 273.6 103.4 260.1 117.7 249.5L299.1 508.6C295.6 509.9 291.9 510.6 288 510.6H160C142.3 510.6 128 496.3 128 478.6V368.3L74.44 458.1C63.21 477.1 38.68 484.3 19.66 473C.6381 461.8-5.669 437.3 5.569 418.3L81.7 289.4zM320 478.6C320 479.9 319.9 481.2 319.8 482.4L145.5 233.5C162.1 226.4 180.2 222.6 198.8 222.6H249.2C297.3 222.6 341.8 248 366.3 289.4L442.4 418.3C453.7 437.3 447.4 461.8 428.4 473C409.3 484.3 384.8 477.1 373.6 458.1L320 368.3V478.6zM264 318.6C277.3 318.6 288 307.9 288 294.6C288 281.4 277.3 270.6 264 270.6C250.7 270.6 240 281.4 240 294.6C240 307.9 250.7 318.6 264 318.6z"]],
    "person-military-to-person": [512, 512, [], "e54c", ["M320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96V96zM416 192C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256C288 220.7 316.7 192 352 192H416zM296.2 413.9L360.2 357.9C370.2 349.2 385.3 350.2 394.1 360.2C402.8 370.2 401.8 385.3 391.8 394.1L375.9 407.1L488 407.1C501.3 407.1 512 418.7 512 431.1C512 445.2 501.3 455.1 488 455.1L375.9 455.1L391.8 469.9C401.8 478.7 402.8 493.8 394.1 503.8C385.3 513.8 370.2 514.8 360.2 506.1L296.2 450.1C290.1 445.5 288 438.9 288 431.1C288 425.1 290.1 418.5 296.2 413.9L296.2 413.9z", "M182.2 .0998C191.7-.9534 200 6.466 200 16V30.13C200 38.91 192.9 46.05 184.1 46.13H72.74C63.48 46.04 56 38.52 56 29.24C56 20.64 62.47 13.41 71.02 12.46L182.2 .0998zM192 96C192 131.3 163.3 160 128 160C92.66 160 64 131.3 64 96C64 89.8 64.88 83.8 66.53 78.13H189.5C191.1 83.8 192 89.8 192 96zM32 256C32 237.2 40.09 220.3 52.97 208.6L197.2 319.6C195.5 319.9 193.8 320 192 320H64C46.33 320 32 305.7 32 288L32 256zM222.3 298.5L85.06 192.9C88.61 192.3 92.27 191.1 96 191.1H160C195.3 191.1 224 220.7 224 255.1V287.1C224 291.7 223.4 295.2 222.3 298.5V298.5zM224 431.1C224 438.9 221 445.5 215.8 450.1L151.8 506.1C141.8 514.8 126.7 513.8 117.9 503.8C109.2 493.8 110.2 478.7 120.2 469.9L136.1 455.1L23.1 455.1C10.74 455.1-.0003 445.2 0 431.1C.0003 418.7 10.75 407.1 24 407.1L136.1 407.1L120.2 394.1C110.2 385.3 109.2 370.2 117.9 360.2C126.7 350.2 141.8 349.2 151.8 357.9L215.8 413.9C221 418.5 224 425.1 224 431.1H224z"]],
    "person-pinball": [640, 512, [], "e21d", ["M624 0h-96C519.2 0 512 7.162 512 16v42.81c0 3.439 .5547 6.855 1.643 10.12l40.79 122.4L253.8 244.1c-.002-.0039 .002 .0039 0 0C255.1 248.4 256 252.1 256 256c0 17.67-14.33 32-32 32L192 287.1v208C192 504.8 199.2 512 208 512h32C248.8 512 256 504.8 256 496V384h320v112c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-15.1V16C640 7.162 632.8 0 624 0zM80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM280 328C266.7 328 256 317.3 256 304c0-13.26 10.75-24 24-24S304 290.7 304 304C304 317.3 293.3 328 280 328z", "M224 224H163.8L129 154.5C120.8 138.2 104.4 128 86.13 128L48 127.1c-26.47 0-48 21.53-48 47.1V281C0 300 8.375 317.9 23.03 330.2L96 391V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-89c0-19-8.375-36.91-23.03-49.19L96 307.7V231.5l19.38 38.78C120.8 281.2 131.9 288 144 288H224c17.67 0 32-14.33 32-32C256 238.3 241.7 224 224 224zM0 352.1V480c0 17.67 14.33 32 32 32s32-14.33 32-32v-74.01l-61.52-51.27C1.551 353.9 .8945 352.9 0 352.1z"]],
    "person-praying": [384, 512, [128720, "pray"], "f683", ["M255.1 128c35.38 0 63.1-28.62 63.1-64s-28.62-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128z", "M225.4 297.8c14 16.75 39 19.12 56.01 5.25l88.01-72c17-14 19.5-39.25 5.625-56.38c-14-17.12-39.25-19.5-56.38-5.625L261.3 216l-39-46.25c-15.38-18.38-39.13-27.88-64.01-25.38c-24.13 2.5-45.25 16.25-56.38 37l-49.38 92C29.13 317 43.88 369.8 86.76 397.1L131.5 432H40C17.88 432 0 449.9 0 472S17.88 512 40 512h208c34.13 0 53.76-42.75 28.25-68.25L166.4 333.9L201.3 269L225.4 297.8z"]],
    "person-pregnant": [320, 512, [], "e31e", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M164.1 128.3C199.8 131.2 229.5 157.6 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 319.1V352C320 369.7 305.7 384 288 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V382.1C74.2 379.4 64 366.9 64 352V296.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C77.84 149.6 103.2 133 131.5 128.1C135.6 128.3 139.8 128 144 128H160C161.4 128 162.8 128.1 164.1 128.3L164.1 128.3z"]],
    "person-rays": [512, 512, [], "e54d", ["M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM248 352V480C248 497.7 233.7 512 216 512C198.3 512 184 497.7 184 480V256.9L155.4 304.5C146.3 319.6 126.7 324.5 111.5 315.4C96.37 306.3 91.47 286.7 100.6 271.5L158.8 174.6C176.2 145.7 207.4 128 241.1 128H270.9C304.6 128 335.8 145.7 353.2 174.6L411.4 271.5C420.5 286.7 415.6 306.3 400.5 315.4C385.3 324.5 365.7 319.6 356.6 304.5L328 256.9V480C328 497.7 313.7 512 296 512C278.3 512 264 497.7 264 480V352L248 352z", "M120.1 87.03C130.3 96.4 130.3 111.6 120.1 120.1C111.6 130.3 96.4 130.3 87.03 120.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L120.1 87.03zM471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L424.1 120.1C415.6 130.3 400.4 130.3 391 120.1C381.7 111.6 381.7 96.4 391 87.03L471 7.029zM7.029 471L87.03 391C96.4 381.7 111.6 381.7 120.1 391C130.3 400.4 130.3 415.6 120.1 424.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM391 424.1C381.7 415.6 381.7 400.4 391 391C400.4 381.7 415.6 381.7 424.1 391L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L391 424.1z"]],
    "person-rifle": [576, 512, [], "e54e", ["M336 512H144V337.7L90.44 428.3C79.21 447.4 54.68 453.7 35.66 442.4C16.64 431.2 10.33 406.7 21.57 387.7L97.7 258.8C122.2 217.4 166.7 192 214.8 192H265.2C290.6 192 315 199.1 336 211.9L336 512zM160 80C160 35.82 195.8 0 240 0C284.2 0 320 35.82 320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80z", "M448 .0003C456.8 .0003 464 7.164 464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400H484L507 492.1C509.6 502.2 501.9 512 491.5 512H432C423.2 512 416 504.8 416 496V400H400C382.3 400 368 385.7 368 368V224C368 206.3 382.3 192 400 192V160C400 148.2 406.4 137.8 416 132.3V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0L448 .0003z"]],
    "person-running": [448, 512, [127939, "running"], "f70c", ["M129.8 317.5L114.9 352H48c-17.62 0-32 14.38-32 32s14.38 32 32 32h77.5c19.25 0 36.5-11.5 44-29.12l8.875-20.5l-10.75-6.25C150.4 349.9 137.6 334.8 129.8 317.5z", "M288 96c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S261.5 96 288 96zM400 224h-44l-26.12-53.25c-12.5-25.5-35.38-44.25-61.75-51L197 98.63C189.5 96.84 181.1 95.97 174.5 95.97c-20.88 0-41.33 6.81-58.26 19.78L76.5 146.3C68.31 152.5 64.01 162 64.01 171.6c0 17.11 13.67 32.02 32.02 32.02c6.808 0 13.67-2.158 19.47-6.616l39.63-30.38c5.92-4.488 13.01-6.787 19.53-6.787c2.017 0 3.981 .2196 5.841 .6623l14.62 4.25l-37.5 87.5C154.1 260.3 152.5 268.8 152.5 277.2c0 22.09 11.49 43.52 31.51 55.29l85 50.13l-27.5 87.75c-.9875 3.174-1.458 6.388-1.458 9.55c0 13.65 8.757 26.31 22.46 30.58C265.6 511.5 268.9 512 272 512c13.62 0 26.25-8.75 30.5-22.5l31.75-101c1.211-4.278 1.796-8.625 1.796-12.93c0-16.57-8.661-32.51-23.55-41.44l-61.13-36.12l31.25-78.38l20.25 41.5C310.9 277.4 327.9 288 345.1 288H400c17.62 0 32-14.38 32-32C432 238.3 417.6 224 400 224z"]],
    "person-seat": [384, 512, [], "e21e", ["M144 96c26.51 0 48-21.49 48-48s-21.49-48-48-48S96 21.49 96 48S117.5 96 144 96zM192 384H128c-35.3 0-64-28.72-64-64V160c0-17.69-14.33-32-32-32S0 142.3 0 160v160c0 70.59 57.42 128 128 128h64c17.67 0 32-14.31 32-32S209.7 384 192 384z", "M352 416h-19.75l-12.5-99.97C317.8 300 304.1 288 288 288h-96V256h64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32h-64V176C192 149.5 170.5 128 144 128S96 149.5 96 176v128C96 330.5 117.5 352 144 352c1.826 0 3.559-.3398 5.332-.5391C150.3 351.5 151.1 352 152 352h107.8l12.5 99.97C274.3 467.1 287.9 480 304 480H352c17.67 0 32-14.31 32-32S369.7 416 352 416z"]],
    "person-seat-reclined": [448, 512, [], "e21f", ["M144 96c26.51 0 47.1-21.49 47.1-48S170.5 0 144 0S96.01 21.49 96.01 48S117.5 96 144 96zM248 384H159.7c-30.78 0-57.23-21.97-62.91-52.22L63.46 154.1C60.19 136.7 43.52 125.3 26.11 128.6C8.739 131.8-2.698 148.5 .5523 165.9l33.31 177.7C45.21 404.1 98.11 448 159.7 448h88.34c17.67 0 31.1-14.31 31.1-32S265.7 384 248 384z", "M416 416h-25.83l-40.2-107.3C345.3 296.3 333.3 288 320 288H221.8L215.8 256h80.17c17.67 0 31.1-14.33 31.1-32c0-17.67-14.33-32-31.1-32H203.8L199.2 167.2C194.3 141.1 169.3 123.9 143.2 128.8C117.1 133.7 99.94 158.8 104.8 184.8l23.1 128C133.1 335.9 153.3 352 175.1 352c1.82 0 3.685-.2969 5.539-.5059C182.4 351.6 183.1 352 184 352h113.8l40.2 107.3C342.7 471.7 354.7 480 368 480h47.1c17.67 0 31.1-14.31 31.1-32S433.7 416 416 416z"]],
    "person-shelter": [512, 512, [], "e54f", ["M296 168C296 190.1 278.1 208 256 208C233.9 208 216 190.1 216 168C216 145.9 233.9 128 256 128C278.1 128 296 145.9 296 168zM224 512C210.7 512 200 501.3 200 488V313.5L173.1 363.4C166.8 375 152.3 379.4 140.6 373.1C128.1 366.8 124.6 352.3 130.9 340.6L168.7 270.3C184.1 241.8 213.9 224 246.2 224H265.8C298.1 224 327.9 241.8 343.3 270.3L381.1 340.6C387.4 352.3 383 366.8 371.4 373.1C359.7 379.4 345.2 375 338.9 363.4L312 313.5V488C312 501.3 301.3 512 288 512C274.7 512 264 501.3 264 488V400H248V488C248 501.3 237.3 512 224 512V512z", "M240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2C505.8 137.9 512 148.5 512 160V480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480V178.6L256 68.86L64 178.6V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V160C0 148.5 6.153 137.9 16.12 132.2L240.1 4.216z"]],
    "person-sign": [512, 512, [], "f757", ["M501.5 66.65l-67.7-24.63L439.2 27c3-8.25-1.25-17.5-9.498-20.5l-15-5.5c-8.375-3-17.5 1.25-20.5 9.625L388.7 25.65l-67.63-24.62c-8.375-3-17.5 1.219-20.5 9.594l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l67.62 24.62l-46.08 126.9c-3 8.375 1.331 17.51 9.706 20.51l14.92 5.495c8.25 3 17.5-1.25 20.5-9.625l44.4-127.5l69.39 25.24c8.375 3 17.5-1.25 20.5-9.625l43.66-120.2C514.1 78.77 509.7 69.77 501.5 66.65zM143.1 .021c-26.38 0-47.1 21.51-47.1 48.01s21.5 48 47.1 48S191.1 74.53 191.1 48.03S170.4 .021 143.1 .021z", "M228.1 241.3c7 7 15.62 12.25 25 15.5l46.13 15.38L320.1 212l-47.75-16L223.9 146.8C211.7 134.6 195.7 127.9 178.7 127.9H115.8c-24.37 0-46.28 13.6-57.16 35.35l-55.25 110.5c-7.875 15.75-1.5 35 14.38 42.88C22.25 318.9 27.25 320 31.1 320c11.75 0 23-6.5 28.62-17.75l19.38-38.63v54.75l-15.88 158.4c-1.75 17.62 11.16 33.38 28.66 35C93.78 511.9 94.91 512 95.91 512c16.25 0 30.09-12.25 31.84-28.75L140.9 352h15.38l35.75 71.5V480c0 17.75 14.25 32 31.1 32c17.75 0 32-14.25 32-32v-56.5c0-9.875-2.25-19.75-6.75-28.62l-41.12-82.5V221.3L228.1 241.3z"]],
    "person-simple": [256, 512, [], "e220", ["M128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128z", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160z"]],
    "person-skating": [448, 512, ["skating"], "f7c5", ["M399.1 448c-8.752 0-16 7.25-16 16S376.7 480 367.1 480h-96.01c-8.75 0-16 7.25-16 16s7.252 16 16 16h96.01c26.5 0 48.01-21.5 48.01-48C415.1 455.3 408.7 448 399.1 448zM129.1 451.9c-11.34 0-11.2 9.36-22.65 9.36c-4.074 0-8.163-1.516-11.21-4.625l-67.98-67.89c-3.063-3.125-7.165-4.688-11.27-4.688c-4.102 0-8.203 1.562-11.27 4.688C1.563 391.8-.0001 395.9-.0001 400s1.563 8.203 4.688 11.27l67.88 67.98c9.377 9.375 21.59 14 33.96 14c13.23 0 38.57-8.994 38.57-25.36C145.1 456.7 135.2 451.9 129.1 451.9z", "M173.8 276.8L80.2 370.5c-6.251 6.25-9.376 14.44-9.376 22.62c0 24.75 22.57 32 31.88 32c8.252 0 16.5-3.125 22.63-9.375l91.89-92l-30.13-30.12C182.1 288.6 177.7 282.9 173.8 276.8zM332.6 96.03L127.1 96C110.2 96 95.96 110.3 95.96 128s14.24 32 31.99 32h105.5L213.3 177.3C192.2 195.3 191 218.1 191 225.9c0 16.93 6.8 33.22 18.68 45.1l78.26 78.25V432c0 17.75 14.25 32 32 32s32-14.25 32-32v-89.38c0-12.62-5.125-25-14.13-33.88l-61.01-61c.5-.5 1.25-.625 1.75-1.125l82.26-82.38c7.703-7.702 11.76-17.87 11.76-28.25C372.6 113.1 354.8 96.03 332.6 96.03zM399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96C426.5 96 448 74.5 448 48S426.5 0 399.1 0z"]],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", ["M511.1 205.7c0-.1252 .0637-1.063 .0637-2.631c0-8.303-1.841-32.1-25.06-32.1c-14.45 0-24.08 12.03-24.08 24.11c0 4.072 1.002 5.566 1.002 11.84c0 16.57-8.796 32.25-22.71 40.21L12.95 466.7c-8.232 4.275-12.95 12.61-12.95 21.26C-.0002 506.7 17.18 512 24.06 512c2.305 0 6.381-.3578 10.97-2.733l429.2-220.9C494.1 271.1 511.1 239.4 511.1 205.7z", "M311.1 96.01L127.1 96.01c-17.67 0-32 14.33-32 31.99S110.3 160 127.1 160h97.5l-58.88 76.48c-3.401 4.397-62.62 144.3-62.62 155.3c0 8.474 3.402 16.76 9.734 22.89l60.27-30.99l44.88-108.1l121.4-110.5c7.511-7.499 11.78-17.64 11.78-28.25C352 113.9 334.1 96.01 311.1 96.01zM399.1 0c-26.51 0-48 21.49-48 48S373.5 96 399.1 96s48-21.49 48-48S426.5 0 399.1 0z"]],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", ["M255.1 0H223.1L223.1 183.9L255.1 175.9L255.1 0zM191.6 381.3c10.06-3.353 16.43-12.66 16.43-22.71c0-13.29-10.75-24.15-23.99-24.15c-2.511 0-5.147 .4142-7.661 1.252l-18.39 6.231c-4.16 1.382-8.404 2.053-12.59 2.053c-15.06 0-29.35-8.557-36.15-22.78L45.69 188.2C41.58 179.6 32.97 174.6 24.02 174.6c-13.48 0-24.02 10.98-24.02 24.05c0 3.458 .7301 6.975 2.321 10.3l63.64 132.1c14.71 30.53 45.61 49.96 79.51 49.99C158 391.9 162.5 390.1 191.6 381.3zM488 287.1c-11.97 0-23.95 8.059-23.1 23.92c-.0488 13.94-8.7 26.38-21.77 31.26L111.6 465.4c-10.13 3.297-16.57 12.56-16.57 22.62c0 2.449 .3821 4.944 1.186 7.411c3.3 10.13 12.7 16.57 22.81 16.57c1.873 0 5.281-.2175 9.175-1.826l330.5-121.9C490.7 376.4 511.9 345.9 512 311.9C512 295.1 500 287.1 488 287.1z", "M319.9 247.1c0-9.822-4.513-19.17-12.3-25.17c-5.629-4.446-12.62-6.779-19.64-6.779c-2.649 0-5.233 .3286-7.851 1.005L211.8 234L187.7 180.3C179.7 162.6 162.2 152 143.9 152c-37.34 0-48.03 34.2-48.03 48.03c0 6.593 1.387 13.31 4.266 19.71l27.79 68.03c6.553 15.84 17.87 24.41 31.3 24.41c2.748 0 5.562-.3526 8.466-1.083l88.2-22.11v123.2l63.98-23.72L319.9 247.1zM159.1 79.98c0-26.49-21.5-47.99-48.01-47.99S63.96 53.48 63.96 79.98s21.5 47.99 48.01 47.99S159.1 106.5 159.1 79.98z"]],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", ["M511.1 469.1c0-12.73-10.17-23.95-23.89-23.95c-19 0-19.16 19.11-46.15 19.11c-5.476 0-10.89-1.101-15.87-3.389L35.95 258.8C32.18 256.6 28.05 255.5 23.98 255.5c-9.602 0-23.98 7.503-23.98 23.99c0 6.176 2.88 16.75 13.99 21.85l390.1 202.5c11.55 5.339 24.37 8.119 37.08 8.119l0 0C480.7 512 511.1 486.8 511.1 469.1zM94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6l26.16 23.01L109.3 114.1c5.604 2.858 11.68 4.258 17.71 4.258c8.954 0 17.83-3.081 25-9.059l215.9 109.8c-7.453-5.791-13.14-13.71-16.1-22.68l-10.75-28.99l-175.5-87c.0122-.398 .0182-.7953 .0182-1.192c0-14.44-8.025-27.73-20.88-34.42L133.7 66.51l-34.53-7.002c-.3626-.0796-.6031-.0793-.9653-.0793c-3.565 0-5.318 3.168-5.318 5.223C92.85 67.26 94.63 68.55 94.63 68.6z", "M480 224.1c0-11.77-6.512-23.06-17.74-28.7l-52.03-26.1l-17.12-51.15c-6.499-19.42-28.92-44.16-60.06-44.16c-7.648 0-15.84 1.505-24.43 4.934L227.4 111.3l113.7 56.09l10.75 28.99c3.979 12.06 12.49 21.1 23.86 27.65l58.06 28.98c4.554 2.228 9.373 3.284 14.12 3.284C465.4 256.3 480 242.1 480 224.1zM293.1 215.8l-106.1-53.1C185.6 165.8 185.4 169 185.4 172.2c0 16.66 6.536 32.83 18.42 44.86l75.03 75.21l-45.88 68.76l57.32 29.61l49.15-73.82c5.419-8.12 8.09-17.42 8.09-26.63c0-12.38-4.807-24.63-14.09-33.9L293.1 215.8zM432.1 96.02c26.46 0 47.99-21.5 47.99-48.01C480.1 21.49 458.5 0 432.1 0c-26.46 0-47.98 21.49-47.98 48.01C384.1 74.52 405.6 96.02 432.1 96.02z"]],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", ["M575.8 443.7c0-15.56-7.674-27.62-23.78-27.67c-13.25 0-24 10.75-24 24c-.0391 13.24-10.76 23.96-24 24h-69.5L460 285.6c-3.798 1.539-7.869 2.284-11.97 2.284C448 287.9 427.3 288 427.3 288l-25.16 176H99.5l52.21-260.9C149.2 203.7 146.7 203.1 144.1 203.1c-8.653 0-17.17-3.477-23.29-9.903L66.88 464H24C10.75 464 0 474.7 0 488S10.75 512 24 512h480C550.3 511.9 575.8 472 575.8 443.7z", "M186.3 332.1l-62.48 131.7h70.86l43.1-90.97l-21.99-12.1C204.1 352.9 194.1 343.4 186.3 332.1zM448 224l-43.9-.0393l-26.11-53.22c-12.49-25.48-35.47-44.18-61.75-50.87l-71.22-21.15c-7.466-1.806-15.06-2.693-22.59-2.693c-20.83 0-41.31 6.79-58.16 19.72L124.6 146.2C116.3 152.5 111.1 162 111.1 171.6c0 17.03 13.6 32.32 32.15 32.32c12.99 0 20.96-7.649 22.79-9.491l36.38-27.89c5.864-4.492 12.89-6.771 19.38-6.771c2.029 0 3.999 .2038 5.878 .6556l14.73 4.383L205.8 252.2C202.3 260.4 200.7 268.9 200.7 277.3c0 22.06 11.41 43.35 31.41 55.22l84.97 50.15l-25.49 81.2h66.98l23.6-75.48c1.213-4.32 1.805-8.705 1.805-13.03c0-16.62-8.635-32.46-23.41-41.34l-61.21-36.1l31.32-78.23l20.26 41.36c8.113 16.39 24.83 26.8 43.11 26.89l54.02-.0223c17.66 0 32.01-14.31 32.01-31.97C480 238.3 465.7 224 448 224zM336 96C362.5 96 384 74.51 384 48S362.5 0 336 0S288 21.49 288 48S309.5 96 336 96z"]],
    "person-sledding": [512, 512, ["sledding"], "f7cb", ["M512 437.1c0-12.92-10.35-23.97-23.91-23.97c-18.94 0-19.24 19.1-46.18 19.1c-5.477 0-10.9-1.101-15.88-3.389L34.98 226.7C31.45 224.9 27.68 223.1 23.97 223.1c-14.07 0-23.97 11.55-23.97 23.99c0 8.681 4.725 17.04 12.98 21.3l391.9 202.6c11.57 5.337 24.36 8.117 37.1 8.117l0 0C480.8 480 512 454.7 512 437.1z", "M352.1 256h-50.86l46.12-46.12c7.124-7.141 14.07-18.7 14.07-33.81c0-26.47-21.47-48.04-47.95-48.08H160c-17.67 0-32 14.33-32 32s14.33 32 32 32h82.78L169.4 265.4C165.1 268.8 160.4 275.9 160.4 287.2c0 1.516 .1059 3.034 .3184 4.54L215.6 320l104.5 .02v53.98l56.89 29.39c4.199-5.4 7.232-11.85 7.232-19.35l-.0003-96.02C384.1 270.3 369.8 256 352.1 256zM400 32c-26.51 0-48.01 21.49-48.01 48s21.5 48 48.01 48s48.01-21.49 48.01-48S426.5 32 400 32z"]],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", ["M496 481.1c0-18.62-17.14-23.96-24.06-23.96c-3.388 0-6.715 .7166-9.998 2.248c-.0004 0 0 .0001 0 0c0-.0002-.0003 0 0 0c.0001 0 0-.0001 0 0c0 .0001 .0004-.0004 0 0c-5.172 2.437-10.85 3.662-16.49 3.662c-4.463 0-8.887-.7627-13.13-2.324L67.6 328.9C41.34 319.4 48.8 295 23.97 295c-18.84 0-23.97 17.37-23.97 24.09c0 8.423 13.33 41.29 51.13 54.88l364.1 132.8C418.1 507.8 430.4 512 445.7 512C454.7 512 496 509.4 496 481.1z", "M511.1 224c0-9.738-4.417-19.37-12.8-25.65l-111.5-83.48c-13.76-10.32-29.11-18.35-45.42-23.79l-63.66-21.23l-26.12-52.12C246.8 7.238 235.8 1.202 224.5 1.202c-24.82 0-32.04 22.62-32.04 32.03c0 4.404 .9153 8.88 2.849 13.16l29.12 58.12c5.691 11.35 15.62 19.96 27.67 23.98l16.45 5.522L227.3 154.6C205.6 165.4 191.9 187.6 191.9 211.8L191.9 264.9L117.8 289.6C104.4 294.1 95.95 306.5 95.95 319.9c0 14.07 8.819 21.76 10.33 23.09l23.96 8.68c2.645-.0801 5.26-.523 7.793-1.292l85-28.38c19.56-6.511 32.77-24.87 32.77-45.48l0-20.53l60.51 45.27l-19.66 92c-.3806 1.956-.5923 3.932-.5923 5.911c0 4.837 1.147 9.66 3.333 14.01l42.27 15.31c9.035-4.113 15.6-12.21 17.78-21.89l21.88-101.1c.704-3.321 1.05-6.691 1.05-10c0-14.91-6.957-29.19-19.17-38.4l-52.01-39l66.01-30.5l83.52 62.88c5.763 4.321 12.52 6.393 19.22 6.393C497.5 256 511.1 241.9 511.1 224zM431.9 95.99c26.52 0 48-21.49 48-47.1S458.5 0 431.9 0s-48 21.49-48 47.1S405.4 95.99 431.9 95.99z"]],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", ["M288 48C288 74.51 266.5 96 240 96C213.5 96 192 74.51 192 48C192 21.49 213.5 0 240 0C266.5 0 288 21.49 288 48zM106.7 220.6L141.1 154.1C153.1 133.1 174.8 120 198.5 120H199.4C215.3 120 230.5 125.9 242.3 136.4L304 192H360L312 256H298.5C281.5 256 265.3 249.3 253.3 237.3L224 208L192 256L264 288H112C97.35 268.5 95.29 242.2 106.7 220.6L106.7 220.6zM450 416H480L500 402.7L546 464H566.1L599 431C608.4 421.7 623.6 421.7 632.1 431C642.3 440.4 642.3 455.6 632.1 464.1L592.1 504.1C588.5 509.5 582.4 512 576 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H486L450 416zM0 464C0 437.5 21.49 416 48 416H272C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464z", "M419.8 177.9L567.2 251.6C572.6 254.3 576 259.8 576 265.9V343.4C576 348.8 573.3 353.8 568.9 356.7L480 416H336C321.4 396.6 298.2 384 271.1 384H47.1C43.83 384 39.74 384.3 35.75 384.9C35.6 379.9 36.66 374.7 39.16 369.7L71.16 305.7C76.58 294.8 87.66 287.1 99.78 287.1H288L367.9 181.5L330.5 106.7C324.6 94.88 329.4 80.46 341.3 74.53C353.1 68.61 367.5 73.41 373.5 85.27L419.8 177.9z"]],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", ["M544.3 429.1c-9.498 0-39.52-7.265-64.24-21.83C460.6 418.8 428.6 431.9 384 431.9c-44.53 0-76.47-13.06-96-24.59C268.5 418.9 236.6 431.1 192 431.1s-76.53-13.16-96.03-24.69c-24.6 14.5-54.49 21.84-64.26 21.84c-18.94 0-31.71-15.99-31.71-32.07c0-39.54 44.73-25.83 73.75-52.08c6.264-5.876 14.31-8.901 22.38-8.901c8.156 0 16.34 3.088 22.46 9.245C119.3 345.9 143.4 367.9 192 367.9c64.61 0 71.45-31.81 96.2-31.81c8.16 0 16.28 3.031 22.42 9.188C311.3 345.9 335.4 367.9 384 367.9c64.99 0 71.17-31.79 96.18-31.79c24.1 0 21.08 20.59 69.6 29.48c15.43 2.83 26.25 16.28 26.25 31.42C576 413.3 563.2 429.1 544.3 429.1z", "M95.1 96c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C159.1 124.7 131.3 96 95.1 96zM496 141.9c0-14.58-10.03-27.77-24.84-31.16l-38.59-8.844c-17.06-3.904-34.46-5.837-51.81-5.837c-120.1 0-177.4 85.87-178.1 88.02L179.1 213.3C158.1 241.3 147.4 273.8 145 307.7c12.48 7.748 29.35 12.36 47.38 12.36c63.38 0 54.09-39.67 95.33-40.02c42.54 .3672 31.81 40.02 95.91 40.02c39.27 0 55.72-18.41 62.21-24.83l-140.4-116.1c3.292-1.689 31.66-18.2 75.25-18.2c12.57 0 25.18 1.397 37.53 4.21l38.59 8.844c2.412 .5592 4.824 .8272 7.2 .8272C479.1 173.9 496 161.1 496 141.9z"]],
    "person-through-window": [640, 512, [], "e5a9", ["M279.5 207.4C279.8 207.9 280.1 208.4 280.4 208.9L321.4 271.1H392.5C406.8 271.1 420.3 278.3 429.4 289.3L508.3 384H425L385 336H310.5L394.6 462.2C404.4 476.1 400.5 496.8 385.8 506.6C371 516.4 351.2 512.5 341.4 497.8L196.7 280.7C193.6 290 192 299.1 192 310.2V383.1C192 401.7 177.7 415.1 160 415.1C142.3 415.1 128 401.7 128 383.1V310.2C128 245 167.6 186.5 228.1 162.3C264.3 147.8 288 112.8 288 73.84V64H352V73.84C352 128.5 324.1 178.5 279.5 207.4H279.5zM192 128C192 154.5 170.5 176 144 176C117.5 176 96 154.5 96 128C96 101.5 117.5 80 144 80C170.5 80 192 101.5 192 128z", "M64 64V384H128C128 401.7 142.3 415.1 160 415.1C177.7 415.1 191.1 401.7 192 384H265.5L308.2 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H421.9L379.2 384H576V64H64z"]],
    "person-to-door": [640, 512, [58704], "e433", ["M608 47.84v416c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-176c17.66 0 32-14.34 32-32s-14.34-32-32-32v-176c0-26.5 21.5-48 48-48h96C586.5-.1602 608 21.34 608 47.84z", "M304 95.84c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S277.5 95.84 304 95.84zM145.5 318.9l-14.4 32.9H64c-17.66 0-32 14.34-32 32s14.34 32 32 32h77.54c19.07 0 36.32-11.3 43.97-28.77l9.568-21.86l-15.62-9.76C164.7 346.2 153.2 333.5 145.5 318.9zM416 223.8h-44.22L344.8 169.9c-11.68-23.36-32.32-40.93-57.25-48.7L219.8 100C187.9 90.02 153.1 97.38 127.9 119.4L90.94 151.7C77.63 163.4 76.29 183.6 87.9 196.9c11.65 13.28 31.87 14.62 45.18 3.008l36.99-32.38c8.352-7.295 19.87-9.76 30.46-6.527l-30.95 92.8c-9.344 28.03 1.729 58.85 26.82 74.5l86.21 53.89l-25.41 88.83c-4.832 16.99 4.992 34.72 21.98 39.58c16.99 4.832 34.72-4.992 39.58-21.98l28.67-100.4c5.887-20.57-2.561-42.56-20.71-53.89L270 298.9l28.99-77.38L318.9 261.3c8.129 16.26 24.77 26.53 42.95 26.53H416c17.66 0 32-14.34 32-32S433.7 223.8 416 223.8z"]],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", ["M431.1 0c-40.79 0-74.35 97.75-79.28 223.1l31.28-.0023c17.68 0 32 14.33 32 32s-14.33 31.1-32 31.1l-31.28 .0016c4.93 126.2 38.49 224 79.29 224C476.2 511.1 512 397.4 512 255.1C512 114.6 476.2 0 431.1 0zM272 0C245.5 0 224 21.49 224 48c0 0 0-.002 0 0C224 74.51 245.5 96 272 96c26.51 0 48-21.49 48-47.1S298.6 0 272 0z", "M383.1 223.1l-44.01 .0045l-26.1-53.25c-12.5-25.55-35.45-44.26-61.76-50.98L181 98.64C152.8 91.81 123.2 98.1 100.2 115.8l-39.71 30.47C46.49 156.1 43.87 177.1 54.62 191.1c10.75 14.02 30.85 16.64 44.87 5.891L139.1 166.6c7.658-5.891 17.48-8.031 25.29-6.172l14.69 4.333L141.7 252.2c-12.59 29.58-1.343 63.87 26.31 80.27l84.98 50.18L225.5 470.4c-5.297 16.84 4.114 34.82 20.96 40.11c.0098 .002-.0098-.0039 0 0c16.82 5.314 34.73-4.123 40.05-20.94c.0137-.0449 31.72-101.1 31.72-101.1c5.9-20.93-3.043-43.21-21.71-54.38L235.3 297.1l31.31-78.34l20.26 41.48c8.105 16.41 24.81 26.81 43.11 26.88l53.1-.0045c17.68 0 32-14.32 32-31.1C415.1 238.3 401.7 223.1 383.1 223.1zM113.6 317.5L98.86 351.1l-66.87 .002C14.31 352-.0215 366.3 0 384c.0215 17.64 14.34 31.97 31.99 31.99l77.47-.002c19.21 .0254 36.51-11.44 44.06-29.1l8.828-20.52l-10.64-6.273C134.1 350.1 121.7 335.2 113.6 317.5z"]],
    "person-walking": [320, 512, [128694, "walking"], "f554", ["M100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.1L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7z", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4z"]],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M486.6 454.6C474.1 467.1 453.9 467.1 441.4 454.6L361.4 374.6C348.9 362.1 348.9 341.9 361.4 329.4L441.4 249.4C453.9 236.9 474.1 236.9 486.6 249.4C499.1 261.9 499.1 282.1 486.6 294.6L461.3 320H480C533 320 576 277 576 224C576 170.1 533 128 480 128H352C334.3 128 320 113.7 320 96C320 78.33 334.3 64 352 64H480C568.4 64 640 135.6 640 224C640 312.4 568.4 384 480 384H461.3L486.6 409.4C499.1 421.9 499.1 442.1 486.6 454.6V454.6z"]],
    "person-walking-arrow-right": [640, 512, [], "e552", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4V153.4z"]],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M392 0C405.3 0 416 10.75 416 24V72C416 85.25 405.3 96 392 96C378.7 96 368 85.25 368 72V24C368 10.75 378.7 0 392 0zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4V153.4zM416 168C416 181.3 405.3 192 392 192C378.7 192 368 181.3 368 168V152C368 138.7 378.7 128 392 128C405.3 128 416 138.7 416 152V168zM392 320C405.3 320 416 330.7 416 344V360C416 373.3 405.3 384 392 384C378.7 384 368 373.3 368 360V344C368 330.7 378.7 320 392 320zM416 488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V440C368 426.7 378.7 416 392 416C405.3 416 416 426.7 416 440V488z"]],
    "person-walking-luggage": [512, 512, [], "e554", ["M186.1 371.8C185.4 374.5 184.3 377.2 182.9 379.7L118.9 490.6C110 505.9 90.44 511.1 75.14 502.3L19.71 470.3C4.407 461.4-.8371 441.9 7.999 426.6L71.1 315.7C80.84 300.4 100.4 295.2 115.7 304L170.1 335.4L202.1 280C206.6 272.3 216.3 269.7 223.1 274.1C231.7 278.6 234.3 288.4 229.9 296L186.1 371.8z", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM318.5 199.3C317.6 199.7 316.6 200.1 315.7 200.5L304.6 205.4C289.4 212.2 277.4 224.6 271.2 240.1L269.7 243.9C263.1 260.3 244.5 268.3 228.1 261.7C211.7 255.1 203.7 236.5 210.3 220.1L211.8 216.3C224.2 185.4 248.2 160.5 278.7 146.9L289.7 142C310.5 132.8 332.1 128 355.7 128C400.3 128 440.5 154.8 457.6 195.9L472.1 232.7L494.3 243.4C510.1 251.3 516.5 270.5 508.6 286.3C500.7 302.1 481.5 308.5 465.7 300.6L439 287.3C428.7 282.1 420.6 273.4 416.2 262.8L406.6 239.8L387.3 305.3L436.8 359.4C442.2 365.3 446.1 372.4 448 380.2L471 472.2C475.3 489.4 464.9 506.8 447.8 511C430.6 515.3 413.2 504.9 408.1 487.8L386.9 399.6L316.3 322.5C301.5 306.4 295.1 283.9 301.6 262.8L318.5 199.3zM260.7 398L285.7 335.6C287.8 338.6 290.2 341.4 292.7 344.2L333.4 388.6L318.9 424.8C316.5 430.9 312.9 436.4 308.3 440.9L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L260.7 398z"]],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", ["M445.2 486.1l-117.3-172.6c-3.002 4.529-6.646 8.652-11.12 12c-4.414 3.318-9.299 5.689-14.43 7.307l116.4 171.3c3.094 4.547 8.127 7.008 13.22 7.008c3.125 0 6.247-.8984 8.997-2.773C448.3 504.2 450.2 494.3 445.2 486.1zM143.1 95.1c26.51 0 48.01-21.49 48.01-47.1S170.5 0 144 0S96 21.49 96 48S117.5 95.1 143.1 95.1z", "M96.01 348.1l-31.03 124.2c-4.312 17.16 6.125 34.53 23.28 38.81C90.86 511.7 93.48 512 96.04 512c14.34 0 27.38-9.703 31-24.23l22.04-88.18L96.01 346.5V348.1zM313.6 268.8l-76.78-102.4C218.8 142.3 190.1 128 160 128L135.6 127.1c-36.59 0-69.5 20.33-85.87 53.06L3.387 273.7C-4.518 289.5 1.887 308.7 17.7 316.6c4.594 2.297 9.469 3.375 14.28 3.375c11.75 0 23.03-6.469 28.66-17.69l35.38-70.76v56.45c0 8.484 3.375 16.63 9.375 22.63l86.63 86.63v82.75c0 17.67 14.31 32 32 32s32-14.33 32-32v-82.75c0-17.1-6.656-33.16-18.75-45.25L192 306.8V213.3l70.38 93.88c10.59 14.11 30.62 16.98 44.78 6.406C321.3 303 324.2 282.9 313.6 268.8z"]],
    "peseta-sign": [384, 512, [], "e221", ["M32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160V224zM282.5 224H96V160H282.5C286.1 170 288 180.8 288 192C288 203.2 286.1 213.1 282.5 224zM352 192C352 181 350.9 170.3 348.8 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H348.8C350.9 213.7 352 202.1 352 192z", "M32 64C32 46.33 46.33 32 64 32H192C280.4 32 352 103.6 352 192C352 280.4 280.4 352 192 352H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V64zM96 288H192C245 288 288 245 288 192C288 138.1 245 96 192 96H96V288z"]],
    "peso-sign": [384, 512, [], "e222", ["M32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128V192zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V288zM96 288V224H286.9C283.3 248.9 271.5 271.2 254.4 288H96zM351.3 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H332.8C342.8 268.5 349.2 246.9 351.3 224zM332.8 128H352C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192H351.3C349.2 169.1 342.8 147.5 332.8 128zM96 128H254.4C271.5 144.8 283.3 167.1 286.9 192H95.1L96 128z", "M32 64C32 46.33 46.33 32 64 32H176C273.2 32 352 110.8 352 208C352 305.2 273.2 384 176 384H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V64zM96 320H176C237.9 320 288 269.9 288 208C288 146.1 237.9 96 176 96H96V320z"]],
    "phone": [512, 512, [128379, 128222], "f095", ["M497.3 447.1l9.786-42.41l-175.1-70.4l-27.1 33.18L497.3 447.1zM144.5 207.1L177.6 180.8L107.3 4.884L64.88 14.67L144.5 207.1z", "M507.1 404.7l4.086-17.7c3.405-14.69-4.207-29.69-18.12-35.79L384.6 304.7c-12.78-5.436-27.69-1.774-36.47 8.975l-16.98 20.62L507.1 404.7zM0 54.5c-.0014 252.2 205.2 457.5 457.5 457.5c14.65 0 27.21-9.969 30.46-24.22l9.378-40.66l-193.3-79.63C234.8 333.5 178.5 277.2 144.5 207.1L64.88 14.67L24.22 24.05C9.967 27.32-.0014 39.83 0 54.5zM198.3 163.9c10.78-8.687 14.51-23.67 8.98-36.45L160.8 18.92C154.8 5.017 139.6-2.568 124.1 .8048L107.3 4.884L177.6 180.8L198.3 163.9z"]],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M502.6 54.63L397.3 160H416c17.67 0 32 14.33 32 32s-14.33 32-32 32h-96c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32s32 14.33 32 32v18.75l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0S515.1 42.13 502.6 54.63z"]],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M297.4 169.4L402.8 64H384c-17.67 0-32-14.33-32-32s14.33-32 32-32h96c17.67 0 32 14.33 32 32v96c0 17.67-14.33 32-32 32s-32-14.33-32-32V109.3l-105.4 105.4c-12.5 12.5-32.75 12.5-45.25 0S284.9 181.9 297.4 169.4z"]],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", ["M208 367.5l-27.12-33.16l-175.1 70.4l9.786 42.41L208 367.5zM447.1 14.67l-42.41-9.784L334.4 180.8l33.14 27.17L447.1 14.67z", "M180.9 334.3L163.9 313.7c-8.782-10.75-23.67-14.42-36.45-8.98l-108.5 46.52c-13.91 6.094-21.52 21.14-18.12 35.82l4.082 17.69L180.9 334.3zM487.8 24.05l-40.66-9.383l-79.62 193.3c-34 69.25-90.27 125.5-159.5 159.5l-193.3 79.65l9.382 40.66c3.251 14.25 15.79 24.22 30.45 24.22c252.3 0 457.5-205.2 457.5-457.5C512 39.84 502 27.32 487.8 24.05zM334.4 180.8l70.36-175.9l-17.7-4.083c-14.59-3.373-29.79 4.207-35.79 18.11L304.7 127.4c-5.53 12.78-1.806 27.78 8.974 36.47L334.4 180.8z"]],
    "phone-hangup": [640, 512, [], "e225", ["M25.89 327.6l22.19 35.45l167.6-71.72L211.6 250.4L25.89 327.6zM428.5 250.4l-4.093 40.97l167.5 71.68l22.19-35.45L428.5 250.4z", "M48.08 363.1l9.246 14.78c7.674 12.29 23.11 17.35 36.72 12.04l105.5-42.13c12.39-4.99 20.01-17.59 18.67-30.85L215.7 291.4L48.08 363.1zM631.1 256.5C459.6 85.17 180.4 85.16 8.85 256.5c-9.967 9.954-11.71 25.24-4.23 37.12l21.27 33.99l185.7-77.22c70.19-23.93 146.8-23.91 216.1 .0281l185.6 77.2l21.27-33.99C642.9 281.8 641.1 266.5 631.1 256.5zM421.9 316.9c-1.424 13.22 6.259 25.95 18.71 30.87l105.4 42.1c13.54 5.372 28.1 .2223 36.63-11.98l9.266-14.8l-167.5-71.68L421.9 316.9z"]],
    "phone-intercom": [512, 512, [], "e434", ["M448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM272 416C245.5 416 224 394.5 224 368S245.5 320 272 320s48 21.5 48 48S298.5 416 272 416zM432 416h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 416 432 416zM432 352h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 352 432 352zM448 256H224V96h224V256z", "M80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM368 352h64c8.832 0 16-7.168 16-16S440.8 320 432 320h-64c-8.832 0-16 7.168-16 16S359.2 352 368 352zM432 384h-64c-8.832 0-16 7.168-16 16s7.168 16 16 16h64c8.832 0 16-7.168 16-16S440.8 384 432 384z"]],
    "phone-missed": [640, 512, [], "e226", ["M631.1 376.4c-171.6-171.6-450.7-171.6-622.3 .0085c-9.967 9.969-11.71 25.26-4.23 37.16l52.71 84.3c7.674 12.3 23.11 17.37 36.72 12.06l105.5-42.17c12.39-4.994 20.01-17.6 18.67-30.88l-6.621-66.57c70.19-23.96 146.8-23.95 216.1 .0202l-6.641 66.53c-1.424 13.24 6.26 25.97 18.71 30.9l105.4 42.14c13.54 5.377 28.1 .2285 36.63-11.99l52.73-84.32C642.9 401.6 641.1 386.4 631.1 376.4z", "M112.5 157.1c12.16 5.027 23.31-.0273 29.06-5.781L172.2 121.5l53.71 53.71C246.9 196.2 273.8 211.5 303.3 215.2C343.6 220.2 382.4 206.8 410.5 178.7l128.8-128.8c6.248-6.248 6.248-16.38 0-22.63L516.7 4.686c-6.248-6.248-16.38-6.248-22.63 0l-128.8 128.8c-24.89 24.89-65.61 24.89-90.5 0l-57.28-57.28L248.2 45.52c7.629-7.631 9.922-19.09 5.781-29.06C249.8 6.498 240.1 0 229.3 0H115.1C104.1 0 96 8.953 96 19.1v113.3C96 144.1 102.5 153.8 112.5 157.1z"]],
    "phone-office": [576, 512, [], "f67d", ["M192 0H96C78.38 0 64 14.38 64 32v352c0 17.62 14.38 32 32 32h96c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM368 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C384 391.1 376.9 384 368 384zM368 256h-32C327.1 256 320 263.1 320 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C384 263.1 376.9 256 368 256zM496 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C512 391.1 504.9 384 496 384zM496 256h-32C455.1 256 448 263.1 448 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C512 263.1 504.9 256 496 256z", "M528 32H224v352c0 17.62-14.38 32-32 32H96c-17.62 0-32-14.38-32-32V32H48C21.5 32 0 53.5 0 80v384C0 490.5 21.5 512 48 512h480c26.5 0 48-21.5 48-48v-384C576 53.5 554.5 32 528 32zM384 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM384 304c0 8.875-7.125 16-16 16h-32C327.1 320 320 312.9 320 304v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272V304zM512 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM512 304c0 8.875-7.125 16-16 16h-32C455.1 320 448 312.9 448 304v-32C448 263.1 455.1 256 464 256h32C504.9 256 512 263.1 512 272V304zM512 192h-192V96h192V192z"]],
    "phone-plus": [512, 512, [], "f4d2", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M512 96c0 13.26-10.74 23.1-23.1 23.1H439.1v48C439.1 181.3 429.3 192 416 192c-13.27 0-23.1-10.74-23.1-23.1V119.1H343.1C330.7 119.1 320 109.3 320 96c0-13.26 10.74-23.1 23.1-23.1H392V23.1C392 10.74 402.7 0 416 0s23.1 10.74 23.1 23.1v48h48C501.3 72 512 82.74 512 96z"]],
    "phone-rotary": [512, 512, [9742], "f8d3", ["M506.1 123C436.8 65 347.4 32 256 32S75.25 65 5.875 123C2.125 126.1 0 130.7 0 135.6V192c0 8.875 7.125 16 16 16h70.13c6 0 11.62-3.375 14.25-8.875L128 128c39.88-17.25 83.25-24 128-24S344.1 110.8 384 128l27.62 71.12C414.3 204.6 419.9 208 425.9 208H496C504.9 208 512 200.9 512 192V135.6C512 130.7 509.9 126.1 506.1 123zM256 240c-39.75 0-72 32.25-72 72S216.3 384 256 384s72-32.25 72-72S295.8 240 256 240z", "M475.8 376.6L370.4 192.2C358.1 172.2 337.9 160 314.9 160H197.1c-23 0-44.12 12.25-55.5 32.25l-105.4 184.4C33.5 381.5 32 386.9 32 392.5V448c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-55.5C480 386.9 478.5 381.5 475.8 376.6zM256 384c-39.75 0-72-32.25-72-72S216.3 240 256 240s72 32.25 72 72S295.8 384 256 384z"]],
    "phone-slash": [640, 512, [], "f3dd", ["M271.1 367.5L227.9 313.7C219.2 302.9 204.2 299.2 191.4 304.7L82.92 351.2c-13.91 6-21.49 21.19-18.12 35.79l23.25 100.8C91.32 502 103.8 512 118.5 512c107.4 0 206.1-37.46 284.2-99.65l-88.75-69.56C300.6 351.9 286.6 360.3 271.1 367.5zM551.8 24.06l-100.8-23.25c-14.69-3.406-29.73 4.213-35.82 18.12l-46.52 108.5c-5.438 12.78-1.771 27.67 8.979 36.45l53.82 44.08c-12.27 24.99-27.6 48.23-45.29 69.37l85.07 66.67C536.3 265.1 576 164.6 576 54.51C576 39.85 566 27.31 551.8 24.06z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.84 3.156 5.121 9.188C-3.066 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1z"]],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", ["M284.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C265.5 228.4 272 241.8 272 255.1s-6.5 27.62-17.81 36.88c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C307.1 311.6 320 284.6 320 255.1S307.1 200.4 284.6 181.9zM345.1 107.1c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C348.6 172.9 368 213.3 368 255.1s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C390.2 367.1 416 313.1 416 255.1S390.2 144.9 345.1 107.1zM406.4 33.14c-10.22-8.344-25.34-6.875-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C431.9 116.1 464 183.8 464 255.1s-32.09 139.9-88.06 185.7c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C473.5 423.8 512 342.6 512 255.1S473.5 88.14 406.4 33.14z", "M176 352.5c-3.945-9.963-14.14-16.11-24.73-14.97l-53.24 5.314C78.89 286.7 78.89 225.4 98.06 169.3L151.3 174.6c10.63 1.07 20.72-5.025 24.71-14.94l33.75-84.38C214 64.35 209.1 52 200.2 45.86l-67.47-42.17C123.2-2.289 110.9-.8945 102.9 7.08C-34.32 144.3-34.31 367.7 102.9 504.9c7.982 7.984 20.22 9.379 29.75 3.402l67.48-42.19c9.775-6.104 13.9-18.47 9.598-29.3L176 352.5z"]],
    "phone-xmark": [512, 512, [], "e227", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M483.9 163.9c-9.375 9.375-24.56 9.376-33.94-.0005l-33.94-33.94l-33.94 33.94c-9.376 9.376-24.57 9.374-33.94-.0005c-9.38-9.38-9.374-24.57-.0005-33.94l33.94-33.94l-33.94-33.94c-9.382-9.382-9.374-24.57-.0005-33.94c9.375-9.375 24.56-9.376 33.94 .0005l33.94 33.94l33.94-33.94c9.376-9.376 24.57-9.374 33.94 .0005s9.377 24.56 .0004 33.94l-33.94 33.94l33.94 33.94C493.3 139.3 493.3 154.5 483.9 163.9z"]],
    "photo-film": [640, 512, ["photo-video"], "f87c", ["M591.1 0H239.1C213.5 0 191.1 21.49 191.1 48v256c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-256C640 21.49 618.5 0 591.1 0zM303.1 64c17.68 0 32 14.33 32 32s-14.32 32-32 32C286.3 128 271.1 113.7 271.1 96S286.3 64 303.1 64zM574.1 279.6C571.3 284.8 565.9 288 560 288H271.1C265.1 288 260.5 284.6 257.7 279.3C255 273.9 255.5 267.4 259.1 262.6l70-96C332.1 162.4 336.9 160 341.1 160c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C442.1 98.67 447.1 96 453.3 96c5.348 0 10.34 2.672 13.31 7.125l106.7 160C576.6 268 576.9 274.3 574.1 279.6z", "M352 432c0 8.836-7.164 16-16 16H176c-8.838 0-16-7.164-16-16L160 128H48C21.49 128 .0003 149.5 .0003 176v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48L512 384h-160L352 432zM104 439c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V439zM104 335c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V335zM104 231c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C56 196 60.03 192 65 192h30c4.969 0 9 4.031 9 9V231zM408 409c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9v30c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9V409zM573.3 263.1l-106.7-160C463.7 98.67 458.7 96 453.3 96c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11l-22.35-30.66C351.9 162.4 347.1 160 341.1 160c-5.109 0-9.914 2.441-12.93 6.574l-70 96C255.5 267.4 255 273.9 257.7 279.3C260.5 284.6 265.1 288 271.1 288h288c5.899 0 11.32-3.246 14.11-8.449C576.9 274.3 576.6 268 573.3 263.1z"]],
    "photo-film-music": [640, 512, [], "e228", ["M176 392c-8.836 0-16-7.164-16-16V96H40.2C17.1 96 0 113.1 0 136.2v271.7C0 430.1 17.93 448 40.13 448h249.8c5.904-25.11 25.54-45.43 52.31-56H176zM104 384c0 4.418-3.582 8-8 8H64c-4.418 0-8-3.582-8-8v-32c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V384zM104 288c0 4.418-3.582 8-8 8H64C59.58 296 56 292.4 56 288V256c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V288zM104 192c0 4.418-3.582 8-8 8H64C59.58 200 56 196.4 56 192V160c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V192zM618.9 160.8l-208 69.33C404.4 232.3 400 238.5 400 245.3v172.4C394.9 416.7 389.6 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V319l144-48v82.7C586.9 352.7 581.6 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V176C640 165.1 629.3 157.4 618.9 160.8zM301.3 256L368 255.1V245.3c0-20.69 13.2-38.99 32.83-45.53l104.7-34.9l-41.98-62.97C461.1 98.23 456.9 96 452.4 96c-4.459 0-8.623 2.227-11.09 5.938l-52.29 78.42L370.4 154.8c-2.512-3.445-6.517-5.479-10.77-5.479s-8.262 2.033-10.78 5.479l-58.33 80c-2.955 4.053-3.386 9.424-1.111 13.9C291.7 253.2 296.3 256 301.3 256z", "M564.4 0H235.6C211.5 0 192 19.1 192 44.67v230.7C192 300 211.5 320 235.6 320H368V255.1L301.3 256C296.3 256 291.7 253.2 289.4 248.7c-2.275-4.473-1.846-9.844 1.111-13.9l58.33-80c2.514-3.445 6.518-5.479 10.78-5.479s8.261 2.033 10.77 5.479l18.63 25.55l52.29-78.42C443.8 98.23 447.1 96 452.4 96c4.457 0 8.621 2.227 11.09 5.938l41.98 62.97L608 130.8V44.67C608 19.1 588.5 0 564.4 0zM288 128C270.3 128 256 113.7 256 96s14.33-32 32-32c17.68 0 32 14.33 32 32S305.7 128 288 128z"]],
    "pi": [448, 512, [], "f67e", ["M438.6 361.4c12.5 12.5 12.5 32.75 0 45.25l-18.75 18.75c-14.41 14.38-34.31 22.62-54.63 22.62C322.7 448 288 413.4 288 370.8v-242.7H160v152.4c0 51.75-12.23 103.6-35.38 149.9c-5.609 11.22-16.91 17.69-28.66 17.69c-4.797 0-9.688-1.094-14.28-3.375c-15.81-7.906-22.22-27.12-14.31-42.94C86.11 364.3 96 322.3 96 280.5V128H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h384c17.67 0 32 14.31 32 32s-14.33 32-32 32h-64v242.7c.0156 10.78 14.94 17.06 22.64 9.344l18.73-18.72C405.9 348.9 426.1 348.9 438.6 361.4z", ""]],
    "piano": [512, 512, [], "f8d4", ["M0 480v-128h64v96h384v-96h64v128c0 17.62-14.38 32-32 32H32C14.38 512 0 497.6 0 480z", "M0 352V184.5C0 82.63 82.5 0 184.5 0h15C301.5 0 384 82.63 384 184.5c0 24.25 13.75 46.38 35.38 57.25l57.18 28.47C498.2 281.1 512 303.3 512 327.5V352h-96v56c0 4.375-3.625 8-8 8h-16C387.6 416 384 412.4 384 408V352h-32v56c0 4.375-3.625 8-8 8h-16C323.6 416 320 412.4 320 408V352h-64v56C256 412.4 252.4 416 248 416h-16C227.6 416 224 412.4 224 408V352H192v56C192 412.4 188.4 416 184 416h-16C163.6 416 160 412.4 160 408V352H128v56C128 412.4 124.4 416 120 416h-16C99.63 416 96 412.4 96 408V352H0z"]],
    "piano-keyboard": [576, 512, [127929], "f8d5", ["M576 224v192c0 17.62-14.38 32-32 32H32c-17.62 0-32-14.38-32-32V224h64v160h448V224H576z", "M576 96v128h-128v80c0 8.875-7.125 16-16 16h-32C391.1 320 384 312.9 384 304V224h-64v80c0 8.875-7.125 16-16 16h-32C263.1 320 256 312.9 256 304V224H192v80C192 312.9 184.9 320 176 320h-32C135.1 320 128 312.9 128 304V224H0V96c0-17.62 14.38-32 32-32h512C561.6 64 576 78.38 576 96z"]],
    "pickleball": [576, 512, [], "e435", ["M304 384C304 313.3 361.3 256 432 256C502.7 256 560 313.3 560 384C560 454.7 502.7 512 432 512C361.3 512 304 454.7 304 384zM352 352C343.2 352 336 359.2 336 368C336 376.8 343.2 384 352 384C360.8 384 368 376.8 368 368C368 359.2 360.8 352 352 352zM416 480C424.8 480 432 472.8 432 464C432 455.2 424.8 448 416 448C407.2 448 400 455.2 400 464C400 472.8 407.2 480 416 480zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM512 416C520.8 416 528 408.8 528 400C528 391.2 520.8 384 512 384C503.2 384 496 391.2 496 400C496 408.8 503.2 416 512 416zM448 288C439.2 288 432 295.2 432 304C432 312.8 439.2 320 448 320C456.8 320 464 312.8 464 304C464 295.2 456.8 288 448 288z", "M499.9 141.3C529.1 170.5 535.6 213.7 519.3 249.1C494.4 233.3 464.9 224.1 433.2 224.1C361.1 224.1 300.2 271.5 279.9 336.6L155.7 212.8C149.4 206.6 139.3 206.6 133 212.8C126.8 219.1 126.8 229.2 133.1 235.5L272.1 374.9C272.8 377.9 272.7 380.1 272.7 384.1C272.7 411.8 279.8 437.9 292.3 460.7C283 461.1 273.6 459.6 264.6 455.9L207.9 432.7C184 422.9 156.5 428.4 138.3 446.6L84.44 500.3C68.79 515.9 43.42 515.8 27.78 500.2C12.13 484.7 12.14 459.4 27.79 443.8L81.33 390.4C99.7 372.1 105.2 344.6 95.21 320.7L71.05 262.8C61.08 238.9 66.56 211.3 84.91 193L250.4 28.02C287.9-9.414 348.8-9.414 386.3 28.02L499.9 141.3z"]],
    "pie": [576, 512, [129383], "f705", ["M528.5 302.4l-41.28 123.7C483 439.1 470.8 448 457 448H119.1c-13.88 0-25.1-8.875-30.37-21.88L47.47 302.4c22.32-3.504 36.66-13.48 46.4-20.76C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C491.9 288.9 506.2 298.9 528.5 302.4z", "M544 240c-6.5 0-10.38-1.25-14.5-3.5C494.9 136.1 400.1 64 288 64S81 136.3 46.5 236.5C42.38 238.9 38.5 240 32 240c-17.62 0-32 14.38-32 32s14.38 32 32 32c32 0 49.1-13.5 61.88-22.38C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C493.1 290.5 512 304 544 304c17.62 0 32-14.38 32-32S561.6 240 544 240zM206.3 151.1l-16 32C180.9 202 152.1 187.1 161.7 168.9l16-32C187.2 117.1 215.8 132.3 206.3 151.1zM304 176c0 21.12-32 21.12-32 0v-32c0-21.12 32-21.12 32 0V176zM385.7 183.1l-16-32c-9.5-18.88 19.19-33.14 28.56-14.27l16 32C423.9 187.9 395.1 202 385.7 183.1z"]],
    "pig": [640, 512, [128022], "f706", ["M513.5 32C521.5 32 528 38.48 528 46.47V78.03C528 97.78 518.1 115.8 504.4 127.7C510.8 132.6 517 137.8 522.1 143.3C540.5 127.5 551.4 104.8 551.1 80H592C600.8 80 608 87.16 608 96V112C608 144.8 583.4 171.8 551.7 175.5L558.4 184.6C569.1 199.1 584.1 212.5 602.2 221.1L608 224H616C629.3 224 640 234.7 640 248V344C640 357.3 629.3 368 616 368H572.5C550.3 389.2 522.8 404.2 492.8 411.3L479.8 456.8C475.8 470.5 463.3 480 449 480H416C398.3 480 384 465.7 384 448V416H272V448C272 465.7 257.7 480 240 480H206.1C192.7 480 180.2 470.5 176.2 456.8L154.1 382.4C110.3 357.1 80 310.5 80 256V240C80 151.6 151.6 80 240 80H362.4C376.8 80 391.1 81.33 405.1 83.91C413.2 64.44 430.5 49.47 452.1 44.83L510.5 32.32C511.5 32.11 512.5 32 513.5 32L513.5 32zM476 256C487 256 496 247 496 236C496 224.1 487 216 476 216C464.1 216 456 224.1 456 236C456 247 464.1 256 476 256z", "M47.45 240C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 207.1 47.45 207.1H83.2C81.1 218.3 80 229 80 239.1L47.45 240zM456 236C456 224.1 464.1 216 476 216C487 216 496 224.1 496 236C496 247 487 256 476 256C464.1 256 456 247 456 236z"]],
    "piggy-bank": [576, 512, [], "f4d3", ["M400 96L399.1 96.66C394.7 96.22 389.4 96 384 96H256C239.5 96 223.5 98.08 208.2 102C208.1 100 208 98.02 208 96C208 42.98 250.1 0 304 0C357 0 400 42.98 400 96z", "M512 96L493.2 171.1C509.1 185.9 521.9 203.9 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C502.9 396.1 492.1 406.9 480 416V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H256V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V416C125.1 389.8 101.3 349.8 96.79 304H68C30.44 304 0 273.6 0 236C0 198.4 30.44 168 68 168H72C85.25 168 96 178.7 96 192C96 205.3 85.25 216 72 216H68C56.95 216 48 224.1 48 236C48 247 56.95 256 68 256H99.2C114 182.1 178.6 128 256 128H384C391.8 128 399.5 128.6 407 129.6C424.6 109.1 450.8 96 480 96H512zM424 288C437.3 288 448 277.3 448 264C448 250.7 437.3 240 424 240C410.7 240 400 250.7 400 264C400 277.3 410.7 288 424 288z"]],
    "pills": [576, 512, [], "f484", ["M299.8 226.2c-3.5-3.5-9.5-3-12.38 .875c-45.25 62.5-40.38 150.1 15.88 206.4c56.38 56.25 144 61.25 206.5 15.88c4-2.875 4.25-8.75 .75-12.25L299.8 226.2zM529.5 207.2c-56.25-56.25-143.9-61.12-206.4-15.87C319.1 194.3 318.8 200.3 322.3 203.8l210.9 210.7c3.5 3.501 9.375 3.125 12.25-.75C590.8 351.1 585.9 263.6 529.5 207.2zM112 32C50.12 32 0 82.12 0 143.1V256h224L224 143.1C224 82.12 173.9 32 112 32z", "M224 256l-.0022 111.1c0 61.88-50.12 111.1-112 111.1S0 429.9 0 367.1V256H224z"]],
    "pinata": [512, 512, [], "e3c3", ["M146.5 270.6L176 257.5l29.5 13.12C207.6 271.5 209.8 272 212 272s4.438-.4687 6.5-1.375L251.4 256H240V226L212 238.5L182.5 225.4c-4.125-1.812-8.875-1.812-13 0L140 238.5L112 226v35.03l21.5 9.555C137.6 272.4 142.4 272.4 146.5 270.6zM175.2 401.7c-4.5-2.25-9.812-2.25-14.31 0L136 414.1L112 402.1v35.78l16.84 8.422c4.5 2.25 9.812 2.25 14.31 0L168 433.9l24.84 12.44C195.1 447.4 197.6 448 200 448s4.906-.5625 7.156-1.688L224 437.9V402.1l-24 12.02L175.2 401.7zM510.7 314.7l-25.31 11.69l-28-12.91c-4.25-1.938-9.156-1.938-13.41 0L416 326.4l-27.94-12.91c-4.25-1.938-9.156-1.938-13.41 0l-28 12.91l-27.94-12.91c-4.25-1.938-9.188-1.938-13.44 0l-27.94 12.91l-28-12.91c-4.25-1.938-9.156-1.938-13.41 0L208 326.4L180.1 313.5c-4.25-1.938-9.156-1.938-13.41 0l-28 12.91L112 314.1v35.27l19.94 9.205c4.25 1.938 9.156 1.938 13.41 0l28-12.91l27.94 12.91c4.25 1.938 9.188 1.938 13.44 0l27.94-12.91l28 12.91c4.25 1.938 9.156 1.938 13.41 0L312 345.6l27.94 12.91c4.25 1.938 9.156 1.938 13.41 0l28-12.91l27.94 12.91C411.4 359.5 413.7 360 416 360s4.594-.5 6.719-1.469l27.94-12.91l28 12.91c4.25 1.938 9.156 1.938 13.41 0L512 349.3V328C512 323.4 511.5 319 510.7 314.7zM463.2 401.7c-4.5-2.25-9.812-2.25-14.31 0L424 414.1L400 402.1v35.78l16.84 8.422c4.5 2.25 9.812 2.25 14.31 0L456 433.9l24.84 12.44C483.1 447.4 485.6 448 488 448s4.906-.5625 7.156-1.688L512 437.9V402.1l-24 12.02L463.2 401.7z", "M480.8 446.3L456 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L400 437.9V472c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40v-34.11l-16.84 8.422C488.5 449.7 482.5 447.2 480.8 446.3zM205.5 270.6L176 257.5L146.5 270.6c-4.125 1.812-8.875 1.812-13 0L112 261.1v52.99l26.66 12.31l28-12.91c4.25-1.938 9.156-1.938 13.41 0L208 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l27.94-12.91c4.25-1.938 9.188-1.938 13.44 0l27.94 12.91l28-12.91c4.25-1.938 9.156-1.938 13.41 0L416 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l25.31-11.69C504.4 281.3 475.1 256 440 256H251.4L218.5 270.6C212.9 273.1 207.9 271.7 205.5 270.6zM492.1 358.5c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-6.389 2.912-11.84 .7266-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L312 345.6l-27.94 12.91c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-4.25 1.938-9.188 1.938-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L112 349.3v52.78l24 12.02l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L200 414.1C211.6 408.3 227.4 400 230.2 400h163.6c2.82 0 18.8 8.424 30.19 14.12l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L488 414.1L512 402.1v-52.78L492.1 358.5zM192.8 446.3L168 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L112 437.9V472C112 494.1 129.9 512 152 512h32C206.1 512 224 494.1 224 472v-34.11l-16.84 8.422C200.5 449.7 194.5 447.2 192.8 446.3zM112 226L140 238.5l29.5-13.12c4.125-1.812 8.875-1.812 13 0L212 238.5L240 226V32c0-17.66-14.34-32-32-32s-32 14.34-32 32v32H62.72C28.13 64 0 92.13 0 126.7c0 27.84 18.72 52.66 45.5 60.31L112 206V226zM176 120c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S152 157.3 152 144C152 130.7 162.7 120 176 120z"]],
    "pinball": [448, 512, [], "e229", ["M352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32z", "M145.4 211.6C123.9 194.5 101.9 191.1 90.1 191.1c-49.65 0-90.1 41.71-90.1 93.11c0 39.17 24.13 75.61 62.12 88.44l310.3 104.8c3.349 1.123 6.824 1.677 10.29 1.677c17.94 0 33.3-14.85 33.3-34.3c0-10.24-4.414-20.37-12.85-27.14L145.4 211.6zM96.17 319.7c-17.58 0-31.89-14.31-31.89-31.89c0-17.58 14.31-31.89 31.89-31.89c17.58 0 31.89 14.31 31.89 31.89C128.1 305.4 113.8 319.7 96.17 319.7z"]],
    "pineapple": [512, 512, [], "e31f", ["M404.3 152.3L359.7 107.7c-58.22-58.22-152.6-58.22-210.8 .001L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66c58.22 58.22 152.6 58.23 210.8 .002l105.2-105.2C462.6 304.9 462.6 210.5 404.3 152.3zM164.7 212.7c6.25-6.25 16.38-6.25 22.62 0L208 233.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C216.2 270.4 212.1 272 208 272S199.8 270.4 196.7 267.3l-32-32C158.4 229.1 158.4 218.9 164.7 212.7zM128 352c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L128 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C136.2 350.4 132.1 352 128 352zM251.3 395.3l-32 32C216.2 430.4 212.1 432 208 432s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 393.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S257.6 389.1 251.3 395.3zM331.3 315.3l-32 32C296.2 350.4 292.1 352 288 352s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L288 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S337.6 309.1 331.3 315.3z", "M511.6 98.91c1.574-4.977-1.377-10.39-6.588-12.1L479.8 78.57C489.8 68.28 496 54.31 496 38.85V27.43c0-6.311-5.117-11.43-11.43-11.43h-11.43c-15.01 0-28.56 5.91-38.76 15.38l-7.668-24.24c-1.678-5.305-7-8.309-11.89-6.707c-17.27 5.662-30.42 18.48-37.74 34.55l-18.21-18.19c-3.762-3.756-9.672-3.947-13.2-.4238c-18.73 18.71-22.41 46.97-11.63 71.02c9.059 5.758 17.72 12.38 25.62 20.28l44.66 44.66c7.881 7.881 14.49 16.51 20.23 25.54c24.13 10.87 52.53 7.238 71.31-11.52c3.529-3.523 3.338-9.424-.4258-13.18L478.9 136.7C494.1 129.1 506.2 116 511.6 98.91zM171.3 292.7c-6.25-6.25-16.38-6.25-22.62 0L128 313.4L107.3 292.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C119.8 350.4 123.9 352 128 352s8.188-1.562 11.31-4.688l32-32C177.6 309.1 177.6 298.9 171.3 292.7zM308.7 292.7L288 313.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C279.8 350.4 283.9 352 288 352s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S314.9 286.4 308.7 292.7zM196.7 267.3C199.8 270.4 203.9 272 208 272s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 233.4L187.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L196.7 267.3zM228.7 372.7L208 393.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C199.8 430.4 203.9 432 208 432s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S234.9 366.4 228.7 372.7z"]],
    "pipe": [64, 512, [], "7c", ["M32 512c-17.67 0-32-14.33-32-32V32c0-17.67 14.33-32 32-32s32 14.33 32 32v448C64 497.7 49.67 512 32 512z", ""]],
    "pipe-circle-check": [640, 512, [], "e436", ["M96 384h224.7C320.3 378.7 320 373.4 320 368c0-68.38 39.01-127.7 96-156.8V128H96V384zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM480 96c-17.66 0-32 14.34-32 32v70.62C463.3 194.3 479.4 192 496 192c5.408 0 10.72 .2559 16 .7031V128C512 110.3 497.7 96 480 96z", "M496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM563.9 338.7l-72 80c-2.943 3.264-7.104 5.184-11.49 5.312c-4.385 .0957-8.641-1.568-11.74-4.672l-40-40c-6.24-6.273-6.24-16.38 0-22.66c6.271-6.24 16.38-6.24 22.66 0l28.06 28.1l60.7-67.46c5.92-6.592 16.03-7.104 22.59-1.215C569.3 322 569.8 332.1 563.9 338.7z"]],
    "pipe-collar": [512, 512, [], "e437", ["M476.6 386c22.53-38.11 35.46-82.56 35.46-130S499.1 164.1 476.6 125.9l16.7-16.7c24.99-24.99 24.99-65.5 0-90.5s-65.5-24.99-90.5 0L386.1 35.45c-38.11-22.53-82.56-35.46-130-35.46S164.1 12.92 125.1 35.45L109.3 18.74c-24.99-24.99-65.5-24.99-90.5 0s-24.99 65.5 0 90.5L35.46 125.9C12.94 164.1 .0078 208.5 .0078 255.1s12.93 91.94 35.46 130l-16.7 16.71c-24.99 24.99-24.99 65.5 0 90.5s65.5 24.99 90.5 0l16.7-16.71c38.11 22.53 82.56 35.46 130 35.46s91.94-12.93 130-35.46l16.7 16.71c24.99 24.99 65.5 24.99 90.5 0s24.99-65.5 0-90.5L476.6 386zM64.01 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 463.1 64.01 463.1zM64.01 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 79.99 64.01 79.99zM405 314.5c-16.26 41.34-49.18 74.27-90.53 90.53c-18.11 7.104-37.82 11.01-58.46 11.01s-40.35-3.904-58.46-11.01c-41.34-16.26-74.27-49.19-90.53-90.53c-7.104-18.11-11.01-37.82-11.01-58.46c0-20.64 3.904-40.35 11.01-58.46C123.3 156.2 156.2 123.3 197.5 107c18.11-7.104 37.82-11.01 58.46-11.01s40.35 3.904 58.46 11.01c41.34 16.26 74.27 49.18 90.53 90.53c7.104 18.11 11.01 37.82 11.01 58.46C416 276.6 412.1 296.3 405 314.5zM448 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 463.1 448 463.1zM448 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 79.99 448 79.99z", "M64.01 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 431.1 64.01 431.1zM448 79.99c8.832 0 16-7.168 16-16s-7.168-16-16-16s-16 7.168-16 16S439.2 79.99 448 79.99zM64.01 47.99c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 47.99 64.01 47.99zM448 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S456.8 431.1 448 431.1zM256 127.1c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128s128-57.31 128-128C384 185.3 326.7 127.1 256 127.1z"]],
    "pipe-section": [640, 512, [], "e438", ["M576 128v256H64V128H576z", "M32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM608 96c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C640 110.3 625.7 96 608 96z"]],
    "pipe-smoking": [640, 512, [], "e3c4", ["M640 32c0 17.69-14.31 32-32 32h-26.12c-32.81 0-63 16.47-80.72 44.09L407 252.7c-1.246-2.158-2.855-4.125-5.127-5.554l-54.34-34.21c-2.322-1.463-4.869-2.03-7.432-2.199L448 64c30.06-40.09 77.9-64 127.1-64H608C625.7 0 640 14.31 640 32z", "M401.9 247.1c7.73 4.865 9.747 15.15 4.522 22.65l-117.7 168.8C259.1 484.5 208.8 512 154.1 512H128c-70.69 0-128-57.31-128-128V256c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32v64l69.8-102.6c4.847-7.122 14.45-9.137 21.74-4.545L401.9 247.1z"]],
    "pipe-valve": [512, 512, [], "e439", ["M288 192V147.6l-32-3.553L224 147.6V192H64v256h384V192H288zM288 76.35V64c0-17.66-14.34-32-32-32S224 46.34 224 64v12.35l32 3.553L288 76.35z", "M32 160C14.34 160 0 174.3 0 192v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C64 174.3 49.66 160 32 160zM480 160c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C512 174.3 497.7 160 480 160zM398.2 64.1L256 79.9L113.8 64.1C109.2 63.58 104.7 65.06 101.3 68.06C97.95 71.1 96 75.46 96 80v32c0 4.543 1.951 8.896 5.344 11.94C104.7 126.9 109.2 128.4 113.8 127.9L256 112.1l142.2 15.81c4.512 .5117 9.023-.9609 12.42-3.969C414 120.9 416 116.5 416 112v-32c0-4.545-1.951-8.896-5.344-11.94C407.3 65.06 402.8 63.58 398.2 64.1z"]],
    "pizza": [576, 512, [127829], "f817", ["M477.9 120.4L342.3 256l135.6 135.6c33.37-38.94 50.06-87.29 50.06-135.6C527.9 207.7 511.2 159.3 477.9 120.4zM448.1 304c-17.74 0-31.99-14.25-31.99-31.1C416.1 254.3 430.4 240 448.1 240c17.5 0 31.99 14.25 31.99 32C480.1 289.8 465.6 304 448.1 304zM403.2 108.9c-40.6-40.6-93.67-60.88-146.9-60.87c-54.08 .0188-108.3 21.02-149.1 62.99C68.77 150.6 49.53 203.3 49.53 255.1c0 52.69 19.25 105.4 57.74 145c40.5 41.63 94.02 62.63 147.7 62.99c53.63 .3594 107.4-19.92 148.3-60.86L256.3 256L403.2 108.9zM160.3 288c-17.75 0-32-14.26-32-32.01c0-8.502 3.5-16.75 9.502-22.75c5.969-5.969 14.16-9.199 22.62-9.23c17.69 .0703 31.88 14.28 31.88 31.98C192.3 273.7 178 288 160.3 288zM192 143.1c0-8.502 3.496-16.75 9.498-22.75C207.5 115.2 215.5 111.1 224 111.1c17.75 0 32 14.26 32 32.01S241.7 176 224 176C206.2 176 192 161.7 192 143.1zM288.3 368c0 17.75-14.33 32-32.08 32c-17.75 0-31.92-14.25-31.92-32c0-17.76 14.25-32.01 32-32.01C274 336 288.3 350.3 288.3 368z", "M523.2 100.1c-5.748-7.5-17.25-7.917-23.1-1.167l-21.37 21.42c66.74 77.88 66.74 193.4 0 271.3l21.37 21.37c6.75 6.75 18.25 6.375 23.1-1.125c35.18-46 52.77-100.9 52.78-155.9C576 201.1 558.4 146.1 523.2 100.1zM224 176c17.75 0 32-14.25 32-32S241.7 111.1 224 111.1c-8.502 0-16.5 3.25-22.5 9.254C195.5 127.2 192 135.5 192 143.1C192 161.7 206.2 176 224 176zM403.2 403.1c-81.87 81.88-214.1 81.13-295.1-2.125c-76.99-79.26-76.99-210.8 0-290c80.99-83.25 214.1-84 295.1-2.125l21.1-22c6.373-6.502 6.373-17.38-.5-23.38c-48.08-42.33-108.2-63.49-168.5-63.49C175.3 .0047 94.33 38.27 42.72 114.8C14.28 156.1 .0005 206.5 .0005 255.1c0 49.5 14.28 99.02 42.72 141.2c50.62 75.1 129.4 113.4 208.9 114.8c61.78 1.128 123.1-20.02 173.3-63.45c6.873-6 6.79-16.87 .2923-23.37L403.2 403.1zM448.1 240c-17.74 0-31.99 14.25-31.99 32C416.1 289.8 430.4 304 448.1 304c17.5 0 31.99-14.25 31.99-31.1C480.1 254.3 465.6 240 448.1 240zM160.4 224C151.9 224 143.7 227.3 137.8 233.2c-6.002 6.002-9.502 14.25-9.502 22.75c0 17.75 14.25 32.01 32 32.01c17.75 0 32-14.26 32-32.01C192.3 238.3 178.1 224.1 160.4 224zM256.2 400c17.75 0 32.08-14.25 32.08-32c0-17.76-14.25-32.01-32-32.01c-17.75 0-32 14.25-32 32.01C224.3 385.8 238.4 400 256.2 400z"]],
    "pizza-slice": [512, 512, [], "f818", ["M108.7 80.52L.5101 491.7c-1.375 5.625 .1622 11.6 4.287 15.6c4.127 4.125 10.13 5.744 15.63 4.119l410.8-113.9C423.3 211.1 296.4 86.02 108.7 80.52zM127.1 416c-17.62 0-32-14.37-32-31.1c0-17.62 14.39-32 32.01-32c17.63 0 32 14.38 32 31.1C160 401.6 145.6 416 127.1 416zM175.1 271.1c-17.63 0-32-14.38-32-32c0-17.62 14.38-31.1 32-31.1c17.62 0 32 14.37 32 31.1C208 257.6 193.6 271.1 175.1 271.1zM272 367.1c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-32 32-32c17.63 0 32 14.38 32 32C304 353.6 289.6 367.1 272 367.1z", "M158.9 .1406c-16.13-1.5-31.25 8.501-35.38 24.12L108.7 80.52c187.6 5.5 314.5 130.6 322.5 316.1l56.88-15.75c15.75-4.375 25.5-19.62 23.63-35.87C490.9 165.1 340.8 17.39 158.9 .1406zM127.1 352c-17.62 0-32.01 14.38-32.01 32c0 17.62 14.38 31.1 32 31.1c17.63 0 32.01-14.38 32.01-32C160 366.4 145.6 352 127.1 352zM175.1 207.1c-17.63 0-32 14.37-32 31.1c0 17.62 14.38 32 32 32c17.62 0 32-14.38 32-32C208 222.4 193.6 207.1 175.1 207.1zM272 304c-17.62 0-32 14.38-32 32c0 17.62 14.38 31.1 32 31.1c17.63 0 32-14.38 32-31.1C304 318.4 289.6 304 272 304z"]],
    "place-of-worship": [640, 512, [], "f67f", ["M160 512H48C21.49 512 0 490.5 0 464V375C0 356.2 11.08 339 28.3 331.3L160 272V512zM480 272L611.7 331.3C628.9 339 640 356.1 640 375V464C640 490.5 618.5 512 592 512H480V272z", "M224 201.6V109.3C224 100.8 227.4 92.63 233.4 86.63L308.7 11.32C314.9 5.067 325.1 5.067 331.3 11.32L406.6 86.63C412.6 92.63 416 100.8 416 109.3V201.6L456.7 226C471.2 234.7 480 250.3 480 267.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V267.2C160 250.3 168.8 234.7 183.3 226L224 201.6z"]],
    "plane": [576, 512, [], "f072", ["M214.9 320H365.7L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320zM365.7 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L365.7 192z", "M482.3 192C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 0 377.7 0 369.1C0 368.7 .1818 367.4 .5398 366.1L32 256L.5398 145.9C.1818 144.6 0 143.3 0 142C0 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192L482.3 192z"]],
    "plane-arrival": [640, 512, [128748], "f5af", ["M192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368zM0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480zM224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384z", "M19.51 52.34L55.07 60.24C65.63 62.59 74.29 70.11 78.09 80.24L95.1 127.1L223.3 165.6L181.8 20.4C178.9 10.18 186.6 .0015 197.2 .0015H237.3C248.8 .0015 259.5 6.237 265.2 16.31L374.2 210.2L481.5 241.8C497.4 246.5 512.2 254.3 525.2 264.7L559.6 292.2C583.7 311.4 577.7 349.5 548.9 360.5C507.7 376.1 462.7 378.5 420.1 367.4L121.7 289.8C110.6 286.9 100.5 281.1 92.4 272.9L9.536 189.4C3.606 183.4 .2707 175.3 .2528 166.9L.0425 67.99C.0208 57.74 9.507 50.11 19.51 52.34V52.34z"]],
    "plane-circle-check": [640, 512, [], "e555", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "plane-circle-exclamation": [640, 512, [], "e556", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "plane-circle-xmark": [640, 512, [], "e557", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "plane-departure": [640, 512, [128747], "f5b0", ["M0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480z", "M484.6 62C502.6 52.8 522.6 48 542.8 48H600.2C627.2 48 645.9 74.95 636.4 100.2C618.2 148.9 582.1 188.9 535.6 212.2L262.8 348.6C258.3 350.8 253.4 352 248.4 352H110.7C101.4 352 92.5 347.9 86.42 340.8L13.34 255.6C6.562 247.7 9.019 235.5 18.33 230.8L50.49 214.8C59.05 210.5 69.06 210.2 77.8 214.1L135.1 239.1L234.6 189.7L87.64 95.2C77.21 88.49 78.05 72.98 89.14 67.43L135 44.48C150.1 36.52 169.5 35.55 186.1 41.8L381 114.9L484.6 62z"]],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", ["M215.1 192L165.1 20.48C162.1 10.24 170.7 0 181.3 0H237.6C249 0 259.5 6.045 265.3 15.88L368 192H215.1zM368 320L265.3 496.1C259.5 505.1 249 512 237.6 512H181.3C170.7 512 162.1 501.8 165.1 491.5L215.1 320H368z", "M482.3 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 .0003 377.7 .0003 369.1C.0003 368.7 .1821 367.4 .5402 366.1L23.21 286.8C9.809 282.1 0 270.6 0 255.1C0 241.4 9.809 229 23.21 225.2L.5402 145.9C.1821 144.6 .0003 143.3 .0003 142C.0003 134.3 6.284 127.1 14.03 127.1H56C61.04 127.1 65.78 130.4 68.8 134.4L112 191.1H482.3C516.5 191.1 576 220.1 576 255.1C576 291.1 516.5 319.1 482.3 319.1V320zM293.3 64H320C337.7 64 352 78.33 352 96C352 110.3 342.7 122.3 329.8 126.5L293.3 64zM329.8 385.5C342.7 389.7 352 401.7 352 416C352 433.7 337.7 448 320 448H293.3L329.8 385.5z"]],
    "plane-lock": [640, 512, [], "e558", ["M320 93.68V178.3L421.8 236.4C418 247.6 416 259.6 416 272V296.6C398.1 306.9 385.7 325.7 384.2 347.5L320 329.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "plane-prop": [576, 512, [], "e22b", ["M256 320H344L321.8 497.1C320.8 505.1 313.9 512 305.9 512H270.1C262.1 512 255.2 505.1 254.2 497.1L231.7 317.6L256 320zM254.2 14.02C255.2 6.009 262.1 0 270.1 0H305.9C313.9 0 320.8 6.009 321.8 14.02L344 192H256L231.7 194.4L254.2 14.02z", "M121.7 306.6L113.8 369.1C112.8 377.1 105.9 384 97.88 384H62.12C54.06 384 47.25 377.1 46.25 369.1L35.97 287.8C34.67 287.9 33.34 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C33.34 224 34.67 224.1 35.97 224.2L46.25 142C47.25 134 54.06 128 62.12 128H97.88C105.9 128 112.8 134 113.8 142L121.7 205.4L256 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H256L121.7 306.6zM328 64H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V128H336L328 64zM248 64L240 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H248zM248 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H240L248 448zM328 448L336 384H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V448H328z"]],
    "plane-slash": [640, 512, [], "e069", ["M238.1 161.3L197.8 20.4C194.9 10.17 202.6 0 213.2 0H269.4C280.9 0 291.5 6.153 297.2 16.12L397.7 192H514.3C548.5 192 608 221 608 256C608 292 548.5 320 514.3 320H440.6L238.1 161.3zM41.54 128.7L362.5 381.6L297.2 495.9C291.5 505.8 280.9 512 269.4 512H213.2C202.6 512 194.9 501.8 197.8 491.6L246.9 320H144L100.8 377.6C97.78 381.6 93.04 384 88 384H46.03C38.28 384 32 377.7 32 369.1C32 368.7 32.18 367.4 32.54 366.1L64 256L32.54 145.9C32.18 144.6 32 143.3 32 142C32 135.9 35.1 130.6 41.54 128.7z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "plane-tail": [576, 512, [], "e22c", ["M93.49 308.8L32.8 39.02C28.29 19.02 43.51 0 64.02 0H140.9C158.2 0 174.8 7.025 186.9 19.47L416 256H296.7C288.8 256 280.9 257.1 273.3 259.2L93.49 308.8z", "M544 512H299.7C289.1 512 278.5 510.1 268.5 506.3L72.4 431.9C48.09 422.7 32.01 399.4 32.01 373.4C32.01 345.2 50.81 320.5 77.95 313.1L273.3 259.2C280.9 257.1 288.8 256 296.7 256H544V512zM248 352C234.8 352 224 362.7 224 376C224 389.3 234.8 400 248 400H392C405.3 400 416 389.3 416 376C416 362.7 405.3 352 392 352H248z"]],
    "plane-up": [512, 512, [], "e22d", ["M192 320L21.06 376.1C10.7 380.4 0 372.7 0 361.8V305.1C0 294.4 5.347 284.4 14.25 278.5L192 160V320zM320 160L497.8 278.5C506.7 284.4 512 294.4 512 305.1V361.8C512 372.7 501.3 380.4 490.9 376.1L320 319.1V160z", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400L192 93.68z"]],
    "plane-up-slash": [640, 512, [], "e22e", ["M245.4 167.1L256 160V93.68C256 59.53 285 0 320 0C356 0 384 59.53 384 93.68V160L561.8 278.5C570.7 284.4 576 294.4 576 305.1V361.8C576 372.7 565.3 380.4 554.9 376.1L482.4 352.8L245.4 167.1zM161.3 223.1L445.9 447.3C447.3 449.7 448 452.4 448 455.3V497.1C448 505.7 441.7 512 433.1 512C432.7 512 431.4 511.8 430.1 511.5L320 480L209.9 511.5C208.6 511.8 207.3 512 206 512C198.3 512 192 505.7 192 497.1V456C192 450.1 194.4 446.2 198.4 443.2L256 400V320L85.06 376.1C74.7 380.4 64 372.7 64 361.8V305.1C64 294.4 69.35 284.4 78.25 278.5L161.3 223.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "planet-moon": [576, 512, [], "e01f", ["M448 288c0 123.8-100.3 224-224 224s-224-100.3-224-224c0-31.94 6.783-62.26 18.82-89.75C41.25 225.6 76.71 256 89.75 256h24.1c8.5 0 16.62 3.375 22.62 9.375L192 320v32c0 17.62 14.38 32 32 32v63.13c0 4.5 1.875 8.75 5.25 11.88c3.375 3.001 7.875 4.5 12.38 4c3.5-.375 7-.75 10.38-1.375c9-1.5 16.88-7.25 20.88-15.5l40.38-80.63C317.6 356.6 320 346.9 320 336.9V320c0-17.62-14.38-32-32-32H223.5c-10 0-19.38-3.875-26.38-10.88C185.3 265.3 184.5 246.1 195.5 233.5l49.75-57.38C267.8 142.2 242.8 95.21 220 64.2C221.4 64.18 222.7 64 224 64C347.8 64 448 164.3 448 288z", "M512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM89.75 256h24.1c8.5 0 16.62 3.375 22.62 9.375L192 320v32c0 17.62 14.38 32 32 32v63.13c0 4.5 1.875 8.75 5.25 11.88c3.375 3.001 7.875 4.5 12.38 4c3.5-.375 7-.75 10.38-1.375c9-1.5 16.88-7.25 20.88-15.5l40.38-80.63C317.6 356.6 320 346.9 320 336.9V320c0-17.62-14.38-32-32-32H223.5c-10 0-19.38-3.875-26.38-10.88C185.3 265.3 184.5 246.1 195.5 233.5l49.75-57.38C267.8 142.2 242.8 95.21 220 64.2C129.9 65.79 52.92 120.4 18.82 198.3C41.25 225.6 76.71 256 89.75 256z"]],
    "planet-ringed": [512, 512, [129680], "e020", ["M323.4 323.4c-136.4 136.4-277.2 216.7-314.3 179.5c-23.5-23.47-.01-88.2 54.84-167.1c6.229 14.92 14.7 28.43 24.05 41.37c-9.807 19.82-12.64 34.3-6.399 40.54c18.56 18.56 108.9-41.63 201.7-134.5c92.82-92.82 153-183.1 134.5-201.7c-6.24-6.24-20.72-3.406-40.54 6.401c-12.94-9.348-26.45-17.82-41.37-24.05c78.95-54.85 143.7-78.34 167.1-54.84C540.1 46.19 459.7 186.1 323.4 323.4z", "M412.6 119.4c-38.13-43.69-94.09-71.41-156.6-71.41c-114.9 0-207.1 93.1-207.1 207.1c0 62.54 27.71 118.5 71.4 156.6c39.04-18.52 100.8-66.4 163.8-129.4C346.2 220.2 394.1 158.5 412.6 119.4zM448.1 176.3c-31.97 46.03-74.53 96.85-124.8 147.1s-101.1 92.81-147.1 124.8c24.56 10.21 51.47 15.83 79.73 15.83c114.9 0 207.1-93.1 207.1-207.1C463.1 227.7 458.3 200.8 448.1 176.3z"]],
    "plant-wilt": [512, 512, [], "e5aa", ["M288 512H224V248C224 217.1 198.9 192 168 192C137.1 192 112 217.1 112 248V260.1C102.4 257.7 91.62 256 80 256C68.38 256 57.62 257.7 48 260.1V248C48 181.7 101.7 128 168 128C188.2 128 207.3 133 224 141.8V120C224 53.73 277.7 0 344 0C410.3 0 464 53.73 464 120V132.1C454.4 129.7 443.6 128 432 128C420.4 128 409.6 129.7 400 132.1V120C400 89.07 374.9 64 344 64C313.1 64 288 89.07 288 120V512z", "M512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 155.8 384.9 128 432 128C479.1 128 512 155.8 512 203.1zM160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 283.8 32.92 256 80 256C127.1 256 160 283.8 160 331.1z"]],
    "plate-utensils": [640, 512, [58713], "e43b", ["M221 136.5L206.9 72.86C249.5 42.74 301.3 28.49 353.4 32.58C405.4 36.67 454.3 58.85 491.7 95.26C484.4 115.4 480.6 136.7 480.5 158.1V188.3C469.6 164.9 453.3 144.5 432.8 128.8C412.3 113.2 388.3 102.7 362.9 98.31C337.5 93.93 311.4 95.79 286.9 103.7C262.4 111.6 240.1 125.4 222.1 143.8C221.7 141.4 221.8 139 221 136.5zM426.5 165.5C450.5 189.5 464 222.1 464 255.1C464 281.3 456.5 306.1 442.4 327.1C428.4 348.2 408.4 364.6 384.1 374.3C361.6 383.9 335.9 386.5 311 381.5C286.2 376.6 263.4 364.4 245.5 346.5C227.6 328.6 215.4 305.8 210.5 280.1C205.5 256.1 208.1 230.4 217.7 207C227.4 183.6 243.8 163.6 264.9 149.6C285.9 135.5 310.7 127.1 336 127.1C369.9 127.1 402.5 141.5 426.5 165.5zM538.4 351.6C521.7 387.2 495.9 417.7 463.6 440.1C431.3 462.5 393.6 476.1 354.5 479.3C315.3 482.5 275.9 475.4 240.4 458.6C204.9 441.8 174.4 415.9 152 383.6V260.9C160.7 257.8 169 253.6 176.8 248.4C176.6 250.1 176 253.4 176 255.1C175.1 293.4 189 329.6 212.9 358.4C236.9 387.1 270.1 406.5 306.9 413.3C343.7 420.1 381.6 413.7 414.2 395.3C446.8 376.1 471.9 347.8 485.1 312.8C488.3 320.4 492.1 327.3 498.8 333.2C509.4 343.8 523.5 350.3 538.4 351.6H538.4z", "M130.3 233.8H120V472C120 478.4 117.5 484.5 112.1 488.1C108.5 493.5 102.4 496 96 496C89.63 496 83.53 493.5 79.03 488.1C74.53 484.5 72 478.4 72 472V233.8H61.86C43.86 230.3 27.64 220.7 15.1 206.6C9.007 197.8 4.107 187.6 1.678 176.7C-.7521 165.8-.6475 154.5 1.984 143.6L27.87 26.75C28.63 23.48 30.56 20.59 33.3 18.64C36.04 16.7 39.4 15.83 42.75 16.19C46.09 16.56 49.18 18.14 51.43 20.64C53.69 23.13 54.95 26.37 54.98 29.73V153.2H69.89L84.54 26.21C84.88 23.4 86.23 20.81 88.34 18.93C90.46 17.05 93.19 16.01 96.02 16.01C98.84 16.01 101.6 17.05 103.7 18.93C105.8 20.81 107.2 23.4 107.5 26.21L122.1 153.2H137V29.73C137.1 26.37 138.3 23.13 140.6 20.64C142.8 18.14 145.9 16.56 149.3 16.19C152.6 15.83 155.1 16.7 158.7 18.64C161.4 20.59 163.4 23.48 164.1 26.75L190 143.6C192.7 154.4 192.8 165.7 190.4 176.6C188 187.5 183.1 197.7 176.2 206.5C164.5 220.6 148.3 230.3 130.3 233.8zM624.3 18.08C627.4 19.41 630.3 21.35 632.6 23.79C635 26.22 636.9 29.1 638.2 32.26C639.4 35.43 640 38.8 640 42.21V472C640 478.4 637.5 484.5 632.1 488.1C628.5 493.5 622.4 496 616 496C609.6 496 603.5 493.5 599 488.1C594.5 484.5 592 478.4 592 472V320H544C535.5 320 527.4 316.6 521.4 310.6C515.4 304.6 512 296.5 512 288L512.4 158.2C512.2 128.3 520.8 99 537.3 74.02C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.03 621.2 16.74 624.3 18.07V18.08z"]],
    "plate-wheat": [512, 512, [], "e55a", ["M160 48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112V128C256 136.8 248.8 144 240 144C195.8 144 160 108.2 160 64V48zM32 88C32 74.75 42.75 64 56 64H104C117.3 64 128 74.75 128 88C128 101.3 117.3 112 104 112H56C42.75 112 32 101.3 32 88zM0 160C0 146.7 10.75 136 24 136H136C149.3 136 160 146.7 160 160C160 173.3 149.3 184 136 184H24C10.75 184 0 173.3 0 160zM104 208C117.3 208 128 218.7 128 232C128 245.3 117.3 256 104 256H56C42.75 256 32 245.3 32 232C32 218.7 42.75 208 56 208H104zM368 112V128C368 136.8 360.8 144 352 144C307.8 144 272 108.2 272 64V48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112zM384 48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112V128C480 136.8 472.8 144 464 144C419.8 144 384 108.2 384 64V48zM464 176C472.8 176 480 183.2 480 192V208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V256C384 211.8 419.8 176 464 176zM368 208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V256C272 211.8 307.8 176 352 176C360.8 176 368 183.2 368 192V208zM240 176C248.8 176 256 183.2 256 192V208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V256C160 211.8 195.8 176 240 176z", "M484.2 320C498.1 320 510.4 332.9 508.6 347.6C502.3 397.8 464.2 437 416 446V448C416 465.7 401.7 480 384 480H128C110.3 480 96 465.7 96 448V446C47.84 437 9.725 397.8 3.451 347.6C1.619 332.9 13.05 320 27.82 320H484.2z"]],
    "play": [384, 512, [9654], "f04b", ["", "M361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215z"]],
    "play-pause": [512, 512, [], "e22f", ["M352 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C369.6 448 384 433.7 384 416V96C384 78.33 369.7 64 352 64zM480 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C497.6 448 512 433.7 512 416V96C512 78.33 497.7 64 480 64z", "M52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9c0 27.37 31.88 41.74 52.51 24.62l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41z"]],
    "plug": [384, 512, [128268], "f1e6", ["M128 160H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V160zM320 160H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V160z", "M0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224V256C352 333.4 297 397.1 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z"]],
    "plug-circle-bolt": [576, 512, [], "e55b", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8z"]],
    "plug-circle-check": [576, 512, [], "e55c", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "plug-circle-exclamation": [576, 512, [], "e55d", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "plug-circle-minus": [576, 512, [], "e55e", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "plug-circle-plus": [576, 512, [], "e55f", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "plug-circle-xmark": [576, 512, [], "e560", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "plus": [448, 512, [10133, 61543, "add"], "2b", ["M432 256c0 17.69-14.33 32.01-32 32.01H256v144c0 17.69-14.33 31.99-32 31.99s-32-14.3-32-31.99v-144H48c-17.67 0-32-14.32-32-32.01s14.33-31.99 32-31.99H192v-144c0-17.69 14.33-32.01 32-32.01s32 14.32 32 32.01v144h144C417.7 224 432 238.3 432 256z", ""]],
    "plus-large": [512, 512, [], "e59e", ["M288 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H288V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H224V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V224z", ""]],
    "plus-minus": [384, 512, [], "e43c", ["M352 448H32c-17.69 0-32 14.31-32 32s14.31 31.1 32 31.1h320c17.69 0 32-14.31 32-31.1S369.7 448 352 448z", "M48 208H160v111.1c0 17.69 14.31 31.1 32 31.1s32-14.31 32-31.1V208h112c17.69 0 32-14.32 32-32.01s-14.31-31.99-32-31.99H224v-112c0-17.69-14.31-32.01-32-32.01S160 14.33 160 32.01v112H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208z"]],
    "podcast": [448, 512, [], "f2ce", ["M368 224c0-79.53-64.47-144-144-144S80 144.5 80 224c0 44.83 20.92 84.38 53.04 110.8c4.857-12.65 14.13-25.88 32.05-35.04C165.1 299.7 165.4 299.7 165.6 299.7C142.9 282.1 128 254.9 128 224c0-53.02 42.98-96 96-96s96 42.98 96 96c0 30.92-14.87 58.13-37.57 75.68c.1309 .0254 .5078 .0488 .4746 .0742c17.93 9.16 27.19 22.38 32.05 35.04C347.1 308.4 368 268.8 368 224zM224 0C100.3 0 0 100.3 0 224c0 92.22 55.77 171.4 135.4 205.7c-3.48-20.75-6.17-41.59-6.998-58.15C80.08 340.1 48 285.8 48 224c0-97.05 78.95-176 176-176s176 78.95 176 176c0 61.79-32.08 116.1-80.39 147.6c-.834 16.5-3.541 37.37-7.035 58.17C392.2 395.4 448 316.2 448 224C448 100.3 347.7 0 224 0z", "M224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.3 20.62 132.8C185.8 507.6 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM224 280c30.95 0 56-25.05 56-56S254.1 168 224 168S168 193 168 224S193 280 224 280z"]],
    "podium": [448, 512, [], "f680", ["M400 191.1l-29.12 291.2c-1.636 16.36-15.24 28.82-31.68 28.82H108.8c-16.44 0-30.05-12.46-31.68-28.82L48 191.1H400z", "M448 167.1c0 13.25-10.75 24-24 24h-400C10.75 191.1 0 181.3 0 167.1c0-13.25 10.75-24 23.1-24L79.38 143.1c6.75-53.75 46.5-97.13 98.5-108.8C183.5 14.1 201.1 0 224 0l62.2-.0001c23.21 0 44.5 15.69 48.89 38.48C340.1 69.15 317.6 95.1 288 95.1h-64c-13.25 0-25.25-5.375-33.88-13.1c-32 6.749-56.38 31.12-62.75 61.1L424 143.1C437.3 143.1 448 154.7 448 167.1z"]],
    "podium-star": [448, 512, [], "f758", ["M48 191.1l29.12 291.2c1.636 16.36 15.24 28.82 31.68 28.82h230.4c16.44 0 30.05-12.46 31.68-28.82L400 191.1H48zM304.5 326.7l-32.1 32.1l7.773 45.55c1.5 8.25-7.139 14.37-14.51 10.49L223.1 393.3l-40.77 21.53c-7.25 3.875-16.01-2.242-14.51-10.49l7.772-45.55l-32.94-32.1C137.7 320.8 140.8 310.7 149 309.6L194.7 302.9l20.36-41.4c3.75-7.5 14.29-7.375 17.91 0l20.36 41.4l45.64 6.688C307.2 310.7 310.4 320.8 304.5 326.7z", "M298.9 309.6l-45.64-6.688l-20.36-41.4c-3.625-7.375-14.16-7.5-17.91 0L194.7 302.9L149 309.6c-8.25 1.125-11.37 11.22-5.491 17.1l32.94 32.1l-7.772 45.55c-1.5 8.25 7.264 14.37 14.51 10.49l40.77-21.53l40.77 21.53c7.375 3.875 16.01-2.242 14.51-10.49l-7.773-45.55l32.1-32.1C310.4 320.8 307.2 310.7 298.9 309.6zM424 143.1L127.4 143.1c6.375-30.88 30.75-55.25 62.75-61.1C198.8 90.62 210.8 95.1 224 95.1l62.2 .0001c23.21 0 44.5-15.69 48.89-38.48C340.1 26.85 317.6 0 288 0h-64c-22 0-40.5 15-46.13 35.25c-52 11.62-91.75 55-98.5 108.8L23.1 143.1C10.75 143.1 0 154.7 0 167.1c0 13.25 10.75 24 23.1 24h400c13.25 0 24-10.75 24-24C448 154.7 437.3 143.1 424 143.1z"]],
    "police-box": [384, 512, [], "e021", ["M208 32H176V16C176 7.164 183.2 0 192 0C200.8 0 208 7.164 208 16V32zM128 128V160H96V136C96 131.6 99.58 128 104 128H128zM128 208H104C99.58 208 96 204.4 96 200V176H128V208zM144 128H168C172.4 128 176 131.6 176 136V160H144V128zM176 200C176 204.4 172.4 208 168 208H144V176H176V200zM360 464C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H360zM208 136C208 131.6 211.6 128 216 128H240V160H208V136zM208 176H240V208H216C211.6 208 208 204.4 208 200V176zM288 136V160H256V128H280C284.4 128 288 131.6 288 136zM256 176H288V200C288 204.4 284.4 208 280 208H256V176z", "M288 32C305.7 32 320 46.33 320 64C337.7 64 352 78.33 352 96V464H32V96C32 78.33 46.33 64 64 64C64 46.33 78.33 32 96 32H288zM96 160H128V128H104C99.58 128 96 131.6 96 136V160zM96 200C96 204.4 99.58 208 104 208H128V176H96V200zM168 128H144V160H176V136C176 131.6 172.4 128 168 128zM144 208H168C172.4 208 176 204.4 176 200V176H144V208zM216 128C211.6 128 208 131.6 208 136V160H240V128H216zM240 176H208V200C208 204.4 211.6 208 216 208H240V176zM256 160H288V136C288 131.6 284.4 128 280 128H256V160zM288 176H256V208H280C284.4 208 288 204.4 288 200V176zM96 304C96 312.8 103.2 320 112 320H160C168.8 320 176 312.8 176 304V256C176 247.2 168.8 240 160 240H112C103.2 240 96 247.2 96 256V304z"]],
    "poll-people": [640, 512, [], "f759", ["M480 128H576V96H480V32H592C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H480V128zM384 416H576V384H384V320H592C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H384V416z", "M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM96 416C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480C0 444.7 28.65 416 64 416H96zM224 80C224 53.49 245.5 32 272 32H480V192H272C245.5 192 224 170.5 224 144V80zM224 368C224 341.5 245.5 320 272 320H384V480H272C245.5 480 224 458.5 224 432V368z"]],
    "pompebled": [512, 512, [], "e43d", ["M482.9 372.2C397.4 498.5 222.5 557.8 101.1 470.8C-20.76 383.8-28.62 196.7 56.88 70.4C103.1 1.486 188.6-20.65 247.5 21.1C294.2 53.3 302.1 127.7 265.2 194.6C259.3 203.2 261.3 214.8 269.7 220.8C278 226.8 289.3 224.8 295.2 216.3C343.4 157.9 414.1 138.8 460.3 172C519.3 213.8 529.1 303.8 482.9 372.2V372.2z", ""]],
    "poo": [512, 512, [128169], "f2fe", ["M192 256C174.3 256 160 270.3 160 288s14.25 32 32 32s32-14.25 32-32S209.8 256 192 256zM320 256c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 256 320 256z", "M451.4 369.1C468.8 356 480 335.4 480 312c0-39.75-32.25-72-72-72h-14.12C407.3 228.2 416 211.2 416 191.1c0-35.25-28.75-63.1-64-63.1h-5.875C349.8 117.9 352 107.2 352 95.1c0-53-43-96-96-96c-5.25 0-10.25 .75-15.12 1.5C250.3 14.62 256 30.62 256 47.1c0 44.25-35.75 80-80 80H160c-35.25 0-64 28.75-64 63.1c0 19.25 8.75 36.25 22.12 48H104C64.25 239.1 32 272.3 32 312c0 23.38 11.25 44 28.62 57.13C26.25 374.6 0 404.1 0 440C0 479.8 32.25 512 72 512h368c39.75 0 72-32.25 72-72C512 404.1 485.8 374.6 451.4 369.1zM192 256c17.75 0 32 14.25 32 32s-14.25 32-32 32S160 305.8 160 288S174.3 256 192 256zM351.5 395C340.1 422.9 292.1 448 256 448c-36.99 0-84.98-25.12-95.48-53C158.5 389.8 162.5 384 168.3 384h175.5C349.5 384 353.5 389.8 351.5 395zM320 320c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 320 320 320z"]],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", ["M304 368H248.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H199.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C169.4 510.1 172.7 512 175.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C316.6 372.1 310.7 368 304 368z", "M373.3 226.6C379.9 216.6 384 204.9 384 192c0-35.38-28.62-64-64-64h-5.875C317.8 118 320 107.3 320 96c0-53-43-96-96-96C218.9 0 213.9 .75 208.9 1.5C218.3 14.62 224 30.62 224 48C224 92.13 188.1 128 144 128H128C92.63 128 64 156.6 64 192c0 12.88 4.117 24.58 10.72 34.55C31.98 236.3 0 274.3 0 320c0 53.02 42.98 96 96 96h12.79c-4.033-4.414-7.543-9.318-9.711-15.1c-7.01-18.64-1.645-39.96 13.32-53.02l127.9-111.9C249.1 228.2 260.3 223.1 271.1 224c10.19 0 19.95 3.174 28.26 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.1h7.195c19.89 0 37.95 12.51 44.92 31.11C355.3 384 351 402.8 339.1 416H352c53.02 0 96-42.98 96-96C448 274.3 416 236.3 373.3 226.6z"]],
    "pool-8-ball": [512, 512, [], "e3c5", ["M292.1 174.3C299.8 165.1 304 155.5 304 144C304 117.5 282.5 96 256 96S208 117.5 208 144c0 11.53 4.25 21.97 11.04 30.26C207.5 184.5 200 199.3 200 216C200 246.9 225.1 272 256 272s56-25.12 56-56C312 199.3 304.5 184.5 292.1 174.3zM240 144C240 135.2 247.2 128 256 128s16 7.188 16 16S264.8 160 256 160S240 152.8 240 144zM256 240c-13.23 0-24-10.78-24-24S242.8 192 256 192s24 10.78 24 24S269.2 240 256 240z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C384 262.7 326.7 320 256 320z"]],
    "poop": [512, 512, [], "f619", ["M479.1 311v2c.0199 21.89-10.07 42.55-27.35 55.1c-3.854-.6527-7.755-.9873-11.66-1H70.84c-3.909 .0128-7.81 .3474-11.66 1c-17.27-13.45-27.37-34.11-27.35-55.1v-2c0-39.21 31.8-70.1 71.02-70.1h306.1C448.2 240 479.1 271.8 479.1 311z", "M393.9 240c26.65-23.03 29.62-63.29 6.586-89.93C388.3 135.1 370.6 127.9 351.1 128h-5.879c5.898-16.25 7.366-33.76 4.323-50.78c-9.375-51.14-58.4-85.04-109.6-75.7c25.78 35.74 17.67 85.63-18.08 111.4C209.1 122.8 192.8 128 175.9 128H159.9c-35.22-.1699-63.98 28.24-64.15 63.45C95.69 210.1 103.9 227.8 117.1 240H393.9zM451.4 369.1l.3926-.2988c-3.574-.5547-7.187-.8339-10.8-.8398H70.84c-3.605 .0059-7.203 .287-10.76 .8398c.1387 .1094 .332 .208 .4824 .3076c-39.2 6.297-65.94 43.19-59.64 82.38C6.518 486.4 36.64 511.1 71.92 512h368.1C479.7 512.1 511.9 479.8 512 440.1C512.1 404.7 486.3 374.7 451.4 369.1z"]],
    "popcorn": [448, 512, [127871], "f819", ["M411.6 138.9c-7-11.88-19.38-19.63-33.13-20.75c6.5-11.75 6.375-25.88-.25-37.5c-9.125-16-28-23.63-45.63-20.13c-.25-16.63-11.5-32-29-37.5c-13.25-4.25-27.88-1.875-39.13 6.5c0-.75-.25-1.375-.625-2C256.7 6.343 232.7-4.782 210.5 1.969C197.5 5.969 187.2 16.22 183.1 29.22C171.1 21.09 157.5 18.84 144.4 23.09c-17.5 5.375-28.62 20.75-29 37.38c-17.62-3.5-36.5 4.125-45.63 20.13C62.1 92.1 62.87 106.5 69.5 118.1C55.1 119.4 43.12 126.7 36.37 138.9C32.5 145.6 31.62 152.9 32.12 159.1h383.8C416.4 152.9 415.5 145.6 411.6 138.9z", "M0 188.5c0 2.329 .2855 4.649 .85 6.909l73.06 292.4C77.45 501.1 90.24 512 104.9 512l238.3-.0098c14.62-.0011 27.36-10.01 30.91-24.2l73.06-292.4C447.7 193.2 448 190.8 448 188.5c0-15.74-12.76-28.5-28.49-28.5H28.49C12.76 160 0 172.8 0 188.5zM145.1 463.9c-.6719 .0782-1.344 .125-2 .125c-7.953 0-14.84-5.922-15.86-14.02L100.1 225.1C98.93 216.4 106.4 208 115.1 208c8.068 0 14.87 6.008 15.88 14.02l28 224C160.1 454.8 154.8 462.8 145.1 463.9zM224 464c-8.844 0-16-7.157-16-16V224c0-8.836 7.163-15.99 15.1-15.99C232.8 208 240 215.2 240 224v224C240 456.9 232.8 464 224 464zM319.9 450c-1.016 8.094-7.906 14.02-15.86 14.02c-.6562 0-1.328-.0469-2-.125c-8.766-1.094-14.98-9.094-13.89-17.86l28-224c1.001-8.007 7.807-14.02 15.88-14.02c9.623 0 17.07 8.435 15.88 17.98L319.9 450z"]],
    "popsicle": [320, 512, [], "e43e", ["M320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H192V192C192 183.5 188.6 175.4 182.6 169.4C176.6 163.4 168.5 160 160 160C151.5 160 143.4 163.4 137.4 169.4C131.4 175.4 128 183.5 128 192V384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86C303.1 76.87 320 117.6 320 160z", "M160 512C151.5 512 143.4 508.6 137.4 502.6C131.4 496.6 128 488.5 128 480V192C128 183.5 131.4 175.4 137.4 169.4C143.4 163.4 151.5 160 160 160C168.5 160 176.6 163.4 182.6 169.4C188.6 175.4 192 183.5 192 192V480C192 488.5 188.6 496.6 182.6 502.6C176.6 508.6 168.5 512 160 512z"]],
    "pot-food": [640, 512, [127858], "e43f", ["M244.1 75.37C231.7 68.14 224 54.73 224 40.39V24C224 10.74 213.3 0 200 0S176 10.74 176 24v16.39c0 31.34 16.81 60.64 43.91 76.45C232.3 124.1 240 137.5 240 152.1V168C240 181.3 250.7 192 264 192S288 181.3 288 168V151.8C288 120.5 271.2 91.18 244.1 75.37zM432 112c-50.66 0-92.96 33.85-106.8 80h213.6C524.1 145.8 482.7 112 432 112zM132.1 75.37C119.7 68.14 112 54.73 112 40.39V24C112 10.74 101.3 0 88 0S64 10.74 64 24v16.39c0 31.34 16.81 60.64 43.91 76.45C120.3 124.1 128 137.5 128 152.1V168C128 181.3 138.7 192 152 192S176 181.3 176 168V151.8C176 120.5 159.2 91.18 132.1 75.37z", "M624 288c0 17.67-14.33 31.1-32 31.1h-24.18c-17.19 68.15-60.97 125.5-119.8 159.1c0 17.67-14.33 31.1-32 31.1H224c-17.67 0-32-14.33-32-31.1c-58.85-34.47-102.6-91.85-119.8-159.1H48c-17.67 0-32-14.33-32-31.1c0-17.67 14.33-31.1 32-31.1h16.04C64.15 238.3 78.44 224 96 224H256v.0039h288c17.55 .0117 31.84 14.3 31.94 31.1H592C609.7 256 624 270.3 624 288z"]],
    "potato": [576, 512, [129364], "e440", ["M396.2 0C319.5 0 283.7 78.93 241.1 93.7c-48.8 15.31-79 57.07-105.9 94.16C93.38 246.9 32 289.6 32 368.8C32 441.6 93.46 512 175.2 512c27.65 0 54.59-8.455 77.88-24.47c41.96-28.86 126.3-31.88 165.6-93.17c13.24-20.78 22.18-40.1 30.85-60.6C490.5 241 544 227.1 544 147.5C544 65.79 464.1 0 396.2 0zM192 440c-13.24 0-24-10.76-24-24c0-13.24 10.76-24 24-24S216 402.8 216 416C216 429.2 205.2 440 192 440zM224 248C210.8 248 200 237.2 200 224c0-13.24 10.76-24 24-24S248 210.8 248 224C248 237.2 237.2 248 224 248zM416 216c-13.24 0-24-10.76-24-24c0-13.24 10.76-24 24-24S440 178.8 440 192C440 205.2 429.2 216 416 216z", "M192 392c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S216 429.2 216 416C216 402.8 205.2 392 192 392zM224 200C210.8 200 200 210.8 200 224c0 13.24 10.76 24 24 24S248 237.2 248 224C248 210.8 237.2 200 224 200zM416 168c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S440 205.2 440 192C440 178.8 429.2 168 416 168z"]],
    "power-off": [512, 512, [9211], "f011", ["M256 0C273.7 0 288 14.33 288 32V256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256V32C224 14.33 238.3 0 256 0z", "M147.7 75.54C158.1 89.13 157.1 109.3 143.5 120.6C104.7 152.9 80 201.6 80 256C80 353.2 158.8 432 256 432C353.2 432 432 353.2 432 256C432 201.6 407.3 152.9 368.5 120.6C354.9 109.3 353 89.13 364.3 75.54C375.6 61.95 395.8 60.1 409.4 71.4C462.2 115.4 496 181.8 496 256C496 388.6 388.5 496 256 496C123.5 496 16 388.6 16 256C16 181.8 49.75 115.4 102.6 71.4C116.2 60.1 136.4 61.95 147.7 75.54V75.54z"]],
    "prescription": [448, 512, [], "f5b1", ["M440.6 256.2c9.373-9.381 9.373-24.59 0-33.97l-22.62-22.64c-9.373-9.381-24.57-9.381-33.94 0L135.4 448.4c-9.373 9.381-9.373 24.59 0 33.97l22.62 22.64c9.373 9.38 24.57 9.38 33.94 0L440.6 256.2z", "M440.1 448.4l-96.28-96.21l-56.56 56.61l96.28 96.21c9.373 9.381 24.57 9.381 33.94 0l22.62-22.64C450.3 472.9 450.3 457.7 440.1 448.4zM285.4 94.89C273.9 38.74 221.8 0 164.6 0H31.1C14.33 0 0 14.34 0 32.03v264.1c0 13.26 10.75 24.01 23.1 24.01l31.1 .085c13.25 0 23.1-10.75 23.1-24.02V240.2H119.4l112.1 112l56.56-56.61L220.5 228C267.3 205.1 297.2 152.6 285.4 94.89zM167.1 160.1H79.1V80.06h87.1c22.06 0 39.1 17.95 39.1 40.03S190.1 160.1 167.1 160.1z"]],
    "prescription-bottle": [384, 512, [], "f485", ["M32 176l112 0c8.801 0 16 7.199 16 16c0 8.799-7.199 16-16 16H32V272h112C152.8 272 160 279.2 160 288c0 8.799-7.199 16-16 16H32v64h112C152.8 368 160 375.2 160 384c0 8.799-7.199 16-16 16H32V448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V96H32V176z", "M360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0zM144 175.1L32 176v31.1h112c8.836 0 16-7.164 16-16S152.8 175.1 144 175.1zM144 272H32v32h112C152.8 304 160 296.8 160 288S152.8 272 144 272zM144 368H32v32h112C152.8 400 160 392.8 160 384S152.8 368 144 368z"]],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", ["M32 448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V96H32V448zM96 288c0-8.801 7.199-16 16-16H160V223.1c0-8.801 7.199-16 16-16h32c8.801 0 16 7.199 16 16V272h48C280.8 272 288 279.2 288 288v32c0 8.799-7.199 16-16 16H224V384c0 8.799-7.199 16-16 16h-32C167.2 400 160 392.8 160 384v-48H112C103.2 336 96 328.8 96 320V288z", "M272 272H224V223.1c0-8.801-7.199-16-16-16h-32c-8.801 0-16 7.199-16 16V272H112C103.2 272 96 279.2 96 288v32c0 8.799 7.199 16 16 16H160V384c0 8.799 7.199 16 16 16h32c8.801 0 16-7.201 16-16v-48h48c8.801 0 16-7.201 16-16V288C288 279.2 280.8 272 272 272zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"]],
    "presentation-screen": [576, 512, ["presentation"], "f685", ["M512 352H64C46.38 352 32 337.7 32 320L31.1 64.01H96v224h384V64.01h63.1L544 320C544 337.7 529.6 352 512 352z", "M543.1 0h-512C14.33 0 0 14.33 0 31.1s14.33 32.01 31.1 32.01h512C561.7 64.01 576 49.68 576 32.01S561.7 0 543.1 0zM320 386.8v-34.75H256v34.75L180.7 462.1c-6.25 6.25-6.271 16.46-.0208 22.71l22.54 22.54c6.25 6.251 16.48 6.249 22.73-.0018L288 445.3l61.1 62.01c6.25 6.251 16.48 6.252 22.73 .0018l22.54-22.54c6.25-6.251 6.229-16.46-.0208-22.71L320 386.8z"]],
    "pretzel": [576, 512, [129384], "e441", ["M535.3 243.1C541.1 222.2 544 200.7 544 179.3C544 98.09 477.6 32 396 32C353.4 32 315 49.97 288 78.69C260.1 49.97 222.6 32 180 32C98.41 32 32 98.09 32 179.3c0 21.38 2.906 42.83 8.688 63.8c14.69 53.25 48 98.23 92.31 129.3l-31.75 44.2c-12.91 17.94-8.812 42.94 9.125 55.83c17.91 12.86 42.88 8.797 55.81-9.141l39.94-55.56c23.72 7.094 48.88 10.89 74.75 10.89h14.25c25.88 0 51.03-3.797 74.75-10.89l39.94 55.56C417.6 474.2 429.9 480 442.3 480c8.094 0 16.25-2.438 23.31-7.516c17.94-12.89 22.03-37.89 9.125-55.83L443 372.5C487.3 341.3 520.6 296.4 535.3 243.1zM228.6 239.4L179.7 307.5C149.8 286.9 127.5 257.1 117.8 221.9C113.1 207.9 112 193.5 112 179.3C112 142.2 142.5 112 180 112S248 142.2 248 179.3C248 201 241.3 221.8 228.6 239.4zM295.1 338.7H280.9c-8.094 0-16.09-.5313-23.94-1.562L288 293.9l31.06 43.23C311.2 338.1 303.2 338.7 295.1 338.7zM458.2 221.9c-9.719 35.22-32.03 64.98-61.84 85.67l-48.97-68.13C334.7 221.8 328 201 328 179.3C328 142.2 358.5 112 396 112S464 142.2 464 179.3C464 193.5 462 207.9 458.2 221.9z", ""]],
    "print": [512, 512, [128424, 128438, 9113], "f02f", ["M384 448H128v-64H64v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-96h-64V448zM438.6 54.63l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160h64V64h229.5L384 90.51V192h64V77.25C448 68.77 444.6 60.63 438.6 54.63z", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h96v-32h256v32h96c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296z"]],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", ["M384 173.5l.0186-82.1L357.5 64h-229.5L128 192h224.9c-39.17 29.17-64.92 75.41-64.92 128c0 10.98 1.149 21.66 3.294 32H128v96h225c26.65 19.84 59.23 32 95.01 32c0 17.67-14.32 32-31.99 32H96c-17.67 0-32-14.33-32-32l.001-96H32C14.33 384 0 369.7 0 352V256c0-35.35 28.66-64 64-64l.0015-160c0-17.67 14.35-32 32-32h274.8c8.469 0 16.63 3.375 22.63 9.375l45.25 45.25c6 6 9.375 14.14 9.375 22.62L448 160C425.2 160 403.6 164.9 384 173.5z", "M635.3 462l-77.38-77.38c11.25-19 18.09-40.88 18.09-64.63c0-70.75-57.25-128-128-128c-70.76 0-128 57.25-128 128s57.25 128 128 128c23.75 0 45.66-6.875 64.66-18.12l77.38 77.38c6.25 6.25 16.46 6.271 22.71 .0208l22.54-22.54C641.6 478.5 641.6 468.3 635.3 462zM448 384c-35.38 0-64.01-28.62-64.01-64s28.63-64 64.01-64c35.38 0 64.01 28.63 64.01 64S483.4 384 448 384z"]],
    "print-slash": [640, 512, [], "f686", ["M448 447.8L192 448v-96h133.8L122.4 192.6C89.7 195.5 64 222.6 64 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c12.25 0 22.54-7.119 27.92-17.23L448 447.8zM192 64h229.5L448 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C451.4 3.375 443.2 0 434.8 0H160C142.3 0 128 14.33 128 32v43.01l64 50.16V64zM512 192H277.3l244.1 192H544c17.67 0 32-14.33 32-32V256C576 220.7 547.3 192 512 192zM496 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C520 285.3 509.3 296 496 296z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.188 42.89c-10.44-8.172-12.26-23.27-4.068-33.7C9.839 3.158 16.91 0 24.03 0c5.156 0 10.37 1.673 14.78 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "projector": [640, 512, [], "f8d6", ["M512 136c6.156 0 12.28-2.344 16.97-7.031l56-56c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-56 56c-9.375 9.375-9.375 24.56 0 33.94C499.7 133.7 505.8 136 512 136zM320.9 192H48C21.5 192 0 213.5 0 240v160C0 426.5 21.5 448 48 448H64l13 51.88C78.75 507 85.13 512 92.5 512h39c7.375 0 13.75-5 15.5-12.12L160 448h160.9C281.7 418.8 256 372.6 256 320S281.7 221.2 320.9 192zM96 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S113.6 352 96 352zM192 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 352 192 352zM280.1 39.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C307.7 133.7 313.8 136 320 136s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L280.1 39.03zM592 192h-80.88C550.3 221.2 576 267.4 576 320c0 63.93-37.75 118.7-91.95 144.3l8.945 35.58C494.8 507 501.1 512 508.5 512h39c7.375 0 13.75-5 15.5-12.12L576 448h16c26.5 0 48-21.5 48-48v-160C640 213.5 618.5 192 592 192zM416 0c-13.25 0-24 10.75-24 24v80C392 117.3 402.8 128 416 128s24-10.75 24-24v-80C440 10.75 429.3 0 416 0z", "M416 160c-88.37 0-160 71.63-160 160s71.63 160 160 160s160-71.63 160-160S504.4 160 416 160zM416 416c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S469 416 416 416zM96 288c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S113.7 288 96 288z"]],
    "pump": [640, 512, [], "e442", ["M320 64v160v160H160H64V224h96V64H320z", "M32 192C14.4 192 0 206.3 0 224v160c0 17.66 14.4 32 32 32s32-14.34 32-32V224C64 206.3 49.6 192 32 192zM320 0H160C142.4 0 128 14.34 128 32s14.4 32 32 32h160c17.6 0 32-14.34 32-32S337.6 0 320 0zM608 96h-140.5C454.7 96 442.2 99.74 432 106.8l-65.6 43.74C357.4 156.4 352 166.4 352 177.1v253.8c0 10.69 5.441 20.67 14.4 26.62L432 501.2C442.2 508.3 454.7 512 467.5 512H608c17.6 0 32-14.34 32-32V128C640 110.3 625.6 96 608 96zM560 416h-96c-8.961 0-16-7.168-16-16s7.039-16 16-16h96c8.961 0 16 7.168 16 16S568.1 416 560 416zM560 320h-96C455 320 448 312.8 448 304S455 288 464 288h96C568.1 288 576 295.2 576 304S568.1 320 560 320zM560 224h-96C455 224 448 216.8 448 208S455 192 464 192h96C568.1 192 576 199.2 576 208S568.1 224 560 224z"]],
    "pump-medical": [384, 512, [], "e06a", ["M299.4 218.2C296.4 185.2 268.7 160 235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79L299.4 218.2zM239.1 333.3c0 7.363-5.971 13.33-13.33 13.33h-40v40c0 7.363-5.969 13.33-13.33 13.33h-26.67c-7.363 0-13.33-5.971-13.33-13.33v-40H93.33c-7.363 0-13.33-5.971-13.33-13.33V306.7c0-7.365 5.971-13.33 13.33-13.33h40v-40C133.3 245.1 139.3 240 146.7 240h26.67c7.363 0 13.33 5.969 13.33 13.33v40h40c7.363 0 13.33 5.969 13.33 13.33V333.3z", "M226.7 293.3h-40v-40C186.7 245.1 180.7 240 173.3 240h-26.67c-7.363 0-13.33 5.969-13.33 13.33v40H93.33c-7.363 0-13.33 5.969-13.33 13.33v26.67c0 7.363 5.971 13.33 13.33 13.33h40v40c0 7.363 5.969 13.33 13.33 13.33h26.67c7.363 0 13.33-5.971 13.33-13.33v-40h40c7.363 0 13.33-5.971 13.33-13.33V306.7C239.1 299.3 234 293.3 226.7 293.3zM379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32l-.0003 128h128l.0002-64h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06z"]],
    "pump-soap": [384, 512, [], "e06b", ["M299.4 218.2C296.4 185.2 268.7 160 235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79L299.4 218.2zM159.1 416c-33.13 0-60-26.33-60-58.75c0-25 35.7-75.47 52.03-97.27c3.984-5.312 11.95-5.312 15.94 0c16.33 21.8 52.03 72.27 52.03 97.27C219.1 389.7 193.1 416 159.1 416z", "M379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32l-.0003 128h128l.0002-64h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06zM152 259.1c-16.33 21.8-52.03 72.27-52.03 97.27C99.1 389.7 126.9 416 159.1 416s59.1-26.33 59.1-58.75c0-25-35.7-75.47-52.03-97.27C163.1 254.7 156 254.7 152 259.1z"]],
    "pumpkin": [576, 512, [], "f707", ["M576 319.1c0 64.45-51.24 191.9-151.4 191.9c-24.95 0-49.91-7.939-69.3-23.8c-17.88 15.38-39.99 23.86-67.25 23.86c-27.25 0-49.39-8.485-67.14-23.86c-19.44 15.86-44.44 23.8-69.41 23.8c-100.1 0-151.5-125.1-151.5-191.9c0-64.18 50.9-191.5 150.5-191.5c10.01 0 20.05 1.27 29.77 3.789C161.4 149.1 161.6 151.9 154.9 164.1c31.75-23.62 75.63-36.11 133.1-36.11s101.4 12.49 133.1 36.11c-6.801-12.31-6.585-15.01-25.38-31.88c9.718-2.518 19.76-3.789 29.77-3.789C524.1 128.4 576 254.5 576 319.1z", "M352 106.6L352 35.73c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.722-1.731-7.127-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6z"]],
    "puzzle": [512, 512, [], "e443", ["M144 256c0-17.67-14.33-32-32-32s-32 14.33-32 32v32H0v160c0 35.35 28.65 64 64 64h160v-80H192c-17.67 0-32-14.33-32-32s14.33-32 32-32h32V288H144V256zM448 0h-96c-17.67 0-32 14.33-32 32v32h32c17.67 0 32 14.33 32 32s-14.33 32-32 32h-32v64h64v16c0 17.67 14.33 32 32 32s32-14.33 32-32V192h32c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0z", "M256 208c17.67 0 32-14.33 32-32s-14.33-32-32-32H224V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v160h80V256c0-17.67 14.33-32 32-32s32 14.33 32 32v32H224V208H256zM416 288h-48v32c0 17.67-14.33 32-32 32s-32-14.33-32-32V288H224v80H192c-17.67 0-32 14.33-32 32s14.33 32 32 32h32V512h160c35.35 0 64-28.65 64-64v-128C448 302.3 433.7 288 416 288z"]],
    "puzzle-piece": [512, 512, [129513], "f12e", ["", "M512 288c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C394.9 320 384 330.9 384 344.4V480c0 17.67-14.33 32-32 32h-71.64C266.9 512 256 501.1 256 487.6C256 463.1 288 464.4 288 432c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C192 501.1 181.1 512 167.6 512H32c-17.67 0-32-14.33-32-32v-135.6C0 330.9 10.91 320 24.36 320C48.05 320 47.6 352 80 352C106.5 352 128 323.3 128 288S106.5 223.1 80 223.1c-32.43 0-31.72 32-55.64 32C10.91 255.1 0 245.1 0 231.6v-71.64c0-17.67 14.33-31.1 32-31.1h135.6C181.1 127.1 192 117.1 192 103.6c0-23.69-32-23.24-32-55.64c0-26.51 28.65-47.1 64-47.1s64 21.49 64 47.1c0 32.43-32 31.72-32 55.64c0 13.45 10.91 24.36 24.36 24.36H352c17.67 0 32 14.33 32 31.1v71.64c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C490.5 223.1 512 252.7 512 288z"]],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", ["", "M640 256c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C522.9 288 512 298.9 512 312.4V416c0 17.67-14.33 32-32 32h-103.6C362.9 448 352 437.1 352 423.6C352 399.1 384 400.4 384 368c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C288 437.1 277.1 448 263.6 448H160c-17.67 0-32-14.33-32-32V312.4C128 298.9 117.1 288 103.6 288C79.95 288 80.4 320 48 320c-26.51 0-47.1-28.65-47.1-64S21.49 191.1 48 191.1c32.43 0 31.72 32 55.64 32C117.1 223.1 128 213.1 128 199.6V95.1C128 78.33 142.3 63.1 160 63.1l103.6 0C277.1 63.1 288 74.9 288 88.36C288 112 256 111.6 256 143.1C256 170.5 284.7 192 320 192s64-21.49 64-48c0-32.43-32-31.72-32-55.64c0-13.45 10.91-24.36 24.36-24.36L480 63.1c17.67 0 32 14.33 32 32v103.6c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C618.5 191.1 640 220.7 640 256z"]],
    "q": [448, 512, [113], "51", ["M393.1 402.5c34.12-39.32 54.93-90.48 54.93-146.5c0-123.5-100.5-224-223.1-224S.0001 132.5 .0001 256s100.5 224 223.1 224c44.45 0 85.81-13.16 120.7-35.58l46.73 56.08c6.328 7.594 15.42 11.52 24.59 11.52c21.35 0 31.98-18.26 31.98-32.01c0-7.223-2.433-14.49-7.419-20.47L393.1 402.5zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1c0 36.21-12.55 69.28-32.92 96.12L280.6 267.5c-6.338-7.597-15.44-11.53-24.61-11.53c-21.27 0-31.96 18.22-31.96 32.02c0 7.223 2.433 14.49 7.419 20.47l71.53 85.83C279.6 407.7 252.8 416 224 416z", ""]],
    "qrcode": [448, 512, [], "f029", ["M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM128 96H64V160H128V96zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM128 352H64V416H128V352zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM320 160H384V96H320V160z", "M256 288H352V320H416V288H448V416H352V384H320V480H256V288zM384 480H352V448H384V480zM448 480H416V448H448V480z"]],
    "question": [320, 512, [10067, 10068, 61736], "3f", ["M144 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S166.1 400 144 400z", "M204.3 32.01H96c-52.94 0-96 43.06-96 96c0 17.67 14.31 31.1 32 31.1s32-14.32 32-31.1c0-17.64 14.34-32 32-32h108.3C232.8 96.01 256 119.2 256 147.8c0 19.72-10.97 37.47-30.5 47.33L127.8 252.4C117.1 258.2 112 268.7 112 280v40c0 17.67 14.31 31.99 32 31.99s32-14.32 32-31.99V298.3L256 251.3c39.47-19.75 64-59.42 64-103.5C320 83.95 268.1 32.01 204.3 32.01z"]],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", ["M352 224c-11.28 0-21.95 2.305-32 5.879V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32s-14.33-32-32-32c-70.58 0-128 57.42-128 128v96c0 53.02 42.98 96 96 96s96-42.98 96-96S405 224 352 224z", "M96 224C84.72 224 74.05 226.3 64 229.9V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32S145.7 96 128 96C57.42 96 0 153.4 0 224v96c0 53.02 42.98 96 96 96s96-42.98 96-96S149 224 96 224z"]],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", ["M96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192C192 138.1 149 96 96 96z", "M448 192c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192z"]],
    "quotes": [576, 512, [], "e234", ["M328 272C288.2 272 256 304.2 256 344C256 383.8 288.2 416 328 416c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C400 304.2 367.8 272 328 272zM504 272c-39.76 0-72 32.23-72 72c0 39.76 32.24 72 72 72c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C576 304.2 543.8 272 504 272z", "M320 168C320 128.2 287.8 96 248 96C245.3 96.12 242.6 96.38 240 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32c-52.1 .0566-95.94 43-96 96v72c0 39.76 32.24 72 72 72S320 207.8 320 168zM72 96C69.32 96.12 66.65 96.38 64 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32C43 .0566 .0586 43 0 96v72C0 207.8 32.24 240 72 240S144 207.8 144 168C144 128.2 111.8 96 72 96z"]],
    "r": [320, 512, [114], "52", ["M228.7 309.7C282 288.6 320 236.8 320 176c0-79.41-64.59-144-144-144H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32s32-14.33 32-32v-128h93.43l104.5 146.6c6.25 8.75 16.09 13.42 26.09 13.42c6.422 0 12.91-1.922 18.55-5.938c14.39-10.27 17.73-30.25 7.484-44.64L228.7 309.7zM64 96.01h112c44.11 0 80 35.89 80 80s-35.89 79.1-80 79.1H64V96.01z", ""]],
    "rabbit": [512, 512, [128007], "f708", ["M321.4 128C326.3 128 331 128.3 335.8 128.9C336.9 104.9 333.1 81.08 324.8 58.8C332.5 41.04 343.5 24.6 357.6 10.47L362.2 5.826C365.9 2.096 370.1 .0003 376.2 0C385.5-.0003 393.5 6.373 395.5 15.37L396.6 19.82C406.4 62.26 398.4 106.3 375.6 142.2C381 145.3 386.3 148.8 391.2 152.8L425.8 181C439.8 192.5 448 209.6 448 227.7C448 261 421 288 387.7 288H352V313.8L413.7 468.1C420.3 484.5 412.3 503.1 395.9 509.7C379.5 516.3 360.9 508.3 354.3 491.9L314.8 393.3L265.6 448H288C305.7 448 320 462.3 320 480C320 497.7 305.7 512 288 512H160C124.7 512 96 483.3 96 448V432C96 336.9 165.2 257.9 256 242.7V193.4C256 182.5 258.7 172.2 263.4 163.2C229.1 126.7 213.1 76.37 220.2 26.39L220.9 21.48C222.7 9.154 233.2 0 245.7 .0003C252.3 .0003 258.6 2.609 263.3 7.257L266.4 10.33C298.2 41.83 314.3 85.09 311.8 128.7C314.1 128.2 318.2 127.1 321.4 127.1L321.4 128zM368 224C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192C359.2 192 352 199.2 352 208C352 216.8 359.2 224 368 224z", "M352 208C352 199.2 359.2 192 368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224C359.2 224 352 216.8 352 208zM96 432V448C96 454.9 97.09 461.5 99.11 467.8C88.83 480.1 73.34 488 56 488C25.07 488 0 462.9 0 432C0 401.1 25.07 376 56 376C73.44 376 89.01 383.1 99.28 396.5C97.13 407.1 96 419.9 96 432z"]],
    "rabbit-running": [576, 512, ["rabbit-fast"], "f709", ["M458.6 37.2L460.7 39.35C496.9 74.8 513.1 125.5 504.7 174.8C509.8 177.7 514.6 181.1 519.2 184.8L553.8 213C567.8 224.5 576 241.6 576 259.7C576 293 549 320 515.7 320H414.4L352 356.1V340.5C352 283.3 314.1 233.1 259.2 217.4L228.4 208.6C219.9 206.2 211 211.1 208.6 219.6C206.2 228.1 211.1 236.1 219.6 239.4L250.4 248.2C291.6 259.1 320 297.6 320 340.5V384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H300.4C284.4 448 269 442 257.2 431.2L114.1 300.8C80.14 268.9 72.58 216.8 96.9 176.3L98.97 172.9C115.7 145 145.7 128 178.2 128C213.8 128 248.8 137.3 279.7 154.9L384.8 215C386.1 207.2 388.7 199.9 392.4 193.3C355.3 174.1 325.9 143.1 311 103.6C306.6 91.94 311.5 78.68 322.2 72.46C327.8 69.23 334.5 68.27 340.8 69.85L344.2 70.7C391.3 82.58 429.4 115.1 447.8 160C448.3 160 448.9 160 449.4 160C457.9 160 466.3 160.1 474.5 162.9C464.1 131.8 445.5 104.7 421.2 84.08C421.6 72.18 423.5 60.22 426.7 48.46L427.6 45.51C429.3 39.16 434.3 34.22 440.7 32.51C447.1 30.81 453.9 32.59 458.6 37.2L458.6 37.2zM496 224C487.2 224 480 231.2 480 240C480 248.8 487.2 256 496 256C504.8 256 512 248.8 512 240C512 231.2 504.8 224 496 224zM142.2 421.4L175.2 399.4L223.8 443.9L177.8 474.6C163 484.4 143.2 480.5 133.4 465.8C123.6 451 127.5 431.2 142.3 421.4H142.2z", "M96.9 176.3C82.3 200.6 79.19 229.1 86.58 254.9C77.79 260.7 67.28 264 56 264C25.07 264 0 238.9 0 208C0 177.1 25.07 152 56 152C73.41 152 88.97 159.9 99.24 172.4L98.97 172.9L96.9 176.3zM480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240z"]],
    "racquet": [640, 512, [], "f45a", ["M11.85 420.5c-7.756 5.56-11.86 14.28-11.86 23.09c0 5.701 1.713 11.45 5.272 16.38l28.51 40.01C39.36 507.9 48.17 512 57.01 512c5.596 0 11.22-1.647 16-5.03l98.21-66.56c4.566-3.097 7.015-8.126 7.015-13.24c0-3.205-.9627-6.443-2.97-9.258l-44.04-61.76c-3.121-4.377-8.048-6.713-13.05-6.713c-3.183 0-6.398 .9459-9.198 2.914L11.85 420.5zM575.7 139.6c0-45.95-33.45-75.99-90-75.99c-106.1 0-201.1 100.6-201.1 178c0 45.1 33.33 75.95 89.79 75.95C444.5 317.5 575.7 246.1 575.7 139.6z", "M640 140c0-108.9-95.93-140-153.7-140c-85.7 0-230.4 65.81-261.1 203.2C200.1 311.9 132.5 353 130.2 354.6l45.72 64.39l1.506-1.054c24-16.79 65.33-39.87 138.9-39.87c26.19 0 45.72 3.332 58.75 3.332c49.52 0 104.4-16.95 153.6-51.79C599.6 279.5 640 205.1 640 140zM576 140c0 96.68-115.7 177.5-201.3 177.5c-56.63 0-90.12-29.95-90.12-75.95c0-62.8 80.34-177.5 201.3-177.5C542.5 64.02 576 94.1 576 140z"]],
    "radar": [512, 512, [], "e024", ["M350.9 127.2L304.8 173.3C290.5 164.8 273.8 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352C309 352 352 309 352 256H416C416 329.5 366.4 391.5 298.8 410.2C290.8 394.7 274.7 384 256 384C237.3 384 221.2 394.7 213.2 410.2C161.6 395.9 120.4 356.4 103.9 305.7C118.3 297.4 128 281.8 128 264C128 244.6 116.5 227.9 99.99 220.3C116.2 149.1 179.9 96 256 96C291.5 96 324.3 107.6 350.9 127.2V127.2zM373.7 104.3C341.2 79.05 300.4 64 256 64C163.1 64 85.66 129.9 67.85 217.6C47.22 222.9 32 241.7 32 264C32 287.8 49.35 307.6 72.1 311.4C91.43 375.7 143.6 425.8 209.1 442.2C213.8 463.8 233 480 256 480C278.1 480 298.2 463.8 302.9 442.2C386.3 421.3 448 345.9 448 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C318.1 0 374.9 22.08 419.3 58.8L373.7 104.3z", "M314.9 231C318.2 238.7 320 247.1 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C264.9 192 273.3 193.8 280.1 197.1L463 15.03C472.4 5.657 487.6 5.657 496.1 15.03C506.3 24.4 506.3 39.6 496.1 48.97L314.9 231z"]],
    "radiation": [512, 512, [], "f7b9", ["M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1z", "M213.6 188L142.7 74.71C132.5 58.41 109.9 54.31 95.25 66.75c-44.94 38.1-76.19 91.82-85.17 152.8C7.266 238.7 22.67 255.8 42.01 255.8h133.8C175.8 227.2 191 202.3 213.6 188zM298.4 323.5C286.1 331.2 271.6 335.9 256 335.9s-30.1-4.701-42.4-12.4L142.7 436.9c-10.14 16.21-4.16 38.2 13.32 45.95C186.6 496.4 220.4 504 256 504s69.42-7.611 100-21.18c17.48-7.752 23.46-29.74 13.32-45.95L298.4 323.5zM416.8 66.75c-14.67-12.44-37.21-8.338-47.41 7.965L298.4 188c22.6 14.3 37.8 39.2 37.8 67.8h133.8c19.34 0 34.74-17.13 31.93-36.26C492.9 158.6 461.7 104.8 416.8 66.75z"]],
    "radio": [512, 512, [128251], "f8d7", ["M447.1 128H64c-35.35 0-63.1 28.65-63.1 63.1v255.1c0 35.35 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.65 63.1-63.1V192C511.1 156.7 483.3 128 447.1 128zM80 248c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V263.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1V248zM208 391.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V391.1zM224 327.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1V311.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V327.1zM367.1 399.1c-44.16 0-80-35.84-80-79.1s35.84-80 80-80s79.1 35.85 79.1 80S412.2 399.1 367.1 399.1z", "M511 17.25c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9C43.7 129.2 36.52 133.2 30 137.1c9.869-6.223 21.47-9.953 33.1-9.953l154.5-.0081l276.2-80.97C507.5 43.3 514.7 29.97 511 17.25zM367.1 240c-44.16 0-80 35.84-80 80s35.84 79.1 80 79.1s79.1-35.84 79.1-79.1S412.2 240 367.1 240z"]],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", ["M447.1 128H63.1c-35.35 0-63.1 28.65-63.1 63.1v255.1c0 35.35 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.65 63.1-63.1v-255.1C511.1 156.7 483.3 128 447.1 128zM208 423.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-8 7.1-8h111.1c4.406 0 7.1 3.594 7.1 8V423.1zM224 359.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V359.1zM383.1 447.1c-35.32 0-63.1-28.68-63.1-63.1s28.68-63.1 63.1-63.1c35.33 0 63.1 28.68 63.1 63.1S419.3 447.1 383.1 447.1zM415.1 256H96C78.33 256 64 241.7 64 224s14.33-31.1 31.1-31.1h319.1c17.67 0 31.1 14.33 31.1 31.1S433.7 256 415.1 256z", "M511 17.25c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9C43.7 129.2 36.52 133.2 29.1 137.1c9.87-6.223 21.47-9.953 33.1-9.953L218.5 128l276.2-80.97C507.5 43.3 514.7 29.97 511 17.25zM415.1 192H96c-17.67 0-31.1 14.33-31.1 31.1S78.33 256 96 256h319.1c17.67 0 31.1-14.33 31.1-31.1S433.7 192 415.1 192zM383.1 319.1c-35.32 0-63.1 28.68-63.1 63.1s28.68 63.1 63.1 63.1c35.33 0 63.1-28.68 63.1-63.1S419.3 319.1 383.1 319.1z"]],
    "rainbow": [640, 512, [127752], "f75b", ["M544 352v112c0 8.836-7.162 16-16 16h-32c-8.836 0-16-7.164-16-16V352c0-90.27-75.16-163.3-166.2-159.9C227.2 195.4 160 269.3 160 355.9V464C160 472.8 152.8 480 144 480h-32C103.2 480 96 472.8 96 464v-107.2c0-121.9 95.39-225 217.2-228.7C439.8 124.3 544 226.2 544 352z", "M313.5 224.2C244.8 227.6 192 286.9 192 355.7V464C192 472.8 199.2 480 208 480h32C248.8 480 256 472.8 256 464v-109.7c0-34.06 25.65-63.85 59.64-66.11C352.9 285.7 384 315.3 384 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C448 279.3 387 220.5 313.5 224.2zM312.3 32.09C137.6 36.22 0 183.3 0 358V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464v-106.9c0-143.2 117.2-263.5 260.4-261.1C463.5 98.4 576 212.3 576 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C640 172.1 492.3 27.84 312.3 32.09z"]],
    "raindrops": [448, 512, [], "f75c", ["M50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C71.14 221.4 56.86 221.4 50.56 231.9zM224 155.4c0-26.72-31.79-83.96-50.56-115.4c-6.307-10.57-20.58-10.57-26.89 0C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4z", "M334.6 135.5c-6.916-10.01-22.27-10.01-29.19 0C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.5 128-121.7C448 305.2 368.2 184.1 334.6 135.5z"]],
    "ram": [640, 512, [128015], "f70a", ["M416 392C412.7 392 409.4 391.7 406.2 391.3C399.3 419.2 374.1 440 344 440C328.1 440 315.1 434.8 304.2 426.1C292.5 439.5 275.2 448 256 448C236.8 448 219.5 439.5 207.8 426.1C196.9 434.8 183 440 168 440C137.9 440 112.7 419.2 105.8 391.3C102.6 391.7 99.34 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C286.7 64 312.3 85.56 318.5 114.3C304.3 130.1 299.6 153.3 308.5 174.1C316.5 192.7 333.3 204.7 352 207.4V239.1C352 301.9 402.1 352 464 352H475.3C465.9 375.5 442.9 392 416 392V392z", "M464 64V65.33C469.2 64.45 474.6 64 480 64C485.5 64 490.8 64.45 496 65.33V64C496 28.65 524.7 0 560 0C595.3 0 624 28.65 624 64V72C624 85.25 613.3 96 600 96C586.7 96 576 85.25 576 72V64C576 55.16 568.8 48 560 48C551.2 48 544 55.16 544 64V88.44C550.8 94.55 556.8 101.6 561.6 109.4L609.5 129.9C621.6 135.2 627.3 149.3 622.1 161.5C616.8 173.6 602.7 179.3 590.5 174.1L576 167.8V240C576 284.2 540.2 320 496 320H464C419.8 320 384 284.2 384 240V167.8L369.5 174.1C357.3 179.3 343.2 173.6 337.9 161.5C332.7 149.3 338.4 135.2 350.5 129.9L398.4 109.4C403.2 101.6 409.2 94.55 416 88.45V64C416 55.16 408.8 48 400 48C391.2 48 384 55.16 384 64V72C384 85.25 373.3 96 360 96C346.7 96 336 85.25 336 72V64C336 28.65 364.7 0 400 0C435.3 0 464 28.65 464 64H464zM464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM115.1 485.9L97.5 391.1C100.3 391.9 103.1 391.7 105.8 391.3C112.7 419.2 137.9 440 167.1 440C183 440 196.9 434.8 207.8 426.1L207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9V485.9zM303.1 480V426.3L304.2 426.1C315.1 434.8 328.1 440 344 440C374.1 440 399.3 419.2 406.2 391.3C408.9 391.7 411.7 391.9 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V480z"]],
    "ramp-loading": [384, 512, [], "f4d4", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V440.4L320 312.4V64H64V312.4L0 440.4V48z", "M95.1 320H288L372.4 488.8C377.7 499.5 370 512 358.1 512H25.89C13.99 512 6.258 499.5 11.58 488.8L95.1 320z"]],
    "ranking-star": [640, 512, [], "e561", ["M224 288C224 270.3 238.3 256 256 256H384C401.7 256 416 270.3 416 288V480C416 497.7 401.7 512 384 512H256C238.3 512 224 497.7 224 480V288zM0 352C0 334.3 14.33 320 32 320H160C177.7 320 192 334.3 192 352V480C192 497.7 177.7 512 160 512H32C14.33 512 0 497.7 0 480V352zM608 384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H480C462.3 512 448 497.7 448 480V416C448 398.3 462.3 384 480 384H608z", "M330.2 6.332L353.8 54.11L406.1 61.65C415.4 63.09 419.4 74.59 412.6 81.41L374.6 118.1L383.6 170.1C384.1 179.5 375.3 186.7 366.7 182.4L320.2 157.9L273.3 182.7C264.7 187 255 179.8 256.4 170.5L265.4 118.4L227.4 81.41C220.6 74.59 224.6 63.09 233.9 61.65L286.2 54.11L309.8 6.332C314.1-2.289 326.3-1.93 330.2 6.332H330.2z"]],
    "raygun": [576, 512, [], "e025", ["M320 31.97h-16c-8.75 0-16 7.128-16 16v256c0 8.752 7.25 16 16 16H320c8.75 0 15.88-6.999 16-15.75V47.72C335.9 38.97 328.8 31.97 320 31.97zM400 63.99L384 63.97c-8.75 0-16 7.126-16 16v192c0 8.752 7.25 16 16 16L400 288c8.875 0 16-7.25 16-16V79.99C416 71.12 408.9 63.99 400 63.99zM64 16.01v59.22c14.6-6.969 30.75-11.22 48-11.22l79.06-.0078L88.23 2.309C77.57-4.09 64 3.573 64 16.01z", "M569.4 119.4c-4.25-3.002-9.5-3.877-14.38-2.25L480 142.2h-64v64.01h64.13l74.75 25c4.875 1.625 10.25 .751 14.5-2.251C573.5 225.9 576 221.1 576 215.9V132.4C576 127.2 573.5 122.4 569.4 119.4zM112 64.01c-61.86 0-112 50.14-112 111.1c0 59.26 46.17 107.3 104.4 111.2l-70.48 120.8c-6.375 11-8.125 24.13-4.75 36.38c3.25 12.38 11.38 22.88 22.38 29.13l55.38 32c11.12 6.375 24.12 8.125 36.5 4.875c12.25-3.375 22.75-11.38 29.12-22.38L288 288V75.21C273.4 68.24 257.3 64.01 240 64.01L112 64.01zM112 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C136 189.2 125.3 199.1 112 199.1zM208 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C232 189.2 221.3 199.1 208 199.1z"]],
    "receipt": [384, 512, [129534], "f543", ["M13.97 2.196C22.49-1.72 32.5-.3214 39.62 5.778L80 40.39L120.4 5.778C129.4-1.926 142.6-1.926 151.6 5.778L192 40.39L232.4 5.778C241.4-1.926 254.6-1.926 263.6 5.778L304 40.39L344.4 5.778C351.5-.3214 361.5-1.72 370 2.196C378.5 6.113 384 14.63 384 24V488C384 497.4 378.5 505.9 370 509.8C361.5 513.7 351.5 512.3 344.4 506.2L304 471.6L263.6 506.2C254.6 513.9 241.4 513.9 232.4 506.2L192 471.6L151.6 506.2C142.6 513.9 129.4 513.9 120.4 506.2L80 471.6L39.62 506.2C32.5 512.3 22.49 513.7 13.97 509.8C5.456 505.9 0 497.4 0 488V24C0 14.63 5.456 6.112 13.97 2.196V2.196zM96 144C87.16 144 80 151.2 80 160C80 168.8 87.16 176 96 176H288C296.8 176 304 168.8 304 160C304 151.2 296.8 144 288 144H96zM96 368H288C296.8 368 304 360.8 304 352C304 343.2 296.8 336 288 336H96C87.16 336 80 343.2 80 352C80 360.8 87.16 368 96 368zM96 240C87.16 240 80 247.2 80 256C80 264.8 87.16 272 96 272H288C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240H96z", "M80 160C80 151.2 87.16 144 96 144H288C296.8 144 304 151.2 304 160C304 168.8 296.8 176 288 176H96C87.16 176 80 168.8 80 160zM80 352C80 343.2 87.16 336 96 336H288C296.8 336 304 343.2 304 352C304 360.8 296.8 368 288 368H96C87.16 368 80 360.8 80 352zM288 240C296.8 240 304 247.2 304 256C304 264.8 296.8 272 288 272H96C87.16 272 80 264.8 80 256C80 247.2 87.16 240 96 240H288z"]],
    "record-vinyl": [512, 512, [], "f8d9", ["M256 127.1c-70.69 0-128 57.31-128 128s57.31 128 128 128s128-57.31 128-128S326.7 127.1 256 127.1zM256 288C238.3 288 224 273.7 224 256s14.33-32 32-32c17.67 0 32 14.33 32 32S273.7 288 256 288z", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S326.8 384 256 384z"]],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", ["M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128z", ""]],
    "rectangle-ad": [576, 512, ["ad"], "f641", ["M208 237.7L229.2 280H186.8L208 237.7zM416 280C416 293.3 405.3 304 392 304C378.7 304 368 293.3 368 280C368 266.7 378.7 256 392 256C405.3 256 416 266.7 416 280zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM229.5 173.3C225.4 165.1 217.1 160 208 160C198.9 160 190.6 165.1 186.5 173.3L114.5 317.3C108.6 329.1 113.4 343.5 125.3 349.5C137.1 355.4 151.5 350.6 157.5 338.7L162.8 328H253.2L258.5 338.7C264.5 350.6 278.9 355.4 290.7 349.5C302.6 343.5 307.4 329.1 301.5 317.3L229.5 173.3zM416 212.1C408.5 209.4 400.4 208 392 208C352.2 208 320 240.2 320 280C320 319.8 352.2 352 392 352C403.1 352 413.6 349.5 423 344.1C427.4 349.3 433.4 352 440 352C453.3 352 464 341.3 464 328V184C464 170.7 453.3 160 440 160C426.7 160 416 170.7 416 184V212.1z", "M208 160C217.1 160 225.4 165.1 229.5 173.3L301.5 317.3C307.4 329.1 302.6 343.5 290.7 349.5C278.9 355.4 264.5 350.6 258.5 338.7L253.2 328H162.8L157.5 338.7C151.5 350.6 137.1 355.4 125.3 349.5C113.4 343.5 108.6 329.1 114.5 317.3L186.5 173.3C190.6 165.1 198.9 160 208 160H208zM229.2 280L208 237.7L186.8 280H229.2zM416 184C416 170.7 426.7 160 440 160C453.3 160 464 170.7 464 184V328C464 341.3 453.3 352 440 352C433.4 352 427.4 349.3 423 344.1C413.6 349.5 403.1 352 392 352C352.2 352 320 319.8 320 280C320 240.2 352.2 208 392 208C400.4 208 408.5 209.4 416 212.1V184zM392 256C378.7 256 368 266.7 368 280C368 293.3 378.7 304 392 304C405.3 304 416 293.3 416 280C416 266.7 405.3 256 392 256z"]],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", ["M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM120 128C106.7 128 96 138.7 96 152V360C96 373.3 106.7 384 120 384C133.3 384 144 373.3 144 360V152C144 138.7 133.3 128 120 128zM176 368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V144C208 135.2 200.8 128 192 128C183.2 128 176 135.2 176 144V368zM264 128C250.7 128 240 138.7 240 152V360C240 373.3 250.7 384 264 384C277.3 384 288 373.3 288 360V152C288 138.7 277.3 128 264 128zM352 360C352 373.3 362.7 384 376 384C389.3 384 400 373.3 400 360V152C400 138.7 389.3 128 376 128C362.7 128 352 138.7 352 152V360zM464 128C455.2 128 448 135.2 448 144V368C448 376.8 455.2 384 464 384C472.8 384 480 376.8 480 368V144C480 135.2 472.8 128 464 128z", "M96 152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V360C144 373.3 133.3 384 120 384C106.7 384 96 373.3 96 360V152zM176 144C176 135.2 183.2 128 192 128C200.8 128 208 135.2 208 144V368C208 376.8 200.8 384 192 384C183.2 384 176 376.8 176 368V144zM288 152V360C288 373.3 277.3 384 264 384C250.7 384 240 373.3 240 360V152C240 138.7 250.7 128 264 128C277.3 128 288 138.7 288 152zM352 152C352 138.7 362.7 128 376 128C389.3 128 400 138.7 400 152V360C400 373.3 389.3 384 376 384C362.7 384 352 373.3 352 360V152zM480 144V368C480 376.8 472.8 384 464 384C455.2 384 448 376.8 448 368V144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144z"]],
    "rectangle-code": [512, 512, [], "e322", ["M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM294.2 167.9C285.3 177.8 286.1 192.1 295.9 201.8L356.1 256L295.9 310.2C286.1 319 285.3 334.2 294.2 344.1C303 353.9 318.2 354.7 328.1 345.8L408.1 273.8C413.1 269.3 416 262.8 416 256C416 249.2 413.1 242.7 408.1 238.2L328.1 166.2C318.2 157.3 303 158.1 294.2 167.9V167.9zM216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L155.9 256L216.1 201.8z", "M155.9 256L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L155.9 256zM295.9 201.8C286.1 192.1 285.3 177.8 294.2 167.9C303 158.1 318.2 157.3 328.1 166.2L408.1 238.2C413.1 242.7 416 249.2 416 256C416 262.8 413.1 269.3 408.1 273.8L328.1 345.8C318.2 354.7 303 353.9 294.2 344.1C285.3 334.2 286.1 319 295.9 310.2L356.1 256L295.9 201.8z"]],
    "rectangle-history": [512, 512, [], "e4a2", ["M440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M448 160C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448z"]],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", ["M64 512C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368C320 427.5 349.5 480.1 394.8 512H64zM440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", ["M64 512C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368C320 427.5 349.5 480.1 394.8 512H64zM440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480zM496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384z"]],
    "rectangle-list": [576, 512, ["list-alt"], "f022", ["M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256zM160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192C145.7 192 160 177.7 160 160zM160 352C160 334.3 145.7 320 128 320C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352zM224 136C210.7 136 200 146.7 200 160C200 173.3 210.7 184 224 184H448C461.3 184 472 173.3 472 160C472 146.7 461.3 136 448 136H224zM224 376H448C461.3 376 472 365.3 472 352C472 338.7 461.3 328 448 328H224C210.7 328 200 338.7 200 352C200 365.3 210.7 376 224 376zM224 232C210.7 232 200 242.7 200 256C200 269.3 210.7 280 224 280H448C461.3 280 472 269.3 472 256C472 242.7 461.3 232 448 232H224z", "M200 160C200 146.7 210.7 136 224 136H448C461.3 136 472 146.7 472 160C472 173.3 461.3 184 448 184H224C210.7 184 200 173.3 200 160zM200 352C200 338.7 210.7 328 224 328H448C461.3 328 472 338.7 472 352C472 365.3 461.3 376 448 376H224C210.7 376 200 365.3 200 352zM448 232C461.3 232 472 242.7 472 256C472 269.3 461.3 280 448 280H224C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232H448z"]],
    "rectangle-pro": [640, 512, ["pro"], "e235", ["M160 240H128V208H160C168.8 208 176 215.2 176 224C176 232.8 168.8 240 160 240zM288 208H320C328.8 208 336 215.2 336 224C336 232.8 328.8 240 320 240H288V208zM448 248C448 225.9 465.9 208 488 208C510.1 208 528 225.9 528 248V264C528 286.1 510.1 304 488 304C465.9 304 448 286.1 448 264V248zM576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM104 160C90.75 160 80 170.7 80 184V328C80 341.3 90.75 352 104 352C117.3 352 128 341.3 128 328V288H160C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160H104zM240 328C240 341.3 250.7 352 264 352C277.3 352 288 341.3 288 328V288H306.7L339.6 340.7C346.7 351.1 361.5 355.4 372.7 348.4C383.1 341.3 387.4 326.5 380.4 315.3L356.3 276.7C373 265.2 384 245.9 384 224C384 188.7 355.3 160 320 160H264C250.7 160 240 170.7 240 184V328zM488 160C439.4 160 400 199.4 400 248V264C400 312.6 439.4 352 488 352C536.6 352 576 312.6 576 264V248C576 199.4 536.6 160 488 160z", "M80 184C80 170.7 90.75 160 104 160H160C195.3 160 224 188.7 224 224C224 259.3 195.3 288 160 288H128V328C128 341.3 117.3 352 104 352C90.75 352 80 341.3 80 328V184zM128 240H160C168.8 240 176 232.8 176 224C176 215.2 168.8 208 160 208H128V240zM240 184C240 170.7 250.7 160 264 160H320C355.3 160 384 188.7 384 224C384 245.9 373 265.2 356.3 276.7L380.4 315.3C387.4 326.5 383.1 341.3 372.7 348.4C361.5 355.4 346.7 351.1 339.6 340.7L306.7 288H288V328C288 341.3 277.3 352 264 352C250.7 352 240 341.3 240 328V184zM288 240H320C328.8 240 336 232.8 336 224C336 215.2 328.8 208 320 208H288V240zM576 248V264C576 312.6 536.6 352 488 352C439.4 352 400 312.6 400 264V248C400 199.4 439.4 160 488 160C536.6 160 576 199.4 576 248zM448 264C448 286.1 465.9 304 488 304C510.1 304 528 286.1 528 264V248C528 225.9 510.1 208 488 208C465.9 208 448 225.9 448 248V264z"]],
    "rectangle-terminal": [512, 512, [], "e236", ["M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM102.3 151.8C93.35 161.6 94.01 176.7 103.8 185.7L180.5 256L103.8 326.3C94.01 335.3 93.35 350.4 102.3 360.2C111.3 369.1 126.4 370.6 136.2 361.7L232.2 273.7C237.2 269.1 240 262.7 240 255.1C240 249.3 237.2 242.9 232.2 238.3L136.2 150.3C126.4 141.4 111.3 142 102.3 151.8V151.8zM248 336C234.7 336 224 346.7 224 360C224 373.3 234.7 384 248 384H392C405.3 384 416 373.3 416 360C416 346.7 405.3 336 392 336H248z", "M103.8 185.7C94.01 176.7 93.35 161.6 102.3 151.8C111.3 142 126.4 141.4 136.2 150.3L232.2 238.3C237.2 242.9 240 249.3 240 256C240 262.7 237.2 269.1 232.2 273.7L136.2 361.7C126.4 370.6 111.3 369.1 102.3 360.2C93.35 350.4 94.01 335.3 103.8 326.3L180.5 256L103.8 185.7zM392 336C405.3 336 416 346.7 416 360C416 373.3 405.3 384 392 384H248C234.7 384 224 373.3 224 360C224 346.7 234.7 336 248 336H392z"]],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320z", ""]],
    "rectangle-vertical-history": [576, 512, [], "e237", ["M144 72V440C144 453.3 133.3 464 120 464C106.7 464 96 453.3 96 440V72C96 58.75 106.7 48 120 48C133.3 48 144 58.75 144 72zM48 120V392C48 405.3 37.25 416 24 416C10.75 416 0 405.3 0 392V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120z", "M192 64C192 28.65 220.7 0 256 0H512C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64z"]],
    "rectangle-wide": [640, 512, [], "f2fc", ["M0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128z", ""]],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", ["M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M256 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L256 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L256 222.1z"]],
    "rectangles-mixed": [576, 512, [], "e323", ["M528 32C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80C384 53.49 405.5 32 432 32H528zM288 304C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352C64 325.5 85.49 304 112 304H288z", "M0 80C0 53.49 21.49 32 48 32H272C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80z"]],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", ["M378.6 111.1L337.4 45.14c-37.58-60.15-125.2-60.18-162.8-.0617L167.2 56.9c-9.322 14.9-4.789 34.65 10.09 43.99c14.97 9.395 34.74 4.942 44.11-10.04l7.442-11.89c12.75-20.38 41.1-19.63 54.25 0l41.25 66.14L378.6 111.1zM128 384H96c-25.14 0-40.47-27.66-27.15-48.98l50.9-81.43L65.51 219.8L14.68 301.3c-39.86 63.94 6.117 146.8 81.47 146.8h31.88c17.68 0 31.98-14.38 31.98-32.05C160 398.3 145.7 384 128 384zM497.3 301.3l-16.99-27.26c-9.336-14.99-29.06-19.56-44.04-10.21c-14.94 9.319-19.52 29.15-10.18 44.08l16.99 27.15c13.35 21.33-1.982 49-27.14 49h-95.99v64.02h95.86C491.2 448.1 537.2 365.2 497.3 301.3z", "M159.2 151.6C157.2 142.9 148.5 137.7 139.9 139.6L48.48 160.7C27.66 165.5 23.04 193.1 41.15 204.5l102.9 64.36c18.12 11.35 40.92-4.889 36.12-25.73L159.2 151.6zM402.1 95.89l-102.9 64.29c-18.16 11.31-13.56 38.94 7.278 43.77l91.4 21.15c8.622 1.995 17.23-3.383 19.21-12.01l21.04-91.43C443.8 100.8 421.1 84.6 402.1 95.89zM279.1 338.3l-66.41 66.43c-6.124 6.127-6.12 16.37 .0044 22.63l66.42 66.34c15.12 15.1 40.95 4.395 40.95-16.98v-121.4C320 333.9 294.2 323.2 279.1 338.3z"]],
    "reel": [448, 512, [], "e238", ["M384 144H64v32h320V144zM64 448h320v-48H64V448zM432 208H64v32h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM384 64H64v48h320V64zM64 304h320v-32H64V304zM64 368h320v-32H64V368z", "M32 64h384c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32C0 49.67 14.33 64 32 64zM416 448H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 462.3 433.7 448 416 448z"]],
    "refrigerator": [384, 512, [], "e026", ["M0 192h288V160H0V192zM320 160v32h64V160H320z", "M320 368c0 8.801-7.199 16-16 16S288 376.8 288 368V192H0v288c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192h-64V368zM320 0H64C28.65 0 0 28.65 0 64v96h288V79.1C288 71.2 295.2 64 304 64S320 71.2 320 79.1V160h64V64C384 28.65 355.3 0 320 0z"]],
    "registered": [512, 512, [174], "f25d", ["M272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8z", "M272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8z"]],
    "repeat": [512, 512, [128257], "f363", ["M512 288c0 88.22-71.78 160-160 160H192l.0073 40c0 9.469-5.585 18.06-14.24 21.94C174.6 511.3 171.3 512 168 512c-5.812 0-11.57-2.125-16.07-6.156l-80-72C66.89 429.3 64 422.8 64 416s2.891-13.28 7.938-17.84l80-72C159 319.8 169.1 318.3 177.8 322.1C186.4 325.9 192 334.5 192 344L192 384H352c52.94 0 96-43.06 96-96c0-17.69 14.33-32 32-32S512 270.3 512 288z", "M448 95.1c0 6.812-2.891 13.28-7.938 17.85l-80 72C355.6 189.9 349.8 192 343.1 192c-3.312 0-6.618-.6875-9.759-2.062C325.6 186.1 320 177.5 320 168L319.1 128H160C107.1 128 64 171.1 64 224c0 17.69-14.33 32-32 32S0 241.7 0 224c0-88.22 71.78-160 160-160h160l-.0049-40c0-9.469 5.583-18.06 14.24-21.94c8.641-3.781 18.78-2.219 25.83 4.094l80 72C445.1 82.72 448 89.19 448 95.1z"]],
    "repeat-1": [512, 512, [128258], "f365", ["M480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94c-8.641-3.781-18.75-2.219-25.83 4.094l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94c12.41 5.431 22.38-1.007 25.83-4.094l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72C353-.1562 342.9-1.719 334.2 2.062C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z", "M264 320C277.3 320 288 309.3 288 296v-80c0-7.719-3.703-14.97-9.969-19.47C271.8 192 263.7 190.8 256.4 193.2l-24 8C219.8 205.4 213 219 217.2 231.6C220.6 241.7 229.1 248 240 248v48C240 309.3 250.8 320 264 320z"]],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", ["M223.1 136.1C384.6 137.9 512 170.1 512 322.3c0 61.44-39.59 122.3-83.34 154.1c-13.66 9.938-33.09-2.531-28.06-18.62c45.34-145-21.5-183.5-176.6-185.8V136.1z", "M8.31 189.9l176-151.1c15.41-13.3 39.69-2.509 39.69 18.16v303.1c0 20.7-24.31 31.45-39.69 18.16l-176-151.1C-2.753 216.6-2.784 199.4 8.31 189.9z"]],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", ["M8.31 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16v-15.83L66.33 208l157.7-136.2V56.02c0-20.67-24.28-31.46-39.69-18.16l-176 151.1C-2.77 199.4-2.77 216.6 8.31 226.2z", "M136.3 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16V275.1c108.5 12.58 151.1 58.79 112.6 181.9c-5.031 16.09 14.41 28.56 28.06 18.62c43.75-31.81 83.34-92.69 83.34-154.1c0-131.3-94.86-173.2-224-183.5V56.02c0-20.67-24.28-31.46-39.69-18.16L136.3 189.9C125.2 199.4 125.2 216.6 136.3 226.2z"]],
    "reply-clock": [640, 512, ["reply-time"], "e239", ["M496 320c-86.73 0-158.6-62.8-173.2-145.4C292 170.4 258.9 168.5 223.1 168.1V88.02c0-20.67-24.28-31.47-39.69-18.17l-176 152c-11.09 9.562-11.06 26.75 0 36.31l176 152c15.38 13.3 39.69 2.547 39.69-18.16V304.1c155.1 2.234 221.9 40.73 176.6 185.8c-5.031 16.09 14.41 28.56 28.06 18.62C472.4 476.6 512 415.8 512 354.3c0-12.56-1.17-24.02-2.852-34.99C504.8 319.7 500.4 320 496 320z", "M496 0C416.4 0 352 64.38 352 144S416.4 288 496 288S640 223.6 640 144S575.6 0 496 0zM544 160h-54.25C484.4 160 480 155.6 480 150.3V80C480 71.16 487.2 64 496 64C504.8 64 512 71.16 512 80V128h32c8.838 0 16 7.164 16 16S552.8 160 544 160z"]],
    "republican": [640, 512, [], "f75e", ["M624 319.1L592 319.1c-8.799 0-15.1 7.199-15.1 15.1v63.99c0 8.748-7.25 15.1-15.1 15.1c-8.75 0-15.1-7.25-15.1-15.1l-.0313-111.1L.025 287.1v159.1c0 17.6 14.4 31.1 31.1 31.1L95.98 479.1c17.6 0 32.04-14.4 32.04-32v-63.98l191.1-.0169v63.99c0 17.6 14.36 32 31.96 32l64.04 .013c17.6 0 31.1-14.4 31.1-31.1l-.0417-96.01l32.04 .0006v43.25c0 41.79 29.91 80.03 71.48 84.35C599.3 484.5 640 446.9 640 399.1v-63.98C640 327.2 632.8 319.1 624 319.1z", "M384 32.01L159.1 32C71.62 32 0 103.6 0 191.1l.025 95.99l543.9-.0049l.0313-95.98C544 103.6 472.4 32.01 384 32.01zM176.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87L103.5 223.2C99.27 225.6 94.02 221.9 94.77 216.1l4.75-27.25l-19.75-19.37C76.15 166.9 78.15 160.9 83.02 160.2L110.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L145.5 156.2L172.9 160.2C177.9 160.9 179.8 166.9 176.3 170.4zM320.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25L272 210.4l-24.5 12.87C243.3 225.6 238 221.9 238.8 216.1L243.5 189.7l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12L254.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L289.5 156.2l27.37 4C321.9 160.9 323.8 166.9 320.3 170.4zM464.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87l-24.5 12.87c-4.25 2.375-9.5-1.375-8.75-6.25l4.75-27.25l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12l27.37-4l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0l12.25 24.87l27.37 4C465.9 160.9 467.8 166.9 464.3 170.4z"]],
    "restroom": [640, 512, [], "f7bd", ["M319.1 0C306.8 0 296 10.8 296 24v464c0 13.2 10.8 24 23.1 24s24-10.8 24-24V24C344 10.8 333.2 0 319.1 0zM128 0C101.5 0 80 21.5 80 48S101.5 96 128 96s47.1-21.5 47.1-48S154.5 0 128 0zM511.1 0c-26.5 0-47.1 21.5-47.1 48S485.5 96 511.1 96s48-21.5 48-48S538.5 0 511.1 0z", "M213.7 171.8C204.9 145.6 180.5 128 152.9 128H103.1C75.47 128 51.06 145.6 42.37 171.8L1.653 293.9c-5.594 16.77 3.469 34.89 20.22 40.48c12.68 4.211 25.93 .1426 34.13-9.18V480c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-144h16l.0003 144c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-155.2c6.041 6.971 14.7 11.25 24 11.25c3.344 0 6.75-.5313 10.13-1.656c16.75-5.594 25.81-23.72 20.22-40.48L213.7 171.8zM638.3 293.9l-40.69-122.1C588.9 145.6 564.5 128 536.9 128h-49.88c-27.59 0-52 17.59-60.69 43.75l-40.72 122.1c-5.594 16.77 3.469 34.89 20.22 40.48c3.422 1.137 6.856 1.273 10.25 1.264L399.1 384h40v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h39.1l-15.99-47.98c3.342 0 6.747-.5313 10.12-1.656C634.9 328.8 643.9 310.6 638.3 293.9z"]],
    "restroom-simple": [576, 512, [], "e23a", ["M256 0C242.8 0 232 10.8 232 24v464C232 501.2 242.8 512 256 512s24-10.8 24-24V24C280 10.8 269.2 0 256 0zM448 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S483.4 0 448 0zM96 0C60.63 0 32 28.62 32 64s28.62 64 64 64s64-28.62 64-64S131.4 0 96 0z", "M575.4 363.6L527.1 194.8C521.3 174.2 502.4 160 480.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C317.7 373.8 325.4 384 336 384H384v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C570.6 384 578.3 373.8 575.4 363.6zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160z"]],
    "retweet": [640, 512, [], "f079", ["M608.1 360.1l-80 80.02C524.3 445.7 518.1 448 512 448s-12.28-2.344-16.97-7.031l-80-80.02c-6.859-6.875-8.922-17.19-5.203-26.16S422.3 319.1 432 319.1H480V176C480 167.2 472.8 160 464 160h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h128C508.1 96 544 131.9 544 176v143.1h48c9.703 0 18.45 5.844 22.17 14.82S615.8 354.1 608.1 360.1z", "M304 352h-128C167.2 352 160 344.8 160 336V192h48c9.703 0 18.45-5.844 22.17-14.82s1.656-19.29-5.203-26.16l-80-80.02C140.3 66.34 134.1 64 128 64S115.7 66.34 111 71.03l-80 80.02C24.17 157.9 22.11 168.2 25.83 177.2S38.3 192 48 192H96V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"]],
    "rhombus": [448, 512, [], "e23b", ["M438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1z", ""]],
    "ribbon": [448, 512, [127895], "f4d6", ["M225 379.3l-114.3 124.8c-8 8.75-21.5 10.5-31.38 3.75l-68.76-27.87c-12-8.123-14.13-24.87-4.5-35.75l139.8-152.8L225 379.3z", "M441.8 444.3c0 0-292-324.5-295.4-329.1c15.38-8.5 40.25-17.1 77.51-17.1s62.13 9.5 77.51 17.1c-3.25 5.5-56.01 64.5-56.01 64.5l79.13 87.75l34.13-37.1c28.75-31.87 33.38-78.62 11.5-115.5L326.5 39.52c-4.25-7.25-9.876-13.25-16.75-17.1c-40.75-27.62-127.5-29.75-171.5 0C131.3 26.27 125.7 32.27 121.4 39.52L77.81 112.8C76.31 115.3 40.68 174.9 89.31 228.8l248.1 275.2c8.001 8.875 21.38 10.5 31.25 3.75l68.88-27.87C449.5 471.9 451.6 455.1 441.8 444.3z"]],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", ["M224 320H32c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192V320z", "M448 256c0 8.188-3.125 16.38-9.375 22.62l-160 160c-9.156 9.156-22.91 11.89-34.88 6.938C231.8 440.6 224 428.9 224 416V96c0-12.94 7.797-24.61 19.75-29.56c11.97-4.953 25.72-2.219 34.88 6.938l160 160C444.9 239.6 448 247.8 448 256z"]],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", ["M96 480h64C177.7 480 192 465.7 192 448S177.7 416 160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64C177.7 96 192 81.67 192 64S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256C0 437 42.98 480 96 480z", "M504.8 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594c-8.803-3.797-14.51-12.47-14.51-22.05l-.0918-71.1l-128-.001c-17.69 0-32.02-14.33-32.02-32v-64c0-17.67 14.34-32 32.02-32l128 .001l.0918-72c0-9.578 5.707-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136C514.4 247.6 514.4 264.4 504.8 273.5z"]],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", ["M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64z", "M440.8 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594C261.9 410.3 256.2 401.6 256.2 392V320H128.1c-17.69 0-32.04-14.33-32.04-32V224c0-17.67 14.35-32 32.04-32h128.1V120c0-9.578 5.708-18.25 14.51-22.05c8.805-3.781 19.03-1.984 26 4.594l144.1 136C450.4 247.6 450.4 264.4 440.8 273.5z"]],
    "right-left": [512, 512, ["exchange-alt"], "f362", ["M512 383.1C512 401.7 497.7 416 480 416H160.1L160 488c0 9.547-5.652 18.19-14.41 22c-8.754 3.812-18.93 2.078-25.93-4.406l-112-104c-10.24-9.5-10.24-25.69 0-35.19l112-104c6.992-6.484 17.17-8.219 25.93-4.406c8.758 3.812 14.41 12.45 14.41 22L160.1 352H480C497.7 352 512 366.3 512 383.1z", "M504.3 110.4l-112-104c-6.992-6.484-17.17-8.217-25.93-4.408c-8.758 3.816-14.41 12.46-14.41 22L351.9 96H32C14.31 96 0 110.3 0 127.1S14.31 160 32 160h319.9l.0791 72c0 9.547 5.652 18.19 14.41 22c8.754 3.812 18.93 2.078 25.93-4.406l112-104C514.6 136.1 514.6 119.9 504.3 110.4z"]],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", ["M351.9 288H32C14.33 288 .0002 273.7 .0002 255.1S14.33 224 32 224h319.9V288z", "M392.3 134.4c-6.992-6.484-17.18-8.218-25.94-4.41c-8.758 3.816-14.42 12.46-14.42 22v208c0 9.547 5.66 18.19 14.42 21.1c8.754 3.812 18.95 2.079 25.94-4.406l112.1-104c10.24-9.5 10.24-25.69 0-35.19L392.3 134.4z"]],
    "right-long-to-line": [640, 512, [], "e444", ["", "M366.3 382C357.6 378.2 351.9 369.5 351.9 360V304H32C14.33 304 0 289.7 0 272V240C0 222.3 14.33 208 32 208H351.9V151.1C351.9 142.5 357.6 133.8 366.3 129.1C375.1 126.2 385.3 127.9 392.2 134.4L504.3 238.4C514.6 247.9 514.6 264.1 504.3 273.6L392.2 377.6C385.3 384.1 375.1 385.8 366.3 382V382zM608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64z"]],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", ["M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z", "M344.7 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594C165.8 410.3 160.1 401.6 160.1 392V320H32.02C14.33 320 0 305.7 0 288V224c0-17.67 14.33-32 32.02-32h128.1V120c0-9.578 5.707-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136C354.3 247.6 354.3 264.4 344.7 273.5z"]],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", ["M415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z", "M.0228 287.1V223.1c0-17.67 14.34-32 32.02-32L160.1 191.1l.0343-72c0-9.58 5.708-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136c9.602 9.062 9.602 25.84 0 34.91l-144.1 136c-6.973 6.578-17.2 8.375-26 4.594C165.8 410.3 160.1 401.6 160.1 392L160.1 319.1L32.05 319.1C14.36 319.1 .0228 305.7 .0228 287.1z"]],
    "ring": [512, 512, [], "f70b", ["M64 208C64 163.8 149.1 128 256 128c105.1 0 192 35.82 192 80c0 21.81-20.95 41.57-54.9 56C358.3 249.2 309.7 240 256 240S153.8 249.2 118.9 264C85 249.6 64 229.8 64 208z", "M256 64C110.1 64 0 125.9 0 208v98.13C0 384.5 114.6 448 256 448c141.4 0 256-63.52 256-141.9V208C512 125.9 401.9 64 256 64zM256 288C149.1 288 64 252.2 64 208S149.1 128 256 128c105.1 0 192 35.82 192 80S361.1 288 256 288z"]],
    "ring-diamond": [384, 512, [], "e5ab", ["M122.5 13.27C126.6 5.136 134.9 0 144 0H240C249.1 0 257.4 5.136 261.5 13.27L285.5 61.27C289 68.35 288.8 76.73 284.1 83.66L254.6 138.4C234.9 131.7 213.9 128 192 128C170.1 128 149.1 131.7 129.4 138.4L99.02 83.66C95.17 76.73 94.99 68.35 98.53 61.27L122.5 13.27z", "M0 320C0 213.1 85.96 128 192 128C298 128 384 213.1 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320zM192 192C121.3 192 64 249.3 64 320C64 390.7 121.3 448 192 448C262.7 448 320 390.7 320 320C320 249.3 262.7 192 192 192z"]],
    "rings-wedding": [512, 512, [], "f81b", ["M221 101.9l34.96-69.92L223.1 0h-95.1l-32 31.1l34.96 69.92C160.5 94.13 191.5 94.13 221 101.9zM473.1 225.6c-30.34-37.69-74.86-61.23-123.1-65.07c14.14 21.95 23.1 46.38 29.06 71.1c57.04 23.78 83.99 89.29 60.21 146.3c-23.78 57.03-89.29 83.99-146.3 60.21s-83.99-89.29-60.21-146.3c9.828-23.57 27.43-43.07 49.87-55.26c-1-3.1-2.133-6.147-3.398-9.139c-.3906-.9004-.8613-2-1.271-2.891c-.0469-.1172-.0996-.2305-.1582-.3399c-.4102-.9004-.8418-1.791-1.271-2.68c-.959-1.941-2.068-4.031-3.148-5.91c-.5-.8692-1-1.791-1.521-2.641c-.1094-.1797-.2187-.3594-.3398-.5391c-.4297-.7109-.8691-1.41-1.33-2.109c-.1289-.2109-.2695-.4219-.4102-.6309c-.459-.6992-.9199-1.391-1.398-2.07l-.3516-.5605c-1.199-1.719-2.445-3.385-3.738-4.998l-2.621-3.201c-.4492-.5293-2.09-2.41-2.09-2.41c-.4902-.5293-1-1.059-1.469-1.59l-.6602-.7187c-.7109-.75-1.441-1.5-2.17-2.24c-2.887-2.871-5.924-5.584-9.1-8.131c-68.42 40.7-101 122.2-79.62 198.9C170.6 397.1 176.4 411.8 184 424.7c.7402 1.273 1.492 2.529 2.26 3.77c.7598 1.24 1.539 2.491 2.34 3.71c-.002 .0195-.002-.0195 0 0c.7871 1.213 1.594 2.444 2.42 3.63c.8184 1.193 1.707 2.443 2.561 3.609c.8496 1.182 1.729 2.352 2.609 3.5c.8867 1.168 1.838 2.385 2.765 3.526c60.95 75.71 171.7 87.61 247.4 26.66C522.1 412.1 534 301.3 473.1 225.6z", "M198.1 446.4c-96.37 12.69-184.7-55.07-197.4-151.4s55.14-184.8 151.5-197.5s184.8 55.14 197.5 151.5c7.619 57.84-13.92 115.6-57.5 154.3c-4.899-3.138-9.447-6.659-13.56-10.77c-11.8-11.74-19.61-26.9-22.32-43.33c42.66-44.79 40.92-115.7-3.869-158.3S137.6 149.1 94.91 194.8s-40.92 115.7 3.869 158.3c18.46 17.58 42.35 28.32 67.75 30.48C172.1 406.6 183.1 427.9 198.1 446.4z"]],
    "road": [576, 512, [128739], "f018", ["M320 32V96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32H320zM288 192C305.7 192 320 206.3 320 224V288C320 305.7 305.7 320 288 320C270.3 320 256 305.7 256 288V224C256 206.3 270.3 192 288 192zM288 384C305.7 384 320 398.3 320 416V480H256V416C256 398.3 270.3 384 288 384z", "M256 96C256 113.7 270.3 128 288 128C305.7 128 320 113.7 320 96V32H394.8C421.9 32 446 49.08 455.1 74.63L572.9 407.2C574.9 413 576 419.2 576 425.4C576 455.5 551.5 480 521.4 480H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H54.61C24.45 480 0 455.5 0 425.4C0 419.2 1.06 413 3.133 407.2L120.9 74.63C129.1 49.08 154.1 32 181.2 32H255.1L256 96zM320 224C320 206.3 305.7 192 288 192C270.3 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320C305.7 320 320 305.7 320 288V224z"]],
    "road-barrier": [640, 512, [], "e562", ["M309.2 288H234.8L330.8 96H405.2L309.2 288zM458.8 96H533.2L437.2 288H362.8L458.8 96zM202.8 96H277.2L181.2 288H106.8L202.8 96zM576 117.7V288H490.8L576 117.7zM64 96H149.2L64 266.3V96z", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM640 448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V64C576 46.33 590.3 32 608 32C625.7 32 640 46.33 640 64V448z"]],
    "road-bridge": [640, 512, [], "e563", ["M288 160H248V224H288V320C234.1 320 192 362.1 192 416V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 362.1 53.02 320 0 320V224H72V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H288V160zM120 224H200V160H120V224z", "M640 32V480C640 497.7 625.7 512 608 512H352C334.3 512 320 497.7 320 480V32C320 14.33 334.3 0 352 0H608C625.7 0 640 14.33 640 32zM504 224C504 210.7 493.3 200 480 200C466.7 200 456 210.7 456 224V288C456 301.3 466.7 312 480 312C493.3 312 504 301.3 504 288V224zM456 384V448C456 461.3 466.7 472 480 472C493.3 472 504 461.3 504 448V384C504 370.7 493.3 360 480 360C466.7 360 456 370.7 456 384zM504 64C504 50.75 493.3 40 480 40C466.7 40 456 50.75 456 64V128C456 141.3 466.7 152 480 152C493.3 152 504 141.3 504 128V64z"]],
    "road-circle-check": [640, 512, [], "e564", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "road-circle-exclamation": [640, 512, [], "e565", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "road-circle-xmark": [640, 512, [], "e566", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "road-lock": [640, 512, [], "e567", ["M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L517.5 160.5C460.6 165.8 416 213.7 416 272V296.6C396.9 307.6 384 328.3 384 352V480H352V416C352 398.3 337.7 384 320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM288 224V288C288 305.7 302.3 320 320 320C337.7 320 352 305.7 352 288V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "road-spikes": [640, 512, [], "e568", ["M416 246.9V114.8C416 99.11 436.1 92.77 445.1 105.6L581.8 300.8C598.8 325.2 608 354.2 608 384H32V114.8C32 99.11 52.14 92.77 61.11 105.6L160 246.9V114.8C160 99.11 180.1 92.77 189.1 105.6L288 246.9V114.8C288 99.11 308.1 92.77 317.1 105.6L416 246.9z", "M0 416C0 398.3 14.33 384 32 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H32C14.33 448 0 433.7 0 416z"]],
    "robot": [640, 512, [129302], "f544", ["M41.38 233.4C35.38 239.4 32 247.5 32 256v128c0 8.5 3.375 16.62 9.375 22.62S55.5 416 64 416h32V224H64C55.5 224 47.38 227.4 41.38 233.4zM598.6 233.4C592.6 227.4 584.5 224 576 224h-32v192h32c8.5 0 16.62-3.375 22.62-9.375S608 392.5 608 384V256C608 247.5 604.6 239.4 598.6 233.4zM320 0C302.4 0 288 14.38 288 32v64h64V32C352 14.38 337.6 0 320 0zM192 416h64v-32H192V416zM288 416h64v-32H288V416zM384 416h64v-32h-64V416z", "M464 96h-288C131.8 96 96 131.8 96 176V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V176C544 131.8 508.3 96 464 96zM256 416H192v-32h64V416zM224 296C201.9 296 184 278.1 184 256S201.9 216 224 216S264 233.9 264 256S246.1 296 224 296zM352 416H288v-32h64V416zM448 416h-64v-32h64V416zM416 296c-22.12 0-40-17.88-40-40S393.9 216 416 216S456 233.9 456 256S438.1 296 416 296z"]],
    "robot-astromech": [512, 512, [], "e2d2", ["M496 496c0-2.226-.4633-4.46-1.402-6.548l-30.59-68.14V240c0-26.47-21.53-48-48-48H95.1c-26.47 0-48 21.53-48 48v181.3l-30.59 68.14C16.46 491.5 16 493.8 16 496c0 12.89 11.99 15.1 15.1 15.1l80 .0001c8.844 0 15.1-7.156 15.1-16l-.0026-111.1l54.63 54.63c6.002 6 14.14 9.373 22.63 9.373h101.5c8.487 0 16.63-3.373 22.63-9.373l54.63-54.63l.0018 111.1c0 8.844 7.156 16 16 16l79.1-.0001C484 512 496 508.8 496 496zM304 320H207.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 312.8 312.8 320 304 320zM304 256H207.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 248.8 312.8 256 304 256z", "M256 0c-91.04 0-128 83.22-128 133.5l.0036 58.5h256l-.0038-64C384 57.31 326.7 0 256 0zM224 128c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C256 113.7 241.7 128 224 128zM304 128c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16c8.836 0 16 7.162 16 16C320 120.8 312.8 128 304 128zM304 224H207.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h96c8.836 0 16-7.164 16-15.1C320 231.2 312.8 224 304 224zM304 288H207.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h96c8.836 0 16-7.164 16-15.1C320 295.2 312.8 288 304 288z"]],
    "rocket": [512, 512, [], "f135", ["M198.6 130C170.1 175.9 137.9 244.5 118.5 288H23.1C15.33 288 7.334 283.3 3.083 275.8C-1.168 268.2-1.014 258.1 3.487 251.5L56.26 164.7C69.31 143.2 92.64 130 117.8 130H198.6zM223.1 391.8C267.9 372.8 336.4 341.5 381.1 313.4V394.2C381.1 419.4 368.8 442.7 347.3 455.8L260.5 508.5C253 513 243.8 513.2 236.2 508.9C228.7 504.7 223.1 496.7 223.1 488L223.1 391.8z", "M166.5 394.8L115.8 344.1C106.6 334.9 103.9 321.1 109.1 309.2C127.4 267.4 171.8 169 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C342.6 340.5 243 383.9 200.1 401.7C189.1 406.6 175.5 403.9 166.5 394.8L166.5 394.8zM384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168z"]],
    "rocket-launch": [512, 512, [128640], "e027", ["M23.1 288C15.33 288 7.334 283.3 3.083 275.8C-1.168 268.2-1.014 258.1 3.487 251.5L56.26 164.7C69.31 143.2 92.64 130 117.8 130H198.6C170.1 175.9 137.9 244.5 118.5 288H23.1zM381.1 394.2C381.1 419.4 368.8 442.7 347.3 455.8L260.5 508.5C253 513 243.8 513.2 236.2 508.9C228.7 504.7 223.1 496.7 223.1 488V391.8C267.9 372.8 336.4 341.5 381.1 313.4L381.1 394.2zM166.5 470C117 519.5 .4765 511.5 .4765 511.5C.4765 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470zM119.8 392.2C108.3 380.8 89.81 380.8 78.38 392.2C61.92 408.7 64.58 447.4 64.58 447.4C64.58 447.4 103.3 450.1 119.8 433.6C131.2 422.2 131.2 403.7 119.8 392.2z", "M223.7 391.9C219.7 335.1 174.6 291.3 118.4 288.2C139.8 240.3 176.8 161.6 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C350.6 335 272.2 370.9 223.7 391.9V391.9zM384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88z"]],
    "roller-coaster": [640, 512, [], "e324", ["M235.3 136.4L248 154.7V456C248 469.3 237.3 480 224 480C210.7 480 200 469.3 200 456V105.9C213.1 112.8 226.2 123.2 235.3 136.4V136.4zM344 292.9V456C344 469.3 333.3 480 320 480C306.7 480 296 469.3 296 456V223.8L344 292.9zM440 377.6V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V351.9C406.2 363.5 422.5 372.2 440 377.6V377.6zM496 384C509.9 384 523.3 382 536 378.4V456C536 469.3 525.3 480 512 480C498.7 480 488 469.3 488 456V384H496zM104 113.1C117.7 103.4 134.2 97.32 152 96.19V456C152 469.3 141.3 480 128 480C114.7 480 104 469.3 104 456V113.1z", "M158.1 96C106.1 96 64 138.1 64 190.1V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V190.1C0 102.8 70.77 32 158.1 32C209.9 32 258.4 57.37 287.9 99.9L416.9 285.6C431.8 307.2 456.4 320 482.6 320H496C540.2 320 576 284.2 576 240C576 207.2 556.3 179 528 166.7V264C528 277.3 517.3 288 504 288C490.7 288 480 277.3 480 264V160.6C465.8 162.2 451.1 166.4 439.3 173.2L432 177.1V251.3L357.6 144.2L409.2 116.7C434.7 103.1 463.1 96 492 96H496C575.5 96 640 160.5 640 240C640 242.7 639.9 245.4 639.8 248H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V359.8C553.1 375.1 525.6 384 496 384H482.6C435.4 384 391.2 360.9 364.3 322.1L235.3 136.4C217.7 111.1 188.9 96 158.1 96H158.1z"]],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", ["M462.4 329.8C433.4 419.7 350.4 480 255.1 480c-55.41 0-106.5-21.19-145.4-56.49l-48.5 48.53C45.07 489 16 477 16 452.1V307.1C16 296.7 24.32 288.3 34.66 288h146.9c23.57 .5781 35.26 29.15 18.43 46l-44.18 44.2C183 401.8 218 416 256 416c66.58 0 125.1-42.53 145.5-105.8c5.422-16.78 23.36-26.03 40.3-20.59C458.6 294.1 467.9 313 462.4 329.8z", "M449.9 39.96l-48.5 48.53C362.5 53.19 311.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.97 5.5 34.86-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c37.96 0 73 14.18 100.2 37.8L311.1 178C295.1 194.8 306.8 223.4 330.4 224h146.9C487.7 223.7 496 215.3 496 204.9V59.04C496 34.99 466.9 22.95 449.9 39.96z"]],
    "rotate-exclamation": [512, 512, [], "e23c", ["M432 117.4V80C432 62.33 446.3 48 464 48C481.7 48 496 62.33 496 80V192C496 209.7 481.7 224 464 224H437.8C437.3 224 436.8 224 436.3 224H352C334.3 224 320 209.7 320 192C320 174.3 334.3 160 352 160H384C354.8 121.1 308.3 96 255.1 96C186.4 96 127.1 140.5 105.1 202.7C99.21 219.3 80.92 228.1 64.26 222.2C47.6 216.3 38.86 197.1 44.75 181.3C75.49 94.38 158.4 32 255.1 32C327.4 32 390.1 65.42 432 117.4V117.4zM256 480C184.6 480 121 446.6 80 394.6V432C80 449.7 65.67 464 48 464C30.33 464 16 449.7 16 432V320C16 302.3 30.33 288 48 288H160C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352H127.1C157.2 390.9 203.7 416 256 416C325.6 416 384.9 371.5 406.9 309.3C412.8 292.7 431.1 283.9 447.7 289.8C464.4 295.7 473.1 314 467.2 330.7C436.5 417.6 353.6 480 256 480z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", ["M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.84 0-95.17-15.58-134.2-44.86c-14.12-10.59-16.97-30.66-6.375-44.81c10.59-14.12 30.62-16.94 44.81-6.375c27.84 20.91 61 31.94 95.88 31.94C344.3 415.8 416 344.1 416 256s-71.69-159.8-159.8-159.8c-37.46 0-73.09 13.49-101.3 36.64L109.7 87.59C149.9 52.71 201.5 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z", "M62.07 39.96l137.1 138c17.01 17.02 4.955 46.1-19.1 46.1H35.17C24.58 224.1 16 215.5 16 204.9V59.04C16 34.99 45.07 22.95 62.07 39.96z"]],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", ["M371 377.6c18.48 0 31.97 15.04 31.97 31.96c0 35.04-81.59 70.41-147 70.41c-123.4 0-223.9-100.5-223.9-223.9s100.5-223.1 223.9-223.1c54.6 0 106.3 20.75 146.5 55.63l-45.24 45.27c-28.22-23.14-63.85-36.64-101.3-36.64c-88.09 0-159.8 71.69-159.8 159.8S167.8 415.9 255.9 415.9C329 415.9 345.3 377.6 371 377.6z", "M468.9 32.11c13.87 0 27.18 10.77 27.18 27.04v145.9c0 10.59-8.584 19.17-19.17 19.17h-145.7c-16.28 0-27.06-13.32-27.06-27.2c0-6.634 2.461-13.4 7.96-18.9l137.1-138C455.5 34.57 462.3 32.11 468.9 32.11z"]],
    "route": [512, 512, [], "f4d7", ["M416 256H320C302.3 256 288 270.3 288 288C288 305.7 302.3 320 320 320H416C469 320 512 362.1 512 416C512 469 469 512 416 512H96C96 512 124.1 483.9 149.9 448H416C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384H320C266.1 384 224 341 224 288C224 234.1 266.1 192 320 192H362.1C387.9 227.9 416 256 416 256z", "M512 96C512 160 416 256 416 256C416 256 320 160 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96zM416 64C398.3 64 384 78.33 384 96C384 113.7 398.3 128 416 128C433.7 128 448 113.7 448 96C448 78.33 433.7 64 416 64zM192 352C192 416 96 512 96 512C96 512 0 416 0 352C0 298.1 42.98 256 96 256C149 256 192 298.1 192 352zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320z"]],
    "route-highway": [448, 512, [], "f61a", ["M31.96 192H416C416 193.1 416 194.2 416 195.2C416 210.2 418.8 224.1 424.4 238.8L438.7 274.5C444.8 289.9 448 306.4 448 323C448 372.5 420 417.8 375.8 439.9L238.3 508.6C229.3 513.1 218.7 513.1 209.7 508.6L72.24 439.9C27.97 417.8 0 372.5 0 323C0 306.4 3.172 289.9 9.348 274.5L23.61 238.8C29.15 224.1 32 210.2 32 195.2C32 194.2 31.98 193.1 31.96 192V192zM384 322.9V323.1V323V322.9z", "M245.1 7.371C282.7 29.89 329.1 31.67 368.2 12.1L369.7 11.38C384.9 3.783 403.4 9.378 411.8 24.12L443.8 80.12C449.1 89.41 449.4 100.7 444.6 110.3L428.4 142.8C420.7 158.1 416.5 174.9 416 192H31.96C31.48 174.9 27.28 158.1 19.62 142.8L3.378 110.3C-1.407 100.7-1.092 89.41 4.216 80.12L36.22 24.12C44.64 9.378 63.12 3.783 78.31 11.38L79.75 12.1C118.9 31.67 165.3 29.89 202.9 7.371L207.5 4.56C217.7-1.52 230.3-1.52 240.5 4.56L245.1 7.371z"]],
    "route-interstate": [512, 512, [], "f61b", ["M21.25 192H490.3C489.4 243.2 481.3 289.7 463.1 331.8C430.6 406.8 368.5 462.7 272.8 507.5C262.6 512.3 250.7 512.5 240.3 508.1C141.9 466.7 79.34 410.6 47.29 334.2C29.34 291.5 21.69 244 21.25 192V192z", "M235.1 7.308C247.9-.5141 264.1-.5141 276.9 7.308C304.4 24.07 327.2 33.27 350.3 37.28C373.6 41.3 399.6 40.44 433.1 34.11C456.1 30.03 477.6 45.07 480.9 67.7C487.4 111.9 490.9 153.3 490.3 191.1H21.25C20.92 153.1 24.63 111.6 31.09 67.68C34.41 45.04 55.9 30.04 78.02 34.11C112.4 40.44 138.4 41.3 161.7 37.28C184.8 33.27 207.6 24.07 235.1 7.308V7.308z"]],
    "router": [576, 512, [], "f8da", ["M96 384c-17.67 0-32 14.32-32 31.1s14.33 31.1 32 31.1s32-14.32 32-31.1S113.7 384 96 384zM536.3 70.14c-101.6-93.52-266.9-93.52-368.5 0C157.1 79.1 157.4 94.32 166.3 104.1C175.3 113.9 190.5 114.5 200.3 105.5c83.69-77.05 219.8-77.05 303.5 0c9.75 8.979 24.94 8.338 33.91-1.424C541.9 99.49 544 93.65 544 87.83C544 81.36 541.4 74.88 536.3 70.14zM248.2 149.9C238.2 158.6 237.2 173.8 245.1 183.8C254.7 193.7 269.9 194.7 279.8 185.1c39.78-34.97 104.5-34.97 144.3 0c9.969 8.76 25.12 7.775 33.88-2.189C462 179.2 464 173.6 464 167.9c0-6.678-2.75-13.33-8.154-18.07C398.6 99.53 305.4 99.53 248.2 149.9z", "M528 320H376V247.1c0-13.25-10.74-23.1-23.1-23.1C338.7 223.1 328 234.7 328 247.1v72.01H48c-26.51 0-48 21.48-48 47.99v96C0 490.5 21.49 512 47.1 512H528c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM96 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C128 433.6 113.6 448 96 448zM192 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C224 433.6 209.6 448 192 448z"]],
    "rss": [448, 512, ["feed"], "f09e", ["M32 32C14.33 32 0 46.31 0 64s14.33 32 32 32c194.1 0 352 157.9 352 352c0 17.69 14.33 32 32 32s32-14.31 32-32C448 218.6 261.4 32 32 32zM25.57 176.1c-13.16-.7187-24.66 9.156-25.51 22.37C-.8071 211.7 9.223 223.1 22.44 223.9c120.1 7.875 225.7 112.7 233.6 233.6C256.9 470.3 267.4 480 279.1 480c.5313 0 1.062-.0313 1.594-.0625c13.22-.8437 23.25-12.28 22.39-25.5C294.6 310.3 169.7 185.4 25.57 176.1z", "M63.1 351.9C28.63 351.9 0 380.6 0 416s28.63 64 63.1 64s64.08-28.62 64.08-64S99.37 351.9 63.1 351.9z"]],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", ["M64 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V416zM128 352H288C305.7 352 320 366.3 320 384C320 401.7 305.7 416 288 416H128V352z", "M64 64C64 46.33 78.33 32 96 32H240C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64zM128 256H240C284.2 256 320 220.2 320 176C320 131.8 284.2 96 240 96H128V256z"]],
    "rug": [640, 512, [], "e569", ["M80 64H160V448H80V64zM480 64H560V448H480V64zM448 448H192V64H448V448z", "M80 64V448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H32V360H24C10.75 360 0 349.3 0 336C0 322.7 10.75 312 24 312H32V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V200H24C10.75 200 0 189.3 0 176C0 162.7 10.75 152 24 152H32V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H80zM616 64C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H608V152H616C629.3 152 640 162.7 640 176C640 189.3 629.3 200 616 200H608V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H608V312H616C629.3 312 640 322.7 640 336C640 349.3 629.3 360 616 360H608V400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H560V64H616zM160 64H192V448H160V64zM480 448H448V64H480V448z"]],
    "rugby-ball": [512, 512, [], "e3c6", ["M495.1 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.714 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 495.1 357.4 495.1 174.8zM384 144c0 4.094-1.562 8.188-4.688 11.31l-52.67 52.67l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688L304 230.6l-25.38 25.38l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69L230.6 303.1l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69l-52.69 52.69C152.2 382.4 148.1 384 144 384C135.5 384 128 377.1 128 368c0-4.094 1.562-8.188 4.688-11.31l52.69-52.69L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l20.69 20.69l25.38-25.38L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-8.528 6.865-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l25.38-25.38l-20.69-20.69c-3.125-3.125-4.688-7.219-4.688-11.31c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l52.67-52.67C359.8 129.6 363.9 128 368 128C376.5 128 384 134.9 384 144z", "M235.3 212.7C232.2 209.6 228.1 207.1 224 207.1c-9.141 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L235.3 212.7zM352 239.1c0-4.094-1.562-8.188-4.688-11.31l-64.01-64.01c-3.125-3.125-7.219-4.688-11.31-4.688c-8.528 0-16 6.865-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.221 4.688 11.31 4.688C344.6 255.1 352 249.1 352 239.1zM187.3 260.7C184.2 257.6 180.1 255.1 176 255.1c-9.142 0-16 7.472-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L187.3 260.7z"]],
    "ruler": [512, 512, [128207], "f545", ["M177.9 494.1C159.2 512.8 128.8 512.8 110.1 494.1L17.94 401.9C-.8054 383.2-.8054 352.8 17.94 334.1L68.69 283.3L116.7 331.3C122.9 337.6 133.1 337.6 139.3 331.3C145.6 325.1 145.6 314.9 139.3 308.7L91.31 260.7L132.7 219.3L180.7 267.3C186.9 273.6 197.1 273.6 203.3 267.3C209.6 261.1 209.6 250.9 203.3 244.7L155.3 196.7L196.7 155.3L244.7 203.3C250.9 209.6 261.1 209.6 267.3 203.3C273.6 197.1 273.6 186.9 267.3 180.7L219.3 132.7L260.7 91.31L308.7 139.3C314.9 145.6 325.1 145.6 331.3 139.3C337.6 133.1 337.6 122.9 331.3 116.7L283.3 68.69L334.1 17.94C352.8-.8035 383.2-.8035 401.9 17.94L494.1 110.1C512.8 128.8 512.8 159.2 494.1 177.9L177.9 494.1z", "M260.7 91.31L283.3 68.69L331.3 116.7C337.6 122.9 337.6 133.1 331.3 139.3C325.1 145.6 314.9 145.6 308.7 139.3L260.7 91.31zM196.7 155.3L219.3 132.7L267.3 180.7C273.6 186.9 273.6 197.1 267.3 203.3C261.1 209.6 250.9 209.6 244.7 203.3L196.7 155.3zM132.7 219.3L155.3 196.7L203.3 244.7C209.6 250.9 209.6 261.1 203.3 267.3C197.1 273.6 186.9 273.6 180.7 267.3L132.7 219.3zM68.69 283.3L91.31 260.7L139.3 308.7C145.6 314.9 145.6 325.1 139.3 331.3C133.1 337.6 122.9 337.6 116.7 331.3L68.69 283.3z"]],
    "ruler-combined": [512, 512, [], "f546", ["M0 464V48C0 21.49 21.49 0 48 0H144C170.5 0 192 21.49 192 48V96H112C103.2 96 96 103.2 96 112C96 120.8 103.2 128 112 128H192V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H192V288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H192V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V320H288V400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400V320H384V400C384 408.8 391.2 416 400 416C408.8 416 416 408.8 416 400V320H464C490.5 320 512 341.5 512 368V464C512 490.5 490.5 512 464 512H48C23.15 512 2.706 493.1 .2477 468.9C.0838 467.3 0 465.7 0 464z", "M112 96H192V128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96zM192 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H192V224zM192 320H224V400C224 408.8 216.8 416 208 416C199.2 416 192 408.8 192 400V320H112C103.2 320 96 312.8 96 304C96 295.2 103.2 288 112 288H192V320zM320 320V400C320 408.8 312.8 416 304 416C295.2 416 288 408.8 288 400V320H320zM400 416C391.2 416 384 408.8 384 400V320H416V400C416 408.8 408.8 416 400 416z"]],
    "ruler-horizontal": [640, 512, [], "f547", ["M0 176C0 149.5 21.49 128 48 128H112V208C112 216.8 119.2 224 128 224C136.8 224 144 216.8 144 208V128H208V208C208 216.8 215.2 224 224 224C232.8 224 240 216.8 240 208V128H304V208C304 216.8 311.2 224 320 224C328.8 224 336 216.8 336 208V128H400V208C400 216.8 407.2 224 416 224C424.8 224 432 216.8 432 208V128H496V208C496 216.8 503.2 224 512 224C520.8 224 528 216.8 528 208V128H592C618.5 128 640 149.5 640 176V336C640 362.5 618.5 384 592 384H48C21.49 384 0 362.5 0 336V176z", "M128 224C119.2 224 112 216.8 112 208V128H144V208C144 216.8 136.8 224 128 224zM240 128V208C240 216.8 232.8 224 224 224C215.2 224 208 216.8 208 208V128H240zM320 224C311.2 224 304 216.8 304 208V128H336V208C336 216.8 328.8 224 320 224zM432 128V208C432 216.8 424.8 224 416 224C407.2 224 400 216.8 400 208V128H432zM528 128V208C528 216.8 520.8 224 512 224C503.2 224 496 216.8 496 208V128H528z"]],
    "ruler-triangle": [512, 512, [128208], "f61c", ["M107.3 62.06L84.69 84.69C78.44 90.93 78.44 101.1 84.69 107.3C90.93 113.6 101.1 113.6 107.3 107.3L129.9 84.69L187.3 142.1L164.7 164.7C158.4 170.9 158.4 181.1 164.7 187.3C170.9 193.6 181.1 193.6 187.3 187.3L209.9 164.7L267.3 222.1L244.7 244.7C238.4 250.9 238.4 261.1 244.7 267.3C250.9 273.6 261.1 273.6 267.3 267.3L289.9 244.7L347.3 302.1L324.7 324.7C318.4 330.9 318.4 341.1 324.7 347.3C330.9 353.6 341.1 353.6 347.3 347.3L369.9 324.7L427.3 382.1L404.7 404.7C398.4 410.9 398.4 421.1 404.7 427.3C410.9 433.6 421.1 433.6 427.3 427.3L449.9 404.7L502.6 457.4C511.8 466.5 514.5 480.3 509.6 492.2C504.6 504.2 492.9 512 480 512H64C28.65 512 0 483.3 0 448V32C0 19.06 7.796 7.39 19.75 2.437C31.71-2.516 45.48 .2215 54.63 9.373L107.3 62.06zM128 256V384H256L128 256z", "M129.9 84.69L107.3 107.3C101.1 113.6 90.94 113.6 84.69 107.3C78.44 101.1 78.44 90.93 84.69 84.69L107.3 62.06L129.9 84.69zM209.9 164.7L187.3 187.3C181.1 193.6 170.9 193.6 164.7 187.3C158.4 181.1 158.4 170.9 164.7 164.7L187.3 142.1L209.9 164.7zM289.9 244.7L267.3 267.3C261.1 273.6 250.9 273.6 244.7 267.3C238.4 261.1 238.4 250.9 244.7 244.7L267.3 222.1L289.9 244.7zM369.9 324.7L347.3 347.3C341.1 353.6 330.9 353.6 324.7 347.3C318.4 341.1 318.4 330.9 324.7 324.7L347.3 302.1L369.9 324.7zM449.9 404.7L427.3 427.3C421.1 433.6 410.9 433.6 404.7 427.3C398.4 421.1 398.4 410.9 404.7 404.7L427.3 382.1L449.9 404.7z"]],
    "ruler-vertical": [256, 512, [], "f548", ["M0 48C0 21.49 21.49 0 48 0H208C234.5 0 256 21.49 256 48V96H176C167.2 96 160 103.2 160 112C160 120.8 167.2 128 176 128H256V192H176C167.2 192 160 199.2 160 208C160 216.8 167.2 224 176 224H256V288H176C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320H256V384H176C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416H256V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V48z", "M256 96V128H176C167.2 128 160 120.8 160 112C160 103.2 167.2 96 176 96H256zM160 208C160 199.2 167.2 192 176 192H256V224H176C167.2 224 160 216.8 160 208zM256 288V320H176C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288H256zM256 384V416H176C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384H256z"]],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", ["", "M0 64C0 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 255.5 191.5 320 112 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM162.3 459.9L98.29 299.9L157.7 276.1L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9H162.3zM329.1 260.4C323.7 263.7 321.1 267.1 320.5 272.4C319.6 278.4 320.4 281.2 320.8 282.2C321.3 283.3 322.2 284.8 325 287.1C332.2 292.8 343.7 297.1 362.9 303.8C363.4 303.1 363.8 304.2 364.2 304.3C380.3 309.1 402.9 317.9 419.1 332.4C429.5 340.5 437.9 351 443 364.7C448.1 378.4 449.1 393.2 446.8 408.7C442.7 436.8 426.4 457.1 403.1 469.6C381 480.7 354.9 482.1 329.9 477.6L329.7 477.5C320.4 475.8 309.2 471.8 300.5 468.6C294.4 466.3 287.9 463.7 282.7 461.6C280.2 460.6 278.1 459.8 276.4 459.1C259.9 452.7 251.8 434.2 258.2 417.7C264.6 401.2 283.1 393.1 299.6 399.5C302.2 400.5 304.8 401.5 307.5 402.6C312.3 404.5 317.4 406.5 322.9 408.6C331.7 411.9 338.2 413.1 341.6 414.6C357.2 417.5 368.3 415.5 374.5 412.4C379.4 409.9 382.5 406.3 383.5 399.3C384.5 392.4 383.7 388.8 383.1 387.1C382.4 385.4 381.3 383.5 378.6 381.2C371.7 375.4 360.4 370.8 341.6 364.2C340.6 363.8 339.6 363.5 338.6 363.1C323.1 357.7 301.6 350.2 285.3 337.2C275.8 329.7 266.1 319.7 261.5 306.3C256.1 292.8 254.9 278.2 257.2 263.1C265.6 205.1 324.2 185.1 374.1 194.2C380.1 195.5 401.4 200 409.5 202.6C426.4 207.8 435.8 225.7 430.6 242.6C425.3 259.5 407.4 268.9 390.5 263.7C385.8 262.2 368.2 258.2 362.6 257.2C347.1 254.5 336.8 256.8 329.1 260.4V260.4z"]],
    "rupiah-sign": [512, 512, [], "e23d", ["", "M0 64C0 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 255.5 191.5 320 112 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM162.3 459.9L98.29 299.9L157.7 276.1L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9H162.3zM288 192C288 174.3 302.3 160 320 160H400C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V192zM352 320H400C426.5 320 448 298.5 448 272C448 245.5 426.5 224 400 224H352V320z"]],
    "rv": [640, 512, [], "f7be", ["M112 448C112 412.7 140.7 384 176 384C211.3 384 240 412.7 240 448C240 483.3 211.3 512 176 512C140.7 512 112 483.3 112 448zM432 448C432 412.7 460.7 384 496 384C531.3 384 560 412.7 560 448C560 483.3 531.3 512 496 512C460.7 512 432 483.3 432 448z", "M224 16C224 7.164 231.2 0 240 0H368C376.8 0 384 7.164 384 16V32H512C565 32 608 74.98 608 128C608 145.7 593.7 160 576 160H384V416H266.5C253.4 378.7 217.8 352 176 352C137.1 352 103.5 375.2 88.48 408.5L18.75 338.7C6.743 326.7 0 310.5 0 293.5V96C0 60.65 28.65 32 64 32H224V16zM96 208C96 216.8 103.2 224 112 224H240C248.8 224 256 216.8 256 208V144C256 135.2 248.8 128 240 128H112C103.2 128 96 135.2 96 144V208zM416 192H516.6C529.5 192 542 196.5 552 204.7L619.5 259.8C632.5 270.5 640 286.4 640 303.2V384C640 401.7 625.7 416 608 416H586.5C573.4 378.7 537.8 352 496 352C462.6 352 433.2 369 416 394.9V192zM521.6 241.8C520.2 240.6 518.4 240 516.6 240H464V288H578.1L521.6 241.8z"]],
    "s": [384, 512, [115], "53", ["M349.9 379.1c-6.281 36.63-25.89 65.02-56.69 82.11c-24.91 13.83-54.08 18.98-83.73 18.98c-61.86 0-125.8-22.42-157.5-35.38c-16.38-6.672-24.22-25.34-17.55-41.7c6.641-16.36 25.27-24.28 41.7-17.55c77.56 31.64 150.6 39.39 186.1 19.69c13.83-7.672 21.67-19.42 24.69-36.98c7.25-42.31-18.2-56.75-103.7-81.38C112.6 266.6 15.98 238.7 34.11 133.2c5.484-32 23.64-59.36 51.14-77.02c45.59-29.33 115-31.87 206.4-7.688c17.09 4.531 27.27 22.05 22.75 39.13s-22.06 27.23-39.13 22.75C184 86.17 140.4 96.81 119.8 110c-12.55 8.062-20.17 19.5-22.66 34c-7.266 42.31 18.19 56.75 103.7 81.38C271.4 245.7 368 273.5 349.9 379.1z", ""]],
    "sack": [512, 512, [], "f81c", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4z", "M176 112C176 103.2 183.2 96 192 96H320C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112z"]],
    "sack-dollar": [512, 512, [128176], "f81d", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM235.9 224V230C230.3 231.2 224.1 232.9 220 235.1C205.1 241.9 192.1 254.5 188.9 272.8C187.1 283 188.1 292.9 192.3 301.8C196.5 310.6 203 316.8 209.6 321.3C221.2 329.2 236.5 333.8 248.2 337.3L250.4 337.9C264.4 342.2 273.8 345.3 279.7 349.6C282.2 351.4 283.1 352.8 283.4 353.7C283.8 354.5 284.4 356.3 283.7 360.3C283.1 363.8 281.2 366.8 275.7 369.1C269.6 371.7 259.7 373 246.9 371C240.9 370 230.2 366.4 220.7 363.2C218.5 362.4 216.3 361.7 214.3 361C203.8 357.5 192.5 363.2 189 373.7C185.5 384.2 191.2 395.5 201.7 398.1C202.9 399.4 204.4 399.9 206.1 400.5C213.1 403.2 226.4 407.4 235.9 409.6V416C235.9 427.1 244.9 436.1 255.1 436.1C267.1 436.1 276.1 427.1 276.1 416V410.5C281.4 409.5 286.6 407.1 291.4 405.9C307.2 399.2 319.8 386.2 323.1 367.2C324.9 356.8 324.1 346.8 320.1 337.7C316.2 328.7 309.9 322.1 303.2 317.3C291.1 308.4 274.9 303.6 262.8 299.9L261.1 299.7C247.8 295.4 238.2 292.4 232.1 288.2C229.5 286.4 228.7 285.2 228.5 284.7C228.3 284.3 227.7 283.1 228.3 279.7C228.7 277.7 230.2 274.4 236.5 271.6C242.1 268.7 252.9 267.1 265.1 268.1C269.5 269.7 283 272.3 286.9 273.3C297.5 276.2 308.5 269.8 311.3 259.1C314.2 248.5 307.8 237.5 297.1 234.7C292.7 233.5 282.7 231.5 276.1 230.3V224C276.1 212.9 267.1 203.9 255.1 203.9C244.9 203.9 235.9 212.9 235.9 224L235.9 224z", "M320 96C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112C176 103.2 183.2 96 192 96H320zM276.1 230.3C282.7 231.5 292.7 233.5 297.1 234.7C307.8 237.5 314.2 248.5 311.3 259.1C308.5 269.8 297.5 276.2 286.9 273.3C283 272.3 269.5 269.7 265.1 268.1C252.9 267.1 242.1 268.7 236.5 271.6C230.2 274.4 228.7 277.7 228.3 279.7C227.7 283.1 228.3 284.3 228.5 284.7C228.7 285.2 229.5 286.4 232.1 288.2C238.2 292.4 247.8 295.4 261.1 299.7L262.8 299.9C274.9 303.6 291.1 308.4 303.2 317.3C309.9 322.1 316.2 328.7 320.1 337.7C324.1 346.8 324.9 356.8 323.1 367.2C319.8 386.2 307.2 399.2 291.4 405.9C286.6 407.1 281.4 409.5 276.1 410.5V416C276.1 427.1 267.1 436.1 255.1 436.1C244.9 436.1 235.9 427.1 235.9 416V409.6C226.4 407.4 213.1 403.2 206.1 400.5C204.4 399.9 202.9 399.4 201.7 398.1C191.2 395.5 185.5 384.2 189 373.7C192.5 363.2 203.8 357.5 214.3 361C216.3 361.7 218.5 362.4 220.7 363.2C230.2 366.4 240.9 370 246.9 371C259.7 373 269.6 371.7 275.7 369.1C281.2 366.8 283.1 363.8 283.7 360.3C284.4 356.3 283.8 354.5 283.4 353.7C283.1 352.8 282.2 351.4 279.7 349.6C273.8 345.3 264.4 342.2 250.4 337.9L248.2 337.3C236.5 333.8 221.2 329.2 209.6 321.3C203 316.8 196.5 310.6 192.3 301.8C188.1 292.9 187.1 283 188.9 272.8C192.1 254.5 205.1 241.9 220 235.1C224.1 232.9 230.3 231.2 235.9 230V223.1C235.9 212.9 244.9 203.9 256 203.9C267.1 203.9 276.1 212.9 276.1 223.1L276.1 230.3z"]],
    "sack-xmark": [512, 512, [], "e56a", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM336.1 272.1C346.3 263.6 346.3 248.4 336.1 239C327.6 229.7 312.4 229.7 303 239L256 286.1L208.1 239C199.6 229.7 184.4 229.7 175 239C165.7 248.4 165.7 263.6 175 272.1L222.1 320L175 367C165.7 376.4 165.7 391.6 175 400.1C184.4 410.3 199.6 410.3 208.1 400.1L256 353.9L303 400.1C312.4 410.3 327.6 410.3 336.1 400.1C346.3 391.6 346.3 376.4 336.1 367L289.9 320L336.1 272.1z", "M320 96C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112C176 103.2 183.2 96 192 96H320zM175 400.1C165.7 391.6 165.7 376.4 175 367L222.1 320L175 272.1C165.7 263.6 165.7 248.4 175 239C184.4 229.7 199.6 229.7 208.1 239L256 286.1L303 239C312.4 229.7 327.6 229.7 336.1 239C346.3 248.4 346.3 263.6 336.1 272.1L289.9 320L336.1 367C346.3 376.4 346.3 391.6 336.1 400.1C327.6 410.3 312.4 410.3 303 400.1L256 353.9L208.1 400.1C199.6 410.3 184.4 410.3 175 400.1V400.1z"]],
    "sailboat": [576, 512, [], "e445", ["M256 16C256 9.018 260.5 2.841 267.2 .7414C273.9-1.358 281.1 1.105 285.1 6.826L509.1 326.8C512.5 331.7 512.9 338.1 510.2 343.4C507.4 348.7 501.1 352 496 352H272C263.2 352 256 344.8 256 336V16zM224 336C224 344.8 216.8 352 208 352H80C74.3 352 69.02 348.1 66.16 344C63.3 339.1 63.28 333 66.11 328.1L194.1 104.1C197.7 97.76 205.1 94.68 212.1 96.54C219.1 98.4 224 104.7 224 112V336z", "M5.718 404.3C2.848 394.1 10.52 384 21.12 384H554.9C565.5 384 573.2 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.747 418.7L5.718 404.3z"]],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", ["M416.2 96c2.625 0 5.127 .625 7.752 .75C406.3 76.88 380.9 64 352.2 64c-8.504 .125-17.1 1.411-25.23 3.786C309.3 26.66 268.9 0 224.1 0C179.4 0 138.9 26.62 121.2 67.75C113.1 65.38 104.6 64.13 96.09 64C43.07 64 .0508 107 .0508 160s43.02 96 96.04 96h73.29L84.69 171.3c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 249.4V112C208 103.2 215.2 96 224 96s16 7.156 16 16V256h52.66c-2.875-10.38-4.375-21.12-4.5-32C288.3 153.4 345.6 96.13 416.2 96zM416 128c-53.02 0-96 42.98-96 96c0 11.28 2.305 21.95 5.879 32h180.2C509.7 245.9 512 235.3 512 224C512 170.1 469 128 416 128z", "M495.8 288H16.19C7.055 288-.6992 295.8 .0508 304.9c6.758 76.38 58.28 139.4 128.1 163.9V480c0 17.62 14.45 32 32.09 32h192.2c17.65 0 32.04-14.38 32.04-32v-11.5c69.46-24.62 120.8-87.5 127.4-163.6C512.7 295.8 505.1 288 495.8 288zM169.4 256H240V112C240 103.2 232.8 96 224 96S208 103.2 208 112v137.4L107.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L169.4 256z"]],
    "salt-shaker": [384, 512, [129474], "e446", ["M383.3 438.9c2.693 18.39-2.951 36.97-15.43 51C355.4 503.1 337.4 512 318.3 512H65.69c-19.05 0-37.13-8.047-49.61-22.06c-12.47-14.03-18.12-32.61-15.43-50.98L36.87 192h66.36l-37.54 256h41.84l29.54-256h48.32l-29.54 256h72.29l-29.54-256h48.32l29.54 256h41.84l-37.54-256h66.36L383.3 438.9z", "M336.9 122.5C326.7 52.67 264.4 0 192 0S57.29 52.67 47.06 122.5V122.5L36.87 192h310.3L336.9 122.5zM144 112C135.2 112 128 104.8 128 96c0-8.838 7.164-16 16-16S160 87.16 160 96C160 104.8 152.8 112 144 112zM192 80C183.2 80 176 72.84 176 64c0-8.838 7.164-16 16-16s16 7.162 16 16C208 72.84 200.8 80 192 80zM240 112C231.2 112 224 104.8 224 96c0-8.838 7.164-16 16-16S256 87.16 256 96C256 104.8 248.8 112 240 112z"]],
    "sandwich": [512, 512, [129386], "f81f", ["M497.9 239.3c-15-1.625-24-6.125-35.5-11.88C445.1 218.8 423.6 208 384.1 208s-61 10.75-78.25 19.38C291.3 234.8 280.6 240 256.3 240c-24.5 0-35.13-5.25-49.75-12.62C189.3 218.8 167.8 208 128.1 208S67 218.8 49.75 227.4c-11.5 5.75-20.5 10.25-35.63 11.88C6.125 240.3 0 247 0 255.1v32.13c0 4.5 1.1 8.875 5.375 11.88c3.375 3.125 8 4.5 12.5 4.125c28.5-2.625 46-11.38 60.5-18.62C93 277.3 103.6 272 128.1 272s35.13 5.25 49.75 12.62C195.1 293.3 216.6 304 256.3 304c39.5 0 61-10.75 78.25-19.38C349.1 277.3 359.8 272 384.1 272s35 5.25 49.63 12.62c14.5 7.25 31.88 16 60.38 18.62c4.5 .375 9.125-1.125 12.5-4.125C509.1 296.1 512 291.8 512 287.3V255.1C512 247 505.9 240.3 497.9 239.3zM319.1 384L416 336H224L319.1 384z", "M480 336h-64L319.1 384L224 336H32c-17.62 0-31.1 14.38-31.1 32L0 416c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32l-.0038-48C511.1 350.4 497.6 336 480 336zM480 64H32C14.38 64 0 78.38 0 96l.0038 48c0 17.62 14.37 32 31.1 32h448c17.62 0 31.1-14.38 31.1-32L512 96C512 78.38 497.6 64 480 64z"]],
    "satellite": [512, 512, [128752], "f7bf", ["M247.1 9.25C241 3.375 232.9 0 224.5 0c-8.5 0-16.62 3.375-22.5 9.25l-96.75 96.75c-12.38 12.5-12.38 32.62 0 45.12L185.5 231.5l141.9-141.9L247.1 9.25zM502.8 264.1l-80.37-80.37l-141.8 141.8l80.25 80.36c12.5 12.38 32.62 12.38 44.1 0l96.75-96.75C508.6 304.1 512 295.1 512 287.5C512 279.1 508.6 270.1 502.8 264.1zM112 377.5l-17.88 17.75c-2.625-.75-5-1.625-7.75-1.625c-17.75 0-32 14.38-32 32c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32c0-2.75-.875-5.125-1.625-7.75l17.75-17.88L112 377.5z", "M470.3 136.7c13-13.12 13-34.37 0-47.5l-47.5-47.5c-13.12-13.12-34.38-13.12-47.5 0l-199.5 199.6c-54-24.5-116.3-22.5-168.5 5.375c-8.498 4.625-9.623 16.38-2.873 23.25l237.7 237.6c6.75 6.75 18.62 5.625 23.12-2.875c27.88-52.25 29.88-114.5 5.375-168.5L470.3 136.7z"]],
    "satellite-dish": [512, 512, [128225], "f7c0", ["M224 256.1c-17.62 0-31.99 14.38-31.99 32.01c0 2.875 .8099 5.25 1.56 7.875L166.2 323.4l22.62 22.62l27.37-27.37c2.625 .625 5.059 1.506 7.809 1.506c17.75 0 31.99-14.26 31.99-32C256 270.5 241.8 256.1 224 256.1zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM216 104C202.8 104 192 114.8 192 128s10.75 24 24 24c79.41 0 144 64.59 144 144C360 309.3 370.8 320 384 320s24-10.75 24-24C408 190.1 321.9 104 216 104z", "M49.37 206.5c-7.25-7.248-20.12-5.998-24.1 3c-41.75 77.87-29.88 176.7 35.75 242.4c65.62 65.62 164.6 77.5 242.4 35.75c9.125-5 10.38-17.75 3-25L49.37 206.5z"]],
    "sausage": [512, 512, [], "f820", ["M416 63.1C362.1 63.1 320 106.1 320 160c0 88.22-71.78 160-160 160c-53.02 0-96 42.98-96 95.1S106.1 512 159.1 512c194.3 .116 351.9-157.3 352-351.6L512 160C512 106.1 469 63.1 416 63.1zM160 400c-8.837 0-16-7.163-16-16C144 375.2 151.2 368 160 368c114.7 0 208-93.31 208-208c0-8.837 7.163-16 15.1-16C392.8 144 400 151.2 400 160C400 292.3 292.3 400 160 400z", "M24.14 369C14.54 365.8 4.217 371 1 380.6C.3535 382.5 .0156 384.4 0 386.4v59.25c.0332 10.15 8.289 18.35 18.44 18.32c1.949-.0078 3.85-.3242 5.702-.9395l45.3-15.08c-7.26-20.67-7.26-43.21 0-63.88L24.14 369zM451.4 1C449.5 .3535 447.6 .0156 445.6 0h-59.25c-10.14 .0156-18.34 8.25-18.33 18.39c.0098 1.967 .3301 3.885 .9492 5.753l15.08 45.3c20.67-7.26 43.21-7.26 63.88 0l15.03-45.3C466.2 14.55 460.1 4.232 451.4 1zM383.1 144C375.2 144 368 151.2 368 160c0 114.7-93.31 208-208 208c-8.836 0-16 7.164-16 15.1S151.2 400 160 400c132.3 0 240-107.7 240-240C400 151.2 392.8 144 383.1 144z"]],
    "saxophone": [640, 512, [127927], "f8dc", ["M635.2 68.75l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75l-283.2 283.2c-9.125 8.1-23.5 9.875-33.5 2C166.4 328.1 163.7 313.1 170.2 302.1l76.12-126.1h25.62c8.875 0 15.1-7.125 15.1-15.1V143.1c0-8.875-7.124-15.1-15.1-15.1H15.1c-8.875 0-16 7.125-16 15.1v15.1c0 8.875 7.125 15.1 15.1 15.1h11.5c-8.875 31.87-27.5 104.1-27.5 143.1c0 61.37 35 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 128-64l246.4-307.1c6.125-7.625 15.25-11.1 24.1-11.1h64.62C638.2 95.1 645.4 78.75 635.2 68.75zM95.1 343.1c-13.25 0-23.1-10.75-23.1-23.1c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C119.1 333.2 109.2 343.1 95.1 343.1zM128 247.1c-13.25 0-24-10.75-24-23.1c0-13.25 10.75-23.1 24-23.1s24 10.75 24 23.1C152 237.2 141.3 247.1 128 247.1z", "M128 199.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1S152 237.2 152 223.1C152 210.7 141.3 199.1 128 199.1zM95.1 295.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1C119.1 306.7 109.2 295.1 95.1 295.1zM367.1 132.6l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1l-10.37-10.37C384.4 126.4 374.2 126.4 367.1 132.6zM319.1 180.6L308.7 191.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 224.1l33.1-33.1l-10.37-10.37C336.4 174.4 326.2 174.4 319.1 180.6zM438.6 84.75c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1L438.6 84.75z"]],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", ["M635.2 100.8l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75l-283.2 283.2c-9.125 8.1-23.5 9.875-33.5 1.1c-10.12-7.875-12.75-21.1-6.25-32.1l47.37-78.1h22.37c8.875 0 15.1-7.125 15.1-15.1V223.1c0-8.875-7.125-15.1-15.1-15.1H15.1c-8.875 0-15.1 7.125-15.1 15.1l.0001 16c0 8.5 6.75 15.5 15.25 15.87c-7.75 32.62-15.25 70.88-15.25 96.12c0 61.37 34.1 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 127.1-64l246.4-307.1C540.5 132.4 549.6 128 559.4 128h64.62C638.2 128 645.4 110.8 635.2 100.8zM87.1 391.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C111.1 381.2 101.2 391.1 87.1 391.1zM119.1 303.1c-13.25 0-23.1-10.75-23.1-24c0-13.25 10.75-23.1 23.1-23.1S143.1 266.7 143.1 279.1C143.1 293.2 133.2 303.1 119.1 303.1z", "M119.1 255.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24C143.1 266.7 133.2 255.1 119.1 255.1zM149.6 55.63C135 35.5 118.3 16.88 100 .0003c-49.12 45.62-84 104.1-84 140.7c.125 11.1 2.126 23.87 5.876 35.25l61.37-.0001C75.87 165.7 71.1 153.4 71.1 140.7c0-7.625 8.625-30.25 28.5-57.5c1.25 1.75 2.625 3.5 3.875 5.25l42.62 58.75l26.1-33.12c6.125 12.12 9.625 22.25 9.1 26.62c0 12.62-3.1 24.1-11.25 35.25l61.38 .0001c3.75-11.37 5.75-23.25 5.875-35.25c0-26.62-26-81.5-62.25-115.1C167.8 35 158.4 45 149.6 55.63zM87.1 343.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24C111.1 354.7 101.2 343.1 87.1 343.1zM367.1 164.6l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1l-10.37-10.37C384.4 158.4 374.2 158.4 367.1 164.6zM438.6 116.6c-6.25-6.25-16.37-6.25-22.62 0L404.7 128c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37L448.1 127L438.6 116.6zM319.1 212.6L308.7 223.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 256.1l33.1-33.1l-10.37-10.37C336.4 206.4 326.2 206.4 319.1 212.6z"]],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", ["M495.1 448h-143.1V153.3C375.5 143 393.1 121.8 398.4 96h113.6c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-128.4c-14.62-19.38-37.5-32-63.62-32S270.1 12.62 256.4 32H128C110.3 32 96 46.33 96 64S110.3 96 127.1 96h113.6C246.9 121.8 264.5 143 287.1 153.3V448H144c-26.51 0-48.01 21.49-48.01 48c0 8.836 7.165 16 16 16h416c8.836 0 16-7.164 16-16C544 469.5 522.5 448 495.1 448z", "M554.9 154.5c-17.62-35.25-68.12-35.38-85.87 0c-86.1 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 128 80s127.1-35.88 127.1-80C639.1 319.9 641.4 327.3 554.9 154.5zM439.1 320l71.96-144l72.17 144H439.1zM85 154.5C-1.998 328.8 .0019 320.4 .0019 336c0 44.13 57.25 80 127.1 80s128-35.88 128-80c0-16.12 1.375-8.75-85.12-181.5C153.3 119.3 102.8 119.1 85 154.5zM55.96 320l71.96-144L200.1 320H55.96z"]],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", ["M495.1 448h-143.1V153.3c20.83-9.117 36.72-26.93 43.78-48.77l126.3-42.11c16.77-5.594 25.83-23.72 20.23-40.48c-5.578-16.73-23.62-25.86-40.48-20.23l-113.3 37.76c-13.94-23.49-39.29-39.41-68.58-39.41c-44.18 0-79.1 35.82-79.1 80c0 2.961 .5587 5.771 .8712 8.648L117.9 129.7C101.1 135.3 92.05 153.4 97.64 170.1c4.469 13.41 16.95 21.88 30.36 21.88c3.344 0 6.768-.5186 10.13-1.644L273.8 145.1c4.436 3.15 9.148 5.908 14.19 8.115V496C288 504.8 295.2 512 304 512h223.1c8.838 0 16-7.164 16-15.1C543.1 469.5 522.5 448 495.1 448z", "M85 250.5c-86.1 174.2-84.1 165.9-84.1 181.5C.0035 476.1 57.25 512 128 512s128-35.87 128-79.1c0-16.12 1.375-8.751-85.12-181.5C153.3 215.3 102.8 215.1 85 250.5zM55.96 416l71.98-143.1l72.15 143.1H55.96zM554.9 122.5c-17.62-35.25-68.08-35.37-85.83 0c-86.1 174.2-85.04 165.9-85.04 181.5c0 44.12 57.25 79.1 128 79.1s127.1-35.87 127.1-79.1C639.1 287.9 641.4 295.3 554.9 122.5zM439.1 288l72.04-143.1l72.08 143.1H439.1z"]],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", ["M512 192c13.41 0 25.89-8.471 30.36-21.88c5.594-16.76-3.469-34.89-20.23-40.48l-122.1-40.1c.3125-2.877 .8712-5.687 .8712-8.648c0-44.18-35.81-80-79.1-80c-29.29 0-54.65 15.92-68.58 39.41l-113.3-37.76C121.3-3.963 103.2 5.162 97.64 21.9C92.05 38.66 101.1 56.78 117.9 62.38l126.3 42.11c7.06 21.84 22.95 39.65 43.78 48.77v294.7H144c-26.51 0-47.1 21.49-47.1 47.1C96 504.8 103.2 512 112 512h223.1c8.836 0 15.1-7.164 15.1-15.1V153.3c5.043-2.207 9.756-4.965 14.19-8.115l135.7 45.23C505.2 191.5 508.7 192 512 192z", "M554.9 250.5c-17.62-35.37-68.12-35.25-85.87 0c-86.37 172.7-85.04 165.4-85.04 181.5C383.1 476.1 441.3 512 512 512s127.1-35.87 127.1-79.1C639.1 416.4 642 424.8 554.9 250.5zM439.9 416l72.15-143.1l71.98 143.1H439.9zM85.04 122.5c-86.37 172.7-85.04 165.4-85.04 181.5c0 44.12 57.25 79.1 127.1 79.1s128-35.87 128-79.1c0-15.62 1.999-7.253-85.12-181.5C153.3 87.14 102.8 87.26 85.04 122.5zM55.92 288l72.08-143.1l72.04 143.1H55.92z"]],
    "scalpel": [512, 512, [], "f61d", ["M0 512c88.97 .125 174.1-29.12 239.6-81.13c.2559-.25 .3828-.375 .6387-.5C272.3 404.6 288 366.4 288 328V320H179.1L0 512z", "M482.7 11.86c-29.23-20.88-70.21-13-93.44 14.25L155.9 293.5c-8.994 10.5-1.498 26.5 12.12 26.5h131.9c9.369 0 18.24-4.125 24.36-11.25l170.9-194.4C521.6 83.49 516.5 35.86 482.7 11.86z"]],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", ["M288 320v8c0 38.38-15.72 76.63-47.81 102.4c-.2559 .125-.3828 .25-.6387 .5C174.1 482.9 88.97 512.1 0 512l179.1-192H288z", "M495.2 114.4c26.36-30.88 21.24-78.5-12.49-102.5c-29.23-20.88-70.21-13-93.44 14.25L155.9 293.5c-8.994 10.5-1.498 26.5 12.12 26.5h131.9c9.369 0 18.24-4.125 24.36-11.25L495.2 114.4zM304 480h-64C231.2 480 224 487.2 224 496S231.2 512 240 512h64c8.836 0 16-7.164 16-16S312.8 480 304 480zM432 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S440.8 480 432 480zM560 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S568.8 480 560 480z"]],
    "scanner-gun": [576, 512, ["scanner"], "f488", ["M304 32C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H261.2L144.3 454.6C130.9 477.5 101.5 485.1 78.63 471.7L25.22 440.2C2.431 426.8-5.225 397.5 8.098 374.7L80.03 251.4C33.75 237.6 0 194.7 0 144C0 82.14 50.14 32 112 32H304z", "M552 32C565.3 32 576 42.75 576 56V72C576 85.25 565.3 96 552 96H440C426.7 96 416 85.25 416 72V56C416 42.75 426.7 32 440 32H552zM552 192C565.3 192 576 202.7 576 216V232C576 245.3 565.3 256 552 256H440C426.7 256 416 245.3 416 232V216C416 202.7 426.7 192 440 192H552zM416 440C416 426.7 426.7 416 440 416H552C565.3 416 576 426.7 576 440V456C576 469.3 565.3 480 552 480H440C426.7 480 416 469.3 416 456V440zM560 128C568.8 128 576 135.2 576 144C576 152.8 568.8 160 560 160H432C423.2 160 416 152.8 416 144C416 135.2 423.2 128 432 128H560zM416 304C416 295.2 423.2 288 432 288H560C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H432C423.2 320 416 312.8 416 304zM560 352C568.8 352 576 359.2 576 368C576 376.8 568.8 384 560 384H432C423.2 384 416 376.8 416 368C416 359.2 423.2 352 432 352H560z"]],
    "scanner-image": [576, 512, [], "f8f3", ["M551.7 288L47.98 287.1C21.49 288 0 309.5 0 335.1v96C0 458.5 21.49 480 48 480H528c26.51 0 48-21.49 48-48v-102.4C576 312.3 566.6 296.5 551.7 288zM127.1 399.1c0 8.801-7.199 16-16 16H80.01c-8.801 0-16-7.199-16-16v-31.99c0-8.803 7.199-16 16-16h31.99c8.801 0 16 7.199 16 16V399.1zM223.1 399.1c0 8.801-7.199 16-16 16H176c-8.801 0-16-7.199-16-16v-31.99c0-8.803 7.199-16 16-16h31.99c8.801 0 16 7.198 16 16V399.1z", "M47.98 287.1L551.7 288c-.3887-.2207-.6725-.5628-1.069-.7738L79.06 35.74c-15.59-8.25-35-2.407-43.3 13.19c-8.312 15.59-2.422 34.97 13.17 43.31l367.1 195.8L47.98 287.1C47.97 287.1 47.99 287.1 47.98 287.1zM111.1 351.1H80.01c-8.801 0-16 7.199-16 16v31.99c0 8.801 7.199 16 16 16h31.99c8.801 0 16-7.199 16-16v-31.99C127.1 359.2 120.8 351.1 111.1 351.1z"]],
    "scanner-keyboard": [512, 512, [], "f489", ["M288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM88 160C74.75 160 64 170.7 64 184V200C64 213.3 74.75 224 88 224H264C277.3 224 288 213.3 288 200V184C288 170.7 277.3 160 264 160H88zM80 288C71.16 288 64 295.2 64 304V336C64 344.8 71.16 352 80 352H144C152.8 352 160 344.8 160 336V304C160 295.2 152.8 288 144 288H80zM64 432C64 440.8 71.16 448 80 448H144C152.8 448 160 440.8 160 432V400C160 391.2 152.8 384 144 384H80C71.16 384 64 391.2 64 400V432zM208 288C199.2 288 192 295.2 192 304V336C192 344.8 199.2 352 208 352H272C280.8 352 288 344.8 288 336V304C288 295.2 280.8 288 272 288H208zM192 432C192 440.8 199.2 448 208 448H272C280.8 448 288 440.8 288 432V400C288 391.2 280.8 384 272 384H208C199.2 384 192 391.2 192 400V432z", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM264 160C277.3 160 288 170.7 288 184V200C288 213.3 277.3 224 264 224H88C74.75 224 64 213.3 64 200V184C64 170.7 74.75 160 88 160H264z"]],
    "scanner-touchscreen": [512, 512, [], "f48a", ["M288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM88 160C74.75 160 64 170.7 64 184V424C64 437.3 74.75 448 88 448H264C277.3 448 288 437.3 288 424V184C288 170.7 277.3 160 264 160H88z", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM264 160C277.3 160 288 170.7 288 184V424C288 437.3 277.3 448 264 448H88C74.75 448 64 437.3 64 424V184C64 170.7 74.75 160 88 160H264z"]],
    "scarecrow": [512, 512, [], "f70d", ["M248.8 414.2L223.1 401L223.1 496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16l-.001-95l-24.88 13.22C258.7 416.6 253.3 416.6 248.8 414.2zM256 0C202.1 0 160 42.98 160 96s42.98 96 95.1 96s96.01-42.98 96.01-96S309 0 256 0zM224 96c-8.836 0-16-7.164-16-16S215.2 64 224 64s16 7.164 16 16S232.8 96 224 96zM288 112c-8.836 0-16-7.164-16-16s7.165-16 16-16s16 7.164 16 16S296.8 112 288 112z", "M288 112c8.836 0 16-7.164 16-16s-7.164-16-16-16S272 87.16 272 96S279.2 112 288 112zM224 96c8.836 0 16-7.164 16-16s-7.164-16-16-16S208 71.16 208 80S215.2 96 224 96zM477.8 186.3L451.3 160l18.36-18.26c3.148-3.1 3.13-8.209 .0303-11.36c-1.525-1.549-3.597-2.406-5.771-2.382L346.5 128c-17.69 49.98-72.55 76.16-122.5 58.47C196.6 176.8 175.1 155.3 165.5 128L48 128C43.58 127.1 39.96 131.5 39.91 135.9C39.89 138.1 40.71 140.2 42.26 141.7l18.49 18.26l-26.48 26.26c-3.115 3.121-3.115 8.237 0 11.36l26.48 26.38L42.38 242.3C39.24 245.4 39.23 250.5 42.33 253.6c1.525 1.549 3.622 2.413 5.794 2.39h106.1l-26 141.3c-1.416 8.721 4.469 16.98 13.19 18.4c3.297 .5352 6.722 .0672 9.714-1.417l32.64-24.21c4.961-3.702 11.63-4.163 17.09-1.256L248.8 414.2c4.461 2.4 9.871 2.4 14.33 0l47.92-25.49c5.471-2.916 12.1-2.472 17.06 1.238l32.67 24.24c7.852 3.971 17.46 .8074 21.43-7.044c1.541-3.047 2.097-6.572 1.521-9.935l-25.84-141.2h106.1c4.445-.0234 7.969-3.651 7.944-8.097c-.0117-2.1-.7311-4.149-2.206-5.643L451.3 224l26.36-26.26C480.8 194.7 480.8 189.5 477.8 186.3z"]],
    "scarf": [512, 512, [129507], "f7c1", ["M166 323.8l-118.4 118.1c-3.125 3.125-3.125 8.249 0 11.37l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l118.4-118.2L166 323.8zM120.8 278.6l-118.5 118.1c-2.1 3-2.1 8.125 0 11.25l11.38 11.25c3.127 3.125 8.126 3.125 11.25 0l118.4-118.1L120.8 278.6zM92.88 487.1c-3.125 3.125-3.125 8.125 0 11.25l11.38 11.37c3 3 8.125 3 11.25 0l118.4-118.2l-22.63-22.62L92.88 487.1zM301.8 368.9l-22.54 22.71l117.4 117.2c3.125 3 8.124 3 11.25 0l11.38-11.37c3-3.125 3-8.125 0-11.25L301.8 368.9zM509.8 395.8l-117.5-117.1l-22.5 22.62l117.3 116.1c3.125 3.123 8.25 3.123 11.25 0l11.38-11.25C512.8 403.9 512.8 398.9 509.8 395.8zM347 323.8l-22.63 22.5l117.4 117.2c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L347 323.8z", "M214.3 100.9c36.88-8.624 68-3.625 84.38 .25l-19.5 19.37l109.8 109.6c46.63-51.75 20.38-105.4 13.25-117.4l-43.67-73.43c-4.25-7.124-9.917-13.25-16.79-17.1c-40.63-27.5-127.4-29.58-171.4 .1667c-6.875 4.75-12.5 10.75-16.75 17.1l-43.63 73.12C108.4 115.1 72.75 174.8 121.4 228.4l157.8 163.2l113-112.1L214.3 100.9z"]],
    "school": [640, 512, [127979], "f549", ["M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM256 512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM496 272C496 280.8 503.2 288 512 288H544C552.8 288 560 280.8 560 272V208C560 199.2 552.8 192 544 192H512C503.2 192 496 199.2 496 208V272zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM496 400C496 408.8 503.2 416 512 416H544C552.8 416 560 408.8 560 400V336C560 327.2 552.8 320 544 320H512C503.2 320 496 327.2 496 336V400zM320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264z", "M336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160zM80 208C80 199.2 87.16 192 96 192H128C136.8 192 144 199.2 144 208V272C144 280.8 136.8 288 128 288H96C87.16 288 80 280.8 80 272V208zM496 208C496 199.2 503.2 192 512 192H544C552.8 192 560 199.2 560 208V272C560 280.8 552.8 288 544 288H512C503.2 288 496 280.8 496 272V208zM128 320C136.8 320 144 327.2 144 336V400C144 408.8 136.8 416 128 416H96C87.16 416 80 408.8 80 400V336C80 327.2 87.16 320 96 320H128zM496 336C496 327.2 503.2 320 512 320H544C552.8 320 560 327.2 560 336V400C560 408.8 552.8 416 544 416H512C503.2 416 496 408.8 496 400V336z"]],
    "school-circle-check": [640, 512, [], "e56b", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "school-circle-exclamation": [640, 512, [], "e56c", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "school-circle-xmark": [640, 512, [], "e56d", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "school-flag": [576, 512, [], "e56e", ["M410.3 160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H336V400C336 373.5 314.5 352 288 352C261.5 352 240 373.5 240 400V512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H165.7L269.4 85.96C280.5 78.01 295.5 78.01 306.6 85.96L410.3 160zM288 192C261.5 192 240 213.5 240 240C240 266.5 261.5 288 288 288C314.5 288 336 266.5 336 240C336 213.5 314.5 192 288 192zM80 224C71.16 224 64 231.2 64 240V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V240C128 231.2 120.8 224 112 224H80zM448 304C448 312.8 455.2 320 464 320H496C504.8 320 512 312.8 512 304V240C512 231.2 504.8 224 496 224H464C455.2 224 448 231.2 448 240V304zM80 352C71.16 352 64 359.2 64 368V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V368C128 359.2 120.8 352 112 352H80zM464 352C455.2 352 448 359.2 448 368V432C448 440.8 455.2 448 464 448H496C504.8 448 512 440.8 512 432V368C512 359.2 504.8 352 496 352H464z", "M288 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H320V95.53L306.6 85.96C295.5 78.01 280.5 78.01 269.4 85.96L256 95.53V32C256 14.33 270.3 0 288 0V0zM64 240C64 231.2 71.16 224 80 224H112C120.8 224 128 231.2 128 240V304C128 312.8 120.8 320 112 320H80C71.16 320 64 312.8 64 304V240zM448 240C448 231.2 455.2 224 464 224H496C504.8 224 512 231.2 512 240V304C512 312.8 504.8 320 496 320H464C455.2 320 448 312.8 448 304V240zM112 352C120.8 352 128 359.2 128 368V432C128 440.8 120.8 448 112 448H80C71.16 448 64 440.8 64 432V368C64 359.2 71.16 352 80 352H112zM448 368C448 359.2 455.2 352 464 352H496C504.8 352 512 359.2 512 368V432C512 440.8 504.8 448 496 448H464C455.2 448 448 440.8 448 432V368z"]],
    "school-lock": [640, 512, [], "e56f", ["M320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V271.1C640 210.1 589.9 159.1 528 159.1C466.1 159.1 416 210.1 416 271.1V296.6C396.9 307.6 384 328.3 384 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", ["M191.1 255.1L152.5 216.5C139.9 221.3 126.3 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 126.3 221.3 139.9 216.5 152.5L255.1 191.1L191.1 255.1zM63.1 111.1C63.1 138.5 85.49 159.1 111.1 159.1C138.5 159.1 159.1 138.5 159.1 111.1C159.1 85.49 138.5 63.1 111.1 63.1C85.49 63.1 63.1 85.49 63.1 111.1zM499.2 435.2C506.3 442.3 506.3 453.7 499.2 460.8C470.9 489.1 425.1 489.1 396.8 460.8L255.1 319.1L320 255.1L499.2 435.2z", "M224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C126.3 288 139.9 290.7 152.5 295.5L396.8 51.2C425.1 22.92 470.9 22.92 499.2 51.2C506.3 58.27 506.3 69.73 499.2 76.8L216.5 359.5C221.3 372.1 224 385.7 224 400zM112 352C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448C138.5 448 160 426.5 160 400C160 373.5 138.5 352 112 352z"]],
    "screen-users": [640, 512, ["users-class"], "f63d", ["M96 64h448v160c24.62 0 47 9.625 64 25V49.63c0-27.38-21.5-49.63-48-49.63h-480c-26.5 0-48 22.25-48 49.63v199.4c17-15.38 39.38-25 64-25V64z", "M320 383.1C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320S284.8 383.8 320 383.1zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM544 383.1C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256C508.8 256.2 480.2 284.7 480.2 320S508.8 383.8 544 383.1zM96 383.1C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320S60.78 383.8 96 383.1zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416z"]],
    "screencast": [576, 512, [], "e23e", ["M496.1 32H80.54C36.46 32 .625 67.82 .625 111.9v65.95c10.5-1.234 21.13-2.043 31.96-2.043S54.05 176.6 64.55 177.8V111.9c0-8.805 7.18-15.98 15.98-15.98h415.5c8.805 0 15.98 7.176 15.98 15.98v287.6c0 8.805-7.18 15.98-15.98 15.98h-193.8c1.232 10.5 2.041 21.13 2.041 31.96s-.8086 21.45-2.041 31.95h193.8C540.2 479.4 576 443.6 576 399.5V111.9C576 67.82 540.2 32 496.1 32z", "M32.59 415.5c-17.65 0-31.96 14.31-31.96 31.96s14.31 31.95 31.96 31.95s31.96-14.3 31.96-31.95S50.24 415.5 32.59 415.5zM32.59 223.7c-17.67 0-31.96 14.29-31.96 31.95s14.3 31.95 31.96 31.95c88.12 0 159.8 71.68 159.8 159.8c0 17.66 14.3 31.95 31.96 31.95c17.67 0 31.97-14.29 31.97-31.95C256.3 324.1 155.1 223.7 32.59 223.7zM31.96 320.2C14.3 320.2 0 334.5 0 352.2c0 17.66 14.3 31.95 31.96 31.95c35.24 0 63.93 28.68 63.93 63.91C95.9 465.7 110.2 480 127.9 480s31.96-14.29 31.96-31.95C159.8 377.5 102.5 320.2 31.96 320.2z"]],
    "screwdriver": [512, 512, [129691], "f54a", ["M511.1 64l-95.1 128h-61.99l-106.7 106.6C243.8 291.4 239.3 284.6 233.4 278.6S220.6 268.2 213.4 264.7L320 158L319.1 96l128-96L511.1 64z", "M128 278.6l-117.1 116.9c-14.5 14.62-14.5 38.29 0 52.79l52.75 52.75c14.5 14.5 38.17 14.5 52.79 0L233.4 384c29.12-29.12 29.12-76.25 0-105.4S157.1 249.5 128 278.6z"]],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", ["M227.9 307L168.7 247.9l-148.9 148.9c-26.37 26.37-26.37 69.08 0 95.45C32.96 505.4 50.21 512 67.5 512s34.54-6.592 47.72-19.78l119.1-119.1C225.5 352.3 222.6 329.4 227.9 307zM64 472c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S88 434.7 88 448C88 461.3 77.25 472 64 472zM507.7 109.3c-1.641-6.43-8.184-10.31-14.61-8.67c-2.094 .5352-4.006 1.623-5.533 3.152l-74.45 74.5l-67.96-11.32l-11.32-68.01l74.45-74.45c4.697-4.688 4.707-12.29 .0195-16.99c-1.564-1.568-3.531-2.674-5.686-3.193c-49.09-12.22-100.1 2.191-136.7 37.98C226.2 81.94 215.2 139.5 231.8 189.6L227.7 193.7l70.95 70.97c28.5-14.14 62.84-8.55 85.39 13.9l7.516 7.474c29.64-4.719 57.03-18.67 78.22-39.93C505.6 210.3 519.1 158.4 507.7 109.3z", "M384 278.6c-23.16-23.16-57.57-27.57-85.39-13.9L191.1 158L191.1 95.99l-127.1-95.99L0 63.1l96 127.1l62.04 .0077l106.7 106.6c-13.67 27.82-9.251 62.23 13.91 85.39l117 117.1c14.62 14.5 38.21 14.5 52.71-.0016l52.75-52.75c14.5-14.5 14.5-38.08-.0016-52.71L384 278.6z"]],
    "scribble": [512, 512, [], "e23f", ["M169.1 23.33C186.5 8.317 207.1 0 230.3 0H231.4C280.3 0 320 39.65 320 88.57C320 112.1 310.7 134.6 294.1 151.2L103.2 342.1C98.59 346.7 96 352.9 96 359.4C96 373 107 384 120.6 384C127.1 384 133.3 381.4 137.9 376.8L360.8 153.9C377.4 137.3 399.9 128 423.4 128C472.3 128 512 167.7 512 216.6C512 240.1 502.7 262.6 486.1 279.2L397.8 367.4C388.1 376.3 384 388.3 384 400.9C384 426.9 405.1 448 430.1 448C437.2 448 443.4 446.5 448.9 443.8L465.7 435.4C481.5 427.5 500.7 433.9 508.6 449.7C516.5 465.5 510.1 484.7 494.3 492.6L477.6 500.1C463.1 508.2 447.1 512 430.1 512C369.6 512 320 462.1 320 400.9C320 371.4 331.7 343.1 352.6 322.2L440.8 233.9C445.4 229.3 448 223.1 448 216.6C448 203 437 192 423.4 192C416.9 192 410.7 194.6 406.1 199.2L183.2 422.1C166.6 438.7 144.1 448 120.6 448C71.65 448 32 408.3 32 359.4C32 335.9 41.33 313.4 57.94 296.8L248.8 105.9C253.4 101.3 256 95.08 256 88.57C256 75 245 64 231.4 64H230.3C223.9 64 217.8 66.38 213 70.68L53.53 215.7C40.45 227.6 20.21 226.6 8.322 213.5C-3.566 200.4-2.602 180.2 10.47 168.3L169.1 23.33z", ""]],
    "scroll": [576, 512, [128220], "f70e", ["M480 128v224h-192v48c0 44.18-35.82 80-80 80C163.8 480 128 444.2 128 400V96c0-35.35-28.65-64-64-64h320C437 32 480 75 480 128z", "M64 32C28.65 32 0 60.65 0 96v48C0 152.8 7.164 160 16 160H128V96C128 60.65 99.35 32 64 32zM560 352H288v48c0 44.18-35.82 80-80 80h256c61.88 0 112-50.13 112-112C576 359.1 568.9 352 560 352z"]],
    "scroll-old": [576, 512, [], "f70f", ["M480 128l-31.1 32l31.1 31.1v32L448 256l31.1 31.1L480 352h-63.1l-32 32l-31.1-32h-64L288 400c0 44.18-35.82 80-80 80C163.8 480 128 444.2 128 400L128 256l32-32l-32-32L128 96c0-35.35-28.65-64-64-64h320C437 32 480 75 480 128z", "M128 96v64H16c-8.836 0-15.1-7.164-15.1-16L0 96c0-35.35 28.65-64 64-64C99.35 32 128 60.65 128 96zM560 352H416l-32 32l-31.1-32h-64L288 400c0 44.18-35.82 80-80 80h256C525.9 480 576 429.9 576 368C576 359.1 568.9 352 560 352z"]],
    "scroll-torah": [640, 512, ["torah"], "f6a0", ["M257.5 200.5L220.8 200.5l18.38 30.83L257.5 200.5zM220.8 311.5l36.87-.0012l-18.5-30.87L220.8 311.5zM319.1 145.5L302.2 175.1l35.37-.0011L319.1 145.5zM419.2 200.5L382.4 200.5l18.5 30.79L419.2 200.5zM382.5 311.5l36.75-.0011l-18.38-30.75L382.5 311.5zM96 32v448h448V32H96zM445.2 326.1c-3.75 6.625-10.87 10.75-18.5 10.75l-59.5 .0019l-29.12 48.67c-3.75 6.5-10.62 10.33-18.12 10.46c-7.375 0-14.25-3.874-18-10.25l-29.25-48.87l-59.5 .0019c-7.625 0-14.62-4.124-18.37-10.75S191.3 311.4 195.1 304.9l29.25-48.87L195 207c-3.875-6.5-4.001-14.62-.2507-21.12c3.75-6.625 10.87-10.75 18.5-10.75L272.7 175.1l29.12-48.67C305.6 119.1 312.6 116.1 319.1 116.1c7.375-.125 14.25 3.916 17.1 10.17l29.25 48.87l59.5-.0019c7.625 0 14.62 4.124 18.38 10.75s3.626 14.75-.2493 21.25l-29.25 48.87l29.38 48.1C448.1 311.5 448.1 319.6 445.2 326.1zM320 366.5l17.75-29.62l-35.5 .0011L320 366.5zM352.9 200.5L287.1 200.5L253.9 256l33.25 55.5L352.9 311.5l33.25-55.5L352.9 200.5z", "M48 0C21.5 0 0 14.38 0 32v448c0 17.62 21.5 32 48 32S96 497.6 96 480V32C96 14.38 74.5 0 48 0zM592 0C565.5 0 544 14.38 544 32v448c0 17.62 21.5 32 48 32s48-14.38 48-32V32C640 14.38 618.5 0 592 0z"]],
    "scrubber": [512, 512, [], "f2f8", ["M256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z"]],
    "scythe": [640, 512, [], "f710", ["M583.9 0l-245 0C191.1 0 63.1 63.1 0 191.1h544L583.9 0z", "M632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-25.5 0l-59.75 288h-106.7c-17.67 0-31.99 14.33-31.99 32s14.32 32 31.99 32h93.49l-29.25 141c-.875 4.75 .375 9.5 3.5 13.25C486.7 509.9 491.2 512 495.1 512h31.5c7.623 0 14.25-5.5 15.62-13L639.5 38C641.2 28.62 638.7 18.1 632.6 11.62z"]],
    "sd-card": [384, 512, [], "f7c2", ["M320 0H128L0 128v320c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V64C384 28.75 355.3 0 320 0zM160 160H112V64H160V160zM240 160H192V64h48V160zM320 160h-48V64H320V160z", "M112 160H160V64H112V160zM192 160h48V64H192V160zM272 64v96H320V64H272z"]],
    "sd-cards": [448, 512, [], "e240", ["M384 0H208L96 112V352c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V64C448 28.75 419.3 0 384 0zM304 160H256V64h48V160zM384 160h-48V64H384V160z", "M304 64H256v96h48V64zM336 64v96H384V64H336zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "seal": [512, 512, [], "e241", ["M335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64z", ""]],
    "seal-exclamation": [512, 512, [], "e242", ["M222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41zM232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "seal-question": [512, 512, [], "e243", ["M222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41zM169.4 166.5C164.9 179 171.5 192.7 183.1 197.2C196.5 201.6 210.2 195.1 214.6 182.6L215.1 181.3C216.2 178.1 219.2 176 222.6 176H280.9C289.2 176 296 182.8 296 191.1C296 196.6 293.1 201.6 288.4 204.3L244.1 229.7C236.6 234 232 241.9 232 250.5V264C232 277.3 242.7 288 256 288C269.1 288 279.8 277.5 279.1 264.4L312.3 245.9C331.9 234.7 344 213.8 344 191.1C344 156.3 315.7 128 280.9 128H222.6C198.9 128 177.8 142.9 169.8 165.3L169.4 166.5zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M280.9 128C315.7 128 344 156.3 344 191.1C344 213.8 331.9 234.7 312.3 245.9L279.1 264.4C279.8 277.5 269.1 288 256 288C242.7 288 232 277.3 232 264V250.5C232 241.9 236.6 234 244.1 229.7L288.4 204.3C293.1 201.6 296 196.6 296 191.1C296 182.8 289.2 176 280.9 176H222.6C219.2 176 216.2 178.1 215.1 181.3L214.6 182.6C210.2 195.1 196.5 201.6 183.1 197.2C171.5 192.7 164.9 179 169.4 166.5L169.8 165.3C177.8 142.9 198.9 128 222.6 128L280.9 128zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "seat-airline": [448, 512, [], "e244", ["M264 416V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H120C106.7 512 96 501.3 96 488C96 474.7 106.7 464 120 464H216V416H264zM80.53 192H320C337.7 192 352 206.3 352 224C352 241.7 337.7 256 320 256H107.1L80.53 192z", "M32 0C49.67 0 64 14.33 64 32V143.6C64 150.1 65.32 156.5 67.88 162.5L121.7 288H416C428.1 288 439.2 294.8 444.6 305.7C450 316.5 448.9 329.5 441.6 339.2L398.4 396.8C389.3 408.9 375.1 416 360 416H170.2C131.8 416 97.09 393.1 81.96 357.8L9.056 187.7C3.081 173.8 0 158.7 0 143.6V32C0 14.33 14.33 .0003 32 .0003V0z"]],
    "section": [256, 512, [], "e447", ["M254.3 425.5c-5.496 33.38-26.07 59.69-58.02 74.12c-18.11 8.188-39.22 12.34-62.4 12.34c-11.4 0-23.33-1-35.54-3.032c-23.08-3.625-46.97-12.75-68.02-20.75l-9.463-3.594c-16.55-6.188-24.92-24.62-18.74-41.19c6.215-16.5 24.64-24.91 41.16-18.75l9.773 3.719c18.18 6.906 38.76 14.75 55.49 17.41c24.39 3.938 46.13 2.438 61.4-4.469c16.39-7.406 19.96-18.47 21.23-26.16c4.498-27.5-7.713-37.03-72.42-56.59l-12.99-3.967C67.36 342.7-12.59 317.9 1.686 230.5c3.721-22.71 14.18-41.5 29.78-55.83c22.29 19.18 51.51 28.89 71.45 35.1C86.05 212.7 68.13 220.5 64.83 240.8C61.11 263.4 65.67 275.2 124.7 293.5l12.52 3.812C189.6 313.2 268.7 337.1 254.3 425.5z", "M254.3 281.5c-3.717 22.7-14.14 41.55-29.8 55.82c-20.25-17.14-47.07-27.4-71.27-35.1c16.81-2.969 34.64-10.83 37.93-31.04c4.529-27.53-7.682-37.06-72.39-56.62c0 0-14.88-4.562-15.81-4.852C98.08 208.2 92.67 206.5 86.97 204.5C86.69 204.4 86.39 204.3 86.11 204.2c-5.762-2.045-11.89-4.407-18.03-7.138c-.0469-.0215 .0469 .0195 0 0C55.52 191.5 42.6 184.2 31.47 174.7c-21.63-18.61-36.65-46.08-29.78-88.17c4.279-26.09 17.77-47.97 39.07-63.25c28.79-20.72 70.42-27.97 116.9-20.19c14.93 2.438 31.88 7.219 53.28 15.06c16.58 6.094 25.11 24.47 19.05 41.06c-6.059 16.62-24.45 25.06-41.04 19.06c-17.3-6.344-30.92-10.28-41.66-12.03C117.1 61.36 92.78 64.67 78.04 75.23C70.54 80.61 66.36 87.45 64.83 96.79C61.11 119.4 65.67 131.2 124.7 149.5l12.52 3.812C189.6 169.2 268.7 193.1 254.3 281.5z"]],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", ["M512 32c0 123.8-100.3 224-224 224v64c0-53.52-18.81-102.6-50.1-141.1C269.4 93.21 351.4 32 448 32H512z", "M64 95.1H0c0 123.8 100.3 224 224 224v128C224 465.6 238.4 480 255.1 480S288 465.6 288 448V320C288 196.3 187.7 95.1 64 95.1z"]],
    "semicolon": [192, 512, [], "3b", ["M68.55 295.5c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31s35.11-.6485 43.99-15.83l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C144.1 293.5 99.82 277.4 68.55 295.5z", "M96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192z"]],
    "send-back": [640, 512, [], "f87e", ["M0 64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64zM64 192H192V64H64V192zM384 320C384 284.7 412.7 256 448 256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320zM448 448H576V320H448V448z", "M160 352V288H192C245 288 288 245 288 192V96H416C451.3 96 480 124.7 480 160V224H448C394.1 224 352 266.1 352 320V416H224C188.7 416 160 387.3 160 352z"]],
    "send-backward": [512, 512, [], "f87f", ["M160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM224 224V448H448V224H224z", "M0 64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128H224C170.1 128 128 170.1 128 224V352H64C28.65 352 0 323.3 0 288V64z"]],
    "sensor": [448, 512, [], "e028", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z", "M88 96C101.3 96 112 106.7 112 120V264C112 277.3 101.3 288 88 288C74.75 288 64 277.3 64 264V120C64 106.7 74.75 96 88 96zM184 96C197.3 96 208 106.7 208 120V264C208 277.3 197.3 288 184 288C170.7 288 160 277.3 160 264V120C160 106.7 170.7 96 184 96z"]],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V234.8C433.5 227.9 417.2 224 400 224C339.9 224 290.9 271.3 288.1 330.7C250.2 348.7 224 387.3 224 432C224 449.2 227.9 465.5 234.8 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M321.9 353.2C320.6 347.7 320 341.9 320 336C320 291.8 355.8 256 400 256C435 256 464.8 278.5 475.6 309.8C485.9 296.6 501.9 288 520 288C550.9 288 576 313.1 576 344C576 347.2 575.7 350.4 575.2 353.4C612.1 360.5 640 393 640 432C640 476.2 604.2 512 560 512H336C291.8 512 256 476.2 256 432C256 392.6 284.4 359.9 321.9 353.2z"]],
    "sensor-fire": [640, 512, [], "e02a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "sensor-on": [640, 512, [], "e02b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z", "M603.1 74.69C611.3 85.71 608.3 100.6 597.3 107.1L549.3 139.1C538.3 147.3 523.4 144.3 516 133.3C508.7 122.3 511.7 107.4 522.7 100L570.7 68.03C581.7 60.68 596.6 63.66 603.1 74.69zM512 255.1C512 242.7 522.7 231.1 536 231.1H616C629.3 231.1 640 242.7 640 255.1C640 269.3 629.3 279.1 616 279.1H536C522.7 279.1 512 269.3 512 255.1zM516 378.7C523.4 367.7 538.3 364.7 549.3 372L597.3 404C608.3 411.4 611.3 426.3 603.1 437.3C596.6 448.3 581.7 451.3 570.7 443.1L522.7 411.1C511.7 404.6 508.7 389.7 516 378.7z"]],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128C421.6 128 397.3 142.2 384.3 165.1L233.9 430C227.4 441.5 224 454.5 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416L0 96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160V160zM431.1 272V360C431.1 368.8 439.2 376 447.1 376C456.8 376 463.1 368.8 463.1 360V272C463.1 263.2 456.8 256 447.1 256C439.2 256 431.1 263.2 431.1 272zM448 408C434.7 408 424 418.7 424 432C424 445.3 434.7 456 448 456C461.3 456 472 445.3 472 432C472 418.7 461.3 408 448 408z"]],
    "server": [512, 512, [], "f233", ["M480 288H32c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128C512 302.4 497.6 288 480 288zM352 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S365.3 408 352 408zM416 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S429.3 408 416 408zM416 152c13.25 0 24-10.75 24-24S429.3 104 416 104S392 114.8 392 128S402.8 152 416 152z", "M480 32H32C14.38 32 0 46.38 0 64v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V64C512 46.38 497.6 32 480 32zM352 152c-13.25 0-24-10.75-24-24S338.8 104 352 104S376 114.8 376 128S365.3 152 352 152zM416 152c-13.25 0-24-10.75-24-24S402.8 104 416 104S440 114.8 440 128S429.3 152 416 152zM416 360c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S429.3 360 416 360z"]],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", ["M288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0V0zM0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384z", "M288 312C288 289.9 305.9 272 328 272H472C494.1 272 512 289.9 512 312V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V312z"]],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", ["M288 272.1C132.9 274.3 66.06 312.8 111.4 457.8c5.031 16.09-14.41 28.56-28.06 18.62C39.59 444.6 0 383.8 0 322.3c0-152.2 127.4-184.4 288-186.3V272.1z", "M503.7 226.2l-176 151.1c-15.38 13.3-39.69 2.545-39.69-18.16V56.02c0-20.67 24.28-31.46 39.69-18.16l176 151.1C514.8 199.4 514.8 216.6 503.7 226.2z"]],
    "share-all": [576, 512, [], "f367", ["M567.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16V71.83l157.7 136.2l-157.7 136.2v15.83c0 20.7 24.31 31.45 39.69 18.16l176-151.1C578.8 216.6 578.8 199.4 567.7 189.9z", "M439.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16v82.84C94.86 149.1 0 191 0 322.3c0 61.44 39.59 122.3 83.34 154.1c13.66 9.938 33.09-2.531 28.06-18.62c-38.48-123.1 4.102-169.3 112.6-181.9v84.04c0 20.7 24.31 31.45 39.69 18.16l176-151.1C450.8 216.6 450.8 199.4 439.7 189.9z"]],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", ["M416 384c-17.67 0-32 14.33-32 32v31.1l-320-.0013V128h32c17.67 0 32-14.32 32-32S113.7 64 96 64H64C28.65 64 0 92.65 0 128v319.1c0 35.34 28.65 64 64 64l320-.0013c35.35 0 64-28.66 64-64V416C448 398.3 433.7 384 416 384z", "M568.9 176.5l-150.9 138.2C404.8 326.8 384 316.1 384 298.2V223.1C256 224 186.7 252.2 227 380.4c4.473 14.22-12.8 25.24-24.94 16.46C163.2 368.8 128 314.9 128 260.6C128 126.1 241.2 97.63 384 96V21.84c0-18.8 20.81-28.61 34.02-16.52l150.9 138.2C578.4 152.2 578.4 167.8 568.9 176.5z"]],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", ["M191.3 244.1C188.5 221.8 178.1 201.8 162.6 186.9L256.7 139.9C259.5 162.2 269.9 182.2 285.4 197.1L191.3 244.1zM285.4 314.9C269.9 329.8 259.5 349.8 256.7 372.1L162.6 325.1C178.1 310.2 188.5 290.2 191.3 267.9L285.4 314.9z", "M448 128C448 181 405 224 352 224C298.1 224 256 181 256 128C256 74.98 298.1 32 352 32C405 32 448 74.98 448 128zM192 256C192 309 149 352 96 352C42.98 352 0 309 0 256C0 202.1 42.98 160 96 160C149 160 192 202.1 192 256zM256 384C256 330.1 298.1 288 352 288C405 288 448 330.1 448 384C448 437 405 480 352 480C298.1 480 256 437 256 384z"]],
    "sheep": [640, 512, [128017], "f711", ["M308.5 142.1C316.5 160.7 333.3 172.7 352 175.4V208C352 269.9 402.1 320 464 320H479.5C479.8 322.6 480 325.3 480 328C480 363.3 451.3 392 416 392C412.7 392 409.4 391.7 406.2 391.3C399.3 419.2 374.1 440 344 440C328.1 440 315.1 434.8 304.2 426.1C292.5 439.5 275.2 448 256 448C236.8 448 219.5 439.5 207.8 426.1C196.9 434.8 183 440 168 440C137.9 440 112.7 419.2 105.8 391.3C102.6 391.7 99.34 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C278.9 64 299 76.04 310.3 94.15C302.9 108.5 301.6 126 308.5 142.1V142.1z", "M384 135.8L369.5 142.1C357.3 147.3 343.2 141.6 337.9 129.5C332.7 117.3 338.4 103.2 350.5 97.94L398.4 77.44C415.3 50.16 445.5 32 480 32C514.5 32 544.7 50.16 561.6 77.44L609.5 97.94C621.6 103.2 627.3 117.3 622.1 129.5C616.8 141.6 602.7 147.3 590.5 142.1L576 135.8V208C576 252.2 540.2 288 496 288H464C419.8 288 384 252.2 384 208L384 135.8zM464 160C472.8 160 480 152.8 480 144C480 135.2 472.8 128 464 128C455.2 128 448 135.2 448 144C448 152.8 455.2 160 464 160zM528 128C519.2 128 512 135.2 512 144C512 152.8 519.2 160 528 160C536.8 160 544 152.8 544 144C544 135.2 536.8 128 528 128zM115.1 485.9L97.5 391.1C100.3 391.9 103.1 391.7 105.8 391.3C112.7 419.2 137.9 440 167.1 440C183 440 196.9 434.8 207.8 426.1L207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9V485.9zM303.1 480V426.3L304.2 426.1C315.1 434.8 328.1 440 344 440C374.1 440 399.3 419.2 406.2 391.3C408.9 391.7 411.7 391.9 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V480z"]],
    "sheet-plastic": [384, 512, [], "e571", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V352H256C238.3 352 224 366.3 224 384V512H64zM171.3 52.69C165.1 46.44 154.9 46.44 148.7 52.69L52.69 148.7C46.44 154.9 46.44 165.1 52.69 171.3C58.93 177.6 69.06 177.6 75.31 171.3L171.3 75.31C177.6 69.07 177.6 58.94 171.3 52.69V52.69zM267.3 107.3C273.6 101.1 273.6 90.93 267.3 84.69C261.1 78.44 250.9 78.44 244.7 84.69L84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3C90.93 273.6 101.1 273.6 107.3 267.3L267.3 107.3z", "M224 384C224 366.3 238.3 352 256 352H384L224 512V384z"]],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", ["", "M0 64C0 46.33 14.33 32 32 32H192C262.7 32 320 89.31 320 160V320C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 320V160C256 124.7 227.3 96 192 96H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM448 352C448 422.7 390.7 480 320 480H160C142.3 480 128 465.7 128 448V192C128 174.3 142.3 160 160 160C177.7 160 192 174.3 192 192V416H320C355.3 416 384 387.3 384 352V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V352z"]],
    "shelves": [640, 512, ["inventory"], "f480", ["M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z", "M368 256h-96C263.3 256 256 263.3 256 272v96C256 376.8 263.3 384 272 384h96c8.75 0 16-7.25 16-16v-96C384 263.3 376.8 256 368 256zM208 256h-96C103.3 256 96 263.3 96 272v96C96 376.8 103.3 384 112 384h96C216.8 384 224 376.8 224 368v-96C224 263.3 216.8 256 208 256zM464 0h-96C359.3 0 352 7.25 352 16v96C352 120.8 359.3 128 368 128h96C472.8 128 480 120.8 480 112v-96C480 7.25 472.8 0 464 0z"]],
    "shelves-empty": [640, 512, [], "e246", ["M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z", ""]],
    "shield": [512, 512, [128737, "shield-blank"], "f132", ["M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078z", ""]],
    "shield-cat": [512, 512, [], "e572", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM223.1 208L159.1 144V272C159.1 325 202.1 368 255.1 368C309 368 352 325 352 272V144L288 208H223.1z", "M160 144L224 208H288L352 144V272C352 325 309 368 256 368C202.1 368 160 325 160 272V144zM216 256C207.2 256 200 263.2 200 272C200 280.8 207.2 288 216 288C224.8 288 232 280.8 232 272C232 263.2 224.8 256 216 256zM296 288C304.8 288 312 280.8 312 272C312 263.2 304.8 256 296 256C287.2 256 280 263.2 280 272C280 280.8 287.2 288 296 288z"]],
    "shield-check": [512, 512, [], "f2f7", ["M466.5 83.71l-192-80c-4.875-2.031-13.16-3.703-18.44-3.703c-5.312 0-13.55 1.672-18.46 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM378.4 192.1c0 4.095-1.562 8.189-4.688 11.31L235.4 342.6c-3.125 3.124-7.22 4.686-11.31 4.686S215.9 345.7 212.8 342.6L138.4 268.3C135.3 265.2 133.7 261.1 133.7 256.1c0-4.095 1.562-8.189 4.688-11.31l11.31-11.31C152.9 231.2 156.1 229.7 161 229.7S169.2 231.2 172.4 234.3l51.72 51.72l115.7-115.7c3.125-3.124 7.22-4.686 11.31-4.686s8.189 1.562 11.31 4.686l11.31 11.31C376.9 184.8 378.4 188.9 378.4 192.1z", "M378.4 192.1c0 4.095-1.562 8.189-4.688 11.31L235.4 342.6c-3.125 3.124-7.22 4.686-11.31 4.686S215.9 345.7 212.8 342.6L138.4 268.3C135.3 265.2 133.7 261.1 133.7 256.1c0-4.095 1.562-8.189 4.688-11.31l11.31-11.31C152.9 231.2 156.1 229.7 161 229.7S169.2 231.2 172.4 234.3l51.72 51.72l115.7-115.7c3.125-3.124 7.22-4.686 11.31-4.686s8.189 1.562 11.31 4.686l11.31 11.31C376.9 184.8 378.4 188.9 378.4 192.1z"]],
    "shield-cross": [512, 512, [9960], "f712", ["M16 127.1C16 138.9 16.48 149.5 17.15 160H224V9.336L45.61 83.71C27.7 91.1 16 108.6 16 127.1zM224 501.1V224H25.63C53.61 363.1 139.4 460.8 224 501.1zM288 501.1C359.7 466.5 456.5 375.5 486.5 224H288V501.1zM466.5 83.71L288 9.297V160h206.8C495.4 149.5 496 138.1 496 127.1C496 108.6 484.3 91.1 466.5 83.71z", "M494.8 160c-1.381 22.46-4.256 43.72-8.27 64H288v277.1C275.6 508.1 267.8 512 255.9 512C243.7 512 236.4 508 224 501.1V224H25.63C21.51 203.5 18.57 182.2 17.15 160H224V9.336l13.61-5.633C242.5 1.672 250.8 0 256.1 0c5.281 0 13.56 1.672 18.44 3.703L288 9.297V160H494.8z"]],
    "shield-dog": [512, 512, [], "e573", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM159.1 160C151.2 160 143.1 167.2 143.1 176V232C143.1 248.9 154.5 263.4 169.4 269.2L143.1 320L272 384V320H320C364.2 320 400 284.2 400 240V208C400 199.2 392.8 192 384 192H320L312.8 177.7C307.4 166.8 296.3 160 284.2 160H159.1z", "M223.1 160H284.2C296.3 160 307.4 166.8 312.8 177.7L320 192H384C392.8 192 400 199.2 400 208V240C400 284.2 364.2 320 320 320H272V384L144 320L169.4 269.2C173.9 271 178.8 272 184 272C206.1 272 224 254.1 224 232L223.1 160zM272 192C263.2 192 255.1 199.2 255.1 208C255.1 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208C288 199.2 280.8 192 272 192z"]],
    "shield-exclamation": [512, 512, [], "e247", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v112C280 277.3 269.3 288 256 288S232 277.3 232 264V152zM256 384c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 384 256 384z", "M256 288c13.25 0 24-10.75 24-24v-112C280 138.8 269.3 128 256 128S232 138.8 232 152v112C232 277.3 242.8 288 256 288zM256 320c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 320 256 320z"]],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", ["M256 .0002C256.2-.0053 256.5-.0078 256.7-.0078C261.4-.0081 265.9 1.008 270.1 2.913L458.4 82.79C480.4 92.12 496.9 113.8 496.7 139.1C496.2 239.2 455.5 420.7 283.1 503.2C274.8 507.1 265.8 509.1 256.7 509.1L256.7-.0078L256 .0002z", "M256-.0078L256 509.1C246.1 509.1 237.9 507.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078C256.3-.0078 256.5-.0053 256.7 .0002L256-.0078z"]],
    "shield-heart": [512, 512, [], "e574", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM266.1 363.4L364.2 263.6C392.2 234.7 390.5 186.6 358.1 159.5C331.8 135.8 291.5 140.2 266.1 166.5L256.4 176.1L245.9 166.5C221.4 140.2 180.2 135.8 153 159.5C121.5 186.6 119.8 234.7 147.8 263.6L244.2 363.4C251.2 369.5 260.8 369.5 266.1 363.4V363.4z", "M364.2 263.6L266.1 363.4C260.8 369.5 251.2 369.5 244.2 363.4L147.8 263.6C119.8 234.7 121.5 186.6 153 159.5C180.2 135.8 221.4 140.2 245.9 166.5L256.4 176.1L266.1 166.5C291.5 140.2 331.8 135.8 358.1 159.5C390.5 186.6 392.2 234.7 364.2 263.6H364.2z"]],
    "shield-keyhole": [512, 512, [], "e248", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z", "M280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z"]],
    "shield-minus": [512, 512, [], "e249", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z", "M360 255.1c0 13.26-10.74 23.1-23.1 23.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160C349.3 232 360 242.7 360 255.1z"]],
    "shield-plus": [512, 512, [], "e24a", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z", "M360 255.1c0 13.26-10.74 23.1-23.1 23.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56C349.3 232 360 242.7 360 255.1z"]],
    "shield-quartered": [576, 512, [], "e575", ["M288 224H56.74C50.6 192.9 48.12 164 47.1 139.1C47.87 113.8 64.32 92.12 86.3 82.79L274.7 2.913C278.8 1.008 283.4-.0081 288-.0078L288 224zM315.1 503.2C306.8 507.1 297.8 509.1 288.7 509.1V224H519.1C500.8 321.3 445.7 440.7 315.1 503.2H315.1zM288-.0078L288.7 .0002z", "M288.7-.0078C293.4-.0081 297.9 1.008 302.1 2.913L490.4 82.79C512.4 92.12 528.9 113.8 528.7 139.1C528.6 164 526.1 192.9 519.1 224H288.7L288.7-.0078zM261.6 503.2C131 440.7 75.96 321.3 56.74 224H288V509.1C278.1 509.1 269.9 507.1 261.6 503.2H261.6zM288.7-.0078L287.1 .0002H287.3"]],
    "shield-slash": [640, 512, [], "e24b", ["M319.9 512c37.26 0 102.9-58.24 117.3-72.57L81.16 160.3C96.42 398.1 272.1 512 319.9 512zM530.5 83.71l-192-80C333.6 1.672 325.3 0 320.1 0C314.8 0 306.5 1.672 301.6 3.703L128.9 75.68l367.6 288.1C533.4 303.5 560 225.5 560 127.1C560 108.6 548.3 91.1 530.5 83.71z", "M639.1 487.1C639.1 500.6 629.8 512 615.1 512c-5.174 0-10.4-1.667-14.81-5.117L9.189 42.89C3.152 38.16 .0008 31.12 .0008 24C.0008 11.21 10.28 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C636.8 473.8 639.1 480.9 639.1 487.1z"]],
    "shield-virus": [512, 512, [], "e06c", ["M466.5 83.68l-192-80.01C269.6 1.641 261.4 0 256.1 0S242.5 1.641 237.6 3.672l-192 80.01c-17.89 7.393-29.59 24.89-29.59 44.3C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM384 255.1h-12.12c-19.29 0-32.06 15.78-32.06 32.23c0 7.862 2.918 15.88 9.436 22.4l8.576 8.576c3.125 3.125 4.688 7.218 4.688 11.31c0 8.527-6.865 15.1-16 15.1c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-6.519-6.519-14.53-9.436-22.4-9.436c-16.45 0-32.23 12.77-32.23 32.06v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.862 0-15.87 2.917-22.39 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-9.139 0-16-7.473-16-15.1c0-4.094 1.562-8.187 4.688-11.31l8.576-8.576c6.519-6.519 9.436-14.53 9.436-22.4c0-16.45-12.77-32.23-32.06-32.23H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c19.29 0 32.06-15.78 32.06-32.23c0-7.862-2.918-15.88-9.436-22.4L154.2 160.8C151 157.7 149.5 153.6 149.5 149.5c0-8.527 6.865-15.1 16-15.1c4.094 0 8.188 1.562 11.31 4.688L185.4 146.7C191.9 153.3 199.9 156.2 207.8 156.2c16.45 0 32.23-12.77 32.23-32.07V111.1c0-8.844 7.156-16 16-16s16 7.156 16 16v12.12c0 19.29 15.78 32.07 32.23 32.07c7.862 0 15.88-2.917 22.4-9.436l8.576-8.577c3.125-3.125 7.219-4.688 11.31-4.688c9.139 0 16 7.473 16 15.1c0 4.094-1.562 8.187-4.688 11.31l-8.576 8.577c-6.519 6.519-9.436 14.53-9.436 22.4c0 16.45 12.77 32.23 32.06 32.23h12.12c8.844 0 16 7.156 16 16S392.8 255.1 384 255.1z", "M384 223.1h-12.12c-19.29 0-32.06-15.78-32.06-32.23c0-7.862 2.918-15.88 9.436-22.4l8.576-8.577c3.125-3.125 4.688-7.218 4.688-11.31c0-8.527-6.865-15.1-16-15.1c-4.094 0-8.188 1.562-11.31 4.688L326.6 146.7c-6.519 6.519-14.53 9.436-22.4 9.436c-16.45 0-32.23-12.77-32.23-32.07V111.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v12.12c0 19.29-15.78 32.07-32.23 32.07c-7.862 0-15.88-2.917-22.4-9.436L176.8 138.2C173.7 135 169.6 133.5 165.5 133.5c-9.139 0-16 7.473-16 15.1c0 4.094 1.562 8.187 4.688 11.31l8.576 8.577C169.3 175.9 172.2 183.9 172.2 191.8c0 16.45-12.77 32.23-32.06 32.23H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c19.29 0 32.06 15.78 32.06 32.23c0 7.862-2.918 15.88-9.436 22.4L154.2 319.2c-3.125 3.125-4.688 7.218-4.688 11.31c0 8.527 6.865 15.1 16 15.1c4.094 0 8.188-1.562 11.31-4.688l8.576-8.576c6.519-6.519 14.53-9.436 22.39-9.436c16.45 0 32.23 12.77 32.23 32.06v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06c7.862 0 15.88 2.917 22.4 9.436l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c9.139 0 16-7.473 16-15.1c0-4.094-1.562-8.187-4.688-11.31l-8.576-8.576c-6.519-6.519-9.436-14.53-9.436-22.4c0-16.45 12.77-32.23 32.06-32.23h12.12c8.844 0 16-7.156 16-16S392.8 223.1 384 223.1zM224 223.1c-8.836 0-15.1-7.165-15.1-16c0-8.838 7.164-16 16-16s15.1 7.163 15.1 16C240 216.8 232.8 223.1 224 223.1zM288 287.1c-8.836 0-16-7.162-16-15.1c0-8.838 7.164-16 16-16s16 7.161 16 15.1C304 280.8 296.8 287.1 288 287.1z"]],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z", "M336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z"]],
    "ship": [576, 512, [128674], "f21a", ["M269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5z", "M352 .0003C369.7 .0003 384 14.33 384 32V64H432C458.5 64 480 85.49 480 112V240L524.4 254.8C547.6 262.5 553.9 292.3 535.9 308.7L434.9 401.4C418.7 410.7 400.2 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C175.8 416.5 157.3 410.7 141.1 401.3L40.09 308.7C22.1 292.3 28.45 262.5 51.59 254.8L96 240V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0L352 .0003zM308.2 182.7L416 218.7V128H160V218.7L267.8 182.7C280.9 178.4 295.1 178.4 308.2 182.7z"]],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", ["M640 162.8c0 6.917-2.293 13.88-7.012 19.7l-49.96 61.63c-6.32 7.796-15.62 11.85-25.01 11.85c-7.01 0-14.07-2.262-19.97-6.919L480 203.3V464c0 26.51-21.49 48-48 48H208C181.5 512 160 490.5 160 464V203.3L101.1 249.1C96.05 253.7 88.99 255.1 81.98 255.1c-9.388 0-18.69-4.057-25.01-11.85L7.012 182.5C2.292 176.7-.0003 169.7-.0003 162.8c0-9.262 4.111-18.44 12.01-24.68l135-106.6C159.8 21.49 175.7 16 191.1 16h17.62C217.5 70.13 263.7 112 320 112s102.5-41.87 110.4-96h17.6c16.35 0 32.22 5.49 44.99 15.57l135 106.6C635.9 144.4 640 153.6 640 162.8z", "M209.6 16h32C249.1 52.47 281.4 80 320 80s70.95-27.53 78.38-64h32C422.5 70.13 376.3 112 320 112S217.5 70.13 209.6 16z"]],
    "shirt-long-sleeve": [640, 512, [], "e3c7", ["M320 128C258.3 128 208 77.75 208 16h32C240 60.11 275.9 96 320 96s80-35.89 80-80h32C432 77.75 381.8 128 320 128z", "M640 240.3V384c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V240.3l-2.062-7.898L496 150.4V448c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64V150.4L98.03 232.5L96 240.3V384c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32V240.3c0-19.16 4.918-38 14.28-54.72l71.03-126.8C100.1 32.36 128 16 158.3 16H208C208 77.75 258.3 128 320 128s112-50.25 112-112h49.53c30.38 0 58.39 16.41 73.24 42.92l70.95 126.6C635.1 202.3 640 221.1 640 240.3z"]],
    "shirt-running": [384, 512, [], "e3c8", ["M360.1 215.5L.0723 464.7C.0684 464.5 0 464.2 0 464v-77.08l339.5-235C343.2 174 350.4 195.3 360.1 215.5z", "M360.1 215.5L.0723 464.7C.4688 490.9 21.74 512 48 512h288c26.51 0 48-21.49 48-48V256C374.5 243.3 366.8 229.6 360.1 215.5zM336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v130.9l339.5-235C337.2 138.8 336 125.5 336 112z"]],
    "shirt-tank-top": [384, 512, [], "e3c9", ["M272 96v32c0 44.18-35.82 80-80 80S112 172.2 112 128V96H272z", "M384 256v208c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464V256c31.16-41.54 48-92.07 48-144v-96C48 7.162 55.16 0 64 0h32c8.836 0 16 7.162 16 16V128c0 44.18 35.82 80 80 80s80-35.82 80-80V16C272 7.162 279.2 0 288 0h32c8.836 0 16 7.162 16 16v96C336 163.9 352.8 214.5 384 256z"]],
    "shish-kebab": [512, 512, [], "f821", ["M174.6 303.7l33.95 33.92L231.2 315.1L197.2 281.1L174.6 303.7zM7.054 470.1c-9.396 9.375-9.403 24.61-.0166 33.99c9.381 9.383 24.6 9.388 33.98 .0049l81.91-81.9l-33.94-33.94L7.054 470.1zM511.2 84.12c-3.875-29.75-21.13-55.75-47.5-71.25c-30.37-17.62-67.1-17.13-97.87 1.375c-42.62 26.75-58.12 79.75-35.87 124.6c1.5 2.875 2.25 7.125 0 9.5l-47.12 47.12l33.94 33.94l47.14-47.19c16.62-16.75 20.29-42.13 9.042-64.63c-9.625-19.5-5.999-48.25 19.62-63.37c14.12-8.5 31.62-8.583 45.87-.5833c14.25 8 23.21 20.96 25.21 36.46c1.25 10.38-.855 20.96-5.978 30.09c-3.75 6.375-3.354 14.29 1.896 19.54l12.25 12.29c6.75 6.75 18.12 6.126 23.5-1.749C508.6 130.9 514.2 107.4 511.2 84.12z", "M364.6 277.2L234.7 147.4c-11.87-12-31.37-12-43.25 0L149.1 189.6c-11.87 12-11.87 31.38 0 43.38L278.1 362.9c12 11.88 31.37 11.88 43.25 0l42.37-42.38C376.5 308.6 376.5 289.1 364.6 277.2zM126.5 255.6c-11.87-12-31.25-12-43.25 0l-42.25 42.25c-11.1 12-11.1 31.38 0 43.25l129.9 129.9c11.87 12 31.25 12 43.25 0l42.25-42.25c12-12 12-31.38 0-43.38L126.5 255.6z"]],
    "shoe-prints": [640, 512, [], "f54b", ["M0 415.1c0 35.37 28.62 64.01 64 64.01l32-.0103v-127.1l-32-.0005C28.62 351.1 0 380.6 0 415.1zM337.5 287.1c-35 0-76.25 13.12-104.8 31.1C208 336.4 188.3 351.1 128 351.1v128l57.5 15.98c26.25 7.25 53 13.13 80.38 15.01c32.63 2.375 65.63 .743 97.5-6.132C472.9 481.2 512 429.2 512 383.1C512 319.1 427.9 287.1 337.5 287.1z", "M128 95.1c0 35.37 28.62 63.1 64 63.1L224 159.1V32L192 32C156.6 32 128 60.62 128 95.1zM491.4 7.252c-31.88-6.875-64.88-8.625-97.5-6.25C366.5 2.877 339.8 8.752 313.5 16L256 32V159.1c60.25 0 80 15.62 104.8 31.1c28.5 18.87 69.75 31.1 104.8 31.1C555.9 223.1 640 191.1 640 127.1C640 82.75 600.9 30.75 491.4 7.252z"]],
    "shop": [640, 512, ["store-alt"], "f54f", ["M64 192H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V224H384V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V192zM320 224H128V384H320V224z", "M603.2 192H36.84C16.5 192 0 175.5 0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H603.2z"]],
    "shop-lock": [640, 512, [], "e4a5", ["M449.6 192H36.84C16.5 192 0 175.5 0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 174.5 625.2 190.3 606.3 191.9C586.1 172.2 558.5 160 528 160C497.5 160 469.8 172.2 449.6 192H449.6zM384 464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320V224H384V464z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", ["M512 375.1V224H576V426.2L512 375.1zM320 225.5V224H384V275.7L320 225.5zM74.13 32.8L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H277.3L74.13 32.8zM0 155.2C0 147.9 2.153 140.8 6.188 134.7L20.98 112.5L121.8 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM320 384V348.1L384 398.5V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "shovel": [512, 512, [], "f713", ["M502.6 99.88l-90.51-90.51c-12.5-12.5-32.75-12.51-45.26 0l-45.25 45.25c-29.46 29.46-35.37 73.31-18.46 108.1L197.4 269.4l45.26 45.26l105.8-105.8c35.65 16.91 79.51 11 108.1-18.46l45.26-45.25C515.1 132.6 515.1 112.4 502.6 99.88zM412.1 145.1c-12.48 12.48-32.78 12.47-45.26 0c-12.47-12.47-12.48-32.77 0-45.26l22.63-22.63l45.25 45.26L412.1 145.1z", "M152.1 224.1c-12.5-12.5-32.75-12.5-45.25 0L38.97 291.1c-50.01 50-45.26 181-22.63 203.7c22.63 22.63 153.6 27.38 203.6-22.63l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25L152.1 224.1z"]],
    "shovel-snow": [512, 512, [], "f7c3", ["M504.1 81.77l-74.98-75.01c-9.016-9.037-24.95-9.006-33.94 0l-29.02 29.05c-14.55 14.54-22.56 33.89-22.56 54.47c0 12.28 3.17 23.97 8.561 34.62l-93.53 93.69l33.88 33.9l93.6-93.64c10.62 5.359 22.27 8.508 34.51 8.508c20.59 0 39.94-8.004 54.47-22.57l29.02-29.05C514.3 106.3 514.3 91.15 504.1 81.77zM441.1 110.8c-10.94 11.01-30.08 11.01-41.02 0c-5.484-5.473-8.516-12.79-8.516-20.54s3.016-15.04 8.5-20.51l12.05-12.07l41.05 41.05L441.1 110.8zM203.3 244.6c-6.125-6.379-16.38-6.379-22.5 0l-80.01 80.04c-6.25 6.129-6.25 16.38 0 22.51c3 3.129 7.124 4.753 11.25 4.753c4.125 0 8.25-1.624 11.25-4.753l80.01-80.04C209.5 261 209.5 250.8 203.3 244.6zM244.8 308.7l-80 80.04c-6.252 6.129-6.252 16.38 0 22.51c3 3.127 7.125 4.753 11.25 4.753c4.127 0 8.251-1.626 11.25-4.753l80.01-80.04c6.375-6.129 6.25-16.38 0-22.51C261.1 302.4 250.9 302.4 244.8 308.7z", "M342.8 301.8L210.2 169.2C198.9 157.9 180.9 156.7 168.2 166.5l-155.9 120.3c-15.13 11.76-16.63 34.15-3 47.66l168 168.1c13.63 13.63 35.88 12.13 47.63-3.001l120.4-155.1C355.3 331 354 313.1 342.8 301.8zM111.1 351.9c-4.127 0-8.251-1.624-11.25-4.753c-6.25-6.129-6.25-16.38 0-22.51L180.7 244.6c6.125-6.379 16.38-6.379 22.5 0c6.25 6.131 6.25 16.38 0 22.51l-80.01 80.04C120.2 350.3 116.1 351.9 111.1 351.9zM267.3 331.2l-80.01 80.04c-3 3.127-7.124 4.753-11.25 4.753c-4.125 0-8.25-1.626-11.25-4.753c-6.252-6.129-6.252-16.38 0-22.51l80-80.04c6.127-6.252 16.38-6.252 22.5 0C273.5 314.8 273.6 325.1 267.3 331.2z"]],
    "shower": [512, 512, [128703], "f2cc", ["M288 320c0-17.67-14.33-32-32-32s-32 14.33-32 32c0 17.67 14.33 32 32 32S288 337.7 288 320zM320 288c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C288 273.7 302.3 288 320 288zM384 224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 209.7 366.3 224 384 224zM288 384c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C320 398.3 305.7 384 288 384zM416 256c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 270.3 433.7 256 416 256zM352 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C384 334.3 369.7 320 352 320zM480 192c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 206.3 497.7 192 480 192z", "M347.3 91.31l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0l-6.631 6.631c-35.15-26.29-81.81-29.16-119.6-8.779L170.5 61.25C132.2 22.95 63.65 18.33 21.98 71.16C7.027 90.11 0 114.3 0 138.4V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464V131.9c0-19.78 16.09-35.87 35.88-35.87c9.438 0 18.69 3.828 25.38 10.5l16.61 16.61C121.5 160.9 124.3 207.6 150.6 242.7L144 249.4c-6.248 6.248-6.248 16.38 0 22.63l11.31 11.31c6.248 6.25 16.38 6.25 22.63 0l169.4-169.4C353.6 107.7 353.6 97.56 347.3 91.31z"]],
    "shower-down": [384, 512, ["shower-alt"], "e24d", ["M122.7 418.8C118.3 425.7 96 461.1 96 477.7C96 496.6 110.3 512 127.1 512S160 496.6 160 477.7c0-16.5-22.28-51.93-26.74-58.88C130.9 415.1 125.1 415.1 122.7 418.8zM197.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C182.3 297.8 160 333.3 160 349.8c0 18.95 14.35 34.31 31.1 34.31S224 368.7 224 349.8C224 333.3 201.7 297.8 197.3 290.9zM69.26 290.9c-2.375-3.703-8.148-3.703-10.52 0C54.28 297.8 32 333.3 32 349.8c0 18.95 14.35 34.31 31.1 34.31S96 368.7 96 349.8C96 333.3 73.72 297.8 69.26 290.9zM325.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C310.3 297.8 288 333.3 288 349.8c0 18.95 14.35 34.31 31.1 34.31S352 368.7 352 349.8C352 333.3 329.7 297.8 325.3 290.9zM250.7 418.8C246.3 425.7 224 461.1 224 477.7C224 496.6 238.4 512 256 512S288 496.6 288 477.7c0-16.5-22.28-51.93-26.74-58.88C258.9 415.1 253.1 415.1 250.7 418.8z", "M368 192H352c0-77.4-54.97-141.9-128-156.8v-19.22c0-8.838-7.164-15.1-16-15.1h-32c-8.836 0-16 7.162-16 15.1v19.22C86.97 50.05 32 114.6 32 192H16C7.164 192 0 199.2 0 207.1v32c0 8.836 7.164 16 16 16h352c8.836 0 16-7.164 16-16V208C384 199.2 376.8 192 368 192z"]],
    "shredder": [512, 512, [], "f68a", ["M424 416v72C424 501.3 434.7 512 448 512s24-10.75 24-23.1V416H424zM40 488C40 501.3 50.75 512 63.1 512S88 501.3 88 488V416h-48V488zM232 488C232 501.3 242.7 512 256 512s24-10.75 24-23.1V416h-48V488zM136 488C136 501.3 146.7 512 159.1 512S184 501.3 184 488V416h-48V488zM328 488C328 501.3 338.7 512 352 512s24-10.75 24-23.1V416h-48V488zM448 192V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160h64V64h229.5L384 90.51V192H448z", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296z"]],
    "shrimp": [512, 512, [129424], "e448", ["M32.01 96c0-17.64 14.34-32 32-32h368c8.844 0 16-7.156 16-16S440.8 32 432 32h-368C28.72 32 .0055 60.7 .0055 96s28.72 64 64 64h2.879C65.13 149.6 64.01 138.9 64.01 128C46.35 128 32.01 113.6 32.01 96zM320 128h-32v192h32V128zM320.2 409.1l-.2324-.0898V480h16c5.406 0 10.72-.375 16-.8516v-68.39C342 413.1 330.9 414 320.2 409.1zM507.9 270c-2.242-11.28-5.492-22.08-9.824-32.41l-130.6 94.97c8.258 7.17 13.93 16.96 15.71 28.13L507.9 270zM368.2 401.6l81.75 36.34c8.668-7.383 16.57-15.6 23.66-24.51l-90.15-40.06C382.1 384.9 376.4 394.6 368.2 401.6z", "M352 410.8v68.39c37.23-3.363 71.05-18.3 97.96-41.21l-81.75-36.34C363.5 405.6 358 408.8 352 410.8zM288 320V128h-224c0 106 85.96 192 192 192H288zM192 216c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C216 205.3 205.3 216 192 216zM507.9 270l-124.7 90.69c.3066 1.918 .7266 3.799 .7871 5.793c.0469 1.576 .0176 3.135-.084 4.676c-.0508 .7598-.334 1.418-.4219 2.164l90.15 40.06c26.95-33.84 41.82-77.71 37.69-125.2C510.8 281.1 509.1 276.1 507.9 270zM225.2 400.5c-4.121 12.37 3.225 25.72 15.39 30.4l4.467 1.719c-12.45 1.596-22.08 12.29-20.98 25.45C225.2 470.7 236.5 480 249.2 480h70.78v-70.13l-63.38-24.28C243.9 380.8 229.6 387.4 225.2 400.5zM498.1 237.6C470.9 172.7 405.6 128 331.8 128h-11.78v192h13.99c12.67 0 24.49 4.785 33.49 12.6L498.1 237.6z"]],
    "shuffle": [512, 512, [128256, "random"], "f074", ["M112 352H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c10.06 0 19.56-4.75 25.59-12.81L224 309.3L184 256L112 352zM504.1 111l-79.1-79.98c-15.13-15.12-40.99-4.391-40.99 17V96H320c-10.06 0-19.56 4.75-25.59 12.81L224 202.7L263.1 256L336 160h47.97v48.03c0 21.39 25.87 32.09 40.1 16.97l79.1-79.98C514.4 135.6 514.3 120.4 504.1 111z", "M504.1 400.1l-79.1 79.98c-15.13 15.12-40.99 4.391-40.99-17V416H320c-10.06 0-19.56-4.75-25.59-12.81L112 160H32C14.31 160 0 145.7 0 128s14.31-32 32-32h96c10.06 0 19.56 4.75 25.59 12.81L336 352h47.97V303.1c0-21.39 25.87-32.09 40.1-16.97l79.99 79.98C514.3 376.4 514.3 391.6 504.1 400.1z"]],
    "shutters": [512, 512, [], "e449", ["M20.48 224h471c10.4 0 18.05-9.793 15.52-19.87L488 128H24L4.961 204.1C2.432 214.2 10.08 224 20.48 224zM488 256H24l-19.04 76.13C2.432 342.2 10.08 352 20.48 352h471c10.4 0 18.05-9.793 15.52-19.87L488 256zM488 384H24l-19.04 76.13C2.432 470.2 10.08 480 20.48 480h471c10.4 0 18.05-9.793 15.52-19.87L488 384z", "M512 64c0 17.66-14.34 32-32 32H32C14.34 96 0 81.66 0 64s14.34-32 32-32h448C497.7 32 512 46.34 512 64z"]],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", ["M96 128H32V80C32 53.49 53.49 32 80 32H96V128zM96 480H80C53.49 480 32 458.5 32 432V384H96V480zM128 480V380.3C144.1 375.3 158.1 365.2 168 352H405.3L245.2 448.1C210.4 468.1 170.6 480 129.1 480H128zM128 131.7V32H129.1C170.6 32 210.4 43.03 245.2 63.92L405.3 160H168C158.1 146.8 144.1 136.7 127.1 131.7H128z", "M0 168C0 145.9 17.91 128 40 128H104C130.2 128 153.4 140.6 168 160H456C525.3 160 591 182.7 635.2 241.6C641.6 250.1 641.6 261.9 635.2 270.4C591 329.3 525.3 352 456 352H168C153.4 371.4 130.2 384 104 384H40C17.91 384 0 366.1 0 344L0 168zM512 268.4V243.6C512 223.9 496.1 208 476.4 208C473.1 208 472 209.1 472 212.4V299.6C472 302 473.1 304 476.4 304C496.1 304 512 288.1 512 268.4z"]],
    "shuttlecock": [512, 512, [], "f45b", ["M31.03 330.1c-20.69 20.69-31.04 47.84-31.04 74.1c0 56.66 45.53 106 106 106c27.16 0 54.32-10.35 75.01-31.04l25.16-25.21L56.19 305.8L31.03 330.1z", "M483.1 191.1h-20c0 .8869 .0929 2.73 .0929 5.277c0 14.68-3.087 52.76-44.85 65.97l-91.14 28.75l-26.45 45.34l-77.97 36.42l-25.75-25.87l70.76-70.75l140.9-44.5c13.25-4.25 22.38-16.62 22.38-30.5V107.1c0-15.5-12.5-27.1-28.01-27.1h-94.14c-14 0-26.25 9.124-30.51 22.37L234.8 243.2L164 313.1l-25.75-25.75L174.6 210.3l45.44-26.42l28.76-91.12c13.76-43.63 54.39-44.75 68.1-44.75l2.142 .0033V27.1c0-15.37-12.63-27.1-28.01-27.1H237.3c-10.75 0-20.75 6.25-25.38 16.25l-116.5 250.2L56.19 305.8l150 149.1l39.26-39.26l250.3-116.5C505.6 295.4 512 285.5 512 274.6V219.1C512 204.6 499.4 191.1 483.1 191.1z"]],
    "sickle": [512, 512, [], "f822", ["M511.8 153.7c1.643 8.283-9.221 13.23-14.4 6.429c-12.76-16.82-29.05-30.79-47.75-40.93c-44.97-24.73-102.1-22.1-145.7 3.957c-71.5 44.14-86.28 130.3-47.37 193.9l-59.17 59.17l-64.05-63.95l25.98-25.98c-26.35-40.44-38.06-89.06-27.53-136.4C149.1 68.52 220.1 0 318 0C447.4 0 500.1 99.65 511.8 153.7z", "M129.9 308.7C123.7 302.5 113.4 302.5 107.2 308.8l-22.5 22.5c-6.25 6.25-6.25 16.5 0 22.75l2.625 2.75L9.373 434.8c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.07-78.13l2.75 2.75c6.25 6.25 16.38 6.25 22.63 0l22.63-22.62c6.252-6.251 6.248-16.39-.009-22.63L129.9 308.7z"]],
    "sidebar": [512, 512, [], "e24e", ["M512 416C512 451.3 483.3 480 448 480H224V32H448C483.3 32 512 60.65 512 96V416z", "M224 32V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H224zM88 96C74.75 96 64 106.7 64 120C64 133.3 74.75 144 88 144H136C149.3 144 160 133.3 160 120C160 106.7 149.3 96 136 96H88zM88 240H136C149.3 240 160 229.3 160 216C160 202.7 149.3 192 136 192H88C74.75 192 64 202.7 64 216C64 229.3 74.75 240 88 240zM88 288C74.75 288 64 298.7 64 312C64 325.3 74.75 336 88 336H136C149.3 336 160 325.3 160 312C160 298.7 149.3 288 136 288H88z"]],
    "sidebar-flip": [512, 512, [], "e24f", ["M0 96C0 60.65 28.65 32 64 32H288V480H64C28.65 480 0 451.3 0 416V96z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H288V32H448zM376 96C362.7 96 352 106.7 352 120C352 133.3 362.7 144 376 144H424C437.3 144 448 133.3 448 120C448 106.7 437.3 96 424 96H376zM448 216C448 202.7 437.3 192 424 192H376C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240H424C437.3 240 448 229.3 448 216zM376 288C362.7 288 352 298.7 352 312C352 325.3 362.7 336 376 336H424C437.3 336 448 325.3 448 312C448 298.7 437.3 288 424 288H376z"]],
    "sigma": [384, 512, [8721], "f68b", ["M352 480H32c-12.94 0-24.62-7.781-29.56-19.75c-4.969-11.97-2.219-25.72 6.938-34.88l169.4-169.4L9.375 86.64C.2188 77.48-2.531 63.73 2.438 51.76C7.375 39.8 19.06 32.01 32 32.01h320c17.69 0 32 14.31 32 32v64c0 17.69-14.31 31.1-32 31.1S320 145.7 320 128v-32H109.3l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25l-137.4 137.4H320v-32c0-17.69 14.31-32 31.1-32S384 366.3 384 384v64C384 465.7 369.7 480 352 480z", ""]],
    "sign-hanging": [512, 512, ["sign"], "f4d9", ["M128 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V64z", "M160 192C160 174.3 174.3 160 192 160H448C465.7 160 480 174.3 480 192V352C480 369.7 465.7 384 448 384H192C174.3 384 160 369.7 160 352V192z"]],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", ["", "M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM544 0c-17.67 0-32 14.33-32 31.1V480C512 497.7 526.3 512 544 512s32-14.33 32-31.1V31.1C576 14.33 561.7 0 544 0z"]],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", ["", "M240 256C213.6 256 192 277.6 192 303.1v160C192 490.4 213.6 512 239.1 512S288 490.4 288 464V303.1C288 277.6 266.4 256 240 256zM80 384C53.6 384 32 405.6 32 431.1v32C32 490.4 53.6 512 79.1 512S128 490.4 128 464v-32C128 405.6 106.4 384 80 384zM400 128C373.6 128 352 149.6 352 175.1v288C352 490.4 373.6 512 399.1 512C426.4 512 448 490.4 448 464V175.1C448 149.6 426.4 128 400 128zM560 0C533.6 0 512 21.6 512 47.1v416C512 490.4 533.6 512 559.1 512S608 490.4 608 464V47.1C608 21.6 586.4 0 560 0z"]],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", ["M368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", ["M528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", ["M351.1 463.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-16.19l-96-75.24V463.1zM80 383.1c-26.4 0-48 21.6-48 48v31.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-31.1C128 405.6 106.4 383.1 80 383.1zM399.1 127.1c-26.4 0-48 21.6-48 48v74.58l96 75.24V175.1C447.1 149.6 426.4 127.1 399.1 127.1zM559.1 0c-26.4 0-48 21.6-48 48v327.1l96 75.24V48C607.1 21.6 586.4 0 559.1 0zM192 304v160C192 490.4 213.6 512 240 512S288 490.4 288 464v-141.4L213.4 264.1C200.5 272.8 192 287.4 192 304z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.187 42.89c-10.44-8.172-12.26-23.26-4.068-33.7C9.839 3.158 16.91 0 24.03 0c5.156 0 10.38 1.673 14.78 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", ["M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-fair": [576, 512, ["signal-2"], "f68d", ["M288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 287.1 512S320 497.7 320 480V223.1C320 206.3 305.7 192 288 192zM416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"]],
    "signal-good": [576, 512, ["signal-3"], "f68e", ["M416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"]],
    "signal-slash": [640, 512, [], "f695", ["M192 287.1c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-159.1C224 302.3 209.7 287.1 192 287.1zM288 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-107.4l-64-50.16V480zM64 383.1c-17.67 0-32 14.32-32 31.1v63.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.1C96 398.3 81.67 383.1 64 383.1zM320 192C309.3 192 300.4 197.5 294.6 205.6L352 250.6V224C352 206.3 337.7 192 320 192zM575.1 0c-17.67 0-32 14.33-32 32v369.1l64 50.16V32C607.1 14.33 593.7 0 575.1 0zM416 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-7.102l-64-50.16V480zM448 96c-17.67 0-32 14.33-32 32v172.7l64 50.16V128C480 110.3 465.7 96 448 96z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "signal-stream": [576, 512, [], "f8dd", ["M64 256c0-51.5 16.98-99.91 49.13-139.1c11.05-13.78 8.844-33.94-4.953-45c-13.75-10.97-33.89-8.812-44.98 4.938C22.44 126.8 0 190.7 0 256c0 65.28 22.44 129.2 63.19 180C69.52 443.9 78.8 448 88.17 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C80.98 355.9 64 307.5 64 256zM512.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C495 156.1 512 204.5 512 256c0 51.5-16.98 99.91-49.13 139.1c-11.05 13.78-8.844 33.94 4.953 45C473.7 445.7 480.8 448 487.8 448c9.375 0 18.66-4.094 24.98-11.97C553.6 385.2 576 321.3 576 256C576 190.7 553.6 126.8 512.8 75.96zM392.3 149.1c-9.962 8.75-10.95 23.91-2.19 33.87c34.97 39.78 34.97 104.5 0 144.3c-8.758 9.969-7.772 25.12 2.19 33.87c4.567 3.1 10.21 5.969 15.84 5.969c6.678 0 13.32-2.75 18.06-8.156c50.33-57.25 50.33-150.4 0-207.7C417.4 142.2 402.3 141.2 392.3 149.1zM183.7 149.1C173.8 141.2 158.6 142.2 149.8 152.2c-50.33 57.25-50.33 150.4 0 207.7c4.739 5.406 11.39 8.156 18.06 8.156c5.614 0 11.28-1.969 15.84-5.969c9.962-8.75 10.95-23.91 2.19-33.87c-34.97-39.78-34.97-104.5 0-144.3C194.7 173.9 193.7 158.7 183.7 149.1z", "M288 200C257.1 200 232 225.1 232 256S257.1 312 288 312S344 286.9 344 256S318.9 200 288 200z"]],
    "signal-stream-slash": [640, 512, [], "e250", ["M96 256c0-25.75 4.246-50.72 12.51-74.26L56.21 140.8C40.45 176.9 32 216.2 32 256c0 65.28 22.44 129.2 63.19 180C101.5 443.9 110.8 448 120.2 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C112.1 355.9 96 307.5 96 256zM192.4 247.5L150 214.3c-12.1 49.99-2.779 106.2 31.83 145.6C186.6 365.3 193.2 368 199.9 368c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.191-33.88C198.6 306.1 190.3 276.4 192.4 247.5zM424.3 149.1c-9.963 8.75-10.95 23.91-2.191 33.88c31.01 35.27 34.38 90.09 10.41 129.8l37.66 29.51c37.48-57.45 33.8-138.9-11.97-191C449.4 142.2 434.3 141.2 424.3 149.1zM544.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C527 156.1 544 204.5 544 256c0 42.57-12.22 82.73-34.4 118.1l51.02 39.99C591.3 367.4 608 312.2 608 256C608 190.7 585.6 126.8 544.8 75.96zM320 200c-8.949 0-17.3 2.307-24.81 6.057l79.36 62.2C375.4 264.3 376 260.2 376 256C376 225.1 350.9 200 320 200z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.191c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.187C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "signal-strong": [576, 512, ["signal-4"], "f68f", ["M544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"]],
    "signal-weak": [576, 512, ["signal-1"], "f68c", ["M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 159.1 512S192 497.7 192 480V319.1C192 302.3 177.7 288 160 288zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 287.1 512S320 497.7 320 480V223.1C320 206.3 305.7 192 288 192zM416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"]],
    "signature": [640, 512, [], "f5b7", ["M64 407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H64V407.5zM305.9 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H283.5C291.7 400.3 299.2 384.3 305.9 368z", "M224 96C206.3 96 192 110.3 192 128V160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H416C405.7 319.1 396.1 315.1 390 306.7C384 298.4 382.4 287.6 385.6 277.9L398.1 240.4L303.7 268.7C291.9 321.5 272.2 372.2 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7L248.9 218.3C253.6 191.1 256 163.5 256 135.8V128C256 110.3 241.7 96 224 96L224 96zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3z"]],
    "signature-lock": [640, 512, [], "e3ca", ["M128 96C110.3 96 96 110.3 96 128V160C96 177.7 81.67 192 64 192C46.33 192 32 177.7 32 160V128C32 74.98 74.98 32 128 32C181 32 224 74.98 224 128V135.8C224 156.6 222.8 177.4 220.4 198.1L342.8 161.3C354.2 157.9 366.6 161.1 374.1 169.7C383.3 178.3 386.1 190.8 382.4 202.1L364.4 255.1H417.1C416.4 261.2 416 266.6 416 271.1V296.6C406.3 302.2 398.2 310.3 392.6 319.1H320C309.7 319.1 300.1 315.1 294 306.7C288 298.4 286.4 287.6 289.6 277.9L302.1 240.4L207.7 268.7C195.9 321.5 176.2 372.2 149.3 419.2L135.4 443.5C122.5 466.1 98.51 480 72.5 480C32.46 480 0 447.5 0 407.5V335.6C0 293.2 27.81 255.8 68.41 243.7L152.9 218.3C157.6 191.1 160 163.5 160 135.8V128C160 110.3 145.7 96 128 96V96zM135.8 290.3L86.81 304.1C73.27 309 64 321.5 64 335.6V407.5C64 412.2 67.81 416 72.5 416C75.55 416 78.36 414.4 79.88 411.7L93.76 387.4C111.3 356.6 125.4 324.1 135.8 290.3V290.3zM384 416H187.5C195.7 400.3 203.2 384.3 209.9 368H384V416z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "signature-slash": [640, 512, [], "e3cb", ["M501.8 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H563L501.8 368zM385.9 277.1L398.1 240.4L355.3 253.2L254.5 174.1C255.5 161.4 255.1 148.6 255.1 135.8V128C255.1 110.3 241.7 96 223.1 96C207.2 96 193.5 108.9 192.1 125.3L138.9 83.55C154.9 52.91 187 32 223.1 32C277 32 319.1 74.98 319.1 128V135.8C319.1 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H440.6L385.9 277.1zM164.4 243.7L181.1 238.7L288.4 323.3C277.2 356.5 262.8 388.6 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7V243.7zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3zM24 368H64V407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "signs-post": [512, 512, ["map-signs"], "f277", ["M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V64H224V32zM288 192V224H224V192H288zM256 512C238.3 512 224 497.7 224 480V352H288V480C288 497.7 273.7 512 256 512z", "M441.4 64C445.6 64 449.7 65.69 452.7 68.69L500.7 116.7C506.9 122.9 506.9 133.1 500.7 139.3L452.7 187.3C449.7 190.3 445.6 192 441.4 192H63.1C46.33 192 31.1 177.7 31.1 160V96C31.1 78.33 46.33 64 63.1 64L441.4 64zM448 224C465.7 224 480 238.3 480 256V320C480 337.7 465.7 352 448 352H70.63C66.38 352 62.31 350.3 59.31 347.3L11.31 299.3C5.065 293.1 5.065 282.9 11.31 276.7L59.31 228.7C62.31 225.7 66.38 223.1 70.63 223.1L448 224z"]],
    "sim-card": [384, 512, [], "f7c4", ["M256 0H64C28.75 0 0 28.75 0 64v384c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V128L256 0zM320 416c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V416z", "M64 416c0 17.75 14.25 32 32 32h32v-64H64V416zM128 192H96C78.25 192 64 206.3 64 224v32h64V192zM224 192H160v64h64V192zM160 448h64v-64H160V448zM288 192h-32v64h64V224C320 206.3 305.8 192 288 192zM64 352h256V288H64V352zM256 448h32c17.75 0 32-14.25 32-32v-32h-64V448z"]],
    "sim-cards": [448, 512, [], "e251", ["M336 0H160C124.8 0 96 28.75 96 64v288c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V112L336 0zM384 320c0 17.75-14.25 32-32 32H192c-17.75 0-32-14.25-32-32V176c0-17.75 14.25-32 32-32h160c17.75 0 32 14.25 32 32V320z", "M192 352h16V304H160V320C160 337.8 174.3 352 192 352zM208 144H192c-17.75 0-32 14.25-32 32V192h48V144zM304 144h-64V192h64V144zM240 304V352h64V304H240zM336 352H352c17.75 0 32-14.25 32-32V304h-48V352zM352 144h-16V192H384V176C384 158.3 369.8 144 352 144zM160 272h224V224H160V272zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "sink": [512, 512, [], "e06d", ["M32 416c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-32H32V416zM496 288h-480c-8.836 0-16 7.164-16 16v32c0 8.836 7.164 16 16 16h480c8.836 0 16-7.164 16-16V304C512 295.2 504.8 288 496 288z", "M352 112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-16c0-59.2-53.85-106-115.1-94.14C255.3 10.71 224 53.36 224 99.79v188.2h64v-192c0-17.64 14.36-32 32-32s32 14.36 32 32V112zM128 208L48 208c-8.836 0-16 7.162-16 16v15.1C32 248.8 39.16 256 48 256l64-.0002V288L160 288V240C160 222.3 145.7 208 128 208zM464 208L384 208c-17.67 0-32 14.33-32 32v47.1L400 288V256l64 .0002c8.838 0 16-7.164 16-15.1v-15.1C480 215.2 472.8 208 464 208z"]],
    "siren": [448, 512, [], "e02d", ["M128.3 166.1c.25-2.125 1.375-4.125 3-5.375c1.75-1.25 3.875-1.875 6-1.5L153.1 162.2c2 .25 4 1.375 5.25 3C159.6 166.1 160.3 169.1 160 171.2L135.9 352H400l-25-200c-4-31.1-31.25-55.1-63.5-55.1h-175c-32.25 0-59.5 24-63.5 55.1L48 352h55.5L128.3 166.1z", "M424 352H24C10.75 352 0 362.7 0 376v79.1c0 13.25 10.75 24 24 24h400c13.25 0 24-10.75 24-24V376C448 362.7 437.3 352 424 352z"]],
    "siren-on": [640, 512, [], "e02e", ["M224.3 167.2c.25-2.123 1.375-4.121 3-5.371c1.75-1.248 3.875-1.873 6-1.498l15.88 2.123c2 .25 4 1.373 5.25 2.998C255.6 167.2 256.3 169.4 256 171.5l-24.12 180.6H496l-25-199.8c-4-31.97-31.25-56.06-63.5-56.06h-175c-32.25 0-59.5 24.08-63.5 56.06L144 352.1h55.5L224.3 167.2z", "M536 112.2c4.75 0 9.375-1.374 13.25-3.997l48-31.98c7.375-4.621 11.62-12.76 11.12-21.5c-.5-8.744-5.625-16.49-13.5-20.23c-7.75-3.748-17-2.998-24.12 1.873l-48 31.97c-8.875 5.871-12.75 16.76-9.625 26.88C516.1 105.2 525.5 112.2 536 112.2zM90.75 108.2C97.88 113.2 107.1 114.1 115 110.2C122.9 106.4 128 98.7 128.5 89.95C129 81.21 124.8 73.07 117.3 68.45l-48-31.97C62.13 31.35 52.88 30.6 45 34.35C37.13 38.22 32 45.97 31.5 54.71C31 63.45 35.25 71.59 42.75 76.21L90.75 108.2zM112 224.1c0-13.24-10.75-23.99-24-23.99h-64c-13.25 0-24 10.71-24 23.95s10.75 24.03 24 24.03h64C101.3 248.1 112 237.4 112 224.1zM616 200.1h-64c-13.25 0-24 10.75-24 23.99s10.75 23.99 24 23.99h64c13.25 0 24-10.79 24-24.03S629.3 200.1 616 200.1zM520 352H120C106.7 352 96 362.7 96 376v80C96 469.3 106.7 480 120 480h400c13.25 0 24-10.75 24-24v-80C544 362.7 533.3 352 520 352z"]],
    "sitemap": [576, 512, [], "f0e8", ["M112 280C107.6 280 104 283.6 104 288V320H56V288C56 257.1 81.07 232 112 232H264V192H312V232H464C494.9 232 520 257.1 520 288V320H472V288C472 283.6 468.4 280 464 280H312V320H264V280H112z", "M208 80C208 53.49 229.5 32 256 32H320C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H256C229.5 192 208 170.5 208 144V80zM112 320C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H112zM320 320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H320zM528 320C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H528z"]],
    "skeleton": [512, 512, [], "f620", ["M224 160H16C7.125 160 0 167.1 0 176v32C0 216.9 7.125 224 16 224H224V160zM432 256H288v64h144c8.875 0 16-7.125 16-16v-32C448 263.1 440.9 256 432 256zM80 128H224V64H80C71.13 64 64 71.13 64 80v32C64 120.9 71.13 128 80 128zM448 112v-32C448 71.13 440.9 64 432 64H288v64h144C440.9 128 448 120.9 448 112zM64 272v32C64 312.9 71.13 320 80 320H224V256H80C71.13 256 64 263.1 64 272zM399.9 352H112.1c-37.31 0-60.36 40.7-41.16 72.7l43.06 71.77C119.8 506.1 130.2 512 141.4 512h229.2c11.24 0 21.66-5.898 27.44-15.54l43.06-71.77C460.3 392.7 437.2 352 399.9 352zM200 464c-13.25 0-24-10.75-24-24S186.7 416 200 416S224 426.7 224 440S213.3 464 200 464zM312 464c-13.25 0-24-10.75-24-24S298.7 416 312 416s24 10.75 24 24S325.3 464 312 464zM496 160H288v64h208C504.9 224 512 216.9 512 208v-32C512 167.1 504.9 160 496 160z", "M288 16V352H224V16C224 7.125 231.1 0 240 0h32C280.9 0 288 7.125 288 16z"]],
    "ski-boot": [512, 512, [], "e3cc", ["M207.2 120.1L233.6 32l-118.4 .1221c-15.25 0-28.39 10.76-31.38 25.72L37 291.9C117.2 266.8 182.1 203.7 207.2 120.1zM480 448L5.777 448l-5.145 25.73c-.4275 2.137-.6324 4.257-.6324 6.342C.0004 497.3 13.1 512 32.01 512H480c17.67 0 32-14.32 32-31.99C512 462.3 497.7 448 480 448z", "M480 373.7v74.33L5.777 448l31.22-156.1c80.16-25.11 145.1-88.19 170.2-171.8L233.6 32l107.2 .159l4.147-14.97c3.003-10.54 12.62-17.27 23.09-17.27c18.01 0 24.02 16.29 24.02 23.99c0 2.172-.2718 4.288-.895 6.48l-36.92 129.7L272 160C263.2 160 256 167.2 256 175.1C256 184.8 263.2 192 272 192l73.09 .082l-9.01 31.66L328 256.1L256 256C247.2 256 240 263.2 240 272C240 280.8 247.2 288 256 288l64.16 .0923l139.7 55.89C472 348.8 480 360.6 480 373.7z"]],
    "ski-boot-ski": [640, 512, [], "e3cd", ["M256.8 95.35L275.8 32L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59L118.4 235.7C183.6 214.1 236.3 163.5 256.8 95.35zM616 384c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56h-512C10.75 464 0 474.8 0 488S10.75 512 24 512h512c57.34 0 104-46.66 104-104C640 394.8 629.3 384 616 384z", "M480 306.8v77.25c0 17.67-14.33 31.1-32 31.1L120.7 416c-18.02 0-32.01-14.71-32.01-31.93c0-2.13 .2139-4.298 .6606-6.481l29.02-141.9c65.2-20.73 117.9-72.23 138.4-140.3L275.8 32h88.98l4.146-14.56c3.005-10.55 12.63-17.44 23.11-17.44c17.95 0 23.1 16.12 23.1 23.99c0 2.17-.2972 4.377-.9204 6.569L385.7 128H336C327.2 128 320 135.2 320 144C320 152.8 327.2 160 336 160h40.1l-14.46 48H320C311.2 208 304 215.2 304 224c0 8.836 7.164 16 16 16h32l107.9 37.04C472 281.9 480 293.7 480 306.8z"]],
    "skull": [512, 512, [128128], "f54c", ["M416 400V464C416 490.5 394.5 512 368 512H320V464C320 455.2 312.8 448 304 448C295.2 448 288 455.2 288 464V512H224V464C224 455.2 216.8 448 208 448C199.2 448 192 455.2 192 464V512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9C415.1 399.3 416 399.6 416 400V400zM160 192C124.7 192 96 220.7 96 256C96 291.3 124.7 320 160 320C195.3 320 224 291.3 224 256C224 220.7 195.3 192 160 192zM352 320C387.3 320 416 291.3 416 256C416 220.7 387.3 192 352 192C316.7 192 288 220.7 288 256C288 291.3 316.7 320 352 320z", "M96 256C96 220.7 124.7 192 160 192C195.3 192 224 220.7 224 256C224 291.3 195.3 320 160 320C124.7 320 96 291.3 96 256zM288 256C288 220.7 316.7 192 352 192C387.3 192 416 220.7 416 256C416 291.3 387.3 320 352 320C316.7 320 288 291.3 288 256z"]],
    "skull-cow": [640, 512, [], "f8de", ["M576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.0479 604.5 6.006L611.1 15.33C630.1 38.04 640 66.44 640 95.47C640 166.1 582.8 224 512 224H480V175.1C480 157.1 474.1 141.4 464 128H534.1C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06zM160 175.1V224H128C57.21 224 0 166.1 0 95.47C0 66.44 9.875 38.04 28.05 15.33L35.51 6.006C40.35-.0482 48.84-1.759 55.65 1.946C62.46 5.651 65.63 13.71 63.18 21.06L52.04 54.48C49.55 61.95 48.67 69.86 49.45 77.7C52.31 106.3 76.33 128 105 128H175.1C165.1 141.4 160 157.1 160 175.1z", "M400 96C444.2 96 480 131.8 480 176V288C480 325 454.8 356.2 420.7 365.3L393.1 475.6C387.7 497 368.5 512 346.5 512H293.5C271.5 512 252.3 497 246.9 475.6L219.3 365.3C185.2 356.2 160 325 160 288V176C160 131.8 195.8 96 240 96H400zM255.1 224C238.3 224 223.1 238.3 223.1 256C223.1 273.7 238.3 288 255.1 288C273.7 288 287.1 273.7 287.1 256C287.1 238.3 273.7 224 255.1 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288z"]],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", ["M223.1 348.2L401.7 259.4C417.5 251.5 436.7 257.9 444.6 273.7C452.5 289.5 446.1 308.7 430.3 316.6L295.6 384L430.3 451.4C446.1 459.3 452.5 478.5 444.6 494.3C436.7 510.1 417.5 516.5 401.7 508.6L223.1 419.8L46.31 508.6C30.5 516.5 11.28 510.1 3.378 494.3C-4.526 478.5 1.881 459.3 17.69 451.4L152.4 384L17.69 316.6C1.881 308.7-4.526 289.5 3.378 273.7C11.28 257.9 30.5 251.5 46.31 259.4L223.1 348.2z", "M304 256C304 273.7 289.7 288 272 288H176C158.3 288 144 273.7 144 256V234.4C105.4 211.5 80 172.4 80 128C80 57.31 144.5 0 224 0C303.5 0 368 57.31 368 128C368 172.4 342.6 211.5 304 234.4V256zM168 112C150.3 112 136 126.3 136 144C136 161.7 150.3 176 168 176C185.7 176 200 161.7 200 144C200 126.3 185.7 112 168 112zM280 176C297.7 176 312 161.7 312 144C312 126.3 297.7 112 280 112C262.3 112 248 126.3 248 144C248 161.7 262.3 176 280 176z"]],
    "slash": [640, 512, [], "f715", ["", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "slash-back": [320, 512, [], "5c", ["M288 512c-11.12 0-21.91-5.781-27.81-16.12l-256-448c-8.781-15.34-3.438-34.89 11.91-43.66C31.47-4.594 51 .7656 59.78 16.12l256 448c8.781 15.34 3.438 34.89-11.91 43.66C298.9 510.6 293.4 512 288 512z", ""]],
    "slash-forward": [320, 512, [], "2f", ["M31.97 512c-5.375 0-10.84-1.359-15.84-4.219c-15.34-8.766-20.69-28.31-11.91-43.66l256-448c8.75-15.36 28.28-20.72 43.66-11.91c15.34 8.766 20.69 28.31 11.91 43.66l-256 448C53.88 506.2 43.09 512 31.97 512z", ""]],
    "sleigh": [640, 512, [], "f7cc", ["M608 352C625.7 352 640 366.3 640 384V392C640 440.6 600.6 480 552 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H552C565.3 416 576 405.3 576 392V384C576 366.3 590.3 352 608 352z", "M0 64C0 46.33 14.33 32 32 32H64C66.31 32 68.56 32.24 70.74 32.71C124.1 37.61 174.2 67.59 203.4 114.3L207.7 121.1C247.7 185.1 317.8 224 393.3 224C423.5 224 448 199.5 448 169.3V128C448 110.3 462.3 96 480 96H544C561.7 96 576 110.3 576 128C576 145.7 561.7 160 544 160V256C544 309 501 352 448 352V416H384V352H192V416H128V352C74.98 352 32 309 32 256V96C14.33 96 .0003 81.67 .0003 64H0z"]],
    "slider": [512, 512, [], "e252", ["M32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H224V288H32zM416 288V224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H416z", "M352 96C387.3 96 416 124.7 416 160V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 160H320V352H352V160z"]],
    "sliders": [512, 512, ["sliders-h"], "f1de", ["M0 416C0 398.3 14.33 384 32 384H86.66C82.38 393.8 80 404.6 80 416C80 427.4 82.38 438.2 86.66 448H32C14.33 448 0 433.7 0 416zM240 416C240 404.6 237.6 393.8 233.3 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H233.3C237.6 438.2 240 427.4 240 416V416zM0 256C0 238.3 14.33 224 32 224H278.7C274.4 233.8 272 244.6 272 256C272 267.4 274.4 278.2 278.7 288H32C14.33 288 0 273.7 0 256V256zM432 256C432 244.6 429.6 233.8 425.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H425.3C429.6 278.2 432 267.4 432 256zM118.7 64C114.4 73.8 112 84.62 112 96C112 107.4 114.4 118.2 118.7 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H118.7zM265.3 128C269.6 118.2 272 107.4 272 96C272 84.62 269.6 73.8 265.3 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H265.3z", "M160 496C115.8 496 80 460.2 80 416C80 371.8 115.8 336 160 336C204.2 336 240 371.8 240 416C240 460.2 204.2 496 160 496zM192 416C192 398.3 177.7 384 160 384C142.3 384 128 398.3 128 416C128 433.7 142.3 448 160 448C177.7 448 192 433.7 192 416zM352 336C307.8 336 272 300.2 272 256C272 211.8 307.8 176 352 176C396.2 176 432 211.8 432 256C432 300.2 396.2 336 352 336zM384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256zM192 16C236.2 16 272 51.82 272 96C272 140.2 236.2 176 192 176C147.8 176 112 140.2 112 96C112 51.82 147.8 16 192 16zM160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96z"]],
    "sliders-simple": [512, 512, [], "e253", ["M325.5 192H32C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128H325.5C321.9 138 320 148.8 320 160C320 171.2 321.9 181.1 325.5 192zM192 352C192 340.8 190.1 330 186.5 320H480C497.7 320 512 334.3 512 352C512 369.7 497.7 384 480 384H186.5C190.1 373.1 192 363.2 192 352z", "M512 160C512 213 469 256 416 256C362.1 256 320 213 320 160C320 106.1 362.1 64 416 64C469 64 512 106.1 512 160zM416 128C398.3 128 384 142.3 384 160C384 177.7 398.3 192 416 192C433.7 192 448 177.7 448 160C448 142.3 433.7 128 416 128zM96 256C149 256 192 298.1 192 352C192 405 149 448 96 448C42.98 448 0 405 0 352C0 298.1 42.98 256 96 256zM64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352z"]],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", ["M96 0C113.7 0 128 14.33 128 32V86.66C118.2 82.38 107.4 80 96 80C84.62 80 73.8 82.38 64 86.66V32C64 14.33 78.33 0 96 0V0zM96 240C107.4 240 118.2 237.6 128 233.3V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V233.3C73.8 237.6 84.62 240 96 240zM256 0C273.7 0 288 14.33 288 32V278.7C278.2 274.4 267.4 272 256 272C244.6 272 233.8 274.4 224 278.7V32C224 14.33 238.3 0 256 0V0zM256 432C267.4 432 278.2 429.6 288 425.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V425.3C233.8 429.6 244.6 432 256 432zM448 118.7C438.2 114.4 427.4 112 416 112C404.6 112 393.8 114.4 384 118.7V32C384 14.33 398.3 0 416 0C433.7 0 448 14.33 448 32V118.7zM384 265.3C393.8 269.6 404.6 272 416 272C427.4 272 438.2 269.6 448 265.3V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V265.3z", "M16 160C16 115.8 51.82 80 96 80C140.2 80 176 115.8 176 160C176 204.2 140.2 240 96 240C51.82 240 16 204.2 16 160zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM176 352C176 307.8 211.8 272 256 272C300.2 272 336 307.8 336 352C336 396.2 300.2 432 256 432C211.8 432 176 396.2 176 352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM496 192C496 236.2 460.2 272 416 272C371.8 272 336 236.2 336 192C336 147.8 371.8 112 416 112C460.2 112 496 147.8 496 192zM416 160C398.3 160 384 174.3 384 192C384 209.7 398.3 224 416 224C433.7 224 448 209.7 448 192C448 174.3 433.7 160 416 160z"]],
    "slot-machine": [640, 512, [], "e3ce", ["M448 96H64C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM166.6 208.1l-40 112C123.1 329.9 113.8 336 104 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L109.9 224H80C66.75 224 56 213.3 56 200S66.75 176 80 176h64c7.812 0 15.12 3.781 19.62 10.19C168.1 192.6 169.2 200.7 166.6 208.1zM310.6 208.1l-40 112C267.1 329.9 257.8 336 248 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L253.9 224H224C210.8 224 200 213.3 200 200S210.8 176 224 176h64c7.812 0 15.12 3.781 19.62 10.19C312.1 192.6 313.2 200.7 310.6 208.1zM454.6 208.1l-40 112C411.1 329.9 401.8 336 392 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L397.9 224H368c-13.25 0-24-10.75-24-24S354.8 176 368 176h64c7.812 0 15.12 3.781 19.62 10.19C456.1 192.6 457.2 200.7 454.6 208.1z", "M592 128C565.5 128 544 149.5 544 176c0 14.16 6.246 26.76 16 35.54V416c0 17.66-14.34 32-32 32H448v-32H64v32c0 35.35 28.65 64 64 64h400c52.94 0 96-43.06 96-96V211.5C633.8 202.8 640 190.2 640 176C640 149.5 618.5 128 592 128zM384 0H128C92.65 0 64 28.65 64 64h384C448 28.65 419.3 0 384 0z"]],
    "smog": [640, 512, [], "f75f", ["M136 464H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512H136C149.2 512 160 501.2 160 488S149.2 464 136 464zM616 368h-528C74.8 368 64 378.8 64 391.1S74.8 416 87.1 416h528c13.2 0 24-10.8 24-23.1S629.2 368 616 368zM552 464H231.1C218.8 464 208 474.8 208 487.1S218.8 512 231.1 512H552c13.2 0 24-10.8 24-23.1S565.2 464 552 464z", "M144 288h156.1C322.6 307.8 351.8 320 384 320s61.25-12.25 83.88-32H528C589.9 288 640 237.9 640 176s-50.13-112-112-112c-18 0-34.75 4.625-49.75 12.12C453.1 30.1 406.8 0 352 0c-41 0-77.75 17.25-104 44.75C221.8 17.25 185 0 144 0c-79.5 0-144 64.5-144 144S64.5 288 144 288z"]],
    "smoke": [640, 512, [], "f760", ["M320 96c26.25 0 52 6.75 75.13 19.25c9.25-10.25 20.12-18.5 31.62-25.88C403.8 54.88 364.6 32 320 32C288.4 32 259.9 43.88 237.6 62.75C215.3 25.25 174.8 0 128 0C57.25 0 0 57.25 0 128c0 38.25 17.12 72.13 43.75 95.63C72.25 203.8 106.8 192 144 192c9.875 0 19.5 .875 29.12 2.5C197.3 136.8 253.8 96 320 96zM512 96c-46.75 0-87.25 25.25-109.6 62.75C380.1 139.9 351.6 128 320 128C268.3 128 224.1 158.8 203.9 202.8C219.5 208.5 234.5 216.3 248 226.3C277.1 204 313.1 192 352 192c54.88 0 105.1 25.88 139 69.13C503.1 257.8 515.5 256 528 256c35.5 0 67.63 13.38 92.75 34.75C632.8 271.3 640 248.6 640 224C640 153.3 582.8 96 512 96z", "M528 288c-18 0-34.75 4.625-49.75 12.12C453.1 254.1 406.8 224 352 224C311 224 274.3 241.3 248 268.8C221.8 241.3 185 224 144 224C64.5 224 0 288.5 0 368S64.5 512 144 512h384c61.88 0 112-50.13 112-112S589.9 288 528 288z"]],
    "smoking": [640, 512, [128684], "f48d", ["M553.3 87.13C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22 10.25 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.3 607.6 123.5 553.3 87.13zM487.8 141.6C463.8 125 448 99.25 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.6 156 444.3 181.1C466.8 196.8 480 222.3 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8C544 206.4 523 166.3 487.8 141.6z", "M432 352h-384C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h384c8.75 0 16-7.25 16-16v-128C448 359.3 440.8 352 432 352zM400 464H224v-64h176V464zM536 352h-48C483.6 352 480 355.6 480 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C544 355.6 540.4 352 536 352zM632 352h-48C579.6 352 576 355.6 576 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C640 355.6 636.4 352 632 352z"]],
    "snake": [512, 512, [128013], "f716", ["M192 64V112C192 120.8 184.8 128 176 128C167.2 128 160 120.8 160 112V64.88C165.3 64.3 170.6 64 176 64H192zM288 64V112C288 120.8 280.8 128 272 128C263.2 128 256 120.8 256 112V64H288zM81.22 420.9C86.05 419.3 90.99 418.1 96 417.3V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V426.7L81.22 420.9zM192 416V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464V416H192zM288 416V464C288 472.8 280.8 480 272 480C263.2 480 256 472.8 256 464V416H288zM350.9 392.3L379.3 420.7C385.6 426.9 385.6 437.1 379.3 443.3C373.1 449.6 362.9 449.6 356.7 443.3L328.3 414.9C339.3 411.1 347.1 403.3 350.9 392.3zM328.3 353.1L356.7 324.7C362.9 318.4 373.1 318.4 379.3 324.7C385.6 330.9 385.6 341.1 379.3 347.3L350.9 375.7C347.1 364.7 339.3 356 328.3 353.1zM256 352V304C256 295.2 263.2 288 272 288C280.8 288 288 295.2 288 304V352H256zM176 352C170.6 352 165.3 351.7 160 351.1V304C160 295.2 167.2 288 176 288C184.8 288 192 295.2 192 304V352H176zM63.49 297.9L84.69 276.7C90.93 270.4 101.1 270.4 107.3 276.7C113.6 282.9 113.6 293.1 107.3 299.3L86.12 320.5C77.76 313.8 70.17 306.2 63.49 297.9zM32 208C32 202.6 32.3 197.3 32.88 192H80C88.84 192 96 199.2 96 208C96 216.8 88.84 224 80 224H32.88C32.3 218.7 32 213.4 32 208zM107.3 116.7C113.6 122.9 113.6 133.1 107.3 139.3C101.1 145.6 90.93 145.6 84.69 139.3L63.49 118.1C70.17 109.8 77.76 102.2 86.12 95.49L107.3 116.7z", "M403.6 25.79L483.4 65.69C500.9 74.46 512 92.39 512 111.1C512 131.6 500.9 149.5 483.4 158.3L403.6 198.2C372.8 213.6 335.6 207.6 311.2 183.2L288 159.1H176C149.5 159.1 128 181.5 128 207.1C128 234.5 149.5 255.1 176 255.1H320C390.7 255.1 448 313.3 448 384C448 454.7 390.7 512 320 512H176L175.9 512H111.6C101.3 512 91.01 510.3 81.22 507.1L15.18 485.1C6.114 482 0 473.6 0 464C0 454.4 6.114 445.1 15.18 442.9L64 426.7V464C64 472.8 71.16 480 80 480C88.84 480 96 472.8 96 464V417.3C101.1 416.4 106.4 416 111.6 416H160V464C160 472.8 167.2 480 176 480C184.8 480 192 472.8 192 464V416H256V464C256 472.8 263.2 480 272 480C280.8 480 288 472.8 288 464V416H320C322.9 416 325.6 415.6 328.3 414.9L356.7 443.3C362.9 449.6 373.1 449.6 379.3 443.3C385.6 437.1 385.6 426.9 379.3 420.7L350.9 392.3C351.6 389.6 352 386.9 352 384C352 381.1 351.6 378.4 350.9 375.7L379.3 347.3C385.6 341.1 385.6 330.9 379.3 324.7C373.1 318.4 362.9 318.4 356.7 324.7L328.3 353.1C325.6 352.4 322.9 352 320 352H288V304C288 295.2 280.8 288 272 288C263.2 288 255.1 295.2 255.1 304V352H191.1V304C191.1 295.2 184.8 288 175.1 288C167.2 288 159.1 295.2 159.1 304V351.1C132.2 348.1 106.8 337.1 86.12 320.5L107.3 299.3C113.6 293.1 113.6 282.9 107.3 276.7C101.1 270.4 90.93 270.4 84.69 276.7L63.49 297.9C46.92 277.2 35.95 251.8 32.88 224H79.1C88.84 224 95.1 216.8 95.1 208C95.1 199.2 88.84 192 79.1 192H32.88C35.95 164.2 46.92 138.8 63.49 118.1L84.69 139.3C90.93 145.6 101.1 145.6 107.3 139.3C113.6 133.1 113.6 122.9 107.3 116.7L86.12 95.49C106.8 78.92 132.2 67.95 159.1 64.88V112C159.1 120.8 167.2 128 175.1 128C184.8 128 191.1 120.8 191.1 112V63.1H255.1V112C255.1 120.8 263.2 128 272 128C280.8 128 288 120.8 288 112V63.1L311.2 40.77C335.6 16.42 372.8 10.39 403.6 25.79L403.6 25.79zM368 96C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64C359.2 64 352 71.16 352 80C352 88.84 359.2 96 368 96zM368 128C359.2 128 352 135.2 352 144C352 152.8 359.2 160 368 160C376.8 160 384 152.8 384 144C384 135.2 376.8 128 368 128V128z"]],
    "snooze": [448, 512, [128164, "zzz"], "f880", ["M303.1 176v-32c0-8.875-7.125-16-16-16h-34.75l57.38-57.38C316.6 64.63 320 56.5 320 48V32c0-17.62-14.38-32-32-32H184C175.1 0 168 7.125 168 16v32c0 8.875 7.125 16 16 16h42.75L169.4 121.4C163.4 127.4 160 135.5 160 144V160c0 17.62 14.38 32 32 32h96C296.9 192 303.1 184.9 303.1 176zM448 272V256c0-17.62-14.38-32-32-32h-96c-8.875 0-16 7.125-16 16v32C303.1 280.9 311.1 288 320 288h34.75l-57.38 57.38C291.4 351.4 288 359.5 288 368V384c0 17.62 14.38 32 32 32h104c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-42.75l57.38-57.38C444.6 288.6 448 280.5 448 272z", "M192 223.1L39.1 224C26.75 224 15.1 234.8 15.1 248L16 296C16 309.3 26.75 320 40 320h50.5l-82.38 92.63C2.875 418.5 0 426.1 0 433.9V480c0 17.62 14.38 32 32 32h151.1c13.25 0 24-10.75 24-24L208 440C208 426.8 197.3 416 184 416H133.5l82.38-92.63C221.1 317.5 224 309.9 224 302.1V255.1C224 238.4 209.6 223.1 192 223.1z"]],
    "snow-blowing": [640, 512, [], "f761", ["M416 240h136C600.5 240 640 200.5 640 152S600.5 64 552 64H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8C565.2 128 576 138.8 576 152S565.2 176 552 176H416c-17.67 0-32 14.31-32 32S398.3 240 416 240zM552 272H416c-17.67 0-32 14.31-32 32s14.33 32 32 32h136c13.23 0 24 10.78 24 24S565.2 384 552 384H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8c48.53 0 88-39.47 88-88S600.5 272 552 272z", "M344 159c-6.609-11.47-21.34-15.41-32.78-8.781L294.1 160.1l.6816-2.545c2.859-10.69-3.469-21.66-14.14-24.5C270 130.2 259.1 136.5 256.2 147.2L245.2 188.4L200 214.4V156.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L200 99.71V88C200 74.75 189.3 64 176 64S152 74.75 152 88v11.71L150.1 97.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L152 156.3v58.15L101.6 185.4L90.61 144.2C87.75 133.5 76.83 127.2 66.13 130c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L42.5 151.2C31.06 144.6 16.33 148.5 9.72 160C3.095 171.5 7.016 186.2 18.5 192.8l10.18 5.875L26.11 199.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875l41.15-11.04L128 255.1L79.37 284.1L38.22 273C27.66 270.2 16.58 276.5 13.72 287.2c-2.859 10.69 3.469 21.66 14.12 24.5l2.566 .6875L20.23 318.2c-11.48 6.625-15.41 21.31-8.781 32.78c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559c-2.859 10.69 3.469 21.66 14.14 24.5c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21L152 297.6v50.15l-30.14 30.13c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0L152 404.3V424C152 437.3 162.8 448 176 448s24-10.75 24-24v-19.71l1.859 1.861C205.8 410.1 210.9 412 216 412s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L200 347.7V297.6l43.43 25.07l11.04 41.21c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.453-.2187 5.188-.6875c10.67-2.844 17-13.81 14.14-24.5l-.6836-2.555l17.09 9.867C313.3 362.1 317.4 364 321.5 364c8.281 0 16.36-4.312 20.8-12c6.625-11.47 2.704-26.16-8.78-32.78L316.4 309.3l2.572-.6895c10.66-2.844 16.98-13.81 14.12-24.5c-2.859-10.66-13.78-17-24.5-14.12L267.4 281.1L223.1 255.1l45.17-26.08l41.17 11.05c1.734 .4687 3.484 .6875 5.203 .6875c8.828 0 16.91-5.875 19.3-14.81c2.859-10.69-3.469-21.66-14.12-24.5L318.1 201.7l17.1-9.871C346.7 185.2 350.6 170.5 344 159z"]],
    "snowflake": [512, 512, [10054, 10052], "f2dc", ["M66.09 273.4C53.23 270 40.09 277.5 36.62 290.3s4.082 25.97 16.89 29.44l20.33 5.508L132 291.3L66.09 273.4zM116.1 81.38C104.2 84.75 96.51 97.91 99.9 110.7l5.379 20.29l58.82 34.32L146.4 98.41C142.1 85.63 129.9 77.91 116.1 81.38zM59.78 239.4c2.08 0 4.193-.2813 6.305-.8438L132 220.7L73.85 186.8l-20.33 5.508C40.7 195.8 33.15 208.9 36.62 221.7C39.51 232.4 49.21 239.4 59.78 239.4zM99.9 401.3c-3.393 12.81 4.256 25.97 17.08 29.34c2.064 .5625 4.129 .8125 6.164 .8125c10.63 0 20.36-7.094 23.21-17.84l17.74-66.92l-58.82 34.32L99.9 401.3zM445.9 238.6c2.111 .5625 4.225 .8438 6.305 .8438c10.57 0 20.27-7.031 23.16-17.72c3.473-12.78-4.082-25.97-16.89-29.44l-20.33-5.508L379.1 220.7L445.9 238.6zM412.1 110.7c3.393-12.81-4.256-25.97-17.08-29.34c-12.81-3.469-25.98 4.25-29.38 17.03l-17.74 66.92l58.82-34.32L412.1 110.7zM406.7 380.1l-58.82-34.32l17.74 66.92c2.848 10.75 12.58 17.84 23.21 17.84c2.035 0 4.1-.25 6.164-.8125c12.82-3.375 20.47-16.53 17.08-29.34L406.7 380.1zM445.9 273.4L379.1 291.3l58.19 33.95l20.33-5.508c12.81-3.469 20.37-16.66 16.89-29.44C471.9 277.5 458.8 270 445.9 273.4zM302.3 47.13l-14.22 14.37v68.26l48.38-48.88c9.338-9.438 9.244-24.62-.1875-33.94C326.8 37.59 311.6 37.72 302.3 47.13zM288 382.2v68.26l14.22 14.37C306.9 469.6 313.1 472 319.3 472c6.1 0 12.2-2.312 16.89-6.938c9.432-9.312 9.525-24.5 .1875-33.94L288 382.2zM175.8 46.94c-9.432 9.312-9.525 24.5-.1875 33.94l48.38 48.88V61.5L209.8 47.13C200.4 37.72 185.2 37.59 175.8 46.94zM175.8 465.1c9.447 9.312 24.65 9.25 33.97-.1875l14.22-14.37v-68.26l-48.38 48.88C166.3 440.6 166.3 455.8 175.8 465.1z", "M475.6 384.1C469.7 394.3 458.9 400 447.9 400c-5.49 0-11.04-1.406-16.13-4.375L288 311.7V480c0 17.69-14.34 32-32.03 32s-32.03-14.31-32.03-32V311.7l-143.8 83.88C75.11 398.6 69.56 400 64.07 400c-11.01 0-21.74-5.688-27.69-15.88c-8.931-15.25-3.785-34.84 11.5-43.75L192.5 256L47.88 171.6c-15.28-8.906-20.43-28.5-11.5-43.75c8.884-15.28 28.5-20.44 43.81-11.5L223.1 200.3V32c0-17.69 14.34-32 32.03-32s32.03 14.31 32.03 32v168.3l143.8-83.88c15.28-8.906 34.91-3.75 43.81 11.5c8.931 15.25 3.785 34.84-11.5 43.75L319.5 256l144.6 84.38C479.4 349.3 484.5 368.9 475.6 384.1z"]],
    "snowflakes": [640, 512, [], "f7cf", ["M67.96 401.3c-3.392 12.81 4.132 26 16.96 29.38c2.064 .5625 4.129 .8125 6.164 .8125c10.63 0 20.47-7.094 23.32-17.84l17.74-66.92l-58.76 34.17L67.96 401.3zM84.92 81.38C72.1 84.75 64.57 97.94 67.96 110.8l5.416 20.41l58.76 34.17L114.4 98.41C111 85.63 97.82 77.91 84.92 81.38zM143.8 465c9.447 9.312 24.66 9.297 33.98-.1406l14.22-14.37v-68.26l-48.29 48.84C134.4 440.5 134.4 455.7 143.8 465zM143.8 46.98c-9.431 9.312-9.431 24.5-.0937 33.94l48.29 48.84V61.5L177.8 47.13C168.5 37.72 153.3 37.64 143.8 46.98zM380.1 110.8c3.392-12.81-4.132-26-16.96-29.38c-12.81-3.469-26.09 4.25-29.48 17.03L315.9 165.3l58.76-34.17L380.1 110.8zM27.67 239.4c2.08 0 4.352-.2813 6.463-.8438l65.89-17.89L41.8 186.8L21.46 192.3c-12.81 3.469-20.33 16.64-16.85 29.42C7.505 232.4 17.1 239.4 27.67 239.4zM34.14 273.4C21.28 270 8.083 277.5 4.61 290.3s4.045 25.95 16.85 29.42l20.34 5.505l58.23-33.95L34.14 273.4zM270.3 47.13L256.1 61.5v68.26l48.3-48.84c9.337-9.438 9.337-24.62-.0938-33.94C294.8 37.64 279.6 37.72 270.3 47.13zM413.9 273.4l-65.89 17.89l58.23 33.95l20.34-5.505c12.81-3.469 20.33-16.64 16.85-29.42C440 277.5 426.8 270 413.9 273.4zM426.6 192.3l-20.34-5.505l-58.23 33.95l65.89 17.89c2.111 .5625 4.383 .8438 6.463 .8438c10.57 0 20.17-7.062 23.06-17.75C446.9 208.9 439.4 195.7 426.6 192.3zM256.1 382.2v68.26l14.22 14.37C274.1 469.6 281.2 472 287.4 472c6.099 0 12.16-2.359 16.85-6.984c9.431-9.312 9.431-24.5 .0938-33.94L256.1 382.2zM374.7 380.8l-58.76-34.17l17.74 66.92c2.847 10.75 12.68 17.84 23.32 17.84c2.035 0 4.099-.25 6.164-.8125c12.82-3.375 20.35-16.56 16.96-29.38L374.7 380.8zM609.9 256l23.03-23.03c9.374-9.375 9.374-24.56 0-33.94c-9.374-9.375-24.56-9.375-33.93 0l-23.03 23.03l-23.03-23.03c-9.374-9.375-24.56-9.375-33.93 0c-9.374 9.375-9.374 24.56 0 33.94L542.1 256l-23.03 23.03c-9.374 9.375-9.374 24.56 0 33.94C523.7 317.7 529.9 320 536 320c6.14 0 12.28-2.344 16.97-7.031l23.03-23.03l23.03 23.03C603.7 317.7 609.9 320 616 320s12.28-2.344 16.97-7.031c9.374-9.375 9.374-24.56 0-33.94L609.9 256zM544 97.94l23.03 23.03C571.7 125.7 577.9 128 584 128c6.14 0 12.28-2.344 16.97-7.031c9.374-9.375 9.374-24.56 0-33.94L577.9 64l23.03-23.03c9.374-9.375 9.374-24.56 0-33.94c-9.374-9.375-24.56-9.375-33.93 0l-23.03 23.03l-23.03-23.03c-9.374-9.375-24.56-9.375-33.93 0s-9.374 24.56 0 33.94L510.1 64l-23.03 23.03c-9.374 9.375-9.374 24.56 0 33.94C491.7 125.7 497.9 128 504 128s12.28-2.344 16.97-7.031L544 97.94z", "M443.7 384.1C437.8 394.3 427.1 400 416.1 400c-5.49 0-11.2-1.406-16.28-4.375L256.1 311.7L255.9 480c0 17.69-14.19 32-31.87 32s-32.03-14.31-32.03-32V311.7l-143.8 83.88C43.16 398.6 37.45 400 31.96 400c-11.01 0-21.65-5.75-27.59-15.94c-8.93-15.25-3.725-34.83 11.55-43.73L160.6 256L15.92 171.7C.6437 162.8-4.561 143.2 4.369 127.9c8.883-15.28 28.56-20.5 43.87-11.56L192 200.3V32c0-17.69 14.34-32 32.03-32s31.87 14.31 31.87 32l.1539 168.3l143.8-83.88c15.28-8.906 34.98-3.688 43.87 11.56c8.93 15.25 3.725 34.83-11.55 43.73L287.5 256l144.6 84.33C447.4 349.2 452.6 368.8 443.7 384.1z"]],
    "snowman": [512, 512, [9924, 9731], "f7d0", ["M152.8 180.7L103.8 160c0-.5 .25-1 .25-1.5V111.6C104 103 96.76 96 88.01 96h-16c-8.75 0-16 7-16 15.62v29l-28.25-11.5c-8.125-3.25-17.5 .625-20.75 8.625l-5.875 14.5C-2.119 160.4 1.881 169.5 10.01 172.6L144.4 228.4c-.0664-1.5-.4428-2.915-.4428-4.432C144 208.6 147.2 193.1 152.8 180.7zM510.9 152.3l-5.875-14.5c-3.25-8-12.62-11.88-20.75-8.625l-28.25 11.5v-29C455.1 103 448.7 96 439.1 96h-16c-8.75 0-16 7-16 15.62V158.5c0 .5 .25 1 .25 1.5l-48.98 20.6c5.684 13.33 8.74 27.98 8.74 43.4c0 1.518-.3764 2.932-.4428 4.432l134.4-55.8C510.1 169.5 514.1 160.4 510.9 152.3zM256 335.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 367.1 256 367.1s15.1-7.25 15.1-15.1S264.8 335.1 256 335.1zM256 207.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 239.1 256 239.1s15.1-7.25 15.1-15.1S264.8 207.1 256 207.1zM256 271.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 303.1 256 303.1s15.1-7.25 15.1-15.1S264.8 271.1 256 271.1z", "M360.5 263.7c4.705-12.37 7.534-25.69 7.534-39.71c0-29.89-11.9-56.87-30.98-76.95c9.35-14.81 14.98-32.23 14.98-51.04C351.1 42.98 309 0 255.1 0S160 42.98 160 95.1c0 18.81 5.626 36.23 14.98 51.04c-19.08 20.08-30.98 47.07-30.98 76.95c0 14.02 2.829 27.34 7.534 39.71c-33.78 29.34-55.53 72.04-55.53 120.3c0 52.59 25.71 98.84 64.88 128h190.2c39.17-29.17 64.88-75.42 64.88-128C415.1 335.7 394.2 293 360.5 263.7zM224 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S232.8 95.1 224 95.1zM256 367.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 335.1 256 335.1s15.1 7.25 15.1 15.1S264.8 367.1 256 367.1zM256 303.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 271.1 256 271.1s15.1 7.25 15.1 15.1S264.8 303.1 256 303.1zM256 239.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 207.1 256 207.1s15.1 7.25 15.1 15.1S264.8 239.1 256 239.1zM256 152c0 0-15.1-23.25-15.1-32S247.3 104 256 104s15.1 7.25 15.1 16S256 152 256 152zM287.1 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S296.7 95.1 287.1 95.1z"]],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", ["M390.1 256H58.38C41.86 284.3 32 316.9 32 352c0 57.28 25.11 108.7 64.89 143.8C108.7 506.3 123.1 512 139.8 512h168.5c15.54 0 30.68-5.508 42.35-15.76c49.72-43.66 76.71-112.6 60.8-186.7C407.3 290.4 399.8 272.5 390.1 256zM152 336c-13.37 0-24.07-10.84-24.07-24.07C127.1 298.7 138.8 288 152 288s23.93 10.84 23.93 23.93C175.1 325.2 165.1 336 152 336zM224 448c0 0-32-46.25-32-64s14.25-32 31.1-32s32 14.25 32 32S224 448 224 448zM295.9 336c-13.23 0-23.93-10.84-23.93-24.07C272 298.7 282.8 288 295.9 288c13.37 0 24.07 10.84 24.07 23.93C320.1 325.2 309.3 336 295.9 336z", "M384 32c0-17.6-14.4-32-32-32H96c-17.6 0-32 14.4-32 32v128h320V32zM432 192h-416c-8.836 0-16 7.164-16 16c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48C448 199.2 440.8 192 432 192zM224 352c-17.75 0-31.1 14.25-31.1 32s32 64 32 64s32-46.25 32-64S241.8 352 224 352z"]],
    "snowplow": [640, 512, [], "f7d2", ["M368 288C429.9 288 480 338.1 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288H368zM368 352H112C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448H368C394.5 448 416 426.5 416 400C416 373.5 394.5 352 368 352z", "M447.4 249.6C447.8 251.9 448.1 254.3 448 256.7V288H512V235.2C512 220.7 516.9 206.6 526 195.2L583 124C594.1 110.2 614.2 107.1 627.1 119C641.8 130.1 644 150.2 632.1 163.1L576 235.2V402.7L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L530.7 448C518.7 435.1 512 419.7 512 402.7V352H469.2C451.2 314.2 412.7 288 368 288H112C94.82 288 78.55 291.9 64 298.8V192C64 174.3 78.33 160 96 160H128V48C128 21.49 149.5 0 176 0H298.9C324.5 0 347.6 15.26 357.7 38.79L445.1 242.7C446.1 244.9 446.9 247.2 447.4 249.6H447.4zM298.9 64H192V160L256 224H367.5L298.9 64zM144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400zM336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400zM304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400zM176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400z"]],
    "soap": [512, 512, [129532], "e06e", ["M320 128c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C384 156.7 355.3 128 320 128zM208 0C181.5 0 160 21.49 160 48S181.5 96 208 96S256 74.51 256 48S234.5 0 208 0zM384 0c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C416 14.33 401.7 0 384 0z", "M416 192c0 27.82-12.02 52.68-30.94 70.21C421.7 275.7 448 310.7 448 352c0 53.02-42.98 96-96 96H160c-53.02 0-96-42.98-96-96s42.98-96 96-96h88.91C233.6 238.1 224 216.7 224 192H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 234.1 469 192 416 192zM96 352c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64H160C124.7 288 96 316.7 96 352z"]],
    "socks": [576, 512, [129510], "f696", ["M160 127.1h160l-.0023-31.1h-160L160 127.1zM159.1 271.1l-86.64 64.61c-39.35 29.55-53.89 84.37-29.24 127c17.32 29.97 49.36 48.42 83.97 48.36c20.75 .0098 40.93-6.754 57.51-19.22l21.87-16.38c-29.85-55.41-13.58-125.8 39.16-165.4l73.36-55l.0049-96h-160L159.1 271.1zM192 0C174.3 0 159.1 14.33 159.1 32l.0042 32h160l-.0029-32c.0645-10.64 2.816-21.09 8-30.38C325.4 .9229 322.8 0 319.1 0H192zM351.1 64v31.1H544V64H351.1zM352 159.1h192v-32h-192V159.1z", "M319.1 64H159.1v31.1h160L319.1 64zM320 127.1h-160v32h160V127.1zM512 0h-128c-17.67 0-32 14.33-32 32l-.0003 32H544V32C544 14.33 529.7 0 512 0zM352 127.1h192V95.1h-192L352 127.1zM351.1 271.1l-86.13 64.61c-39.41 29.55-53.88 84.37-29.23 127c26.32 46.02 84.99 62 131 35.68c.002-.002-.002 0 0 0c7.295-4.184 .2979 .6797 125.1-92.94C525 382.2 543.1 344.3 544 303.1v-144h-192L351.1 271.1z"]],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", ["M368 224C368 259.3 339.3 288 304 288H80C44.65 288 16 259.3 16 224C16 191.1 40.84 163.1 72.8 160.4C67.21 150.9 64 139.8 64 128C64 92.65 92.65 64 128 64H174.1C192.8 64 208 48.8 208 30.06C208 21.06 204.4 12.42 198.1 6.059L192 0C262.7 0 320 57.31 320 128C320 139.8 316.8 150.9 311.2 160.4C343.2 163.1 368 191.1 368 224z", "M336 352C336 369.7 321.7 384 304 384H302.2L291.2 483.5C289.4 499.7 275.7 512 259.4 512H124.6C108.3 512 94.64 499.7 92.84 483.5L81.78 384H80C62.33 384 48 369.7 48 352V320H336L336 352z"]],
    "solar-panel": [640, 512, [], "f5ba", ["M575.4 25.72C572.4 10.78 559.2 0 543.1 0H96c-15.25 0-28.39 10.78-31.38 25.72l-63.1 320c-1.891 9.406 .5469 19.16 6.625 26.56S22.41 384 32 384h575.1c9.594 0 18.67-4.312 24.75-11.72s8.516-17.16 6.625-26.56L575.4 25.72zM71.16 320l51.08-256h395.5l51.08 256H71.16z", "M536.1 160l-19.2-96h-98.1l10.67 96H536.1zM447.9 320h120.9l-25.48-128h-109.5L447.9 320zM387.5 64H252.5l-10.67 96h156.2L387.5 64zM206.1 192H96.7l-25.54 128h120.9L206.1 192zM400.2 448h-48.28v-64H287.1v64.25H239.8c-26.26 0-47.75 21.49-47.75 47.75c0 8.844 7.168 16.01 16.01 16l223.1-.1667c8.828-.0098 15.99-7.17 15.99-16C447.1 469.5 426.6 448 400.2 448zM220.3 64H122.2L103.1 160h106.6L220.3 64zM401.7 192H238.3l-14.22 128h191.8L401.7 192z"]],
    "solar-system": [512, 512, [], "e02f", ["M391.8 188.1c-10.58 10.58-24.82 14.51-38.64 13.14c23.99 42.67 18.37 97.7-17.9 133.1c-43.5 44.32-114.7 44.95-159 1.455S131.2 221.1 174.7 177.7c35.79-36.46 91.67-44.25 136-18.9c-1.357-13.8 2.577-27.97 13.15-38.54c2.102-2.104 4.746-3.095 7.113-4.726c-23.46-12.52-49.05-19.51-74.97-19.51C167.7 96.01 96 167.6 96.01 256c.0059 88.36 71.64 159.1 160 159.1c42.43-.0039 83.11-16.87 113.1-46.87c51.02-51.02 59.67-127.6 27.37-188.1C394.9 183.4 393.9 186 391.8 188.1zM336.9 447.6c-78 32.85-168.1 15.28-228-44.53c-69.58-69.57-79.29-176.5-29.5-256.7C62.7 142.8 48.73 131.5 41.62 116c-64.97 99.28-53.88 233.8 33.34 320.1c76.11 76.31 191.9 96.57 289.4 50.62c-2.191-1.803-4.477-3.326-6.529-5.375C348.3 472.5 341 460.6 336.9 447.6zM437.1 75c-76.11-76.31-191.1-96.57-289.5-50.62c2.188 1.803 4.48 3.327 6.527 5.374c9.602 9.725 16.82 21.59 20.98 34.61c78-32.85 168.1-15.28 228 44.53c69.58 69.57 79.29 176.5 29.5 256.7c16.69 3.578 30.67 14.85 37.77 30.36C535.3 296.7 524.3 162.2 437.1 75z", "M52.33 52.35C52.33 52.36 52.34 52.35 52.33 52.35C30.47 74.23 30.46 109.7 52.33 131.6C74.2 153.4 109.7 153.4 131.5 131.6c21.87-21.87 21.87-57.32 0-79.19C109.7 30.49 74.21 30.49 52.33 52.35zM255.1 192C220.7 192 191.1 220.7 192 256C192 291.3 220.7 320 256 319.1S320 291.3 320 256C319.1 220.7 291.3 192 255.1 192zM391.8 188.1c18.74-18.75 18.72-49.12-.0194-67.87c-18.75-18.75-49.12-18.76-67.87-.0168c-18.75 18.75-18.76 49.14-.0121 67.89C342.6 206.9 373 206.9 391.8 188.1C391.8 188.1 391.8 188.1 391.8 188.1zM459.7 380.4c-21.87-21.87-57.33-21.87-79.2-.0039s-21.87 57.33-.0039 79.2s57.33 21.87 79.2 .002c0-.002 0 0 0 0C481.5 437.8 481.5 402.3 459.7 380.4z"]],
    "sort": [320, 512, ["unsorted"], "f0dc", ["M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"]],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", ["M27.66 223.1h264.7c24.6 0 36.89-29.77 19.54-47.12l-132.5-136.8c-5.352-5.406-12.39-8.109-19.45-8.109c-7.053 0-14.12 2.703-19.53 8.109L8.119 176.9C-9.229 194.2 3.055 223.1 27.66 223.1zM159.9 111.1l46.5 48.01H113.5L159.9 111.1z", "M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.4 136.8C145.9 477.3 152.1 480 160 480c7.055 0 14.15-2.702 19.5-8.109l132.4-136.8C329.2 317.8 316.9 288 292.3 288z"]],
    "sort-up": [320, 512, ["sort-asc"], "f0de", ["M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288zM160.1 400L113.6 352h92.95L160.1 400z", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"]],
    "spa": [576, 512, [], "f5bb", ["M288 302.6c12.75-18.87 27.62-35.75 44.13-50.5c19-18.62 39.5-33.37 60.25-45.25c-16.5-70.5-51.75-133-96.75-172.3c-4.125-3.5-11-3.5-15.12 0c-45 39.25-80.25 101.6-96.75 172.1c20.37 11.75 40.5 26.12 59.25 44.37C260 266.4 275.1 283.7 288 302.6z", "M568.3 192c-29 .125-135 6.124-213.9 82.1C321.2 304.7 301 338.3 288 369.9c-13-31.63-33.25-65.25-66.38-94.87C142.8 198.2 36.75 192.2 7.75 192C3.375 192 0 195.4 0 199.9c.25 27.88 7.125 126.2 88.75 199.3C172.8 481 256 479.1 288 479.1s115.2 1.025 199.3-80.85C568.9 326 575.8 227.7 576 199.9C576 195.4 572.6 192 568.3 192z"]],
    "space-station-moon": [512, 512, [], "e033", ["M512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V256zM192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240zM256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352C347.3 352 432.6 338.4 505.2 314.8C478.6 427.9 377.1 512 256 512V512z", "M272 160C272 204.2 236.2 240 192 240C147.8 240 112 204.2 112 160C112 115.8 147.8 80 192 80C236.2 80 272 115.8 272 160zM192 128C174.3 128 160 142.3 160 160C160 177.7 174.3 192 192 192C209.7 192 224 177.7 224 160C224 142.3 209.7 128 192 128zM6.794 314.8C4.059 303.2 2.116 291.3 1.027 279.1C73.15 304.7 160.8 320 256 320C351.2 320 438.8 304.7 510.1 279.1C509.9 291.3 507.9 303.2 505.2 314.8C432.6 338.4 347.3 352 256 352C164.7 352 79.44 338.4 6.794 314.8V314.8z"]],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", ["M256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C316.5 0 372.2 21.02 416 56.15V96H368V160H448V224H510C511.3 234.5 512 245.2 512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320zM192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80zM256 352C300.3 352 343.3 348.8 384 342.8V384H448V425.3C401.1 478.5 332.5 512 256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352z", "M272 160C272 204.2 236.2 240 192 240C147.8 240 112 204.2 112 160C112 115.8 147.8 80 192 80C236.2 80 272 115.8 272 160zM192 128C174.3 128 160 142.3 160 160C160 177.7 174.3 192 192 192C209.7 192 224 177.7 224 160C224 142.3 209.7 128 192 128zM6.794 314.8C4.059 303.2 2.116 291.3 1.027 279.1C73.15 304.7 160.8 320 256 320C351.2 320 438.8 304.7 510.1 279.1C509.9 291.3 507.9 303.2 505.2 314.8C432.6 338.4 347.3 352 256 352C164.7 352 79.44 338.4 6.794 314.8V314.8z"]],
    "spade": [512, 512, [9824], "f2f4", ["M472 196.3C523.4 244.9 525.5 325.1 476.9 377.3C428.3 428.6 347.3 430.8 295.1 382.2L288 374.6V255.1C288 238.3 273.7 223.1 256 223.1C238.3 223.1 224 238.3 224 255.1V374.6L216 382.2C164.7 430.8 83.69 428.6 35.07 377.3C-13.54 325.1-11.35 244.9 39.97 196.3L233.1 12.53C246.3 .8427 265.7 .843 278 12.53L472 196.3z", "M256 224C273.7 224 288 238.3 288 256V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V256C224 238.3 238.3 224 256 224z"]],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", ["M638.4 378.7c-4.625 12.35-18.5 18.61-30.88 13.87c-8.125-2.995-14.42-.112-31.42 11.37c-13.62 9.11-30.83 20.86-52.46 20.86c-7.125 0-14.75-1.253-23-4.373c-32.63-12.48-39.88-41.38-45.25-62.46c-2.25-8.735-4-14.5-6-18.86c-16.62 13.6-36.88 25.83-61.63 34.19C397.8 410.2 420 464 448 464c13.25 0 24 10.76 24 23.99C472 501.2 461.3 512 448 512c-66.75 0-97-88.62-107.4-129.1C333.9 383.6 327.1 384 320 384s-13.88-.4716-20.62-1.096C289 423.4 258.8 512 192 512c-13.25 0-24-10.76-24-23.99c0-13.23 10.75-23.99 24-23.99c28.12 0 50.25-53.76 60.25-90.7c-24.62-8.361-45-20.63-61.63-34.23c-2 4.368-3.75 10.13-6 18.86C179.4 379.1 172 407.9 139.4 420.4c-8.125 3.12-15.88 4.373-23 4.373c-21.62 0-38.88-11.75-52.38-20.86c-17.12-11.48-23.25-14.36-31.5-11.37c-12.25 4.742-26.25-1.513-30.88-13.87c-4.75-12.35 1.5-26.24 13.88-30.98c32.63-12.35 57.25 4.261 75.38 16.49c17 11.48 23.25 14.36 31.37 11.37c8.125-3.12 10.88-9.392 15.88-29.36c3.375-13.1 7.5-29.14 18-42.37c-2.25-2.995-4.5-5.865-6.375-8.61C139.5 304.9 126.3 312.3 108 312.3c-34 0-50.88-25.71-62-42.8C35.38 253.4 31 248.4 24 248.4c-13.25 0-24-10.73-24-23.96S10.75 200.5 24 200.5c33.1 0 50.88 25.71 61.1 42.8C96.63 259.4 101 264.4 108 264.4c17.12 0 37.63-61.4 97.25-101.7L186.1 127.3C188.7 127.4 190.3 127.9 192 127.9c21.96 0 41.31-11.17 52.84-27.99l18.66 36.24C280.5 131.5 299.1 128.6 320 128.6s39.5 2.87 56.5 7.487l18.66-36.24C406.7 116.7 426 127.9 448 127.9c1.715 0 3.324-.4784 5.006-.611l-18.26 35.43c59.75 40.43 80 101.7 97.25 101.7c7 0 11.38-4.992 21.1-21.09c11.13-17.1 28-42.8 62-42.8c13.25 0 24 10.73 24 23.96s-10.75 23.96-24 23.96c-7 0-11.38 4.992-22 21.09c-11.12 17.1-28 42.8-61.1 42.8c-18.25 0-31.5-7.487-41.75-17.1c-1.875 2.745-4.125 5.616-6.375 8.61c10.5 13.23 14.62 29.26 18 42.37c5 19.97 7.75 26.24 15.88 29.36c8.125 2.995 14.38 .112 31.38-11.37c18-12.23 42.75-28.97 75.38-16.49C637 352.5 643.1 366.3 638.4 378.7z", "M192 0C156.7 0 128 28.69 128 63.97s28.65 63.92 64 63.92s64-28.63 64-63.92S227.3 0 192 0zM192 79.97c-8.822 0-16-7.193-16-16S183.2 47.98 192 47.98s16 7.186 16 15.99S200.8 79.97 192 79.97zM448 0c-35.35 0-64 28.69-64 63.97s28.65 63.92 64 63.92s64-28.63 64-63.92S483.3 0 448 0zM448 79.97c-8.822 0-16-7.193-16-16s7.178-15.99 16-15.99s16 7.186 16 15.99S456.8 79.97 448 79.97z"]],
    "sparkles": [512, 512, [10024], "f890", ["M327.5 85.19L384 64L405.2 7.491C406.9 2.985 411.2 0 416 0C420.8 0 425.1 2.985 426.8 7.491L448 64L504.5 85.19C509 86.88 512 91.19 512 96C512 100.8 509 105.1 504.5 106.8L448 128L426.8 184.5C425.1 189 420.8 192 416 192C411.2 192 406.9 189 405.2 184.5L384 128L327.5 106.8C322.1 105.1 320 100.8 320 96C320 91.19 322.1 86.88 327.5 85.19V85.19zM327.5 405.2L384 384L405.2 327.5C406.9 322.1 411.2 320 416 320C420.8 320 425.1 322.1 426.8 327.5L448 384L504.5 405.2C509 406.9 512 411.2 512 416C512 420.8 509 425.1 504.5 426.8L448 448L426.8 504.5C425.1 509 420.8 512 416 512C411.2 512 406.9 509 405.2 504.5L384 448L327.5 426.8C322.1 425.1 320 420.8 320 416C320 411.2 322.1 406.9 327.5 405.2z", "M257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3z"]],
    "speaker": [384, 512, [], "f8df", ["M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 64c26.5 0 48 21.5 48 48S218.5 160 192 160S144 138.5 144 112S165.5 64 192 64zM192 448c-61.81 0-112-50.17-112-112S130.2 224 192 224s112 50.17 112 112S253.8 448 192 448z", "M192 160c26.5 0 48-21.5 48-48S218.5 64 192 64S144 85.5 144 112S165.5 160 192 160zM192 224c-61.81 0-112 50.17-112 112S130.2 448 192 448s112-50.17 112-112S253.8 224 192 224zM192 400c-35.31 0-64-28.67-64-64s28.69-64 64-64s64 28.67 64 64S227.3 400 192 400z"]],
    "speakers": [640, 512, [], "f8e0", ["M175.9 224C201.1 224 237.8 239.1 256 257.8V48C256.1 33.22 263.4 11.72 272.4 0H48C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h224.4C263.4 500.3 256.1 478.8 256 464v-49.79C237.8 432.9 201.1 448 175.9 448c-61.84 0-112-50.17-112-112S114.1 224 175.9 224zM176 64C202.5 64 224 85.5 224 112S202.5 160 176 160S128 138.5 128 112S149.5 64 176 64zM592 0h-256C309.5 0 288 21.5 288 48v416c0 26.5 21.5 48 48 48h256c26.5 0 48-21.5 48-48v-416C640 21.5 618.5 0 592 0zM464 64C490.5 64 512 85.5 512 112S490.5 160 464 160S416 138.5 416 112S437.5 64 464 64zM464 448c-61.81 0-112-50.17-112-112S402.2 224 464 224S576 274.2 576 336S525.8 448 464 448z", "M464 160C490.5 160 512 138.5 512 112S490.5 64 464 64S416 85.5 416 112S437.5 160 464 160zM464 224C402.2 224 352 274.2 352 336s50.19 112 112 112s112-50.17 112-112S525.8 224 464 224zM464 400c-35.31 0-64-28.67-64-64s28.69-64 64-64s64 28.67 64 64S499.3 400 464 400zM176 160C202.5 160 224 138.5 224 112S202.5 64 176 64S128 85.5 128 112S149.5 160 176 160zM63.92 336c0 61.83 50.2 112 112 112C207.3 448 235.7 435 256 414.2V257.8C235.7 236.1 207.3 224 175.9 224C114.1 224 63.92 274.2 63.92 336zM240 336c0 35.33-28.69 64-64 64s-64-28.67-64-64s28.69-64 64-64S240 300.7 240 336z"]],
    "spell-check": [576, 512, [], "f891", ["M221.5 211.7l-80-192C136.6 7.796 124.9 .0147 112 .0147S87.44 7.796 82.47 19.7l-80 192C-4.328 228 3.375 246.8 19.69 253.5c16.36 6.812 35.06-.9375 41.84-17.22l5.131-12.31h90.68l5.131 12.31c5.109 12.28 17.02 19.69 29.55 19.69c4.094 0 8.266-.7812 12.3-2.469C220.6 246.8 228.3 228 221.5 211.7zM93.33 160L112 115.2l18.67 44.81H93.33zM288 256h80c44.11 0 80-35.87 80-79.1c0-23.15-10.03-43.85-25.79-58.47C428.3 106.3 432 93.65 432 80.01c0-44.13-35.89-80-79.1-80L288 .0147c-17.67 0-32 14.31-32 31.1v192C256 241.7 270.3 256 288 256zM320 64.01h32c8.828 0 16 7.188 16 16s-7.172 16-16 16h-32V64.01zM320 160h48c8.828 0 16 7.188 16 16s-7.172 16-16 16H320V160z", "M566.6 265.4c-12.5-12.5-32.75-12.5-45.25 0L352 434.8l-73.38-73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96c6.25 6.25 14.44 9.368 22.62 9.368s16.38-3.118 22.63-9.368l192-192C579.1 298.1 579.1 277.9 566.6 265.4z"]],
    "spider": [576, 512, [128375], "f717", ["M178.1 23.76C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L191.6 224H207.7V184.4l-53.91-62.66L178.1 23.76zM471.1 122.2L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4V224h16.06l29.06-18.23l53.47-62.15C471.1 137.7 473.9 129.7 471.1 122.2z", "M563.3 401.6c2.608 8.443-2.149 17.4-10.62 19.1l-15.35 4.709c-8.48 2.6-17.47-2.139-20.08-10.59L493.2 338l-79.79-31.8l53.47 62.15c5.08 5.904 6.972 13.89 5.08 21.44l-28.23 110.1c-2.151 8.57-10.87 13.78-19.47 11.64l-15.58-3.873c-8.609-2.141-13.84-10.83-11.69-19.4l25.2-98.02l-38.51-44.77c.1529 2.205 .6627 4.307 .6627 6.549c0 53.02-43.15 96-96.37 96S191.6 405 191.6 352c0-2.242 .5117-4.34 .6627-6.543l-38.51 44.76l25.2 98.02c2.151 8.574-3.084 17.26-11.69 19.4l-15.58 3.873c-8.603 2.141-17.32-3.072-19.47-11.64l-28.23-110.1c-1.894-7.543 0-15.53 5.08-21.44l53.47-62.15l-79.79 31.8l-24.01 77.74c-2.608 8.447-11.6 13.19-20.08 10.59l-15.35-4.709c-8.478-2.6-13.23-11.55-10.63-19.1l27.4-88.69c2.143-6.939 7.323-12.54 14.09-15.24L158.9 256l-104.7-41.73C47.43 211.6 42.26 205.1 40.11 199.1L12.72 110.4c-2.608-8.443 2.149-17.4 10.62-19.1l15.35-4.709c8.48-2.6 17.47 2.139 20.08 10.59l24.01 77.74l79.79 31.8L191.6 224H207.7l.1542-63.99C206.1 123.4 228.9 91.77 261.4 80.43c5.141-1.793 10.5 2.215 10.5 7.641V112h32.12V88.09c0-5.443 5.394-9.443 10.55-7.641C345.9 91.39 368.3 121 368.3 155.9c0 1.393-.1786 2.689-.2492 4.064L368.3 224h16.06l29.06-18.23l79.79-31.8l24.01-77.74c2.608-8.447 11.6-13.19 20.08-10.59l15.35 4.709c8.478 2.6 13.23 11.55 10.63 19.1l-27.4 88.69c-2.143 6.939-7.323 12.54-14.09 15.24L417.1 256l104.7 41.73c6.754 2.691 11.92 8.283 14.07 15.21L563.3 401.6z"]],
    "spider-black-widow": [576, 512, [], "f718", ["M178.1 23.76C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L191.6 224H207.7V184.4l-53.91-62.66L178.1 23.76zM471.1 122.2L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4V224h16.06l29.06-18.23l53.47-62.15C471.1 137.7 473.9 129.7 471.1 122.2zM320.1 288H255.9c-6.65 0-10.41 7.5-6.394 12.75L275.1 336l-26.46 35.25C245.5 376.5 249.2 384 255.9 384h64.2c6.65 0 10.41-7.5 6.395-12.75L300 336l26.46-35.25C330.5 295.5 326.8 288 320.1 288z", "M535.9 312.9c-2.141-6.928-7.311-12.52-14.07-15.21L417.1 256l104.7-41.72c6.768-2.697 11.95-8.299 14.09-15.24l27.4-88.69c2.608-8.443-2.149-17.4-10.63-19.1l-15.35-4.709c-8.48-2.6-17.47 2.139-20.08 10.59l-24.01 77.74l-79.79 31.8L384.4 224H368.3L368.1 160c.0706-1.375 .2491-2.672 .2491-4.064c0-34.89-22.42-64.55-53.7-75.49c-5.154-1.803-10.55 2.197-10.55 7.641V112H271.9V88.07c0-5.426-5.36-9.434-10.5-7.641C228.9 91.77 206.2 123.4 208 160L207.7 224H191.6l-29.06-18.23L82.78 173.1L58.77 96.23C56.16 87.79 47.17 83.05 38.69 85.65l-15.35 4.709C14.86 92.96 10.11 101.9 12.72 110.4l27.4 88.71c2.141 6.928 7.311 12.52 14.07 15.21L158.9 256l-104.7 41.72C47.43 300.4 42.25 306 40.11 312.1l-27.4 88.69c-2.608 8.443 2.149 17.4 10.63 19.1l15.35 4.709c8.48 2.6 17.47-2.139 20.08-10.59l24.01-77.74l79.79-31.8l-53.47 62.15c-5.08 5.904-6.974 13.89-5.08 21.44l28.23 110.1c2.151 8.57 10.87 13.78 19.47 11.64l15.58-3.873c8.607-2.141 13.84-10.83 11.69-19.4l-25.2-98.02l38.51-44.76C192.1 347.7 191.6 349.8 191.6 352c0 53.02 43.15 96 96.37 96S384.4 405 384.4 352c0-2.242-.5098-4.344-.6627-6.549l38.51 44.77l-25.2 98.02c-2.153 8.574 3.082 17.26 11.69 19.4l15.58 3.873c8.605 2.141 17.32-3.072 19.47-11.64l28.23-110.1c1.892-7.543 0-15.53-5.08-21.44l-53.47-62.15l79.79 31.8l24.01 77.74c2.61 8.447 11.6 13.19 20.08 10.59l15.35-4.709c8.476-2.6 13.23-11.55 10.62-19.1L535.9 312.9zM326.5 371.3C330.5 376.5 326.8 384 320.1 384H255.9c-6.65 0-10.41-7.5-6.394-12.75L275.1 336L249.5 300.8C245.5 295.5 249.2 288 255.9 288h64.2c6.65 0 10.41 7.5 6.395 12.75L300 336L326.5 371.3z"]],
    "spider-web": [576, 512, [128376], "f719", ["M165.3 97.67L177.1 63.86L214.4 70.68L235.1 107L235.1 107.2C270.4 113.3 305.6 113.3 340 107.2L340.9 107L361.6 70.68L398 63.86L410.7 97.67L388.5 136.6L389.2 138.6C400.6 171.1 417.7 201.4 439.6 227.1H484.2L507.6 256L484.2 283.1H439.6C417.7 310.6 400.7 340.9 389.2 373.4L388.5 375.4L410.7 414.3L398 448.1L361.6 441.3L340.9 404.1L340 404.8C305.6 398.7 270.4 398.7 235.1 404.8L235.1 404.1L214.4 441.3L177.1 448.1L165.3 414.3L187.5 375.4L186.8 373.4C175.3 340.9 158.3 310.6 136.4 283.1H91.78L68.45 256L91.78 227.1H136.4C158.3 201.4 175.3 171.1 186.8 138.6L187.5 136.6L165.3 97.67zM239.8 228L217.6 189.3C211.2 202.7 203.9 215.6 195.8 228H239.8zM311.2 159C295.7 160.1 280.3 160.1 264.8 159L287.1 199.6L311.2 159zM380.2 228C372.1 215.6 364.8 202.7 358.4 189.3L336.2 228H380.2zM358.4 322.7C364.8 309.3 372.1 296.4 380.2 284H336.2L358.4 322.7zM264.8 352.1C280.3 351.9 295.7 351.9 311.2 352.1L287.1 312.4L264.8 352.1zM195.8 284C203.9 296.4 211.2 309.3 217.6 322.7L239.8 284H195.8z", "M133.8 22.17C138.6 9.433 151.8 1.972 165.2 4.478L234.2 17.42C269.8 24.09 306.2 24.09 341.8 17.42L410.8 4.478C424.2 1.972 437.4 9.433 442.2 22.17L471.2 99.36C482.7 130 499.3 158.6 520.2 183.8L565.5 238.1C574.2 248.5 574.2 263.5 565.5 273.9L520.2 328.2C499.3 353.4 482.7 381.1 471.2 412.6L442.2 489.8C437.4 502.6 424.2 510 410.8 507.5L341.8 494.6C306.2 487.9 269.8 487.9 234.2 494.6L165.2 507.5C151.8 510 138.6 502.6 133.8 489.8L104.8 412.6C93.33 381.1 76.73 353.4 55.75 328.2L10.49 273.9C1.837 263.5 1.837 248.5 10.49 238.1L55.75 183.8C76.73 158.6 93.33 130 104.8 99.36L133.8 22.17zM177.1 63.85L157.3 119C143.6 155.6 123.8 189.6 98.77 219.6L68.45 255.1L98.77 292.4C123.8 322.4 143.6 356.4 157.3 392.1L177.1 448.1L223.9 439.5C266.3 431.6 309.7 431.6 352.1 439.5L398 448.1L418.7 392.1C432.4 356.4 452.2 322.4 477.2 292.4L507.6 255.1L477.2 219.6C452.2 189.6 432.4 155.6 418.7 119L398 63.85L352.1 72.46C309.7 80.41 266.3 80.41 223.9 72.46L177.1 63.85z"]],
    "spinner": [512, 512, [], "f110", ["M437 142.9C418.3 161.6 387.9 161.6 369.1 142.9C350.4 124.1 350.4 93.73 369.1 74.98C387.9 56.24 418.3 56.24 437 74.98C455.8 93.73 455.8 124.1 437 142.9V142.9zM512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256zM304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464zM74.98 437C56.24 418.3 56.24 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437V437zM437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437V437z", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98V74.98z"]],
    "spinner-third": [576, 512, [], "f3f4", ["M287.1 64C181.1 64 95.1 149.1 95.1 256C95.1 362 181.1 448 287.1 448C358.1 448 419.3 410.5 452.9 354.4L453 354.5C446.1 369.4 451.5 387.3 465.1 395.7C481.3 404.6 500.9 399.3 509.7 384C509.9 383.7 510.1 383.4 510.2 383.1C466.1 460.1 383.1 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C270.3 0 256 14.33 256 32C256 49.67 270.3 64 288 64H287.1z", "M256 32C256 14.33 270.3 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C500.9 399.3 481.3 404.6 465.1 395.7C450.7 386.9 445.5 367.3 454.3 351.1C470.6 323.8 480 291 480 255.1C480 149.1 394 63.1 288 63.1C270.3 63.1 256 49.67 256 31.1V32z"]],
    "split": [512, 512, [], "e254", ["M504.1 416.9l-80 79.98c-15.13 15.12-40.99 4.406-40.99-16.98V432H320c-9.125 0-17.84-3.906-23.91-10.75L177.6 288H192c9.125 0 17.84-3.906 23.91-10.75L234.8 256l99.58 112h49.59V319.1c0-21.39 25.87-32.11 40.1-16.98l79.99 79.97C514.3 392.3 514.3 407.6 504.1 416.9z", "M504.1 129l-79.99 79.97c-15.13 15.12-40.1 4.406-40.1-16.98V144h-49.59L215.9 277.3C209.8 284.1 201.1 288 192 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h145.6l118.5-133.3C302.2 83.91 310.9 80 320 80h63.97V32.06c0-21.39 25.86-32.11 40.99-16.98l80 79.98C514.3 104.4 514.3 119.7 504.1 129z"]],
    "splotch": [512, 512, [], "f5bc", ["M349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38V47.38z", ""]],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", ["M449.6 242.2C436.5 257.8 419.9 270 401.1 277.8C382.2 285.6 361.8 288.8 341.5 287C319.1 283 298.6 271.9 283 255.3L256.8 229.1C240.2 213.5 229.1 192.1 225.1 170.6C223.3 150.3 226.5 129.9 234.3 111C242.1 92.22 254.3 75.56 269.9 62.47C337.8-5.437 433.1-20.28 482.7 29.35C532.3 78.95 517.4 174.2 449.6 242.2z", "M299.5 269.1L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L242.9 212.5C247.1 218.4 251.7 223.9 256.7 229.1L282.9 255.3C288.1 260.3 293.6 264.9 299.5 269.1z"]],
    "sportsball": [512, 512, [], "e44b", ["M487.6 48.92C497.6 97.67 502.3 160.2 492.1 223.2C444.3 219.1 400.1 199.5 365.3 169.3L487.2 47.42C487.3 47.92 487.5 48.42 487.6 48.92V48.92zM464.8 24.57L342.7 146.7C312.3 111.6 292.6 66.95 288.7 17.87C338.5 11.37 395.9 12.87 461.5 23.83C462.6 24.02 463.7 24.26 464.8 24.57V24.57zM418.5 395.9L278.6 256L342.6 191.1C381.9 226.7 431.9 249.5 487.1 254.8C478.9 290.7 465.8 326.1 445.1 358.4C437.9 371.5 428.8 384.1 418.5 395.9zM255.1 233.4L115.8 93.16C141.1 70.11 171.9 50.88 208.9 37.14C223.1 31.54 240 26.89 257 23.27C262.1 79.05 284.1 129.7 320 169.4L255.1 233.4zM169.4 320C130.1 285.3 80.06 262.5 24.93 257.2C33.07 221.3 46.24 185.9 66.04 153.6C74.08 140.5 83.19 127.9 93.45 116.1L233.4 256L169.4 320zM191.1 342.6L255.1 278.6L396.2 418.8C370.9 441.9 340.1 461.1 303.1 474.9C288 480.5 271.1 485.1 254.1 488.7C249.9 432.9 227 382.3 191.1 342.6zM146.7 342.7L24.79 464.6C24.66 464.1 24.55 463.6 24.44 463.1C14.38 414.3 9.735 351.8 19.05 288.8C67.67 292.9 111.9 312.5 146.7 342.7H146.7zM169.3 365.3C199.7 400.4 219.4 445 223.3 494.1C173.5 500.6 116.1 499.1 50.51 488.2C49.38 487.1 48.28 487.7 47.2 487.4L169.3 365.3z", "M487.2 47.41L278.6 255.1L418.5 395.9C411.6 403.9 404.2 411.6 396.2 418.8L255.1 278.6L47.19 487.4C36.23 484.4 27.65 475.7 24.79 464.6L233.4 255.1L93.45 116.1C100.4 108.1 107.8 100.4 115.8 93.16L255.1 233.4L464.8 24.56C475.8 27.61 484.3 36.3 487.2 47.41H487.2z"]],
    "spray-can": [512, 512, [], "f5bd", ["M320 64C320 81.67 305.7 96 288 96C270.3 96 256 81.67 256 64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64zM240 336C240 380.2 204.2 416 160 416C115.8 416 80 380.2 80 336C80 291.8 115.8 256 160 256C204.2 256 240 291.8 240 336zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256z"]],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", ["M384 48C384 49.36 383 50.97 381.8 51.58L352 64L339.6 93.78C338.1 95 337.4 96 336 96C334.6 96 333 95 332.4 93.78L320 64L290.2 51.58C288.1 50.97 288 49.36 288 48C288 46.62 288.1 45.03 290.2 44.42L320 32L332.4 2.219C333 1 334.6 0 336 0C337.4 0 338.1 1 339.6 2.219L352 32L381.8 44.42C383 45.03 384 46.62 384 48zM460.4 93.78L448 64L418.2 51.58C416.1 50.97 416 49.36 416 48C416 46.62 416.1 45.03 418.2 44.42L448 32L460.4 2.219C461 1 462.6 0 464 0C465.4 0 466.1 1 467.6 2.219L480 32L509.8 44.42C511 45.03 512 46.62 512 48C512 49.36 511 50.97 509.8 51.58L480 64L467.6 93.78C466.1 95 465.4 96 464 96C462.6 96 461 95 460.4 93.78zM467.6 194.2L480 224L509.8 236.4C511 237 512 238.6 512 240C512 241.4 511 242.1 509.8 243.6L480 256L467.6 285.8C466.1 287 465.4 288 464 288C462.6 288 461 287 460.4 285.8L448 256L418.2 243.6C416.1 242.1 416 241.4 416 240C416 238.6 416.1 237 418.2 236.4L448 224L460.4 194.2C461 193 462.6 192 464 192C465.4 192 466.1 193 467.6 194.2zM448 144C448 145.4 447 146.1 445.8 147.6L416 160L403.6 189.8C402.1 191 401.4 192 400 192C398.6 192 397 191 396.4 189.8L384 160L354.2 147.6C352.1 146.1 352 145.4 352 144C352 142.6 352.1 141 354.2 140.4L384 128L396.4 98.22C397 97 398.6 96 400 96C401.4 96 402.1 97 403.6 98.22L416 128L445.8 140.4C447 141 448 142.6 448 144zM80 336C80 291.8 115.8 256 160 256C204.2 256 240 291.8 240 336C240 380.2 204.2 416 160 416C115.8 416 80 380.2 80 336z", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256z"]],
    "sprinkler": [512, 512, [], "e035", ["M152 104C138.8 104 128 114.8 128 128s10.75 24 24 24S176 141.3 176 128S165.3 104 152 104zM88 48C74.75 48 64 58.75 64 72S74.75 96 88 96S112 85.25 112 72S101.3 48 88 48zM88 160C74.75 160 64 170.8 64 184S74.75 208 88 208S112 197.3 112 184S101.3 160 88 160zM24 104C10.75 104 0 114.8 0 128s10.75 24 24 24S48 141.3 48 128S37.25 104 24 104zM24 0C10.75 0 0 10.75 0 24S10.75 48 24 48S48 37.25 48 24S37.25 0 24 0zM24 208C10.75 208 0 218.8 0 232S10.75 256 24 256S48 245.3 48 232S37.25 208 24 208zM360 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S384 141.3 384 128S373.3 104 360 104zM424 160c-13.25 0-24 10.75-24 24s10.75 24 24 24S448 197.3 448 184S437.3 160 424 160zM424 48c-13.25 0-24 10.75-24 24S410.8 96 424 96S448 85.25 448 72S437.3 48 424 48zM488 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S512 141.3 512 128S501.3 104 488 104zM488 208c-13.25 0-24 10.75-24 24S474.8 256 488 256S512 245.3 512 232S501.3 208 488 208zM488 48C501.3 48 512 37.25 512 24S501.3 0 488 0S464 10.75 464 24S474.8 48 488 48z", "M398.3 256L288 255.1v-160c0-17.67-14.33-31.1-32-31.1S224 78.33 224 95.1v160L113.8 256C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62l67.5 78.13L192 387.5V512h128v-124.5l24.88-24.88l67.5-78.13c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256z"]],
    "sprinkler-ceiling": [384, 512, [], "e44c", ["M24 448C10.75 448 0 458.8 0 472s10.82 24 24 24s24-10.79 24-24C48 458.8 37.25 448 24 448zM88 384C74.75 384 64 394.8 64 408c0 13.21 10.82 24 24 24s24-10.69 24-24C112 394.8 101.2 384 88 384zM136 448c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 485.2 160 472C160 458.8 149.2 448 136 448zM248 368c13.25 0 24-10.79 24-24c0-13.25-10.75-24-24-24S224 330.8 224 344C224 357.2 234.8 368 248 368zM296 384c-13.25 0-24 10.78-24 24c0 13.31 10.75 24 24 24S320 421.3 320 408S309.2 384 296 384zM248 448C234.8 448 224 458.8 224 472c0 13.21 10.75 24 24 24s24-10.79 24-24C272 458.8 261.2 448 248 448zM136 320c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 357.2 160 344C160 330.8 149.2 320 136 320zM360 448c-13.25 0-24 10.78-24 24c0 13.21 10.75 24 24 24S384 485.2 384 472C384 458.8 373.2 448 360 448zM192 384c-13.25 0-24 10.75-24 24S178.8 432 192 432s24-10.69 24-24C216 394.8 205.2 384 192 384z", "M128 82.56L64 69.76V0H0v96c0 15.26 10.75 28.38 25.73 31.39L128 147.8V82.56zM320 0v69.76l-64 12.8v65.28l102.3-20.45C373.2 124.4 384 111.3 384 96V0H320zM288 192h-64V64c0-17.66-14.34-32-32-32S160 46.34 160 64v128H96C78.34 192 64 206.3 64 224s14.34 32 32 32h192c17.66 0 32-14.34 32-32S305.7 192 288 192z"]],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96z", ""]],
    "square-0": [448, 512, [], "e255", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288zM224 176C197.5 176 176 197.5 176 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C272 197.5 250.5 176 224 176z", "M224 128C171.1 128 128 171.1 128 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C320 171.1 276.9 128 224 128zM272 288c0 26.47-21.53 48-48 48S176 314.5 176 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"]],
    "square-1": [448, 512, [], "e256", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM288 384H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288c13.25 0 24 10.75 24 24S301.3 384 288 384z", "M312 360c0 13.25-10.75 24-24 24H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288C301.3 336 312 346.8 312 360z"]],
    "square-2": [448, 512, [], "e257", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M320 360c0 13.25-10.75 24-24 24h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296C309.3 336 320 346.8 320 360z"]],
    "square-3": [448, 512, [], "e258", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300C320 346.3 282.3 384 236 384z", "M320 300C320 346.3 282.3 384 236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300z"]],
    "square-4": [448, 512, [], "e259", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296S309.3 320 296 320z", "M320 296C320 309.3 309.3 320 296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296z"]],
    "square-5": [448, 512, [], "e25a", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9C320 348.5 284.5 384 240.1 384z", "M320 304.9C320 348.5 284.5 384 240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9z"]],
    "square-6": [448, 512, [], "e25b", ["M224 240c-21.06 0-40 14.09-46.03 34.28C176.7 278.7 176 283.3 176 288c0 26.47 21.53 48 48 48s48-21.53 48-48S250.5 240 224 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C252.8 129.9 258.4 128 264 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C290.3 207.5 320 244.1 320 288C320 340.9 276.9 384 224 384z", "M224 384c52.94 0 96-43.06 96-96c0-43.86-29.73-80.53-69.98-91.96l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C277.3 130.8 270.7 128 264 128c-5.594 0-11.22 1.938-15.78 5.906L168.3 203.6C155.5 214.7 128 246.7 128 288C128 340.9 171.1 384 224 384zM177.1 274.3C184 254.1 202.9 240 224 240c26.47 0 48 21.53 48 48s-21.53 48-48 48S176 314.5 176 288C176 283.3 176.7 278.7 177.1 274.3z"]],
    "square-7": [448, 512, [], "e25c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM317.1 163.4l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.438 0 16.28 4.438 20.59 11.69C320.9 146.9 321.1 155.9 317.1 163.4z", "M316.6 139.7c4.344 7.25 4.531 16.25 .5313 23.69l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144C304.4 128 312.3 132.4 316.6 139.7z"]],
    "square-8": [448, 512, [], "e25d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240 384h-32C163.9 384 128 348.1 128 304c0-25.06 11.81-47.19 29.9-61.87C149.3 230.3 144 215.8 144 200C144 160.3 176.3 128 216 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C308.2 256.8 320 278.9 320 304C320 348.1 284.1 384 240 384zM216 224h16C245.2 224 256 213.2 256 200S245.2 176 232 176h-16C202.8 176 192 186.8 192 200S202.8 224 216 224zM240 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S257.7 272 240 272z", "M290.1 242.1C298.7 230.3 304 215.8 304 200C304 160.3 271.7 128 232 128h-16C176.3 128 144 160.3 144 200c0 15.77 5.254 30.26 13.9 42.13C139.8 256.8 128 278.9 128 304C128 348.1 163.9 384 208 384h32c44.13 0 80-35.88 80-80C320 278.9 308.2 256.8 290.1 242.1zM216 176h16C245.2 176 256 186.8 256 200S245.2 224 232 224h-16C202.8 224 192 213.2 192 200S202.8 176 216 176zM240 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S257.7 336 240 336z"]],
    "square-9": [448, 512, [], "e25e", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM279.7 308.4l-79.94 69.69C195.2 382.1 189.6 384 184 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C157.7 304.5 128 267.9 128 224c0-52.94 43.06-96 96-96s96 43.06 96 96C320 265.3 292.5 297.3 279.7 308.4zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272c21.06 0 40-14.09 46.03-34.28C271.3 233.3 272 228.7 272 224C272 197.5 250.5 176 224 176z", "M224 128C171.1 128 128 171.1 128 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C170.7 381.2 177.3 384 184 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C292.5 297.3 320 265.3 320 224C320 171.1 276.9 128 224 128zM270 237.7C264 257.9 245.1 272 224 272C197.5 272 176 250.5 176 224S197.5 176 224 176s48 21.53 48 48C272 228.7 271.3 233.3 270 237.7z"]],
    "square-a": [448, 512, [], "e25f", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.1 381.8c-3.266 1.506-6.688 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H161.8l-12.03 26.18c-5.578 12.09-19.77 17.36-31.86 11.77c-12.03-5.557-17.28-19.9-11.73-31.99l95.99-208.1c7.844-17.08 35.75-17.08 43.59 0l95.99 208.1C347.3 361.9 342.1 376.2 330.1 381.8zM183.1 295.6h80.04L224 208.5L183.1 295.6z", "M245.8 140.8c-7.844-17.08-35.75-17.08-43.59 0L106.2 349.8c-5.547 12.09-.2969 26.44 11.73 31.99c12.09 5.588 26.28 .3145 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.062 8.822 12.73 14 21.81 14c3.359 0 6.781-.7227 10.05-2.229c12.03-5.557 17.28-19.9 11.73-31.99L245.8 140.8zM183.1 295.6L224 208.5l40.02 87.14H183.1z"]],
    "square-a-lock": [576, 512, [], "e44d", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V161.1C393.7 168.9 351.1 215.6 351.1 272V296.6C342.1 302.3 333.9 310.6 328.2 320.6L245.8 141.9C241.9 133.4 233.4 127.1 224 127.1C214.6 127.1 206.1 133.4 202.2 141.9L106.2 349.9C100.7 361.1 105.9 376.2 117.9 381.8C129.1 387.3 144.2 382.1 149.8 370.1L161.8 343.1H286.2L298.2 370.1C302.3 378.8 310.9 384 319.1 384V480H64C28.65 480 0 451.3 0 416V96zM183.1 295.1L224 209.3L264 295.1H183.1z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "square-ampersand": [448, 512, [], "e260", ["M167 302.5C162.5 306.1 160 311.4 160 317.2C160 327.5 168.5 336 178.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L199.1 276.6L167 302.5zM204 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C229.6 180.3 225.2 176 219.9 176H196.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L204 210.9zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM324 377.7C319.4 381.9 313.6 384 307.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C256.7 373.6 234.7 384 211.3 384H178.8C141.1 384 112 354 112 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L156.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C139.1 153.9 165 128 196.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L287.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L299.5 315.3l26.03 28.47C334.5 353.6 333.8 368.8 324 377.7z", "M299.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C277.6 153.9 251.7 128 219.9 128H196.8C165 128 139.1 153.9 139.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L136.8 265.2C121.1 277.9 112 296.9 112 317.2C112 354 141.1 384 178.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C294.8 381.4 301.3 384 307.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L299.5 315.3zM196.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L204 210.9L191.7 197.4C188.8 194.2 187.1 190 187.1 185.7C187.1 180.3 191.5 176 196.8 176zM236.3 322.8C230.7 331.1 221.3 336 211.3 336H178.8C168.5 336 160 327.5 160 317.2c0-5.719 2.531-11.06 7-14.64L199.1 276.6l39.37 43.08L236.3 322.8z"]],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z", "M350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z"]],
    "square-arrow-down-left": [448, 512, [], "e261", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z", "M334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z"]],
    "square-arrow-down-right": [448, 512, [], "e262", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z", "M344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z"]],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z", "M352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z"]],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z", "M374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z"]],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z", "M350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z"]],
    "square-arrow-up-left": [448, 512, [], "e263", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z", "M334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z"]],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z", "M344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z"]],
    "square-b": [448, 512, [], "e264", ["M272 204c0-15.44-12.56-28-28-28H176v56h68C259.4 232 272 219.4 272 204zM260 280H176v56h84C275.4 336 288 323.4 288 308S275.4 280 260 280zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM260 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h92C285.9 128 320 162.1 320 204c0 16.35-5.301 31.41-14.12 43.82C324.1 261.7 336 283.4 336 308C336 349.9 301.9 384 260 384z", "M305.9 247.8C314.7 235.4 320 220.3 320 204C320 162.1 285.9 128 244 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h108c41.91 0 76-34.09 76-76C336 283.4 324.1 261.7 305.9 247.8zM176 176h68c15.44 0 28 12.56 28 28S259.4 232 244 232H176V176zM260 336H176V280h84C275.4 280 288 292.6 288 308S275.4 336 260 336z"]],
    "square-bolt": [448, 512, [], "e265", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM261.8 131.6L125.8 243.6C120.6 247.9 118.7 255 120.9 261.4C123.2 267.8 129.2 271.1 136 271.1H199.7L161.3 361.7C158.4 368.5 160.5 376.4 166.4 380.8C172.3 385.2 180.5 385 186.2 380.4L322.2 268.4C327.4 264.1 329.3 256.1 327.1 250.6C324.8 244.2 318.8 240 312 240H248.3L286.7 150.3C289.6 143.5 287.5 135.6 281.6 131.2C275.7 126.8 267.5 126.1 261.8 131.6V131.6z", "M248.3 240H312C318.8 240 324.8 244.2 327.1 250.6C329.3 256.1 327.4 264.1 322.2 268.4L186.2 380.4C180.5 385 172.3 385.2 166.4 380.8C160.5 376.4 158.4 368.5 161.3 361.7L199.7 271.1H136C129.2 271.1 123.2 267.8 120.9 261.4C118.7 255 120.6 247.9 125.8 243.6L261.8 131.6C267.5 126.1 275.7 126.8 281.6 131.2C287.5 135.6 289.6 143.5 286.7 150.3L248.3 240z"]],
    "square-c": [448, 512, [], "e266", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM167.2 312.3c14.93 15.13 34.76 23.49 55.86 23.49s40.94-8.32 55.88-23.49c9.33-9.418 24.55-9.545 33.95-.125c9.426 9.357 9.488 24.62 .1562 34.1C289 370.6 257 384 223.1 384c0 0 .0156 0 0 0c-33.1 0-65.95-13.41-89.96-37.74c-49.46-50.08-49.46-131.6 0-181.7c48-48.7 131.9-48.7 179.1 0c9.332 9.451 9.27 24.71-.1562 34.1c-9.395 9.357-24.59 9.326-33.95-.1562c-29.89-30.27-81.89-30.24-111.7 0C136.2 229.9 136.2 280.9 167.2 312.3z", "M278.9 198.5c9.361 9.482 24.55 9.514 33.95 .1562c9.426-9.389 9.488-24.65 .1562-34.1C289.2 140.4 256.7 128.2 223.1 128C190.7 127.8 157.3 139.9 133.1 164.5C108.2 189.7 95.85 222.9 96 255.1c.1485 32.71 12.51 65.37 37.09 90.26C157.1 370.6 189.1 384 223.1 384c.0156 0 0 0 0 0c33.1 0 65.97-13.41 89.99-37.74c9.332-9.482 9.27-24.74-.1562-34.1c-9.395-9.42-24.62-9.293-33.95 .125c-14.94 15.17-34.78 23.49-55.88 23.49s-40.94-8.352-55.86-23.49c-30.98-31.37-30.98-82.42 0-113.8C197.1 168.2 249.1 168.2 278.9 198.5z"]],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z", "M345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z"]],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z", "M288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z"]],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z", "M312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z"]],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z", "M349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z"]],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM339.8 211.8C350.7 200.9 350.7 183.1 339.8 172.2C328.9 161.3 311.1 161.3 300.2 172.2L192 280.4L147.8 236.2C136.9 225.3 119.1 225.3 108.2 236.2C97.27 247.1 97.27 264.9 108.2 275.8L172.2 339.8C183.1 350.7 200.9 350.7 211.8 339.8L339.8 211.8z", "M339.8 172.2C350.7 183.1 350.7 200.9 339.8 211.8L211.8 339.8C200.9 350.7 183.1 350.7 172.2 339.8L108.2 275.8C97.27 264.9 97.27 247.1 108.2 236.2C119.1 225.3 136.9 225.3 147.8 236.2L192 280.4L300.2 172.2C311.1 161.3 328.9 161.3 339.8 172.2V172.2z"]],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", ["M384 32H64C28.66 32 0 60.65 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z", "M358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z"]],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z", "M294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z"]],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z", "M310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z"]],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.35 28.66 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z", "M358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z"]],
    "square-code": [448, 512, [], "e267", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM262.2 167.9C253.3 177.8 254.1 192.1 263.9 201.8L324.1 256L263.9 310.2C254.1 319 253.3 334.2 262.2 344.1C271 353.9 286.2 354.7 296.1 345.8L376.1 273.8C381.1 269.3 384 262.8 384 256C384 249.2 381.1 242.7 376.1 238.2L296.1 166.2C286.2 157.3 271 158.1 262.2 167.9V167.9zM184.1 201.8C193.9 192.1 194.7 177.8 185.8 167.9C176.1 158.1 161.8 157.3 151.9 166.2L71.94 238.2C66.89 242.7 64 249.2 64 256C64 262.8 66.89 269.3 71.94 273.8L151.9 345.8C161.8 354.7 176.1 353.9 185.8 344.1C194.7 334.2 193.9 319 184.1 310.2L123.9 256L184.1 201.8z", "M123.9 256L184.1 310.2C193.9 319 194.7 334.2 185.8 344.1C176.1 353.9 161.8 354.7 151.9 345.8L71.94 273.8C66.89 269.3 64 262.8 64 256C64 249.2 66.89 242.7 71.94 238.2L151.9 166.2C161.8 157.3 176.1 158.1 185.8 167.9C194.7 177.8 193.9 192.1 184.1 201.8L123.9 256zM263.9 201.8C254.1 192.1 253.3 177.8 262.2 167.9C271 158.1 286.2 157.3 296.1 166.2L376.1 238.2C381.1 242.7 384 249.2 384 256C384 262.8 381.1 269.3 376.1 273.8L296.1 345.8C286.2 354.7 271 353.9 262.2 344.1C253.3 334.2 254.1 319 263.9 310.2L324.1 256L263.9 201.8z"]],
    "square-d": [448, 512, [], "e268", ["M304 256c0 44.13-36.61 80-81.59 80H176v-160h46.41C267.4 176 304 211.9 304 256zM448 96v320c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320C419.3 32 448 60.65 448 96zM352 256c0-70.58-58.14-128-129.6-128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h70.41C293.9 384 352 326.6 352 256z", "M222.4 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h70.41C293.9 384 352 326.6 352 256C352 185.4 293.9 128 222.4 128zM222.4 336H176v-160h46.41C267.4 176 304 211.9 304 256C304 300.1 267.4 336 222.4 336z"]],
    "square-dashed": [448, 512, [], "e269", ["M96 32H128V96H96C78.33 96 64 110.3 64 128V160H0V128C0 74.98 42.98 32 96 32zM96 416H128V480H96C42.98 480 0 437 0 384V352H64V384C64 401.7 78.33 416 96 416zM352 480H320V416H352C369.7 416 384 401.7 384 384V352H448V384C448 437 405 480 352 480zM448 160H384V128C384 110.3 369.7 96 352 96H320V32H352C405 32 448 74.98 448 128V160z", "M64 192V320H0V192H64zM448 192V320H384V192H448zM160 480V416H288V480H160zM160 32H288V96H160V32z"]],
    "square-divide": [448, 512, [], "e26a", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136zM224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320z", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM112 256C112 242.7 122.7 232 136 232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"]],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM244.8 133.6C244.8 121.7 235.1 112 223.2 112C211.3 112 201.6 121.7 201.6 133.6V149.7C195.5 151.1 189.6 152.1 184.1 155.4C166.1 163.1 149.1 177.6 145.1 199.4C140.9 222.5 150.9 243.3 170.4 255.8C184.6 264.9 203.4 270.2 218.5 274.5C220.7 275.1 222.1 275.7 225.3 276.4C237.2 279.6 249.7 282.1 259.8 289.9C271.5 297.9 265.9 312.1 253.9 316.1C244.1 320.6 231.4 322.1 214.4 319.6C202.8 317.8 191.2 313.8 179.9 310C177.4 309.2 174.9 308.3 172.4 307.5C161.1 303.7 148.8 309.9 145.1 321.2C141.3 332.5 147.5 344.8 158.8 348.5C172.9 353.1 187.1 357.8 201.6 361L201.6 378.4C201.6 390.3 211.3 400 223.2 400C235.1 400 244.8 390.3 244.8 378.4L244.8 363.2C253.7 362.2 262.2 360.2 270 357C288.8 349.5 304.3 334.8 308.5 312.4C312.7 289.2 303.6 267.5 284.2 254.2C269.3 244 249.4 238.4 233.8 233.9C231.5 233.3 229.1 232.6 226.8 231.1C215.4 228.9 203.5 225.7 193.6 219.4C181.1 211.4 190.2 199.8 201.2 195C213.6 189.7 228.9 188.5 242.1 191C249.2 192.4 256.2 194.4 263.2 196.3C264.7 196.8 266.3 197.2 267.8 197.6C279.3 200.8 291.2 194.1 294.4 182.6C297.6 171.1 290.8 159.2 279.3 155.1C277.5 155.5 275.6 154.9 273.8 154.4C264.2 151.7 254.5 149 244.8 147.8L244.8 133.6z", "M223.2 112C235.1 112 244.8 121.7 244.8 133.6V147.8C256.4 149.2 267.1 152.8 279.3 155.1C290.8 159.2 297.6 171.1 294.4 182.6C291.2 194.1 279.3 200.8 267.8 197.6C259.3 195.3 250.7 192.7 242.1 191C228.9 188.5 213.6 189.7 201.2 195C190.2 199.8 181.1 211.4 193.6 219.4C205.5 226.1 220.4 230.1 233.8 233.9C249.4 238.4 269.3 244 284.2 254.2C303.6 267.5 312.7 289.2 308.5 312.4C304.3 334.8 288.8 349.5 270 357C262.2 360.2 253.7 362.2 244.8 363.2L244.8 378.4C244.8 390.3 235.1 400 223.2 400C211.3 400 201.6 390.3 201.6 378.4L201.6 361C187.1 357.8 172.9 353.1 158.8 348.5C147.5 344.8 141.3 332.5 145.1 321.2C148.8 309.9 161.1 303.7 172.4 307.5C186.1 312 200.2 317.4 214.4 319.6C231.4 322.1 244.1 320.6 253.9 316.1C265.9 312.1 271.5 297.9 259.8 289.9C247.8 281.6 232.3 278.4 218.5 274.5C203.4 270.2 184.6 264.9 170.4 255.8C150.9 243.3 140.9 222.5 145.1 199.4C149.1 177.6 166.1 163.1 184.1 155.4C189.6 152.1 195.4 151.1 201.6 149.7V133.6C201.6 121.7 211.3 112 223.2 112L223.2 112z"]],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", ["M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z", "M97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z"]],
    "square-down-left": [448, 512, [], "e26b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.9 222l-67.94 67.94l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.835 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.94-67.94c12.5-12.5 32.7-12.44 45.2 .0548l22.63 22.63C338.3 189.3 338.4 209.5 325.9 222z", "M331.5 216.4l-73.54 73.54l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.836 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l73.54-73.54c9.373-9.371 24.57-9.371 33.94 0l33.94 33.94C340.9 191.8 340.9 207 331.5 216.4z"]],
    "square-down-right": [448, 512, [], "e26c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z", "M330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"]],
    "square-e": [448, 512, [], "e26d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM264 232C277.3 232 288 242.8 288 256s-10.75 24-24 24H176v56h120c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176H176v56H264z", "M296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H176V280h88C277.3 280 288 269.3 288 256s-10.75-24-24-24H176V176H296z"]],
    "square-ellipsis": [448, 512, [], "e26e", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256zM96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256zM352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C337.7 288 352 273.7 352 256z", "M128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z"]],
    "square-ellipsis-vertical": [448, 512, [], "e26f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288zM224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128zM224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384z", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"]],
    "square-envelope": [448, 512, ["envelope-square"], "f199", ["M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM384 336c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-160c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V336z", "M224 300.2c-7.375 0-14.75-1.688-21.47-5.047L64 225.9V336c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V225.9l-138.5 69.27C238.8 298.5 231.4 300.2 224 300.2zM352 144H96c-17.67 0-32 14.33-32 32v14.11l152.8 76.42c4.5 2.25 9.812 2.25 14.31 0L384 190.1V176C384 158.3 369.7 144 352 144z"]],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM200 152C200 138.8 210.8 128 224 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S200 293.3 200 280V152zM224 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C255.4 385.9 241.4 400 224 400z", "M224 337.1c-17.36 0-31.44 14.08-31.44 31.44C192.6 385.9 206.6 400 224 400s31.44-14.08 31.44-31.44C255.4 351.2 241.4 337.1 224 337.1zM224 304c13.25 0 24-10.75 24-24v-128C248 138.8 237.3 128 224 128S200 138.8 200 152v128C200 293.3 210.8 304 224 304z"]],
    "square-f": [448, 512, [], "e270", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 176H176v64h88C277.3 240 288 250.8 288 264S277.3 288 264 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176z", "M296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h88C277.3 288 288 277.3 288 264S277.3 240 264 240H176v-64h120C309.3 176 320 165.3 320 152S309.3 128 296 128z"]],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM150.3 96C137.1 96 128 105.1 128 118.3V208C128 255.6 162.6 295.1 208 302.7V384H160C151.2 384 144 391.2 144 400C144 408.8 151.2 416 160 416H288C296.8 416 304 408.8 304 400C304 391.2 296.8 384 288 384H240V302.7C285.4 295.1 320 255.6 320 208V118.3C320 105.1 310 96 297.7 96H150.3z", "M176 96L208 160L176 192L256 256L224 192L272 160L240 96H297.7C310 96 320 105.1 320 118.3V208C320 255.6 285.4 295.1 240 302.7V384H288C296.8 384 304 391.2 304 400C304 408.8 296.8 416 288 416H160C151.2 416 144 408.8 144 400C144 391.2 151.2 384 160 384H208V302.7C162.6 295.1 128 255.6 128 208V118.3C128 105.1 137.1 96 150.3 96H176z"]],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", ["M0 0H512V512H0V0z", ""]],
    "square-g": [448, 512, [], "e271", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C290.3 370.7 258.2 384 224 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C181.4 117.5 261.5 115.3 312 160.6c9.875 8.844 10.72 24.02 1.875 33.89C305 204.4 289.8 205.2 280 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H248C234.8 288 224 277.3 224 264s10.75-24 24-24h80C341.3 240 352 250.8 352 264V274.9z", "M328 240h-80C234.8 240 224 250.8 224 264S234.8 288 248 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C197.7 169.2 248.1 167.8 280 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C157.7 370.7 189.8 384 224 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C351.9 277.8 352 276.4 352 274.9V264C352 250.8 341.3 240 328 240z"]],
    "square-h": [448, 512, ["h-square"], "f0fd", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 360c0 13.25-10.75 24-24 24S288 373.3 288 360v-80H160v80C160 373.3 149.3 384 136 384S112 373.3 112 360v-208C112 138.8 122.8 128 136 128S160 138.8 160 152v80h128v-80C288 138.8 298.8 128 312 128s24 10.75 24 24V360z", "M312 128C298.8 128 288 138.8 288 152v80H160v-80C160 138.8 149.3 128 136 128S112 138.8 112 152v208C112 373.3 122.8 384 136 384S160 373.3 160 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C336 138.8 325.3 128 312 128z"]],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM201.5 384.2C207.7 390.5 215.9 393.6 224 393.6C232.1 393.6 240.3 390.5 246.5 384.2L348.1 280.1C377.5 251.2 377.5 202.8 348.1 173C318.8 143.2 271.1 143.2 241.7 173L224 191L206.3 173C176.9 143.2 129.2 143.2 99.87 173C70.48 202.8 70.48 251.2 99.87 280.1L201.5 384.2z", "M206.3 173L224 191L241.7 173C271.1 143.2 318.8 143.2 348.1 173C377.5 202.8 377.5 251.2 348.1 280.1L246.5 384.2C240.3 390.5 232.1 393.6 224 393.6C215.9 393.6 207.7 390.5 201.5 384.2L99.87 280.1C70.48 251.2 70.48 202.8 99.87 173C129.2 143.2 176.9 143.2 206.3 173H206.3z"]],
    "square-i": [448, 512, [], "e272", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 336c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360s10.75-24 24-24h48v-160h-48C138.8 176 128 165.3 128 152S138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176h-48v160H296z", "M296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h48v160h-48C138.8 336 128 346.8 128 360S138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H296z"]],
    "square-info": [448, 512, [8505, "info-square"], "f30f", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM224 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S192 177.7 192 160C192 142.3 206.3 128 224 128zM264 384h-80C170.8 384 160 373.3 160 360s10.75-24 24-24h16v-64H192c-13.25 0-24-10.75-24-24S178.8 224 192 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S277.3 384 264 384z", "M224 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S192 142.3 192 160C192 177.7 206.3 192 224 192zM264 336h-16V248C248 234.8 237.3 224 224 224H192C178.8 224 168 234.8 168 248S178.8 272 192 272h8v64h-16C170.8 336 160 346.8 160 360S170.8 384 184 384h80c13.25 0 24-10.75 24-24S277.3 336 264 336z"]],
    "square-j": [448, 512, [], "e273", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM304 290.7C304 342.1 260.9 384 208 384s-96-41.86-96-93.33V280C112 266.8 122.8 256 136 256S160 266.8 160 280v10.67C160 315.7 181.5 336 208 336S256 315.7 256 290.7V152C256 138.8 266.8 128 280 128s24 10.75 24 24V290.7z", "M280 128C266.8 128 256 138.8 256 152v138.7C256 315.7 234.5 336 208 336S160 315.7 160 290.7V280C160 266.8 149.3 256 136 256S112 266.8 112 280v10.67C112 342.1 155.1 384 208 384s96-41.86 96-93.33V152C304 138.8 293.3 128 280 128z"]],
    "square-k": [448, 512, [], "e274", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM243.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C305.5 382.6 300.7 384 296 384c-7.609 0-15.09-3.609-19.75-10.34L206.9 273.4L176 303.9V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C241.9 240.7 243 241.3 243.7 242.3z", "M313.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L176 236.5V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C280.9 380.4 288.4 384 296 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C322.3 159.8 322.4 144.6 313.1 135.2z"]],
    "square-kanban": [448, 512, [], "e488", ["M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM160 288V160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160V288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288zM288 352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V160C352 142.3 337.7 128 320 128C302.3 128 288 142.3 288 160V352zM256 224V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V224C192 241.7 206.3 256 224 256C241.7 256 256 241.7 256 224z", "M288 160C288 142.3 302.3 128 320 128C337.7 128 352 142.3 352 160V352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V160zM96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160V288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288V160zM224 256C206.3 256 192 241.7 192 224V160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256z"]],
    "square-l": [448, 512, [], "e275", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v184h120c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M296 336H176V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", ["M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z", "M214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z"]],
    "square-list": [448, 512, [], "e489", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192C113.7 192 128 177.7 128 160zM128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352zM192 136C178.7 136 168 146.7 168 160C168 173.3 178.7 184 192 184H352C365.3 184 376 173.3 376 160C376 146.7 365.3 136 352 136H192zM192 376H352C365.3 376 376 365.3 376 352C376 338.7 365.3 328 352 328H192C178.7 328 168 338.7 168 352C168 365.3 178.7 376 192 376zM192 232C178.7 232 168 242.7 168 256C168 269.3 178.7 280 192 280H352C365.3 280 376 269.3 376 256C376 242.7 365.3 232 352 232H192z", "M168 160C168 146.7 178.7 136 192 136H352C365.3 136 376 146.7 376 160C376 173.3 365.3 184 352 184H192C178.7 184 168 173.3 168 160zM168 352C168 338.7 178.7 328 192 328H352C365.3 328 376 338.7 376 352C376 365.3 365.3 376 352 376H192C178.7 376 168 365.3 168 352zM352 232C365.3 232 376 242.7 376 256C376 269.3 365.3 280 352 280H192C178.7 280 168 269.3 168 256C168 242.7 178.7 232 192 232H352z"]],
    "square-m": [448, 512, [], "e276", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L144 226.2V360C144 373.3 133.3 384 120 384S96 373.3 96 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L224 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C345.3 132.4 352 141.6 352 152V360z", "M335.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L224 255L139.5 137.1C133.4 129.5 122.5 125.9 112.6 129.2C102.7 132.4 96 141.6 96 152v208C96 373.3 106.8 384 120 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L304 226.2V360c0 13.25 10.75 24 24 24S352 373.3 352 360v-208C352 141.6 345.3 132.4 335.4 129.2z"]],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136z", "M112 256C112 242.7 122.7 232 136 232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256z"]],
    "square-n": [448, 512, [], "e277", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 360c0 10.5-6.828 19.78-16.84 22.91C300.8 383.6 298.4 384 296 384c-7.719 0-15.17-3.734-19.73-10.34L176 228.8V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L272 283.2V152C272 138.8 282.8 128 296 128S320 138.8 320 152V360z", "M296 128c-13.25 0-24 10.75-24 24v131.2L171.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C134.8 132.2 128 141.5 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V228.8l100.3 144.8C280.8 380.3 288.3 384 296 384c2.391 0 4.797-.3594 7.156-1.094C313.2 379.8 320 370.5 320 360v-208C320 138.8 309.3 128 296 128z"]],
    "square-nfi": [448, 512, [], "e576", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 176V336C64 344.8 71.16 352 80 352C88.84 352 96 344.8 96 336V233.8L162.3 344.2C165.1 350.4 173.3 353.3 180.3 351.4C187.2 349.5 191.1 343.2 191.1 336V176C191.1 167.2 184.8 160 175.1 160C167.2 160 159.1 167.2 159.1 176V278.2L93.72 167.8C90.02 161.6 82.66 158.7 75.73 160.6C68.8 162.5 64 168.8 64 176V176zM224 336C224 344.8 231.2 352 240 352C248.8 352 256 344.8 256 336V256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H256V192H304C312.8 192 320 184.8 320 176C320 167.2 312.8 160 304 160H240C231.2 160 224 167.2 224 176V336zM384 176C384 167.2 376.8 160 368 160C359.2 160 352 167.2 352 176V336C352 344.8 359.2 352 368 352C376.8 352 384 344.8 384 336V176z", "M159.1 278.2V176C159.1 167.2 167.2 160 175.1 160C184.8 160 191.1 167.2 191.1 176V336C191.1 343.2 187.2 349.5 180.3 351.4C173.3 353.3 165.1 350.4 162.3 344.2L96 233.8V336C96 344.8 88.84 352 80 352C71.16 352 64 344.8 64 336V176C64 168.8 68.8 162.5 75.73 160.6C82.66 158.7 90.02 161.6 93.72 167.8L159.1 278.2zM304 160C312.8 160 320 167.2 320 176C320 184.8 312.8 192 304 192H256V224H304C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H256V336C256 344.8 248.8 352 240 352C231.2 352 223.1 344.8 223.1 336V176C223.1 167.2 231.2 160 240 160H304zM384 336C384 344.8 376.8 352 368 352C359.2 352 352 344.8 352 336V176C352 167.2 359.2 160 368 160C376.8 160 384 167.2 384 176V336z"]],
    "square-o": [448, 512, [], "e278", ["M224 176C179.9 176 144 211.9 144 256s35.89 80 80 80s80-35.89 80-80S268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S294.6 384 224 384z", "M224 128C153.4 128 96 185.4 96 256s57.42 128 128 128s128-57.42 128-128S294.6 128 224 128zM224 336c-44.11 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80S268.1 336 224 336z"]],
    "square-p": [448, 512, [], "e279", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM248 304H176v56C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h96c48.53 0 88 39.47 88 88S296.5 304 248 304zM248 176H176V256h72C270.1 256 288 238.1 288 216S270.1 176 248 176z", "M248 128h-96C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S296.5 128 248 128zM248 256H176V176h72C270.1 176 288 193.9 288 216S270.1 256 248 256z"]],
    "square-parking": [448, 512, [127359, "parking"], "f540", ["M192 256V192H240C257.7 192 272 206.3 272 224C272 241.7 257.7 256 240 256H192zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM336 224C336 170.1 293 128 240 128H168C145.9 128 128 145.9 128 168V352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352V320H240C293 320 336 277 336 224z", "M192 352C192 369.7 177.7 384 160 384C142.3 384 128 369.7 128 352V168C128 145.9 145.9 128 168 128H240C293 128 336 170.1 336 224C336 277 293 320 240 320H192V352zM192 192V256H240C257.7 256 272 241.7 272 224C272 206.3 257.7 192 240 192H192z"]],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", ["M404.2 291.5C421.4 274.2 432 250.3 432 224C432 170.1 389 128 336 128H264C247.3 128 233.1 138.2 227.1 152.7L107.7 59.11C119.3 42.71 138.4 32 160 32H480C515.3 32 544 60.65 544 96V401.1L404.2 291.5zM288 200.4V192H336C353.7 192 368 206.3 368 224C368 235.5 361.9 245.6 352.8 251.2L288 200.4zM224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352V322.9L486.9 479.6C484.6 479.9 482.3 480 480 480H160C124.7 480 96 451.3 96 416V171.6L224 272.5V352z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM325.8 139.7C310.1 124.1 284.8 124.1 269.2 139.7L247.8 161.1L318.7 232.1L340.1 210.7C355.8 195 355.8 169.7 340.1 154.1L325.8 139.7zM111.5 303.8L96.48 363.1C95.11 369.4 96.71 375.2 100.7 379.2C104.7 383.1 110.4 384.7 115.9 383.4L176 368.3C181.6 366.9 186.8 364 190.9 359.9L296.1 254.7L225.1 183.8L119.9 288.1C115.8 293.1 112.9 298.2 111.5 303.8z", "M269.2 139.7C284.8 124.1 310.1 124.1 325.8 139.7L340.1 154.1C355.8 169.7 355.8 195 340.1 210.7L318.7 232.1L247.8 161.1L269.2 139.7zM296.1 254.7L190.9 359.9C186.8 364 181.6 366.9 176 368.3L115.9 383.4C110.4 384.7 104.7 383.1 100.7 379.2C96.71 375.2 95.12 369.4 96.48 363.1L111.5 303.8C112.9 298.2 115.8 293.1 119.9 288.1L225.1 183.8L296.1 254.7z"]],
    "square-person-confined": [448, 512, [], "e577", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM208 96C181.5 96 160 117.5 160 144C160 170.5 181.5 192 208 192C234.5 192 256 170.5 256 144C256 117.5 234.5 96 208 96zM240 306.7L198.6 265.4C191.4 258.1 181 254.8 170.9 256.4C160.7 258.1 151.1 264.5 147.4 273.7L99.39 369.7C91.48 385.5 97.89 404.7 113.7 412.6C129.5 420.5 148.7 414.1 156.6 398.3L184.8 342L239.4 396.7C251.8 409.1 268.6 416 286.1 416C322.5 416 352 386.5 352 350.1V248C352 217.1 326.9 192 296 192C265.1 192 240 217.1 240 248V306.7z", "M160 144C160 117.5 181.5 96 208 96C234.5 96 256 117.5 256 144C256 170.5 234.5 192 208 192C181.5 192 160 170.5 160 144zM352 248V350.1C352 386.5 322.5 416 286.1 416C268.6 416 251.8 409.1 239.4 396.7L184.8 342L156.6 398.3C148.7 414.1 129.5 420.5 113.7 412.6C97.89 404.7 91.48 385.5 99.39 369.7L147.4 273.7C151.1 264.5 160.7 258.1 170.9 256.4C181 254.8 191.4 258.1 198.6 265.4L240 306.7V248C240 217.1 265.1 192 296 192C326.9 192 352 217.1 352 248V248z"]],
    "square-phone": [448, 512, ["phone-square"], "f098", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM351.6 321.5l-11.62 50.39C338.3 379 332.1 384 324.7 384c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z", "M351.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.63c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z"]],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM123.3 384c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22C352 281.4 249.4 384 123.3 384z", "M105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9063 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.63c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6z"]],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM387.1 278.2l-27.41 43.85c-3.967 6.354-12.02 9.043-19.06 6.248l-54.81-21.92c-6.475-2.562-10.46-9.184-9.721-16.07l3.447-34.61C243.9 243.3 204.1 243.3 167.6 255.7L171.1 290.3c.6953 6.906-3.271 13.47-9.713 16.06l-54.82 21.93c-7.07 2.764-15.08 .1387-19.07-6.258L60.04 278.2c-3.889-6.188-2.979-14.15 2.203-19.33c89.2-89.2 234.3-89.19 323.5-.002C390.9 264.1 391.8 272 387.1 278.2z", "M341.5 328.3l-54.81-21.92c-6.474-2.563-10.46-9.183-9.721-16.07l3.449-34.61c-36.5-12.46-76.31-12.46-112.8-.0034l3.445 34.61C171.8 297.2 167.8 303.8 161.3 306.4l-54.82 21.93c-7.071 2.762-15.08 .1383-19.07-6.259l-27.4-43.85C56.16 272 57.07 264.1 62.25 258.9c89.2-89.2 234.3-89.19 323.5-.0019c5.187 5.187 6.091 13.14 2.207 19.33l-27.41 43.85C356.6 328.4 348.5 331.1 341.5 328.3z"]],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 368C237.3 368 248 357.3 248 344V280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H248V168C248 154.7 237.3 144 224 144C210.7 144 200 154.7 200 168V232H136C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H200V344C200 357.3 210.7 368 224 368z", "M136 280C122.7 280 112 269.3 112 256C112 242.7 122.7 232 136 232H200V168C200 154.7 210.7 144 224 144C237.3 144 248 154.7 248 168V232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H248V344C248 357.3 237.3 368 224 368C210.7 368 200 357.3 200 344V280H136z"]],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", ["M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM256 160C256 142.3 241.7 128 224 128H128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192H224C241.7 192 256 177.7 256 160zM128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288H320C337.7 288 352 273.7 352 256C352 238.3 337.7 224 320 224H128zM192 352C192 334.3 177.7 320 160 320H128C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384H160C177.7 384 192 369.7 192 352z", "M224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192H128C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128H224zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H128C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224H320zM160 384H128C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320H160C177.7 320 192 334.3 192 352C192 369.7 177.7 384 160 384z"]],
    "square-poll-vertical": [448, 512, ["poll"], "f681", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 224C110.3 224 96 238.3 96 256V352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352V256C160 238.3 145.7 224 128 224zM192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V352zM320 288C302.3 288 288 302.3 288 320V352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V320C352 302.3 337.7 288 320 288z", "M192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352V160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256V352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352V256zM352 320V352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320z"]],
    "square-q": [448, 512, [], "e27b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM344.1 343c9.375 9.375 9.375 24.56 0 33.94C340.3 381.7 334.2 384 328 384s-12.28-2.344-16.97-7.031l-15.15-15.15C275.4 375.8 250.6 384 224 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L344.1 343zM224 176C179.9 176 144 211.9 144 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C300.4 281.7 304 269.3 304 256C304 211.9 268.1 176 224 176z", "M224 128C153.4 128 96 185.4 96 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C315.7 381.7 321.8 384 328 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C343.8 307.4 352 282.6 352 256C352 185.4 294.6 128 224 128zM294.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C249.7 332.4 237.3 336 224 336c-44.13 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80C304 269.3 300.4 281.7 294.7 292.7z"]],
    "square-quarters": [448, 512, [], "e44e", ["M64 416l160-160L64 96V416zM224 256l160 160V96L224 256z", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM384 416H64V96h320V416z"]],
    "square-question": [448, 512, ["question-square"], "f2fd", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S241.1 400 224 400zM293.1 258L248 286V288c0 13-11 24-24 24S200 301 200 288V272c0-8 4-16 12-21l57-34C276 213 280 206 280 198c0-12-10-22-22-22h-52C193.1 176 184 186 184 198c0 13-11 24-24 24s-24-11-24-24C136 159 167 128 205.1 128h52C297 128 328 159 328 198C328 222 315 245 293.1 258z", "M257.1 128h-52C167 128 136 159 136 198c0 13 11 24 24 24s24-11 24-24C184 186 193.1 176 205.1 176h52C269.1 176 280 186 280 198c0 8-4 15-11 19L212 251C204 256 200 264 200 272V288c0 13 11 24 24 24S248 301 248 288V286l45.1-28C315 245 328 222 328 198C328 159 297 128 257.1 128zM224 336c-18 0-32 14-32 32s13.1 32 32 32c17.1 0 32-14 32-32S241.1 336 224 336z"]],
    "square-quote": [448, 512, [], "e329", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM208 280C208 319.7 175.7 352 136 352c-13.25 0-24-10.75-24-24S122.8 304 136 304C149.2 304 160 293.2 160 280V271.2C157.4 271.6 154.7 272 152 272C121.1 272 96 246.9 96 216S121.1 160 152 160S208 185.1 208 216V280zM352 280C352 319.7 319.7 352 280 352C266.8 352 256 341.3 256 328s10.75-24 24-24c13.23 0 24-10.77 24-24V271.2C301.4 271.6 298.7 272 296 272c-30.93 0-56-25.07-56-56S265.1 160 296 160S352 185.1 352 216V280z", "M152 160C121.1 160 96 185.1 96 216S121.1 272 152 272C154.7 272 157.4 271.6 160 271.2V280C160 293.2 149.2 304 136 304c-13.25 0-24 10.75-24 24S122.8 352 136 352C175.7 352 208 319.7 208 280v-64C208 185.1 182.9 160 152 160zM296 160c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4258 8-.8066V280c0 13.23-10.77 24-24 24C266.8 304 256 314.8 256 328S266.8 352 280 352C319.7 352 352 319.7 352 280v-64C352 185.1 326.9 160 296 160z"]],
    "square-r": [448, 512, [], "e27c", ["M256 176H176v64H256c17.66 0 32-14.36 32-32S273.7 176 256 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM323.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C313.8 382.5 308.9 384 304 384c-7.438 0-14.75-3.422-19.44-9.891L221.1 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128H256c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L323.4 345.9z", "M336 208C336 163.9 300.1 128 256 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h45.97l62.63 86.11C289.3 380.6 296.6 384 304 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C311.7 274.5 336 244.2 336 208zM256 240H176v-64H256c17.66 0 32 14.36 32 32S273.7 240 256 240z"]],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", ["M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z", "M233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z"]],
    "square-ring": [448, 512, [], "e44f", ["M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM224 416c-88.35 0-160-71.65-160-160s71.65-160 160-160s160 71.65 160 160S312.4 416 224 416z", "M224 96C135.6 96 64 167.6 64 256s71.65 160 160 160s160-71.65 160-160S312.4 96 224 96zM224 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S277 352 224 352z"]],
    "square-root": [576, 512, [8730], "f697", ["M207.1 512c-12.02 0-23.15-6.776-28.61-17.68L76.22 288H32c-17.67 0-32-14.31-32-32s14.33-31.1 32-31.1l64-.0049c12.12 0 23.2 6.849 28.62 17.69l73.31 146.6l91.02-364.1C292.5 10.01 305.3 .0098 320 .0098l224 .0049c17.67 0 32 14.31 32 31.1s-14.33 32-32 32h-199L239 487.8c-3.25 13-14.25 22.59-27.56 24.06C210.3 511.1 209.2 512 207.1 512z", ""]],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", ["M576 32.01c0-17.69-14.33-31.1-32-31.1l-224-.0049c-14.69 0-27.48 10-31.05 24.25L197.9 388.3L124.6 241.7C119.2 230.9 108.1 224 96 224L32 224c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h44.22l103.2 206.3c5.469 10.91 16.6 17.68 28.61 17.68c1.172 0 2.323-.0576 3.495-.1826c13.31-1.469 24.31-11.06 27.56-24.06l105.9-423.8H544C561.7 64.01 576 49.7 576 32.01z", "M566.6 233.4c-12.5-12.5-32.75-12.5-45.25 0L480 274.8l-41.38-41.37c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l41.38 41.38l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25C399.6 412.9 407.8 416 416 416s16.38-3.125 22.62-9.375L480 365.3l41.38 41.38C527.6 412.9 535.8 416 544 416s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-41.38-41.38L566.6 278.6C579.1 266.1 579.1 245.9 566.6 233.4z"]],
    "square-rss": [448, 512, ["rss-square"], "f143", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM150.6 374.6C144.4 380.9 136.2 384 128 384s-16.38-3.121-22.63-9.371c-12.5-12.5-12.5-32.76 0-45.26C111.6 323.1 119.8 320 128 320s16.38 3.121 22.63 9.371C163.1 341.9 163.1 362.1 150.6 374.6zM249.6 383.9C249 383.1 248.5 384 247.1 384c-12.53 0-23.09-9.75-23.92-22.44C220.5 306.9 173.1 259.5 118.4 255.9c-13.22-.8438-23.25-12.28-22.39-25.5c.8594-13.25 12.41-22.81 25.52-22.38c77.86 5.062 145.3 72.5 150.4 150.4C272.8 371.7 262.8 383.1 249.6 383.9zM345 383.1C344.7 384 344.3 384 343.1 384c-12.8 0-23.42-10.09-23.97-23C315.6 254.6 225.4 164.4 119 159.1C105.8 159.4 95.47 148.3 96.02 135C96.58 121.8 107.9 111.2 121 112c130.7 5.469 241.5 116.3 246.1 246.1C368.5 372.3 358.3 383.4 345 383.1z", "M128 320c-8.189 0-16.38 3.121-22.63 9.371c-12.5 12.5-12.5 32.76 0 45.26C111.6 380.9 119.8 384 128 384s16.38-3.121 22.63-9.371c12.5-12.5 12.5-32.76 0-45.26C144.4 323.1 136.2 320 128 320zM121.6 208.1c-13.11-.4375-24.66 9.125-25.52 22.38c-.8594 13.22 9.172 24.66 22.39 25.5c54.69 3.562 102.1 50.94 105.6 105.6C224.9 374.3 235.4 384 247.1 384c.5313 0 1.062-.0313 1.594-.0625c13.22-.8438 23.25-12.28 22.39-25.5C266.9 280.6 199.4 213.1 121.6 208.1zM121 112C107.9 111.2 96.58 121.8 96.02 135C95.47 148.3 105.8 159.4 119 159.1c106.4 4.469 196.6 94.66 201 201C320.6 373.9 331.2 384 343.1 384c.3438 0 .6719 0 1.016-.0313c13.25-.5313 23.53-11.72 22.98-24.97C362.5 228.3 251.7 117.5 121 112z"]],
    "square-s": [448, 512, [], "e27d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM318.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C216.7 170.1 194.5 177.5 185.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C270.1 243.9 329.1 260.6 318.7 323.9z", "M230.4 232.9C180.5 219.1 173.7 212.4 176.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C143.5 153.2 132.7 169.4 129.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C329.1 260.6 270.1 243.9 230.4 232.9z"]],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM320 96C284.7 96 256 124.7 256 160C256 162.5 256.1 164.9 256.4 167.3L174.5 212C162.8 199.7 146.3 192 128 192C92.65 192 64 220.7 64 256C64 291.3 92.65 320 128 320C146.3 320 162.8 312.3 174.5 299.1L256.4 344.7C256.1 347.1 256 349.5 256 352C256 387.3 284.7 416 320 416C355.3 416 384 387.3 384 352C384 316.7 355.3 288 320 288C304.6 288 290.5 293.4 279.4 302.5L194.1 256L279.4 209.5C290.5 218.6 304.6 224 320 224C355.3 224 384 195.3 384 160C384 124.7 355.3 96 320 96V96z", "M279.4 209.5L194.1 256L279.4 302.5C290.5 293.4 304.6 288 320 288C355.3 288 384 316.7 384 352C384 387.3 355.3 416 320 416C284.7 416 256 387.3 256 352C256 349.5 256.1 347.1 256.4 344.7L174.5 299.1C162.8 312.3 146.3 320 128 320C92.65 320 64 291.3 64 256C64 220.7 92.65 192 128 192C146.3 192 162.8 199.7 174.5 212L256.4 167.3C256.1 164.9 256 162.5 256 160C256 124.7 284.7 96 320 96C355.3 96 384 124.7 384 160C384 195.3 355.3 224 320 224C304.6 224 290.5 218.6 279.4 209.5V209.5z"]],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", ["M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM384 336C384 318.3 369.7 304 352 304H320V288C320 270.3 305.7 256 288 256C270.3 256 256 270.3 256 288V304H96C78.33 304 64 318.3 64 336C64 353.7 78.33 368 96 368H256V384C256 401.7 270.3 416 288 416C305.7 416 320 401.7 320 384V368H352C369.7 368 384 353.7 384 336zM192 144V128C192 110.3 177.7 96 160 96C142.3 96 128 110.3 128 128V144H96C78.33 144 64 158.3 64 176C64 193.7 78.33 208 96 208H128V224C128 241.7 142.3 256 160 256C177.7 256 192 241.7 192 224V208H352C369.7 208 384 193.7 384 176C384 158.3 369.7 144 352 144H192z", "M192 224C192 241.7 177.7 256 160 256C142.3 256 128 241.7 128 224V128C128 110.3 142.3 96 160 96C177.7 96 192 110.3 192 128V224zM320 384C320 401.7 305.7 416 288 416C270.3 416 256 401.7 256 384V288C256 270.3 270.3 256 288 256C305.7 256 320 270.3 320 288V384z"]],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM112 128V160H96C78.33 160 64 174.3 64 192C64 209.7 78.33 224 96 224H112V384C112 401.7 126.3 416 144 416C161.7 416 176 401.7 176 384V224H192C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160H176V128C176 110.3 161.7 96 144 96C126.3 96 112 110.3 112 128zM336 128C336 110.3 321.7 96 304 96C286.3 96 272 110.3 272 128V288H256C238.3 288 224 302.3 224 320C224 337.7 238.3 352 256 352H272V384C272 401.7 286.3 416 304 416C321.7 416 336 401.7 336 384V352H352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288H336V128z", "M192 160C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224H96C78.33 224 64 209.7 64 192C64 174.3 78.33 160 96 160H192zM352 288C369.7 288 384 302.3 384 320C384 337.7 369.7 352 352 352H256C238.3 352 224 337.7 224 320C224 302.3 238.3 288 256 288H352z"]],
    "square-small": [320, 512, [], "e27e", ["M0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160z", ""]],
    "square-star": [448, 512, [], "e27f", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM209.7 112.9L173.4 186.4L92.36 198.1C86.33 199 81.32 203.2 79.44 209C77.56 214.8 79.13 221.2 83.49 225.4L142.1 282.6L128.3 363.3C127.3 369.3 129.7 375.4 134.7 378.1C139.6 382.6 146.1 383 151.5 380.2L223.1 342.1L296.5 380.2C301.9 383 308.4 382.6 313.3 378.1C318.3 375.4 320.7 369.3 319.7 363.3L305.9 282.6L364.5 225.4C368.9 221.2 370.4 214.8 368.6 209C366.7 203.2 361.7 199 355.6 198.1L274.6 186.4L238.3 112.9C235.7 107.5 230.1 104 223.1 104C217.9 104 212.3 107.5 209.7 112.9H209.7z", "M274.6 186.4L355.6 198.1C361.7 199 366.7 203.2 368.6 209C370.4 214.8 368.9 221.2 364.5 225.4L305.9 282.6L319.7 363.3C320.7 369.3 318.3 375.4 313.3 378.1C308.4 382.6 301.9 383 296.5 380.2L224 342.1L151.5 380.2C146.1 383 139.6 382.6 134.7 378.1C129.7 375.4 127.3 369.3 128.3 363.3L142.1 282.6L83.49 225.4C79.13 221.2 77.56 214.8 79.44 209C81.32 203.2 86.33 199 92.36 198.1L173.4 186.4L209.7 112.9C212.3 107.5 217.9 104 224 104C230.1 104 235.7 107.5 238.3 112.9L274.6 186.4z"]],
    "square-t": [448, 512, [], "e280", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM328 176h-80v184c0 13.25-10.75 24-24 24s-24-10.75-24-24V176h-80C106.8 176 96 165.3 96 152S106.8 128 120 128h208C341.3 128 352 138.8 352 152S341.3 176 328 176z", "M328 128h-208C106.8 128 96 138.8 96 152S106.8 176 120 176h80v184C200 373.3 210.8 384 224 384s24-10.75 24-24V176h80C341.3 176 352 165.3 352 152S341.3 128 328 128z"]],
    "square-terminal": [448, 512, [], "e32a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM70.31 151.8C61.35 161.6 62.01 176.7 71.78 185.7L148.5 256L71.78 326.3C62.01 335.3 61.35 350.4 70.31 360.2C79.26 369.1 94.45 370.6 104.2 361.7L200.2 273.7C205.2 269.1 208 262.7 208 255.1C208 249.3 205.2 242.9 200.2 238.3L104.2 150.3C94.45 141.4 79.26 142 70.31 151.8V151.8zM216 336C202.7 336 192 346.7 192 360C192 373.3 202.7 384 216 384H360C373.3 384 384 373.3 384 360C384 346.7 373.3 336 360 336H216z", "M71.78 185.7C62.01 176.7 61.35 161.6 70.31 151.8C79.26 142 94.45 141.4 104.2 150.3L200.2 238.3C205.2 242.9 208 249.3 208 256C208 262.7 205.2 269.1 200.2 273.7L104.2 361.7C94.45 370.6 79.27 369.1 70.31 360.2C61.35 350.4 62.01 335.3 71.78 326.3L148.5 256L71.78 185.7zM360 336C373.3 336 384 346.7 384 360C384 373.3 373.3 384 360 384H216C202.7 384 192 373.3 192 360C192 346.7 202.7 336 216 336H360z"]],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM80 384C71.16 384 64 391.2 64 400C64 408.8 71.16 416 80 416H368C376.8 416 384 408.8 384 400C384 391.2 376.8 384 368 384H80zM288 192V304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V192H374.6C384.2 192 392 184.2 392 174.6C392 170.4 390.4 166.2 387.6 163.1L333.3 101.1C329.9 98.18 325.1 96 320 96C314.9 96 310.1 98.18 306.7 101.1L252.4 163.1C249.6 166.2 248 170.4 248 174.6C248 184.2 255.8 192 265.4 192H288zM96 192V304C96 312.8 103.2 320 112 320H144C152.8 320 160 312.8 160 304V192H182.6C192.2 192 200 184.2 200 174.6C200 170.4 198.4 166.2 195.6 163.1L141.3 101.1C137.9 98.18 133.1 96 128 96C122.9 96 118.1 98.18 114.7 101.1L60.39 163.1C57.56 166.2 56 170.4 56 174.6C56 184.2 63.79 192 73.39 192H96z", "M73.39 192C63.79 192 56 184.2 56 174.6C56 170.4 57.56 166.2 60.39 163.1L114.7 101.1C118.1 98.18 122.9 96 128 96C133.1 96 137.9 98.18 141.3 101.1L195.6 163.1C198.4 166.2 200 170.4 200 174.6C200 184.2 192.2 192 182.6 192H160V304C160 312.8 152.8 320 144 320H112C103.2 320 96 312.8 96 304V192H73.39zM352 304C352 312.8 344.8 320 336 320H304C295.2 320 288 312.8 288 304V192H265.4C255.8 192 248 184.2 248 174.6C248 170.4 249.6 166.2 252.4 163.1L306.7 101.1C310.1 98.18 314.9 96 320 96C325.1 96 329.9 98.18 333.3 101.1L387.6 163.1C390.4 166.2 392 170.4 392 174.6C392 184.2 384.2 192 374.6 192H352V304z"]],
    "square-u": [448, 512, [], "e281", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 274.9C336 335.1 285.8 384 224 384s-112-48.94-112-109.1V152C112 138.8 122.8 128 136 128S160 138.8 160 152v122.9C160 308.6 188.7 336 224 336s64-27.41 64-61.09V152C288 138.8 298.8 128 312 128s24 10.75 24 24V274.9z", "M312 128C298.8 128 288 138.8 288 152v122.9C288 308.6 259.3 336 224 336S160 308.6 160 274.9V152C160 138.8 149.3 128 136 128S112 138.8 112 152v122.9C112 335.1 162.3 384 224 384s112-48.94 112-109.1V152C336 138.8 325.3 128 312 128z"]],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM350.8 246.1C348.3 252.1 342.5 256 336 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z", "M350.8 246.1C348.3 252.1 342.5 256 336 256h-64v104c0 13.25-10.75 24-24 24h-48c-13.25 0-24-10.75-24-24V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z"]],
    "square-up-left": [448, 512, [], "e282", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z", "M325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z"]],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z", "M330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z"]],
    "square-user": [448, 512, [], "e283", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 128c39.77 0 72 32.23 72 72c0 39.76-32.23 72-72 72c-39.76 0-72-32.24-72-72C152 160.2 184.2 128 224 128zM81.61 416C89.44 361.8 135.6 320 192 320h64c56.38 0 102.6 41.79 110.4 96H81.61z", "M224 272c39.77 0 72-32.24 72-72C296 160.2 263.8 128 224 128C184.2 128 152 160.2 152 200C152 239.8 184.2 272 224 272zM256 320H192c-56.38 0-102.6 41.79-110.4 96h284.8C358.6 361.8 312.4 320 256 320z"]],
    "square-v": [448, 512, [], "e284", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM349.5 162.7l-104 208C241.4 378.9 233.1 384 224 384s-17.41-5.141-21.47-13.27l-104-208C92.61 150.9 97.41 136.5 109.3 130.5c11.92-5.891 26.28-1.125 32.2 10.73L224 306.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C350.6 136.5 355.4 150.9 349.5 162.7z", "M338.7 130.5c-11.86-5.891-26.27-1.125-32.2 10.73L224 306.3L141.5 141.3C135.5 129.4 121.2 124.6 109.3 130.5C97.41 136.5 92.61 150.9 98.53 162.7l104 208C206.6 378.9 214.9 384 224 384s17.41-5.141 21.47-13.27l104-208C355.4 150.9 350.6 136.5 338.7 130.5z"]],
    "square-virus": [448, 512, [], "e578", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM199.8 117.7C199.8 146.9 164.5 161.6 143.8 140.9C134.4 131.5 119.2 131.5 109.8 140.9C100.5 150.2 100.5 165.4 109.8 174.8C130.5 195.5 115.9 230.9 86.61 230.9C73.35 230.9 62.61 241.6 62.61 254.9C62.61 268.1 73.35 278.9 86.61 278.9C115.9 278.9 130.5 314.3 109.8 334.9C100.5 344.3 100.5 359.5 109.8 368.9C119.2 378.3 134.4 378.3 143.8 368.9C164.5 348.2 199.8 362.9 199.8 392.1C199.8 405.4 210.6 416.1 223.8 416.1C237.1 416.1 247.8 405.4 247.8 392.1C247.8 362.9 283.2 348.2 303.9 368.9C313.3 378.3 328.5 378.3 337.8 368.9C347.2 359.5 347.2 344.3 337.8 334.9C317.2 314.3 331.8 278.9 361.1 278.9C374.3 278.9 385.1 268.1 385.1 254.9C385.1 241.6 374.3 230.9 361.1 230.9C331.8 230.9 317.2 195.5 337.8 174.8C347.2 165.4 347.2 150.2 337.8 140.9C328.5 131.5 313.3 131.5 303.9 140.9C283.2 161.6 247.8 146.9 247.8 117.7C247.8 104.4 237.1 93.65 223.8 93.65C210.6 93.65 199.8 104.4 199.8 117.7H199.8z", "M303.9 140.9C313.3 131.5 328.5 131.5 337.8 140.9C347.2 150.2 347.2 165.4 337.8 174.8C317.2 195.5 331.8 230.9 361.1 230.9C374.3 230.9 385.1 241.6 385.1 254.9C385.1 268.1 374.3 278.9 361.1 278.9C331.8 278.9 317.2 314.3 337.8 334.9C347.2 344.3 347.2 359.5 337.8 368.9C328.5 378.3 313.3 378.3 303.9 368.9C283.2 348.2 247.8 362.8 247.8 392.1C247.8 405.4 237.1 416.1 223.8 416.1C210.6 416.1 199.8 405.4 199.8 392.1C199.8 362.8 164.5 348.2 143.8 368.9C134.4 378.3 119.2 378.3 109.8 368.9C100.5 359.5 100.5 344.3 109.8 334.9C130.5 314.3 115.9 278.9 86.61 278.9C73.35 278.9 62.61 268.1 62.61 254.9C62.61 241.6 73.35 230.9 86.61 230.9C115.9 230.9 130.5 195.5 109.8 174.8C100.5 165.4 100.5 150.2 109.8 140.9C119.2 131.5 134.4 131.5 143.8 140.9C164.5 161.6 199.8 146.9 199.8 117.6C199.8 104.4 210.6 93.65 223.8 93.65C237.1 93.65 247.8 104.4 247.8 117.6C247.8 146.9 283.2 161.6 303.9 140.9H303.9zM191.1 191.1C174.3 191.1 159.1 206.3 159.1 223.1C159.1 241.7 174.3 255.1 191.1 255.1C209.7 255.1 223.1 241.7 223.1 223.1C223.1 206.3 209.7 191.1 191.1 191.1zM256 311.1C269.3 311.1 280 301.3 280 287.1C280 274.7 269.3 263.1 256 263.1C242.7 263.1 232 274.7 232 287.1C232 301.3 242.7 311.1 256 311.1z"]],
    "square-w": [448, 512, [], "e285", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM366.9 159.1l-64 208C299.8 377.1 290.5 384 280 384h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L224 244.3l-32.83 121.9C188.4 376.6 179.1 383.8 168.4 384c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L166.5 273.4l34.36-127.6C203.6 135.3 213.1 128 224 128s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C363.7 132.1 370.8 146.4 366.9 159.1z", "M351.1 129.1c-12.66-3.828-26.11 3.203-30 15.88L281.5 273.4l-34.36-127.6C244.4 135.3 234.9 128 224 128S203.6 135.3 200.8 145.8L166.5 273.4L126.9 144.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C148.2 377.3 157.7 383.1 168.4 384c10.7-.1875 19.97-7.438 22.75-17.77L224 244.3l32.83 121.9C259.6 376.6 268.9 383.8 279.6 384H280c10.52 0 19.84-6.859 22.94-16.94l64-208C370.8 146.4 363.7 132.1 351.1 129.1z"]],
    "square-x": [448, 512, [], "e286", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C323 382.1 317.5 384 312 384c-6.812 0-13.59-2.891-18.34-8.5L224 293.2L154.3 375.5C149.6 381.1 142.8 384 135.1 384C130.5 384 125 382.1 120.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L192.6 256L117.7 167.5C109.1 157.4 110.4 142.2 120.5 133.7C130.6 125.1 145.8 126.4 154.3 136.5L224 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L255.4 256L330.3 344.5z", "M327.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L224 218.8L154.3 136.5C145.8 126.4 130.6 125.1 120.5 133.7C110.4 142.2 109.1 157.4 117.7 167.5L192.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C125 382.1 130.5 384 135.1 384c6.812 0 13.59-2.891 18.34-8.5L224 293.2l69.67 82.34C298.4 381.1 305.2 384 312 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L255.4 256l74.88-88.5C338.9 157.4 337.6 142.2 327.5 133.7z"]],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z", "M223.1 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L223.1 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175C152.4 165.7 167.6 165.7 176.1 175L223.1 222.1z"]],
    "square-y": [448, 512, [], "e287", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM346.2 167.6L248 282.2V360c0 13.25-10.75 24-24 24s-24-10.75-24-24V282.2L101.8 167.6C93.16 157.6 94.31 142.4 104.4 133.8c10.08-8.625 25.22-7.438 33.84 2.594L224 236.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C353.7 142.4 354.8 157.6 346.2 167.6z", "M309.8 136.4L224 236.5L138.2 136.4C129.6 126.3 114.5 125.2 104.4 133.8C94.31 142.4 93.16 157.6 101.8 167.6L200 282.2V360C200 373.3 210.8 384 224 384s24-10.75 24-24V282.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C333.5 125.1 318.4 126.3 309.8 136.4z"]],
    "square-z": [448, 512, [], "e288", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L250.2 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L197.8 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M296 336H197.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C313.1 132.1 304.9 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C134.9 379 143.1 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "squid": [512, 512, [129425], "e450", ["M155.3 62.08C156.8 63.55 157.1 65.31 158.8 67.25C159.6 69.19 160 71.27 159.1 73.37C159.1 75.49 159.6 77.58 158.8 79.53C157.9 81.48 156.7 83.25 155.2 84.73L109.6 130.7C95.17 112.5 87.91 89.6 89.2 66.37C90.5 43.15 100.3 21.2 116.7 4.702C116.9 4.446 117.2 4.382 117.5 4.158C115.8 5.642 114.5 7.461 113.6 9.498C112.6 11.53 112.1 13.74 112.1 15.98C112.1 18.22 112.5 20.43 113.4 22.49C114.3 24.54 115.6 26.39 117.3 27.9L155.3 62.08zM491.8 255.5L433.4 239.5C461.1 198.1 483.5 153.9 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512.2 240.1 511.9 243.2 511.1 245.3C510.4 247.4 509.3 249.3 507.8 250.9C506.3 252.5 504.4 253.8 502.4 254.7C500.4 255.6 498.2 256 496 255.1C494.6 256 493.2 255.9 491.8 255.5H491.8zM405.8 14.88C358.2 28.5 313.1 50.02 272.6 78.56L256.6 20.13C255.9 17.66 255.8 15.06 256.4 12.56C256.9 10.06 258.1 7.73 259.7 5.758C261.3 3.787 263.4 2.235 265.8 1.233C268.1 .2304 270.7-.1933 273.2-.0022L371.8 7.614C383.4 8.667 394.8 11.11 405.8 14.88zM511.2 388.9C510.7 390.7 509.7 392.5 508.5 393.1C509.7 392.4 510.6 390.7 511.2 388.9zM489.7 398.7C491.8 399.6 494.1 400 496.5 399.1C498.8 399.9 501 399.3 503.1 398.3C505.2 397.3 507 395.8 508.5 393.1C508.1 394.7 507.8 395.4 507.3 396.1C490.8 412.7 468.7 422.6 445.3 423.9C421.1 425.1 398.1 417.6 380.8 402.8L427.3 356.7C430.3 353.7 434.4 351.1 438.6 351.1C442.9 351.1 446.9 353.7 449.9 356.7L484.1 394.7C485.6 396.4 487.6 397.8 489.7 398.7H489.7z", "M507.4 372.6C510.1 375.4 511.7 379.1 511.9 383C512.1 386.9 510.9 390.7 508.6 393.9C507.1 395.7 505.3 397.2 503.2 398.2C501.1 399.2 498.9 399.8 496.5 399.9C494.2 399.9 491.9 399.5 489.8 398.6C487.6 397.7 485.7 396.3 484.2 394.6L449.1 356.5C446.1 353.5 442.9 351.9 438.7 351.9C434.4 351.9 430.4 353.5 427.4 356.5L366.6 416.9C361.6 421.9 355.5 425.8 348.9 428.2C342.3 430.6 335.2 431.5 328.2 430.8C316.4 429.5 305.5 424.1 297.3 415.6L265.9 384.2C262.5 380.9 257.9 379.1 253.2 379.1C248.4 379.2 243.9 381.1 240.5 384.5C238.9 386.2 237.6 388.1 236.7 390.3C235.8 392.4 235.3 394.7 235.3 397.1C235.3 399.4 235.8 401.7 236.7 403.9C237.6 406 238.9 407.1 240.5 409.6L260.8 429.9C269.8 438.9 274.9 451.1 274.9 463.8C274.9 476.6 269.8 488.8 260.8 497.8L252 506.5C249.3 509.3 245.7 511.1 241.9 511.5C238 511.1 234.1 511 230.9 508.9C228.1 507.5 227.4 505.8 226.2 503.8C225.1 501.7 224.4 499.5 224.2 497.2C223.1 494.8 224.3 492.5 225.1 490.3C225.9 488.1 227.2 486.1 228.8 484.5L238.2 475.1C241.2 472.1 242.9 468.1 242.9 463.8C242.9 459.6 241.2 455.5 238.2 452.5L198.7 413.1C196.8 411.2 194.5 409.8 192 408.1C189.5 408.1 186.9 407.9 184.3 408.2C181.6 408.5 179.1 409.4 176.9 410.8C174.7 412.2 172.8 414 171.3 416.3L148.4 445.5C145.3 449.7 143.9 454.8 144.2 459.9C144.6 465.1 146.8 469.9 150.4 473.6C152.4 475.6 154.7 477.2 157.3 478.3C159.9 479.4 162.7 479.1 165.6 480H175.2C179.1 479.9 182.9 481.2 185.9 483.6C188.9 486.1 191 489.5 191.8 493.3C192.2 495.6 192.1 497.1 191.4 500.2C190.8 502.5 189.7 504.5 188.2 506.3C186.7 508.1 184.9 509.5 182.7 510.5C180.6 511.5 178.3 512 176 512H165.4C155.5 511.1 145.8 509.2 137.4 503.9C128.1 498.7 122.2 491.2 117.8 482.3C113.4 473.5 111.5 463.5 112.4 453.6C113.3 443.8 116.1 434.4 122.9 426.4L145.3 397.6C148.3 393.4 149.7 388.2 149.2 382.1C148.8 377.8 146.5 372.9 142.8 369.2C139.1 365.6 134.3 363.3 129.1 362.8C123.9 362.4 118.7 363.7 114.4 366.7L85.79 389.1C77.87 395.1 68.41 398.8 58.5 399.8C48.59 400.7 38.61 398.9 29.69 394.5C20.77 390 13.26 383.2 8.019 374.7C2.772 366.3-.0048 356.5 0 346.6V336C.0179 333.7 .5395 331.4 1.529 329.3C2.518 327.2 3.95 325.3 5.728 323.9C7.505 322.4 9.585 321.3 11.82 320.7C14.06 320.1 16.4 319.1 18.69 320.4C22.5 321.1 25.93 323.2 28.36 326.2C30.8 329.3 32.08 333.1 32 336.1V346.6C32.06 352.2 34.36 357.6 38.4 361.6C42.05 365.2 46.87 367.4 51.1 367.8C57.12 368.2 62.22 366.7 66.37 363.7L95.55 340.9C97.77 339.4 99.65 337.5 101.1 335.3C102.4 333 103.3 330.5 103.6 327.9C103.9 325.3 103.7 322.6 102.8 320.1C101.1 317.6 100.6 315.3 98.75 313.4L59.3 273.1C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.1L27.33 283.3C25.68 284.1 23.69 286.2 21.5 287C19.31 287.8 16.97 288.2 14.65 287.1C12.33 287.8 10.08 287.1 8.056 285.9C6.034 284.7 4.289 283.2 2.944 281.2C.783 278-.1674 274.1 .2598 270.2C.687 266.4 2.465 262.8 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.6C105.6 274.9 110.2 276.8 114.1 276.7C119.7 276.7 124.3 274.7 127.6 271.3C129.2 269.7 130.6 267.7 131.5 265.6C132.4 263.4 132.8 261.1 132.8 258.8C132.8 256.4 132.4 254.1 131.5 251.1C130.6 249.8 129.2 247.9 127.6 246.2L96.16 214.8C87.66 206.6 82.3 195.7 80.99 184C80.34 176.1 81.25 169.9 83.65 163.3C86.05 156.6 89.88 150.6 94.88 145.6L155.2 84.74C156.7 83.25 157.9 81.48 158.8 79.53C159.6 77.58 159.1 75.49 160 73.38C160 71.28 159.6 69.19 158.8 67.25C157.1 65.31 156.8 63.55 155.3 62.08L117.3 27.9C115.5 26.35 114.2 24.43 113.3 22.29C112.3 20.15 111.9 17.83 111.1 15.5C112.1 13.17 112.6 10.89 113.7 8.809C114.7 6.728 116.2 4.902 118 3.456C121.2 1.123 125-.0381 128.9 .1786C132.8 .3952 136.5 1.975 139.3 4.64L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.72 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.4 226.6C155.9 229.1 159.3 230.5 162.8 230.5C166.4 230.5 169.8 229.1 172.3 226.6C173.6 225.3 174.5 223.8 175.2 222.2C175.8 220.5 176.1 218.8 176 216.1C176.6 183.6 190.1 151.7 213.6 128C288.5 51.7 389.2 6.066 496 0C500.2 0 504.3 1.686 507.3 4.686C510.3 7.687 512 11.76 512 16C505.9 122.8 460.3 223.5 384 298.4C360.3 322 328.4 335.5 294.9 336.1C293.2 336 291.4 336.3 289.8 336.9C288.1 337.6 286.6 338.5 285.3 339.8C282.9 342.3 281.5 345.7 281.5 349.2C281.5 352.8 282.9 356.2 285.3 358.7L321.2 394.4C322.7 395.9 324.4 397.1 326.4 397.9C328.3 398.7 330.4 399.1 332.5 399.1C334.6 399.1 336.7 398.7 338.7 397.9C340.6 397.1 342.4 395.9 343.9 394.4L404.7 334.1C409.2 329.6 414.5 326 420.4 323.6C426.3 321.2 432.7 319.1 439 320C445.4 320.1 451.7 321.4 457.6 323.9C463.4 326.4 468.7 330.1 473.2 334.7L507.4 372.6zM195.3 291.3C198.3 288.3 199.1 284.2 199.1 280C199.1 276.8 199.1 273.7 197.3 271.1C195.5 268.5 193 266.4 190.1 265.2C187.2 264 183.1 263.7 180.9 264.3C177.8 264.9 174.9 266.4 172.7 268.7C170.4 270.9 168.9 273.8 168.3 276.9C167.7 279.1 168 283.2 169.2 286.1C170.4 289 172.5 291.5 175.1 293.3C177.7 295.1 180.8 296 183.1 296C188.2 296 192.3 294.3 195.3 291.3zM243.3 339.3C246.3 336.3 247.1 332.2 247.1 328C247.1 324.8 247.1 321.7 245.3 319.1C243.5 316.5 241 314.4 238.1 313.2C235.2 312 231.1 311.7 228.9 312.3C225.8 312.9 222.9 314.4 220.7 316.7C218.4 318.9 216.9 321.8 216.3 324.9C215.7 327.1 216 331.2 217.2 334.1C218.4 337 220.5 339.5 223.1 341.3C225.7 343.1 228.8 344 231.1 344C236.2 344 240.3 342.3 243.3 339.3z"]],
    "squirrel": [576, 512, [], "f71a", ["M192 296.2C192 291.4 187.8 287.6 182.9 287.8C180.6 287.9 178.3 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V232.9C305.2 262.9 285.5 290.5 261.5 314.5L254.5 321.5C234.1 341 224 367.5 224 395.1V398.9C224 461.3 274.7 512 337.1 512H288C217.3 512 160 454.7 160 384C160 352.6 171.3 323.9 189.1 301.7C191.3 300.2 192 298.2 192 296.2V296.2z", "M352 75.2C352 69.01 357 64 363.2 64C378.4 64 391.9 71.61 400 83.24C408.1 71.61 421.6 64 436.8 64C442.1 64 448 69.01 448 75.2V96C501 96 544 138.1 544 192L535.8 204.4C520.9 226.6 495.9 240 469.2 240H448V298.8C433.5 291.9 417.2 288 400 288C386.9 288 374.4 290.2 362.7 294.4C354.3 297.3 349.1 306.5 352.9 314.8C355.9 323.1 365 327.5 373.3 324.5C381.7 321.6 390.6 320 400 320C418 320 434.6 325.1 448 335.1C467.4 350.6 480 373.8 480 400C480 418 474 434.6 464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H336C274 511.4 224 460.1 224 398.9V395.1C224 367.5 234.1 341 254.5 321.5L261.5 314.5C319.4 256.6 352 177.1 352 96V75.2zM448 176C456.8 176 464 168.8 464 160C464 151.2 456.8 144 448 144C439.2 144 432 151.2 432 160C432 168.8 439.2 176 448 176z"]],
    "staff": [512, 512, [], "f71b", ["M96.02 303.1v44.12l60.12-60.12H112C103.1 287.1 96.02 295.1 96.02 303.1zM369.9 284.7l32.25 18.63c7.625 4.498 17.49 1.85 21.87-5.774l19.51-33.85L369.9 284.7z", "M512 79.1v103.9c0 35.75-23.74 67.12-57.99 76.87L285.1 308.1c-13.12 3.75-24.1 10.76-34.62 20.38l-175.6 175.6c-9.375 9.375-24.5 9.375-33.87 0l-33.1-33.1c-9.375-9.373-9.375-24.5 0-33.87l175.6-175.6c21.12-21.13 47.33-36.48 76.08-44.73l157.3-45.01V95.1h-50.37l-11.5 23.12c-4 7.875-13.62 11.13-21.5 7.125L275.4 97.62c-7.873-3.875-11.12-13.5-7.123-21.37l16.01-32.02c13.5-27.12 41.23-44.23 71.48-44.23h76.25C476.1 0 512 35.88 512 79.1z"]],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", ["M288 48C341 48 384 90.98 384 144C384 197 341 240 288 240H216.5L218.1 160H288C296.8 160 304 152.8 304 144C304 135.2 296.8 128 288 128H122.6C113.6 146.9 94.34 160 72 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H288zM80 96C80 87.16 72.84 80 64 80C55.16 80 48 87.16 48 96C48 104.8 55.16 112 64 112C72.84 112 80 104.8 80 96zM152 240C143.2 240 136 247.2 136 256C136 264.8 143.2 272 152 272H256C309 272 352 314.1 352 368C352 421 309 464 256 464H209.5L212 384H256C264.8 384 272 376.8 272 368C272 359.2 264.8 352 256 352H152C98.98 352 56 309 56 256C56 202.1 98.98 160 152 160H164.1L167.5 240H152zM174.5 464H136C113.9 464 96 446.1 96 424C96 401.9 113.9 384 136 384H171.1L174.5 464z", "M222.5 48H161.5L160.1 31.98C160.1 31.33 160.1 30.69 160.1 30.05C161.5 13.43 175.1 0 192 0C208.9 0 222.5 13.43 223 30.05C223 30.69 223 31.33 223 31.98L222.5 48zM168.5 272L164 128H220L215.5 272H168.5zM213 352L208.5 496C208.2 504.9 200.9 512 192 512C183.1 512 175.8 504.9 175.5 496L171 352H213z"]],
    "stairs": [576, 512, [], "e289", ["", "M576 64c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32H192v96c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-96c0-17.67 14.31-32 32-32h96V192c0-17.67 14.31-32 32-32h96V64c0-17.67 14.31-32 32-32h128C561.7 32 576 46.33 576 64z"]],
    "stamp": [512, 512, [], "f5bf", ["M96 416V448H416V416H480V464C480 490.5 458.5 512 432 512H80C53.49 512 32 490.5 32 464V416H96z", "M366.2 256H400C461.9 256 512 306.1 512 368V376C512 398.1 494.1 416 472 416H40C17.91 416 0 398.1 0 376V368C0 306.1 50.14 256 112 256H145.8C175.7 256 200 231.7 200 201.8C200 184.3 190.8 168.5 180.1 154.8C167.5 138.5 160 118.1 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 118.1 344.5 138.5 331.9 154.8C321.2 168.5 312 184.3 312 201.8C312 231.7 336.3 256 366.2 256z"]],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM268.9 305.2c-5.781 29.53-33.64 46.81-73.2 46.81c-6.656 0-13.71-.4844-20.96-1.484c-13.41-1.781-27.31-6.172-39.59-10.06l-5.656-1.797c-11.59-3.609-18.09-15.94-14.47-27.53c3.625-11.62 15.78-18.19 27.53-14.47l5.906 1.844c10.53 3.344 22.47 7.125 32.16 8.406c25.97 3.641 43.59-2.484 45.09-10.17c1.281-6.453-3.906-10.58-39.16-19.45L179.1 275.4C157 269.7 105.4 256.3 115.1 206.8c6.75-34.5 43.75-52.28 94.16-45.31C220.6 163 232.4 166.4 240.4 168.8C252 172.3 258.6 184.6 255.1 196.3C251.5 207.8 239.3 214.5 227.6 210.9C221.1 208.9 211.5 206.2 203.3 205.1c-25.75-3.531-43.53 2.5-45 10.19C157.5 219.4 156.6 224.1 190.1 232.8l7.188 1.828C227.8 242.3 278.7 255.1 268.9 305.2zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z", "M384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304zM197.3 234.6L190.1 232.8C156.6 224.1 157.5 219.4 158.3 215.3c1.469-7.688 19.25-13.72 45-10.19C211.5 206.2 221.1 208.9 227.6 210.9C239.3 214.5 251.5 207.8 255.1 196.3C258.6 184.6 252 172.3 240.4 168.8C232.4 166.4 220.6 163 209.3 161.5C158.9 154.5 121.9 172.3 115.1 206.8C105.4 256.3 157 269.7 179.1 275.4l7.469 1.906c35.25 8.875 40.44 13 39.16 19.45c-1.5 7.688-19.12 13.81-45.09 10.17C170.9 305.6 158.1 301.9 148.4 298.5L142.5 296.7C130.8 292.1 118.6 299.5 115 311.1c-3.625 11.59 2.875 23.92 14.47 27.53l5.656 1.797c12.28 3.891 26.19 8.281 39.59 10.06c7.25 1 14.3 1.484 20.96 1.484c39.56 0 67.42-17.28 73.2-46.81C278.7 255.1 227.8 242.3 197.3 234.6z"]],
    "stapler": [640, 512, [], "e5af", ["M448 288V352H96C78.33 352 64 337.7 64 320V219.4L448 288z", "M640 432C640 458.5 618.5 480 592 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448V288L33.8 214C14.24 210.5 0 193.5 0 173.7C0 164.8 2.878 156.2 8.201 149.1L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C619.5 229.7 640 262.1 640 299.3L640 432z"]],
    "star": [576, 512, [61446, 11088], "f005", ["M381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3z", ""]],
    "star-and-crescent": [512, 512, [9770], "f699", ["M509 230.9l-55.25 53.88l13 76c1.125 6.5-4 11.75-9.75 11.75c-1.625 0-3.125-.375-4.75-1.25l-68.25-35.88l-68.38 35.88c-1.5 .875-3.125 1.25-4.625 1.25c-5.75 0-10.88-5.25-9.75-11.75l13-76l-55.25-53.88c-5.875-5.75-2.625-15.88 5.5-17l76.38-11.12l34.13-69.25C376.9 129.9 380.5 128 384 128c3.5 0 7.125 1.875 8.875 5.5l34.25 69.25l76.38 11.12C511.6 215 514.9 225.1 509 230.9z", "M340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.13-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4z"]],
    "star-christmas": [512, 512, [], "f7d4", ["M136 352c-6.156 0-12.28 2.344-16.97 7.031l-48 48c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l48-48c9.375-9.375 9.375-24.56 0-33.94C148.3 354.3 142.2 352 136 352zM376 160c6.156 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C363.7 157.7 369.8 160 376 160zM104.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48C123.7 157.7 129.8 160 136 160s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L104.1 71.03zM392.1 359C388.3 354.3 382.2 352 376 352s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l48 48c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L392.1 359z", "M512 255.1c0 11.34-7.406 20.86-18.44 23.64l-171.3 42.78l-42.78 171.1C276.7 504.6 267.2 512 255.9 512s-20.84-7.406-23.62-18.44l-42.66-171.2L18.47 279.6C7.406 276.8 0 267.3 0 255.1c0-11.34 7.406-20.83 18.44-23.61l171.2-42.78l42.78-171.1C235.2 7.406 244.7 0 256 0s20.84 7.406 23.62 18.44l42.78 171.2l171.2 42.78C504.6 235.2 512 244.6 512 255.1z"]],
    "star-exclamation": [576, 512, [], "f2f3", ["M288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391H288.1zM264 152V264C264 277.3 274.7 288 288 288C301.3 288 312 277.3 312 264V152C312 138.7 301.3 128 288 128C274.7 128 264 138.7 264 152zM288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320z", "M312 264C312 277.3 301.3 288 288 288C274.7 288 264 277.3 264 264V152C264 138.7 274.7 128 288 128C301.3 128 312 138.7 312 152V264zM256 352C256 334.3 270.3 320 288 320C305.7 320 320 334.3 320 352C320 369.7 305.7 384 288 384C270.3 384 256 369.7 256 352z"]],
    "star-half": [576, 512, [61731], "f089", ["M146.3 512C145.3 512.1 144.2 512.1 143.1 512H146.3zM288 439.8V-.0387L288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.1 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L288 439.8z", "M288 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.995 275.8 .0131 287.1-.0391L288 439.8zM433.2 512C432.1 512.1 431 512.1 429.9 512H433.2z"]],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", ["M399.7 435.9L378.4 309.6L469.2 219.8L343.8 201.4L288.1 86.85L287.1 87.14V0H286.6C287.1-.0259 287.6-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.1 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L287.1 439.8V376.4L288.1 376.3L399.7 435.9zM146.3 512C145.3 512.1 144.2 512.1 143.1 512H146.3z", "M289.7-.0003H288V439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C288.7-.0391 289.2-.0259 289.7 0V-.0003zM429.9 512H433.2C432.1 512.1 431 512.1 429.9 512z"]],
    "star-of-david": [512, 512, [10017], "f69a", ["M198 343.1L89.48 168h41.04l34.49-56H54.39c-29.59 0-48.04 30.41-33.12 54.62l109.3 177.4H198zM256 438.2l-23.59-38.25l-67.4 .0013l57.87 93.1c11.1 17.67 34.94 23.29 53.22 12.56c5.313-3.119 9.785-7.421 13.01-12.56l112.9-183.3L368.3 256L256 438.2zM457.6 112L232.5 112L197.1 168h224.5l-20.53 33.29L435.6 256l55.1-89.38C505.6 142.4 487.2 112 457.6 112z", "M110.1 310.6L76.37 256l-55.1 89.38C6.366 369.6 24.81 399.1 54.39 399.1l225.1-.0013l34.4-55.1H89.48L110.1 310.6zM256 73.77l23.59 38.23l67.39-.0013l-57.87-93.1c-11.1-17.67-34.94-23.29-53.22-12.56c-5.313 3.119-9.784 7.422-13.01 12.56L110 201.3L143.8 256L256 73.77zM490.7 345.4l-109.3-177.4h-67.48l108.5 175.1h-41.19l-34.39 56h110.7C487.2 399.1 505.6 369.6 490.7 345.4z"]],
    "star-of-life": [512, 512, [], "f621", ["M207.1 172.9L78.87 98.33c-11.49-6.645-26.19-2.711-32.82 8.781L22.02 148.7C15.4 160.2 19.34 174.8 30.8 181.5L159.5 256l48.43-28.07L207.1 172.9zM207.1 339.1V488c0 13.25 10.76 24 24.02 24h48.04c13.26 0 24.02-10.75 24.02-24v-148.9l-48.03-27.8L207.1 339.1zM489.1 148.7l-24.02-41.59c-6.634-11.49-21.34-15.43-32.82-8.78l-129.1 74.56l-.0154 55.05L352.5 256l128.8-74.53C492.7 174.8 496.6 160.2 489.1 148.7z", "M489.1 363.3l-24.03 41.59c-6.634 11.49-21.34 15.43-32.82 8.78l-177.1-102.4L78.87 413.7c-11.49 6.646-26.19 2.712-32.82-8.78l-24.03-41.59c-6.617-11.46-2.68-26.13 8.774-32.77l177.2-102.6L207.1 24c0-13.25 10.76-24 24.02-24h48.04c13.26 0 24.02 10.75 24.02 24l-.015 203.9l177.2 102.6C492.7 337.2 496.6 351.8 489.1 363.3z"]],
    "star-sharp": [512, 512, [], "e28b", ["M329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176z", ""]],
    "star-sharp-half": [512, 512, [], "e28c", ["M278.9 16.72C275.7 6.764 266.5 .0006 255.1 0V406.4L385.3 506.9C393.6 513.4 405.1 513.7 413.7 507.7C422.4 501.7 426.1 490.7 422.9 480.7L371.9 320.7L502.7 218.9C510.8 212.6 514 201.9 510.7 192.2C507.4 182.5 498.3 175.1 488 175.1H329.5L278.9 16.72z", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"]],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", ["M256 335.5L338.2 399.4L306.7 300.4L394.7 232H288.6L256 129.5L256 0C256 0 256 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.5 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L256 335.5z", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"]],
    "star-shooting": [512, 512, [127776], "e036", ["M312.1 7.031c-9.375-9.375-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C235.7 93.66 241.9 96 248 96s12.28-2.344 16.97-7.031l48-48C322.3 31.59 322.3 16.41 312.1 7.031zM504.1 7.031c-9.375-9.375-24.56-9.375-33.94 0l-160 160c-9.375 9.375-9.375 24.56 0 33.94C315.7 205.7 321.9 208 328 208s12.28-2.344 16.97-7.031l160-160C514.3 31.59 514.3 16.41 504.1 7.031zM471 199l-48 48c-9.375 9.375-9.375 24.56 0 33.94C427.7 285.7 433.9 288 440 288s12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94S480.4 189.7 471 199z", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0l-46.87 95.25L19.73 267.2C.8552 269.1-6.744 293.2 7.006 306.5L82.88 380.5l-17.1 104.6c-3.125 18.88 16.72 33.05 33.35 24.18l93.77-49.38l93.75 49.38c7.75 4.126 17.14 3.363 24.26-1.762c7-5.126 10.61-13.89 9.108-22.39l-17.9-104.6l75.9-74C390.7 293.3 383.1 269.1 364.2 267.2z"]],
    "starfighter": [640, 512, [], "e037", ["M48 72C61.25 72 72 82.75 72 96V120C85.25 120 96 130.7 96 144C96 157.3 85.25 168 72 168V448C72 461.3 61.25 472 48 472C34.75 472 24 461.3 24 448V168C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120V96C24 82.75 34.75 72 48 72zM592 72C605.3 72 616 82.75 616 96V120C629.3 120 640 130.7 640 144C640 157.3 629.3 168 616 168V448C616 461.3 605.3 472 592 472C578.7 472 568 461.3 568 448V168C554.7 168 544 157.3 544 144C544 130.7 554.7 120 568 120V96C568 82.75 578.7 72 592 72zM352 256V304C352 312.8 344.8 320 336 320H304C295.2 320 288 312.8 288 304V256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM128 320C128 302.3 142.3 288 160 288H192C209.7 288 224 302.3 224 320V416C224 433.7 209.7 448 192 448H160C142.3 448 128 433.7 128 416V320zM480 288C497.7 288 512 302.3 512 320V416C512 433.7 497.7 448 480 448H448C430.3 448 416 433.7 416 416V320C416 302.3 430.3 288 448 288H480z", "M384 256V352H416V416C416 433.7 430.3 448 448 448H480C497.7 448 512 433.7 512 416V352H568V444L480 470.4V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480H224C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V470.4L72 444V352H128V416C128 433.7 142.3 448 160 448H192C209.7 448 224 433.7 224 416V352H256V256L286.2 14.02C287.2 6.009 294.1 0 302.1 0H337.9C345.9 0 352.8 6.009 353.8 14.02L384 256zM288 304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256V304z"]],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", ["M139.6 196.1C132.1 214.6 128 234.8 128 255.1C128 277.2 132.1 297.4 139.6 315.9L64 300.8V211.2L139.6 196.1zM436.4 315.9C443.9 297.4 448 277.2 448 255.1C448 234.8 443.9 214.6 436.4 196.1L512 211.2V300.8L436.4 315.9z", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM544 32C561.7 32 576 46.33 576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32zM448 256C448 344.4 376.4 416 288 416C199.6 416 128 344.4 128 256C128 167.6 199.6 96 288 96C376.4 96 448 167.6 448 256zM272 350.7V317.1C266.1 316.5 260.6 314.1 255.5 311.1L232.4 334.3C243.9 342.5 257.4 348.2 271.1 350.7H272zM209.7 311.6L232.9 288.5C229.9 283.4 227.5 277.9 226 272H193.3C195.8 286.6 201.5 300.1 209.7 311.6V311.6zM193.3 240H226C227.5 234.1 229.9 228.6 232.9 223.5L209.7 200.4C201.5 211.9 195.8 225.4 193.3 240V240zM232.4 177.7L255.5 200.9C260.6 197.9 266.1 195.5 271.1 194V161.3C257.4 163.8 243.9 169.5 232.4 177.7H232.4zM320.5 311.1C315.4 314.1 309.9 316.5 304 317.1V350.7C318.6 348.2 332.1 342.5 343.6 334.3L320.5 311.1zM366.3 311.6C374.5 300.1 380.2 286.6 382.7 272H349.1C348.5 277.9 346.1 283.4 343.1 288.5L366.3 311.6zM349.1 240H382.7C380.2 225.4 374.5 211.9 366.3 200.4L343.1 223.5C346.1 228.6 348.5 234.1 349.1 239.1V240zM304 161.3V194C309.9 195.5 315.4 197.9 320.5 200.9L343.6 177.7C332.1 169.5 318.6 163.8 304 161.3H304zM310.8 278.5C316.5 272.7 320 264.8 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288C296.8 288 304.7 284.5 310.5 278.8L310.8 278.5z"]],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", ["M171.6 196.1C164.1 214.6 160 234.8 160 255.1C160 277.2 164.1 297.4 171.6 315.9L64 294.4V217.6L171.6 196.1zM468.4 196.1L576 217.6V294.4L468.4 315.9C475.9 297.4 480 277.2 480 255.1C480 234.8 475.9 214.6 468.4 196.1V196.1z", "M148.8 7.704C162.2 19.21 163.8 39.41 152.3 52.83L64 155.8V356.2L152.3 459.2C163.8 472.6 162.2 492.8 148.8 504.3C135.4 515.8 115.2 514.2 103.7 500.8L15.41 397.8C5.465 386.2 0 371.4 0 356.2V155.8C0 140.6 5.465 125.8 15.41 114.2L103.7 11.18C115.2-2.243 135.4-3.797 148.8 7.704V7.704zM160 256C160 167.6 231.6 96 320 96C408.4 96 480 167.6 480 256C480 344.4 408.4 416 320 416C231.6 416 160 344.4 160 256zM414.7 272H381.1C380.5 277.9 378.1 283.4 375.1 288.5L398.3 311.6C406.5 300.1 412.2 286.6 414.7 272V272zM375.6 334.3L352.5 311.1C347.4 314.1 341.9 316.5 336 317.1V350.7C350.6 348.2 364.1 342.5 375.6 334.3H375.6zM304 350.7V317.1C298.1 316.5 292.6 314.1 287.5 311.1L264.4 334.3C275.9 342.5 289.4 348.2 304 350.7H304zM241.7 311.6L264.9 288.5C261.9 283.4 259.5 277.9 258 272H225.3C227.8 286.6 233.5 300.1 241.7 311.6V311.6zM398.3 200.4L375.1 223.5C378.1 228.6 380.5 234.1 381.1 240H414.7C412.2 225.4 406.5 211.9 398.3 200.4V200.4zM375.6 177.7C364.1 169.5 350.6 163.8 336 161.3V194C341.9 195.5 347.4 197.9 352.5 200.9L375.6 177.7zM304 194V161.3C289.4 163.8 275.9 169.5 264.4 177.7L287.5 200.9C292.6 197.9 298.1 195.5 304 194H304zM264.9 223.5L241.7 200.4C233.5 211.9 227.8 225.4 225.3 240H258C259.5 234.1 261.9 228.6 264.9 223.5V223.5zM342.8 278.5C348.5 272.7 352 264.8 352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C328.8 288 336.7 284.5 342.5 278.8L342.8 278.5zM488.5 53.71C476.5 40.72 477.3 20.47 490.3 8.487C503.3-3.5 523.5-2.691 535.5 10.3L623 105.1C633.9 116.9 640 132.4 640 148.5V348.8C640 363.3 635.1 377.4 625.1 388.8L536.1 499.1C525.9 513.8 505.8 516 492 504.1C478.2 493.9 475.1 473.8 487 460L576 348.8V148.5L488.5 53.71z"]],
    "stars": [512, 512, [], "f762", ["M509 219.3l-39.62-16.63l-16.62-39.63c-.875-1.875-2.751-3.003-4.751-3.003s-3.874 1.128-4.749 3.003l-16.62 39.63L387 219.3c-1.875 .875-3.002 2.746-3.002 4.746s1.127 3.879 3.002 4.754l39.62 16.63l16.62 39.63c.875 1.875 2.749 2.995 4.749 2.995s3.876-1.12 4.751-2.995l16.62-39.63l39.62-16.63C510.9 227.9 512 226 512 224S510.9 220.1 509 219.3zM416 80c0-2.5-1.373-4.874-3.748-5.999L362.6 53.38l-20.62-49.63C340.9 1.375 338.5 0 336 0s-4.872 1.375-5.997 3.75l-20.62 49.63l-49.66 20.63c-2.375 1.125-3.712 3.499-3.712 5.999s1.337 4.877 3.712 6.002l49.66 20.63l20.62 49.67c1.125 2.375 3.498 3.707 5.998 3.707s4.876-1.332 6.001-3.707l20.62-49.67l49.62-20.63C414.6 84.88 416 82.5 416 80z", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0L124.5 251.1L19.71 267.2C.8322 269.1-6.742 293.2 7.007 306.5l75.87 74l-17.1 104.6c-3.125 18.88 16.7 33.05 33.32 24.18l93.79-49.38l93.74 49.38c7.75 4.125 17.13 3.386 24.25-1.739c6.1-5.125 10.62-13.91 9.119-22.41L301.2 380.5l75.92-74C390.7 293.3 383.1 269.1 364.2 267.2z"]],
    "starship": [640, 512, [], "e039", ["M256 256C256 149.1 341.1 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C341.1 448 256 362 256 256zM448 320C483.3 320 512 291.3 512 256C512 220.7 483.3 192 448 192C412.7 192 384 220.7 384 256C384 291.3 412.7 320 448 320zM0 128C0 110.3 14.33 96 32 96H208C225.7 96 240 110.3 240 128C240 145.7 225.7 160 208 160H32C14.33 160 0 145.7 0 128zM208 352C225.7 352 240 366.3 240 384C240 401.7 225.7 416 208 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H208z", "M129.1 216.8L64.13 160H137L187.4 204.1L269 186.4C260.6 207.1 256 231.4 256 256C256 280.6 260.6 304 269 325.6L187.4 307.9L137 352H64.13L129.1 295.2L127.3 294.8C109 290.8 96 274.7 96 255.1C96 237.3 109 221.2 127.3 217.2L129.1 216.8zM512 256C512 291.3 483.3 320 448 320C412.7 320 384 291.3 384 256C384 220.7 412.7 192 448 192C483.3 192 512 220.7 512 256zM448 288C465.7 288 480 273.7 480 256C480 238.3 465.7 224 448 224C430.3 224 416 238.3 416 256C416 273.7 430.3 288 448 288z"]],
    "starship-freighter": [576, 512, [], "e03a", ["M224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V208C576 216.8 568.8 224 560 224H432C423.2 224 416 231.2 416 240V272C416 280.8 423.2 288 432 288H560C568.8 288 576 295.2 576 304V346.1C576 359.3 567.9 371.2 555.6 375.9L473.5 407.9C465.2 393.6 449.7 384 432 384H383.6L301.1 277.3C303 270.5 304 263.4 304 255.1C304 211.8 268.2 175.1 224 175.1C179.8 175.1 144 211.8 144 255.1C144 300.2 179.8 336 224 336L225.2 335.1L322 461.4C322.9 462.5 323.9 463.7 324.9 464.7C292.3 474.8 258.3 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32V32zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272C88.84 272 96 264.8 96 256C96 247.2 88.84 240 80 240zM112 176C120.8 176 128 168.8 128 160C128 151.2 120.8 144 112 144C103.2 144 96 151.2 96 160C96 168.8 103.2 176 112 176zM112 336C103.2 336 96 343.2 96 352C96 360.8 103.2 368 112 368C120.8 368 128 360.8 128 352C128 343.2 120.8 336 112 336z", "M128 160C128 168.8 120.8 176 112 176C103.2 176 96 168.8 96 160C96 151.2 103.2 144 112 144C120.8 144 128 151.2 128 160zM383.6 384H432C458.5 384 480 405.5 480 432C480 458.5 458.5 480 432 480H360C345.1 480 331.1 473.1 322 461.4L225.2 335.1L224 336C179.8 336 144 300.2 144 255.1C144 211.8 179.8 175.1 224 175.1C268.2 175.1 304 211.8 304 255.1C304 263.4 303 270.5 301.1 277.3L383.6 384zM224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224zM64 256C64 247.2 71.16 240 80 240C88.84 240 96 247.2 96 256C96 264.8 88.84 272 80 272C71.16 272 64 264.8 64 256zM96 352C96 343.2 103.2 336 112 336C120.8 336 128 343.2 128 352C128 360.8 120.8 368 112 368C103.2 368 96 360.8 96 352z"]],
    "steak": [576, 512, [129385], "f824", ["M514.9 76.63C467.9 23.12 416.3 0 368.9 0c-70.63 0-131.9 51.12-154.8 129.4c-49.13 139.9-212.8 82.1-214.1 222.3c-1.25 121.6 139.3 164.6 256 160c87.75-3.375 187.4-37.07 270.5-131.8C596.8 299.8 591.6 164 514.9 76.63zM478.4 337.6c-76.13 86.76-164.2 107.8-224.7 110.1c-37.75 1.375-131.6-6.5-171.3-46.63c-2.5-2.5-59.53-61.76 37.97-104.1c71.63-31.25 132.3-71.25 155.2-149.6c14.88-50.63 51.5-83.38 93.38-83.38c32.5 0 66.35 18.1 97.98 54.88C521.1 181.8 527.3 281.9 478.4 337.6z", "M466.9 118.9c-31.62-35.88-65.48-54.88-97.98-54.88c-41.88 0-78.5 32.75-93.38 83.38C252.6 225.8 191.1 265.8 120.4 297c-97.5 42.38-40.47 101.6-37.97 104.1c39.62 40.13 133.5 48 171.3 46.63c60.5-2.375 148.6-23.38 224.7-110.1C527.3 281.9 521.1 181.8 466.9 118.9zM384 255.9c-17.62 0-32-14.25-32-32c0-17.63 14.38-32 32-32s32 14.37 32 32C416 241.6 401.6 255.9 384 255.9z"]],
    "steering-wheel": [512, 512, [], "f622", ["M288 445.3C277.6 447.1 266.9 448 256 448C245.1 448 234.4 447.1 224 445.3V358.9L168.9 288H66.65C64.91 277.6 64 266.9 64 256C64 245.1 64.91 234.4 66.65 224H160L167.2 209.7C172.6 198.8 183.7 192 195.8 192H316.2C328.3 192 339.4 198.8 344.8 209.7L352 224H445.3C447.1 234.4 448 245.1 448 256C448 266.9 447.1 277.6 445.3 288H343.1L288 358.9L288 445.3z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"]],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", ["M48 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H48V288zM112 224H224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288H112V224z", "M176.4 95.1C140.8 95.1 112 124.8 112 160.4V332.5C112 361.5 104.1 390 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96V95.1z"]],
    "stethoscope": [576, 512, [129658], "f0f1", ["M512 265.3v78.75c0 92.6-79 168-176 168c-95.39 0-173.3-72.82-175.9-163.2l.5342 .0439C170.8 350.9 181.3 352 192 352s21.2-1.143 31.35-3.17l.8711-.0439c2.701 55.1 51.89 99.23 111.9 99.23c61.8 0 112-46.7 112-104V265.3C457.9 269.6 468.6 272 480 272C491.4 272 502.2 269.5 512 265.3z", "M332.7 13.09L269.8 .4775c-12.96-2.607-25.56 5.803-28.16 18.77c-.002 .0156 .0039-.0156 0 0L238.4 34.99c-2.607 12.96 5.849 25.61 18.81 28.22c.0156 .0039-.0156-.002 0 0l30.69 6.059L288 192c0 53.02-42.98 96-96 96S95.94 244.1 95.94 191.9L95.89 69.37l30.72-6.112C139.6 60.68 147.1 48.07 145.4 35.1c-.0039-.0176 .0039 .0176 0 0L142.3 19.37C139.7 6.397 127.1-1.997 114.1 .5814c-.0176 .0039 .0176-.0039 0 0L51.28 12.99C40.06 15.27 32.02 25.15 32 36.59v155.4C32 280.2 103.8 352 192 352s160-71.78 160-160V36.59C351.1 25.16 343.9 15.33 332.7 13.09zM480 112c-44.18 0-80 35.82-80 80S435.8 272 480 272c44.18 0 80-35.81 80-79.1S524.2 112 480 112zM480 216c-13.23 0-24-10.77-24-24S466.8 168 480 168c13.23 0 24 10.77 24 24S493.2 216 480 216z"]],
    "stocking": [384, 512, [], "f7d5", ["M351.1 0H96.01C78.41 0 64.01 14.4 64.01 32L64.01 64c0 17.6 14.41 32 32 32h255.1C369.6 96 384 81.6 384 64V32C384 14.4 369.6 0 351.1 0zM224 368c0 32.42 13.99 61.38 36 81.83L280.8 436c44.5-29.75 71.14-79.5 71.14-133.1l-.0597-45.28C346.6 256.9 341.4 256 336 256C274.1 256 224 306.1 224 368z", "M260 449.8l-60.97 40.67C177.3 505 152.5 512 128.2 512c-41.37 0-81.89-20-106.6-57c-39.25-58.75-23.24-138.3 35.5-177.5l39.01-26L96.01 96h255.1l-.0977 161.6C346.6 256.9 341.4 256 336 256c-61.85 0-111.1 50.14-111.1 112C224 400.4 237.1 429.4 260 449.8z"]],
    "stomach": [512, 512, [], "f623", ["M273.1 160L256 159.1c-35.35 0-64-28.65-64-63.1V15.1C192 7.164 184.8 0 176 0h-32C135.2 0 128 7.164 128 15.1V95.1c0 70.69 57.31 128 128 128C255.1 201.5 261.9 179.4 273.1 160zM384 319.1c-17.27-17.27-42.62-22.06-65.21-14.06c-7.129 52.25-44.66 86.39-77.19 100.1c-6.682 2.744-9.877 10.39-7.133 17.08c1.109 2.703 3.087 4.972 5.628 6.417c9.092 5.232 18.72 9.462 28.73 12.61c43.37 13.59 98.26 4.59 137.7-34.41c19.83-19.71 33.33-44.98 38.71-72.41C423.7 341.3 400.3 336.2 384 319.1z", "M384 95.1C366.7 95.1 307.8 100 273.1 160c-9.092 15.73-14.72 33.23-16.5 51.31C256.1 217 256 222.1 256 223.1v63.1c0 35.35-28.65 63.1-64 63.1H128c-70.69 0-128 57.31-128 128v15.1c0 8.836 7.164 15.1 15.1 15.1L48 511.1c8.836 0 16-7.163 16-15.1v-15.1c0-37.63 33.97-51.24 53.89-51.24c17.11 0 29.63 6.743 41.11 18.23c63.07 63.07 129.8 65 146.7 65l2.694-.0038C420.9 512 512 420.8 512 308.4V223.1C512 153.3 454.7 95.1 384 95.1zM448 307c0 37.73-14.65 74.18-41.48 100.7c-39.44 39-94.33 48-137.7 34.41c-10.01-3.15-19.64-7.378-28.73-12.61c-6.293-3.545-8.526-11.51-4.981-17.8c1.453-2.582 3.74-4.584 6.486-5.695C277.7 390.8 320 350.4 320 287.1V224c.8301-21.86 20.15-64 64-64c35.33 .0391 63.96 28.67 64 63.1V307z"]],
    "stop": [384, 512, [9209], "f04d", ["", "M384 128v255.1c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64H320C355.3 64 384 92.65 384 128z"]],
    "stopwatch": [448, 512, [9201], "f2f2", ["M16 304C16 189.1 109.1 96 224 96C338.9 96 432 189.1 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304zM248 192C248 178.7 237.3 168 224 168C210.7 168 200 178.7 200 192V320C200 333.3 210.7 344 224 344C237.3 344 248 333.3 248 320V192z", "M144 32C144 14.33 158.3 0 176 0H272C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C245.6 96.84 234.9 96 224 96C213.1 96 202.4 96.84 192 98.45V64H176C158.3 64 144 49.67 144 32zM377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C386.8 172.7 372.3 156.6 355.7 143L377.4 121.4zM248 320C248 333.3 237.3 344 224 344C210.7 344 200 333.3 200 320V192C200 178.7 210.7 168 224 168C237.3 168 248 178.7 248 192V320z"]],
    "stopwatch-20": [448, 512, [], "e06f", ["M276 256C276 249.4 281.4 244 288 244C294.6 244 300 249.4 300 256V352C300 358.6 294.6 364 288 364C281.4 364 276 358.6 276 352V256zM272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM288 204C259.3 204 236 227.3 236 256V352C236 380.7 259.3 404 288 404C316.7 404 340 380.7 340 352V256C340 227.3 316.7 204 288 204zM172 256.5V258.8C172 262.4 170.7 265.9 168.3 268.6L129.2 312.5C115.5 327.9 108 347.8 108 368.3V384C108 395 116.1 404 128 404H192C203 404 212 395 212 384C212 372.1 203 364 192 364H148.2C149.1 354.8 152.9 346.1 159.1 339.1L198.2 295.2C207.1 285.1 211.1 272.2 211.1 258.8V256.5C211.1 227.5 188.5 204 159.5 204C136.8 204 116.8 218.5 109.6 239.9L109 241.7C105.5 252.2 111.2 263.5 121.7 266.1C132.2 270.5 143.5 264.8 146.1 254.3L147.6 252.6C149.3 247.5 154.1 244 159.5 244C166.4 244 171.1 249.6 171.1 256.5L172 256.5z", "M146.1 254.3C143.5 264.8 132.2 270.5 121.7 266.1C111.2 263.5 105.5 252.2 109 241.7L109.6 239.9C116.8 218.5 136.8 204 159.5 204C188.5 204 211.1 227.5 211.1 256.5V258.8C211.1 272.2 207.1 285.1 198.2 295.2L159.1 339.1C152.9 346.1 149.1 354.8 148.2 364H191.1C203 364 211.1 372.1 211.1 384C211.1 395 203 404 191.1 404H127.1C116.1 404 107.1 395 107.1 384V368.3C107.1 347.8 115.5 327.9 129.2 312.5L168.3 268.6C170.7 265.9 171.1 262.4 171.1 258.8V256.5C171.1 249.6 166.4 244 159.5 244C154.1 244 149.3 247.5 147.6 252.6L146.1 254.3zM340 256V352C340 380.7 316.7 404 288 404C259.3 404 236 380.7 236 352V256C236 227.3 259.3 204 288 204C316.7 204 340 227.3 340 256zM276 352C276 358.6 281.4 364 288 364C294.6 364 300 358.6 300 352V256C300 249.4 294.6 244 288 244C281.4 244 276 249.4 276 256V352z"]],
    "store": [576, 512, [], "f54e", ["M80.23 223.2C84.21 223.7 88.3 224 92.36 224C105.1 224 117.2 221.3 128 216.5V384H448V216.5C458.8 221.3 470.8 224 483.4 224C487.6 224 491.6 223.7 495.5 223.2C501.4 222.4 506.9 221 512 219.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V219.1C69.08 221 74.5 222.4 80.24 223.2H80.23z", "M490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2C491.6 223.7 487.6 224 483.4 224C457.4 224 434.2 212.6 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13H490.3z"]],
    "store-lock": [640, 512, [], "e4a6", ["M490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1C548.5 161.4 538.4 160 528 160C489.3 160 455.2 179.6 435.1 209.5C428.9 205.3 423.2 200.5 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L490.3 13.13zM384 480C384 491.7 387.1 502.6 392.6 512H128C92.65 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384H384V480z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "store-slash": [640, 512, [], "e071", ["M480 350.9V250.7C491.2 254.1 503.1 256 515.4 256C521 256 526.4 255.6 531.7 254.9L531.7 254.9C535.1 254.4 540 253.6 544 252.6V401.1L480 350.9zM94.92 49.09L117.7 13.13C122.8 4.979 131.9 0 141.6 0H498.4C508.1 0 517.2 4.978 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C489.4 224 466.2 212.6 450.3 195C434.4 212.6 411.2 224 385.1 224C359 224 335.8 212.6 319.9 195C314.4 201.1 308.1 206.4 301.2 210.7L94.92 49.09zM112.2 223.2C68.36 217.3 42.82 175.1 48.9 134.5L155.3 218.4C145.7 222 135.3 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2V223.2zM160 384H365.5L514.9 501.7C504.8 508.2 492.9 512 480 512H160C124.7 512 96 483.3 96 448V252.6C99.87 253.6 103.9 254.4 107.1 254.9L108.1 254.9C113.3 255.6 118.8 256 124.4 256C136.8 256 148.8 254.1 160 250.6V384z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "strawberry": [512, 512, [], "e32b", ["M447.1 322.3c0-45.81-26.67-83.47-53.4-109.7l-95.16-95.16c-26.28-26.73-63.94-53.4-109.8-53.4c-81.09 0-189.7 91.01-189.7 264.7c0 140.8 33.9 183.3 183.3 183.3C357.5 512 447.1 402.7 447.1 322.3zM199.1 234.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C202.8 247.1 199.1 239.1 199.1 234.5zM135.1 170.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C138.8 183.1 135.1 175.1 135.1 170.5zM103.1 266.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C106.8 279.1 103.1 271.1 103.1 266.5zM119.1 341.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C111.1 327.1 119.1 330.8 119.1 341.5zM183.1 405.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C175.1 391.1 183.1 394.8 183.1 405.5zM215.1 309.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C207.1 295.1 215.1 298.8 215.1 309.5zM279.1 373.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C271.1 359.1 279.1 362.8 279.1 373.5zM311.1 277.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C303.1 263.1 311.1 266.8 311.1 277.5zM375.1 341.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C367.1 327.1 375.1 330.8 375.1 341.5z", "M170.5 392C154.5 392 136 410.7 136 426.5C136 431.9 138.8 440 149.5 440C165.5 440 184 421.4 184 405.5C184 394.8 175.1 392 170.5 392zM117.5 280C133.5 280 152 261.4 152 245.5C152 234.8 143.1 232 138.5 232C122.5 232 104 250.7 104 266.5C104 271.9 106.8 280 117.5 280zM106.5 328C90.5 328 72 346.7 72 362.5C72 367.9 74.8 376 85.46 376C101.5 376 120 357.4 120 341.5C120 330.8 111.1 328 106.5 328zM149.5 184C165.5 184 184 165.4 184 149.5C184 138.8 175.1 136 170.5 136C154.5 136 136 154.7 136 170.5C136 175.9 138.8 184 149.5 184zM213.5 248C229.5 248 248 229.4 248 213.5C248 202.8 239.1 200 234.5 200C218.5 200 200 218.7 200 234.5C200 239.9 202.8 248 213.5 248zM362.5 328C346.5 328 328 346.7 328 362.5C328 367.9 330.8 376 341.5 376C357.5 376 376 357.4 376 341.5C376 330.8 367.1 328 362.5 328zM298.5 264C282.5 264 264 282.7 264 298.5C264 303.9 266.8 312 277.5 312C293.5 312 312 293.4 312 277.5C312 266.8 303.1 264 298.5 264zM266.5 360C250.5 360 232 378.7 232 394.5C232 399.9 234.8 408 245.5 408C261.5 408 280 389.4 280 373.5C280 362.8 271.1 360 266.5 360zM202.5 296C186.5 296 168 314.7 168 330.5C168 335.9 170.8 344 181.5 344C197.5 344 216 325.4 216 309.5C216 298.8 207.1 296 202.5 296zM447.4 108.9c26.14-27.63 48.64-64.69 48.64-84.88c0-13.35-10.89-24.05-24.11-24.05c-32.46 0-16.75 44.21-66.63 82.54C403.6 43.24 373.6 0 360.3 0C347.8 0 320 38.39 320 78.36c0 9.305 .8223 10.95 1.404 15.79c.2773 .2813 .5684 .5137 .8457 .7969l94.97 94.98c.2344 .2305 .4297 .4727 .6621 .7031C422.6 191.2 424 192 433.5 192C471.1 192 512 164.9 512 151.6C512 139.8 477.1 115.4 447.4 108.9z"]],
    "street-view": [512, 512, [], "f21d", ["M151.6 366.3C153.1 379.3 145.4 391.8 132.3 394.2C102.1 399.8 78.57 407 63.27 414.7C60.09 416.3 57.47 417.8 55.33 419.2C51.7 421.6 51.72 426.4 55.34 428.8C64.15 434.6 78.48 440.6 98.33 446.1C137.7 456.1 193.5 464 256 464C318.5 464 374.3 456.1 413.7 446.1C433.5 440.6 447.9 434.6 456.7 428.8C460.3 426.4 460.3 421.6 456.7 419.2C454.5 417.8 451.9 416.3 448.7 414.7C433.4 407 409.9 399.8 379.7 394.2C366.6 391.8 358 379.3 360.4 366.3C362.8 353.3 375.3 344.6 388.3 347C420.8 352.9 449.2 361.2 470.3 371.8C480.8 377.1 490.6 383.5 498 391.4C505.6 399.5 512 410.5 512 424C512 445.4 496.5 460.1 482.9 469C468.2 478.6 448.6 486.3 426.4 492.4C381.8 504.7 321.6 512 256 512C190.4 512 130.2 504.7 85.57 492.4C63.44 486.3 43.79 478.6 29.12 469C15.46 460.1 0 445.4 0 424C0 410.5 6.376 399.5 13.96 391.4C21.44 383.5 31.24 377.1 41.72 371.8C62.75 361.2 91.24 352.9 123.7 347C136.7 344.6 149.2 353.3 151.6 366.3H151.6z", "M192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM160 224C160 188.7 188.7 160 224 160H288C323.3 160 352 188.7 352 224V272C352 289.7 337.7 304 320 304H318.2L307.2 403.5C305.4 419.7 291.7 432 275.4 432H236.6C220.3 432 206.6 419.7 204.8 403.5L193.8 304H192C174.3 304 160 289.7 160 272L160 224z"]],
    "stretcher": [640, 512, [], "f825", ["M480 384c-12.61 0-24.29 3.773-34.2 10.07L409.3 368l109.5-80h-82.24L368 338.5L299.4 288H217.2l109.5 80l-36.5 26.07C280.3 387.8 268.6 384 255.1 384c-35.35 0-64 28.65-64 63.1c0 35.35 28.65 64 64 64S319.1 483.3 319.1 448c0-5.137-.765-10.07-1.908-14.85L368 397.5l49.91 35.65C416.8 437.9 415.1 442.9 415.1 448c0 35.35 28.65 64 64 64s64-28.65 64-64C544 412.7 515.3 384 480 384zM255.1 464c-8.822 0-16-7.178-16-16s7.178-16 15.1-16C264.8 432 271.1 439.2 271.1 448S264.8 464 255.1 464zM480 464c-8.822 0-16-7.178-16-16S471.2 432 480 432s16 7.178 16 16S488.8 464 480 464z", "M640 223.1v32C640 273.6 625.6 288 608 288H177.6C159.4 288 141.9 280.1 129.7 266.5L8.115 138.5c-11.75-13.25-10.62-33.38 2.625-45.13l23.88-21.25c13.25-11.75 33.5-10.62 45.25 2.625l112.1 117.3H608C625.6 191.1 640 206.4 640 223.1z"]],
    "strikethrough": [512, 512, [], "f0cc", ["M332.2 319.9c17.22 12.17 22.33 26.51 18.61 48.21c-3.031 17.59-10.88 29.34-24.72 36.99c-35.44 19.75-108.5 11.96-186-19.68c-16.34-6.686-35.03 1.156-41.72 17.53s1.188 35.05 17.53 41.71c31.75 12.93 95.69 35.37 157.6 35.37c29.62 0 58.81-5.156 83.72-18.96c30.81-17.09 50.44-45.46 56.72-82.11c3.998-23.27 2.168-42.58-3.488-59.05H332.2zM311.5 239.9c-15.85-5.613-31.83-10.34-46.7-14.62c-85.47-24.62-110.9-39.05-103.7-81.33c2.5-14.53 10.16-25.96 22.72-34.03c20.47-13.15 64.06-23.84 155.4 .3438c17.09 4.531 34.59-5.654 39.13-22.74c4.531-17.09-5.656-34.59-22.75-39.12c-91.31-24.18-160.7-21.62-206.3 7.654C121.8 73.72 103.6 101.1 98.09 133.1C89.26 184.5 107.9 217.3 137.2 239.9H311.5z", "M488 239.9H24c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1h464c13.25 0 24-10.75 24-23.1C512 250.7 501.3 239.9 488 239.9z"]],
    "stroopwafel": [512, 512, [], "f551", ["M188.1 210.8l-45.25 45.25l45.25 45.25l45.25-45.25L188.1 210.8zM301.2 188.1l-45.25-45.25L210.7 188.1l45.25 45.25L301.2 188.1zM210.7 323.9l45.25 45.25l45.25-45.25L255.1 278.6L210.7 323.9zM256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM442.6 295.6l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L391.8 278.6l-45.25 45.25l34 33.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-16.88 16.88l16.88 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-17 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-17l-34-33.88l-45.25 45.25l28.25 28.25c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0l-28.25-28.25L227.7 442.6c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-45.25-45.25l-33.88 34l16.88 16.88c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L131.6 403.1l-16.1 16.88c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-16.88l-17-17c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.1 17l33.88-34L120.2 278.6l-28.25 28.25c-3.125 3.125-8.25 3.125-11.38 0L69.37 295.6c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-28.25-28.25c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l45.25-45.25l-34-34l-16.88 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l16.88-17l-16.88-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.88 17l17-17c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l34 34l45.25-45.25L205.1 92c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l45.25 45.25l34-34l-17-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l17 16.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l17 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-34 34l45.25 45.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l28.25 28.25C445.7 287.4 445.7 292.5 442.6 295.6zM278.6 256l45.25 45.25l45.25-45.25l-45.25-45.25L278.6 256z", "M414.4 256l28.25-28.25c3.127-3.125 3.127-8.25 0-11.38l-11.25-11.25c-3.125-3.125-8.25-3.125-11.38 0l-28.25 28.25l-45.25-45.25l34-34l16.88 17c3.125 3.125 8.249 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-17-17l17-16.88c3.125-3.125 3.125-8.25 0-11.38L408.8 92c-3.127-3.125-8.251-3.125-11.38 0l-16.88 16.88l-17-16.88c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.123 3.125-3.123 8.25 0 11.38l17 16.88l-34 34l-45.25-45.25l28.25-28.25c3.125-3.125 3.125-8.25 0-11.38l-11.25-11.25c-3.125-3.125-8.25-3.125-11.38 0L255.1 97.63L227.7 69.38c-3.125-3.125-8.25-3.125-11.38 0L205.1 80.63c-3.125 3.125-3.125 8.25 0 11.38l28.25 28.25l-45.25 45.25l-34-34l17-16.88c3.125-3.125 3.125-8.25 0-11.38L159.9 92c-3.125-3.125-8.25-3.125-11.38 0l-17 17l-16.88-17c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l16.88 16.88l-16.88 17c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l16.88-17l34 34l-45.25 45.25l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l28.25 28.25L69.37 284.3c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l28.25-28.25l45.25 45.25l-33.88 34l-16.1-17c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l17 17l-17 16.88c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l16.1-16.88l16.88 16.88c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-16.88-16.88l33.88-34l45.25 45.25l-28.25 28.25c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l28.25-28.25l28.25 28.25c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-28.25-28.25l45.25-45.25l34 33.88l-17 17c-3.123 3.125-3.123 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l17-17l16.88 17c3.125 3.125 8.249 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-16.88-17l16.88-16.88c3.125-3.125 3.125-8.25 0-11.38l-11.25-11.25c-3.127-3.125-8.251-3.125-11.38 0l-16.88 16.88l-34-33.88l45.25-45.25l28.25 28.25c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.127-3.125 3.127-8.25 0-11.38L414.4 256zM255.1 142.9l45.25 45.25l-45.25 45.25L210.7 188.1L255.1 142.9zM142.9 256l45.25-45.25l45.25 45.25l-45.25 45.25L142.9 256zM255.1 369.1l-45.25-45.25L255.1 278.6l45.25 45.25L255.1 369.1zM323.9 301.3l-45.25-45.25l45.25-45.25l45.25 45.25L323.9 301.3z"]],
    "subscript": [512, 512, [], "f12c", ["M320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z", "M480 448v-128c0-11.09-5.75-21.38-15.17-27.22c-9.422-5.875-21.25-6.344-31.14-1.406l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94c5.609 11.22 16.89 17.69 28.62 17.69v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 448 480 448z"]],
    "suitcase": [512, 512, [129523], "f0f2", ["M128 480H96V96H128V480zM416 480H384V96H416V480z", "M128 56C128 25.07 153.1 0 184 0H328C358.9 0 384 25.07 384 56V480H128V56zM176 96H336V56C336 51.58 332.4 48 328 48H184C179.6 48 176 51.58 176 56V96zM64 96H96V480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96zM448 480H416V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480z"]],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", ["M64 480h64V96H64V480zM384 96v384h64V96H384z", "M0 144v288C0 457.6 22.41 480 48 480H64V96H48C22.41 96 0 118.4 0 144zM336 0h-160C150.4 0 128 22.41 128 48V480h256V48C384 22.41 361.6 0 336 0zM176 48h160V96h-160V48zM352 312C352 316.4 348.4 320 344 320H288v56c0 4.375-3.625 8-8 8h-48C227.6 384 224 380.4 224 376V320H168C163.6 320 160 316.4 160 312v-48C160 259.6 163.6 256 168 256H224V200C224 195.6 227.6 192 232 192h48C284.4 192 288 195.6 288 200V256h56C348.4 256 352 259.6 352 264V312zM464 96H448v384h16c25.59 0 48-22.41 48-48v-288C512 118.4 489.6 96 464 96z"]],
    "suitcase-rolling": [448, 512, [], "f5c1", ["M176.1 48h96V128h47.97l.0123-80c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48L128 128h48.03V48zM96 496C96 504.9 103.1 512 112 512h32C152.9 512 160 504.9 160 496L160.1 480H96.05L96 496zM288 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16l.0492-16h-63.99L288 496zM336 352h-224C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384h224c8.801 0 16-7.201 16-16C352 359.2 344.8 352 336 352zM112 256h224C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224h-224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256z", "M368 128h-288C53.5 128 32 149.5 32 176v256C32 458.5 53.5 480 80 480h288c26.5 0 48-21.5 48-48v-256C416 149.5 394.5 128 368 128zM336 384h-224C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352h224c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM336 256h-224C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224h224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256z"]],
    "sun": [512, 512, [9728], "f185", ["M509.3 347L446.1 255.1l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l19.7-109l109-19.7C510.4 368.8 515.6 356.1 509.3 347zM256 383.1c-70.69 0-127.1-57.31-127.1-127.1c0-70.69 57.31-127.1 127.1-127.1s127.1 57.3 127.1 127.1C383.1 326.7 326.7 383.1 256 383.1z", "M256 159.1c-53.02 0-95.1 42.98-95.1 95.1S202.1 351.1 256 351.1s95.1-42.98 95.1-95.1S309 159.1 256 159.1z"]],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", ["M108.9 74.97c-9.344-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031S149.5 158.9 154.2 154.2c9.375-9.375 9.375-24.56 0-33.93L108.9 74.97zM256 0C242.8 0 232 10.75 232 24v64C232 101.3 242.8 112 256 112s24-10.75 24-24v-64C280 10.75 269.3 0 256 0zM112 256c0-13.25-10.75-24-24-24h-64C10.75 232 0 242.8 0 256s10.75 24 24 24h64C101.3 280 112 269.3 112 256zM374.8 161.2c6.141 0 12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.94s-24.59-9.375-33.94 0l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.93C362.5 158.9 368.7 161.2 374.8 161.2zM256 400c-13.25 0-24 10.75-24 24v64C232 501.3 242.8 512 256 512s24-10.75 24-24v-64C280 410.8 269.3 400 256 400zM120.2 357.8l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.93S129.6 348.4 120.2 357.8zM488 232h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C501.3 280 512 269.3 512 256S501.3 232 488 232zM391.8 357.8c-9.344-9.375-24.56-9.372-33.94 .0031s-9.375 24.56 0 33.93l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L391.8 357.8z", "M256 144C194.1 144 144 194.1 144 256c0 61.86 50.14 112 112 112s112-50.14 112-112C368 194.1 317.9 144 256 144z"]],
    "sun-cloud": [640, 512, [127780], "f763", ["M325.3 363.4C305.3 376.3 281.6 384 256 384c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128c46.04 0 86.06 24.52 108.6 60.1c15.28-29.75 43.27-51.29 76.25-58.31l-50.44-9.115l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l21.47-115.5L384 383.1C361.8 383.1 341.6 376.1 325.3 363.4zM336.9 204.7C319.8 177.9 290.1 160 256 160c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.21 0 33.13-4.896 47.1-12.83C293.7 324.3 288 306.8 288 287.1C288 252.2 307.8 221.2 336.9 204.7z", "M576 223.1c-12 0-23.12 3.5-32.75 9.25C539.8 192.2 505.9 159.1 464 159.1c-38.75 0-71.13 27.63-78.38 64.25c-.5 0-1-.25-1.625-.25c-35.25 0-64 28.75-64 64s28.75 64 64 64h192c35.25 0 64-28.75 64-64S611.3 223.1 576 223.1z"]],
    "sun-dust": [512, 512, [], "f764", ["M160 256c0 26.51 10.74 50.51 28.11 67.88l135.8-135.8C306.5 170.7 282.5 160 256 160C202.1 160 160 202.1 160 256zM370.7 12.56c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l43.92-43.92C142.3 323.3 128 291.3 128 256c0-70.69 57.31-128 128-128c35.35 0 67.35 14.33 90.51 37.49l43.92-43.92L370.7 12.56z", "M320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM240 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S257.8 368 240 368zM160 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S177.8 448 160 448zM480 192c17.75 0 32-14.25 32-32s-14.25-32-32-32s-32 14.25-32 32S462.3 192 480 192zM320 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 288 320 288zM480 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 288 480 288zM480 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 448 480 448zM400 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 368 400 368zM400 208c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 208 400 208z"]],
    "sun-haze": [640, 512, [], "f765", ["M563.4 141.3l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L320 65.89L228.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L185.6 121.6L76.56 141.3C65.63 143.2 60.4 155.9 66.74 164.1L129.9 256H192c0-70.69 57.31-127.1 128-127.1S448 185.3 448 256h62.11l63.15-91.01C579.6 155.9 574.4 143.2 563.4 141.3zM320 160C266.1 160 224 202.1 224 256h192C416 202.1 373 160 320 160z", "M87.1 336h320c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-320C74.8 288 64 298.8 64 312S74.8 336 87.1 336zM504 336h112c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-112c-13.2 0-24 10.8-24 23.1S490.8 336 504 336zM200 464H87.1C74.8 464 64 474.8 64 488S74.8 512 87.1 512h112C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464h-320c-13.2 0-24 10.8-24 23.1S282.8 512 296 512h320c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400c0-13.2-10.8-23.1-24-23.1h-528C10.8 376 0 386.8 0 400s10.8 23.1 23.1 23.1h528C565.2 424 576 413.2 576 400z"]],
    "sun-plant-wilt": [640, 512, [], "e57a", ["M128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160zM199.4 64.89L256.1 43.23C262 40.98 268.7 42.4 273.1 46.86C277.6 51.32 279 57.99 276.8 63.88L255.1 120.6L310.5 145.4C316.3 147.1 320 153.7 320 160C320 166.3 316.3 172 310.5 174.6L255.1 199.4L276.8 256.1C279 262 277.6 268.7 273.1 273.1C268.7 277.6 262 279 256.1 276.8L199.4 255.1L174.6 310.5C172 316.3 166.3 320 160 320C153.7 320 147.1 316.3 145.4 310.5L120.6 255.1L63.88 276.8C57.99 279 51.32 277.6 46.86 273.1C42.4 268.7 40.98 262 43.23 256.1L64.89 199.4L9.467 174.6C3.708 172 0 166.3 0 160C0 153.7 3.708 147.1 9.467 145.4L64.89 120.6L43.23 63.88C40.98 57.99 42.4 51.32 46.86 46.86C51.32 42.4 57.99 40.98 63.88 43.23L120.6 64.89L145.4 9.467C147.1 3.708 153.7 0 160 0C166.3 0 172 3.708 174.6 9.467L199.4 64.89zM160 96C124.7 96 96 124.7 96 160C96 195.3 124.7 224 160 224C195.3 224 224 195.3 224 160C224 124.7 195.3 96 160 96z", "M536 144C518.3 144 504 158.3 504 176V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H456V272C456 254.3 441.7 240 424 240C406.3 240 392 254.3 392 272V293.4C406.8 301.1 416 316.5 416 338C416 357.3 394.5 390.1 368 416C341.5 390.1 320 357.6 320 338C320 316.5 329.2 301.1 344 293.4V272C344 227.8 379.8 192 424 192C435.4 192 446.2 194.4 456 198.7V176C456 131.8 491.8 96 536 96C580.2 96 616 131.8 616 176V229.4C630.8 237.1 640 252.5 640 274C640 293.3 618.5 326.1 592 352C565.5 326.1 544 293.6 544 274C544 252.5 553.2 237.1 568 229.4V176C568 158.3 553.7 144 536 144V144z"]],
    "sunglasses": [576, 512, [128374], "f892", ["M574.1 280.4l-45.38-181.7c-5.875-23.63-21.62-43.1-43-55.75c-21.5-11.75-47-14.13-70.25-6.375L400.3 41.64c-8.375 2.75-12.88 11.87-10 20.25l5 15.12c2.75 8.375 11.88 12.87 20.25 10.12l13.12-4.375c10.88-3.625 22.92-3.625 33.17 1.75c10.25 5.375 17.58 14.5 20.46 25.75l38.38 153.9C498.5 257.3 470.9 251.6 439.5 251.6c-34.88 0-74 6.996-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-59.04 5.624-81.17 12.5l38.38-153.9c2.875-11.25 10.12-20.37 20.5-25.75C124.4 79.14 136.5 79.14 147.4 82.76L160.5 87.14c8.375 2.75 17.5-1.75 20.25-10.12l5-15.21C188.6 53.43 184.2 44.39 175.7 41.64l-15.25-5.125c-23.12-7.75-48.83-5.375-70.21 6.375s-37.13 32.12-43 55.75L1.875 280.4C.625 285.4 0 290.6 0 295.9v70.25C0 429 51.62 480 115.3 480h37.04c60.25 0 110.5-45.1 114.1-105.4l2.875-38.62h35.75l2.875 38.62C313.3 434 363.5 480 423.7 480h37.04C524.4 480 576 429 576 366.1v-70.25C576 290.6 575.4 285.5 574.1 280.4zM222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98L349.9 318.4c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z", "M44.39 318.4v47.82c0 35.07 29.33 63.6 65.36 63.6h47.34c33.95 0 62.49-25.82 65.04-58.98L226.1 318.4C197.3 307.4 167.4 301.8 137 301.8C99.7 301.8 67.5 310.1 44.39 318.4zM64.25 367.9C64.25 367.3 64 366.8 64 366.1v-37.62c23.25-8.373 47.88-12.75 72.63-12.87c9.125 0 18.12 1.25 27.12 2.5L64.25 367.9zM439.2 301.8c-30.45 0-60.41 5.578-89.27 16.58l3.984 52.45c2.551 33.15 31.09 58.98 65.04 58.98h47.34c36.03 0 65.36-28.53 65.36-63.6V318.4C508.5 310.1 476.1 301.8 439.2 301.8zM372.4 365.9l-2.875-37.37c22.38-8.498 46-12.87 70-12.87c9.5 .125 19.12 .875 28.62 2.25L372.4 365.9z"]],
    "sunrise": [576, 512, [127749], "f766", ["M285.8 384c-35.43 0-65.97 19.41-82.52 48.01h165C351.8 403.4 321.3 384 285.8 384zM529.3 365.3l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16C185.7 220.4 173.1 225.6 171.1 236.5l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72l29.85 43.02h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02C545.4 379.9 540.2 367.3 529.3 365.3z", "M551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 512 24 512H551.1C565.2 512 576 501.2 576 487.1C576 474.8 565.2 463.1 551.1 463.1zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"]],
    "sunset": [576, 512, [127751], "f767", ["M529.3 365.3l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16C185.7 220.4 173.1 225.6 171.1 236.5l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72l29.85 43.02h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02C545.4 379.9 540.2 367.3 529.3 365.3zM285.8 384c-35.43 0-65.97 19.41-82.52 48.01h165C351.8 403.4 321.3 384 285.8 384z", "M551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 511.1 24 511.1H551.1c13.2 0 24-10.8 24-24C576 474.8 565.2 463.1 551.1 463.1zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"]],
    "superscript": [512, 512, [], "f12b", ["M320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z", "M480 160v-128c0-11.09-5.75-21.37-15.17-27.22C455.4-1.048 443.6-1.548 433.7 3.39l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94C392.1 73.55 404.3 80.01 416 80.01v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 160 480 160z"]],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", ["M32 384V369C40.55 369.7 49.47 368.7 58.35 365.6L251.3 298.8C271.3 291.9 292.1 291.7 313 298.4L518.5 366.6C527.1 369.5 535.7 370.4 544 369.7V384C544 419.3 515.3 448 480 448C460.9 448 443.7 439.6 432 426.3C420.3 439.6 403.1 448 384 448C364.9 448 347.7 439.6 336 426.3C324.3 439.6 307.1 448 288 448C268.9 448 251.7 439.6 240 426.3C228.3 439.6 211.1 448 192 448C172.9 448 155.7 439.6 144 426.3C132.3 439.6 115.1 448 96 448C60.65 448 32 419.3 32 384V384z", "M506.3 125.6C531 152.3 548.4 186.3 554.7 224.4L567.3 299.6C571.2 323.4 548.5 342.9 525.6 335.3L405.9 295.5L506.3 125.6zM374.8 285.2L323.1 268C308.5 263.1 293.2 261 277.9 261.6L393.5 66.05C426.3 70.9 456.7 84.09 482.1 103.6L374.8 285.2zM246.6 64H357.5L235.6 270.4L96.14 318.7L246.6 64zM49.42 334.8C26.98 341.5 4.951 322.3 8.857 298.9L21.26 224.4C36.63 132.2 116.1 64.57 209.5 64L49.42 334.8z"]],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", ["M308.2 198.4C272.9 184.9 244.4 162.4 226.2 135C210.2 138.9 189.9 145.6 169.4 155.9C150.8 165.2 132.8 177.1 117.1 191.9C102.8 186.6 90.28 180.1 81.09 172.8C101.5 149.6 126.1 132.4 151.4 120.1C171.5 110 191.6 102.9 208.9 98.19C207.2 92.37 205.1 86.44 205.1 80.44C211.3 80.15 217.6 80 223.1 80C231.4 80 238.7 80.2 245.8 80.59C255.1 123 299.1 165.9 368.6 171.4C355.4 182.6 334.3 191.1 308.2 198.4V198.4z", "M224 480C100.3 480 0 429.9 0 368V144C0 82.14 100.3 32 224 32C347.7 32 448 82.14 448 144V368C448 429.9 347.7 480 224 480zM224 208C312.4 208 384 179.3 384 144C384 108.7 312.4 80 224 80C135.6 80 64 108.7 64 144C64 179.3 135.6 208 224 208z"]],
    "swatchbook": [512, 512, [], "f5c3", ["M64 64H128V128H64V64zM435.2 214.4L223.6 425.9C223.9 422.7 224 419.3 224 416V154L299.4 78.63C311.9 66.13 332.2 66.13 344.7 78.63L435.2 169.1C447.7 181.6 447.7 201.9 435.2 214.4V214.4zM480 512H182.8L374.8 320H480C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512zM128 256H64V192H128V256z", "M160 0C177.7 0 192 14.33 192 32V416C192 469 149 512 96 512C42.98 512 0 469 0 416V32C0 14.33 14.33 0 32 0H160zM128 64H64V128H128V64zM64 256H128V192H64V256zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440z"]],
    "sword": [512, 512, [128481], "f71c", ["M511.8 18.28l-15.87 93.75l-250.7 250.7L149.2 266.8l250.7-250.7l93.74-15.88C504.2-1.35 513.3 7.781 511.8 18.28z", "M110.1 227.6c-6.25-6.248-16.37-6.248-22.62 0l-18.75 18.75c-5.498 5.373-6.249 13.87-1.999 20.25l53.37 79.99l-53.5 53.5l-29.25-14.62c-5.375-2.748-11.75-1.623-16 2.625l-17.25 17.25c-5.5 5.375-5.5 14.25 0 19.62l82.87 82.87c5.375 5.5 14.25 5.5 19.62 0l17.25-17.25c4.25-4.25 5.375-10.62 2.625-16l-14.62-29.25l53.5-53.5l79.99 53.41c6.375 4.25 14.87 3.5 20.25-2l18.75-18.79c6.25-6.25 6.25-16.37 0-22.62L110.1 227.6z"]],
    "sword-laser": [512, 512, [], "e03b", ["M505.6 40.27L263.1 303.9L208.1 248.9l263.6-242.5c9.375-8.75 24.12-8.5 33.25 .625C514.1 16.14 514.4 30.89 505.6 40.27z", "M9.375 412.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l79.12-79.12l-90.5-90.5L9.375 412.1zM105.5 327.3l79.25 79.25l22.62-22.62L128.1 304.6L105.5 327.3zM195.1 236.8c-3.125-3.125-8.125-3.125-11.25 0L173.4 248.1c-3.125 3.125-3.125 8.125 0 11.25l79.25 79.25c3.125 3.125 8.125 3.125 11.25 0l11.38-11.38c3.125-3.125 3.125-8.123 0-11.25L195.1 236.8zM139.5 293.4l79.12 79.12l22.62-22.62L162.1 270.8L139.5 293.4z"]],
    "sword-laser-alt": [512, 512, [], "e03c", ["M505.6 40.39l-196.7 215.6H198.1l273.5-249.6c9.5-8.75 24.25-8.5 33.37 .625C514.1 16.14 514.4 30.89 505.6 40.39z", "M94.25 327.3l-84.87 84.87c-12.5 12.5-12.5 32.75 0 45.25l107.5-107.5L94.25 327.3zM128.1 361.3l-107.5 107.4l22.62 22.75l107.5-107.5L128.1 361.3zM308.9 256H171.1c-4.25 0-8.25 1.75-11.25 4.75L105.5 315.9l90.62 90.62l124.1-123.1C330.5 273.4 323.3 256 308.9 256zM54.62 502.6c12.5 12.5 32.75 12.5 45.25 0l84.87-84.87l-22.62-22.62L54.62 502.6z"]],
    "swords": [512, 512, [9876], "f71d", ["M15.26 .1367c-8.875-1.25-16.37 6.25-15.12 15.13l13.25 78.13l318.6 318.7l79.1-80.01L93.38 13.39L15.26 .1367zM496.7 .1367l-78.12 13.25l-139.1 140l79.1 80.01l139.1-140l13.25-78.13C513.1 6.387 505.6-1.113 496.7 .1367zM100 332l79.1 80.01l53.37-53.38l-79.1-80.01L100 332z", "M507.2 462.1l-59.25-59.26l31.62-59.01c3.375-6.252 2.25-13.88-2.75-18.88L459.2 307.4c-6.25-6.252-16.37-6.252-22.62 0L307.3 436.8c-6.25 6.252-6.25 16.42 0 22.54l17.58 17.63c5 5.002 12.62 6.127 18.87 2.75l58.1-31.63l59.25 59.26c6.25 6.25 16.5 6.25 22.75 0l22.5-22.5C513.5 478.6 513.5 468.3 507.2 462.1zM75.3 307.3c-6.25-6.252-16.41-6.252-22.54 0l-17.62 17.58c-5 5-6.125 12.62-2.75 18.88l31.62 59.01L4.768 462.1c-6.25 6.25-6.25 16.5 0 22.75l22.5 22.5c6.25 6.25 16.5 6.25 22.75 0l59.25-59.26l58.1 31.63c6.25 3.377 13.87 2.252 18.87-2.75l17.5-17.63c6.25-6.25 6.25-16.42 0-22.54L75.3 307.3z"]],
    "swords-laser": [640, 512, [], "e03d", ["M223.2 233.2C223.3 234.1 224 234.8 224 235.9v113.1l74.34-81.44L247.1 211.3L223.2 233.2zM135 7.019C125.9 16.14 125.6 30.89 134.4 40.39l249.6 273.5l.0002-110.8L168.4 6.394C158.9-2.356 144.1-2.106 135 7.019zM505 7.019c-9.125-9.125-23.88-9.375-33.25-.625l-128.1 117.6l37.88 34.75c5.875-2.5 12.25-3.875 18.62-3.875c.25 0 .375 .125 .625 .125l104.9-114.7C514.4 30.89 514.1 16.14 505 7.019z", "M411.3 191.8c-10.01-10.25-27.26-3.067-27.26 11.31l.0001 136.9c-.125 4.25 1.627 8.25 4.627 11.25l55.28 55.25l90.54-90.62L411.3 191.8zM196.6 224.6l-28.75 29.12c-12.5-12.5-32.75-12.5-45.25 0C110.1 266.3 110.1 286.5 122.5 299l-113.1 113.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l119.4-118.4C222.2 381.3 224 377.1 224 372.9V235.9C224 221.6 206.6 214.5 196.6 224.6zM168.5 360.5c-8.75 0-16-7.25-16-15.1c0-8.873 7.25-15.1 16-15.1c8.875 0 16 7.126 16 15.1C184.5 353.3 177.4 360.5 168.5 360.5zM630.6 412.1l-84.91-84.87l-22.64 22.62l107.6 107.5C643.1 444.9 643.1 424.6 630.6 412.1zM455.2 417.8l84.91 84.87c12.51 12.5 32.77 12.5 45.27 0l-107.6-107.5L455.2 417.8zM489.2 383.9l107.4 107.5l22.76-22.62l-107.5-107.5L489.2 383.9z"]],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", ["M192 0C209.7 0 224 14.33 224 32C224 49.67 209.7 64 192 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H192zM342.6 502.6C330.1 515.1 309.9 515.1 297.4 502.6C284.9 490.1 284.9 469.9 297.4 457.4L457.4 297.4C469.9 284.9 490.1 284.9 502.6 297.4C515.1 309.9 515.1 330.1 502.6 342.6L342.6 502.6zM0 128C0 110.3 14.33 96 32 96H192C209.7 96 224 110.3 224 128C224 145.7 209.7 160 192 160H144V192C144 209.7 129.7 224 112 224C94.33 224 80 209.7 80 192V160H32C14.33 160 0 145.7 0 128zM368 328C368 350.1 350.1 368 328 368C305.9 368 288 350.1 288 328C288 305.9 305.9 288 328 288C350.1 288 368 305.9 368 328zM432 472C432 449.9 449.9 432 472 432C494.1 432 512 449.9 512 472C512 494.1 494.1 512 472 512C449.9 512 432 494.1 432 472z", "M500.3 7.253C507.7 13.33 512 22.41 512 32V176C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128V71.03L352 90.23V208C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160V64C288 48.75 298.8 35.61 313.7 32.62L473.7 .6218C483.1-1.259 492.9 1.175 500.3 7.253H500.3zM145.9 384.8L169.4 361.4C181.9 348.9 202.1 348.9 214.6 361.4C227.1 373.9 227.1 394.1 214.6 406.6L189.9 431.3L215.2 457.1C227.4 470.8 226.8 491.1 214 503.2C201.2 515.4 180.9 514.8 168.8 502L144.7 476.6L131.9 489.4C117.4 503.9 97.74 512 77.25 512C34.59 512 0 477.4 0 434.7V433.8C0 414.4 7.247 395.7 20.33 381.3L34.82 365.3C23.19 353.7 16 337.7 16 320C16 284.7 44.65 256 80 256C115.3 256 144 284.7 144 320C144 337.1 137.3 352.7 126.3 364.2L145.9 384.8zM64 433.8V434.7C64 442.1 69.94 448 77.26 448C80.77 448 84.14 446.6 86.63 444.1L100.6 430.1L81.14 409.5L67.68 424.3C65.31 426.9 64 430.3 64 433.8H64zM96 320C96 311.2 88.84 304 80 304C71.16 304 64 311.2 64 320C64 328.8 71.16 336 80 336C88.84 336 96 328.8 96 320z"]],
    "synagogue": [640, 512, [128333], "f69b", ["M160 512H64C28.65 512 0 483.3 0 448V309.3C0 296.5 5.057 284.3 14.06 275.3L76.69 212.7C82.93 206.4 93.07 206.4 99.31 212.7L160 273.4L160 512zM480 273.4L540.7 212.7C546.9 206.4 557.1 206.4 563.3 212.7L625.9 275.3C634.9 284.3 640 296.5 640 309.3V464C640 490.5 618.5 512 592 512H480L480 273.4z", "M451.2 104.5C469.5 119.7 480 142.2 480 165.1V512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H160V165.1C160 142.2 170.5 119.7 188.8 104.5L309.8 3.708C315.7-1.236 324.3-1.236 330.2 3.708L451.2 104.5zM297.2 152.4L264.9 152.1C258.7 152.1 254.8 158.8 257.9 164.2L274.3 191.1L257.9 219.8C254.8 225.2 258.7 231.9 264.9 231.9L297.2 231.6L313 259.7C316.1 265.1 323.9 265.1 326.1 259.7L342.8 231.6L375.1 231.9C381.3 231.9 385.2 225.2 382.1 219.8L365.7 191.1L382.1 164.2C385.2 158.8 381.3 152.1 375.1 152.1L342.8 152.4L326.1 124.3C323.9 118.9 316.1 118.9 313 124.3L297.2 152.4z"]],
    "syringe": [512, 512, [128137], "f48e", ["M208.8 154.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C264.2 238.4 260.1 240 256 240S247.8 238.4 244.7 235.3L186.1 176.8L144.8 218.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C200.2 302.4 196.1 304 192 304S183.8 302.4 180.7 299.3L122.1 240.8L82.75 280.1C70.74 292.1 64 308.4 64 325.4v88.68l-56.97 56.97C2.344 475.7 0 481.9 0 487.1c0 6.141 2.344 12.28 7.031 16.97C11.72 509.7 17.86 512 24 512s12.28-2.344 16.97-7.031L97.94 448h88.69c16.97 0 33.25-6.744 45.26-18.75l210.2-210.2L292.1 69.89L208.8 154.1z", "M504.1 71.03l-64-64C436.3 2.344 430.1 0 424 0c-6.141 0-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94L422.1 56L384 94.06l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0c-4.233 4.233-6.451 9.601-6.757 15.08c-.3062 5.483 1.297 11.08 4.71 15.78l149.1 149.1C446.3 222.1 451.1 224 456 224c6.141 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L417.9 128L456 89.94l15.03 15.03C475.7 109.7 481.9 112 488 112s12.28-2.344 16.97-7.031C509.7 100.3 511.1 94.14 512 88C512 81.86 509.7 75.72 504.1 71.03zM144.8 218.1L122.1 240.8l58.56 58.56C183.8 302.4 187.9 304 192 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L144.8 218.1zM208.8 154.1L186.1 176.8l58.56 58.56C247.8 238.4 251.9 240 256 240s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L208.8 154.1z"]],
    "t": [384, 512, [116], "54", ["M384 64.01c0 17.67-14.33 32-32 32h-128v352c0 17.67-14.33 31.99-32 31.99s-32-14.32-32-31.99v-352H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h320C369.7 32.01 384 46.34 384 64.01z", ""]],
    "table": [512, 512, [], "f0ce", ["M64 320V256H224V160H288V256H448V320H288V416H224V320H64z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 160V416H448V160H64z"]],
    "table-cells": [512, 512, ["th"], "f00a", ["M144 160V96H208V160H304V96H368V160H448V224H368V288H448V352H368V416H304V352H208V416H144V352H64V288H144V224H64V160H144zM208 224V288H304V224H208z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-cells-large": [512, 512, ["th-large"], "f009", ["M64 288V224H224V96H288V224H448V288H288V416H224V288H64z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-columns": [512, 512, ["columns"], "f0db", ["M288 160V416H224V160H288z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM64 160V416H448V160H64z"]],
    "table-layout": [512, 512, [], "e290", ["M448 160V224H192V416H128V224H64V160H448z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-list": [512, 512, ["th-list"], "f00b", ["M128 160V96H192V160H448V224H192V288H448V352H192V416H128V352H64V288H128V224H64V160H128z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-picnic": [512, 512, [], "e32d", ["M106.3 224h68.94L213.7 128H144.7L106.3 224zM34.28 404.1c-6.562 16.41 1.438 35.03 17.84 41.59C56 447.3 60.03 448 64 448c12.69 0 24.72-7.594 29.72-20.12L149.7 288H80.73L34.28 404.1zM367.3 128H298.3l38.4 96h68.94L367.3 128zM477.7 404.1L431.3 288H362.3l55.95 139.9C423.3 440.4 435.3 448 448 448c3.969 0 8-.7187 11.88-2.281C476.3 439.2 484.3 420.5 477.7 404.1z", "M96 128h320c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H96C78.33 64 64 78.33 64 96C64 113.7 78.33 128 96 128zM480 224H32C14.33 224 0 238.3 0 256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 238.3 497.7 224 480 224z"]],
    "table-pivot": [512, 512, [], "e291", ["M128 192V416H448V160H160V32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V192H128z", "M128 32V160H0V96C0 60.65 28.65 32 64 32H128zM414.8 246.1C412.3 252.1 406.5 256 400 256H384V304C384 330.5 362.5 352 336 352H288V368C288 374.5 284.1 380.3 278.1 382.8C272.1 385.3 265.3 383.9 260.7 379.3L228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L260.7 292.7C265.3 288.1 272.1 286.7 278.1 289.2C284.1 291.7 288 297.5 288 303.1V319.1H336C344.8 319.1 352 312.8 352 303.1V255.1H336C329.5 255.1 323.7 252.1 321.2 246.1C318.7 240.1 320.1 233.3 324.7 228.7L356.7 196.7C362.9 190.4 373.1 190.4 379.3 196.7L411.3 228.7C415.9 233.3 417.3 240.1 414.8 246.1L414.8 246.1z"]],
    "table-rows": [512, 512, ["rows"], "e292", ["M128 224H448V288H128V224z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM128 416H448V96H128V416z"]],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", ["M415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320zM416 287.1c27.99 0 53.68 9.254 74.76 24.51c14.03-29.82 21.06-62.13 21.06-94.43c0-103.1-79.37-218.1-216.5-218.1c-59.94 0-120.4 23.71-165.5 68.95l-54.66 54.8c-8.354 8.375-15.06 17.3-20.95 26.44l237.3 237.3C304.5 330.6 355.2 287.1 416 287.1z", "M305.1 478.8c-4.604 .5198-9.091 .7597-13.72 .7597c-30.86 0-61.79-11.58-85.37-35.23l-35.95-36.04l-81.03 92.85c-6.227 7.208-14.95 10.86-23.7 10.86c-7.993 0-16-3.045-22.15-9.205l-34.05-34.2c-6.132-6.171-9.164-14.22-9.164-22.24c0-8.787 3.634-17.55 10.81-23.81l92.38-81.32L66.59 304.5C43.96 281.8 32.3 252.6 32.3 221.9c0-23.99 7.122-48.86 21.88-71.76l237.3 237.3c-2.105 9.205-3.45 18.69-3.45 28.53C288 438.1 294.5 460.2 305.1 478.8z"]],
    "table-tree": [512, 512, [], "e293", ["M144 368C117.5 368 96 346.5 96 320V160H128V224C128 232.8 135.2 240 144 240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H144C138.4 272 133 271 128 269.3V320C128 328.8 135.2 336 144 336H240C248.8 336 256 343.2 256 352C256 360.8 248.8 368 240 368H144zM400 224C408.8 224 416 231.2 416 240V272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272V240C224 231.2 231.2 224 240 224H400zM400 320C408.8 320 416 327.2 416 336V368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H400z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 160H64V416H448V160z"]],
    "tablet": [448, 512, ["tablet-android"], "f3fb", ["M0 384v64c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-64H0zM288 447.1C288 456.8 280.8 464 272 464H175.1C167.2 464 160 456.8 160 448S167.2 432 175.1 432h96C280.8 432 288 439.2 288 447.1z", "M448 64v320H0V64c0-35.35 28.65-64 64-64h320C419.3 0 448 28.65 448 64z"]],
    "tablet-button": [448, 512, [], "f10a", ["M0 384v64c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-64H0zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480z", "M448 64v320H0V64c0-35.35 28.65-64 64-64h320C419.3 0 448 28.65 448 64z"]],
    "tablet-rugged": [448, 512, [], "f48f", ["M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62v16l-23.25 11.62C3.424 350.3 .0492 355.8 .0492 361.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.62-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z", "M352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z"]],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", ["M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM288 448c0 8.837-7.163 16-15.1 16H175.1c-8.837 0-15.1-7.163-15.1-16s7.163-16 15.1-16h96C280.8 432 288 439.2 288 448zM384 384H64v-320h320V384z", "M384 384H64v-320h320V384z"]],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", ["M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480zM384 384H64v-320h320V384z", "M384 384H64v-320h320V384z"]],
    "tablets": [640, 512, [], "f490", ["M593.4 46.61c-56.52-56.51-144.2-61.39-206.1-16c-4.002 2.877-4.252 8.877-.75 12.25l211.3 211.4c3.5 3.502 9.504 3.252 12.25-.75C654.8 190.8 649.9 103.1 593.4 46.61zM362.9 65.74c-3.502-3.502-9.504-3.252-12.25 .75c-45.52 62.76-40.52 150.4 15.88 206.9c56.52 56.51 144.2 61.39 206.1 15.88c4.002-2.875 4.252-8.877 .75-12.25L362.9 65.74z", "M8.365 336h303.3c4.998 0 8.996-4.5 8.248-9.25C307.4 250.5 241.1 191.1 159.1 191.1S12.49 250.5 .1172 326.8C-.7578 331.5 3.367 336 8.365 336zM311.5 368H8.365c-4.998 0-9.123 4.5-8.248 9.25C12.49 453.5 78.88 512 159.1 512s147.4-58.5 159.8-134.8C320.7 372.5 316.5 368 311.5 368z"]],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", ["M576 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64V128C640 92.8 611.2 64 576 64zM64 296C64 291.6 67.63 288 72 288h16C92.38 288 96 291.6 96 296v16C96 316.4 92.38 320 88 320h-16C67.63 320 64 316.4 64 312V296zM352 368c0 8.8-7.2 16-16 16h-256C71.2 384 64 376.8 64 368S71.2 352 79.1 352h256C344.8 352 352 359.2 352 368zM128 312v-16C128 291.6 131.6 288 136 288h16C156.4 288 160 291.6 160 296v16C160 316.4 156.4 320 152 320h-16C131.6 320 128 316.4 128 312zM192 312v-16C192 291.6 195.6 288 200 288h16C220.4 288 224 291.6 224 296v16C224 316.4 220.4 320 216 320h-16C195.6 320 192 316.4 192 312zM256 312v-16C256 291.6 259.6 288 264 288h16C284.4 288 288 291.6 288 296v16C288 316.4 284.4 320 280 320h-16C259.6 320 256 316.4 256 312zM352 312C352 316.4 348.4 320 344 320h-16C323.6 320 320 316.4 320 312v-16C320 291.6 323.6 288 328 288h16C348.4 288 352 291.6 352 296V312zM352 237.7C352 247.9 344.4 256 334.9 256H81.07C71.6 256 64 247.9 64 237.7V146.3C64 136.1 71.6 128 81.07 128h253.9C344.4 128 352 136.1 352 146.3V237.7zM576 368c0 8.8-7.2 16-16 16h-160c-8.8 0-16-7.2-16-16s7.2-16 16-16h160C568.8 352 576 359.2 576 368z", "M560 352h-160c-8.8 0-16 7.2-16 16s7.2 16 16 16h160c8.8 0 16-7.2 16-16S568.8 352 560 352zM336 352h-256C71.2 352 64 359.2 64 368S71.2 384 79.1 384h256c8.8 0 16-7.2 16-16S344.8 352 336 352zM334.9 128H81.07C71.6 128 64 136.1 64 146.3v91.43C64 247.9 71.6 256 81.07 256h253.9C344.4 256 352 247.9 352 237.7V146.3C352 136.1 344.4 128 334.9 128z"]],
    "taco": [512, 512, [127790], "f826", ["M255.1 191.1c-130.1 0-237.9 107.4-255.7 247.1C-2.432 460.6 12.94 480 32.45 480h447c19.5 0 35-19.38 32.13-40.88C493.9 299.4 386.1 191.1 255.1 191.1zM111.1 415.1c-8.875 0-15.1-7.127-15.1-16s7.122-15.1 15.1-15.1s16 7.124 16 15.1S120.9 415.1 111.1 415.1zM175.1 351.1c-8.875 0-15.1-7.127-15.1-16S167.1 319.1 175.1 319.1s16 7.122 16 15.1S184.9 351.1 175.1 351.1z", "M7.32 279.4C2.195 262.1-3.682 242.4 3.195 224.2C10.32 205.1 27.95 194.9 43.45 185.7c9.5-5.5 19.38-11.25 23.75-17.5c4.75-6.75 7.251-18.5 9.751-30c4-18.13 8.457-38.67 23.58-50.67c15.75-12.5 36.05-11.08 54.05-9.829c10.88 .75 22 1.5 29.25-1c6.877-2.5 15.13-10.25 23-17.5c47.75-44.5 69.38-27.12 98.39 0c7.875 7.375 16 15 23 17.5c7.127 2.625 18.38 1.875 29.13 1.125c18-1.25 38.42-2.671 54.05 9.704c15.25 12.12 19.71 32.67 23.59 50.67c2.5 11.5 5.125 23.38 9.876 30c4.375 6.25 14.25 12 23.75 17.63c15.5 9 33.13 19.38 40.25 38.38c6.875 18.12 .9373 37.87-4.188 55.13c0 .125 0 0 0 0c-2.012 7.445-16.32 43.52-22.12 62.35c-43.87-89.25-128.9-149.7-226.6-149.7c-97.64 0-182.7 60.46-226.6 149.7C23.58 322.8 9.33 286.7 7.32 279.4C7.195 279.2 7.195 279.4 7.32 279.4z"]],
    "tag": [448, 512, [127991], "f02b", ["M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z", ""]],
    "tags": [512, 512, [], "f02c", ["M311.1 38.93C320.5 29.61 335.7 29.7 344.1 39.13L472.8 168.4C525.1 221.4 525.1 306.6 472.8 359.6L360.8 472.9C351.5 482.3 336.3 482.4 326.9 473.1C317.4 463.8 317.4 448.6 326.7 439.1L438.6 325.9C472.5 291.6 472.5 236.4 438.6 202.1L310.9 72.87C301.5 63.44 301.6 48.25 311.1 38.93V38.93z", "M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z"]],
    "tally": [640, 512, ["tally-5"], "f69c", ["M128 32C145.7 32 160 46.33 160 64V275.6L96 296.9V64C96 46.33 110.3 32 128 32zM160 343.1V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V364.4L160 343.1zM288 300.4V448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448V321.7L288 300.4zM416 257.7V448C416 465.7 401.7 480 384 480C366.3 480 352 465.7 352 448V279.1L416 257.7zM416 190.3L352 211.6V64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64V190.3zM544 215.1V448C544 465.7 529.7 480 512 480C494.3 480 480 465.7 480 448V236.4L544 215.1zM544 147.6L480 168.9V64C480 46.33 494.3 32 512 32C529.7 32 544 46.33 544 64V147.6zM288 232.9L224 254.3V64C224 46.33 238.3 32 256 32C273.7 32 288 46.33 288 64V232.9z", "M638.4 149.9C643.9 166.6 634.9 184.8 618.1 190.4L42.12 382.4C25.35 387.9 7.231 378.9 1.642 362.1C-3.947 345.4 5.114 327.2 21.88 321.6L597.9 129.6C614.6 124.1 632.8 133.1 638.4 149.9V149.9z"]],
    "tally-1": [448, 512, [], "e294", ["", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "tally-2": [448, 512, [], "e295", ["M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z", "M160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32z"]],
    "tally-3": [448, 512, [], "e296", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z", "M288 32C305.7 32 320 46.33 320 64V448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32z"]],
    "tally-4": [448, 512, [], "e297", ["M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32zM320 448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V448z", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32z"]],
    "tamale": [320, 512, [129748], "e451", ["M221.4 311.1c.6074 .9102 .4863 1.996 .877 2.982L218.1 272h-29.07L221.4 311.1zM87.49 240l.541-6.953l-16-159.3C71.59 69.33 74.81 65.42 79.22 64.98C83.5 64.36 87.53 67.75 87.97 72.14l16 160.7L103.4 240H152V64c0-4.422 3.594-8 8-8S168 59.58 168 64v176h48.47l-.4434-5.703l16-162.2c.4375-4.391 4.344-7.734 8.75-7.156c4.406 .4375 7.625 4.344 7.188 8.75l-16 160.7L232.4 240h63.15L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l24.44 176H87.49zM234.9 272l13.06 166.4c.3438 4.406-2.938 8.25-7.344 8.594C240.4 447.1 240.2 447.1 240 447.1c-4.156 0-7.656-3.188-7.969-7.375l-8.959-115C221.1 331.2 215.2 336 208.1 336c-5.156 0-10.22-2.5-13.31-7.125L168 294.1V448c0 4.422-3.594 8-8 8S152 452.4 152 448V294.1l-26.69 33.88C122.2 333.5 117.2 336 112 336c-7.307 0-13.23-4.979-15.1-11.75l-8.932 115.4C87.66 443.9 84.16 447.1 80 447.1c-.1875 0-.4062 0-.625-.0313c-4.406-.3438-7.688-4.188-7.344-8.594L84.1 272H24.44L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-24.44-176H234.9zM97.64 314.7C98.06 313.5 97.96 312.2 98.69 311.1L130.1 272H100.9L97.64 314.7z", "M23.1 272h106.1L98.69 311.1c-1.819 2.729-2.628 5.891-2.628 8.937C96.06 328.1 103.2 336 112 336c5.156 0 10.22-2.5 13.31-7.125L160 284.8l34.75 44.03C197.8 333.5 202.9 336 208.1 336C216.8 336 224 328.1 224 320.1c0-3.047-.809-6.209-2.628-8.937L189.9 272h106.1C304.8 272 312 264.8 312 256V255.1C312 247.2 304.8 240 296 240H23.1C15.16 240 8 247.2 8 255.1V256C8 264.8 15.16 272 23.1 272z"]],
    "tank-water": [448, 512, [], "e452", ["M224 224c30.94 0 56-24.03 56-53.66S223.1 64 223.1 64S168 140.7 168 170.3S193.1 224 224 224zM312 307.2L297.1 296c-5.824-4.672-14.14-4.672-19.97 0l-14.05 11.23c-23.36 18.69-56.58 18.69-79.94 0L169.1 296c-5.824-4.672-14.14-4.672-19.97 0L135.1 307.2C115.2 323.9 86.53 325.7 64 312.7V416h320V312.7C361.5 325.7 332.8 323.9 312 307.2z", "M448 96v320c0 35.36-28.64 64-64 64H64c-35.36 0-64-28.64-64-64V96c0-35.36 28.64-64 64-64h135.7C186.6 49.5 173.8 67.17 162.1 85.63C159.9 88.96 157.8 92.45 155.6 96H64v320h320V96h-91.65c-2.145-3.553-4.32-7.039-6.432-10.37C274.2 67.17 261.4 49.5 248.3 32H384C419.4 32 448 60.64 448 96z"]],
    "tape": [576, 512, [], "f4db", ["M64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 320C259.3 320 288 291.3 288 256C288 220.7 259.3 192 224 192C188.7 192 160 220.7 160 256C160 291.3 188.7 320 224 320z", "M544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 318.7 422.3 375.3 380.8 416H544zM224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96z"]],
    "tarp": [576, 512, [], "e57b", ["M512 64C547.3 64 576 92.65 576 128V288H448C430.3 288 416 302.3 416 320V448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192z", "M576 288L416 448V320C416 302.3 430.3 288 448 288H576z"]],
    "tarp-droplet": [576, 512, [], "e57c", ["M64 128H197.5C210.6 165.3 246.2 192 288 192C329.8 192 365.4 165.3 378.5 128H512C547.3 128 576 156.7 576 192V352H448C430.3 352 416 366.3 416 384V512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128zM96 256C113.7 256 128 241.7 128 224C128 206.3 113.7 192 96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256z", "M224 100C224 75.95 257.7 29.93 276.2 6.49C282.3-1.226 293.7-1.226 299.8 6.49C318.3 29.93 352 75.95 352 100C352 133.1 323.3 160 288 160C252.7 160 224 133.1 224 100V100zM416 384C416 366.3 430.3 352 448 352H576L416 512V384z"]],
    "taxi": [576, 512, [128662, "cab"], "f1ba", ["M352 0C369.7 0 384 14.33 384 32V64H192V32C192 14.33 206.3 0 224 0H352zM167.2 149.4C171.7 136.6 183.8 128 197.4 128H378.6C392.2 128 404.3 136.6 408.8 149.4L434.9 224H141.1L167.2 149.4zM128 480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V432H128V480zM448 432H544V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V432z", "M0 224C0 206.3 14.33 192 32 192H84.5L106.8 128.3C120.3 89.78 156.6 64 197.4 64H378.6C419.4 64 455.7 89.78 469.2 128.3L491.5 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256H535.4C540.9 265.4 544 276.3 544 288V432H32V288C32 276.3 35.12 265.4 40.56 256H32C14.33 256 0 241.7 0 224zM141.1 224H434.9L408.8 149.4C404.3 136.6 392.2 128 378.6 128H197.4C183.8 128 171.7 136.6 167.2 149.4L141.1 224zM128 288C110.3 288 96 302.3 96 320C96 337.7 110.3 352 128 352C145.7 352 160 337.7 160 320C160 302.3 145.7 288 128 288zM448 352C465.7 352 480 337.7 480 320C480 302.3 465.7 288 448 288C430.3 288 416 302.3 416 320C416 337.7 430.3 352 448 352z"]],
    "taxi-bus": [640, 512, [], "e298", ["M.0006 384V74.46C.0006 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V96C362.1 96 343.6 110.7 337.8 130.8C331.7 132.1 325.7 134 320 136.4V120C320 106.7 309.3 96 296 96H208V224H249.9L233.6 272.9C208.5 290.2 192 319.2 192 352V416H128V448C128 465.7 113.7 480 96 480H80C62.33 480 48 465.7 48 448V416H32C14.33 416 0 401.7 0 384H.0006zM88 96C74.75 96 64 106.7 64 120V200C64 213.3 74.75 224 88 224H176V96H88zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344z", "M472 128C485.3 128 496 138.7 496 152V160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H368V152C368 138.7 378.7 128 392 128L472 128zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"]],
    "teddy-bear": [576, 512, [], "e3cf", ["M217.1 40.43c6.113-1.494 12.34-2.266 18.52-3.363C228.7 15.5 208.2 0 184 0C153.1 0 128 25.07 128 56c0 20.11 10.69 37.6 26.61 47.48c7.373-30.43 31.27-55.21 63.36-63.05H217.1zM224 176C224 202.5 252.7 224 288 224s63.1-21.49 63.1-48S323.3 128 288 128S224 149.5 224 176zM288 144c17.67 0 31.1 10.74 31.1 24C319.1 181.3 305.7 192 288 192S256 181.3 256 168C256 154.7 270.3 144 288 144zM392 0c-24.25 0-44.7 15.5-52.49 37.06c6.178 1.098 12.4 1.869 18.52 3.363h.002c32.09 7.844 55.98 32.62 63.36 63.05C437.3 93.6 448 76.11 448 56C448 25.07 422.9 0 392 0zM319.1 352H256c-35.34 0-63.1 28.65-63.1 64h191.1C383.1 380.7 355.3 352 319.1 352z", "M537.7 354.9c-29.34-9.812-61.09 6.062-70.84 35.41L463.6 400h-15.62v-64.83c33.16-23.18 63.23-53.74 88.12-91.67c14.56-22.19 8.375-51.94-13.78-66.47c-22.12-14.56-51.9-8.406-66.46 13.78C415.3 252.6 358.4 288 299.6 288H276.4C217.6 288 160.7 252.6 120.1 190.8C105.6 168.7 75.89 162.4 53.67 177C31.51 191.6 25.33 221.3 39.89 243.5c24.89 37.92 54.96 68.49 88.12 91.67V400H112.4l-3.25-9.719c-9.75-29.34-41.47-45.16-70.84-35.41c-29.34 9.781-45.19 41.5-35.4 70.84l16 48C26.51 496.6 47.92 512 72.01 512h431.1c24.09 0 45.5-15.44 53.12-38.28l16-48C582.9 396.4 567 364.7 537.7 354.9zM192 416c0-35.35 28.65-64 63.1-64h63.1c35.34 0 63.1 28.65 63.1 64H192zM288 256c75.11 0 136-59.53 136-132.1c0-39.07-27.2-73.13-65.97-82.61h-.002c-45.98-11.24-94.08-11.24-140.1 0h-.002C179.2 49.9 152 83.96 152 123C152 196.5 212.9 256 288 256zM336 96C344.8 96 352 103.2 352 112C352 120.8 344.8 128 336 128S320 120.8 320 112C320 103.2 327.2 96 336 96zM240 96C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128S224 120.8 224 112C224 103.2 231.2 96 240 96zM288 128c35.35 0 64 21.49 64 48S323.3 224 288 224C252.7 224 224 202.5 224 176S252.7 128 288 128zM288 192c17.67 0 32-10.75 32-24c0-13.26-14.33-24-32-24S256 154.7 256 168C256 181.3 270.3 192 288 192z"]],
    "teeth": [576, 512, [], "f62e", ["M128 288H64C55.13 288 48 295.1 48 304v32C48 362.5 69.5 384 96 384s48-21.5 48-48v-32C144 295.1 136.9 288 128 288zM96 160C69.5 160 48 181.5 48 208v32C48 248.9 55.13 256 64 256h64c8.875 0 16-7.125 16-16v-32C144 181.5 122.5 160 96 160zM256 288H192C183.1 288 176 295.1 176 304v32C176 362.5 197.5 384 224 384s48-21.5 48-48v-32C272 295.1 264.9 288 256 288zM224 128C197.5 128 176 149.5 176 176v66.29C176 249.9 182.1 256 189.7 256h68.57C265.9 256 272 249.9 272 242.3V176C272 149.5 250.5 128 224 128zM384 288h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C400 295.1 392.9 288 384 288zM352 128c-26.46 0-48 21.54-48 48v66.29C304 249.9 310.1 256 317.7 256h68.57C393.9 256 400 249.9 400 242.3V176C400 149.5 378.5 128 352 128zM512 288h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C528 295.1 520.9 288 512 288zM480 160c-26.5 0-48 21.5-48 48v32C432 248.9 439.1 256 448 256h64c8.875 0 16-7.125 16-16v-32C528 181.5 506.5 160 480 160z", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM144 336C144 362.5 122.5 384 96 384s-48-21.5-48-48v-32C48 295.1 55.13 288 64 288h64c8.875 0 16 7.125 16 16V336zM144 240C144 248.9 136.9 256 128 256H64C55.13 256 48 248.9 48 240v-32C48 181.5 69.5 160 96 160s48 21.5 48 48V240zM272 336C272 362.5 250.5 384 224 384s-48-21.5-48-48v-32C176 295.1 183.1 288 192 288h64c8.875 0 16 7.125 16 16V336zM272 242.3C272 249.9 265.9 256 258.3 256H189.7C182.1 256 176 249.9 176 242.3V176C176 149.5 197.5 128 224 128s48 21.54 48 48V242.3zM400 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C304 295.1 311.1 288 320 288h64c8.875 0 16 7.125 16 16V336zM400 242.3C400 249.9 393.9 256 386.3 256h-68.57C310.1 256 304 249.9 304 242.3V176C304 149.5 325.5 128 352 128s48 21.54 48 48V242.3zM528 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C432 295.1 439.1 288 448 288h64c8.875 0 16 7.125 16 16V336zM528 240C528 248.9 520.9 256 512 256h-64c-8.875 0-16-7.125-16-16v-32C432 181.5 453.5 160 480 160s48 21.5 48 48V240z"]],
    "teeth-open": [576, 512, [], "f62f", ["M256 320H192c-8.875 0-16 7.125-16 16v32C176 394.5 197.5 416 224 416s48-21.5 48-48v-32C272 327.1 264.9 320 256 320zM96 128C69.5 128 48 149.5 48 176v32C48 216.9 55.13 224 64 224h64c8.875 0 16-7.125 16-16v-32C144 149.5 122.5 128 96 128zM224 96C197.5 96 176 117.5 176 144v66.29C176 217.9 182.1 224 189.7 224h68.57C265.9 224 272 217.9 272 210.3V144C272 117.5 250.5 96 224 96zM128 320H64c-8.875 0-16 7.125-16 16v32C48 394.5 69.5 416 96 416s48-21.5 48-48v-32C144 327.1 136.9 320 128 320zM512 320h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C528 327.1 520.9 320 512 320zM480 128c-26.5 0-48 21.5-48 48v32C432 216.9 439.1 224 448 224h64c8.875 0 16-7.125 16-16v-32C528 149.5 506.5 128 480 128zM352 96c-26.46 0-48 21.54-48 48v66.29C304 217.9 310.1 224 317.7 224h68.57C393.9 224 400 217.9 400 210.3V144C400 117.5 378.5 96 352 96zM384 320h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C400 327.1 392.9 320 384 320z", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM144 368C144 394.5 122.5 416 96 416s-48-21.5-48-48v-32C48 327.1 55.13 320 64 320h64c8.875 0 16 7.125 16 16V368zM272 368C272 394.5 250.5 416 224 416s-48-21.5-48-48v-32C176 327.1 183.1 320 192 320h64c8.875 0 16 7.125 16 16V368zM400 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM528 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM144 208C144 216.9 136.9 224 128 224H64C55.13 224 48 216.9 48 208v-32C48 149.5 69.5 128 96 128s48 21.5 48 48V208zM272 210.3C272 217.9 265.9 224 258.3 224H189.7C182.1 224 176 217.9 176 210.3V144C176 117.5 197.5 96 224 96s48 21.54 48 48V210.3zM400 210.3C400 217.9 393.9 224 386.3 224h-68.57C310.1 224 304 217.9 304 210.3V144C304 117.5 325.5 96 352 96s48 21.54 48 48V210.3zM528 208C528 216.9 520.9 224 512 224h-64c-8.875 0-16-7.125-16-16v-32C432 149.5 453.5 128 480 128s48 21.5 48 48V208z"]],
    "telescope": [640, 512, [128301], "e03e", ["M488.6 269.9l-96.7 33.73c-.1914-39.75-32.58-71.82-72.33-71.63C279.1 232.2 247.1 264.4 247.1 304c.0801 15.91 5.387 31.29 15.27 43.76l-127 43.69c-8.754 3.008-18.05-.7051-21.27-8.479L106.2 361.9L42.18 388.4c-8.162 3.381-17.52-.4935-20.9-8.658l-20.06-48.42c-3.377-8.166 .4967-17.52 8.659-20.91l64.08-26.55L65.21 262.8C61.99 254.1 65.93 245.8 74.25 241.7l335.1-163.2L488.6 269.9z", "M638.8 216.8C638.8 216.8 638.8 216.8 638.8 216.8l-85.7-206.1c-3.381-8.162-12.77-12.03-20.94-8.647l-117.3 48.61c-8.162 3.381-12.06 12.73-8.68 20.89c.002 .002 0-.002 0 0l85.73 206.9c3.383 8.164 12.73 12.07 20.9 8.689l117.3-48.61C638.3 234.4 642.2 225 638.8 216.8zM422.6 479.1l-46.42-131.5c9.734-12.28 15.79-27.6 15.79-44.49c0-39.77-32.24-72-72.01-72c-39.76 0-71.99 32.24-71.99 72.01c0 16.89 6.06 32.18 15.79 44.46L217.4 479.1c-4.406 12.5 2.126 26.22 14.63 30.63C234.6 511.6 237.3 512 239.1 512c9.875 0 19.16-6.157 22.63-16l42.9-121.6c4.686 .959 9.507 1.551 14.48 1.551s9.822-.5039 14.51-1.463l42.87 121.5C380.8 505.8 390.1 512 399.1 512c2.656 0 5.344-.4375 8.001-1.375C420.5 506.2 427 492.5 422.6 479.1zM295.1 303.1c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24C306.8 327.1 295.1 317.2 295.1 303.1z"]],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", ["M255.1 278.5V112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144C287.1 334 275.7 303.1 255.1 278.5zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112C96 85.5 117.5 64 144 64c26.5 0 47.1 21.5 47.1 48v192.3C219.5 324.9 230.7 360.8 219.9 393.4z", "M159.1 322.9l-.0002-18.92C159.1 295.1 152.9 287.1 144 287.1c-8.875 0-15.1 7.115-15.1 15.99L128 322.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM499.1 343c-13.77-11.03-33.92-8.75-44.97 5L448 356.8V64c0-17.69-14.33-32-32-32s-32 14.31-32 32v292.8L376.1 348c-11.03-13.81-31.19-16.03-44.97-5c-13.81 11.06-16.05 31.19-5 45l64 80C397.1 475.6 406.3 480 416 480s18.92-4.406 24.98-12l64-80C516 374.2 513.8 354.1 499.1 343z"]],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", ["M255.1 278.5V112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144C287.1 334 275.7 303.1 255.1 278.5zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112c0-26.5 21.5-48.01 48-48.01c26.5 0 47.1 21.51 47.1 48.01v192.3C219.5 324.9 230.7 360.8 219.9 393.4z", "M159.1 322.9V112C159.1 103.1 152.9 96 144 96C135.1 96 128 103.1 128 112v210.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM504.1 124l-64-80c-12.12-15.19-37.84-15.19-49.97 0l-64 80c-11.05 13.81-8.812 33.94 5 45c13.75 11.03 33.94 8.781 44.97-5L384 155.2V448c0 17.69 14.33 32 32 32s32-14.31 32-32V155.2L455 164c6.312 7.906 15.61 12 25 12c7.016 0 14.08-2.281 19.97-7C513.8 157.9 516 137.8 504.1 124z"]],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M160 320c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S186.5 320 160 320z"]],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9V112c0-8.75-7.25-16-16-16s-16 7.25-16 16v210.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9l.0002-114.9c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-high": [512, 512, [], "f769", ["M256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48S192 85.5 192 112V304.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z", "M160 322.9V112C160 103.3 152.8 96 144 96S128 103.3 128 112v210.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"]],
    "temperature-list": [512, 512, [], "e299", ["M256 278.5V112c0-61.87-50.13-112-112-112S32 50.13 32 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1s144-64.5 144-143.1C288 334 275.8 303.1 256 278.5zM144 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z", "M160 322.9V160c0-8.75-7.25-16-16-16S128 151.3 128 160v162.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM352 96h128c17.67 0 32-14.33 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32S334.3 96 352 96zM480 160h-128c-17.67 0-32 14.33-32 32s14.33 32 32 32h128c17.67 0 32-14.33 32-32S497.7 160 480 160zM480 288h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h96c17.67 0 32-14.33 32-32S497.7 288 480 288z"]],
    "temperature-low": [512, 512, [], "f76b", ["M256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.1c19.75 14.75 32 38.38 32 63.88C224 412.1 188.1 448 144 448z", "M160 322.9V304C160 295.3 152.8 288 144 288S128 295.3 128 304v18.88C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"]],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9l.0002-50.88c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", ["M544 278.5V112c0-61.88-50.13-112-111.1-112s-111.1 50.13-111.1 112v166.5c-19.75 24.62-31.1 55.5-31.1 89.5c0 79.5 64.5 143.1 143.1 143.1S576 447.5 576 368C576 334 563.8 303.1 544 278.5zM432 448c-44.12 0-79.99-35.87-79.99-79.1c0-25.5 12.25-48.88 31.1-63.75v-192.2c0-26.5 21.5-48 47.1-48s47.1 21.5 47.1 48v192.2c19.75 14.75 31.1 38.25 31.1 63.75C512 412.1 476.1 448 432 448z", "M200 125.3L240.3 85c4.623-4.75 4.623-12.25 0-17l-8.5-8.5c-4.75-4.75-12.38-4.75-17 0L200 74.25V44c0-6.625-5.375-12-12-12h-23.1c-6.625 0-12 5.375-12 12v30.25L137.3 59.5c-4.75-4.75-12.38-4.75-16.1 0L111.8 68c-4.75 4.75-4.75 12.25 0 17L151.9 125.3v56.88L101.6 153l-15-55.75C84.89 90.75 78.27 87 71.77 88.75L60.02 91.88c-6.5 1.75-10.25 8.375-8.625 14.88l5.5 20.5L30.27 111.9C24.52 108.5 17.14 110.5 13.77 116.3l-12.12 21C-1.73 143.1 .2695 150.5 6.018 153.9l26.62 15.38l-20.38 5.5c-6.5 1.625-10.37 8.375-8.625 14.88l3.125 11.62c1.625 6.5 8.375 10.38 14.88 8.625L77.27 195L127.5 224L77.27 253L21.64 238c-6.5-1.75-13.12 2.125-14.88 8.625L3.643 258.3c-1.748 6.5 2.125 13.12 8.625 15l20.38 5.5l-26.5 15.38C.2695 297.5-1.73 304.9 1.77 310.8l11.1 21c3.5 5.75 10.88 7.75 16.62 4.375l26.62-15.38l-5.5 20.5c-1.75 6.5 2.125 13 8.625 14.88l11.62 3.125c6.5 1.625 13.12-2.125 15-8.625L101.6 295l50.37-29.12v56.88L111.8 363c-4.625 4.75-4.625 12.25 0 17l8.5 8.5c4.748 4.75 12.37 4.75 16.1 0l14.88-14.75V404c0 6.625 5.375 12 12 12h23.1c6.625 0 12-5.375 12-12v-30.25L214.9 388.5c4.75 4.75 12.38 4.75 17 0L240.4 380c4.748-4.75 4.748-12.25 0-17l-40.38-40.25V265.9l68.26 39.55c5.125-13 11.49-25.7 19.74-37.57l-.0036-7.058L224.6 224l63.37-36.73l.0078-56.08L200 182.1V125.3zM448 322.9V304c0-8.75-7.251-16-16-16c-8.748 0-15.1 7.25-15.1 16v18.88c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 47.1 48c26.5 0 48-21.5 48-48C480 347.1 466.6 329.5 448 322.9z"]],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", ["M607.1 278.5V112c0-61.88-50.12-112-112-112c-61.88 0-112 50.13-112 112v166.5C364.2 303.1 351.1 334 351.1 368c0 79.5 64.5 144 144 144S640 447.5 640 368C640 334 627.8 303.1 607.1 278.5zM495.1 448c-44.13 0-80.01-35.88-80.01-80c0-25.5 12.25-48.88 32-63.75V112c0-26.5 21.51-48 48.01-48c26.5 0 48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C575.1 412.1 540.1 448 495.1 448z", "M159.1 224c0 35.25 28.75 64 64 64c35.25 0 64-28.75 64-64s-28.75-64-64-64C188.7 160 159.1 188.8 159.1 224zM511.1 322.9V112c0-8.75-7.249-16-16-16c-8.75 0-16 7.25-16 16v210.9C461.4 329.5 447.1 347.1 447.1 368c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48C543.1 347.1 530.6 329.5 511.1 322.9zM237.6 8.375c-5.625-11.12-21.63-11.12-27.25 0L168.1 91.25L81.1 61.88C69.22 58 57.97 69.25 61.85 81.13L91.22 169L8.344 210.4c-11.12 5.625-11.12 21.5 0 27.12L91.22 279l-29.38 87.88C57.85 378.8 69.22 390 81.1 386.1l87.88-29.38l41.38 82.88c5.625 11.12 21.63 11.12 27.13 0l41.38-82.88l41.13 13.62c0-.75-.125-1.625-.125-2.5c.125-35.75 11.12-70.13 32.13-100V112c0-16.88 3.5-33 8.875-48.13L278.1 91.25L237.6 8.375zM291.9 291.9c-37.38 37.38-98.25 37.38-135.8 0s-37.38-98.38 0-135.8s98.25-37.38 135.8 0C329.2 193.5 329.2 254.5 291.9 291.9z"]],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9V160c0-8.75-7.25-16-16-16s-16 7.25-16 16v162.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", ["M352 160C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352z", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H32C14.33 96 0 81.67 0 64z"]],
    "tennis-ball": [512, 512, [127934], "f45e", ["M363.1 319.8c-48.7 34.11-74.45 88.51-74.45 143.8c0 15.11 1.922 30.29 5.823 45.15c110.6-16.7 197.9-104 214.4-214.7c-14.72-3.875-29.85-6.031-45.1-6.031C428.9 288.1 393.7 298.4 363.1 319.8zM255.1-.0031c-1.928 0-3.793 .244-5.711 .287C253.1 15.98 255.8 31.95 255.8 47.85c0 97.43-76.7 208.1-207.5 208.1c-16.18 0-32.29-1.914-48-5.613c-.041 1.902-.285 3.756-.285 5.67c0 141.4 114.6 256 256 256c1.932 0 3.797-.2482 5.719-.2912c-3.677-15.69-5.488-31.65-5.488-47.55c0-96.97 76.25-207.9 207.1-207.9c16.3 0 32.55 1.901 48.39 5.631c.0449-1.977 .299-3.896 .299-5.881C511.1 114.6 397.4-.0031 255.1-.0031zM49.59 223.3c110.6 0 173.8-93.19 173.8-174.1c0-15.12-1.924-30.31-5.828-45.17c-110.4 16.67-197.5 103.7-214.3 214.1C18.35 221.3 33.95 223.3 49.59 223.3z", "M217.6 3.19c3.905 14.86 5.828 30.05 5.828 45.17c0 81.8-63.64 174.1-173.8 174.1c-15.65 0-31.24-2.055-46.36-6.041C1.585 228.1 .528 239.1 .2819 250.3c15.71 3.699 31.82 5.613 48 5.613c132.1 0 207.5-111.3 207.5-208.1c0-15.91-1.812-31.87-5.493-47.57C239.2 .526 228.3 1.573 217.6 3.19zM463.3 256.2c-127.2 0-207.1 106-207.1 207.9c0 15.9 1.811 31.86 5.488 47.55c11.11-.2461 22-1.285 32.72-2.906c-3.901-14.85-5.823-30.04-5.823-45.15c0-55.33 25.76-109.7 74.45-143.8c30.66-21.44 65.84-31.75 100.7-31.75c15.25 0 30.38 2.156 45.1 6.031c1.58-10.55 2.596-21.28 2.846-32.22C495.9 258.1 479.6 256.2 463.3 256.2z"]],
    "tent": [576, 512, [], "e57d", ["M269.4 5.961C280.5-1.987 295.5-1.987 306.6 5.961L530.6 165.1C538 171.2 542.8 179.4 543.8 188.5L575.8 476.5C576.8 485.5 573.9 494.6 567.8 501.3C561.8 508.1 553.1 512 544 512H448L288 256V512H32C22.9 512 14.23 508.1 8.156 501.3C2.086 494.6-.8093 485.5 .1958 476.5L32.2 188.5C33.2 179.4 38 171.2 45.4 165.1L269.4 5.961z", "M448 512H288V256L448 512z"]],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", ["M571.4 262.5C578 267.6 582.4 275 583.6 283.3L608.4 448C608.2 448 608.1 448 608 448H460.8L384 320V448H159.6L184.4 283.3C185.6 275 189.1 267.6 196.6 262.5L364.6 134.5C376.1 125.8 391.9 125.8 403.4 134.5L571.4 262.5z", "M160.1 217.8C150.9 226.1 137.1 226.1 127.9 217.8L47.94 145.8C38.09 136.1 37.29 121.8 46.16 111.9C55.03 102.1 70.2 101.3 80.05 110.2L119.1 146.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V146.1L207.9 110.2C217.8 101.3 232.1 102.1 241.8 111.9C250.7 121.8 249.9 136.1 240.1 145.8L160.1 217.8zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "tent-arrow-left-right": [576, 512, [], "e57f", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M454.2 7.945C463-1.907 478.2-2.706 488.1 6.161L568.1 78.16C573.1 82.71 576 89.2 576 96C576 102.8 573.1 109.3 568.1 113.8L488.1 185.8C478.2 194.7 463 193.9 454.2 184.1C445.3 174.2 446.1 159 455.9 150.2L489.5 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H489.5L455.9 41.84C446.1 32.97 445.3 17.8 454.2 7.945H454.2z"]],
    "tent-arrow-turn-left": [576, 512, [], "e580", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H456C522.3 72 576 125.7 576 192V232C576 245.3 565.3 256 552 256C538.7 256 528 245.3 528 232V192C528 152.2 495.8 120 456 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945H121.8z"]],
    "tent-arrows-down": [576, 512, [], "e581", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M128.1 217.8C118.9 226.1 105.1 226.1 95.94 217.8L15.94 145.8C6.093 136.1 5.294 121.8 14.16 111.9C23.03 102.1 38.2 101.3 48.06 110.2L88 146.1V24C88 10.75 98.75 0 112 0C125.3 0 136 10.75 136 24V146.1L175.9 110.2C185.8 101.3 200.1 102.1 209.8 111.9C218.7 121.8 217.9 136.1 208.1 145.8L128.1 217.8zM480.1 217.8C470.9 226.1 457.1 226.1 447.9 217.8L367.9 145.8C358.1 136.1 357.3 121.8 366.2 111.9C375 102.1 390.2 101.3 400.1 110.2L440 146.1V24C440 10.75 450.7 0 464 0C477.3 0 488 10.75 488 24V146.1L527.9 110.2C537.8 101.3 552.1 102.1 561.8 111.9C570.7 121.8 569.9 136.1 560.1 145.8L480.1 217.8z"]],
    "tents": [640, 512, [], "e582", ["M603.4 134.5C610 139.6 614.4 147 615.6 155.3L639.6 315.3C641 324.5 638.3 333.8 632.2 340.9C626.2 347.9 617.3 352 608 352H461.5L455.3 310.5C452.8 294 444 279.2 430.8 269.1L262.8 141.1C254.6 134.9 245.4 130.9 235.8 129.1L396.6 6.546C408.1-2.182 423.9-2.182 435.4 6.546L603.4 134.5z", "M204.6 166.5C216.1 157.8 231.9 157.8 243.4 166.5L411.4 294.5C418 299.6 422.4 307 423.6 315.3L447.6 475.3C449 484.5 446.3 493.8 440.2 500.9C434.2 507.9 425.3 512 416 512H319.1L223.1 352V512H32C22.68 512 13.83 507.9 7.753 500.9C1.674 493.8-1.028 484.5 .3542 475.3L24.35 315.3C25.59 307 29.98 299.6 36.61 294.5L204.6 166.5z"]],
    "terminal": [576, 512, [], "f120", ["M224 448C224 430.3 238.3 416 256 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C238.3 480 224 465.7 224 448z", "M54.63 41.37L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37V41.37z"]],
    "text": [448, 512, [], "f893", ["M448 64.01v64c0 17.69-14.31 32-32 32s-32-14.31-32-32v-32h-128v320h48c17.69 0 32 14.31 32 32s-14.31 31.1-32 31.1h-160c-17.69 0-32-14.31-32-31.1s14.31-32 32-32H192v-320H64v32c0 17.69-14.31 32-32 32s-32-14.31-32-32v-64c0-17.69 14.31-32 32-32h384C433.7 32.01 448 46.33 448 64.01z", ""]],
    "text-height": [576, 512, [], "f034", ["M288 32.01H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h64v320H96c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32s-14.33-32-32-32H192v-320h64v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C320 46.33 305.7 32.01 288 32.01z", "M521.4 361.4L512 370.8V141.3l9.375 9.375C527.6 156.9 535.8 160 544 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-64-64c-12.5-12.5-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 141.3v229.5l-9.375-9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l64 64C463.6 476.9 471.8 480 480 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25S533.9 348.9 521.4 361.4z"]],
    "text-size": [640, 512, [], "f894", ["M256 416H224v-320h96v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h96v320H128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S273.7 416 256 416z", "M608 224h-256c-17.67 0-32 14.31-32 31.1v32c0 17.69 14.33 32 32 32s32-14.31 32-32h64v128h-16c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H512v-128h64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32C640 238.3 625.7 224 608 224z"]],
    "text-slash": [640, 512, ["remove-format"], "f87d", ["M351.1 416H306.7l18.96-64.1L271.4 308.5l-31.36 107.5h-48c-17.67 0-32 14.31-32 32s14.33 31.99 32 31.99h160c17.67 0 32-14.31 32-31.99S369.7 416 351.1 416zM544 32.01H191.1c-17.67 0-32 14.31-32 32V100.1l58.03 45.48C221.5 140.5 223.1 134.7 223.1 128v-32h109.3l-33.22 113.9l54.26 42.53L400 96.01H512v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C576 46.33 561.7 32.01 544 32.01z", "M630.8 469.1L38.81 5.13c-10.47-8.219-25.53-6.37-33.7 4.068s-6.349 25.54 4.073 33.69l591.1 463.1c4.406 3.469 9.61 5.127 14.8 5.127c7.125 0 14.17-3.164 18.9-9.195C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "text-width": [448, 512, [], "f035", ["M416 32.01H32c-17.67 0-32 14.31-32 32v63.1c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h128v128H176c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-31.1-32-31.1H256v-128h128v32c0 17.69 14.33 32 32 32s32-14.32 32-32V64.01C448 46.33 433.7 32.01 416 32.01z", "M374.6 297.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l9.375 9.375h-229.5L118.6 342.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25l64 64C79.63 476.9 87.81 480 96 480s16.38-3.118 22.62-9.368c12.5-12.5 12.5-32.75 0-45.25l-9.375-9.375h229.5l-9.375 9.375c-12.5 12.5-12.5 32.75 0 45.25C335.6 476.9 343.8 480 352 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25L374.6 297.4z"]],
    "thermometer": [512, 512, [], "f491", ["M483.1 162.6L229.8 415.9l-99.87-.0001l-88.99 89.02c-9.249 9.377-24.5 9.377-33.87 0c-9.374-9.252-9.374-24.51 0-33.88l88.99-89.02l.0003-100.9l49.05-49.39l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1l41.24-41.52l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8l41.24-41.52l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63l-52.09-52.09l49.68-50.02c36.37-36.51 94.37-40.88 131.9-10.25C526.2 61.11 518.9 127.8 483.1 162.6z", "M231.4 144.8L208.9 167.5l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8zM167.6 209.1L145.1 231.8l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1zM347.3 132.7l-52.09-52.09l-22.55 22.7l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688C353.5 149.1 353.5 138.1 347.3 132.7z"]],
    "theta": [384, 512, [], "f69e", ["M192 16.01c-105.9 0-192 107.7-192 240s86.13 239.1 192 239.1s192-107.6 192-239.1S297.9 16.01 192 16.01zM192 80.01c62.62 0 114.8 62.21 125.8 144H66.22C77.21 142.2 129.4 80.01 192 80.01zM192 432c-62.62 0-114.8-62.21-125.8-144h251.6C306.8 369.8 254.6 432 192 432z", ""]],
    "thought-bubble": [512, 512, [], "e32e", ["M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384z", "M384 80c-3.281 0-6.438 .3125-9.594 .7187C355.1 32.17 308.3 0 256 0C204.4 0 157.8 31.59 138.2 79.27C134.8 78.84 131.4 78.5 128 78.5c-70.59 0-128 57.48-128 128.1s57.41 127.9 128 127.9c12.62 0 25.41-2.062 38.13-6.125C182.9 362.7 217.4 384.5 256 384.5c38.03 0 72.31-21.27 89.31-54.77C358.2 333.9 371.2 336 384 336c70.59 0 128-57.37 128-127.9S454.6 80 384 80z"]],
    "thumbs-down": [512, 512, [61576, 128078], "f165", ["M467.3 240.2C475.1 231.7 480 220.4 480 207.9c0-23.47-16.87-42.92-39.14-47.09C445.3 153.6 448 145.1 448 135.1c0-21.32-14-39.18-33.25-45.43C415.5 87.12 416 83.61 416 79.98C416 53.47 394.5 32 368 32h-58.69c-34.61 0-68.28 11.22-95.97 31.98L179.2 89.57C167.1 98.63 160 112.9 160 127.1l.1074 160c0 0-.0234-.0234 0 0c.0703 13.99 6.123 27.94 17.91 37.36l16.3 13.03C276.2 403.9 239.4 480 302.5 480c30.96 0 49.47-24.52 49.47-48.11c0-15.15-11.76-58.12-34.52-96.02H464c26.52 0 48-21.47 48-47.98C512 262.5 492.2 241.9 467.3 240.2z", "M96 32.04H32c-17.67 0-32 14.32-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1V64.03C128 46.36 113.7 32.04 96 32.04z"]],
    "thumbs-up": [512, 512, [61575, 128077], "f164", ["M512 224.1c0-26.5-21.48-47.98-48-47.98h-146.5c22.77-37.91 34.52-80.88 34.52-96.02C352 56.52 333.5 32 302.5 32c-63.13 0-26.36 76.15-108.2 141.6L178 186.6C166.2 196.1 160.2 210 160.1 224c-.0234 .0234 0 0 0 0L160 384c0 15.1 7.113 29.33 19.2 38.39l34.14 25.59C241 468.8 274.7 480 309.3 480H368c26.52 0 48-21.47 48-47.98c0-3.635-.4805-7.143-1.246-10.55C434 415.2 448 397.4 448 376c0-9.148-2.697-17.61-7.139-24.88C463.1 347 480 327.5 480 304.1c0-12.5-4.893-23.78-12.72-32.32C492.2 270.1 512 249.5 512 224.1z", "M128 447.1V223.1c0-17.67-14.33-31.1-32-31.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 479.1 128 465.6 128 447.1z"]],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", ["M32 32C32 14.33 46.33 0 64 0H320C337.7 0 352 14.33 352 32C352 49.67 337.7 64 320 64H290.5L301.9 212.2C338.6 232.1 367.5 265.4 381.4 306.9L382.4 309.9C385.6 319.6 383.1 330.4 377.1 338.7C371.9 347.1 362.3 352 352 352H224V256C224 238.3 209.7 224 191.1 224C174.3 224 159.1 238.3 159.1 256V352H32C21.71 352 12.05 347.1 6.04 338.7C.0259 330.4-1.611 319.6 1.642 309.9L2.644 306.9C16.47 265.4 45.42 232.1 82.14 212.2L93.54 64H64C46.33 64 32 49.67 32 32z", "M192 224C209.7 224 224 238.3 224 256V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V256C160 238.3 174.3 224 192 224z"]],
    "tick": [128, 512, [], "e32f", ["M126.1 109.8L101.7 255C98.43 274.1 82.55 288 63.99 288S29.55 274.1 26.25 255L1.044 109.9c-3.416-19.63 1.648-39.64 13.85-54.93c24.34-30.57 73.86-30.57 98.2 0C125.3 70.21 130.4 90.22 126.1 109.8z", ""]],
    "ticket": [576, 512, [127903], "f145", ["M128 160H448V352H128V160zM512 64C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512zM96 352C96 369.7 110.3 384 128 384H448C465.7 384 480 369.7 480 352V160C480 142.3 465.7 128 448 128H128C110.3 128 96 142.3 96 160V352z", "M448 128C465.7 128 480 142.3 480 160V352C480 369.7 465.7 384 448 384H128C110.3 384 96 369.7 96 352V160C96 142.3 110.3 128 128 128H448zM448 160H128V352H448V160z"]],
    "ticket-airline": [640, 512, [], "e29a", ["M576 64C611.3 64 640 92.65 640 128V192C604.7 192 576 220.7 576 256C576 291.3 604.7 320 640 320V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM432 144C440.8 144 448 136.8 448 128C448 119.2 440.8 112 432 112C423.2 112 416 119.2 416 128C416 136.8 423.2 144 432 144zM432 208C440.8 208 448 200.8 448 192C448 183.2 440.8 176 432 176C423.2 176 416 183.2 416 192C416 200.8 423.2 208 432 208zM432 240C423.2 240 416 247.2 416 256C416 264.8 423.2 272 432 272C440.8 272 448 264.8 448 256C448 247.2 440.8 240 432 240zM432 336C440.8 336 448 328.8 448 320C448 311.2 440.8 304 432 304C423.2 304 416 311.2 416 320C416 328.8 423.2 336 432 336zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM120 224L100.8 198.4C97.78 194.4 93.04 192 88 192H74.25C69.04 192 65.22 196.9 66.48 201.9L79.03 252.1C79.67 254.7 79.67 257.3 79.03 259.9L66.48 310.1C65.22 315.1 69.04 320 74.25 320H88C93.04 320 97.78 317.6 100.8 313.6L120 288H176L147.5 373.5C145.8 378.6 149.6 384 155.1 384H186.2C194.8 384 202.6 379.5 206.9 372.1L256 288H302.9C318.1 288 334.4 281.6 345.7 270.3C353.6 262.4 353.6 249.6 345.7 241.7C334.4 230.4 318.1 223.1 302.9 223.1H256L206.9 139.9C202.6 132.5 194.8 127.1 186.2 127.1H155.1C149.6 127.1 145.8 133.3 147.5 138.5L176 223.1L120 224z", "M155.1 128H186.2C194.8 128 202.6 132.5 206.9 139.9L256 224H302.9C318.1 224 334.4 230.4 345.7 241.7C353.6 249.6 353.6 262.4 345.7 270.3C334.4 281.6 318.1 288 302.9 288H256L206.9 372.1C202.6 379.5 194.8 384 186.2 384H155.1C149.6 384 145.8 378.6 147.5 373.5L176 288H120L100.8 313.6C97.78 317.6 93.04 320 88 320H74.25C69.04 320 65.22 315.1 66.49 310.1L79.03 259.9C79.67 257.3 79.67 254.7 79.03 252.1L66.49 201.9C65.22 196.9 69.04 192 74.25 192H88C93.04 192 97.78 194.4 100.8 198.4L120 224H176L147.5 138.5C145.8 133.4 149.6 128 155.1 128V128z"]],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", ["M0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128z", ""]],
    "tickets-airline": [640, 512, [], "e29b", ["M576 32C611.3 32 640 60.65 640 96V160C613.5 160 592 181.5 592 208C592 234.5 613.5 256 640 256V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM528 96C519.2 96 512 103.2 512 112C512 120.8 519.2 128 528 128C536.8 128 544 120.8 544 112C544 103.2 536.8 96 528 96zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM528 256C536.8 256 544 248.8 544 240C544 231.2 536.8 224 528 224C519.2 224 512 231.2 512 240C512 248.8 519.2 256 528 256zM528 288C519.2 288 512 295.2 512 304C512 312.8 519.2 320 528 320C536.8 320 544 312.8 544 304C544 295.2 536.8 288 528 288zM245.8 176L226.6 150.4C223.5 146.4 218.8 144 213.8 144H200C194.8 144 190.1 148.9 192.2 153.9L204.8 204.1C205.4 206.7 205.4 209.3 204.8 211.9L192.2 262.1C190.1 267.1 194.8 272 200 272H213.8C218.8 272 223.5 269.6 226.6 265.6L245.8 240H288.4L265.3 309.5C263.5 314.7 267.4 320 272.9 320H303.1C312.5 320 320.4 315.5 324.7 308.1L364.4 240H404.7C420.7 240 436.1 233.6 447.5 222.3C455.4 214.4 455.4 201.6 447.5 193.7C436.1 182.4 420.7 175.1 404.7 175.1H364.4L324.7 107.9C320.4 100.5 312.5 95.1 303.1 95.1H272.9C267.4 95.1 263.5 101.3 265.3 106.5L288.4 175.1L245.8 176z", "M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM288.4 176L265.3 106.5C263.5 101.3 267.4 96 272.9 96H303.1C312.5 96 320.4 100.5 324.7 107.9L364.4 176H404.7C420.7 176 436.1 182.4 447.5 193.7C455.4 201.6 455.4 214.4 447.5 222.3C436.1 233.6 420.7 240 404.7 240H364.4L324.7 308.1C320.4 315.5 312.5 320 303.1 320H272.9C267.4 320 263.5 314.7 265.3 309.5L288.4 240H245.8L226.6 265.6C223.5 269.6 218.8 272 213.8 272H200C194.8 272 190.1 267.1 192.2 262.1L204.8 211.9C205.4 209.3 205.4 206.7 204.8 204.1L192.2 153.9C190.1 148.9 194.8 144 200 144H213.8C218.8 144 223.5 146.4 226.6 150.4L245.8 176L288.4 176z"]],
    "tilde": [448, 512, [63135], "7e", ["M348.1 384c-26.31 0-52.03-10.66-70.63-29.25l-152.3-152.2c-6.688-6.688-15.94-10.5-25.38-10.5C80.09 192 64 208.1 64 227.9v92.12c0 17.69-14.31 32-32 32s-32-14.31-32-32V227.9c0-55.06 44.81-99.88 99.88-99.88c26.31 0 52.03 10.66 70.63 29.25l152.3 152.2c6.688 6.688 15.94 10.5 25.38 10.5C367.9 320 384 303.9 384 284.1V192c0-17.69 14.31-32 32-32s32 14.31 32 32V284.1C448 339.2 403.2 384 348.1 384z", ""]],
    "timeline": [640, 512, [], "e29c", ["M512 176C523.4 176 534.2 173.6 544 169.3V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H352V342.7C342.2 338.4 331.4 336 320 336C308.6 336 297.8 338.4 288 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C105.8 173.6 116.6 176 128 176C139.4 176 150.2 173.6 160 169.3V224H480V169.3C489.8 173.6 500.6 176 512 176z", "M48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 140.2 172.2 176 128 176C83.82 176 48 140.2 48 96zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM432 96C432 51.82 467.8 16 512 16C556.2 16 592 51.82 592 96C592 140.2 556.2 176 512 176C467.8 176 432 140.2 432 96zM512 120C525.3 120 536 109.3 536 96C536 82.75 525.3 72 512 72C498.7 72 488 82.75 488 96C488 109.3 498.7 120 512 120zM400 416C400 460.2 364.2 496 320 496C275.8 496 240 460.2 240 416C240 371.8 275.8 336 320 336C364.2 336 400 371.8 400 416zM320 392C306.7 392 296 402.7 296 416C296 429.3 306.7 440 320 440C333.3 440 344 429.3 344 416C344 402.7 333.3 392 320 392z"]],
    "timeline-arrow": [640, 512, [], "e29d", ["M352 175.1C363.4 175.1 374.2 173.6 384 169.3V223.1H530.7L489.4 182.6C476.9 170.1 476.9 149.9 489.4 137.4C501.9 124.9 522.1 124.9 534.6 137.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L534.6 374.6C522.1 387.1 501.9 387.1 489.4 374.6C476.9 362.1 476.9 341.9 489.4 329.4L530.7 288H256V342.7C246.2 338.4 235.4 336 224 336C212.6 336 201.8 338.4 192 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C105.8 173.6 116.6 176 128 176C139.4 176 150.2 173.6 160 169.3V224H320V169.3C329.8 173.6 340.6 176 352 176V175.1z", "M48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 140.2 172.2 176 128 176C83.82 176 48 140.2 48 96zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM272 96C272 51.82 307.8 16 352 16C396.2 16 432 51.82 432 96C432 140.2 396.2 176 352 176C307.8 176 272 140.2 272 96zM352 120C365.3 120 376 109.3 376 96C376 82.75 365.3 72 352 72C338.7 72 328 82.75 328 96C328 109.3 338.7 120 352 120zM304 416C304 460.2 268.2 496 224 496C179.8 496 144 460.2 144 416C144 371.8 179.8 336 224 336C268.2 336 304 371.8 304 416zM224 392C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440C237.3 440 248 429.3 248 416C248 402.7 237.3 392 224 392z"]],
    "timer": [512, 512, [], "e29e", ["M224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 184.4 29.46 119.6 76.84 73.14C89.46 60.78 109.7 60.98 122.1 73.6C134.5 86.23 134.3 106.5 121.6 118.9C86.03 153.7 64 202.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 160.9 378.8 81.89 288 66.65V96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96V32z", "M159 159C168.4 149.7 183.6 149.7 192.1 159L272.1 239C282.3 248.4 282.3 263.6 272.1 272.1C263.6 282.3 248.4 282.3 239 272.1L159 192.1C149.7 183.6 149.7 168.4 159 159V159z"]],
    "tire": [512, 512, [], "f631", ["M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM202.1 290.4L140.2 310.6C158.5 349.4 195.7 377.5 239.1 383L239.9 317.1C224.1 313.9 210.6 303.9 202.1 290.4V290.4zM271.9 317.1L271.1 383C316.2 377.5 353.5 349.4 371.8 310.6L309.9 290.4C301.3 303.9 287.8 313.9 271.9 317.1L271.9 317.1zM319.9 260L381.7 280.2C383.2 272.3 384 264.3 384 255.1C384 219.2 368.5 186.1 343.7 162.7L305.5 215.4C314.5 226.4 320 240.6 320 255.1C320 257.4 319.1 258.7 319.9 260L319.9 260zM279.6 196.5L317.8 143.9C299.5 133.8 278.4 128 256 128C233.6 128 212.5 133.8 194.2 143.9L232.4 196.5C239.7 193.6 247.7 192 256 192C264.3 192 272.3 193.6 279.6 196.5zM206.5 215.4L168.3 162.7C143.5 186.1 128 219.2 128 255.1C128 264.3 128.8 272.3 130.3 280.2L192.1 260C192 258.7 191.1 257.4 191.1 256C191.1 240.6 197.5 226.4 206.5 215.4H206.5zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224z", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96z"]],
    "tire-flat": [512, 512, [], "f632", ["M96 288C96 199.6 167.6 128 256 128C344.4 128 416 199.6 416 288C416 376.4 344.4 448 256 448C167.6 448 96 376.4 96 288zM202.1 322.4L140.2 342.6C158.5 381.4 195.7 409.5 239.1 415L239.9 349.1C224.1 345.9 210.6 335.9 202.1 322.4V322.4zM271.9 350L271.1 415C316.2 409.5 353.5 381.4 371.8 342.6L309.9 322.4C301.3 335.9 287.8 345.9 271.9 350L271.9 350zM319.9 292L381.7 312.2C383.2 304.3 384 296.3 384 287.1C384 251.2 368.5 218.1 343.7 194.7L305.5 247.4C314.5 258.4 320 272.6 320 287.1C320 289.4 319.1 290.7 319.9 292L319.9 292zM279.6 228.5L317.8 175.9C299.5 165.8 278.4 160 256 160C233.6 160 212.5 165.8 194.2 175.9L232.4 228.5C239.7 225.6 247.7 224 256 224C264.3 224 272.3 225.6 279.6 228.5zM206.5 247.4L168.3 194.7C143.5 218.1 128 251.2 128 287.1C128 296.3 128.8 304.3 130.3 312.2L192.1 292C192 290.7 191.1 289.4 191.1 288C191.1 272.6 197.5 258.4 206.5 247.4H206.5zM256 256C238.3 256 224 270.3 224 288C224 305.7 238.3 320 256 320C273.7 320 288 305.7 288 288C288 270.3 273.7 256 256 256z", "M224 288C224 270.3 238.3 256 256 256C273.7 256 288 270.3 288 288C288 305.7 273.7 320 256 320C238.3 320 224 305.7 224 288zM0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288C512 335.3 499.2 379.7 476.8 417.7C497.1 423.3 512 441.9 512 464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464C0 441.9 14.93 423.3 35.25 417.7C12.85 379.7 0 335.3 0 288zM256 128C167.6 128 96 199.6 96 288C96 340.3 121.1 386.8 159.1 416C186.7 436.1 219.1 448 256 448C289.1 448 319.9 437.9 345.5 420.7C347.7 419.2 349.9 417.6 352 416C390.9 386.8 416 340.3 416 288C416 199.6 344.4 128 256 128z"]],
    "tire-pressure-warning": [512, 512, [], "f633", ["M384 32C384 14.33 398.3 .0003 416 .0003C433.7 .0003 448 14.33 448 32V54.46C448 78.53 451.9 102.5 459.5 125.3L461.1 132.7C466.8 147.2 473.5 161.4 481.3 177.1C498.8 212.7 514.7 259.7 508.8 313.3C503.4 361.9 480.7 412.3 432 461.1V496C432 504.8 424.8 512 416 512H384C375.2 512 368 504.8 368 496V488H336V496C336 504.8 328.8 512 320 512H288C279.2 512 272 504.8 272 496V488H239.1V496C239.1 504.8 232.8 512 223.1 512H191.1C183.2 512 175.1 504.8 175.1 496V488H143.1V496C143.1 504.8 136.8 512 127.1 512H95.1C87.16 512 79.1 504.8 79.1 496V461.1C31.34 412.3 8.575 361.9 3.236 313.3C-2.658 259.7 13.17 212.7 30.72 177.1C38.5 161.4 45.21 147.2 50.02 132.7L52.5 125.3C60.12 102.5 63.1 78.53 63.1 54.46V32C63.1 14.33 78.33 0 95.1 0C113.7 0 127.1 14.33 127.1 32V54.46C127.1 85.41 123 116.2 113.2 145.5L110.7 152.1C104.4 171.1 95.93 189.6 88.12 205.5C73.46 235.2 62.8 269.4 66.85 306.3C70.59 340.3 87.26 380.4 132.6 424H379.4C424.7 380.4 441.4 340.3 445.1 306.3C449.2 269.4 438.5 235.2 423.9 205.5C416.1 189.6 407.6 171.1 401.3 152.1L398.8 145.5C388.1 116.2 384 85.41 384 54.46V32z", "M280 232C280 245.3 269.3 256 255.1 256C242.7 256 231.1 245.3 231.1 232V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120V232zM223.1 320C223.1 302.3 238.3 288 255.1 288C273.7 288 288 302.3 288 320C288 337.7 273.7 352 255.1 352C238.3 352 223.1 337.7 223.1 320z"]],
    "tire-rugged": [512, 512, [], "f634", ["M128 256C128 185.3 185.3 128 256 128C326.7 128 384 185.3 384 256C384 326.7 326.7 384 256 384C185.3 384 128 326.7 128 256zM256 208C269.3 208 280 197.3 280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184C232 197.3 242.7 208 256 208zM164.7 226.3C160.6 238.9 167.5 252.5 180.1 256.6C192.7 260.7 206.3 253.8 210.3 241.2C214.4 228.6 207.5 215 194.9 210.9C182.3 206.8 168.8 213.7 164.7 226.3V226.3zM301.7 241.2C305.7 253.8 319.3 260.7 331.9 256.6C344.5 252.5 351.4 238.9 347.3 226.3C343.2 213.7 329.7 206.8 317.1 210.9C304.5 215 297.6 228.6 301.7 241.2V241.2zM312.4 333.7C323.2 325.9 325.5 310.9 317.7 300.1C309.9 289.4 294.9 287 284.2 294.8C273.5 302.6 271.1 317.6 278.9 328.4C286.7 339.1 301.7 341.5 312.4 333.7V333.7zM227.8 294.8C217.1 287 202.1 289.4 194.3 300.1C186.5 310.9 188.8 325.9 199.6 333.7C210.3 341.5 225.3 339.1 233.1 328.4C240.9 317.6 238.5 302.6 227.8 294.8V294.8z", "M296 0C309.3 0 320 10.75 320 24V40C320 40.42 319.1 40.85 319.1 41.27C334.9 45.7 349.2 51.66 362.6 58.94C362.9 58.63 363.2 58.31 363.5 58.01L374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2L453.1 148.5C453.7 148.8 453.4 149.1 453.1 149.4C460.3 162.8 466.3 177.1 470.7 192C471.2 192 471.6 192 472 192H488C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320H472C471.6 320 471.2 319.1 470.7 319.1C466.3 334.9 460.3 349.2 453.1 362.6C453.4 362.9 453.7 363.2 453.1 363.5L465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3L363.5 453.1C363.2 453.7 362.9 453.4 362.6 453.1C349.2 460.3 334.9 466.3 319.1 470.7C319.1 471.2 320 471.6 320 472V488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488V472C192 471.6 192 471.2 192 470.7C177.1 466.3 162.8 460.3 149.4 453.1C149.1 453.4 148.8 453.7 148.5 453.1L137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8L58.01 363.5C58.31 363.2 58.62 362.9 58.94 362.6C51.66 349.2 45.7 334.9 41.27 319.1C40.85 319.1 40.42 320 40 320H24C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192H40C40.42 192 40.85 192 41.27 192C45.7 177.1 51.66 162.8 58.94 149.4C58.62 149.1 58.31 148.8 58.01 148.5L46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7L148.5 58.01C148.8 58.31 149.1 58.63 149.4 58.94C162.8 51.66 177.1 45.7 192 41.27C192 40.85 192 40.42 192 40V24C192 10.75 202.7 0 216 0H296zM256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128z"]],
    "toggle-large-off": [576, 512, [], "e5b0", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H192C121.3 128 64 185.3 64 256z", "M320 256C320 326.7 262.7 384 192 384C121.3 384 64 326.7 64 256C64 185.3 121.3 128 192 128C262.7 128 320 185.3 320 256z"]],
    "toggle-large-on": [576, 512, [], "e5b1", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128C313.3 128 256 185.3 256 256C256 326.7 313.3 384 384 384z", "M512 256C512 326.7 454.7 384 384 384C313.3 384 256 326.7 256 256C256 185.3 313.3 128 384 128C454.7 128 512 185.3 512 256z"]],
    "toggle-off": [576, 512, [], "f204", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H192C121.3 128 64 185.3 64 256z", "M192 160C245 160 288 202.1 288 256C288 309 245 352 192 352C138.1 352 96 309 96 256C96 202.1 138.1 160 192 160z"]],
    "toggle-on": [576, 512, [], "f205", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 352C437 352 480 309 480 256C480 202.1 437 160 384 160C330.1 160 288 202.1 288 256C288 309 330.1 352 384 352z", "M480 256C480 309 437 352 384 352C330.1 352 288 309 288 256C288 202.1 330.1 160 384 160C437 160 480 202.1 480 256z"]],
    "toilet": [448, 512, [128701], "f7d8", ["M432 0h-416C7.25 0 0 7.25 0 16V32c0 8.75 7.25 16 16 16h416C440.8 48 448 40.75 448 32V16C448 7.25 440.8 0 432 0zM152 80h-48C99.63 80 96 83.63 96 88v16C96 108.4 99.63 112 104 112h48C156.4 112 160 108.4 160 104v-16C160 83.63 156.4 80 152 80z", "M448 256c0-18.04-11.82-34.85-32-49.26V48H32v158.7C11.82 221.2 0 237.1 0 256c0 60.98 33.28 115.2 84.1 150.4l-19.59 64.36C59.16 491.3 74.53 512 96.03 512h255.9c21.5 0 36.88-20.75 30.62-41.25L363 406.4C414.7 371.2 448 316.1 448 256zM96 88C96 83.63 99.63 80 104 80h48C156.4 80 160 83.63 160 88v16C160 108.4 156.4 112 152 112h-48C99.63 112 96 108.4 96 104V88zM224 288C135.6 288 64 273.7 64 256c0-17.67 71.63-32 160-32s160 14.33 160 32C384 273.7 312.4 288 224 288z"]],
    "toilet-paper": [576, 512, [129531], "f71e", ["M479.1 0H127.1C74.98 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C372.1 451.6 384 417.8 384 364.1l-.0063-172.1C383.1 86.06 426.1 0 479.1 0zM111.1 224C103.1 224 95.99 216.9 95.99 208S103.1 192 111.1 192C120.9 192 127.1 199.1 127.1 207.1S120.9 224 111.1 224zM175.1 224C167.1 224 159.1 216.9 159.1 207.1S167.1 192 175.1 192s16 7.123 16 15.1S184.9 224 175.1 224zM239.1 224c-8.875 0-16-7.127-16-16S231.1 192 239.1 192s16.01 7.127 16.01 16S248.9 224 239.1 224zM303.1 224c-8.877 0-16-7.123-16-15.1S295.1 192 303.1 192c8.875 0 16 7.125 16 16S312.9 224 303.1 224z", "M479.1 0c-53 0-96 86.06-96 192.1c0 .1035 0-.1035 0 0c0 0-.2085 185.6-.5835 191.9h96.59C532.1 383.1 576 297.1 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.37-64 32-64c17.62 0 32 28.62 32 64S497.6 256 479.1 256zM175.1 192C167.1 192 159.1 199.1 159.1 207.1S167.1 224 175.1 224s16-7.127 16-16S184.9 192 175.1 192zM111.1 192C103.1 192 95.99 199.1 95.99 208S103.1 224 111.1 224C120.9 224 127.1 216.9 127.1 207.1S120.9 192 111.1 192zM303.1 192c-8.877 0-16 7.127-16 16S295.1 224 303.1 224c8.875 0 16-7.125 16-16S312.9 192 303.1 192zM239.1 192c-8.875 0-16 7.123-16 15.1S231.1 224 239.1 224s16.01-7.123 16.01-15.1S248.9 192 239.1 192z"]],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", ["M479.1 0H127.1C74.98 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C372.1 451.6 384 417.8 384 364.1l-.0063-172.1C383.1 86.06 426.1 0 479.1 0z", "M479.1 0c-53 0-96 86.06-96 192.1c0 .1035 0-.1035 0 0c0 0-.2085 185.6-.5835 191.9h96.59C532.1 383.1 576 297.1 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.37-64 32-64c17.62 0 32 28.62 32 64S497.6 256 479.1 256z"]],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", ["M416 384H96c-53 0-96-85.1-96-192c0-105.1 43-192 96-192h320c-53 0-96 86-96 192C320 298 363 384 416 384z", "M416 0c-53 0-96 86-96 192c0 84.04 27.07 155.3 64.68 181.3C394.5 380.1 405 384 416 384H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86 469 0 416 0zM383.1 192c0-35.38 14.38-64 32-64s31.1 28.62 31.1 64S433.6 256 416 256S383.1 227.4 383.1 192z"]],
    "toilet-paper-check": [640, 512, [], "e5b2", ["M20.53 463.6C63.55 385.7 64 277.3 64 192C64 85.96 106.1 0 160 0H512C458.1 0 416 85.96 416 192C416 350.8 388.7 438.1 373.3 475.9C363.3 499.9 340.2 512 317.9 512H48C36.47 512 25.84 505.8 20.16 495.8C14.47 485.7 14.59 473.5 20.53 463.6V463.6zM312.1 192.1C322.3 183.6 322.3 168.4 312.1 159C303.6 149.7 288.4 149.7 279 159L224 214.1L200.1 191C191.6 181.7 176.4 181.7 167 191C157.7 200.4 157.7 215.6 167 224.1L207 264.1C216.4 274.3 231.6 274.3 240.1 264.1L312.1 192.1zM20.53 463.6L20.5 463.6z", "M416 192C416 85.96 458.1 .0003 512 0C565 .0003 607.1 85.96 607.1 192C607.1 298 565 384 511.1 384H399.6C408.7 337 416 273.9 416 192zM511.1 128C494.3 128 479.1 156.7 479.1 192C479.1 227.3 494.3 256 511.1 256C529.7 256 543.1 227.3 543.1 192C543.1 156.7 529.7 128 511.1 128V128z"]],
    "toilet-paper-slash": [640, 512, [], "e072", ["M511.1 0H159.1c-24.75 0-47.23 18.93-64.26 49.72l425.3 333.4c48.75-9.143 86.94-91.2 86.94-191.1C607.1 85.1 564.1 0 511.1 0zM511.1 255.1c-17.63 0-32-28.62-32-63.1s14.37-64 32-64c17.62 0 32 28.62 32 64S529.6 255.1 511.1 255.1zM63.98 191.1v172.1c0 41.13-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1L360.9 512c13.88 0 26-8.75 30.38-21.88c7.875-23.54 15.21-45.57 19.85-71.24L66.51 148.8C64.91 162.7 63.98 177.1 63.98 191.1z", "M24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1c10.44 8.172 12.25 23.27 4.062 33.7c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0z"]],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", ["M320 192c0-105.1 43-192 96-192H96C43 0 0 86 0 192c0 106 43 192 96 192h320C363 384 320 298 320 192zM63.98 224c-8.875 0-16-7.125-16-16s7.125-16 16-16s15.1 7.125 15.1 16S72.86 224 63.98 224zM127.1 224C119.1 224 111.1 216.9 111.1 208S119.1 192 127.1 192s16 7.125 16 16S136.8 224 127.1 224zM191.1 224C183.1 224 175.1 216.9 175.1 208S183.1 192 191.1 192s16.01 7.125 16.01 16S200.8 224 191.1 224zM255.1 224C247.1 224 239.1 216.9 239.1 208S247.1 192 255.1 192s16 7.125 16 16S264.8 224 255.1 224z", "M416 0c-53 0-96 86-96 192c0 84.04 27.07 155.3 64.68 181.3C394.5 380.1 405 384 416 384H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86 469 0 416 0zM416 256c-17.62 0-32-28.62-32-64S398.4 128 416 128s31.1 28.62 31.1 64S433.6 256 416 256zM191.1 224c8.875 0 16.01-7.125 16.01-16S200.8 192 191.1 192S175.1 199.1 175.1 208S183.1 224 191.1 224zM255.1 224c8.875 0 16-7.125 16-16s-7.125-16-16-16S239.1 199.1 239.1 208S247.1 224 255.1 224zM143.1 208c0-8.875-7.128-16-16-16S111.1 199.1 111.1 208S119.1 224 127.1 224S143.1 216.9 143.1 208zM63.98 192c-8.875 0-16 7.125-16 16s7.125 16 16 16s15.1-7.125 15.1-16S72.86 192 63.98 192z"]],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", ["M480 0H160C135.2 0 112.8 18.98 95.8 49.77L576 426.1L576 192C576 86 533 0 480 0zM480 256c-17.62 0-32-28.62-32-64S462.4 128 480 128s31.1 28.62 31.1 64S497.6 256 480 256zM64 192c0 106 42.1 192 95.1 192h32v96c0 17.67 14.33 32 32 32h305.9L66.53 148.8C64.93 162.7 64 177.1 64 192z", "M24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1c10.44 8.172 12.25 23.27 4.062 33.7c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89C-1.248 34.72-3.061 19.62 5.127 9.187C9.845 3.156 16.91 0 24.03 0z"]],
    "toilet-paper-xmark": [512, 512, [], "e5b3", ["M96 384C42.98 384 0 298 0 192C0 85.96 42.98 0 96 0H416C362.1 0 320 85.96 320 192C320 298 362.1 384 416 384H96zM232.1 223L201.9 192L232.1 160.1C242.3 151.6 242.3 136.4 232.1 127C223.6 117.7 208.4 117.7 199 127L168 158.1L136.1 127C127.6 117.7 112.4 117.7 103 127C93.66 136.4 93.66 151.6 103 160.1L134.1 192L103 223C93.66 232.4 93.66 247.6 103 256.1C112.4 266.3 127.6 266.3 136.1 256.1L168 225.9L199 256.1C208.4 266.3 223.6 266.3 232.1 256.1C242.3 247.6 242.3 232.4 232.1 223V223z", "M416 384C363.6 384 321.1 300.2 320 195.9C320 194.6 320 193.3 320 192C320 85.96 362.1 0 416 0C469 0 512 85.96 512 192V464C512 490.5 490.5 512 464 512H208C181.5 512 160 490.5 160 464V384H416zM416 256C433.7 256 448 227.3 448 192C448 156.7 433.7 128 416 128C398.3 128 384 156.7 384 192C384 227.3 398.3 256 416 256z"]],
    "toilet-portable": [320, 512, [], "e583", ["M0 64H320V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V64zM256 240C256 231.2 248.8 224 240 224C231.2 224 224 231.2 224 240V304C224 312.8 231.2 320 240 320C248.8 320 256 312.8 256 304V240z", "M288 0C305.7 0 320 14.33 320 32V64H0V32C0 14.33 14.33 0 32 0H288zM256 304C256 312.8 248.8 320 240 320C231.2 320 224 312.8 224 304V240C224 231.2 231.2 224 240 224C248.8 224 256 231.2 256 240V304z"]],
    "toilets-portable": [576, 512, [], "e584", ["M256 64V488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V64H256zM176 240V304C176 312.8 183.2 320 192 320C200.8 320 208 312.8 208 304V240C208 231.2 200.8 224 192 224C183.2 224 176 231.2 176 240zM576 64V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V480H368V488C368 501.3 357.3 512 344 512C330.7 512 320 501.3 320 488V64H576zM496 240V304C496 312.8 503.2 320 512 320C520.8 320 528 312.8 528 304V240C528 231.2 520.8 224 512 224C503.2 224 496 231.2 496 240z", "M224 0C241.7 0 256 14.33 256 32V64H0V32C0 14.33 14.33 0 32 0H224zM544 0C561.7 0 576 14.33 576 32V64H320V32C320 14.33 334.3 0 352 0H544zM192 224C200.8 224 208 231.2 208 240V304C208 312.8 200.8 320 192 320C183.2 320 176 312.8 176 304V240C176 231.2 183.2 224 192 224zM528 304C528 312.8 520.8 320 512 320C503.2 320 496 312.8 496 304V240C496 231.2 503.2 224 512 224C520.8 224 528 231.2 528 240V304z"]],
    "tomato": [512, 512, [], "e330", ["M512 303.6C512 454.1 365.7 512 275.7 512H236.3C145.1 512 0 455.3 0 303.6c0-85.19 43.27-138.4 98.5-161.7c2.121 2.889 5.34 5.164 9.83 5.164c1.924 0-.4141 .3047 41.58-7.441L128.9 176.6C124.9 185.8 135.1 195.1 145.3 190.1l110.7-48.79l110.6 48.79c10.28 4.148 20.46-5.221 16.45-14.37l-20.96-36.98c42.08 7.836 39.77 7.535 41.71 7.535c4.486 0 7.693-2.268 9.814-5.146C468.8 165.4 512 218.7 512 303.6z", "M403.9 147.2c-1.947 0 .3691 .3008-41.71-7.535l20.96 36.98c4.01 9.15-6.174 18.52-16.45 14.37l-110.6-48.79l-110.7 48.79C135.1 195.1 124.9 185.8 128.9 176.6l21.02-37.02C107.9 147.3 110.3 147 108.3 147c-10.92 0-16.47-12.06-8.709-19.11c1.967-1.789 45.89-39.94 131.6-46.56c-1.836-15.03-9.393-28.99-21.62-38.16C199 35.26 196.8 20.21 204.8 9.617c7.938-10.61 23-12.81 33.63-4.812c24.21 18.16 38.79 46.42 40.8 76.48c86.78 6.279 131.4 44.98 133.4 46.78C420.3 135.1 414.8 147.2 403.9 147.2z"]],
    "tombstone": [448, 512, [], "f720", ["M223.1 0C117.1 0 31.1 86 31.1 192L32 448h384l-.0012-256C415.1 85.99 329.1 0 223.1 0zM320 192c0 8.875-7.125 16-16 16l-56.01-.0005L248 336c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16L199.1 208L144 208C135.1 208 128 200.9 128 192V176C128 167.1 135.1 160 144 160l55.99 .0005L200 112c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16l-.0073 47.1L304 160C312.9 160 320 167.1 320 176V192z", "M432 448h-416C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h416c8.875 0 16-7.125 16-16v-32C448 455.1 440.9 448 432 448zM144 208l55.99 .0005L200 336c0 8.875 7.125 16 16 16h16c8.875 0 16-7.125 16-16l-.0063-128L304 208C312.9 208 320 200.9 320 192V176C320 167.1 312.9 160 304 160l-56.01-.0005L248 112c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 16L199.1 160L144 160C135.1 160 128 167.1 128 176V192C128 200.9 135.1 208 144 208z"]],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", ["M415.1 191.1c0-106-86-191.1-192-191.1c-106 0-191.1 86-191.1 192L32 448h384L415.1 191.1z", "M432 448h-416c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16v-31.1C448 455.1 440.9 448 432 448z"]],
    "toolbox": [512, 512, [129520], "f552", ["M384 320v48c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16V320H192v48C192 376.9 184.9 384 176 384h-32C135.1 384 128 376.9 128 368V320H0v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128H384zM176 80h160V128H384V80C384 53.5 362.5 32 336 32h-160C149.5 32 128 53.5 128 80V128h48V80z", "M512 205.3V320h-128V272C384 263.1 376.9 256 368 256h-32C327.1 256 320 263.1 320 272V320H192V272C192 263.1 184.9 256 176 256h-32C135.1 256 128 263.1 128 272V320H0V205.3c0-8.5 3.375-16.62 9.375-22.62l45.25-45.25C60.63 131.4 68.75 128 77.25 128h357.5c8.5 0 16.62 3.375 22.62 9.375l45.25 45.25C508.6 188.6 512 196.8 512 205.3z"]],
    "tooth": [448, 512, [129463], "f5c9", ["M394.1 212.8c-20.04 27.67-28.07 60.15-31.18 93.95c-3.748 41.34-8.785 82.46-17.89 122.8l-6.75 29.64c-2.68 12.14-13.29 20.78-25.39 20.78c-12 0-22.39-8.311-25.29-20.23l-29.57-121.2C254.1 322.6 240.1 311.4 224 311.4c-16.18 0-30.21 11.26-34.07 27.23l-29.57 121.2c-2.893 11.92-13.39 20.23-25.29 20.23c-12.21 0-22.71-8.639-25.5-20.78l-6.643-29.64c-9.105-40.36-14.14-81.48-17.1-122.8C81.93 272.1 73.9 240.5 53.86 212.8c-18.75-25.92-27.11-60.15-18.43-96.57c9.428-39.59 40.39-71.75 78.85-82.03c20.14-5.25 39.54-.4375 57.32 9.077l86.14 56.54c6.643 4.375 15.11 1.86 18.96-4.264c4.07-6.454 2.25-15.09-4.18-19.36l-24.21-15.86c3-1.531 6.215-2.735 9-4.813c22.39-16.84 48.75-28.65 76.39-21.33c38.46 10.28 69.43 42.43 78.85 82.03C421.2 152.7 412.9 187 394.1 212.8z", ""]],
    "toothbrush": [576, 512, [129701], "f635", ["M184 256h-16C163.6 256 160 259.6 160 264V416h32V264C192 259.6 188.4 256 184 256zM120 256h-16C99.63 256 96 259.6 96 264V416h32V264C128 259.6 124.4 256 120 256zM56 256h-16C35.63 256 32 259.6 32 264V416h32V264C64 259.6 60.38 256 56 256zM376 256h-16C355.6 256 352 259.6 352 264V416h32V264C384 259.6 380.4 256 376 256zM440 256h-16C419.6 256 416 259.6 416 264V416h32V264C448 259.6 444.4 256 440 256zM248 256h-16C227.6 256 224 259.6 224 264V416h32V264C256 259.6 252.4 256 248 256zM312 256h-16C291.6 256 288 259.6 288 264V416h32V264C320 259.6 316.4 256 312 256z", "M64 224h352c35.38 0 64-28.62 64-64c0-70.75-57.25-128-128-128c23.62 23.62 6.875 64-26.5 64H64C28.63 96 0 124.6 0 160S28.63 224 64 224zM560 416h-544C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 16 480h544c8.875 0 16-7.125 16-16v-32C576 423.1 568.9 416 560 416z"]],
    "torii-gate": [512, 512, [9961], "f6a1", ["M128 128V192H64V128H128zM288 128V192H224V128H288zM448 128V192H384V128H448zM64 480V256H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM384 480V256H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480z", "M71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V80C512 106.5 490.5 128 464 128H48C21.49 128 0 106.5 0 80V0L71.37 23.79zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H480z"]],
    "tornado": [448, 512, [127786], "f76f", ["M387.7 195.9c-22-25.31-38.93-44.9-39-67.93H12.05c11.48 40.4 30.36 71.34 53.15 96h345.8C403.4 214.1 395.4 204.8 387.7 195.9zM407.8 42.09c7.531-6.562 10.22-17.12 6.688-26.5C410.1 6.219 401.1 0 391.1 0L24.16 .0313c-13 0-23.66 10.38-24 23.38c-.7051 26.94 1.188 50.8 4.789 72.57h353.9C367.9 80.74 383.4 63.37 407.8 42.09zM431.7 255.1H100.5C127 276.2 155.8 291.6 182.4 305.8c28.17 15.03 54.03 28.87 74.73 46.14h186.8C446.4 341.1 447.1 330.4 448 320C448 295.4 441.4 274.6 431.7 255.1zM303.6 485.3c-1.125 10.12 4.251 19.84 13.44 24.28C320.3 511.2 323.9 512 327.4 512c6.219 0 12.34-2.406 16.94-7c43.71-43.59 73.32-83.65 89.35-121h-148.6C300.8 408.6 308.6 440 303.6 485.3z", "M358.8 95.98H4.945c1.869 11.29 4.246 21.95 7.104 32h336.6C348.6 118.2 351.8 107.7 358.8 95.98zM257.1 351.1c11.15 9.299 20.34 19.99 27.99 32h148.6c4.68-10.91 7.824-21.53 10.19-32H257.1zM410.1 223.1H65.2c11.04 11.95 22.87 22.57 35.26 32h331.2C425.7 244.5 418.6 233.9 410.1 223.1z"]],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", ["M160.9 59.01C149.3 52.6 134.7 56.76 128.3 68.39C117.6 87.6 112 109.4 112 131.4c0 19.03 4.031 37.44 11.98 54.62c4.047 8.777 12.73 13.93 21.8 13.93c3.375 0 6.797-.7187 10.05-2.219C167.9 192.2 173.1 177.1 167.5 165.9C162.5 155.1 160 143.5 160 131.4c0-13.93 3.547-27.69 10.25-39.81C176.7 80.04 172.5 65.42 160.9 59.01zM420.2 58.23c-12.03 5.562-17.28 19.81-11.72 31.84C413.5 100.9 416 112.5 416 124.6c0 13.94-3.547 27.69-10.25 39.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.47 21.02-12.37C458.4 168.4 464 146.6 464 124.6c0-19.03-4.031-37.43-11.98-54.62C446.5 57.89 432.1 52.7 420.2 58.23zM62.61 2.363C46.17-4.32 27.58 3.676 20.95 20.02C7.047 54.36 0 90.69 0 127.1C0 165.3 7.047 201.7 20.95 236C25.98 248.5 37.97 256 50.63 256C54.61 256 58.69 255.3 62.61 253.7C79 247 86.91 228.4 80.27 212C69.47 185.3 64 157.1 64 128c0-29.06 5.469-57.3 16.27-83.99C86.91 27.64 79 8.988 62.61 2.363zM555 20.02c-6.609-16.41-25.23-24.31-41.66-17.66c-16.39 6.625-24.3 25.28-17.66 41.65C506.5 70.7 512 98.95 512 128c0 29.06-5.469 57.31-16.27 83.1C489.1 228.4 497 247 513.4 253.7C517.3 255.3 521.4 256 525.4 256c12.66 0 24.64-7.562 29.67-20C568.1 201.7 576 165.3 576 127.1C576 90.69 568.1 54.36 555 20.02z", "M350 111.9C357.4 142.2 343.3 169.6 320 183.1v296.9c0 17.67-14.33 32-32 32s-32-14.33-32-32V183.1C236.1 172 224 151.6 224 128c0-39.87 36.45-71.22 77.84-62.55C325 70.31 344.4 88.92 350 111.9z"]],
    "tower-cell": [576, 512, [], "e585", ["M64 128C64 157.8 69.79 186.1 80.27 211.1C86.9 228.4 78.1 247 62.62 253.7C46.23 260.3 27.58 252.4 20.95 236C7.428 202.6 0 166.1 0 128C0 89.87 7.428 53.39 20.95 19.99C27.58 3.612 46.23-4.293 62.62 2.339C78.1 8.97 86.9 27.63 80.27 44.01C69.79 69.9 64 98.24 64 128V128zM576 128C576 166.1 568.6 202.6 555.1 236C548.4 252.4 529.8 260.3 513.4 253.7C497 247 489.1 228.4 495.7 211.1C506.2 186.1 512 157.8 512 128C512 98.24 506.2 69.9 495.7 44.01C489.1 27.63 497 8.97 513.4 2.339C529.8-4.293 548.4 3.612 555.1 19.99C568.6 53.39 576 89.87 576 128V128zM152 128C152 147.4 156 165.8 163.3 182.4C168.6 194.5 163.1 208.7 150.9 213.1C138.8 219.3 124.6 213.8 119.3 201.6C109.5 179 104 154.1 104 128C104 101.9 109.5 76.96 119.3 54.39C124.6 42.25 138.8 36.7 150.9 42.01C163.1 47.31 168.6 61.46 163.3 73.61C156 90.23 152 108.6 152 128V128zM472 128C472 154.1 466.5 179 456.7 201.6C451.4 213.8 437.2 219.3 425.1 213.1C412.9 208.7 407.4 194.5 412.7 182.4C419.1 165.8 424 147.4 424 128C424 108.6 419.1 90.24 412.7 73.61C407.4 61.46 412.9 47.32 425.1 42.01C437.2 36.7 451.4 42.25 456.7 54.39C466.5 76.96 472 101.9 472 128V128z", "M477.1 466.8C484.4 482.8 477.3 501.8 461.2 509.1C445.2 516.4 426.2 509.3 418.9 493.2L398.3 448H177.7L157.1 493.2C149.8 509.3 130.8 516.4 114.8 509.1C98.67 501.8 91.56 482.8 98.87 466.8L235.9 165.2C228.4 154.7 224 141.9 224 128C224 92.65 252.7 64 288 64C323.3 64 352 92.65 352 128C352 141.9 347.6 154.7 340.1 165.2L477.1 466.8zM369.2 384L354.7 352H221.3L206.8 384H369.2zM250.4 287.1H325.6L288 205.3L250.4 287.1z"]],
    "tower-control": [448, 512, [], "e2a2", ["M42.61 128H405.4C431.1 128 451.2 153.4 443.9 178.1L403.5 320.2C419.5 321.9 432 335.5 432 352C432 369.7 417.7 384 400 384H48C30.33 384 16 369.7 16 352C16 335.5 28.47 321.9 44.49 320.2L4.145 178.1C-3.156 153.4 16.03 128 42.61 128H42.61zM74.42 192L110.8 319.2C110.8 319.5 110.9 319.7 110.1 320H128V192H74.42zM176 192V320H272V192H176zM320 192V320H337C337.1 319.7 337.2 319.5 337.2 319.2L373.6 192H320z", "M160 24C160 10.75 170.7 0 184 0H264C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H248V96H288C305.7 96 320 110.3 320 128H128C128 110.3 142.3 96 160 96H200V48H184C170.7 48 160 37.25 160 24zM368 384V480C368 497.7 353.7 512 336 512H112C94.33 512 80 497.7 80 480V384H368z"]],
    "tower-observation": [512, 512, [], "e586", ["M100.9 448L132.9 256H197.8L193.1 284.3L255.1 336.8L318.9 284.3L314.2 256H379.1L411.1 448H314.5L255.1 399.2L197.5 448H100.9zM183.9 339.2L172.8 406.1L218.5 368L183.9 339.2zM293.5 368L339.2 406.1L328.1 339.2L293.5 368zM128.6 512C128.2 512 127.8 512 127.5 512H128.6zM384.5 512C384.1 512 383.8 512 383.4 512H384.5z", "M430.3 83.38C446.1 91.28 452.5 110.5 444.6 126.3C439 137.5 427.7 143.1 416 144V224C416 241.7 401.7 256 384 256H127.1C110.3 256 95.1 241.7 95.1 224V144C84.27 143.1 72.98 137.5 67.38 126.3C59.47 110.5 65.88 91.28 81.69 83.38L241.7 3.378C250.7-1.126 261.3-1.126 270.3 3.378L430.3 83.38zM176 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H176C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160zM512 480C512 497.7 497.7 512 480 512H384.5C384.2 512 383.8 512 383.4 512H128.6C128.2 512 127.9 512 127.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H480C497.7 448 512 462.3 512 480z"]],
    "tractor": [640, 512, [128668], "f722", ["M128 192C128 174.3 142.3 160 160 160H192C209.7 160 224 174.3 224 192V200.2C228.8 201.9 233.5 203.8 238.1 206L243.9 200.2C256.4 187.7 276.6 187.7 289.1 200.2L311.8 222.9C324.3 235.4 324.3 255.6 311.8 268.1L305.1 273.9C308.2 278.5 310.1 283.2 311.8 288H320C337.7 288 352 302.3 352 320V352C352 369.7 337.7 384 320 384H311.8C310.1 388.8 308.2 393.5 305.1 398.1L311.8 403.9C324.3 416.4 324.3 436.6 311.8 449.1L289.1 471.8C276.6 484.3 256.4 484.3 243.9 471.8L238.1 465.1C233.5 468.2 228.8 470.1 224 471.8V480C224 497.7 209.7 512 192 512H160C142.3 512 128 497.7 128 480V471.8C123.2 470.1 118.5 468.2 113.9 465.1L108.1 471.8C95.62 484.3 75.36 484.3 62.86 471.8L40.24 449.1C27.74 436.6 27.74 416.4 40.24 403.9L46.03 398.1C43.85 393.5 41.9 388.8 40.19 384H32C14.33 384 0 369.7 0 352V320C0 302.3 14.33 288 32 288H40.19C41.9 283.2 43.85 278.5 46.03 273.9L40.24 268.1C27.74 255.6 27.74 235.4 40.24 222.9L62.86 200.2C75.36 187.7 95.62 187.7 108.1 200.2L113.9 206C118.5 203.8 123.2 201.9 128 200.2V192zM176 256C131.8 256 96 291.8 96 336C96 380.2 131.8 416 176 416C220.2 416 256 380.2 256 336C256 291.8 220.2 256 176 256zM616 424C616 472.6 576.6 512 528 512C479.4 512 440 472.6 440 424C440 375.4 479.4 336 528 336C576.6 336 616 375.4 616 424zM528 400C514.7 400 504 410.7 504 424C504 437.3 514.7 448 528 448C541.3 448 552 437.3 552 424C552 410.7 541.3 400 528 400z", "M266.3 0C292.5 0 316 15.93 325.8 40.23L373.7 160H480V126.2C480 101.4 485.8 76.88 496.9 54.66L499.4 49.69C507.3 33.88 526.5 27.47 542.3 35.38C558.1 43.28 564.5 62.5 556.6 78.31L554.1 83.28C547.5 96.61 544 111.3 544 126.2V160H600C622.1 160 640 177.9 640 200V245.4C640 261.9 631.5 277.3 617.4 286.1L574.1 313.2C559.9 307.3 544.3 304 528 304C488.7 304 453.9 322.9 431.1 352H352V320C352 302.3 337.7 288 320 288H311.8C310.1 283.2 308.2 278.5 305.1 273.9L311.8 268.1C324.3 255.6 324.3 235.4 311.8 222.9L289.1 200.2C276.6 187.7 256.4 187.7 243.9 200.2L238.1 206C233.5 203.8 228.8 201.9 224 200.2V192C224 174.3 209.7 160 192 160H304.7L266.3 64H160V160C142.3 160 128 174.3 128 192V200.2C123.2 201.9 118.5 203.8 113.9 206L108.1 200.2C104.6 196.7 100.4 194.2 96 192.6V64C96 28.65 124.7 .0006 160 .0006L266.3 0z"]],
    "trademark": [640, 512, [8482], "f25c", ["M640 128v256c0 17.69-14.33 32-32 32s-32-14.31-32-32v-160l-86.41 115.2c-12.06 16.12-39.13 16.12-51.19 0L352 224v160c0 17.69-14.33 32-32 32s-32-14.31-32-32v-256c0-13.78 8.812-26 21.88-30.34c13.08-4.406 27.45 .125 35.72 11.16L464 266.7l118.4-157.8c8.266-11 22.7-15.53 35.72-11.16C631.2 102 640 114.2 640 128z", "M224 96.01H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h64v223.1c0 17.69 14.33 31.99 32 31.99s32-14.3 32-31.99V160h64c17.67 0 32-14.31 32-32S241.7 96.01 224 96.01z"]],
    "traffic-cone": [512, 512, [], "f636", ["M173.7 128H338.3L363.4 192H148.6L173.7 128zM110.9 288H401.1L426.3 352H85.71L110.9 288z", "M173.7 128L216 20.3C220.8 8.053 232.7 0 245.8 0H266.2C279.3 0 291.2 8.053 295.1 20.3L338.3 128H173.7zM363.4 192L401.1 288H110.9L148.6 192H363.4zM48 448L85.71 352H426.3L464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48z"]],
    "traffic-light": [320, 512, [128678], "f637", ["M112 112C112 85.5 133.5 64 160 64C186.5 64 208 85.5 208 112C208 138.5 186.5 160 160 160C133.5 160 112 138.5 112 112zM208 240C208 266.5 186.5 288 160 288C133.5 288 112 266.5 112 240C112 213.5 133.5 192 160 192C186.5 192 208 213.5 208 240zM208 368C208 394.5 186.5 416 160 416C133.5 416 112 394.5 112 368C112 341.5 133.5 320 160 320C186.5 320 208 341.5 208 368z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-go": [320, 512, [], "f638", ["M160 416C133.5 416 112 394.5 112 368C112 341.5 133.5 320 160 320C186.5 320 208 341.5 208 368C208 394.5 186.5 416 160 416z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-slow": [320, 512, [], "f639", ["M160 288C133.5 288 112 266.5 112 240C112 213.5 133.5 192 160 192C186.5 192 208 213.5 208 240C208 266.5 186.5 288 160 288z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-stop": [320, 512, [], "f63a", ["M160 160C133.5 160 112 138.5 112 112C112 85.5 133.5 64 160 64C186.5 64 208 85.5 208 112C208 138.5 186.5 160 160 160z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "trailer": [640, 512, [], "e041", ["M80 96C88.84 96 96 103.2 96 112V243.2C84.55 249 73.83 256.1 64 264.2V112C64 103.2 71.16 96 80 96V96zM160 224.7V112C160 103.2 167.2 96 176 96C184.8 96 192 103.2 192 112V224.7C186.7 224.2 181.4 224 176 224C170.6 224 165.3 224.2 160 224.7zM256 112C256 103.2 263.2 96 272 96C280.8 96 288 103.2 288 112V264.2C278.2 256.1 267.4 249 256 243.2V112zM368 96C376.8 96 384 103.2 384 112V304C384 312.8 376.8 320 368 320C359.2 320 352 312.8 352 304V112C352 103.2 359.2 96 368 96zM480 304C480 312.8 472.8 320 464 320C455.2 320 448 312.8 448 304V112C448 103.2 455.2 96 464 96C472.8 96 480 103.2 480 112V304zM96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400z", "M496 32C522.5 32 544 53.49 544 80V320H608C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H496zM64 112V264.2C73.83 256.1 84.55 249 96 243.2V112C96 103.2 88.84 96 80 96C71.16 96 64 103.2 64 112V112zM176 224C181.4 224 186.7 224.2 192 224.7V112C192 103.2 184.8 96 176 96C167.2 96 160 103.2 160 112V224.7C165.3 224.2 170.6 224 176 224zM256 243.2C267.4 249 278.2 256.1 288 264.2V112C288 103.2 280.8 96 272 96C263.2 96 256 103.2 256 112V243.2zM352 112V304C352 312.8 359.2 320 368 320C376.8 320 384 312.8 384 304V112C384 103.2 376.8 96 368 96C359.2 96 352 103.2 352 112zM480 112C480 103.2 472.8 96 464 96C455.2 96 448 103.2 448 112V304C448 312.8 455.2 320 464 320C472.8 320 480 312.8 480 304V112z"]],
    "train": [448, 512, [128646], "f238", ["M352 64C369.7 64 384 78.33 384 96V192C384 209.7 369.7 224 352 224H96C78.33 224 64 209.7 64 192V96C64 78.33 78.33 64 96 64H352zM35.12 492.9L81.14 446.9C85.99 447.6 90.95 448 96 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9H35.12zM342.6 502.6L288 447.1H352C357.1 447.1 362 447.6 366.9 446.9L412.9 492.9C419.9 499.9 414.9 511.1 404.1 511.1H365.3C356.8 511.1 348.6 508.6 342.6 502.6H342.6z", "M0 96C0 42.98 42.98 0 96 0H352C405 0 448 42.98 448 96V352C448 405 405 448 352 448H96C42.98 448 0 405 0 352V96zM64 192C64 209.7 78.33 224 96 224H352C369.7 224 384 209.7 384 192V96C384 78.33 369.7 64 352 64H96C78.33 64 64 78.33 64 96V192zM224 384C250.5 384 272 362.5 272 336C272 309.5 250.5 288 224 288C197.5 288 176 309.5 176 336C176 362.5 197.5 384 224 384z"]],
    "train-subway": [448, 512, ["subway"], "f239", ["M64 128C64 110.3 78.33 96 96 96H176C193.7 96 208 110.3 208 128V224C208 241.7 193.7 256 176 256H96C78.33 256 64 241.7 64 224V128zM96 447.1H160L105.4 502.6C99.37 508.6 91.23 511.1 82.75 511.1H43.04C33.06 511.1 28.06 499.9 35.12 492.9L81.14 446.9C85.98 447.6 90.95 447.1 96 447.1H96zM352 447.1C357.1 447.1 362 447.6 366.9 446.9L412.9 492.9C419.9 499.9 414.9 511.1 404.1 511.1H365.3C356.8 511.1 348.6 508.6 342.6 502.6L288 447.1H352zM352 96C369.7 96 384 110.3 384 128V224C384 241.7 369.7 256 352 256H272C254.3 256 240 241.7 240 224V128C240 110.3 254.3 96 272 96H352z", "M0 96C0 42.98 42.98 0 96 0H352C405 0 448 42.98 448 96V352C448 405 405 448 352 448H96C42.98 448 0 405 0 352V96zM64 224C64 241.7 78.33 256 96 256H176C193.7 256 208 241.7 208 224V128C208 110.3 193.7 96 176 96H96C78.33 96 64 110.3 64 128V224zM272 96C254.3 96 240 110.3 240 128V224C240 241.7 254.3 256 272 256H352C369.7 256 384 241.7 384 224V128C384 110.3 369.7 96 352 96H272zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320zM352 384C369.7 384 384 369.7 384 352C384 334.3 369.7 320 352 320C334.3 320 320 334.3 320 352C320 369.7 334.3 384 352 384z"]],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", ["M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM216 192C229.3 192 240 202.7 240 216V296C240 309.3 229.3 320 216 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H216zM272 216C272 202.7 282.7 192 296 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H296C282.7 320 272 309.3 272 296V216z", "M112 192C112 156.7 140.7 128 176 128H336C371.3 128 400 156.7 400 192V384C400 419.3 371.3 448 336 448H176C140.7 448 112 419.3 112 384V192zM160 296C160 309.3 170.7 320 184 320H216C229.3 320 240 309.3 240 296V216C240 202.7 229.3 192 216 192H184C170.7 192 160 202.7 160 216V296zM296 192C282.7 192 272 202.7 272 216V296C272 309.3 282.7 320 296 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H296zM184 352C170.7 352 160 362.7 160 376C160 389.3 170.7 400 184 400C197.3 400 208 389.3 208 376C208 362.7 197.3 352 184 352zM328 400C341.3 400 352 389.3 352 376C352 362.7 341.3 352 328 352C314.7 352 304 362.7 304 376C304 389.3 314.7 400 328 400z"]],
    "train-track": [576, 512, [], "e453", ["M126.3 160H112C94.33 160 80 145.7 80 128C80 110.3 94.33 96 112 96H147.6L126.3 160zM83.6 288H72C54.33 288 40 273.7 40 256C40 238.3 54.33 224 72 224H104.9L83.6 288zM151.1 288L172.4 224H403.6L424.9 288H151.1zM40.94 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H62.27L40.94 416zM108.4 416L129.7 352H446.3L467.6 416H108.4zM513.7 352H544C561.7 352 576 366.3 576 384C576 401.7 561.7 416 544 416H535.1L513.7 352zM471.1 224H504C521.7 224 536 238.3 536 256C536 273.7 521.7 288 504 288H492.4L471.1 224zM428.4 96H464C481.7 96 496 110.3 496 128C496 145.7 481.7 160 464 160H449.7L428.4 96zM382.3 160H193.7L215.1 96H360.9L382.3 160z", "M202.1 33.64C218.9 39.23 227.9 57.35 222.4 74.12L94.36 458.1C88.77 474.9 70.65 483.9 53.88 478.4C37.11 472.8 28.05 454.6 33.64 437.9L161.6 53.88C167.2 37.12 185.4 28.05 202.1 33.64V33.64zM373.9 33.64C390.6 28.05 408.8 37.12 414.4 53.88L542.4 437.9C547.9 454.6 538.9 472.8 522.1 478.4C505.4 483.9 487.2 474.9 481.6 458.1L353.6 74.12C348.1 57.35 357.1 39.23 373.9 33.64V33.64z"]],
    "train-tram": [448, 512, [128650], "e5b4", ["M86.76 48C74.61 48 63.12 53.52 55.53 63.01L42.74 78.99C34.46 89.34 19.36 91.02 9.007 82.74C-1.343 74.46-3.021 59.36 5.259 49.01L18.04 33.03C34.74 12.15 60.03 0 86.76 0H361.2C387.1 0 413.3 12.15 429.1 33.03L442.7 49.01C451 59.36 449.3 74.46 438.1 82.74C428.6 91.02 413.5 89.34 405.3 78.99L392.5 63.01C384.9 53.52 373.4 48 361.2 48H248V96H200V48H86.76zM35.12 492.9L100.6 427.4C116.9 440.3 137.6 447.1 160 447.1L105.4 502.6C99.37 508.6 91.23 511.1 82.74 511.1H43.04C33.06 511.1 28.06 499.9 35.12 492.9V492.9zM342.6 502.6L288 447.1C310.4 447.1 331.1 440.3 347.4 427.4L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6V502.6zM288 160C305.7 160 320 174.3 320 192V224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224V192C128 174.3 142.3 160 160 160H288z", "M288 96C341 96 384 138.1 384 192V352C384 405 341 448 288 448H160C106.1 448 64 405 64 352V192C64 138.1 106.1 96 160 96H288zM160 160C142.3 160 128 174.3 128 192V224C128 241.7 142.3 256 160 256H288C305.7 256 320 241.7 320 224V192C320 174.3 305.7 160 288 160H160zM160 320C142.3 320 128 334.3 128 352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352C192 334.3 177.7 320 160 320zM288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384z"]],
    "train-tunnel": [512, 512, [], "e454", ["M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM160 216C160 202.7 170.7 192 184 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H184C170.7 320 160 309.3 160 296V216z", "M112 192C112 156.7 140.7 128 176 128H336C371.3 128 400 156.7 400 192V384C400 419.3 371.3 448 336 448H176C140.7 448 112 419.3 112 384V192zM160 296C160 309.3 170.7 320 184 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H184C170.7 192 160 202.7 160 216V296zM256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416z"]],
    "transformer-bolt": [384, 512, [], "e2a4", ["M224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-24V24C296 10.74 285.3 0 272 0s-24 10.74-24 24V32H224c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96zM262 320h-48.76l33.64-76.48c2.57-6.002 .6289-12.99-4.648-16.83c-5.334-3.869-12.55-3.527-17.45 .7793l-112 99.99c-4.404 3.842-5.936 10.01-3.885 15.46C110.1 348.4 116.2 352 121.1 352h48.76l-33.64 76.49c-2.57 6.002-.6289 12.99 4.648 16.83C144.2 447.1 147.1 448 149.1 448c3.309 0 6.59-1.162 9.215-3.459l112-100c4.404-3.842 5.936-10.01 3.885-15.46C273 323.6 267.8 320 262 320zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H136V24C136 10.74 125.3 0 112 0S88 10.74 88 24V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM176 112C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128h96C168.8 128 176 120.8 176 112z", "M384 208v-32C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176v32C0 216.8 7.164 224 16 224v224C7.164 448 0 455.2 0 464v32C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16v-32c0-8.838-7.164-16-16-16V224C376.8 224 384 216.8 384 208zM271.2 344.5l-112 100C156.6 446.8 153.3 448 149.1 448c-2.871 0-5.769-.8887-8.232-2.68c-5.277-3.842-7.219-10.83-4.648-16.83L170.8 352H121.1c-5.824 0-11.05-3.609-13.1-9.078c-2.051-5.455-.5195-11.62 3.885-15.46l112-99.99c4.895-4.307 12.11-4.648 17.45-.7793c5.277 3.842 7.219 10.83 4.648 16.83L213.2 320h48.76c5.824 0 11.05 3.609 13.1 9.078C277.2 334.5 275.6 340.7 271.2 344.5z"]],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", ["M256 208C229.5 208 208 229.5 208 256c0 26.51 21.49 48 48 48s48-21.49 48-48C304 229.5 282.5 208 256 208z", "M498.6 .0003h-94.37c-17.96 0-26.95 21.71-14.25 34.41L411.1 55.61l-67.01 67.01C318.8 105.9 288.6 96 256 96S193.2 105.9 167.9 122.6L151.6 106.3l6.061-6.062c6.25-6.248 6.25-16.38 0-22.63L146.3 66.34c-6.25-6.248-16.38-6.248-22.63 0L117.7 72.41L100.9 55.61L122.1 34.41c12.7-12.7 3.703-34.41-14.25-34.41H13.44C6.016 .0003 0 6.016 0 13.44v94.37c0 17.96 21.71 26.95 34.41 14.25l21.2-21.2l16.8 16.8L66.35 123.7c-6.25 6.248-6.25 16.38 0 22.63l11.31 11.31c6.25 6.248 16.38 6.248 22.63 0l6.061-6.061L122.6 167.9C105.9 193.2 96 223.4 96 256c0 77.4 54.97 141.9 128 156.8v19.23l-16-.0014c-8.836 0-16 7.165-16 16v15.1c0 8.836 7.164 16 16 16L224 480v16c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-16l16-.0001c8.836 0 16-7.164 16-16v-15.1c0-8.836-7.164-16-16-16L288 432v-19.23c73.03-14.83 128-79.37 128-156.8c0-32.6-9.867-62.85-26.61-88.14l67.01-67.01l21.2 21.2C490.3 134.8 512 125.8 512 107.8V13.44C512 6.016 505.1 .0003 498.6 .0003zM256 336c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 300.1 300.1 336 256 336z"]],
    "transporter": [512, 512, [], "e042", ["M509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM64 96L51.63 66.25C50.88 64.88 49.5 64 48 64S45.13 64.88 44.38 66.25L32 96L2.25 108.4C.875 109.1 0 110.5 0 112s.875 2.875 2.25 3.625L32 128l12.38 29.75C45.13 159.1 46.5 160 48 160s2.875-.875 3.625-2.25L64 128l29.75-12.38C95.13 114.9 96 113.5 96 112S95.13 109.1 93.75 108.4L64 96z", "M256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 416h64v-96h16v96h64l.0065-177.3l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-1": [512, 512, [], "e043", ["M93.75 364.4L64 352l-12.38-29.75C50.88 320.9 49.5 320 48 320s-2.875 .875-3.625 2.25L32 352l-29.75 12.38C.875 365.1 0 366.5 0 368s.875 2.875 2.25 3.625L32 384l12.38 29.75C45.13 415.1 46.5 416 48 416s2.875-.875 3.625-2.25L64 384l29.75-12.38C95.13 370.9 96 369.5 96 368S95.13 365.1 93.75 364.4zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384z", "M256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 288h144l.0065-49.25l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-2": [512, 512, [], "e044", ["M93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM509.8 364.4L480 352l-12.38-29.75C466.9 320.9 465.5 320 464 320s-2.875 .875-3.625 2.25L448 352l-29.75 12.38C416.9 365.1 416 366.5 416 368s.875 2.875 2.25 3.625L448 384l12.38 29.75C461.1 415.1 462.5 416 464 416s2.875-.875 3.625-2.25L480 384l29.75-12.38C511.1 370.9 512 369.5 512 368S511.1 365.1 509.8 364.4zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM338.2 151C325.1 136.4 308 128 289 128h-66C204 128 185.1 136.4 173.9 151L113 224h286L338.2 151zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96z"]],
    "transporter-3": [512, 512, [], "e045", ["M93.75 140.4L64 128L51.63 98.25C50.88 96.88 49.5 96 48 96S45.13 96.88 44.38 98.25L32 128L2.25 140.4C.875 141.1 0 142.5 0 144s.875 2.875 2.25 3.625L32 160l12.38 29.75C45.13 191.1 46.5 192 48 192s2.875-.875 3.625-2.25L64 160l29.75-12.38C95.13 146.9 96 145.5 96 144S95.13 141.1 93.75 140.4zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96z"]],
    "transporter-4": [512, 512, [], "e2a5", ["M509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM93.75 396.4L64 384l-12.38-29.75C50.88 352.9 49.5 352 48 352s-2.875 .875-3.625 2.25L32 384l-29.75 12.38C.875 397.1 0 398.5 0 400s.875 2.875 2.25 3.625L32 416l12.38 29.75C45.13 447.1 46.5 448 48 448s2.875-.875 3.625-2.25L64 416l29.75-12.38C95.13 402.9 96 401.5 96 400S95.13 397.1 93.75 396.4zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-5": [512, 512, [], "e2a6", ["M509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM93.75 172.4L64 160L51.63 130.3C50.88 128.9 49.5 128 48 128S45.13 128.9 44.38 130.3L32 160L2.25 172.4C.875 173.1 0 174.5 0 176s.875 2.875 2.25 3.625L32 192l12.38 29.75C45.13 223.1 46.5 224 48 224s2.875-.875 3.625-2.25L64 192l29.75-12.38C95.13 178.9 96 177.5 96 176S95.13 173.1 93.75 172.4zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-6": [512, 512, [], "e2a7", ["M509.8 396.4L480 384l-12.38-29.75C466.9 352.9 465.5 352 464 352s-2.875 .875-3.625 2.25L448 384l-29.75 12.38C416.9 397.1 416 398.5 416 400s.875 2.875 2.25 3.625L448 416l12.38 29.75C461.1 447.1 462.5 448 464 448s2.875-.875 3.625-2.25L480 416l29.75-12.38C511.1 402.9 512 401.5 512 400S511.1 397.1 509.8 396.4zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-7": [512, 512, [], "e2a8", ["M509.8 76.38L480 64l-12.38-29.75C466.9 32.88 465.5 32 464 32s-2.875 .875-3.625 2.25L448 64l-29.75 12.38C416.9 77.13 416 78.5 416 80s.875 2.875 2.25 3.625L448 96l12.38 29.75C461.1 127.1 462.5 128 464 128s2.875-.875 3.625-2.25L480 96l29.75-12.38C511.1 82.88 512 81.5 512 80S511.1 77.13 509.8 76.38zM93.75 300.4L64 288L51.63 258.3C50.88 256.9 49.5 256 48 256S45.13 256.9 44.38 258.3L32 288L2.25 300.4C.875 301.1 0 302.5 0 304s.875 2.875 2.25 3.625L32 320l12.38 29.75C45.13 351.1 46.5 352 48 352s2.875-.875 3.625-2.25L64 320l29.75-12.38C95.13 306.9 96 305.5 96 304S95.13 301.1 93.75 300.4z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-empty": [320, 512, [], "e046", ["", "M288 448H32c-17.62 0-32 14.38-32 32v32h320v-32C320 462.4 305.6 448 288 448z"]],
    "trash": [448, 512, [], "f1f8", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2z"]],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96zM248 241.9L287 280.1C296.4 290.3 311.6 290.3 320.1 280.1C330.3 271.6 330.3 256.4 320.1 247L240.1 167C236.5 162.5 230.4 159.1 224 159.1C217.6 159.1 211.5 162.5 207 167L127 247C117.7 256.4 117.7 271.6 127 280.1C136.4 290.3 151.6 290.3 160.1 280.1L200 241.9V376C200 389.3 210.7 400 224 400C237.3 400 248 389.3 248 376V241.9z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM248 376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376V241.9L160.1 280.1C151.6 290.3 136.4 290.3 127 280.1C117.7 271.6 117.7 256.4 127 247L207 167C211.5 162.5 217.6 159.1 223.1 159.1C230.4 159.1 236.5 162.5 240.1 167L320.1 247C330.3 256.4 330.3 271.6 320.1 280.1C311.6 290.3 296.4 290.3 287 280.1L248 241.9V376z"]],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM144 176C144 167.2 136.8 160 128 160C119.2 160 112 167.2 112 176V400C112 408.8 119.2 416 128 416C136.8 416 144 408.8 144 400V176zM240 176C240 167.2 232.8 160 224 160C215.2 160 208 167.2 208 176V400C208 408.8 215.2 416 224 416C232.8 416 240 408.8 240 400V176zM336 176C336 167.2 328.8 160 320 160C311.2 160 304 167.2 304 176V400C304 408.8 311.2 416 320 416C328.8 416 336 408.8 336 400V176z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2z"]],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", ["M32 96H416V448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96zM248 241.9L287 280.1C296.4 290.3 311.6 290.3 320.1 280.1C330.3 271.6 330.3 256.4 320.1 247L240.1 167C236.5 162.5 230.4 159.1 224 159.1C217.6 159.1 211.5 162.5 207 167L127 247C117.7 256.4 117.7 271.6 127 280.1C136.4 290.3 151.6 290.3 160.1 280.1L200 241.9V376C200 389.3 210.7 400 224 400C237.3 400 248 389.3 248 376V241.9z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM248 376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376V241.9L160.1 280.1C151.6 290.3 136.4 290.3 127 280.1C117.7 271.6 117.7 256.4 127 247L207 167C211.5 162.5 217.6 159.1 223.1 159.1C230.4 159.1 236.5 162.5 240.1 167L320.1 247C330.3 256.4 330.3 271.6 320.1 280.1C311.6 290.3 296.4 290.3 287 280.1L248 241.9V376z"]],
    "trash-can-check": [448, 512, [], "e2a9", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM339.8 243.8C350.7 232.9 350.7 215.1 339.8 204.2C328.9 193.3 311.1 193.3 300.2 204.2L192 312.4L147.8 268.2C136.9 257.3 119.1 257.3 108.2 268.2C97.27 279.1 97.27 296.9 108.2 307.8L172.2 371.8C183.1 382.7 200.9 382.7 211.8 371.8L339.8 243.8z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM211.8 371.8C200.9 382.7 183.1 382.7 172.2 371.8L108.2 307.8C97.27 296.9 97.27 279.1 108.2 268.2C119.1 257.3 136.9 257.3 147.8 268.2L192 312.4L300.2 204.2C311.1 193.3 328.9 193.3 339.8 204.2C350.7 215.1 350.7 232.9 339.8 243.8L211.8 371.8z"]],
    "trash-can-clock": [576, 512, [], "e2aa", ["M32 96H416V192.7C386.7 195.4 359.4 205.2 336 220.5V175.1C336 167.2 328.8 159.1 320 159.1C311.2 159.1 304 167.2 304 175.1V247.2C274.2 278.7 256 321.2 256 368C256 427.5 285.6 480.1 330.8 512H96C60.65 512 32 483.3 32 448V96zM112 176V400C112 408.8 119.2 416 128 416C136.8 416 144 408.8 144 400V176C144 167.2 136.8 160 128 160C119.2 160 112 167.2 112 176zM208 176V400C208 408.8 215.2 416 224 416C232.8 416 240 408.8 240 400V176C240 167.2 232.8 160 224 160C215.2 160 208 167.2 208 176z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "trash-can-list": [640, 512, [], "e2ab", ["M384 464C384 490.5 362.5 512 336 512H80C53.49 512 32 490.5 32 464V96H384V464zM160 192C160 183.2 152.8 176 144 176C135.2 176 128 183.2 128 192V416C128 424.8 135.2 432 144 432C152.8 432 160 424.8 160 416V192zM288 192C288 183.2 280.8 176 272 176C263.2 176 256 183.2 256 192V416C256 424.8 263.2 432 272 432C280.8 432 288 424.8 288 416V192z", "M119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"]],
    "trash-can-plus": [448, 512, [], "e2ac", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM224 400C237.3 400 248 389.3 248 376V312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H248V200C248 186.7 237.3 176 224 176C210.7 176 200 186.7 200 200V264H136C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H200V376C200 389.3 210.7 400 224 400z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM199.1 376V312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H199.1V200C199.1 186.7 210.7 176 223.1 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376z"]],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", ["M432 313.3V208C432 199.2 424.8 192 416 192C407.2 192 400 199.2 400 208V288.2L336 238V207.1C336 199.2 328.8 191.1 320 191.1C311.2 191.1 304 199.2 304 207.1V212.1L195.6 127.1H512V375.1L432 313.3zM98.4 51.82C103.2 40.19 114.6 32 128 32H224L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM128 448V196.9L208 259.9V432C208 440.8 215.2 448 224 448C232.8 448 240 440.8 240 432V285.1L304 335.5V432C304 440.8 311.2 448 320 448C328.8 448 336 440.8 336 432V360.7L400 411.2V432C400 440.8 407.2 448 416 448C423.5 448 429.7 442.9 431.5 435.1L497.8 488.2C486.1 502.7 468.1 512 448 512H192C156.7 512 128 483.3 128 448V448z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", ["M32 96H416V448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96zM183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L182.5 280H240C262.1 280 280 297.9 280 320V360C280 373.3 290.7 384 304 384C317.3 384 328 373.3 328 360V320C328 271.4 288.6 232 240 232H182.5L216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2V166.2z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L182.5 232H240C288.6 232 328 271.4 328 320V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V320C280 297.9 262.1 280 240 280H182.5L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9H217.8z"]],
    "trash-can-xmark": [448, 512, [], "e2ae", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM136 264C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H136z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM312 264C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H312z"]],
    "trash-check": [448, 512, [], "e2af", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM339.8 243.8C350.7 232.9 350.7 215.1 339.8 204.2C328.9 193.3 311.1 193.3 300.2 204.2L192 312.4L147.8 268.2C136.9 257.3 119.1 257.3 108.2 268.2C97.27 279.1 97.27 296.9 108.2 307.8L172.2 371.8C183.1 382.7 200.9 382.7 211.8 371.8L339.8 243.8z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM211.8 371.8C200.9 382.7 183.1 382.7 172.2 371.8L108.2 307.8C97.27 296.9 97.27 279.1 108.2 268.2C119.1 257.3 136.9 257.3 147.8 268.2L192 312.4L300.2 204.2C311.1 193.3 328.9 193.3 339.8 204.2C350.7 215.1 350.7 232.9 339.8 243.8L211.8 371.8z"]],
    "trash-clock": [576, 512, [], "e2b0", ["M410.4 193.3C323.4 203.1 256 278.1 256 368C256 427.5 285.6 480.1 330.8 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L410.4 193.3z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "trash-list": [640, 512, [], "e2b1", ["M32 96H384L362.6 466.8C361.1 492.2 340.1 512 314.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96z", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM448 160C448 142.3 462.3 128 480 128H608C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160zM448 288C448 270.3 462.3 256 480 256H576C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416C448 398.3 462.3 384 480 384H512z"]],
    "trash-plus": [448, 512, [], "e2b2", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM224 400C237.3 400 248 389.3 248 376V312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H248V200C248 186.7 237.3 176 224 176C210.7 176 200 186.7 200 200V264H136C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H200V376C200 389.3 210.7 400 224 400z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM199.1 376V312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H199.1V200C199.1 186.7 210.7 176 223.1 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376z"]],
    "trash-slash": [640, 512, [], "e2b3", ["M195.6 128H512L497.2 364.4L195.6 128zM98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM149.2 466.1L132.5 200.4L487.1 480.5C481.2 498.1 463.5 512 442.9 512H197.1C171.7 512 150.8 492.3 149.2 466.1H149.2z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96zM183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L182.5 280H240C262.1 280 280 297.9 280 320V360C280 373.3 290.7 384 304 384C317.3 384 328 373.3 328 360V320C328 271.4 288.6 232 240 232H182.5L216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2V166.2z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L182.5 232H240C288.6 232 328 271.4 328 320V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V320C280 297.9 262.1 280 240 280H182.5L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9H217.8z"]],
    "trash-xmark": [448, 512, [], "e2b4", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM143 240.1L190.1 287.1L143 335C133.7 344.4 133.7 359.6 143 368.1C152.4 378.3 167.6 378.3 176.1 368.1L223.1 321.9L271 368.1C280.4 378.3 295.6 378.3 304.1 368.1C314.3 359.6 314.3 344.4 304.1 335L257.9 287.1L304.1 240.1C314.3 231.6 314.3 216.4 304.1 207C295.6 197.7 280.4 197.7 271 207L223.1 254.1L176.1 207C167.6 197.7 152.4 197.7 143 207C133.7 216.4 133.7 231.6 143 240.1V240.1z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM143 207C152.4 197.7 167.6 197.7 176.1 207L223.1 254.1L271 207C280.4 197.7 295.6 197.7 304.1 207C314.3 216.4 314.3 231.6 304.1 240.1L257.9 287.1L304.1 335C314.3 344.4 314.3 359.6 304.1 368.1C295.6 378.3 280.4 378.3 271 368.1L223.1 321.9L176.1 368.1C167.6 378.3 152.4 378.3 143 368.1C133.7 359.6 133.7 344.4 143 335L190.1 287.1L143 240.1C133.7 231.6 133.7 216.4 143 207V207z"]],
    "treasure-chest": [576, 512, [], "f723", ["M352 336c0 8.836-7.164 16-16 16h-96C231.2 352 224 344.8 224 336V288H160v192h256V288h-64V336zM0 128v128h96V32C42.98 32 0 74.98 0 128zM0 448c0 17.67 14.33 32 32 32h64V288H0V448zM160 256h64V208C224 199.2 231.2 192 240 192h96C344.8 192 352 199.2 352 208V256h64V32H160V256zM480 32v224h96V128C576 74.98 533 32 480 32zM480 480h64c17.67 0 32-14.33 32-32V288h-96V480z", "M96 256h64V32H96V256zM96 480h64V288H96V480zM416 480h64V288h-64V480zM416 32v224h64V32H416zM336 192h-96C231.2 192 224 199.2 224 208v128C224 344.8 231.2 352 240 352h96c8.836 0 16-7.164 16-16v-128C352 199.2 344.8 192 336 192zM304 304c0 8.836-7.164 16-16 16S272 312.8 272 304v-64C272 231.2 279.2 224 288 224s16 7.162 16 16V304z"]],
    "tree": [448, 512, [127794], "f1bb", ["M414.8 448L256 448l-.0103-79.93l31.14-52.39c2.66-5.315-1.207-11.57-7.154-11.57h-23.99V224.2c0-17.66-14.33-31.98-32-31.98s-32 14.32-32 31.98v15.99H168c-5.947 0-9.814 6.254-7.154 11.57l31.14 52.39l.0116 143.9l-158.9-.0099c-28.5 0-43.69-34.51-24.69-56.4l68.98-79.59H62.22c-25.59 0-39.5-29.18-23.19-48.48l60.92-71.51H89.21c-21.28 0-32.87-22.51-19.28-37.31l134.8-146.5c10.39-11.29 28.23-11.29 38.62-.0033l134.9 146.5c13.62 14.8 1.1 37.31-19.28 37.31h-10.77l60.86 71.51c16.31 19.3 2.406 48.48-23.19 48.48h-15.2l68.98 79.59C458.5 413.4 443.4 448 414.8 448z", "M168 240.2h23.99V224.2c0-17.66 14.33-31.98 32-31.98c17.67 0 32 14.32 32 31.98v79.95h23.99c5.947 0 9.814 6.254 7.154 11.57l-31.14 52.39l.0103 111.9C256 497.7 241.8 512 224.1 512c-17.67 0-32.1-14.33-32.1-31.99L192 304.1L160.9 251.7C158.2 246.4 162.1 240.2 168 240.2z"]],
    "tree-christmas": [512, 512, [127876], "f7db", ["M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5l-155.1-190.1l-20.89 41.58C262.5 158.3 259.2 160 255.1 160S249.5 158.3 247.9 154.1L226.1 113.4L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312C178.8 312 168 301.3 168 288s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM319.1 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 319.1 440z", "M330.1 71.85L286.5 49.51l-22.35-44.48c-3.367-6.701-12.93-6.701-16.3 0L225.5 49.51L181 71.85c-6.701 3.367-6.701 12.93 0 16.3l44.48 22.35l22.35 44.48C249.5 158.3 252.8 160 255.1 160s6.465-1.677 8.149-5.027L286.5 110.5l44.48-22.35C337.7 84.78 337.7 75.22 330.1 71.85zM192 264C178.8 264 168 274.8 168 288s10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24S205.2 264 192 264z"]],
    "tree-city": [640, 512, [], "e587", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48C288 21.49 309.5 0 336 0H432zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M256 240C256 285 220 320 176 320H160V480C160 498 145 512 128 512C110 512 96 498 96 480V320H80C35 320 0 285 0 240C0 214 13 190 33 176C32 171 32 166 32 160C32 107 74 64 128 64C181 64 224 107 224 160C224 166 223 171 222 176C242 190 256 214 256 240z"]],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", ["M512 288c0 26.62-9.375 49.38-28 68s-41.38 28-68 28h-128l0-15.1l31.14-52.42c2.66-5.318-1.207-11.58-7.154-11.58H288V224c0-17.67-14.33-32-32-32s-32 14.33-32 32v16H200c-5.947 0-9.814 6.258-7.154 11.58L223.1 304L224 384H96c-26.62 0-49.38-9.375-68-28S0 314.6 0 288c0-19.38 5.375-36.1 16-52.1s25-27.62 43-35c-9.375-16-12.88-32.5-10.5-49.5s9.125-31.62 20.5-44s25.12-20.5 41.5-24.5S143.4 79.63 160 87c2.682-25.16 13.58-46.27 32.7-63.07C209.9 8.851 232.3 .1757 255.2 .0031c24.97-.1888 46.75 8.187 65.33 24.1C338.9 41.63 349.4 62.38 352 87c16.62-7.375 33.13-8.1 49.5-4.1s30.12 12.12 41.5 24.5s18.12 27 20.5 44s-.875 33.5-9.5 49.5H453c18 7.375 32.38 19 43 35S512 268.6 512 288z", "M200 240H223.1v-16c0-17.67 14.33-32 32-32s32 14.33 32 32v79.1h23.99c5.947 0 9.814 6.258 7.154 11.58l-31.14 52.42v112C288 497.7 273.8 512 256.1 512c-17.67 0-32.1-14.33-32.1-31.1v-176L192.9 251.6C190.2 246.3 194.1 240 200 240z"]],
    "tree-decorated": [512, 512, [], "f7dc", ["M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.37 0 32.87-22.5 19.37-37.25l-134.1-146.5c-9.999-10.1-28.5-10.1-38.5 0l-134.9 146.5c-13.62 14.75-1.1 37.25 19.37 37.25h44.75L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1L40.42 455.6c-18.1 21.88-3.75 56.38 24.75 56.38h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM264 160c0-13.25 10.75-24 23.1-24s23.1 10.75 23.1 24s-10.75 24-23.1 24S264 173.3 264 160zM320 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 320 440z", "M311.1 160c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24s10.75 24 23.1 24S311.1 173.3 311.1 160zM320 392c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s23.1-10.75 23.1-24S333.2 392 320 392z"]],
    "tree-large": [512, 512, [], "f7dd", ["M446.8 512H288v-144l31.14-52.42C321.8 310.3 317.9 304 311.1 304H288V208C288 199.2 280.8 192 272 192H239.1c-8.836 0-16 7.162-16 16v32H200c-5.947 0-9.814 6.258-7.154 11.58L223.1 304V512h-158.8c-28.5 0-43.75-34.5-24.75-56.38L130.3 352H94.29c-25.62 0-39.5-29.25-23.25-48.5L166 192H121.3C99.92 192 88.29 169.5 101.9 154.8l134.9-146.5c9.998-11 28.5-11 38.5 0l134.1 146.5C423.8 169.5 412.3 192 390.9 192h-44.75l94.87 111.5C457.3 322.8 443.4 352 417.8 352H381.8l89.87 103.6C490.5 477.4 475.4 512 446.8 512z", "M200 240H223.1v-32c0-8.837 7.163-16 16-16h32c8.837 0 16 7.163 16 16V304h23.99c5.947 0 9.814 6.258 7.154 11.58L288 368V512H223.1V304L192.9 251.6C190.2 246.3 194.1 240 200 240z"]],
    "tree-palm": [576, 512, [127796], "f82b", ["M575.7 172.9c1.875 9.875-6.501 19.12-17.75 19.12L503.1 192l-23.1-48L455.1 192H264.6c-.0156-.1504-155.1 154.4-155.1 154.4c-8 8-20.37 7.375-26.12-1C48.01 293.6 61.76 212.1 118.8 155.1c3.375-3.375 7.125-5.1 10.75-9.125L96.01 79.1L72.01 128L18.01 127.1c-11.25 0-19.62-9.25-17.75-19.12C11.89 47.25 78.63 0 159.3 0c74.12 0 135.9 40.12 154.5 94.5c28-18.75 63.62-30.5 102.1-30.5C497.4 63.1 564.1 111.2 575.7 172.9z", "M229.8 472.4C244.1 415.3 275.1 296.6 264.6 192h56.6c14.88 56.63 41.12 179.5 26.37 293C345.6 500.6 331.6 512 315.9 512H260.8C240 512 224.6 492.5 229.8 472.4z"]],
    "trees": [640, 512, [], "f724", ["M298.4 288H329c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L268.4 160h28.88c9.127 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12L203.6 4.875c-6-6.5-17.25-6.5-23.25 0L69.97 122.3c-6 6.5-7.75 16-4.125 24.12C69.34 154.6 77.59 160 86.72 160h28.88L37.46 250.9c-5.875 6.875-7.125 16-3.375 24.12C37.96 283 45.84 288 54.96 288h30.63l-79.88 90.5c-6 6.75-7.377 16.12-3.625 24.25C5.834 410.8 14.08 416 23.09 416H160V223.1C160 206.3 174.3 192 192 192s32 14.33 32 31.1V416h136.9c9 0 17.25-5.25 21-13.25c3.75-8.125 2.5-17.5-3.5-24.25L298.4 288zM634.3 378.5L554.4 288h30.63c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L524.4 160h28.88c9.125 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12l-110.3-117.4c-6-6.5-17.25-6.5-23.25 0l-95.14 101.3c11.13 15.38 14 35.25 6.377 52.88c-4 9.375-10.38 17.12-18.25 22.75l41.5 48.25c14 16.25 17.13 39.25 8.002 58.62c-4.25 8.875-10.5 16.12-18.13 21.5l41.63 47.13c8.6 9.846 13.34 14.29 13.62 26.7L416 351.1C416 334.3 430.3 320 448 320s32 14.33 32 31.1V416h136.9c9.002 0 17.25-5.25 21-13.25C641.7 394.6 640.3 385.3 634.3 378.5z", "M192 192C174.3 192 160 206.3 160 223.1v256C160 497.7 174.3 512 192 512S224 497.7 224 480V223.1C224 206.3 209.7 192 192 192zM448 320c-17.67 0-32 14.33-32 31.1v128C416 497.7 430.3 512 448 512C465.7 512 480 497.7 480 480V351.1C480 334.3 465.7 320 448 320z"]],
    "triangle": [512, 512, [9650], "f2ec", ["M506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8z", ""]],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", ["M506.3 417l-213.3-364c-16.33-28-57.54-28-73.98 0l-213.2 364C-10.59 444.9 9.849 480 42.74 480h426.6C502.1 480 522.6 445 506.3 417zM232 168c0-13.25 10.75-24 24-24S280 154.8 280 168v128c0 13.25-10.75 24-23.1 24S232 309.3 232 296V168zM256 416c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 401.9 273.4 416 256 416z", "M256 320C269.3 320 280 309.3 280 296v-128c0-13.25-10.75-24-23.1-24S232 154.8 232 168v128C232 309.3 242.8 320 256 320zM256 353.1c-17.36 0-31.44 14.08-31.44 31.44C224.6 401.9 238.6 416 256 416s31.44-14.08 31.44-31.44C287.4 367.2 273.4 353.1 256 353.1z"]],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", ["M499.1 462.9c-17.13 30.5-49.25 49.25-84.13 49.12H96.12c-34.88 .125-66.97-18.56-84.09-49.06c-16.75-29.5-15.94-66.06 2.187-94.81L173.1 109.3c11.75-19 29.63-32.19 50.01-39.31v-37.1C223.1 14.33 238.3 0 255.1 0c17.67 0 32.05 14.33 32.05 32v37.1C308.4 77.12 326.2 90.34 337.1 109.3l36.15 58.55l-46.53 46.51L283.5 143.1C275.1 129.4 261.5 128 256 128S236.9 129.5 228.5 143.1l-159.9 258.6c-5.75 9.125-6.125 20.62-.75 29.1c5.75 10.25 16.63 16.5 28.25 16.25h319.8c11.62 .25 22.5-5.1 28.25-16.25c5.375-9.375 5-20.87-.75-29.1l-89.88-145.4l46.53-46.52l97.73 158.3C515.9 396.9 516.7 433.4 499.1 462.9z", "M255.1 263.9c-24.75-.375-46.1 15.47-54.75 39.09c-7.624 23.62 .8755 49.5 21.12 63.87c20.25 14.5 47.5 13.1 67.24-1.125c19.87-14.1 27.5-41.13 18.1-64.5l196.3-196.3c9.352-9.352 9.393-24.5 .0937-33.91c-9.314-9.419-24.6-9.461-33.97-.0938l-196.3 196.3C268.7 265.1 262.4 264 255.1 263.9z"]],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", ["M640 463.9c0-9.199-2.645-18.39-7.845-26.36l-271.1-417.1c-8.859-13.6-24.51-20.4-40.17-20.4c-15.66 0-31.31 6.799-40.17 20.4l-271.1 417.1c-5.2 7.978-7.848 17.17-7.848 26.37C-.0001 489.4 20.55 512 48.02 512h543.1C619.2 512 640 489.8 640 463.9zM292 159.1c15.5 0 27.1 12.5 27.1 28s-12.5 28-27.1 28c-15.5 0-27.1-12.5-27.1-28S276.5 159.1 292 159.1zM288 431.1c0 8.875-7.124 16-15.1 16s-15.1-7.125-15.1-16v-32.75l-46.25-30l-18.25 67c-2 6.875-8.249 11.75-15.5 11.75c-12.16 0-16.04-10.8-16.04-16.08c0-1.376 .1742-2.776 .5386-4.173l29.75-109l83.12 53.63c9.125 5.875 14.62 16 14.62 26.88V431.1zM336 447.1l12.01-30.01c2.375-6 8.249-10 14.87-10h35.62l-94.93-58.38c0 0 .125 0 0 0l-103.9-64c-1.433-.8782-7.616-5.071-7.616-13.51c0-3.504 1.08-6.893 3.241-9.741l11.5-15.5c9.211-12.25 23.5-19.17 38.36-19.17c3.492 0 7.015 .3821 10.51 1.167l24.62 7.25C297.7 239.1 312 254.7 315.8 273.2l10.62 52.75l87.62 54l21.12-42.5c2.668-5.208 7.961-8.783 14.5-8.783c5.38 0 10.43 2.81 13.37 7.283l71.75 112L336 447.1z", "M292 215.1c15.5 0 27.1-12.5 27.1-28s-12.5-28-27.1-28c-15.5 0-27.1 12.5-27.1 28S276.5 215.1 292 215.1zM273.4 372.3L190.3 318.7l-29.75 109c-.3644 1.397-.5386 2.797-.5386 4.173c0 5.253 3.861 16.08 16.04 16.08c7.25 0 13.5-4.875 15.5-11.75l18.25-67l46.25 30v32.75c0 8.875 7.124 16 15.1 16s15.1-7.125 15.1-16v-32.75C288 388.3 282.5 378.2 273.4 372.3zM348 417.1l-12.01 30.01l198.8-.0091l-71.75-112c-2.942-4.473-7.99-7.283-13.37-7.283c-6.523 0-11.83 3.559-14.5 8.783l-21.12 42.5l-87.62-54L315.8 273.2C312 254.7 297.7 239.1 280.3 236.1L255.7 228.8c-3.496-.7849-7.019-1.167-10.51-1.167c-14.86 0-29.15 6.92-38.36 19.17l-11.5 15.5C193.1 265.2 192.1 268.6 192.1 272.1c0 8.438 6.183 12.63 7.616 13.51l103.9 64c.125 0 0 0 0 0l94.93 58.38h-35.62C356.3 407.1 350.4 411.1 348 417.1z"]],
    "trillium": [512, 512, [], "e588", ["M379.2 123.4C417.8 110.6 447.4 111.5 462.1 113.4C477 115.3 485.8 130.5 480 144.3C474.4 157.6 461 182.7 432.3 208.1C424.2 201.3 415.2 194.4 405.3 188.7C397.1 184.4 390.4 181 382.7 178.4C383.6 172.4 384 166.2 384 160C384 147.5 382.2 135.2 379.2 123.4V123.4zM129.3 178.3C121.5 180.1 113.9 184.4 106.6 188.7C96.67 194.4 87.72 201.3 79.62 208.9C50.95 182.7 37.57 157.6 31.98 144.3C26.17 130.5 34.96 115.3 49.85 113.4C64.56 111.5 94.21 110.6 132.8 123.4C129.8 135.2 127.1 147.5 127.1 160C127.1 166.2 128.4 172.3 129.3 178.3H129.3zM237.1 497.1C228.7 484.5 214.2 458.9 206.1 422.8C215.9 419.7 225.4 415.6 234.6 410.4C242.3 405.9 249.5 400.7 255.9 394.9C262.4 400.7 269.5 405.9 277.3 410.4C286.4 415.7 296.1 419.8 305.9 422.9C297.7 458.1 283.3 484.5 274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1V497.1z", "M265.9 8.866C290.4 31.82 352 95.91 352 160C352 175.7 348.2 190.4 341.6 203.5C357.8 203.5 374.2 207.7 389.3 216.4C444.8 248.4 469.5 333.8 477.1 366.5C478.9 374.1 474.6 381.4 467.2 383.6C435.1 393.4 348.8 414.7 293.3 382.7C276.7 373.1 264.1 359.3 255.9 343.5C247.8 359.3 235.1 373.1 218.6 382.7C163.1 414.7 76.75 393.4 44.61 383.7C37.22 381.4 32.98 374.1 34.73 366.5C42.36 333.8 67.05 248.4 122.6 216.4C137.7 207.7 154.1 203.5 170.4 203.5C163.7 190.4 159.1 175.7 159.1 160C159.1 95.91 221.6 31.82 246.1 8.867C251.8 3.586 260.2 3.586 265.9 8.866L265.9 8.866zM255.1 279.1C278.1 279.1 296 262.1 296 239.1C296 217.9 278.1 199.1 255.1 199.1C233.9 199.1 215.1 217.9 215.1 239.1C215.1 262.1 233.9 279.1 255.1 279.1z"]],
    "trophy": [576, 512, [127942], "f091", ["M193.7 316.9C189.8 311.1 186.2 305.3 182.8 299.4c-47.14-19.35-82.56-45.83-105.4-79.52C49.47 178.6 47.01 135.7 48.38 112h80.39C128.1 101.9 128 96 128 96L128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.45 55.82 100.6 95.03 187.5 117.4c8.828 2.268 17.76 9.74 15.51 7.75C211.9 346 194.2 317.4 193.7 316.9zM572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8l.0811 32c0 0-.0953 5.926-.7652 16h80.39c1.375 23.66-1.093 66.63-29.03 107.8c-22.82 33.69-58.25 60.17-105.4 79.52c-3.402 5.91-7.023 11.73-10.86 17.5c-.5352 .5352-18.2 29.14-46.45 54.16c-2.248 1.99 6.687-5.482 15.51-7.75c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38z", "M335.9 371c-9.715 8.604-15.9 20.65-15.9 33.62C319.1 428.7 339.3 448 363.4 448h4.644c26.51 0 47.99 21.49 47.99 48c0 8.836-7.162 16-15.1 16H176c-8.836 0-15.1-7.164-15.1-16c0-26.51 21.48-48 47.99-48h4.644c24.03 0 43.36-19.33 43.36-43.35c0-12.98-6.184-25.02-15.9-33.62C128 271.7 128 96 128 96L128 32c0-17.67 14.5-32 32.17-32h255.7C433.5 0 448 14.33 448 32l-.0059 64C447.1 96 447.1 271.7 335.9 371z"]],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", ["M193.7 316.9C189.8 311.1 186.2 305.3 182.8 299.4c-47.14-19.35-82.56-45.83-105.4-79.52C49.47 178.6 47.01 135.7 48.38 112h80.39C128.1 101.9 128 96 128 96l.0836-32H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.45 55.82 100.6 95.03 187.5 117.4c8.828 2.268 17.76 9.74 15.51 7.75C211.9 346 194.2 317.4 193.7 316.9zM572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8l.0812 32c0 0-.0955 5.926-.7654 16h80.39c1.375 23.66-1.093 66.63-29.03 107.8c-22.82 33.69-58.25 60.17-105.4 79.52c-3.402 5.91-7.023 11.73-10.86 17.5c-.5352 .5352-18.2 29.14-46.45 54.16c-2.248 1.99 6.686-5.482 15.51-7.75c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM342.2 231.6l-8.58-49.98l36.34-35.3c3.801-3.691 1.715-10.14-3.529-10.91l-50.08-7.316l-22.43-45.43c-2.344-4.75-9.117-4.75-11.46 0l-22.43 45.43L209.8 135.4C204.6 136.2 202.5 142.6 206.3 146.3l36.31 35.27L234 231.6c-.8965 5.227 4.582 9.207 9.271 6.742l44.85-23.57l44.85 23.57C337.7 240.8 343.1 236.8 342.2 231.6z", "M447.1 96L448 32c0-17.67-14.49-32-32.17-32H160.2C142.5 0 128 14.33 128 32l.0059 64c0 0 0 175.7 112.1 275c9.715 8.604 15.9 20.65 15.9 33.62C256 428.7 236.7 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.162 16 15.1 16H399.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-24.03 0-43.36-19.33-43.36-43.35c0-12.98 6.184-25.02 15.9-33.62C447.1 271.7 447.1 96 447.1 96zM288.1 214.7L243.3 238.3c-4.689 2.465-10.17-1.516-9.271-6.742l8.578-49.98L206.3 146.3C202.5 142.6 204.6 136.2 209.8 135.4l50.26-7.344l22.43-45.43c2.346-4.75 9.119-4.75 11.46 0l22.43 45.43l50.08 7.316c5.244 .7656 7.33 7.219 3.529 10.91l-36.34 35.3l8.58 49.98c.8945 5.227-4.584 9.207-9.273 6.742L288.1 214.7z"]],
    "trowel": [512, 512, [], "e589", ["M298.6 168.1C298.7 168.2 298.8 168.3 298.9 168.4L343.6 213.1C343.7 213.2 343.8 213.3 343.9 213.4L245.3 311.1L310.6 377.4C318.5 385.3 321.8 396.8 319.1 407.6C316.4 418.5 308.2 427.2 297.5 430.5L41.55 510.5C30.18 514.1 17.79 511 9.373 502.6C.9565 494.2-2.093 481.8 1.458 470.5L81.46 214.5C84.8 203.8 93.48 195.6 104.4 192.9C115.2 190.2 126.7 193.5 134.6 201.4L200 266.7L298.6 168.1z", "M394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.8 227.6 358.2 227.6 343.6 213.1L298.9 168.4C284.4 153.8 284.4 130.2 298.9 115.6L394.4 20.18z"]],
    "trowel-bricks": [512, 512, [], "e58a", ["M480 224C497.7 224 512 238.3 512 256V320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320V256C288 238.3 302.3 224 320 224H480zM0 416C0 398.3 14.33 384 32 384H128C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480V416zM192 416C192 398.3 206.3 384 224 384H480C497.7 384 512 398.3 512 416V480C512 497.7 497.7 512 480 512H224C206.3 512 192 497.7 192 480V416z", "M256 104H345C348.6 90.2 361.1 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C361.1 176 348.6 165.8 345 152H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779C250.3 10.61 256 20.91 256 32V104z"]],
    "truck": [640, 512, [128666, 9951], "f0d1", ["M96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416z"]],
    "truck-arrow-right": [640, 512, [], "e58b", ["M223 79.03C232.4 69.66 247.6 69.66 256.1 79.03L336.1 159C346.3 168.4 346.3 183.6 336.1 192.1L256.1 272.1C247.6 282.3 232.4 282.3 223 272.1C213.7 263.6 213.7 248.4 223 239L262.1 200H96C82.75 200 72 189.3 72 176C72 162.7 82.75 152 96 152H262.1L223 112.1C213.7 103.6 213.7 88.4 223 79.03V79.03zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM256.1 79.03C247.6 69.66 232.4 69.66 223 79.03C213.7 88.4 213.7 103.6 223 112.1L262.1 152H96C82.75 152 72 162.7 72 176C72 189.3 82.75 200 96 200H262.1L223 239C213.7 248.4 213.7 263.6 223 272.1C232.4 282.3 247.6 282.3 256.1 272.1L336.1 192.1C346.3 183.6 346.3 168.4 336.1 159L256.1 79.03z"]],
    "truck-bolt": [640, 512, [], "e3d0", ["M266.3 51.72C271.9 56.47 273.6 64.52 270.3 71.16L233.9 143.1H288C294.9 143.1 301 148.4 303.2 154.9C305.4 161.5 303.1 168.7 297.6 172.8L169.6 268.8C163.7 273.3 155.4 273 149.7 268.3C144.1 263.5 142.4 255.5 145.7 248.8L182.1 176H128C121.1 176 114.1 171.6 112.8 165.1C110.6 158.5 112.9 151.3 118.4 147.2L246.4 51.2C252.3 46.75 260.6 46.96 266.3 51.72V51.72zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM246.4 51.2L118.4 147.2C112.9 151.3 110.6 158.5 112.8 165.1C114.1 171.6 121.1 176 128 176H182.1L145.7 248.8C142.4 255.5 144.1 263.5 149.7 268.3C155.4 273 163.7 273.3 169.6 268.8L297.6 172.8C303.1 168.7 305.4 161.5 303.2 154.9C301 148.4 294.9 143.1 288 143.1H233.9L270.3 71.16C273.6 64.52 271.9 56.47 266.3 51.72C260.6 46.96 252.3 46.75 246.4 51.2V51.2z"]],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", ["M224 160H240C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V160zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM208 288C269.9 288 320 237.9 320 176C320 114.1 269.9 64 208 64C146.1 64 96 114.1 96 176C96 237.9 146.1 288 208 288z"]],
    "truck-container": [640, 512, [], "f4dc", ["M352 32C378.5 32 400 53.49 400 80V224C400 250.5 378.5 272 352 272H48C21.49 272 0 250.5 0 224V80C0 53.49 21.49 32 48 32H352zM80 72C71.16 72 64 79.16 64 88V216C64 224.8 71.16 232 80 232C88.84 232 96 224.8 96 216V88C96 79.16 88.84 72 80 72zM224 216C224 224.8 231.2 232 240 232C248.8 232 256 224.8 256 216V88C256 79.16 248.8 72 240 72C231.2 72 224 79.16 224 88V216zM160 72C151.2 72 144 79.16 144 88V216C144 224.8 151.2 232 160 232C168.8 232 176 224.8 176 216V88C176 79.16 168.8 72 160 72zM304 216C304 224.8 311.2 232 320 232C328.8 232 336 224.8 336 216V88C336 79.16 328.8 72 320 72C311.2 72 304 79.16 304 88V216zM32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416zM192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416zM480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416z", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C57.8 320 24.81 342.3 9.356 374.6C3.575 368.8 0 360.8 0 352V336C0 318.3 14.33 304 32 304H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-container-empty": [640, 512, [], "e2b5", ["M160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416zM608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416z", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C57.8 320 24.81 342.3 9.356 374.6C3.575 368.8 0 360.8 0 352V336C0 318.3 14.33 304 32 304H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-droplet": [640, 512, [], "e58c", ["M280 189.1C280 226.4 247.8 256 208 256C168.2 256 136 226.4 136 189.1C136 163 175.4 107 195.9 79.71C202 71.54 213.1 71.54 220.1 79.71C240.6 107 280 163 280 189.1zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM208 256C247.8 256 280 226.4 280 189.1C280 163 240.6 107 220.1 79.71C213.1 71.54 202 71.54 195.9 79.71C175.4 107 136 163 136 189.1C136 226.4 168.2 256 208 256V256z"]],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", ["M272 128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H272C280.8 96 288 103.2 288 112C288 120.8 280.8 128 272 128zM240 160C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H48C39.16 192 32 184.8 32 176C32 167.2 39.16 160 48 160H240zM208 224C216.8 224 224 231.2 224 240C224 248.8 216.8 256 208 256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H208zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M64 48C64 21.49 85.49 0 112 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C127.9 320 86.84 350.4 70.99 392.1C66.56 385.7 64 377.1 64 368V256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H64V192H240C248.8 192 256 184.8 256 176C256 167.2 248.8 160 240 160H64V128H272C280.8 128 288 120.8 288 112C288 103.2 280.8 96 272 96H64L64 48zM544 256V237.3L466.7 160H416V256H544z"]],
    "truck-field": [640, 512, [], "e58d", ["M96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM384 400C384 355.8 419.8 320 464 320C508.2 320 544 355.8 544 400C544 444.2 508.2 480 464 480C419.8 480 384 444.2 384 400z", "M32 96C32 60.65 60.65 32 96 32H320C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 223.1H544C579.3 223.1 608 252.7 608 287.1V319.1C625.7 319.1 640 334.3 640 352C640 369.7 625.7 384 608 384H574.9C567.1 329.7 520.4 287.1 464 287.1C407.6 287.1 360.9 329.7 353.1 384H286.9C279.1 329.7 232.4 287.1 176 287.1C119.6 287.1 72.9 329.7 65.13 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 319.1 32 319.1V287.1C14.33 287.1 0 273.7 0 255.1V159.1C0 142.3 14.33 127.1 32 127.1L32 96zM469.9 224L427.2 128H384V224H469.9z"]],
    "truck-field-un": [640, 512, [], "e58e", ["M96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM384 400C384 355.8 419.8 320 464 320C508.2 320 544 355.8 544 400C544 444.2 508.2 480 464 480C419.8 480 384 444.2 384 400z", "M320 32C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 224H544C579.3 224 608 252.7 608 288V320C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H574.9C567.1 329.7 520.4 288 464 288C407.6 288 360.9 329.7 353.1 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32L320 32zM384 128V224H469.9L427.2 128H384zM253.3 135.1C249.4 129.3 242.1 126.6 235.4 128.7C228.6 130.7 224 136.9 224 144V240C224 248.8 231.2 256 240 256C248.8 256 256 248.8 256 240V196.8L290.7 248.9C294.6 254.7 301.9 257.4 308.6 255.3C315.4 253.3 320 247.1 320 240V144C320 135.2 312.8 128 304 128C295.2 128 288 135.2 288 144V187.2L253.3 135.1zM128 144C128 135.2 120.8 128 112 128C103.2 128 96 135.2 96 144V208C96 234.5 117.5 256 144 256C170.5 256 192 234.5 192 208V144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144V208C160 216.8 152.8 224 144 224C135.2 224 128 216.8 128 208V144z"]],
    "truck-flatbed": [640, 512, [], "e2b6", ["M96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C283.3 391.1 271.5 368.8 254.4 352H352V128C352 110.3 366.3 96 384 96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384V384zM544 256V237.3L466.7 160H416V256H544zM97.62 352C80.47 368.8 68.7 391.1 65.13 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H97.62z"]],
    "truck-front": [512, 512, [], "e2b7", ["M112 224L129.9 152.2C133.5 137.1 146.3 128 160.1 128H351C365.7 128 378.5 137.1 382.1 152.2L400 224H112zM32 480V432C45.37 442 61.99 448 80 448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480zM384 480V448H432C450 448 466.6 442 480 432V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480z", "M432 0C476.2 0 512 35.82 512 80V368C512 412.2 476.2 448 432 448H80C35.82 448 0 412.2 0 368V80C0 35.82 35.82 0 80 0H432zM400 224L382.1 152.2C378.5 137.1 365.7 128 351 128H160.1C146.3 128 133.5 137.1 129.9 152.2L112 224H400zM96 288C78.33 288 64 302.3 64 320C64 337.7 78.33 352 96 352C113.7 352 128 337.7 128 320C128 302.3 113.7 288 96 288zM416 352C433.7 352 448 337.7 448 320C448 302.3 433.7 288 416 288C398.3 288 384 302.3 384 320C384 337.7 398.3 352 416 352z"]],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", ["M224 64C232.8 64 240 71.16 240 80V128H288C296.8 128 304 135.2 304 144V176C304 184.8 296.8 192 288 192H240V240C240 248.8 232.8 256 224 256H192C183.2 256 176 248.8 176 240V192H128C119.2 192 112 184.8 112 176V144C112 135.2 119.2 128 128 128H176V80C176 71.16 183.2 64 192 64H224zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM192 64C183.2 64 176 71.16 176 80V128H128C119.2 128 112 135.2 112 144V176C112 184.8 119.2 192 128 192H176V240C176 248.8 183.2 256 192 256H224C232.8 256 240 248.8 240 240V192H288C296.8 192 304 184.8 304 176V144C304 135.2 296.8 128 288 128H240V80C240 71.16 232.8 64 224 64H192z"]],
    "truck-monster": [640, 512, [], "f63b", ["M130.3 275.1C135.1 264.3 146.6 256 160 256C173.4 256 184.9 264.3 189.7 275.1C198.8 278.5 207.4 282.1 215.4 286.6C227 281.7 241 284 250.5 293.5C260 302.1 262.3 316.1 257.4 328.6C261.9 336.6 265.5 345.2 268 354.3C279.7 359.1 288 370.6 288 384C288 397.4 279.7 408.9 268 413.7C265.5 422.8 261.9 431.4 257.4 439.4C262.3 451 260 465 250.5 474.5C241 484 227.1 486.3 215.4 481.4C207.4 485.9 198.8 489.5 189.7 492C184.9 503.7 173.4 512 160 512C146.6 512 135.1 503.7 130.3 492C121.2 489.5 112.6 485.9 104.6 481.4C92.95 486.3 78.98 484 69.49 474.5C59.1 465 57.72 451 62.64 439.4C58.07 431.4 54.46 422.8 51.97 413.7C40.26 408.9 32 397.4 32 384C32 370.6 40.26 359.1 51.97 354.3C54.46 345.2 58.07 336.6 62.64 328.6C57.72 316.1 59.1 302.1 69.49 293.5C78.98 283.1 92.95 281.7 104.6 286.6C112.6 282.1 121.2 278.5 130.3 275.1V275.1zM160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336zM450.3 275.1C455.1 264.3 466.6 256 480 256C493.4 256 504.9 264.3 509.7 275.1C518.8 278.5 527.4 282.1 535.4 286.6C547 281.7 561 284 570.5 293.5C580 302.1 582.3 316.1 577.4 328.6C581.9 336.6 585.5 345.2 588 354.3C599.7 359.1 608 370.6 608 384C608 397.4 599.7 408.9 588 413.7C585.5 422.8 581.9 431.4 577.4 439.4C582.3 451 580 465 570.5 474.5C561 484 547 486.3 535.4 481.4C527.4 485.9 518.8 489.5 509.7 492C504.9 503.7 493.4 512 480 512C466.6 512 455.1 503.7 450.3 492C441.2 489.5 432.6 485.9 424.6 481.4C412.1 486.3 398.1 484 389.5 474.5C380 465 377.7 451 382.6 439.4C378.1 431.4 374.5 422.8 371.1 413.7C360.3 408.9 352 397.4 352 384C352 370.6 360.3 359.1 371.1 354.3C374.5 345.2 378.1 336.6 382.6 328.6C377.7 316.1 380 302.1 389.5 293.5C398.1 283.1 412.1 281.7 424.6 286.6C432.6 282.1 441.2 278.5 450.3 275.1zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z", "M419.2 25.6L496 128H576C593.7 128 608 142.3 608 160V224C625.7 224 640 238.3 640 256C640 273.7 625.7 287.1 608 288C578.8 249.1 532.3 224 480 224C427.7 224 381.2 249.1 351.1 288H288C258.8 249.1 212.3 224 160 224C107.7 224 61.18 249.1 31.99 288C14.32 287.1 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H224V48C224 21.49 245.5 0 272 0H368C388.1 0 407.1 9.484 419.2 25.6H419.2zM288 128H416L368 64H288V128z"]],
    "truck-moving": [640, 512, [], "f4df", ["M160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416zM608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416z", "M416 32C451.3 32 480 60.65 480 96V144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C54.2 320 18.64 346.7 5.463 384H0V96C0 60.65 28.65 32 64 32H416zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-pickup": [640, 512, [128763], "f63c", ["M80 400C80 355.8 115.8 320 160 320C204.2 320 240 355.8 240 400C240 444.2 204.2 480 160 480C115.8 480 80 444.2 80 400zM400 400C400 355.8 435.8 320 480 320C524.2 320 560 355.8 560 400C560 444.2 524.2 480 480 480C435.8 480 400 444.2 400 400z", "M418.6 56.02L527.4 192H576C593.7 192 608 206.3 608 224V288C625.7 288 640 302.3 640 320C640 337.7 625.7 352 608 352H581.2C563.2 314.2 524.7 288 480 288C435.3 288 396.8 314.2 378.8 352H261.2C243.2 314.2 204.7 288 160 288C115.3 288 76.75 314.2 58.78 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288V224C32 206.3 46.33 192 64 192H224V80C224 53.49 245.5 32 272 32H368.6C388.1 32 406.5 40.84 418.6 56.02zM288 192H445.4L368.6 96H288L288 192z"]],
    "truck-plane": [640, 512, [], "e58f", ["M144 86.06C144 54.68 169.4 0 200 0C231.5 0 256 54.68 256 86.06V182.9C255.1 183.3 256 183.6 256 184V411.5L256.1 411.6C257.3 433.8 269.8 452.9 288 463.4V496C288 501.2 288.8 506.3 290.4 510.1L200 480.9L109.1 511.2C104.2 512.8 98.82 511.1 94.64 508.1C90.47 505.1 88 501.1 88 496V464C88 459.1 90.21 454.5 94 451.5L144 411.5V330.3L20.6 367.3C15.75 368.8 10.51 367.9 6.449 364.8C2.391 361.8 0 357.1 0 352V288C0 282.4 2.949 277.2 7.768 274.3L144 192.5V86.06z", "M592 128C618.5 128 640 149.5 640 176V400C640 420.9 626.6 438.7 608 445.3V488C608 501.3 597.3 512 584 512H568C554.7 512 544 501.3 544 488V448H384V488C384 501.3 373.3 512 360 512H344C330.7 512 320 501.3 320 488V445.3C301.4 438.7 288 420.9 288 400V176C288 149.5 309.5 128 336 128H592zM576 304L560.2 254.7C556.9 246 548.9 240 539.7 240H388.3C379.1 240 371.1 246 367.8 254.7L352 304H576zM568 352C554.7 352 544 362.7 544 376C544 389.3 554.7 400 568 400C581.3 400 592 389.3 592 376C592 362.7 581.3 352 568 352zM360 400C373.3 400 384 389.3 384 376C384 362.7 373.3 352 360 352C346.7 352 336 362.7 336 376C336 389.3 346.7 400 360 400z"]],
    "truck-plow": [640, 512, [], "f7de", ["M48 400C48 355.8 83.82 320 128 320C172.2 320 208 355.8 208 400C208 444.2 172.2 480 128 480C83.82 480 48 444.2 48 400zM272 400C272 355.8 307.8 320 352 320C396.2 320 432 355.8 432 400C432 444.2 396.2 480 352 480C307.8 480 272 444.2 272 400z", "M448 191.1C465.7 191.1 480 206.3 480 223.1V287.1H512V175.1C512 168.7 514.5 161.7 519 156L583 76.01C594.1 62.21 614.2 59.97 627.1 71.01C641.8 82.05 644 102.2 632.1 115.1L576 187.2V356.8L632.1 428C644 441.8 641.8 461.9 627.1 472.1C614.2 484 594.1 481.8 583 467.1L519 387.1C514.5 382.3 512 375.3 512 368V352H453.2C435.2 314.2 396.7 288 352 288C307.3 288 268.8 314.2 250.8 352H229.2C211.2 314.2 172.7 288 128 288C83.48 288 45.02 313.1 26.97 351.6C11.68 349.2 0 335.1 0 320V224C0 206.3 14.33 192 32 192H128V80C128 53.49 149.5 32 176 32H269.9C292.4 32 313.2 43.8 324.8 63.07L402.1 192L448 191.1zM269.9 95.1H191.1V191.1H327.5L269.9 95.1z"]],
    "truck-ramp": [640, 512, [], "f4e0", ["M640 416C640 469 597 512 544 512C490.1 512 448 469 448 416C448 362.1 490.1 320 544 320C597 320 640 362.1 640 416z", "M48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9z"]],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", ["M23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7zM112.8 233.4C115.1 241.9 123.9 246.1 132.4 244.7L163.3 236.4C171.8 234.1 176.9 225.3 174.6 216.8L153.9 139.5L92.1 156.1L112.8 233.4zM448 416C448 362.1 490.1 320 544 320C597 320 640 362.1 640 416C640 469 597 512 544 512C490.1 512 448 469 448 416z", "M544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288H544zM174.6 216.8C176.9 225.3 171.8 234.1 163.3 236.4L132.4 244.7C123.9 246.1 115.1 241.9 112.8 233.4L92.1 156.1L153.9 139.5L174.6 216.8z"]],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", ["M294.5 209.2C303.2 206.8 311.9 207 320 209.3V334.8L33.98 411.5L13.27 334.2C6.412 308.6 21.61 282.3 47.21 275.4C72.82 268.5 99.14 283.7 106 309.3L110.1 324.8L264.7 283.4L260.6 267.9C253.7 242.3 268.9 216 294.5 209.2V209.2zM8.023 252.8C-1.125 218.6 19.14 183.5 53.28 174.4L238.7 124.7C272.9 115.6 307.1 135.8 317.1 169.1L318.8 176.4C308.3 174.8 297.2 175.3 286.2 178.2C248.8 188.3 224.8 223.2 227 260.4L131.2 286C114.6 252.7 76.32 234.5 38.93 244.5C27.94 247.4 18.1 252.5 9.745 259.2L8.023 252.8zM448 416C448 362.1 490.1 319.1 544 319.1C597 319.1 640 362.1 640 416C640 469 597 512 544 512C490.1 512 448 469 448 416z", "M48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9z"]],
    "truck-tow": [640, 512, [], "e2b8", ["M96 0H145.5C154.7 0 163.5 3.983 169.6 10.93L384 256H192L96 64V176C96 202.5 74.51 224 48 224C21.49 224 0 202.5 0 176V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V32C64 14.33 78.33 0 96 0zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432z", "M498.7 96C515.7 96 531.1 102.7 544 114.7L621.3 192C633.3 204 640 220.3 640 237.3V376C640 395.8 625.6 412.2 606.8 415.4C598.8 361.4 552.2 320 496 320C439.6 320 392.9 361.7 385.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368V304C0 277.5 21.49 256 48 256H384V128C384 110.3 398.3 96 416 96H498.7zM576 256V237.3L498.7 160H448V256H576z"]],
    "trumpet": [640, 512, [127930], "f8e3", ["M312 160c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 16v32h48V160zM400 160c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 15.1L352 192h48V160zM492.3 269.6C487.7 267.2 472.4 259.8 448 257.2V352c0 17.67-14.33 32-32 32h-16V256H352v128H312V256h-48v128H224V256H81.75C70.75 274.9 64 296.6 64 320c0 70.69 57.31 128 128 128h224c53.02 0 96-42.98 96-96V281.7C505.6 277.5 499.2 273.3 492.3 269.6zM176 381.7c-34.09-8.66-54.71-43.33-46.05-77.42C135.7 281.7 153.4 264 176 258.3V381.7zM223.1 159.1C223.1 151.2 216.8 144 208 144H192C183.2 144 176 151.2 176 160v32H224L223.1 159.1z", "M640 79.1V368c0 12-10.81 16-16 16c-5.146-.0352-9.971-2.512-13-6.67c-19.92-25.79-42.07-49.78-66.19-71.68c-15.38-13-32.94-25.67-52.55-36.01c-5.549-2.932-25.88-13.6-60.13-13.63L48 256c0 8.836-7.164 16.01-16 16.01H16c-8.836 0-16-7.164-16-16l-.0001-64.01c0-8.838 7.181-15.1 16.02-15.1L32 176c8.836 0 16 7.162 16 16h384.3c34.25 0 54.45-10.69 60-13.63c19.61-10.35 37.14-23.05 52.52-36c24.12-21.91 46.3-45.93 66.22-71.72C614 66.49 618.9 64.04 624 64C629.2 64 640 67.1 640 79.1z"]],
    "tty": [512, 512, ["teletype"], "f1e4", ["M187.1 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H187.1zM235.1 320h39.1c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C223.1 314.6 229.3 320 235.1 320zM331.1 320h39.1c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C319.1 314.6 325.3 320 331.1 320zM139.1 320h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C127.1 314.6 133.3 320 139.1 320zM367.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C373.3 352 367.1 357.4 367.1 364zM283.1 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H283.1zM467.1 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 453.4 474.6 448 467.1 448zM467.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.369 12 11.99 12h39.1c6.625 0 12.01-5.375 12.01-12v-40C479.1 261.4 474.6 256 467.1 256zM371.1 448h-232c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h232c6.625 0 12-5.375 12-12v-40C383.1 453.4 378.6 448 371.1 448zM43.97 320H83.97c6.625 0 11.99-5.375 11.99-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C31.96 314.6 37.35 320 43.97 320zM91.96 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H91.96zM83.96 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C95.96 453.4 90.59 448 83.96 448z", "M504.9 102.9C367.7-34.31 144.3-34.32 7.083 102.9c-7.975 7.973-9.375 20.22-3.391 29.74l42.17 67.47c6.141 9.844 18.47 13.88 29.35 9.632l84.36-33.74C169.5 172.1 175.6 161.1 174.5 151.3l-5.303-53.27c56.15-19.17 117.4-19.17 173.6 .0059L337.5 151.3c-1.139 10.59 4.997 20.78 14.96 24.73l84.35 33.73c10.83 4.303 23.22 .1608 29.33-9.615l42.18-67.48C514.3 123.2 512.9 110.9 504.9 102.9z"]],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", ["M444 96C437.4 96 432 101.4 432 108v40C432 154.6 437.4 160 444 160h40C490.6 160 496 154.6 496 148v-40C496 101.4 490.6 96 484 96H444zM492 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C480 58.63 485.4 64 492 64zM588 64h39.1C634.6 64 640 58.63 640 52v-40C640 5.375 634.6 0 628 0H588c-6.625 0-11.1 5.375-11.1 12v40C576 58.63 581.4 64 588 64zM396 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C384 58.63 389.4 64 396 64zM540 96C533.4 96 528 101.4 528 108v40C528 154.6 533.4 160 540 160h40C586.6 160 592 154.6 592 148v-40C592 101.4 586.6 96 580 96H540zM628 192h-40C581.4 192 576 197.4 576 204v40C576 250.6 581.4 256 588 256h40C634.6 256 640 250.6 640 244v-40C640 197.4 634.6 192 628 192zM532 192h-136C389.4 192 384 197.4 384 204v40C384 250.6 389.4 256 396 256h136C538.6 256 544 250.6 544 244v-40C544 197.4 538.6 192 532 192zM300 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288 58.63 293.4 64 300 64zM348 96C341.4 96 336 101.4 336 108v40C336 154.6 341.4 160 348 160h40C394.6 160 400 154.6 400 148v-40C400 101.4 394.6 96 388 96H348zM340 192h-40C293.4 192 288 197.4 288 204v40C288 250.6 293.4 256 300 256h40C346.6 256 352 250.6 352 244v-40C352 197.4 346.6 192 340 192z", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.026 139.7-2.599 124.1 .8073L24.22 24.06C9.969 27.31 0 39.84 0 54.49C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z"]],
    "tugrik-sign": [384, 512, [], "e2ba", ["M159.1 264.1L71.76 287C54.62 291.3 37.24 280.9 32.96 263.8C28.67 246.6 39.09 229.2 56.24 224.1L160 199L159.1 264.1zM159.1 360.1L71.76 383C54.62 387.3 37.24 376.9 32.96 359.8C28.67 342.6 39.09 325.2 56.24 320.1L160 295L159.1 360.1zM224 344.1V279L312.2 256.1C329.4 252.7 346.8 263.1 351 280.2C355.3 297.4 344.9 314.8 327.8 319L224 344.1zM224 248.1V183L312.2 160.1C329.4 156.7 346.8 167.1 351 184.2C355.3 201.4 344.9 218.8 327.8 223L224 248.1z", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V96H32C14.33 96 0 81.67 0 64z"]],
    "turkey": [640, 512, [], "f725", ["M488.7 193.9c53.78 58.14 87.32 131.6 87.32 190.1C576 498.9 447.1 512 288 512S0 498.9 0 383.1c0-114.9 128.9-288 287.1-288c45.93 .002 89.2 14.74 127.7 38.05c-6.441 2.711-13.21 5.283-20.45 7.598C327.4 163.3 310.9 146.8 266.2 163.4c-81.84 29.89-93.58 125.4-47.2 179.6c56.68 66.91 173.3 51.92 202.8-44.45c3.586-11.72 18.57-46.05 42.01-77.35C472.1 210.2 480.4 201.5 488.7 193.9z", "M639.4 140.3c-7.152 45.32-51.3 51.79-83.76 35.38c-20.1-10.96-40.86-2.188-55.21 8.041c-12.11 8.623-24.38 21.21-36.5 37.4c-23.44 31.3-38.42 65.63-42.01 77.35c-29.52 96.37-146.2 111.4-202.8 44.45C172.7 288.8 184.4 193.3 266.2 163.4c44.7-16.61 61.14-.0449 129-21.75c31.16-9.971 55.5-23.91 68.54-39.26c10.19-12.03 13.65-24.81 10.47-39.11c-7.316-33.55 20.14-64.83 54.73-63.21c42.39 1.957 66.34 48.1 41.49 82.3C607.8 70.59 645.4 101.5 639.4 140.3z"]],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", ["M64 184.1L40.79 190.8C23.8 195.6 6.087 185.8 1.232 168.8C-3.623 151.8 6.216 134.1 23.21 129.2L64 117.6L64 184.1zM64 280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6L64 280.1zM128 261.9V195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9zM128 165.9V99.29L247.2 65.23C264.2 60.38 281.9 70.22 286.8 87.21C291.6 104.2 281.8 121.9 264.8 126.8L128 165.9z", "M95.1 32C113.7 32 127.1 46.33 127.1 64V416H191.8C260 416 316.2 362.5 319.6 294.4L320 286.4C320.9 268.8 335.9 255.2 353.6 256C371.2 256.9 384.8 271.9 383.1 289.6L383.6 297.6C378.5 399.8 294.1 480 191.8 480H96C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32H95.1z"]],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", ["M144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80V352H160V80C160 71.19 152.8 64 144 64z", "M296 352h-208c-9.547 0-18.19 5.656-22 14.41s-2.078 18.94 4.406 25.92l104 112c9.498 10.23 25.69 10.23 35.19 0l104-112c6.484-6.984 8.219-17.17 4.406-25.92S305.5 352 296 352z"]],
    "turn-down-left": [512, 512, [], "e331", ["M160 256h272C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32V240c0 44.11-35.88 80-80 80H160V256z", "M119.7 409.6c6.984 6.484 17.17 8.219 25.92 4.406s14.41-12.45 14.41-22v-208c0-9.547-5.656-18.19-14.41-22S126.7 159.9 119.7 166.4l-112 104c-10.23 9.498-10.23 25.69 0 35.19L119.7 409.6z"]],
    "turn-down-right": [512, 512, [], "e455", ["M352 319.1H80C35.87 319.1 0 284.1 0 239.1V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V239.1C64 248.8 71.19 255.1 80 255.1H352V319.1z", "M392.3 409.6C385.3 416.1 375.2 417.8 366.4 414C357.7 410.2 352 401.5 352 392V183.1C352 174.5 357.7 165.8 366.4 161.1C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C514.6 279.9 514.6 296.1 504.3 305.6L392.3 409.6z"]],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", ["M224 160v272c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V160H224z", "M209.6 7.671c-9.5-10.23-25.69-10.23-35.19 0l-104 112C63.92 126.7 62.19 136.8 66 145.6s12.45 14.41 22 14.41h208c9.547 0 18.19-5.656 22-14.41s2.078-18.94-4.406-25.92L209.6 7.671z"]],
    "turntable": [576, 512, [], "f8e4", ["M512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM224 416c-88.38 0-160-71.63-160-160s71.63-160 160-160s160 71.63 160 160S312.4 416 224 416zM512 267.9c0 9.875-2.375 19.62-6.75 28.62l-19 37.75c8 4 11.12 13.62 7.25 21.5l-25.75 51.38c-3.875 7.875-13.5 11.12-21.5 7.125L417.8 400c-8-4-11.12-13.5-7.25-21.5l25.75-51.38C440.1 319.3 449.8 316 457.8 320l18.88-37.88C478.8 277.7 480 272.8 480 267.8V112C480 103.2 487.2 96 496 96S512 103.2 512 112V267.9z", "M496 96C487.2 96 480 103.2 480 112v155.8c0 4.977-1.156 9.885-3.375 14.34L457.8 320c-8-4-17.62-.75-21.5 7.125L410.5 378.5c-3.875 8-.75 17.5 7.25 21.5l28.5 14.25c8 4 17.62 .75 21.5-7.125l25.75-51.38c3.875-7.875 .75-17.5-7.25-21.5l19-37.75C509.6 287.5 512 277.8 512 267.9V112C512 103.2 504.8 96 496 96zM224 96C135.6 96 64 167.6 64 256s71.63 160 160 160s160-71.63 160-160S312.4 96 224 96zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z"]],
    "turtle": [576, 512, [128034], "f726", ["M352 383.8V440C352 462.1 334.1 480 312 480H264C241.9 480 224 462.1 224 440V384H192V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H344C383.8 320 416 287.8 416 248V176C416 140.7 444.7 112 480 112C533 112 576 154.1 576 208V224C576 259.3 547.3 288 512 288H480C478 288 476 287.9 474.1 287.7C457.9 341 409.8 380.4 352 383.8zM496 224C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192C487.2 192 480 199.2 480 208C480 216.8 487.2 224 496 224z", "M345.2 288H70.79C49.37 288 32 270.6 32 249.2V208C32 110.8 110.8 32 208 32C305.2 32 384 110.8 384 208V249.2C384 270.6 366.6 288 345.2 288z"]],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", ["M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64v-288h512V352z", "M576 352H64v-288h512V352z"]],
    "tv-music": [640, 512, [], "f8e6", ["M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64V64h512V352z", "M64 64v288h512V64H64zM416 256c0 17.62-21.5 32-48 32S320 273.6 320 256s21.5-32 48-32c5.375 0 10.75 .75 16 2V165.6l-96 37.5V288c0 17.62-21.5 32-48 32S192 305.6 192 288s21.5-32 48-32C245.4 256 250.8 256.8 256 258V159.3C256 152.3 260.5 146.1 267.3 144l128-47.25C400 95.25 405.4 96.13 409.5 99.13S416 106.9 416 112V256z"]],
    "tv-retro": [512, 512, [128250], "f401", ["M448 96L322 96l55.03-55.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-87.05 86.95L169 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L190.1 96L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160C512 124.7 483.3 96 448 96zM384.1 384c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011c35.35 0 64.01 28.65 64.01 63.1V384zM448.1 336c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C472.1 325.3 461.3 336 448.1 336zM448.1 256c-13.25 0-24-10.75-24-24c0-13.26 10.71-23.1 23.97-23.1S472.1 218.7 472.1 232C472.1 245.3 461.3 256 448.1 256z", "M384.1 224v160c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011C355.4 160 384.1 188.7 384.1 224z"]],
    "typewriter": [512, 512, [], "f8e7", ["M64 192V48C64 21.49 85.49 0 112 0H352v96h96v96h-82.75c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H64z", "M352 0v96h96L352 0zM480 192h-114.8c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H32C14.4 192 0 206.4 0 224v32c0 17.62 14.38 32 32 32v176C32 490.5 53.49 512 80 512h352c26.51 0 48-21.49 48-48V288c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM336 296C336 291.6 339.6 288 344 288h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V296zM312 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C304 355.6 307.6 352 312 352zM272 296C272 291.6 275.6 288 280 288h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V296zM248 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C240 355.6 243.6 352 248 352zM208 296C208 291.6 211.6 288 216 288h16C236.4 288 240 291.6 240 296v16C240 316.4 236.4 320 232 320h-16C211.6 320 208 316.4 208 312V296zM184 352h16c4.375 0 8 3.625 8 8v16C208 380.4 204.4 384 200 384h-16c-4.375 0-8-3.625-8-8v-16C176 355.6 179.6 352 184 352zM144 296C144 291.6 147.6 288 152 288h16C172.4 288 176 291.6 176 296v16C176 316.4 172.4 320 168 320h-16C147.6 320 144 316.4 144 312V296zM104 320h-16C83.63 320 80 316.4 80 312v-16C80 291.6 83.63 288 88 288h16C108.4 288 112 291.6 112 296v16C112 316.4 108.4 320 104 320zM136 384h-16c-4.375 0-8-3.625-8-8v-16C112 355.6 115.6 352 120 352h16c4.375 0 8 3.625 8 8v16C144 380.4 140.4 384 136 384zM368 440c0 4.375-3.625 8-8 8h-208c-4.375 0-8-3.625-8-8v-16C144 419.6 147.6 416 152 416h208c4.375 0 8 3.625 8 8V440zM400 376c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V376zM432 312c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C400 291.6 403.6 288 408 288h16c4.375 0 8 3.625 8 8V312z"]],
    "u": [384, 512, [117], "55", ["M384 64.01v225.7c0 104.1-86.13 190.3-192 190.3s-192-85.38-192-190.3V64.01C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v225.7c0 69.67 57.42 126.3 128 126.3s128-56.67 128-126.3V64.01c0-17.67 14.33-32 32-32S384 46.34 384 64.01z", ""]],
    "ufo": [640, 512, [128760], "e047", ["M496 237.1C496 237.1 444.2 288 320 288C195.8 288 144 237.1 144 237.1C144 141.5 222.8 64 320 64C417.2 64 496 141.5 496 237.1z", "M320 288C444.2 288 496 237.1 496 237.1C496 228.8 495.4 220.6 494.3 212.6C581.1 235.5 640 275 640 320C640 390.7 496.7 448 320 448C143.3 448 0 390.7 0 320C0 275 58.01 235.5 145.7 212.6C144.6 220.6 144 228.8 144 237.1C144 237.1 195.8 288 320 288zM320 352C306.7 352 296 362.7 296 376C296 389.3 306.7 400 320 400C333.3 400 344 389.3 344 376C344 362.7 333.3 352 320 352zM128 352C141.3 352 152 341.3 152 328C152 314.7 141.3 304 128 304C114.7 304 104 314.7 104 328C104 341.3 114.7 352 128 352zM512 304C498.7 304 488 314.7 488 328C488 341.3 498.7 352 512 352C525.3 352 536 341.3 536 328C536 314.7 525.3 304 512 304z"]],
    "ufo-beam": [576, 512, [], "e048", ["M144 138.7C144 74.67 190.1 0 288 0C385.9 0 432 74.67 432 138.7C432 138.7 398.8 192 288 192C177.2 192 144 138.7 144 138.7zM78.51 316.9C92.8 322.4 108.2 327.4 124.5 331.8L45.69 498.3C40.02 510.3 25.71 515.4 13.73 509.7C1.748 504-3.363 489.7 2.311 477.7L78.51 316.9zM451.5 331.8C467.8 327.4 483.2 322.4 497.5 316.9L573.7 477.7C579.4 489.7 574.3 504 562.3 509.7C550.3 515.4 535.1 510.3 530.3 498.3L451.5 331.8z", "M287.1 191.1C398.8 191.1 432 138.7 432 138.7C432 129.4 431 119.8 429.1 110.3C516.8 129.5 576 166.1 576 207.1C576 269.9 447.1 320 288 320C128.9 320 0 269.9 0 207.1C0 166.1 59.24 129.5 146.9 110.3C144.1 119.8 143.1 129.4 143.1 138.7C143.1 138.7 177.2 191.1 287.1 191.1zM96 183.1C82.75 183.1 72 194.7 72 207.1C72 221.3 82.75 231.1 96 231.1C109.3 231.1 120 221.3 120 207.1C120 194.7 109.3 183.1 96 183.1zM480 231.1C493.3 231.1 504 221.3 504 207.1C504 194.7 493.3 183.1 480 183.1C466.7 183.1 456 194.7 456 207.1C456 221.3 466.7 231.1 480 231.1zM288 231.1C274.7 231.1 264 242.7 264 256C264 269.3 274.7 280 288 280C301.3 280 312 269.3 312 256C312 242.7 301.3 231.1 288 231.1z"]],
    "umbrella": [576, 512, [], "f0e9", ["M320 264v167.1C320 476.1 284.1 512 239.1 512c-33.81 0-64.19-21.41-75.41-53.32c-5.906-16.6 2.812-34.91 19.5-40.79c16.72-5.908 34.91 2.781 40.81 19.5c1.906 5.375 7.281 10.69 15.1 10.69c8.812 0 16-7.189 16-16V263.3C265.4 258.8 275.9 256 287.1 256C299.1 256 310.4 259.4 320 264z", "M575.7 280.9C547.1 144.5 437.3 62.61 320 49.91V32.01c0-17.69-14.31-32.01-32-32.01S255.1 14.31 255.1 32.01v17.91C138.3 62.61 29.48 144.5 .2949 280.9C-1.926 290.1 8.795 302.1 18.98 292.2c52-55.01 107.7-52.39 158.6 37.01c5.312 9.502 14.91 8.625 19.72 0C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c4.812 8.625 14.41 9.502 19.72 0c51-89.52 107.1-91.39 158.6-37.01C567.3 302.2 577.9 290.1 575.7 280.9z"]],
    "umbrella-beach": [640, 512, [127958], "f5ca", ["M396.4 239.2l-75.34 208.8H253l83.22-230.7L396.4 239.2z", "M528 448H48C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h544c8.838 0 16-7.164 16-15.1C576 469.5 554.5 448 528 448zM247.6 185l238.5 86.87c35.75-121.4 18.62-231.6-42.63-253.9c-7.375-2.625-15.12-4.062-23.12-4.062C362.4 13.88 292.1 83.13 247.6 185zM115.4 136.8l102.1 37.35c35.13-81.62 86.25-144.4 139-173.7c-95.88-4.875-188.8 36.96-248.5 111.7C101.2 120.6 105.2 133.2 115.4 136.8zM521.5 60.51c6.25 16.25 10.75 34.62 13.13 55.25c5.75 49.87-1.375 108.1-18.88 166.9l102.6 37.37c10.12 3.75 21.25-3.375 21.5-14.12C642.3 210.1 598 118.4 521.5 60.51z"]],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", ["M223.1 432.1c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C143.8 490.6 174.2 512 207.1 512C252.1 512 288 476.1 288 431.1V288H223.1V432.1z", "M288 34.19V32c0-17.67-14.33-32-32-32S224 14.33 224 32v2.188C108.6 48.36 16.65 137.8 .3184 251.6C-2.436 270.8 13 288 32.55 288h446.9c19.55 0 34.99-17.19 32.24-36.38C495.3 137.8 403.4 48.36 288 34.19z"]],
    "underline": [448, 512, [], "f0cd", ["M48 64.01H64v160c0 88.22 71.78 159.1 160 159.1s160-71.78 160-159.1v-160h16c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1l-96-.0049c-17.69 0-32 14.32-32 32s14.31 32 32 32H320v160c0 52.94-43.06 95.1-96 95.1S128 276.1 128 224v-160h16c17.69 0 32-14.31 32-32s-14.31-32-32-32l-96 .0049c-17.69 0-32 14.31-32 31.1S30.31 64.01 48 64.01z", "M448 480c0 17.69-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h384C433.7 448 448 462.3 448 480z"]],
    "unicorn": [640, 512, [129412], "f727", ["M0 248V304C0 312.8 7.164 320 16 320h16c8.836 0 16-7.164 16-16L48 248C47.98 234.8 54.48 222.5 65.36 215C67.26 194.6 75.69 175.3 89.39 160H88C39.4 160 0 199.4 0 248zM638.7 35.55C638.7 35.55 638.7 35.55 638.7 35.55C637.2 33.34 634.7 32.01 632 32h-100.2c-3.064 3.188-6.455 5.977-10.22 8.299c5.109 5.381 9.925 10.5 13.7 14.5c5.539 5.906 8.619 13.71 8.6 21.8l.0394 6.705l92.46-36.67C640.1 44.18 641.1 39.23 638.7 35.55z", "M543.9 76.6c.0215-8.096-3.051-15.89-8.6-21.8c-3.789-4-8.583-9.119-13.7-14.5c11.08-6.84 19.57-17.49 22.26-30.66c.8613-4.377-2.039-8.631-6.427-9.492c-.0059 0 .0078 0 0 0c-.5078-.0996-.9932-.1514-1.511-.1514L415.6 0c-70.84 0-128.3 57.31-128.3 128H160c-53.13 .0039-96.05 42.98-96.05 96c.002 26.58 11.05 51.85 30.5 69.1l-25.76 68.87c-4.496 12.04-5.232 25.16-2.111 37.63l21.85 87.27C92.04 502 104.8 512 119.5 512h32.99c20.81 0 36.09-19.55 31.05-39.74l-21.3-85.38l23.87-63.62l102 22.37V480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.3C403.8 298 416.1 270.5 416.1 240c0-.25-.125-.375-.125-.625V136.9L431.7 144l19.07 37.72c7.467 14.87 25.1 21.53 40.57 15.36l32.53-13.05c12.2-4.863 20.17-16.69 20.15-29.8L543.9 76.6zM479.9 96C471.1 96 463.9 88.84 463.9 80c0-8.838 7.161-16 16.02-16s16.02 7.162 16.02 16C495.9 88.84 488.8 96 479.9 96z"]],
    "uniform-martial-arts": [640, 512, [], "e3d1", ["M409.7 384H496v64c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64v-64h86.31l-14.25 21.38c-5.439 8.158-8.042 17.4-8.042 26.54C208 458.7 229.6 480 256 480c16.05 0 30.97-7.975 39.91-21.33L320 422.5l24.06 36.09C353 472 367.9 480 384 480c26.47 0 47.98-21.44 47.98-48.09c0-9.143-2.603-18.38-8.041-26.54L409.7 384zM144 288h113.5l51.91-133.4L240.8 16H158.3c-30.28 0-58.2 16.36-73 42.78L14.28 185.6C4.918 202.3 0 221.2 0 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3L98.03 232.5L144 150.4V288zM625.7 185.6l-70.95-126.6C539.9 32.41 511.9 16 481.5 16h-82.31L291.8 288H496V150.4l45.94 81.99L544 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3C640 221.1 635.1 202.3 625.7 185.6z", "M144 288h352v64h-146.1l47.42 71.13c1.819 2.729 2.628 5.891 2.628 8.937C399.9 440.1 392.8 448 384 448c-5.156 0-10.22-2.5-13.31-7.125L320 364.8l-50.69 76.03C266.2 445.5 261.2 448 256 448c-8.776 0-15.94-7.023-15.94-15.94c0-3.047 .809-6.209 2.628-8.937L290.1 352H144V288z"]],
    "union": [384, 512, [8899], "f6a2", ["M192 480c-105.9 0-192-86.12-192-191.1V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1c0 70.59 57.41 128 128 128s128-57.41 128-128V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1C384 393.9 297.9 480 192 480z", ""]],
    "universal-access": [512, 512, [], "f29a", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 80c22.09 0 40 17.91 40 40S278.1 160 256 160S216 142.1 216 120S233.9 80 256 80zM374.6 215.1L315.3 232C311.6 233.1 307.8 233.6 304 234.4v62.32l30.64 87.34c4.391 12.5-2.188 26.19-14.69 30.59C317.3 415.6 314.6 416 312 416c-9.906 0-19.19-6.188-22.64-16.06l-25.85-70.65c-2.562-7.002-12.46-7.002-15.03 0l-25.85 70.65C219.2 409.8 209.9 416 200 416c-2.641 0-5.312-.4375-7.953-1.344c-12.5-4.406-19.08-18.09-14.69-30.59L208 296.7V234.4C204.2 233.6 200.4 233.1 196.7 232L137.4 215.1C124.7 211.4 117.3 198.2 120.9 185.4S137.9 165.2 150.6 168.9l59.25 16.94c30.17 8.623 62.15 8.623 92.31 0l59.25-16.94c12.7-3.781 26.02 3.719 29.67 16.47C394.7 198.2 387.3 211.4 374.6 215.1z", "M256 160c22.09 0 40-17.91 40-40S278.1 80 256 80S216 97.91 216 120S233.9 160 256 160zM391.1 185.4c-3.656-12.75-16.97-20.25-29.67-16.47l-59.25 16.94c-30.17 8.623-62.15 8.623-92.31 0L150.6 168.9C137.9 165.2 124.6 172.7 120.9 185.4s3.734 26.03 16.48 29.66l59.25 16.97C200.4 233.1 204.2 233.6 208 234.4v62.29l-30.64 87.34c-4.391 12.5 2.188 26.19 14.69 30.59C194.7 415.6 197.4 416 200 416c9.906 0 19.19-6.188 22.64-16.06l25.85-70.65c2.562-7.002 12.46-7.002 15.03 0l25.85 70.65C292.8 409.8 302.1 416 312 416c2.641 0 5.312-.4375 7.953-1.344c12.5-4.406 19.08-18.09 14.69-30.59L304 296.7V234.4C307.8 233.6 311.6 233.1 315.3 232l59.25-16.94C387.3 211.4 394.7 198.2 391.1 185.4z"]],
    "unlock": [448, 512, [128275], "f09c", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"]],
    "up": [384, 512, ["arrow-alt-up"], "f357", ["M256 256v192c0 17.67-14.33 32-32 32h-64c-17.67 0-32-14.33-32-32V256H256z", "M381.6 236.3C376.6 248.2 364.9 256 352 256h-320c-12.94 0-24.61-7.797-29.56-19.75C-2.516 224.3 .2188 210.5 9.375 201.4l159.1-160C175.6 35.13 183.8 32 192 32s16.38 3.125 22.62 9.375l160 160C383.8 210.5 386.5 224.3 381.6 236.3z"]],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", ["M254 366.7c3.812 8.75 2.078 18.94-4.406 25.92l-104 112c-9.094 9.781-26.09 9.781-35.19 0l-104-112C-.0781 385.7-1.813 375.5 2 366.7S14.45 352.3 24 352.3H80v-96h96v96h56C241.5 352.3 250.2 357.1 254 366.7z", "M1.999 145.6C-1.813 136.8-.0781 126.7 6.406 119.7l104-112c9.094-9.781 26.09-9.781 35.19 0l104 112c6.484 6.984 8.219 17.17 4.406 25.92C250.2 154.3 241.5 160 232 160H176v96h-96V160H24C14.45 160 5.812 154.3 1.999 145.6z"]],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", ["M183.1 128l39.1 .0013V224h64V128l40-.0013c9.484 0 18.06-5.578 21.92-14.23c1.391-3.141 2.072-6.448 2.072-9.76c0-5.812-2.103-11.57-6.15-16.07l-72-80c-4.562-5.047-11.05-7.936-17.85-7.936S242.7 2.893 238.2 7.94l-71.1 80c-6.344 7.062-7.891 17.17-4.078 25.83C165.9 122.4 174.5 128 183.1 128zM327.1 384l-40 .0013V288h-64v96l-39.1-.0013c-9.484 0-18.06 5.578-21.92 14.23c-3.812 8.641-2.266 18.77 4.078 25.83l71.1 80c4.562 5.047 11.05 7.937 17.84 7.937s13.28-2.89 17.84-7.937l72-80c4.047-4.5 6.15-10.24 6.15-16.06c0-3.312-.681-6.63-2.072-9.771C346.1 389.6 337.5 384 327.1 384z", "M512 256c0 6.797-2.891 13.28-7.938 17.84l-80 72C419.6 349.9 413.8 352 408 352c-3.312 0-6.625-.6875-9.766-2.078C389.6 346.1 384 337.5 384 328V288H128v40c0 9.484-5.578 18.06-14.23 21.92C110.6 351.3 107.3 352 104 352c-5.812 0-11.56-2.109-16.06-6.156l-80-72C2.891 269.3 0 262.8 0 256s2.891-13.28 7.938-17.84l80-72C95 159.8 105.1 158.3 113.8 162.1C122.4 165.9 128 174.5 128 184V224h256V184c0-9.484 5.578-18.06 14.23-21.92c8.656-3.812 18.77-2.266 25.83 4.078l80 72C509.1 242.7 512 249.2 512 256z"]],
    "up-from-bracket": [448, 512, [], "e590", ["M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512z", "M241.4 7.197L377.4 151.3C384 158.3 385.8 168.5 382 177.3C378.2 186.1 369.6 191.8 359.1 191.8L287.1 191.9L287.1 319.9C287.1 337.6 273.7 351.9 255.1 351.9H191.1C174.3 351.9 159.1 337.6 159.1 319.9L159.1 191.9L87.1 191.8C78.42 191.8 69.75 186.1 65.95 177.3C62.17 168.5 63.97 158.3 70.54 151.3L206.5 7.197C215.6-2.404 232.4-2.404 241.4 7.197V7.197z"]],
    "up-from-dotted-line": [448, 512, [], "e456", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z", "M224 32C230.6 32 236.9 34.72 241.4 39.52L377.4 183.5C384 190.5 385.8 200.7 382 209.5C378.2 218.3 369.6 224 360 224H288V352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352V224H88C78.42 224 69.75 218.3 65.96 209.5C62.17 200.7 63.97 190.5 70.55 183.5L206.6 39.52C211.1 34.72 217.4 32 224 32V32z"]],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", ["M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416z", "M33.95 209.3c-3.781-8.803-1.984-19.03 4.594-26l136-144.1c9.062-9.601 25.84-9.601 34.91 0l136 144.1c6.578 6.974 8.375 17.2 4.594 26C346.3 218.1 337.6 223.8 328 223.8H256v128.1c0 17.69-14.33 32.04-32 32.04H160c-17.67 0-32-14.35-32-32.04V223.8H56C46.42 223.8 37.75 218.1 33.95 209.3z"]],
    "up-left": [384, 512, [], "e2bd", ["M358.6 377.4l-45.26 45.25c-12.5 12.5-32.76 12.5-45.25 0L138.5 293l90.51-90.51l129.6 129.6C371.1 344.6 371.1 364.9 358.6 377.4z", "M70.62 360.9c-9.148 9.148-22.92 11.89-34.87 6.938C23.79 362.9 16 351.2 16 338.3l0-226.3c0-8.836 3.58-16.84 9.369-22.63C31.16 83.58 39.16 80 47.1 80h226.3c12.95 0 24.61 7.789 29.57 19.75c4.949 11.95 2.209 25.72-6.939 34.87L70.62 360.9z"]],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", ["M192 160.1V480c0 17.69-14.33 32-32 32s-32-14.31-32-32V160.1H192z", "M281.6 119.8l-104-112.1c-9.5-10.24-25.69-10.24-35.19 0l-104 112.1C31.92 126.7 30.19 136.9 33.1 145.7c3.814 8.758 12.46 14.42 22 14.42h208c9.547 0 18.19-5.658 21.1-14.42C289.8 136.9 288.1 126.7 281.6 119.8z"]],
    "up-right": [384, 512, [], "e2be", ["M70.63 422.6l-45.25-45.26c-12.5-12.5-12.5-32.76 0-45.25l129.6-129.6l90.51 90.51l-129.6 129.6C103.4 435.1 83.13 435.1 70.63 422.6z", "M87.1 134.6c-9.148-9.148-11.89-22.92-6.938-34.87C85.12 87.79 96.78 80 109.7 80h226.3c8.836 0 16.84 3.58 22.63 9.369c5.789 5.791 9.371 13.79 9.371 22.63L368 338.3c0 12.95-7.789 24.61-19.75 29.57c-11.95 4.949-25.72 2.209-34.87-6.939L87.1 134.6z"]],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", ["M208 281.4c-12.5-12.5-32.76-12.5-45.26-.002l-78.06 78.07l-30.06-30.06c-6.125-6.125-14.31-9.367-22.63-9.367c-4.125 0-8.279 .7891-12.25 2.43c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C.0013 501.3 10.75 512 24 512h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.49 12.5-32.75 .002-45.25L208 281.4z", "M487.1 0h-136c-12.94 0-24.63 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.87l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.06-78.07l30.06 30.06c9.156 9.141 22.87 11.84 34.87 6.937C504.2 184.6 512 172.9 512 159.1V23.1C512 10.74 501.3 0 487.1 0z"]],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", ["M384 320c-17.67 0-32 14.33-32 32v96H64V160h96c17.67 0 32-14.32 32-32s-14.33-32-32-32L64 96c-35.35 0-64 28.65-64 64V448c0 35.34 28.65 64 64 64h288c35.35 0 64-28.66 64-64v-96C416 334.3 401.7 320 384 320z", "M512 24V160c0 12.94-7.781 24.61-19.75 29.56c-12 4.906-25.72 2.203-34.88-6.938L416 141.3l-201.4 201.4C208.4 348.9 200.2 352 192 352s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 96l-41.38-41.38c-9.156-9.156-11.91-22.91-6.938-34.88C327.4 7.797 339.1 0 352 0h136C501.3 0 512 10.74 512 24z"]],
    "up-to-dotted-line": [448, 512, [], "e457", ["M384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64z", "M224 128C230.6 128 236.9 130.7 241.4 135.5L377.4 279.5C384 286.5 385.8 296.7 382 305.5C378.2 314.3 369.6 320 360 320H288V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V320H88C78.42 320 69.75 314.3 65.96 305.5C62.17 296.7 63.97 286.5 70.55 279.5L206.6 135.5C211.1 130.7 217.4 128 224 128V128z"]],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", ["M351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z", "M33.95 305.4C30.17 296.6 31.97 286.3 38.55 279.4l136-144.1c9.062-9.602 25.84-9.602 34.91 0l136 144.1c6.578 6.973 8.375 17.2 4.594 26C346.3 314.2 337.6 319.9 328 319.9L256 319.9v128.1c0 17.69-14.33 32.02-32 32.02H160c-17.67 0-32-14.34-32-32.02V319.9L56 319.9C46.42 319.9 37.75 314.2 33.95 305.4z"]],
    "upload": [512, 512, [], "f093", ["M480 352h-160c0 35.35-28.65 64-64 64s-64-28.65-64-64H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z", "M105.4 182.6c-12.49-12.49-12.49-32.75 0-45.25l128-128C239.6 3.125 247.8 0 256 0s16.38 3.125 22.62 9.375l128 128c12.49 12.49 12.49 32.75 0 45.25c-12.5 12.49-32.76 12.5-45.25 .001L288 109.3V352c0 17.67-14.33 32-32 32c-17.67 0-32-14.33-32-32V109.3L150.6 182.6C138.1 195.1 117.9 195.1 105.4 182.6z"]],
    "usb-drive": [640, 512, [], "f8e9", ["M608 128h-128v256h128c17.67 0 32-14.33 32-32V160C640 142.3 625.7 128 608 128zM584 312c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V312zM584 216c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V216z", "M0 160v192c0 35.35 28.65 64 64 64l416 .0005v-320L64 96C28.65 96 0 124.7 0 160z"]],
    "user": [448, 512, [62144, 128100], "f007", ["M352 128c0 70.69-57.3 128-128 128C153.3 256 96 198.7 96 128s57.31-128 128-128C294.7 0 352 57.31 352 128z", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-alien": [448, 512, [], "e04a", ["M206.7 378.1c10.23 7.832 24.32 7.832 34.55 0C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM240 236c0-33.13 26.88-60 60-60h24c6.625 0 12 5.375 12 12v8C336 229.1 309.1 256 276 256h-24C245.4 256 240 250.6 240 244V236zM112 196v-8C112 181.4 117.4 176 124 176h24C181.1 176 208 202.9 208 236v8C208 250.6 202.6 256 196 256h-24C138.9 256 112 229.1 112 196zM319.7 352.5c-20.72 20.3-41.57 37.69-58.92 51.03C250.2 411.6 237.2 416 224 416s-26.23-4.43-36.78-12.51c-17.33-13.33-38.17-30.7-58.88-50.99C57.07 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.9 355.2 319.7 352.5z", "M148 176h-24C117.4 176 112 181.4 112 188v8C112 229.1 138.9 256 172 256h24C202.6 256 208 250.6 208 244v-8C208 202.9 181.1 176 148 176zM324 176h-24c-33.13 0-60 26.88-60 60v8C240 250.6 245.4 256 252 256h24C309.1 256 336 229.1 336 196v-8C336 181.4 330.6 176 324 176z"]],
    "user-astronaut": [448, 512, [], "f4fb", ["M296 96h-144c-26.5 0-48 17.88-48 40V160c0 53 43 96 96 96h48c53 0 96-43 96-96V136C344 113.9 322.5 96 296 96zM212.6 163.8L188 172L179.8 196.6c-1.215 3.645-6.375 3.645-7.59 0L164 172L139.4 163.8c-3.646-1.219-3.646-6.375 0-7.594L164 148l8.205-24.62c1.215-3.648 6.375-3.648 7.59 0L188 148l24.62 8.203C216.3 157.4 216.3 162.6 212.6 163.8zM288 416H160c-17.67 0-32 14.33-32 32v64h32v-48C160 455.3 167.3 448 176 448S192 455.3 192 464V512h128v-64C320 430.3 305.7 416 288 416zM272 480c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S280.8 480 272 480z", "M64 224h13.5C102.3 280.5 158.4 320 224 320s121.8-39.5 146.5-96H384c8.75 0 16-7.25 16-16v-96C400 103.3 392.8 96 384 96h-13.5C345.8 39.5 289.6 0 224 0S102.3 39.5 77.5 96H64C55.25 96 48 103.3 48 112v96C48 216.8 55.25 224 64 224zM104 136C104 113.9 125.5 96 152 96h144c26.5 0 48 17.88 48 40V160c0 53-43 96-96 96h-48c-53 0-96-43-96-96V136zM336.1 315.4C304 338.6 265.1 352 224 352s-80.03-13.43-112.1-36.59C46.55 340.2 0 403.3 0 477.3C0 496.5 15.52 512 34.66 512H128v-64c0-17.75 14.25-32 32-32h128c17.75 0 32 14.25 32 32v64h93.34C432.5 512 448 496.5 448 477.3C448 403.3 401.5 340.2 336.1 315.4zM272 448c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S280.8 448 272 448z"]],
    "user-bounty-hunter": [448, 512, [], "e2bf", ["M330.5 169.9c-25.14 13.92-64.23 43.82-72.69 97.02l77.41-17.04L330.5 169.9zM96 0H80C71.16 0 64 7.164 64 16v248l.3984-.3848C64.37 262.7 64 261.8 64.06 260.8l6.906-117C72.43 116.2 81.71 90.9 96 69.22V32c8.836 0 16-7.164 16-16S104.8 0 96 0zM117.5 169.9l-4.721 79.98l77.41 17.04C181.7 213.8 142.6 183.9 117.5 169.9zM160 464V512h128v-48L224 416L160 464z", "M320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h128v-48l64-48l64 48V512h128c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0S75.25 63.19 70.96 143.8L64.06 260.8C63.13 276.5 73.82 290.5 89.3 293.9zM329.7 156.2l5.533 93.74L248 269.1V171.5L329.7 156.2zM224 48c46.57 0 85.95 30.06 99.72 72H124.2C137.9 78.14 177.4 48 224 48zM118.3 156.2L200 171.5v97.63L112.8 249.9L118.3 156.2z"]],
    "user-check": [640, 512, [], "f4fc", ["M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256z", "M632.3 134.4c-9.703-9-24.91-8.453-33.92 1.266l-87.05 93.75l-38.39-38.39c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C499.5 285.5 505.6 288 512 288h.4375c6.531-.125 12.72-2.891 17.16-7.672l104-112C642.6 158.6 642 143.4 632.3 134.4z"]],
    "user-chef": [448, 512, [], "e3d2", ["M352 160v16c0 70.75-57.25 128-128 128s-128-57.25-128-128V160H352z", "M96 93.06V160h256V93.06C370.6 86.45 384 68.87 384 48C384 21.49 362.5 0 336 0c-14.42 0-27.2 6.488-36 16.55C291.2 6.488 278.4 0 264 0C247.3 0 232.6 8.564 224 21.53C215.4 8.564 200.7 0 184 0C169.6 0 156.8 6.488 148 16.55C139.2 6.488 126.4 0 112 0C85.49 0 64 21.49 64 48C64 68.87 77.4 86.45 96 93.06zM352 356.5v-35.29l-224 89.59V512h288c17.67 0 32-14.33 32-32C448 420.4 407.1 370.8 352 356.5zM208 448C199.2 448 192 440.8 192 432C192 423.2 199.2 416 208 416s16 7.162 16 16C224 440.8 216.8 448 208 448zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 440.8 312.8 448 304 448zM96 320v36.53C40.89 370.8 0 420.4 0 480c0 17.67 14.33 32 32 32h64v-122.8l106.4-42.57L96 320z"]],
    "user-clock": [640, 512, [], "f4fd", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 368c0-19.3 3.221-37.82 8.961-55.2C311.9 307.2 293.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H395C349.7 480.2 320 427.6 320 368z", "M496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v48h32c8.838 0 16 7.164 16 15.1S552.8 384 544 384z"]],
    "user-cowboy": [448, 512, [], "f8ea", ["M351.1 224c0 70.69-57.3 128-127.1 128S96 294.8 96 224.1c0-.9766 .2646-1.986 .2861-2.957C132.9 242.2 176.6 256 224 256s91.05-13.78 127.7-34.85C351.7 222.1 351.1 223 351.1 224z", "M223.1 132.6c53.24 0 91.02-8.625 117.1-18.5C330 64.5 309.5 0 276.6 0c-10.37 0-19.62 4.5-27.37 10.5C241.8 16.28 232.9 19.13 224 19.29C215.1 19.13 206.2 16.28 198.8 10.5C191 4.5 181.8 0 171.4 0C138.6 0 118 64.5 106.9 114.1C133 124 170.7 132.6 223.1 132.6zM224 256c106.7 0 196.3-67.43 223.1-138.9c2.75-7.625-.938-15.94-8.686-19.44c-7.623-3.5-16.81-1.312-21.93 5.312c-.875 1.25-45.63 61.63-192.5 61.63S32.39 104.3 31.52 103C26.39 96.38 17.27 94.13 9.647 97.63c-7.75 3.5-11.5 11.88-8.749 19.5C27.66 188.6 117.3 256 224 256zM334 384H114c-53.44 0-100.1 36.38-113 88.24C-4.044 492.4 11.19 512 32 512h383.1c20.81 0 36.09-19.56 31.04-39.76C434.1 420.4 387.5 384 334 384z"]],
    "user-crown": [448, 512, [], "f6a4", ["M96 144V128h256v16c0 70.75-57.25 128-128 128S96 214.8 96 144z", "M352 0l-64 32l-64-32L160 32L96 0v128h256V0zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-doctor": [448, 512, ["user-md"], "f0f0", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M280 304C282.7 304 285.3 304.1 288 304.2V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 392.1 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z"]],
    "user-doctor-hair": [448, 512, [], "e458", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 392.1 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280C282.7 304 285.3 304.1 288 304.2V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"]],
    "user-doctor-hair-long": [448, 512, [], "e459", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 393 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280C282.7 304 285.3 304.1 288 304.2V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"]],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM128 370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3C0 401.3 54.02 332.9 128 311.2V370.3zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z", "M384 48C384 21.49 405.5 0 432 0H592C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48z"]],
    "user-gear": [640, 512, ["user-cog"], "f4fe", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM425.1 491.8v-9.172c-2.303-1.25-4.572-2.559-6.809-3.93l-7.818 4.493c-6.002 3.504-12.83 5.352-19.75 5.352c-10.71 0-21.13-4.492-28.97-12.75c-18.41-20.09-32.29-44.15-40.22-69.9c-5.352-18.06 2.343-36.87 17.83-45.24l8.018-4.669c-.0664-2.621-.0664-5.242 0-7.859l-7.655-4.461c-12.3-6.953-19.4-19.66-19.64-33.38C305.6 306.3 290.4 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c5.727 0 10.9-1.727 15.66-4.188C426.7 502.8 425.1 497.5 425.1 491.8z", "M610.5 373.3c2.625-14 2.625-28.5 0-42.5l25.75-15c3-1.625 4.375-5.125 3.375-8.5c-6.75-21.5-18.25-41.13-33.25-57.38c-2.25-2.5-6-3.125-9-1.375l-25.75 14.88c-10.88-9.25-23.38-16.5-36.88-21.25V212.3c0-3.375-2.5-6.375-5.75-7c-22.25-5-45-4.875-66.25 0c-3.25 .625-5.625 3.625-5.625 7v29.88c-13.5 4.75-26 12-36.88 21.25L394.4 248.5c-2.875-1.75-6.625-1.125-9 1.375c-15 16.25-26.5 35.88-33.13 57.38c-1 3.375 .3751 6.875 3.25 8.5l25.75 15c-2.5 14-2.5 28.5 0 42.5l-25.75 15c-3 1.625-4.25 5.125-3.25 8.5c6.625 21.5 18.13 41 33.13 57.38c2.375 2.5 6 3.125 9 1.375l25.88-14.88c10.88 9.25 23.38 16.5 36.88 21.25v29.88c0 3.375 2.375 6.375 5.625 7c22.38 5 45 4.875 66.25 0c3.25-.625 5.75-3.625 5.75-7v-29.88c13.5-4.75 26-12 36.88-21.25l25.75 14.88c2.875 1.75 6.75 1.125 9-1.375c15-16.25 26.5-35.88 33.25-57.38c1-3.375-.3751-6.875-3.375-8.5L610.5 373.3zM496 400.5c-26.75 0-48.5-21.75-48.5-48.5s21.75-48.5 48.5-48.5c26.75 0 48.5 21.75 48.5 48.5S522.8 400.5 496 400.5z"]],
    "user-graduate": [512, 512, [], "f501", ["M384 159.1c0 70.75-57.25 128-127.1 128S128 230.7 128 159.1H384z", "M359.2 312.8l-103.2 103.2l-103.2-103.2c-69.93 22.3-120.8 87.2-120.8 164.5C32 496.5 47.53 512 66.67 512h378.7C464.5 512 480 496.5 480 477.3C480 400 429.1 335.1 359.2 312.8zM45.63 79.75L52 81.25v58.5C45 143.9 40 151.3 40 160c0 8.375 4.625 15.38 11.12 19.75L35.5 242C33.75 248.9 37.63 256 43.13 256h41.75c5.5 0 9.375-7.125 7.625-13.1L76.88 179.8C83.38 175.4 88 168.4 88 160c0-8.75-5-16.12-12-20.25V87.13L128 99.63l.001 60.37h255.1L384 99.62l82.25-19.87c18.25-4.375 18.25-27 0-31.5l-190.4-46c-13-3-26.62-3-39.63 0l-190.6 46C27.5 52.63 27.5 75.38 45.63 79.75z"]],
    "user-group": [640, 512, [128101, "user-friends"], "f500", ["M479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h138C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM432 256C493.9 256 544 205.9 544 144S493.9 32 432 32c-25.11 0-48.04 8.555-66.72 22.51C376.8 76.63 384 101.4 384 128c0 35.52-11.93 68.14-31.59 94.71C372.7 243.2 400.8 256 432 256z", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", ["M544 144C544 82.14 493.9 32 432 32c-17.3 0-33.45 4.285-48 11.38V144c0 31.09-9.285 59.89-24.69 84.47C378.9 245.4 404.1 256 432 256C493.9 256 544 205.9 544 144zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h137.1C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM96 144c0 70.75 57.25 128 128 128s128-57.25 128-128V128H96V144z", "M352 0L288 32L224 0L160 32L96 0v128h256V0zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-hair": [448, 512, [], "e45a", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-hair-buns": [448, 512, [], "e3d3", ["M288 112c17.38 0 33.36-5.688 46.48-15.11C335.2 101.9 336 106.8 336 112V160c0 61.86-50.14 112-112 112S112 221.9 112 160V112c0-5.174 .8438-10.12 1.523-15.11C126.6 106.3 142.6 112 160 112c26.29 0 49.42-12.85 64-32.44C238.6 99.15 261.7 112 288 112z", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM96 192c7.096 0 13.78-1.633 19.84-4.396C113.6 178.7 112 169.6 112 160V112c0-5.174 .8438-10.12 1.523-15.11c8.908 6.395 19.2 10.88 30.29 13.22C149.1 111.2 154.4 112 160 112c26.29 0 49.42-12.85 64-32.44C238.6 99.15 261.7 112 288 112c5.582 0 10.95-.7773 16.19-1.885c11.09-2.344 21.38-6.826 30.29-13.22C335.2 101.9 336 106.8 336 112V160c0 9.582-1.572 18.73-3.836 27.6C338.2 190.4 344.9 192 352 192c26.51 0 48-21.49 48-48v-32C400 85.49 378.5 64 352 64c-9.059 0-17.44 2.658-24.67 7.02C311 29.57 271.3 0 224 0S136.1 29.57 120.7 71.02C113.4 66.66 105.1 64 96 64C69.49 64 48 85.49 48 112v32C48 170.5 69.49 192 96 192z"]],
    "user-hair-long": [448, 512, [], "e45b", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", ["M340.5 95.1C342.8 106.2 344 116.1 344 127.1C344 198.7 294.7 255.1 224 255.1C153.3 255.1 104 198.7 104 127.1C104 122.6 104.3 117.2 104.9 111.1H144C181.1 111.1 213.2 90.99 229.2 60.22C246.8 82.04 273.8 95.1 304 95.1H340.5z", "M304 96C273.8 95.1 246.8 82.04 229.2 60.22C213.2 90.99 181.1 112 144 112H104C95.16 112 88 104.8 88 96V93.93C88 85.32 92.61 77.36 100.1 73.09L111.8 66.42C133.5 26.83 175.6 0 224 0C262.8 0 297.6 17.26 321 44.52L346.7 57.37C354.9 61.43 360 69.74 360 78.83V79.1C360 88.84 352.8 95.1 344 95.1L304 96zM343.5 204.4C346.5 217.2 352.3 227.1 366.1 241.9C373.1 248.8 373.1 259.7 368.2 267.7C362.5 275.7 351.8 278.3 343.1 273.9L325.1 265.4L312 284C308.7 288.4 303.7 291.3 298.2 291.9C292.7 292.5 287.2 290.8 282.1 287.2L244.6 254.3C293.1 246.2 328.6 209.6 340.1 161.9C340.2 180.5 340.9 193.4 343.5 204.4H343.5zM164.8 287.4C160.5 290.9 155.1 292.5 149.6 291.9C144.2 291.2 139.3 288.4 136 284L122 265.4L104.9 273.9C96.17 278.3 85.51 275.7 79.78 267.7C74.04 259.7 74.92 248.8 81.86 241.9C95.74 227.1 101.5 217.2 104.5 204.4C107.1 193.4 107.8 180.5 107.9 161.9C119.5 209.1 155.4 246.8 204.5 254.5L164.8 287.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-headset": [448, 512, [], "f82d", ["M208 224h32c22.88 0 43.98 12.2 55.36 31.95L304 256c26.5 0 48-21.5 48-47.1V192c0-70.75-57.25-128-128-128s-128 57.25-128 128c0 40.38 19.12 75.99 48.37 99.49C144.2 290.2 144 289.3 144 288C144 252.6 172.6 224 208 224z", "M48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352z"]],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", ["M352 192c0 70.69-57.31 128-128 128S96 262.7 96 192c0-5.48 .9453-10.7 1.613-16h252.8C351.1 181.3 352 186.5 352 192z", "M88 176h272c4.375 0 8-3.625 8-8V136c0-4.375-3.625-8-8-8H352c0-45-26.88-85.62-68.38-103.2L256 80V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16V80L164.4 24.75C122.9 42.38 96 83 96 128H88c-4.375 0-8 3.625-8 8v31.1C80 172.4 83.63 176 88 176zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352z"]],
    "user-injured": [448, 512, [], "f728", ["M352 128c0-5.48-.9453-10.7-1.613-16H97.61C96.95 117.3 96 122.5 96 128c0 70.69 57.31 128 128 128C294.7 256 352 198.7 352 128zM0 477.3C0 496.5 15.52 512 34.66 512H64v-169.1C24.97 374.7 0 423.1 0 477.3zM274.7 304H173.3c-5.393 0-10.71 .3242-15.98 .8047L206.9 384H272c44.13 0 80 35.88 80 80c0 18.08-6.252 34.59-16.4 48h77.73C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM272 416h-45.14l58.64 93.83C305.4 503.1 320 485.8 320 464C320 437.5 298.5 416 272 416z", "M277.4 11.98C261.1 4.469 243.1 0 224 0C170.3 0 124.5 33.13 105.5 80h81.07L277.4 11.98zM342.5 80c-7.895-19.47-20.66-36.19-36.48-49.51L240 80H342.5zM96 322.4V512h153.1L123.7 311.3C114.1 314.2 104.8 317.9 96 322.4z"]],
    "user-large": [512, 512, ["user-alt"], "f406", ["M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288z", "M351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320z"]],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", ["M463.1 144c0-79.53-64.47-143.1-143.1-143.1c-69.64 0-127.3 49.57-140.6 115.3l201.1 158.3C430.1 250.6 463.1 201.5 463.1 144zM529.9 511.1l-244.1-191.1l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512l448-.0039c.0137 0-.0137 0 0 0L529.9 511.1z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "user-lock": [640, 512, [], "f502", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z", "M592 288H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM528 288h-64V208c0-17.62 14.38-32 32-32s32 14.38 32 32V288z"]],
    "user-minus": [640, 512, [], "f503", ["M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256z", "M616 200h-144C458.8 200 448 210.8 448 224s10.75 24 24 24h144C629.3 248 640 237.3 640 224S629.3 200 616 200z"]],
    "user-music": [640, 512, [], "f8eb", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM389.4 347.7C358.8 320.6 318.7 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h320.5C333.4 493.4 320 468.3 320 440C320 399 348 364.7 389.4 347.7z", "M640 192v62.73c0 15.25-10.77 28.39-25.72 31.38L544 300.2V440c0 39.76-42.98 72-96 72s-96-32.24-96-72c0-39.77 42.98-72 96-72c11.28 0 21.95 1.727 32 4.408V211.2c0-15.25 10.77-28.39 25.72-31.38l96-19.2C621.5 156.7 640 171.8 640 192z"]],
    "user-ninja": [512, 512, [129399], "f504", ["M208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96z", "M64 192c27.25 0 51.75-11.5 69.25-29.75c15 54 64 93.75 122.8 93.75c70.75 0 127.1-57.25 127.1-128s-57.25-128-127.1-128c-50.38 0-93.63 29.38-114.5 71.75C124.1 47.75 96 32 64 32c0 33.37 17.12 62.75 43.13 80C81.13 129.3 64 158.6 64 192zM208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96zM337.8 306.9L256 416L174.2 306.9C93.36 321.6 32 392.2 32 477.3c0 19.14 15.52 34.67 34.66 34.67H445.3c19.14 0 34.66-15.52 34.66-34.67C480 392.2 418.6 321.6 337.8 306.9z"]],
    "user-nurse": [448, 512, [], "f82f", ["M96 176c0 70.75 57.25 128 128 128s128-57.25 128-128V160H96V176z", "M327.2 312.8L224 416L120.8 312.8c-69.93 22.3-120.8 87.25-120.8 164.6C.0006 496.5 15.52 512 34.66 512H413.3c19.14 0 34.66-15.46 34.66-34.61C447.1 400.1 397.1 335.1 327.2 312.8zM352 65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V160h256V65.88zM264 88.38c0 2.75-2.25 5-5 5h-21.62V115c0 2.75-2.25 5-5 5H215.6c-2.75 0-5-2.25-5-5V93.38H189c-2.75 0-5-2.25-5-5V71.63c0-2.75 2.25-5 5-5h21.62V45c0-2.75 2.25-5 5-5h16.75c2.75 0 5 2.25 5 5v21.62H259c2.75 0 5 2.25 5 5V88.38z"]],
    "user-nurse-hair": [448, 512, [], "e45d", ["M273.9 130.2C285.2 148.1 305.2 160 328 160H351.7C351.9 162.6 352 165.3 352 168V176C352 246.7 294.7 304 224 304C153.3 304 96 246.7 96 176V170.6C103.3 174.1 111.4 176 120 176H192C226.6 176 256.1 157.7 273.9 130.2V130.2z", "M96 70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V160H328C305.2 160 285.2 148.1 273.9 130.2C256.1 157.7 226.6 176 191.1 176H119.1C111.4 176 103.3 174.1 96 170.6L96 70.17zM221.3 31.1C216.9 31.1 213.3 35.58 213.3 39.1V53.33H200C195.6 53.33 192 56.92 192 61.33V66.67C192 71.09 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.09 256 66.67V61.33C256 56.92 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3zM318.9 323.2C392.5 338.1 448 403.2 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 403.2 55.46 338.1 129.1 323.2L224 423.1L318.9 323.2z"]],
    "user-nurse-hair-long": [448, 512, [], "e45e", ["M312 128H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 144H176C210.6 144 240.1 125.7 257.9 98.16C269.2 116.1 289.2 128 312 128V128z", "M116.8 38.04L212.8 2.037C220-.6791 227.1-.6791 235.2 2.037L331.2 38.04C343.7 42.72 352 54.66 352 68V136.8C352 170.8 365.5 203.3 389.5 227.3L393.4 231.2C397.6 235.4 400 241.2 400 247.2C400 259.7 389.9 269.8 377.4 269.8H70.63C58.13 269.8 48 259.7 48 247.2C48 241.2 50.38 235.4 54.63 231.2L58.51 227.3C82.51 203.3 96 170.8 96 136.8V68C96 54.66 104.3 42.72 116.8 38.04V38.04zM221.3 29.83C216.9 29.83 213.3 33.41 213.3 37.83V51.16H200C195.6 51.16 192 54.75 192 59.16V64.5C192 68.92 195.6 72.5 200 72.5H213.3V85.83C213.3 90.25 216.9 93.83 221.3 93.83H226.7C231.1 93.83 234.7 90.25 234.7 85.83V72.5H248C252.4 72.5 256 68.92 256 64.5V59.16C256 54.75 252.4 51.16 248 51.16H234.7V37.83C234.7 33.41 231.1 29.83 226.7 29.83H221.3zM128 144L128 160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 128H312C289.2 128 269.2 116.1 257.9 98.16C240.1 125.7 210.6 144 176 144H128zM318.9 321C392.5 335.9 448 401 448 479.1C448 496.1 434.2 509.8 417.3 509.8H30.72C13.75 509.8 0 496.1 0 479.1C0 401 55.46 335.9 129.1 321L224 421.8L318.9 321z"]],
    "user-pen": [640, 512, ["user-edit"], "f4ff", ["M223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h286.4c-1.246-5.531-1.43-11.31-.2832-17.04l14.28-71.41c1.943-9.723 6.676-18.56 13.68-25.56l45.72-45.72C363.3 322.4 321.2 304 274.7 304z", "M371.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L371.4 420.6zM629.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.14l72.01 72.01l38.13-38.13C643.5 292.5 643.5 269.7 629.5 255.7z"]],
    "user-pilot": [448, 512, [], "e2c0", ["M346 155.5C349.5 167.1 351.1 179.2 351.1 192c0 70.75-57.22 128-127.1 128S96 262.8 96 192c0-12.79 2.488-24.87 5.998-36.5C137.9 168.3 179.3 176 224 176S310.1 168.3 346 155.5z", "M319.7 352.5L224 416l-95.7-63.49C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448zM78.54 102.4v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.85c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.7505 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 23.1C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-23.1C160.9 90.35 157.8 80.75 161.7 72.85z"]],
    "user-pilot-tie": [448, 512, [], "e2c1", ["M346 155.5C310.1 168.3 268.7 176 224 176S137.9 168.3 101.1 155.5C98.49 167.1 96 179.2 96 192c0 70.75 57.25 128 127.1 128s127.1-57.25 127.1-128C351.1 179.2 349.5 167.1 346 155.5zM176 352l32 56l-16.64 70.71L208 512h32l16.64-33.29L240 408l32-56H176z", "M0 485.3C0 500.1 11.94 512 26.66 512H208l-79.7-159.5C57.05 355.2 0 413.4 0 485.3zM369.5 102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48l21.96 22.3v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4zM279.2 94.31l-48 24C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-24C160.9 90.34 157.8 80.75 161.7 72.84c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.75 21.47 7.156C290.3 80.75 287.1 90.34 279.2 94.31zM319.7 352.5L240 512h181.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448z"]],
    "user-plus": [640, 512, [], "f234", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z", "M616 200h-48v-48C568 138.8 557.3 128 544 128s-24 10.75-24 24v48h-48C458.8 200 448 210.8 448 224s10.75 24 24 24h48v48C520 309.3 530.8 320 544 320s24-10.75 24-24v-48h48C629.3 248 640 237.3 640 224S629.3 200 616 200z"]],
    "user-police": [448, 512, [], "e333", ["M346 155.5C349.5 167.1 351.1 179.2 351.1 192c0 70.75-57.22 128-127.1 128S96 262.8 96 192c0-12.79 2.488-24.87 5.998-36.5C137.9 168.3 179.3 176 223.1 176S310.1 168.3 346 155.5z", "M320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM358.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L320 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L305.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L334.1 426l21.85 3.18C359.8 429.7 361.4 434.6 358.5 437.3zM78.54 102.4v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08z"]],
    "user-police-tie": [448, 512, [], "e334", ["M346 155.5C310.1 168.3 268.7 176 223.1 176S137.9 168.3 101.1 155.5C98.49 167.1 96 179.2 96 192c0 70.75 57.25 128 127.1 128s127.1-57.25 127.1-128C351.1 179.2 349.5 167.1 346 155.5zM176 352l32 56l-16.64 70.71L208 512h32l16.64-33.29L240 408l32-56H176z", "M0 485.3C0 500.1 11.94 512 26.66 512H208l-79.7-159.5C57.05 355.2 0 413.4 0 485.3zM369.5 102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48l21.96 22.3v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4zM223.1 128C216.1 128 186.5 108.2 186.5 67.1c0-3.031 1.83-5.768 4.623-6.92l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128zM319.7 352.5L240 512h181.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM390.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L352 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L337.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L366.1 426l21.85 3.18C391.8 429.7 393.4 434.6 390.5 437.3z"]],
    "user-robot": [448, 512, [], "e04b", ["M240 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM240 512H208V464C208 455.2 215.2 448 224 448C232.8 448 240 455.2 240 464V512zM288 448C296.8 448 304 455.2 304 464V512H272V464C272 455.2 279.2 448 288 448zM432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128C424.8 128 432 135.2 432 144V240z", "M80 128C80 92.65 108.7 64 144 64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128zM160 128C142.3 128 128 142.3 128 160C128 177.7 142.3 192 160 192C177.7 192 192 177.7 192 160C192 142.3 177.7 128 160 128zM288 192C305.7 192 320 177.7 320 160C320 142.3 305.7 128 288 128C270.3 128 256 142.3 256 160C256 177.7 270.3 192 288 192zM160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272zM224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272zM0 448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448z"]],
    "user-robot-xmarks": [448, 512, [], "e4a7", ["M240 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM240 512H208V464C208 455.2 215.2 448 224 448C232.8 448 240 455.2 240 464V512zM288 448C296.8 448 304 455.2 304 464V512H272V464C272 455.2 279.2 448 288 448zM432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128C424.8 128 432 135.2 432 144V240z", "M80 128C80 92.65 108.7 64 144 64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128zM160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272zM224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272zM136.5 119.5C131.8 114.8 124.2 114.8 119.5 119.5C114.8 124.2 114.8 131.8 119.5 136.5L143 159.1L119.5 183.5C114.8 188.2 114.8 195.8 119.5 200.5C124.2 205.2 131.8 205.2 136.5 200.5L160 176.1L183.5 200.5C188.2 205.2 195.8 205.2 200.5 200.5C205.2 195.8 205.2 188.2 200.5 183.5L176.1 160L200.5 136.5C205.2 131.8 205.2 124.2 200.5 119.5C195.8 114.8 188.2 114.8 183.5 119.5L160 143L136.5 119.5zM247.5 136.5L271 160L247.5 183.5C242.8 188.2 242.8 195.8 247.5 200.5C252.2 205.2 259.8 205.2 264.5 200.5L288 176.1L311.5 200.5C316.2 205.2 323.8 205.2 328.5 200.5C333.2 195.8 333.2 188.2 328.5 183.5L304.1 160L328.5 136.5C333.2 131.8 333.2 124.2 328.5 119.5C323.8 114.8 316.2 114.8 311.5 119.5L288 143L264.5 119.5C259.8 114.8 252.2 114.8 247.5 119.5C242.8 124.2 242.8 131.8 247.5 136.5V136.5zM0 448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448z"]],
    "user-secret": [448, 512, [128373], "f21b", ["M176 320l32 56l-31.99 103.1L184 512h80l7.988-32.05L240 376l32-56H176zM350.8 163.9C341.2 166 331.1 167.9 320 169.5v16.52C320 207 302.8 224 281.6 224h-12.33c-16.46 0-30.29-10.39-35.63-24.99C232.1 194.9 228.4 192 224 192S215.9 194.9 214.4 199C209 213.6 195.2 224 178.8 224h-12.33C145.2 224 128 207 128 186V169.5C116.9 167.9 106.8 166 97.22 163.9C96.83 167.1 96 171.8 96 176c0 70.69 57.31 128 127.1 128S352 246.7 352 176C352 171.8 351.2 167.1 350.8 163.9z", "M105.5 224H48.02C36.7 224 28.96 235.4 33.16 245.9l37.15 92.87C27.87 370.4 0 420.4 0 477.3C0 496.5 15.52 512 34.66 512H184L117.9 247.6C112.9 240.3 108.9 232.3 105.5 224zM377.7 338.8l37.15-92.87C419 235.4 411.3 224 399.1 224h-57.48c-3.375 8.322-7.447 16.28-12.41 23.62L264 512h149.3C432.5 512 448 496.5 448 477.3C448 420.4 420.1 370.4 377.7 338.8zM281.6 224C302.8 224 320 207 320 186V169.5C377.3 161.2 416 145.8 416 128c0-16.08-31.75-30.28-80.31-38.99C323.8 45.15 304.9 0 277.4 0c-10.38 0-19.62 4.5-27.38 10.5c-15.25 11.88-36.75 11.88-52 0C190.3 4.5 181.1 0 170.7 0C143.2 0 124.4 45.16 112.5 88.98C63.83 97.68 32 111.9 32 128c0 17.76 38.67 33.22 96 41.53v16.52C128 207 145.2 224 166.4 224h12.33c16.46 0 30.29-10.39 35.63-24.99C215.9 194.9 219.6 192 224 192s8.105 2.887 9.615 7.008C238.1 213.6 252.8 224 269.3 224H281.6z"]],
    "user-shakespeare": [448, 512, [], "e2c2", ["M282.8 305.1C269.6 311.9 255.3 316.5 240 318.4v66.56c50 4.518 86.76 28.13 87.16 28.38c2.656 1.766 5.75 2.656 8.844 2.656c2.594 0 5.188-.625 7.562-1.906C348.8 411.3 352 405.9 352 400V384C352 343.6 321.8 310.4 282.8 305.1zM96 384v16c0 5.891 3.25 11.3 8.438 14.08c5.188 2.797 11.53 2.516 16.41-.75C121.2 413.1 157.1 389.5 208 384.9V318.4C192.7 316.5 178.4 311.9 165.2 305.1C126.2 310.4 96 343.6 96 384zM320 168V96c0-53.02-42.98-96-96-96S128 42.98 128 96v72c0 48.91 36.71 88.82 84 94.79V240c0-6.625 5.375-12 12-12s12 5.375 12 12v22.79C283.3 256.8 320 216.9 320 168zM264 112c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16s-16-7.164-16-16C248 119.2 255.2 112 264 112zM168 128c0-8.838 7.164-16 16-16s16 7.162 16 16c0 8.836-7.164 16-16 16S168 136.8 168 128zM224 191.1C215.8 196.7 202.3 204 188 204C181.4 204 176 198.6 176 191.1c0-6.627 5.375-12 12-12c10.91 0 23.94-9.379 28.06-12.99c4.5-4 11.38-4 15.88 0C236.1 170.6 249.1 179.1 260 179.1c6.625 0 12 5.377 12 12C272 198.6 266.6 204 260 204C245.7 204 232.2 196.7 224 191.1z", "M322.7 256C347.7 256 368 235.7 368 210.7c0-12-4.768-23.51-13.25-32C342.7 166.7 336 150.5 336 133.5V112C336 103.2 328.8 96 320 96v72c0 39.42-23.81 73.22-57.79 88H322.7zM125.3 256h60.54C151.8 241.2 128 207.4 128 168V96C119.2 96 112 103.2 112 112v21.49c0 16.97-6.742 33.25-18.75 45.25C84.77 187.2 80 198.7 80 210.7C80 235.7 100.3 256 125.3 256zM323.6 323.3C340.8 338 352 359.6 352 384v16c0 5.891-3.25 11.3-8.438 14.08C341.2 415.4 338.6 415.1 336 415.1c-3.094 0-6.188-.8906-8.844-2.656C326.7 413 282.1 384 224 384s-102.7 29.05-103.2 29.33c-4.875 3.266-11.22 3.547-16.41 .75C99.25 411.3 96 405.9 96 400V384c0-24.38 11.19-45.97 28.44-60.66C53.25 339.6 0 402.1 0 479.1c0 17.67 14.33 32 32 32h176.2C208.7 502.7 215.5 496 224 496s15.3 6.649 15.81 15.03H416c17.67 0 32-14.33 32-32C448 402.1 394.8 339.6 323.6 323.3zM224 463.1c-8.836 0-16-7.164-16-16s7.164-16 16-16s16 7.164 16 16S232.8 463.1 224 463.1zM264 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C248 136.8 255.2 144 264 144zM212 240v32c0 6.625 5.375 12 12 12s12-5.375 12-12v-32c0-6.625-5.375-12-12-12S212 233.4 212 240zM184 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S168 119.2 168 128C168 136.8 175.2 144 184 144zM176 191.1C176 198.6 181.4 204 188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1C181.4 179.1 176 185.4 176 191.1z"]],
    "user-shield": [640, 512, [], "f505", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320.6 310.3C305.9 306.3 290.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c3.143 0 5.967-1.004 8.861-1.789C369.7 469.8 324.1 400.3 320.6 310.3z", "M622.3 271.1l-115.1-45.01c-4.125-1.629-12.62-3.754-22.25 0L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9c9.625 3.75 18 1.625 22.25 0C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM496 462.4V273.2l95.5 37.38C585.9 397.8 530.6 446 496 462.4z"]],
    "user-slash": [640, 512, [], "f506", ["M447.1 127.1C447.1 57.31 390.7 0 319.1 0C250.2 0 193.7 55.93 192.3 125.4l160.6 125.8C407.5 236.7 447.1 187.3 447.1 127.1zM264.9 304.3c-93.62 2.422-168.9 78.87-168.9 173.1c0 19.14 15.52 34.67 34.66 34.67h378.7c5.625 0 10.73-1.65 15.42-4.029L264.9 304.3z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "user-tag": [640, 512, [], "f507", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM379.8 435c-18.06-18.05-28-42.12-28-67.75v-44.1C328.5 310.7 302.4 304 274.7 304H173.3c-95.73 0-173.3 77.65-173.3 173.4C.0005 496.5 15.52 512 34.66 512h378.7c11.86 0 21.82-6.337 28.07-15.43L379.8 435z", "M630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.75 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.647 33.15 18.65 45.15l90.31 90.27c12.5 12.5 32.74 12.5 45.24 0l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM447.8 343.9c-13.25 0-24-10.62-24-24c0-13.25 10.75-24 24-24c13.38 0 24 10.75 24 24S461.1 343.9 447.8 343.9z"]],
    "user-tie": [448, 512, [], "f508", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M272 304L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304L272 304z"]],
    "user-tie-hair": [448, 512, [], "e45f", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"]],
    "user-tie-hair-long": [448, 512, [], "e460", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"]],
    "user-unlock": [640, 512, [], "e058", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z", "M592 288h-128V208c0-17.62 14.38-32 32-32s32 14.38 32 32V224H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432z"]],
    "user-visor": [448, 512, [], "e04c", ["M224 0C183.8 0 148.3 18.95 124.8 48h198.3C299.7 18.95 264.3 0 224 0zM342.1 174.6C340.7 175.1 338.5 176 336 176h-224c-2.463 0-4.66-.8659-6.962-1.393C123.7 222.2 169.8 256 224 256S324.3 222.2 342.1 174.6zM325.9 369.6c-.625-1-1.75-1.5-3-1.625c-1.25 0-2.375 .625-3.125 1.5c-19.88 23-31.88 53-35.75 89.5c-.125 1.5 .6252 3.125 1.1 3.875c1.501 .75 3.125 .625 4.5-.375c24.75-19.25 33.75-23.75 37-24.75c.5-.25 .875-.375 1.375-.375c2.25 2 7.625 7.75 19.88 25C349.5 463.4 350.8 464 352 464c.375 0 .875 0 1.25-.125c1.75-.625 2.75-2.125 2.75-4C354.9 424.6 344.8 394.3 325.9 369.6z", "M112 176h224c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32h-224c-17.67 0-32 14.33-32 32v64C80 161.7 94.33 176 112 176zM128 96h192v32H128V96zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM353.3 463.9C352.9 464 352.4 464 352 464c-1.25 0-2.5-.625-3.25-1.625c-12.25-17.25-17.62-23-19.88-25c-.5 0-.875 .125-1.375 .375c-3.25 1-12.25 5.5-37 24.75c-1.375 1-2.1 1.125-4.5 .375C284.6 462.1 283.9 460.5 284 459c3.875-36.5 15.88-66.5 35.75-89.5C320.5 368.6 321.6 368 322.9 368c1.25 .125 2.375 .625 3 1.625c18.88 24.62 29 55 30.12 90.25C356 461.8 355 463.3 353.3 463.9z"]],
    "user-vneck": [448, 512, [], "e461", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M140.2 306.3L224 431.1L307.8 306.3C387.4 319.5 448 388.7 448 471.1V479.1C448 497.7 433.7 511.1 416 511.1H32C14.33 511.1 0 497.7 0 479.1V471.1C0 388.7 60.64 319.5 140.2 306.3z"]],
    "user-vneck-hair": [448, 512, [], "e462", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM297.2 320.3C381.4 325.7 448 395.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.7 66.62 325.7 150.8 320.3L224 424L297.2 320.3z"]],
    "user-vneck-hair-long": [448, 512, [], "e463", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM295.8 320.2C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.2L224 416L295.8 320.2z"]],
    "user-xmark": [640, 512, ["user-times"], "f235", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z", "M577.9 223.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 190.1l-47.03-47.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L544 257.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L577.9 223.1z"]],
    "users": [640, 512, [], "f0c0", ["M128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM185.5 200.1C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5c-20.38-23.79-33.16-54.29-33.16-88C183.9 210.6 184.9 205.4 185.5 200.1z", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352z"]],
    "users-between-lines": [640, 512, [], "e591", ["M83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160zM192 256C204.2 256 215.7 259.4 225.4 265.4C188.2 280.5 159.8 312.6 149.6 352H64C46.33 352 32 337.7 32 320C32 284.7 60.65 256 96 256H192zM576 352H493.6C483.2 311.9 453.1 279.4 415.9 264.6C425.3 259.1 436.3 256 448 256H544C579.3 256 608 284.7 608 320C608 337.7 593.7 352 576 352zM465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 372.8 179.5 362 183.1 352C193.6 322.3 218.3 299.2 249.1 291.1C256.1 289.1 265.1 288 273.6 288H369.6C377 288 384.3 288.8 391.2 290.4C423.3 297.8 449.3 321.3 460.1 352C463.7 362 465.6 372.8 465.6 384zM435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160V160zM401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176z", "M616 0C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H616zM616 464C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H616z"]],
    "users-gear": [640, 512, ["users-cog"], "f509", ["M183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM368 400c0-16.69 3.398-32.46 8.619-47.36C374.3 352.5 372.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h266.1C389.5 485.6 368 445.5 368 400zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 21.47-5.625 41.38-14.65 59.34C462.2 263.4 486.1 256 512 256c42.48 0 80.27 18.74 106.6 48h3.756C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM319.9 112c-57.41 0-103.1 46.56-103.1 104c0 57.44 46.55 104 103.1 104c57.41 0 103.1-46.56 103.1-104C423.8 158.6 377.3 112 319.9 112z", "M597.3 415.8c1.953-10.42 1.953-21.22 0-31.64l19.17-11.17c2.234-1.209 3.256-3.814 2.512-6.326c-5.025-16.01-13.59-30.62-24.75-42.71c-1.674-1.861-4.467-2.326-6.699-1.023l-19.17 11.07c-8.096-6.887-17.4-12.28-27.45-15.82V295.1c0-2.514-1.861-4.746-4.281-5.213c-16.56-3.723-33.5-3.629-49.32 0C484.9 291.2 483.1 293.5 483.1 295.1v22.24c-10.05 3.537-19.36 8.932-27.45 15.82l-19.26-11.07c-2.139-1.303-4.932-.8379-6.697 1.023c-11.17 12.1-19.73 26.71-24.66 42.71c-.7441 2.512 .2793 5.117 2.42 6.326l19.17 11.17c-1.859 10.42-1.859 21.21 0 31.64l-19.17 11.17c-2.234 1.209-3.164 3.816-2.42 6.328c4.932 16.01 13.49 30.52 24.66 42.71c1.766 1.863 4.467 2.328 6.697 1.025l19.26-11.07c8.094 6.887 17.4 12.28 27.45 15.82v22.24c0 2.514 1.77 4.746 4.188 5.211c16.66 3.723 33.5 3.629 49.32 0c2.42-.4648 4.281-2.697 4.281-5.211v-22.24c10.05-3.535 19.36-8.932 27.45-15.82l19.17 11.07c2.141 1.303 5.025 .8379 6.699-1.025c11.17-12.1 19.73-26.7 24.75-42.71c.7441-2.512-.2773-5.119-2.512-6.328L597.3 415.8zM512 432c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C544 417.7 529.7 432 512 432z"]],
    "users-line": [640, 512, [], "e592", ["M83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96zM192 192C204.2 192 215.7 195.4 225.4 201.4C188.2 216.5 159.8 248.6 149.6 288H64C46.33 288 32 273.7 32 256C32 220.7 60.65 192 96 192H192zM576 288H493.6C483.2 247.9 453.1 215.4 415.9 200.6C425.3 195.1 436.3 192 448 192H544C579.3 192 608 220.7 608 256C608 273.7 593.7 288 576 288zM465.6 320C465.6 337.7 451.3 352 433.6 352H209.6C191.9 352 177.6 337.7 177.6 320C177.6 308.8 179.5 298 183.1 288C193.6 258.3 218.3 235.2 249.1 227.1C256.1 225.1 265.1 224 273.6 224H369.6C377 224 384.3 224.8 391.2 226.4C423.3 233.8 449.3 257.3 460.1 288C463.7 298 465.6 308.8 465.6 320zM435.2 96C435.2 60.65 463.9 32 499.2 32C534.5 32 563.2 60.65 563.2 96C563.2 131.3 534.5 160 499.2 160C463.9 160 435.2 131.3 435.2 96V96zM401.6 112C401.6 156.2 365.8 192 321.6 192C277.4 192 241.6 156.2 241.6 112C241.6 67.82 277.4 32 321.6 32C365.8 32 401.6 67.82 401.6 112z", "M0 448C0 430.3 14.33 416 32 416H608C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448z"]],
    "users-medical": [640, 512, [], "f830", ["M128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM476 484h-16c-24.26 0-44-19.74-44-44v-48c0-10.1 4.199-20.94 10.89-28.66C409.4 356.1 390.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h321.5C476.8 508.2 476 504.2 476 500V484zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h63.7C494.4 294.3 506.4 288 520 288h48c13.57 0 25.58 6.309 33.65 16h20.73C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216z", "M628 380h-48v-48c0-6.627-5.373-12-12-12h-48c-6.627 0-12 5.373-12 12v48h-48c-6.627 0-12 5.373-12 12v48c0 6.627 5.373 12 12 12h48v48c0 6.627 5.373 12 12 12h48c6.627 0 12-5.373 12-12v-48h48c6.627 0 12-5.373 12-12v-48C640 385.4 634.6 380 628 380z"]],
    "users-rays": [640, 512, [], "e593", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M112.1 79.03C122.3 88.4 122.3 103.6 112.1 112.1C103.6 122.3 88.4 122.3 79.03 112.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L112.1 79.03zM599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97L560.1 112.1C551.6 122.3 536.4 122.3 527 112.1C517.7 103.6 517.7 88.4 527 79.03L599 7.029zM7.029 471L79.03 399C88.4 389.7 103.6 389.7 112.1 399C122.3 408.4 122.3 423.6 112.1 432.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM527 432.1C517.7 423.6 517.7 408.4 527 399C536.4 389.7 551.6 389.7 560.1 399L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L527 432.1z"]],
    "users-rectangle": [640, 512, [], "e594", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M0 96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V416C640 469 597 512 544 512H96C42.98 512 0 469 0 416V96zM96 64C78.33 64 64 78.33 64 96V416C64 433.7 78.33 448 96 448H544C561.7 448 576 433.7 576 416V96C576 78.33 561.7 64 544 64H96z"]],
    "users-slash": [640, 512, [], "e073", ["M208 80C208 35.82 172.2 0 128 0C103.8 0 82.52 10.97 67.96 27.95l125.2 98.1C202.4 113.1 208 97.24 208 80zM423.8 216c0-57.44-46.54-104-103.1-104c-35.93 0-67.07 18.53-85.59 46.3l162.3 127.2C413.4 267.2 423.8 242.9 423.8 216zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM270.1 352C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c11.62 0 21.54-6.583 25.95-15.96L325.7 352H270.1zM186.1 243.2L121.6 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C202.4 286.8 191.8 266.1 186.1 243.2zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.846 3.156 16.91 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "users-viewfinder": [640, 512, [], "e595", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V32C0 14.33 14.33 0 32 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48zM480 24C480 10.75 490.7 0 504 0H608C625.7 0 640 14.33 640 32V136C640 149.3 629.3 160 616 160C602.7 160 592 149.3 592 136V48H504C490.7 48 480 37.25 480 24zM48 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H32C14.33 512 0 497.7 0 480V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464zM504 464H592V376C592 362.7 602.7 352 616 352C629.3 352 640 362.7 640 376V480C640 497.7 625.7 512 608 512H504C490.7 512 480 501.3 480 488C480 474.7 490.7 464 504 464z"]],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", ["M221.6 148.8C224.7 161.4 224.8 174.6 222.1 187.3C219.3 200.1 213.7 211.1 205.6 222.2C197.1 232.6 186.5 240.1 174.5 246.8C162.4 252.7 149.2 255.8 135.8 256H88.16C74.77 255.9 61.57 252.8 49.5 246.1C37.43 241.2 26.78 232.8 18.31 222.4C10.2 212.2 4.542 200.2 1.769 187.5C-1.005 174.7-.821 161.5 2.306 148.8L32.55 12.45C33.4 8.598 35.64 5.197 38.85 2.9C42.06 .602 46-.4297 49.92 .0026C53.85 .4375 57.48 2.314 60.11 5.268C62.74 8.223 64.19 12.05 64.16 16V160H81.54L98.63 11.94C99.02 8.667 100.6 5.653 103.1 3.466C105.5 1.28 108.7 .0721 112 .0721C115.3 .0721 118.5 1.28 120.9 3.466C123.4 5.653 124.1 8.667 125.4 11.94L142.5 160H160V16C159.1 12.07 161.4 8.268 163.1 5.317C166.6 2.366 170.2 .474 174.1 .0026C178-.4262 181.1 .619 185.2 2.936C188.4 5.253 190.6 8.677 191.5 12.55L221.6 148.8zM419.3 .2602C424.5 .8279 429.4 2.66 433.7 5.594C437.1 8.528 441.5 12.47 443.9 17.08C446.3 21.69 447.5 26.81 447.4 32V352H351.2C342.8 351.1 334.5 350.3 326.7 347.1C318.1 343.8 311.9 339 305.1 333.1C300.1 327.1 295.4 319.1 292.3 312.2C289.1 304.4 287.5 296 287.6 287.6V173.8C287.7 136.9 298.8 100.8 319.6 70.23C340.4 39.67 369.8 16.02 404.1 2.339C408.9 .4062 414.2-.3078 419.3 .2599V.2602z", "M136.2 255.1C141.5 255.9 146.9 255.2 152.2 254V472C152.2 482.6 147.9 492.8 140.4 500.3C132.9 507.8 122.8 512 112.2 512C101.6 512 91.38 507.8 83.88 500.3C76.37 492.8 72.16 482.6 72.16 472V254.1C77.42 255.2 82.78 255.9 88.16 255.1H136.2zM448 472C448 482.6 443.8 492.8 436.3 500.3C428.8 507.8 418.6 512 408 512C397.4 512 387.2 507.8 379.7 500.3C372.2 492.8 368 482.6 368 472V352H446.8L448 472z"]],
    "utensils-slash": [640, 512, [], "e464", ["M96.35 172.2L247.1 291.2V472C247.1 482.6 243.8 492.8 236.3 500.3C228.8 507.8 218.6 512 207.1 512C197.4 512 187.2 507.8 179.7 500.3C172.2 492.8 167.1 482.6 167.1 472V254.1C147 250.1 128.1 238.8 114.5 222.3C103.1 208.1 96.73 190.5 96.35 172.2zM160.2 100.2L116.6 66.11L128.5 12.42C129.3 8.547 131.6 5.128 134.8 2.829C138 .5309 141.1-.4791 145.9-.001C149.8 .4265 153.5 2.3 156.1 5.255C158.7 8.211 160.2 12.04 160.2 15.1V100.2zM317.7 148.8C320.3 160 320.7 171.6 318.7 182.9C316.7 194.3 312.5 205.1 306.3 214.7L182.4 117.7L194.6 11.9C195 8.632 196.6 5.617 199.1 3.431C201.5 1.244 204.7 .0365 207.1 .0365C211.3 .0365 214.5 1.244 216.9 3.431C219.4 5.617 220.1 8.632 221.4 11.9L238.5 159.1H255.1V15.1C255.1 12.07 257.4 8.264 259.1 5.313C262.6 2.362 266.2 .4704 270.1-.001C274-.4823 278 .5424 281.2 2.868C284.4 5.193 286.7 8.648 287.5 12.54L317.7 148.8zM544 401.1L383.3 275.2L384 173.8C384 136.9 395.1 100.8 415.8 70.27C436.5 39.7 465.8 16.04 500.1 2.335C504.1 .3971 510.2-.3242 515.4 .2352C520.6 .7942 525.6 2.616 529.9 5.542C534.2 8.468 537.8 12.41 540.2 17.02C542.7 21.63 543.1 26.78 544 31.1V401.1z", "M639.8 485.1C640.6 491.4 638.8 497.8 634.9 502.8C630.1 507.8 625.2 511.1 618.9 511.8C612.6 512.6 606.2 510.8 601.2 506.9L9.184 42.88C4.231 38.93 1.038 33.19 .3029 26.89C-.4322 20.6 1.35 14.28 5.26 9.293C9.171 4.31 14.89 1.075 21.18 .293C27.46-.4888 33.8 1.246 38.82 5.12L630.8 469.1C635.8 473 639.1 478.8 639.8 485.1L639.8 485.1z"]],
    "utility-pole": [512, 512, [], "e2c3", ["M128 55.1C128 42.74 117.3 32 104 32S80 42.74 80 55.1V64H128V55.1zM24 32C10.75 32 0 42.74 0 55.1V64h48V55.1C48 42.74 37.25 32 24 32zM83.16 128L224 221.9V183.4L140.8 128H83.16zM488 32c-13.25 0-24 10.74-24 23.1V64H512V55.1C512 42.74 501.3 32 488 32zM408 32C394.7 32 384 42.74 384 55.1V64h48V55.1C432 42.74 421.3 32 408 32zM288 183.4v38.46L428.8 128h-57.69L288 183.4z", "M512 64v32c0 17.67-14.33 32-32 32h-192v384H224V128H32C14.33 128 0 113.7 0 96V64h224V16C224 7.162 231.2 0 240 0h32C280.8 0 288 7.162 288 16V64H512z"]],
    "utility-pole-double": [512, 512, [], "e2c4", ["M24 32C10.75 32 0 42.74 0 55.1V64h48V55.1C48 42.74 37.25 32 24 32zM128 55.1C128 42.74 117.3 32 104 32S80 42.74 80 55.1V64H128V55.1zM83.16 128L224 221.9V183.4L140.8 128H83.16zM488 32c-13.25 0-24 10.74-24 23.1V64H512V55.1C512 42.74 501.3 32 488 32zM408 32C394.7 32 384 42.74 384 55.1V64h48V55.1C432 42.74 421.3 32 408 32zM371.2 128L288 183.4v38.46L428.8 128H371.2zM24 224C10.75 224 0 234.7 0 247.1V256h48V247.1C48 234.7 37.25 224 24 224zM83.16 320L224 413.9v-38.46L140.8 320H83.16zM488 224c-13.25 0-24 10.74-24 23.1V256H512V247.1C512 234.7 501.3 224 488 224zM408 224C394.7 224 384 234.7 384 247.1V256h48V247.1C432 234.7 421.3 224 408 224zM288 375.4v38.46L428.8 320h-57.69L288 375.4zM128 247.1C128 234.7 117.3 224 104 224S80 234.7 80 247.1V256H128V247.1z", "M288 128v128h224v32c0 17.67-14.33 32-32 32h-192v192H224v-192H32c-17.67 0-32-14.33-32-32V256h224V128H32C14.33 128 0 113.7 0 96V64h224V16C224 7.162 231.2 0 240 0h32C280.8 0 288 7.162 288 16V64h224v32c0 17.67-14.33 32-32 32H288z"]],
    "v": [384, 512, [118], "56", ["M381.5 76.33l-160 384C216.6 472.2 204.9 480 192 480s-24.56-7.757-29.53-19.68l-160-384c-6.797-16.31 .9062-35.05 17.22-41.84c16.38-6.859 35.08 .9219 41.84 17.22L192 364.8l130.5-313.1c6.766-16.3 25.47-24.09 41.84-17.22C380.6 41.28 388.3 60.01 381.5 76.33z", ""]],
    "vacuum": [640, 512, [], "e04d", ["M576 320v128c0 35.35-28.65 64-64 64h-65.78c44.91-41.51 47.66-111.6 6.148-156.5C426.8 327.9 389 315.1 352 321.6V160c0-17.67 14.33-32 32-32C489.1 128 576 214 576 320z", "M368 352C323.8 352 288 387.8 288 432c0 44.18 35.82 80 80 80s80-35.82 80-80C448 387.8 412.2 352 368 352zM368 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C384 440.8 376.8 448 368 448zM640 128c-.0762-70.66-57.34-127.9-128-128H301.6C241.6 0 189 42.59 176.5 101.2L102.1 448H48C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h160C184.8 512 192 504.8 192 496v-32C192 455.2 184.8 448 176 448H167.6L239 114.6C245.4 85.16 271.5 64.11 301.6 64H512c35.35 .1406 63.88 28.91 63.74 64.26c-.1211 29.96-20.1 55.82-50.26 62.25c15.14 16.43 27.27 35.39 35.88 56c-.1484-.3711-.2402-.7666-.3887-1.138C607.2 226.1 640 181.1 640 128z"]],
    "vacuum-robot": [512, 512, [], "e04e", ["M139.3 308.7c-6.25-6.25-16.38-6.25-22.63 0C113.6 311.8 112 315.9 112 319.1c0 4.094 1.562 8.187 4.687 11.31l64 64c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L139.3 308.7zM155.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63l128 128c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L155.3 228.7zM299.3 276.7l-64-64C232.2 209.6 228.1 208 224 208C219.9 207.1 215.8 209.6 212.7 212.7C206.4 218.9 206.4 229.1 212.7 235.3l64 64C279.8 302.4 283.9 303.1 288 303.1s8.188-1.563 11.31-4.688C302.4 296.2 303.1 292.1 304 288C304 283.9 302.4 279.8 299.3 276.7z", "M437 74.99C337-24.1 174.1-24.1 74.99 74.99C-24.99 174.1-24.99 337 74.99 437c99.99 99.99 262 99.99 362 .0027C536.1 337 536.1 174.1 437 74.99zM203.3 395.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688l-64-64c-6.25-6.25-6.25-16.37 0-22.63c6.25-6.25 16.38-6.25 22.63 0l64 64C209.6 378.9 209.6 389.1 203.3 395.3zM283.3 379.3C280.2 382.4 276.1 383.1 272 383.1s-8.188-1.562-11.31-4.688L132.7 251.3c-6.25-6.25-6.25-16.37 0-22.63s16.37-6.25 22.62 0l128 128C289.6 362.9 289.6 373.1 283.3 379.3zM299.3 299.3C296.2 302.4 292.1 303.1 288 303.1c-4.094 0-8.188-1.562-11.31-4.687l-64-64c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.25 16.38-6.25 22.63 0l64 64C305.6 282.9 305.6 293.1 299.3 299.3zM379.3 379.3c-3.125 3.125-7.219 4.688-11.31 4.688c-4.094 0-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.63c27.47-27.47 42.84-63.31 43.31-100.9c.4687-38.13-14.44-74.31-41.98-101.8c-27.52-27.53-62.72-41.97-101.8-41.97c-37.58 .4688-73.41 15.84-100.9 43.31c-6.25 6.25-16.38 6.25-22.63 0c-6.25-6.25-6.25-16.38 0-22.63c33.41-33.41 77.12-52.13 123.1-52.69c45.98-1.094 91.14 17.66 124.8 51.34c33.69 33.69 51.92 78.03 51.36 124.8C431.4 302.2 412.7 345.9 379.3 379.3z"]],
    "value-absolute": [512, 512, [], "f6a6", ["M32 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C64 46.33 49.67 32.01 32 32.01zM480 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C512 46.33 497.7 32.01 480 32.01z", "M374.6 137.4c-12.5-12.5-32.75-12.5-45.25 0L256 210.8L182.6 137.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l73.38 73.37l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25C143.6 380.9 151.8 384 160 384s16.38-3.125 22.62-9.375L256 301.3l73.38 73.38C335.6 380.9 343.8 384 352 384s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-73.38-73.38l73.38-73.37C387.1 170.1 387.1 149.9 374.6 137.4z"]],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", ["M80 400C80 355.8 115.8 320 160 320C204.2 320 240 355.8 240 400C240 444.2 204.2 480 160 480C115.8 480 80 444.2 80 400zM400 400C400 355.8 435.8 320 480 320C524.2 320 560 355.8 560 400C560 444.2 524.2 480 480 480C435.8 480 400 444.2 400 400z", "M465.1 32C483.1 32 501.9 40.34 514.1 54.78L624.1 186.5C634.7 197.1 640 212.6 640 227.7V336C640 362.5 618.5 384 592 384H590.9C583.1 329.7 536.4 288 480 288C423.6 288 376.9 329.7 369.1 384H270.9C263.1 329.7 216.4 288 160 288C103.6 288 56.9 329.7 49.13 384H48C21.49 384 0 362.5 0 336V104C0 64.24 32.24 32 72 32H465.1zM64 192H160V96H72C67.58 96 64 99.58 64 104V192zM545.1 192L465.1 96H384V192H545.1zM320 192V96H224V192H320z"]],
    "vault": [576, 512, [], "e2c5", ["M512 0C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480H496L480 512H416L400 480H176L160 512H96L80 480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H512zM224 80C135.6 80 64 151.6 64 240C64 328.4 135.6 400 224 400C312.4 400 384 328.4 384 240C384 151.6 312.4 80 224 80zM480 221.3C498.6 214.7 512 196.9 512 176C512 149.5 490.5 128 464 128C437.5 128 416 149.5 416 176C416 196.9 429.4 214.7 448 221.3V336C448 344.8 455.2 352 464 352C472.8 352 480 344.8 480 336V221.3z", "M384 240C384 328.4 312.4 400 224 400C135.6 400 64 328.4 64 240C64 151.6 135.6 80 224 80C312.4 80 384 151.6 384 240zM224 160C179.8 160 144 195.8 144 240C144 284.2 179.8 320 224 320C268.2 320 304 284.2 304 240C304 195.8 268.2 160 224 160zM512 176C512 196.9 498.6 214.7 480 221.3V336C480 344.8 472.8 352 464 352C455.2 352 448 344.8 448 336V221.3C429.4 214.7 416 196.9 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176z"]],
    "vector-circle": [512, 512, [], "e2c6", ["M41.28 191.1C62.78 119.8 119.8 62.78 192 41.28V95.1C192 100.3 192.9 104.5 194.4 108.3C155.6 124.5 124.5 155.6 108.3 194.4C104.5 192.9 100.3 191.1 96 191.1H41.28zM96 319.1C100.3 319.1 104.5 319.1 108.3 317.6C124.5 356.4 155.6 387.5 194.4 403.7C192.9 407.5 192 411.7 192 416V470.7C119.8 449.2 62.78 392.2 41.28 319.1H96zM470.7 319.1C449.2 392.2 392.2 449.2 320 470.7V416C320 411.7 319.1 407.5 317.6 403.7C356.4 387.5 387.5 356.4 403.7 317.6C407.5 319.1 411.7 319.1 416 319.1H470.7zM470.7 191.1H416C411.7 191.1 407.5 192.9 403.7 194.4C387.5 155.6 356.4 124.5 317.6 108.3C319.1 104.5 320 100.3 320 95.1V41.28C392.2 62.78 449.2 119.8 470.7 191.1z", "M192 32C192 14.33 206.3 0 224 0H288C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H224C206.3 128 192 113.7 192 96V32zM272 80V48H240V80H272zM0 224C0 206.3 14.33 192 32 192H96C113.7 192 128 206.3 128 224V288C128 305.7 113.7 320 96 320H32C14.33 320 0 305.7 0 288V224zM80 272V240H48V272H80zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM240 432V464H272V432H240zM384 224C384 206.3 398.3 192 416 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H416C398.3 320 384 305.7 384 288V224zM464 272V240H432V272H464z"]],
    "vector-polygon": [448, 512, [], "e2c7", ["M320 64V128H128V64H320zM322.2 139.7C326.9 151.6 338.4 160 352 160H384.3L351.4 217.6C348.4 203 335.5 192 320 192H292.3L322.2 139.7zM320 320C335.5 320 348.4 308.1 351.4 294.4L384.3 352H352C338.4 352 326.9 360.4 322.2 372.3L292.3 320H320zM128 448V384H320V448H128zM32 352V160H96V352H32z", "M96 32C113.7 32 128 46.33 128 64V128C128 145.7 113.7 160 96 160H32C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96zM80 80H48V112H80V80zM416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H352C334.3 160 320 145.7 320 128V64C320 46.33 334.3 32 352 32H416zM400 80H368V112H400V80zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM48 432H80V400H48V432zM416 352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384C320 366.3 334.3 352 352 352H416zM400 400H368V432H400V400zM224 224C224 206.3 238.3 192 256 192H320C337.7 192 352 206.3 352 224V288C352 305.7 337.7 320 320 320H256C238.3 320 224 305.7 224 288V224zM272 272H304V240H272V272z"]],
    "vector-square": [448, 512, [], "f5cb", ["M320 128H128V64H320V128zM320 448H128V384H320V448zM32 160H96V352H32V160zM416 352H352V160H416V352z", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H352C334.3 160 320 145.7 320 128V64C320 46.33 334.3 32 352 32H416zM368 80V112H400V80H368zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM80 432V400H48V432H80zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM400 432V400H368V432H400zM0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V128C128 145.7 113.7 160 96 160H32C14.33 160 0 145.7 0 128V64zM80 112V80H48V112H80z"]],
    "vent-damper": [640, 512, [], "e465", ["M464 304h-288C167.2 304 160 311.2 160 320s7.168 16 16 16h288c8.832 0 16-7.168 16-16S472.8 304 464 304zM0 192v128c0 17.66 14.34 32 32 32h32V160H32C14.34 160 0 174.3 0 192zM464 240h-288C167.2 240 160 247.2 160 256s7.168 16 16 16h288C472.8 272 480 264.8 480 256S472.8 240 464 240zM608 160h-32v192h32c17.66 0 32-14.34 32-32V192C640 174.3 625.7 160 608 160zM464 176h-288C167.2 176 160 183.2 160 192s7.168 16 16 16h288C472.8 208 480 200.8 480 192S472.8 176 464 176z", "M512 64H128C92.64 64 64 92.64 64 128v256c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V128C576 92.64 547.4 64 512 64zM512 384H128V128h384V384z"]],
    "venus": [384, 512, [9792], "f221", ["M256 176c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S256 140.7 256 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"]],
    "venus-double": [640, 512, [9890], "f226", ["M192 112c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C256 140.7 227.3 112 192 112zM624 176C624 78.8 545.2 0 448 0c-39.02 0-74.95 12.85-104.1 34.34c18.38 19.7 32.94 42.91 42.62 68.58C403.2 88.83 424.5 80 448 80c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96c-23.57 0-44.91-8.869-61.63-23.02c-9.572 25.45-23.95 48.54-42.23 68.23C365.1 332.7 389.3 344 416 348.1V384h-48c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H416v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V448h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H480v-35.05C561.9 333.9 624 262.3 624 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"]],
    "venus-mars": [640, 512, [9892], "f228", ["M624 0h-112.4c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.55 24.55c-29.97-20.66-64.81-31.05-99.74-31.05c-15.18 0-30.42 2.225-45.19 6.132c13.55 22.8 22.82 48.36 26.82 75.67c6.088-1.184 12.27-1.785 18.45-1.785c24.58 0 49.17 9.357 67.88 28.07c37.43 37.43 37.43 98.33 0 135.8c-18.71 18.71-43.3 28.07-67.88 28.07c-23.55 0-46.96-8.832-65.35-26.01c-15.92 18.84-34.93 35.1-56.75 47.35c11.45 5.898 20.17 16.3 23.97 28.82C331.5 406 365.7 416 400 416c45.04 0 90.08-17.18 124.5-51.55c60.99-60.99 67.73-155.6 20.47-224.1l24.55-24.55l29.56 29.56c4.889 4.889 10.9 7.078 16.8 7.078C628.2 152.4 640 142.8 640 128.4V16C640 7.164 632.8 0 624 0zM176 112c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C240 140.7 211.3 112 176 112z", "M256 384H208v-35.05C289.9 333.9 352 262.3 352 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H96c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48H256c8.838 0 16-7.164 16-16v-32C272 391.2 264.8 384 256 384zM176 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C272 228.9 228.9 272 176 272z"]],
    "vest": [448, 512, [], "e085", ["M306.7 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0l22.19 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L320 0C315.3 0 310.6 1.406 306.7 4.031zM108.7 348.7l-48 48c-6.25 6.25-6.25 16.38 0 22.62C63.81 422.4 67.91 424 72 424s8.188-1.562 11.31-4.688l48-48c6.25-6.25 6.25-16.38 0-22.62S114.9 342.4 108.7 348.7zM387.3 396.7l-48-48c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l48 48C367.8 422.4 371.9 424 376 424s8.188-1.562 11.31-4.688C393.6 413.1 393.6 402.9 387.3 396.7z", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32l-96 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM387.3 419.3C384.2 422.4 380.1 424 376 424s-8.188-1.562-11.31-4.688l-48-48c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l48 48C393.6 402.9 393.6 413.1 387.3 419.3zM96 0C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V282.8l15.13-45.4L128 0H96zM131.3 371.3l-48 48C80.19 422.4 76.09 424 72 424s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l48-48c6.25-6.25 16.38-6.25 22.62 0S137.6 365.1 131.3 371.3z"]],
    "vest-patches": [448, 512, [], "e086", ["M306.7 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0l22.19 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L320 0C315.3 0 310.6 1.406 306.7 4.031zM358.5 286.5l-5.069 .0566l.0557-5.076c.0723-12.8-9.268-24.26-22.06-25.42c-14.68-1.311-27.07 10.26-27.21 24.67L304 329.3C303.1 333 306.1 336 310.7 336l48.53-.2148c14.43-.1094 25.98-12.47 24.67-27.17C382.7 295.8 371.3 286.5 358.5 286.5zM96 376c-22.09 0-40 17.91-40 40S73.91 456 96 456S136 438.1 136 416S118.1 376 96 376z", "M96 0C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V282.8l15.13-45.4L128 0H96zM96 456c-22.09 0-40-17.91-40-40S73.91 376 96 376S136 393.9 136 416S118.1 456 96 456zM128.5 272.5L113 288l15.5 15.5c4.656 4.688 4.656 12.31 0 17C126.2 322.8 123.1 324 120 324s-6.156-1.156-8.5-3.5L96 305l-15.5 15.5C78.16 322.8 75.06 324 72 324s-6.156-1.156-8.5-3.5c-4.656-4.688-4.656-12.31 0-17L79 288L63.5 272.5c-4.656-4.688-4.656-12.31 0-17c4.688-4.688 12.31-4.688 17 0L96 271l15.5-15.5c4.688-4.688 12.31-4.688 17 0C133.2 260.2 133.2 267.8 128.5 272.5zM437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32l-96 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM359.2 335.8L310.7 336C306.1 336 303.1 333 304 329.3l.2158-48.53c.1445-14.4 12.53-25.98 27.21-24.67c12.79 1.162 22.13 12.62 22.06 25.42l-.0557 5.076l5.069-.0566c12.83-.0352 24.24 9.275 25.4 22.08C385.2 323.3 373.7 335.7 359.2 335.8z"]],
    "vial": [512, 512, [129514], "f492", ["M502.6 169.4l-160-160C336.4 3.125 328.2 0 320 0s-16.38 3.125-22.62 9.375c-12.5 12.5-12.5 32.75 0 45.25l6.975 6.977l-271.4 271c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-9.1 72.88-30.12l275.2-274.6l7.365 7.367C463.6 220.9 471.8 224 480 224s16.38-3.125 22.62-9.375C515.1 202.1 515.1 181.9 502.6 169.4zM129.6 436.6C122.2 443.1 112.4 448 101.5 448c-6.615 0-19.23-1.766-29.44-13.65c-12.85-14.91-10.09-40.24 6.107-56.44l271.4-271l55.18 55.12L129.6 436.6z", "M310.6 256L129.6 436.6C122.2 443.1 112.4 448 101.5 448c-6.615 0-19.23-1.766-29.44-13.65c-12.85-14.91-10.09-40.24 6.107-56.44L200.2 256H310.6z"]],
    "vial-circle-check": [512, 512, [], "e596", ["M224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96V266.8C203.8 295.4 192 330.3 192 368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H224zM160 96H96V192H160V96z", "M224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368zM435.3 347.3C441.6 341.1 441.6 330.9 435.3 324.7C429.1 318.4 418.9 318.4 412.7 324.7L352 385.4L323.3 356.7C317.1 350.4 306.9 350.4 300.7 356.7C294.4 362.9 294.4 373.1 300.7 379.3L340.7 419.3C346.9 425.6 357.1 425.6 363.3 419.3L435.3 347.3z"]],
    "vial-virus": [576, 512, [], "e597", ["M32 64C32 46.33 46.33 32 64 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96V207.1C252.9 209.1 249.9 211.5 247.2 214.2C225.3 236.1 225.3 271.6 247.2 293.4C247.4 293.6 247.4 293.7 247.5 293.8L247.5 293.8C247.5 293.9 247.5 294.1 247.4 294.4C247.3 294.6 247.1 294.8 247.1 294.8L247 294.9C246.1 294.9 246.8 294.9 246.6 294.9C215.7 294.9 190.6 319.1 190.6 350.9C190.6 381.8 215.7 406.9 246.6 406.9C246.8 406.9 246.1 406.9 247 406.9L247.1 406.9C247.1 406.1 247.3 407.1 247.4 407.4C247.5 407.7 247.5 407.9 247.5 407.1L247.5 408C247.4 408.1 247.4 408.2 247.2 408.3C236 419.5 230.6 434.2 230.8 448.8C213.3 467.1 188 480 160 480C106.1 480 64 437 64 384V96C46.33 96 32 81.67 32 64V64zM128 96V192H192V96H128z", "M463.3 238.9C472.7 229.5 487.8 229.5 497.2 238.9C506.6 248.3 506.6 263.5 497.2 272.8C476.9 293.2 491.3 328 520.1 328C533.4 328 544.1 338.8 544.1 352C544.1 365.3 533.4 376 520.1 376C491.2 376 476.8 410.9 497.2 431.3C506.6 440.7 506.6 455.9 497.2 465.3C487.8 474.6 472.6 474.6 463.2 465.3C442.9 444.9 408 459.3 408 488.1C408 501.3 397.3 512.1 384 512.1C370.8 512.1 360 501.3 360 488.1C360 459.3 325.2 444.9 304.8 465.3C295.5 474.6 280.3 474.6 270.9 465.3C261.5 455.9 261.5 440.7 270.9 431.3C291.3 410.9 276.8 376 248 376C234.7 376 224 365.3 224 352C224 338.8 234.7 328 248 328C276.8 328 291.2 293.2 270.9 272.8C261.5 263.5 261.5 248.3 270.9 238.9C280.3 229.5 295.4 229.5 304.8 238.9C325.2 259.3 360 244.8 360 216C360 202.7 370.8 192 384 192C397.3 192 408 202.7 408 216C408 244.8 442.9 259.3 463.3 238.9V238.9zM352.5 289.7C334.1 289.7 320.8 303.9 320.8 321.4C320.8 338.1 334.1 353.2 352.5 353.2C370 353.2 384.2 338.1 384.2 321.4C384.2 303.9 370 289.7 352.5 289.7zM415.9 408.7C429.1 408.7 439.7 398 439.7 384.9C439.7 371.7 429.1 361.1 415.9 361.1C402.8 361.1 392.1 371.7 392.1 384.9C392.1 398 402.8 408.7 415.9 408.7z"]],
    "vials": [512, 512, [], "f493", ["M200 32h-176C10.75 32 0 42.74 0 56C0 69.25 10.75 80 24 80H32v320C32 444.1 67.88 480 112 480S192 444.1 192 400v-320h8C213.3 80 224 69.25 224 56C224 42.74 213.3 32 200 32zM144 400c0 17.67-14.33 32-32 32s-32-14.33-32-32v-320h64V400zM488 32h-176C298.7 32 288 42.74 288 56c0 13.25 10.75 24 24 24H320v320c0 44.13 35.88 80 80 80s80-35.88 80-80v-320h8C501.3 80 512 69.25 512 56C512 42.74 501.3 32 488 32zM432 400c0 17.67-14.33 32-32 32s-32-14.33-32-32v-320h64V400z", "M80 400c0 17.67 14.33 32 32 32s32-14.33 32-32V256h-64V400zM368 256v144c0 17.67 14.33 32 32 32s32-14.33 32-32V256H368z"]],
    "video": [576, 512, ["video-camera"], "f03d", ["M384 112v288c0 26.51-21.49 48-48 48h-288c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48h288C362.5 64 384 85.49 384 112z", "M576 127.5v256.9c0 25.5-29.17 40.39-50.39 25.79L416 334.7V177.3l109.6-75.56C546.9 87.13 576 102.1 576 127.5z"]],
    "video-arrow-down-left": [576, 512, [], "e2c8", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM296.1 184.1l-135 135H216c13.25 0 24 10.75 24 23.1s-10.75 24-24 24h-112c-13.25 0-24-10.75-24-24v-112c0-13.25 10.75-24 24-24S128 218.8 128 232v54.06l135-135C267.7 146.4 273.8 144 280 144s12.28 2.344 16.97 7.031C306.3 160.4 306.3 175.6 296.1 184.1z", "M280 144c-6.156 0-12.28 2.344-16.97 7.031L128 286.1V232c0-13.25-10.75-24-24-24S80 218.8 80 232v112c0 13.25 10.75 24 24 24h112c13.25 0 24-10.75 24-24c0-13.25-10.75-23.1-24-23.1H161.9l135-135c9.375-9.375 9.375-24.56 0-33.94C292.3 146.4 286.2 144 280 144zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"]],
    "video-arrow-up-right": [576, 512, [], "e2c9", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM304 280c0 13.25-10.75 23.1-24 23.1S256 293.3 256 280V225.1l-135 135C116.3 365.7 110.2 368 104 368s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l135-135H168c-13.25 0-24-10.75-24-24s10.75-23.1 24-23.1h112c13.25 0 24 10.75 24 24V280z", "M280 144h-112c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 24 24 24h54.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94C91.72 365.7 97.84 368 104 368s12.28-2.344 16.97-7.031L256 225.1v54.06C256 293.3 266.8 304 280 304s24-10.74 24-23.1V168C304 154.8 293.3 144 280 144zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"]],
    "video-plus": [576, 512, [], "f4e1", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM272 279.1H215.1v56C215.1 349.3 205.3 360 192 360c-13.27 0-23.1-10.74-23.1-23.1V279.1H111.1C98.73 279.1 88 269.3 88 256c0-13.26 10.74-23.1 23.1-23.1H168V175.1C168 162.7 178.7 152 192 152s23.1 10.74 23.1 23.1V232H272C285.3 232 296 242.7 296 256S285.3 279.1 272 279.1z", "M525.6 101.7L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.13 525.6 101.7zM272 232H215.1V175.1C215.1 162.7 205.3 152 192 152S168 162.7 168 175.1V232H111.1C98.74 232 88 242.7 88 256c0 13.26 10.73 23.1 23.1 23.1H168v56C168 349.3 178.7 360 192 360c13.26 0 23.1-10.74 23.1-23.1V279.1H272C285.3 279.1 296 269.3 296 256S285.3 232 272 232z"]],
    "video-slash": [640, 512, [], "f4e2", ["M32 399.1c0 26.51 21.49 47.1 47.1 47.1h287.1c19.57 0 36.34-11.75 43.81-28.56L32 121.8L32 399.1zM557.6 101.7l-109.6 75.56l.0001 148.5l93.6 73.36l15.99 11.02c21.22 14.59 50.41-.2967 50.41-25.8V127.5C607.1 102.1 578.9 87.13 557.6 101.7zM367.1 63.1H113.9l302.1 236.7l.0001-188.7C415.1 85.49 394.5 63.1 367.1 63.1z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "vihara": [640, 512, [], "f6a7", ["M160 192V128H224V192H160zM96 352V288H160V352H96zM64 480V448H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM512 480V448H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480zM352 448V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V448H352zM544 288V352H480V288H544zM480 128V192H416V128H480z", "M309.9 2.246C313.1 .7309 316.6-.0029 320 0C323.4-.0029 326.9 .7309 330.1 2.246C331.6 2.909 332.9 3.716 334.2 4.661L359 22.03C392.1 45.8 430.8 63.52 470.8 74.42L493.8 80.71C495.6 81.17 497.4 81.83 499 82.68C502.2 84.33 504.1 86.66 507.1 89.43C510.8 94.38 512.7 100.7 511.8 107.2C511.4 109.1 510.6 112.6 509.3 115C507.7 118.2 505.3 120.1 502.6 123.1C498.3 126.3 493 128.1 487.5 128H152.5C147 128.1 141.7 126.3 137.4 123.1C134.7 120.1 132.3 118.2 130.7 115C129.4 112.6 128.6 109.1 128.2 107.2C127.3 100.7 129.2 94.38 132.9 89.43C135 86.66 137.8 84.33 140.1 82.68C142.6 81.83 144.4 81.17 146.2 80.71L169.2 74.42C209.2 63.52 247 45.8 280.1 22.03L305.8 4.661C307.1 3.715 308.4 2.908 309.9 2.246V2.246zM479.3 192L496.4 203.4C518.5 218.2 543 229 568.8 235.5L589.8 240.7C601.6 243.7 609.3 254.9 607.8 266.9C606.3 278.1 596.1 288 584 288H56C43.88 288 33.66 278.1 32.18 266.9C30.7 254.9 38.42 243.7 50.18 240.7L71.16 235.5C96.96 229 121.5 218.2 143.6 203.4L160.7 192H479.3zM95.58 352H544.4L561.4 365.6C579.2 379.8 598.1 391.3 620.1 399.8L624.9 401.7C635.6 405.1 641.7 417.2 639.6 428.5C637.4 439.8 627.5 448 616 448H24C12.5 448 2.611 439.8 .4354 428.5C-1.74 417.2 4.407 405.1 15.09 401.7L19.87 399.8C41.03 391.3 60.83 379.8 78.63 365.6L95.58 352z"]],
    "violin": [640, 512, [127931], "f8ed", ["M457.8 227.5l-39.84 39.84c-6.256 6.256-16.38 6.267-22.64 .0127c-.002 0 0 0 0 0l-22.64-22.66c-6.258-6.256-6.256-16.37-.0026-22.63l39.83-39.84c-12.18-8.779-25.53-15.75-40.16-19.15c-32.91-7.658-65.75-.9678-88.65 21.04c2.66 7.834 4.102 16.01 4.223 24.28c.1113 44.11-35.6 79.97-79.71 80.08C192.7 288.5 177.6 284 164.6 275.5C162.1 277.4 159.7 279.4 157.4 281.5c-38.11 38.04-38.29 101.3-5.184 153.5l51.73-34.59c6.354-4.236 14.8-3.4 20.2 2l13.45 13.47c5.4 5.398 6.237 13.81 2.001 20.16l-34.48 51.79c52.22 33.04 115.4 32.77 153.4-5.238c2.215-2.383 4.303-4.887 6.244-7.494c-24.18-36.56-14.12-85.67 22.44-109.8c20.31-13.43 45.62-16.87 68.73-9.203c21.95-22.87 28.62-55.6 21.01-88.44C473.6 253 466.6 239.7 457.8 227.5zM471.1 48.01c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C495.1 58.75 485.2 48.01 471.1 48.01zM567.1 144c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C591.1 154.8 581.3 144 567.1 144zM519.1 .0088c-13.26 0-24 10.74-24 24s10.75 24 24 24c13.25 0 24-10.74 24-24S533.2 .0088 519.1 .0088zM615.1 96.01c-13.26 0-24 10.74-24 24s10.75 24 24 24C629.3 144 640 133.3 640 120S629.3 96.01 615.1 96.01z", "M224.1 402.5c-5.393-5.395-13.85-6.233-20.2-2l-68.83 45.83c-7.352 4.902-9.305 14.85-4.4 22.2c.582 .873 1.261 1.681 2.004 2.426l36.39 36.38c6.252 6.246 16.39 6.264 22.63 .012c.7441-.7422 1.411-1.534 1.995-2.409l45.86-68.81c4.23-6.346 3.394-14.77-2.001-20.16L224.1 402.5zM635.3 27.29C635.3 27.29 635.3 27.3 635.3 27.29l-22.59-22.59c-6.248-6.25-16.42-6.249-22.67-.0007c-.002 0 0-.002 0 0l-217.4 217.4c-6.248 6.248-6.245 16.38 .0026 22.63c0 .002 0-.002 0 0l22.64 22.66c6.248 6.25 16.39 6.235 22.64-.0127l217.3-217.4C641.5 43.72 641.5 33.54 635.3 27.29zM345 7.031c-9.376-9.375-24.56-9.375-33.94 0L7.032 311c-9.376 9.375-9.376 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031l304-304C354.4 31.59 354.4 16.41 345 7.031z"]],
    "virus": [512, 512, [], "e074", ["M288 43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55zM224 176C197.5 176 176 197.5 176 224C176 250.5 197.5 272 224 272C250.5 272 272 250.5 272 224C272 197.5 250.5 176 224 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z", "M272 224C272 250.5 250.5 272 224 272C197.5 272 176 250.5 176 224C176 197.5 197.5 176 224 176C250.5 176 272 197.5 272 224z"]],
    "virus-covid": [512, 512, [], "e4a8", ["M192 24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280V73.55C312.9 77.83 342.1 90.78 368 110L386.1 91.95L374.8 80.64C365.4 71.26 365.4 56.07 374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2C455.9 146.6 440.7 146.6 431.4 137.2L420 125.9L401.1 143.1C421.2 169 434.2 199.1 438.4 231.1H464V215.1C464 202.7 474.7 191.1 488 191.1C501.3 191.1 512 202.7 512 215.1V295.1C512 309.3 501.3 319.1 488 319.1C474.7 319.1 464 309.3 464 295.1V279.1H438.4C434.2 312.9 421.2 342.1 401.1 368L420 386.1L431.4 374.8C440.7 365.4 455.9 365.4 465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3C365.4 455.9 365.4 440.7 374.8 431.4L386.1 420L368 401.1C342.1 421.2 312.9 434.2 280 438.4V464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488C192 474.7 202.7 464 216 464H232V438.4C199.1 434.2 169 421.2 143.1 401.1L125.9 420L137.2 431.4C146.6 440.7 146.6 455.9 137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8C56.07 365.4 71.26 365.4 80.64 374.8L91.95 386.1L110 368C90.78 342.1 77.83 312.9 73.55 279.1H48V295.1C48 309.3 37.25 319.1 24 319.1C10.75 319.1 0 309.3 0 295.1V215.1C0 202.7 10.75 191.1 24 191.1C37.25 191.1 48 202.7 48 215.1V231.1H73.55C77.83 199.1 90.78 169 110 143.1L91.95 125.9L80.64 137.2C71.26 146.6 56.07 146.6 46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7C146.6 56.07 146.6 71.27 137.2 80.64L125.9 91.95L143.1 110C169 90.78 199.1 77.83 232 73.55V47.1H216C202.7 47.1 192 37.25 192 23.1V24zM192 176C165.5 176 144 197.5 144 224C144 250.5 165.5 272 192 272C218.5 272 240 250.5 240 224C240 197.5 218.5 176 192 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z", "M240 224C240 250.5 218.5 272 192 272C165.5 272 144 250.5 144 224C144 197.5 165.5 176 192 176C218.5 176 240 197.5 240 224z"]],
    "virus-covid-slash": [640, 512, [], "e4a9", ["M134.1 79.83L167.3 46.7C176.6 37.32 191.8 37.32 201.2 46.7C210.6 56.07 210.6 71.27 201.2 80.64L189.9 91.95L213.7 115.7C237.2 97.88 265.3 85.8 296 81.62V48H280C266.7 48 256 37.25 256 24C256 10.75 266.7 0 280 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H344V81.62C374.7 85.8 402.8 97.88 426.3 115.7L450.1 91.95L438.8 80.64C429.4 71.26 429.4 56.07 438.8 46.7C448.2 37.32 463.4 37.32 472.7 46.7L529.3 103.3C538.7 112.6 538.7 127.8 529.3 137.2C519.9 146.6 504.7 146.6 495.4 137.2L484 125.9L460.3 149.7C478.1 173.2 490.2 201.3 494.4 232H528V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V280H494.4C491.2 303.3 483.4 325.2 472.1 344.7L134.1 79.83zM149.2 213.5L401.3 412.2C383.7 421.3 364.4 427.6 344 430.4V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H280C266.7 512 256 501.3 256 488C256 474.7 266.7 464 280 464H296V430.4C265.3 426.2 237.2 414.1 213.7 396.3L189.9 420L201.2 431.4C210.6 440.7 210.6 455.9 201.2 465.3C191.8 474.7 176.6 474.7 167.3 465.3L110.7 408.7C101.3 399.4 101.3 384.2 110.7 374.8C120.1 365.4 135.3 365.4 144.6 374.8L155.1 386.1L179.7 362.3C161.9 338.8 149.8 310.7 145.6 280H112V296C112 309.3 101.3 320 88 320C74.75 320 64 309.3 64 296V216C64 202.7 74.75 192 88 192C101.3 192 112 202.7 112 216V232H145.6C146.5 225.7 147.7 219.6 149.2 213.5L149.2 213.5z", "M5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "virus-slash": [640, 512, [], "e075", ["M334.3 236.7C335.4 232.7 336 228.4 336 224C336 197.5 314.5 176 288 176C279.5 176 271.5 178.2 264.6 182.1L134.7 80.27C135.9 78.4 137.3 76.62 138.1 74.98C151.5 62.48 171.7 62.48 184.2 74.98L192.4 83.15C227.7 118.4 287.1 93.44 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.5 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C497.2 288 474.4 318.1 476.5 348.1L334.3 236.7zM107.5 224C122.5 224 135.2 218.6 144.7 210L401.1 412.7C375.6 415.7 352 437.2 352 468.5V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V468.5C288 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 288 107.5 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H107.5z", "M5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "viruses": [640, 512, [], "e076", ["M362.7 170.7h-16.16c-38.01 0-57.05-45.96-30.17-72.84l11.44-11.44c8.332-8.332 8.331-21.83-.0012-30.17c-8.334-8.334-21.83-8.332-30.17 .002L286.2 67.66C259.3 94.54 213.3 75.51 213.3 37.49V21.33C213.3 9.542 203.8 0 192 0S170.7 9.542 170.7 21.33v16.16c0 38.01-45.96 57.05-72.84 30.17L86.4 56.23c-8.334-8.334-21.83-8.336-30.17-.002c-8.332 8.334-8.333 21.84-.0012 30.17L67.66 97.83c26.88 26.88 7.842 72.84-30.17 72.84H21.33C9.541 170.7 0 180.2 0 192c0 11.79 9.541 21.33 21.33 21.33h16.16c38.01 0 57.05 45.96 30.17 72.84L56.23 297.6c-8.332 8.334-8.328 21.84 .0043 30.17c4.168 4.168 9.621 6.248 15.08 6.248s10.92-2.082 15.08-6.25L97.83 316.3c26.88-26.88 72.84-7.842 72.84 30.17v16.16C170.7 374.5 180.2 384 192 384s21.33-9.543 21.33-21.33v-16.16c0-38.01 45.96-57.05 72.84-30.17l11.43 11.43c4.168 4.168 9.625 6.25 15.08 6.25s10.91-2.08 15.08-6.248c8.332-8.332 8.333-21.83 .0012-30.17L316.3 286.2c-26.88-26.88-7.842-72.84 30.17-72.84h16.16C374.5 213.3 384 203.8 384 192C384 180.2 374.5 170.7 362.7 170.7zM160 192C142.3 192 128 177.7 128 160c0-17.67 14.33-32 32-32s32 14.33 32 32C192 177.7 177.7 192 160 192zM240 224C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192S256 199.2 256 208C256 216.8 248.8 224 240 224zM480 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 334.3 497.7 320 480 320z", "M160 128C142.3 128 128 142.3 128 160c0 17.67 14.33 32 32 32s32-14.33 32-32C192 142.3 177.7 128 160 128zM624 352h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.253-22.62-.0031l-8.576 8.576C546.5 294.9 512 280.6 512 252.1V240C512 231.2 504.8 224 496 224S480 231.2 480 240v12.12c0 28.51-34.47 42.79-54.63 22.63l-8.576-8.576c-6.25-6.25-16.37-6.253-22.62-.0031s-6.253 16.38-.0031 22.63l8.576 8.576C422.9 317.5 408.6 352 380.1 352H368c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.253 16.37-.0031 22.62c3.125 3.125 7.222 4.691 11.32 4.691s8.188-1.562 11.31-4.688l8.576-8.576C445.5 441.1 480 455.4 480 483.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.184-1.559 11.31-4.684c6.25-6.25 6.253-16.38 .0031-22.63l-8.576-8.576C569.1 418.5 583.4 384 611.9 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM480 384c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C512 369.7 497.7 384 480 384z"]],
    "voicemail": [640, 512, [], "f897", ["M144 192C117.5 192 96 213.5 96 240S117.5 288 144 288s48-21.49 48-48S170.5 192 144 192zM496 192c-26.51 0-48 21.49-48 48S469.5 288 496 288c26.51 0 48-21.49 48-48S522.5 192 496 192z", "M495.1 96c-53.13 0-102 29.25-127 76.13c-25 46.88-22.25 103.8 7.25 147.9H263.7c36.63-54.88 31.25-127.8-13-176.8c-44.38-48.87-116.4-61.37-174.6-30.25s-87.88 97.88-71.75 162c16 64 73.63 108.1 139.6 108.1h352C575.5 384 640 319.5 640 240S575.5 96 495.1 96zM63.99 240c0-44.12 35.88-80 80-80s80 35.88 80 80s-35.88 79.1-80 79.1S63.99 284.1 63.99 240zM495.1 320c-44.13 0-80-35.88-80-79.1s35.88-80 80-80s80 35.88 80 80S540.1 320 495.1 320z"]],
    "volcano": [512, 512, [127755], "f770", ["M480 512H32.1c-26.38 0-41.5-30.12-25.63-51.25l120.3-153.5l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l120.8 154.2C521.4 481.9 506.3 512 480 512z", "M304.4 224H207.6C197.7 224 188.5 228.5 182.4 236.3l-55.63 71l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l-55-70.25C323.5 228.5 314.3 224 304.4 224zM352 16c-15.75 0-30 5.875-41.25 15.38C299.6 12.75 279.4 0 255.1 0C232.6 0 212.4 12.75 201.2 31.38C189.1 21.88 175.7 16 159.1 16c-35.25 0-64 28.75-64 64s28.75 64 64 64c12.88 0 24.75-3.875 34.75-10.38L223.1 192h64l29.25-58.38C327.3 140.1 339.1 144 352 144c35.25 0 64-28.75 64-64S387.3 16 352 16z"]],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", ["M255.7 274.5c-15.24 8.977-51.68 33.34-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.82 0 69.02-5.022 108.1-17.69c19.1-28.61 32.4-61.3 38.71-96.47C474.5 311.1 443 315 414.4 315C334.7 315 276.5 286.3 255.7 274.5zM200.3 106C185.4 80.25 165.1 53.88 137.4 29.26C55.76 72.05 0 157.5 0 256c0 21.2 2.861 41.69 7.721 61.39C53.51 181.8 156 124.8 200.3 106zM326.9 10.16c74.54 84.67 89.19 175.5 89.19 233.5c0 15.62-1.059 28.86-2.298 38.99l.5501 .0005c29.53 0 62.27-4.413 97.16-15.99C511.6 263.1 512 259.6 512 256C512 139.2 433.7 40.91 326.9 10.16zM381.7 281.1c1.24-9.218 2.414-22.09 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6C267.1 .4818 261.6 0 256 0C225.5 0 196.5 5.599 169.4 15.36c93.77 90.08 102.6 198.4 102.8 231.7C287.6 255.8 326.9 275.1 381.7 281.1zM240.1 246.5C239.1 228.8 237.1 185.1 214.9 134.6C173.6 151.6 60.4 211.8 26.67 369.2c15.66 31.66 37.51 59.65 64.22 82.23C121.1 325.1 211.4 263.3 240.1 246.5zM153.1 379.3C139.1 404.9 126.9 436.1 119.4 472.3C158.1 497.3 205.7 512 256 512c69 0 131.5-27.43 177.5-71.82c-25.42 5.105-49.71 7.668-72.38 7.668C258.6 447.8 185.5 402.1 153.1 379.3z", "M433.5 440.2c-25.42 5.105-49.71 7.668-72.38 7.668c-102.6 0-175.7-44.87-207.2-68.58C139.1 404.9 126.9 436.1 119.4 472.3c-9.994-6.32-19.57-13.2-28.56-20.8c31.12-126.3 120.5-188.1 149.3-204.1C239.1 228.8 237.1 185.1 214.9 134.6C173.6 151.6 60.4 211.8 26.67 369.2C18.57 352.9 12.19 335.5 7.721 317.4C53.51 181.8 156 124.8 200.3 106C185.4 80.25 165.1 53.88 137.4 29.26C147.6 23.88 158.3 19.33 169.4 15.36c93.77 90.08 102.6 198.4 102.8 231.7c15.44 8.73 54.71 28.05 109.5 34.04c1.24-9.218 2.414-22.09 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6c18.68 1.203 36.84 4.315 54.21 9.315c74.54 84.67 89.19 175.5 89.19 233.5c0 15.62-1.059 28.86-2.298 38.99l.5501 .0005c29.53 0 62.27-4.413 97.16-15.99c-.4883 11.8-1.687 23.39-3.72 34.73C474.5 311.1 443 315 414.4 315c-79.69 0-137.9-28.67-158.6-40.55c-15.24 8.977-51.68 33.34-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.82 0 69.02-5.022 108.1-17.69C458.8 413.3 446.8 427.4 433.5 440.2z"]],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", ["M444.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256S467.1 200.4 444.6 181.9zM505.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256S550.2 144.9 505.1 108z", "M352 64v383.1c0 12.59-7.337 24.01-18.84 29.16C328.1 479.1 324.4 480 320 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H80c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C344.7 39.1 352 51.41 352 64z"]],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", ["M473.1 108.2c-10.22-8.334-25.34-6.898-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C476.6 172.1 496 213.3 496 255.1s-19.44 82.1-53.31 110.7c-10.25 8.396-11.75 23.5-3.344 33.74c4.75 5.775 11.62 8.771 18.56 8.771c5.375 0 10.75-1.779 15.22-5.431C518.2 366.9 544 313 544 255.1S518.2 145 473.1 108.2zM412.6 182c-10.28-8.334-25.41-6.867-33.75 3.402c-8.406 10.24-6.906 25.35 3.375 33.74C393.5 228.4 400 241.8 400 255.1c0 14.17-6.5 27.59-17.81 36.83c-10.28 8.396-11.78 23.5-3.375 33.74c4.719 5.806 11.62 8.802 18.56 8.802c5.344 0 10.75-1.779 15.19-5.399C435.1 311.5 448 284.6 448 255.1S435.1 200.4 412.6 182zM534.4 33.4c-10.22-8.334-25.34-6.867-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C559.9 116.3 592 183.9 592 255.1s-32.09 139.7-88.06 185.5c-10.25 8.396-11.75 23.5-3.344 33.74C505.3 481 512.2 484 519.2 484c5.375 0 10.75-1.779 15.22-5.431C601.5 423.6 640 342.5 640 255.1S601.5 88.34 534.4 33.4z", "M320 64.12v383.7c0 12.58-7.337 23.99-18.84 29.14C296.1 478.9 292.4 479.8 288 479.8c-7.688 0-15.28-2.822-21.27-8.128l-134.9-119.8H48c-26.51 0-48-21.48-48-47.96V208C0 181.6 21.49 160.1 48 160.1h83.84l134.9-119.8c9.422-8.365 22.93-10.47 34.43-5.29C312.7 40.13 320 51.55 320 64.12z"]],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", ["M412.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C393.5 228.4 400 241.8 400 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C435.1 311.6 448 284.7 448 256S435.1 200.4 412.6 181.9z", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"]],
    "volume-off": [320, 512, [], "f026", ["", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"]],
    "volume-slash": [640, 512, [128263], "f2e2", ["M64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-50.34L88.75 166.3C74.05 174.5 64 189.1 64 208zM365.2 34.84c-11.5-5.188-25.01-3.116-34.43 5.259L214.9 143.1L384 275.7V64C384 51.41 376.7 39.1 365.2 34.84zM476.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.38 3.375 33.78C457.5 228.4 464 241.8 464 256s-6.5 27.62-17.81 36.88c-7.719 6.311-10.48 16.41-7.824 25.39l21.53 16.88c.5039 .0313 .9713 .3249 1.477 .3249c5.344 0 10.75-1.781 15.19-5.406C499.1 311.6 512 284.7 512 256C512 227.3 499.1 200.4 476.6 181.9zM537.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.38 3.344 33.78C540.6 172.9 560 213.3 560 256c0 42.69-19.44 83.09-53.31 110.9c-1.045 .8574-1.599 2.029-2.46 3.013l37.8 29.63C583.9 362.8 608 310.9 608 256C608 198.9 582.2 144.9 537.1 108z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.188 42.89c-10.44-8.172-12.26-23.26-4.068-33.7C9.839 3.158 16.91 0 24.03 0C29.19 0 34.41 1.673 38.81 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", ["M560.1 303c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.381-24.56 9.373-33.94 0L480 289.9l-47.03 47.03c-9.381 9.381-24.56 9.373-33.94 0c-9.375-9.375-9.375-24.56 0-33.94l47.03-47.03l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L480 222.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-47.03 47.03L560.1 303z", "M319.1 64v383.1c0 12.59-7.325 24-18.82 29.16c-4.203 1.906-8.737 2.844-13.17 2.844c-7.688 0-15.28-2.781-21.26-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1v-95.1c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.94-10.44 34.44-5.253C312.7 40 319.1 51.41 319.1 64z"]],
    "vr-cardboard": [640, 512, [], "f729", ["M576 64H64c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64l128.3 .0001c25.18 0 48.03-14.77 58.37-37.73l27.76-61.65c7.875-17.5 24-28.63 41.63-28.63s33.75 11.13 41.63 28.63l27.75 61.63c10.35 22.98 33.2 37.75 58.4 37.75L576 448c35.2 0 64-28.8 64-64v-256C640 92.8 611.2 64 576 64zM160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z", "M160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z"]],
    "w": [576, 512, [119], "57", ["M573.1 75.25l-144 384c-4.703 12.53-16.67 20.77-29.95 20.77c-.4062 0-.8125 0-1.219-.0156c-13.77-.5156-25.66-9.797-29.52-23.03L288 178.3l-81.28 278.7c-3.859 13.23-15.75 22.52-29.52 23.03c-13.75 .4687-26.33-7.844-31.17-20.75l-144-384c-6.203-16.55 2.188-34.98 18.73-41.2C37.31 27.92 55.75 36.23 61.97 52.78l110.2 293.1l85.08-291.7C261.3 41.41 273.8 32.01 288 32.01s26.73 9.396 30.72 23.05l85.08 291.7l110.2-293.1c6.219-16.55 24.67-24.86 41.2-18.73C571.8 40.26 580.2 58.7 573.1 75.25z", ""]],
    "waffle": [512, 512, [129479], "e466", ["M176 176v64h64L240 176H176zM272 336h64v-64h-63.1L272 336zM176 336h64l.002-64H176V336zM511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-10.49-1.242-21.1 1.08-30.16 6.346C246.9 1.406 236.3-.9219 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM416 240c8.844 0 16 7.156 16 16S424.8 272 416 272h-48v64H416c8.844 0 16 7.156 16 16s-7.156 16-16 16h-48V416c0 8.844-7.156 16-16 16s-16-7.156-16-16v-48h-64V416c0 8.844-7.156 16-16 16S240 424.8 240 416v-48h-64V416c0 8.844-7.156 16-16 16S144 424.8 144 416v-48H96c-8.844 0-16-7.156-16-16s7.156-16 16-16h48v-64H96C87.16 272 80 264.8 80 256S87.16 240 96 240h48v-64H96C87.16 176 80 168.8 80 160S87.16 144 96 144h48V96c0-8.844 7.156-16 16-16S176 87.16 176 96v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48H416c8.844 0 16 7.156 16 16S424.8 176 416 176h-48v64H416zM272 240H336v-64h-64L272 240z", "M416 272c8.844 0 16-7.156 16-16S424.8 240 416 240h-48v-64H416c8.844 0 16-7.156 16-16S424.8 144 416 144h-48V96c0-8.844-7.156-16-16-16S336 87.16 336 96v48h-64V96c0-8.844-7.156-16-16-16S240 87.16 240 96v48h-64V96c0-8.844-7.156-16-16-16S144 87.16 144 96v48H96C87.16 144 80 151.2 80 160S87.16 176 96 176h48v64H96C87.16 240 80 247.2 80 256S87.16 272 96 272h48v64H96c-8.844 0-16 7.156-16 16s7.156 16 16 16h48V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48h64V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48h64V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48H416c8.844 0 16-7.156 16-16s-7.156-16-16-16h-48v-64H416zM336 176v64l-63.1 .0004L272 176H336zM176 176h64l.0012 64L176 240V176zM176 336v-64l64 .0004L240 336H176zM336 336h-64l.0012-63.1L336 272V336z"]],
    "wagon-covered": [640, 512, [], "f8ee", ["M4.508 57.42C-5.178 30.3 16.1 2.14 44.84 4.056L194.1 14.01C210.9 15.13 224 29.09 224 45.94V224H64L4.508 57.42zM352 15.1C369.7 15.1 384 30.33 384 47.1V223.1H256V47.1C256 30.33 270.3 15.1 288 15.1H352zM288 400C288 461.9 237.9 512 176 512C114.1 512 64 461.9 64 400C64 338.1 114.1 287.1 176 287.1C237.9 287.1 288 338.1 288 400zM160 461.1V416H114C119.8 438.5 137.5 456.2 160 461.1zM114 384H160V338C137.5 343.8 119.8 361.5 114 384zM192 416V461.1C214.5 456.2 232.2 438.5 237.1 416H192zM237.1 384C232.2 361.5 214.5 343.8 192 338V384H237.1zM576 400C576 461.9 525.9 512 464 512C402.1 512 352 461.9 352 400C352 338.1 402.1 287.1 464 287.1C525.9 287.1 576 338.1 576 400zM448 461.1V416H402C407.8 438.5 425.5 456.2 448 461.1zM402 384H448V338C425.5 343.8 407.8 361.5 402 384zM480 416V461.1C502.5 456.2 520.2 438.5 525.1 416H480zM525.1 384C520.2 361.5 502.5 343.8 480 338V384H525.1zM595.2 4.055C623.9 2.14 645.2 30.3 635.5 57.42L576 223.1H416V45.94C416 29.09 429.1 15.13 445.9 14.01L595.2 4.055z", "M544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H542.4C522.2 300.2 494.5 288 464 288C402.1 288 352 338.1 352 400C352 405.4 352.4 410.8 353.1 416H286.9C287.6 410.8 288 405.4 288 400C288 338.1 237.9 288 176 288C145.5 288 117.8 300.2 97.62 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H544z"]],
    "walker": [448, 512, [], "f831", ["M448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 412.7 348.7 384 384 384C419.3 384 448 412.7 448 448z", "M24.24 511C7.093 506.8-3.331 489.4 .9552 472.2L100.8 72.72C111.5 29.98 149.9 0 193.1 0H320C373 0 416 42.98 416 96V392.6C406.6 387.1 395.7 384 384 384C372.3 384 361.4 387.1 352 392.6V224H128.1L63.04 487.8C58.76 504.9 41.38 515.3 24.24 511L24.24 511zM193.1 64C179.3 64 166.5 73.99 162.9 88.24L144.1 160H352V96C352 78.33 337.7 64 320 64H193.1z"]],
    "walkie-talkie": [384, 512, [], "f8ef", ["M352 96h-32V80C320 71.16 312.8 64 304 64h-32C263.2 64 256 71.16 256 80V96h-32V80C224 71.16 216.8 64 208 64h-32C167.2 64 160 71.16 160 80V96H32C14.4 96 0 110.4 0 128v178.7c0 8.484 3.373 16.62 9.371 22.62L32 352v112C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V352l22.63-22.63C380.6 323.4 384 315.2 384 306.7V128C384 110.4 369.6 96 352 96zM288 312C288 316.4 284.4 320 280 320h-176C99.63 320 96 316.4 96 312v-16C96 291.6 99.63 288 104 288h176C284.4 288 288 291.6 288 296V312zM288 248C288 252.4 284.4 256 280 256h-176C99.63 256 96 252.4 96 248v-16C96 227.6 99.63 224 104 224h176C284.4 224 288 227.6 288 232V248zM288 184C288 188.4 284.4 192 280 192h-176C99.63 192 96 188.4 96 184v-16C96 163.6 99.63 160 104 160h176C284.4 160 288 163.6 288 168V184z", "M280 288h-176C99.63 288 96 291.6 96 296v16C96 316.4 99.63 320 104 320h176C284.4 320 288 316.4 288 312v-16C288 291.6 284.4 288 280 288zM280 224h-176C99.63 224 96 227.6 96 232v16C96 252.4 99.63 256 104 256h176C284.4 256 288 252.4 288 248v-16C288 227.6 284.4 224 280 224zM280 160h-176C99.63 160 96 163.6 96 168v16C96 188.4 99.63 192 104 192h176C284.4 192 288 188.4 288 184v-16C288 163.6 284.4 160 280 160zM112 23.1C112 10.74 101.3 0 88 0S64 10.74 64 23.1V96h48V23.1z"]],
    "wallet": [512, 512, [], "f555", ["M0 80C0 53.49 21.49 32 48 32H432C458.5 32 480 53.49 480 80V136.6C470.6 131.1 459.7 128 448 128L48 128C21.49 128 0 106.5 0 80V80z", "M48 127.1L448 128C448.4 128 448.9 128 449.3 128C460.5 128.3 470.9 131.6 480 136.9V136.6C499.1 147.6 512 168.3 512 192V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V80C0 106.5 21.49 128 48 128L48 127.1zM416 336C433.7 336 448 321.7 448 304C448 286.3 433.7 272 416 272C398.3 272 384 286.3 384 304C384 321.7 398.3 336 416 336z"]],
    "wand": [512, 512, [], "f72a", ["", "M376.3 191.1l-279.2 309.5c-12.25 13.5-33.38 14.13-46.37 1.133l-41.4-41.41c-12.1-12.1-12.35-34.09 1.145-46.34l117.5-106V271.1c0-8.874 7.124-16 15.1-16h42.62l279.1-251.8c6.374-5.75 15.1-5.5 22.12 .625l19.5 19.37c5.999 6.125 6.249 15.75 .5 22.12L415.1 147.1v28c0 8.874-7.124 16-15.1 16H376.3z"]],
    "wand-magic": [512, 512, ["magic"], "f0d0", ["M347.6 187.6L452.6 82.58L429.4 59.31L324.3 164.3L284.7 124.7L395.4 14.06C414.2-4.686 444.6-4.686 463.3 14.06L497.9 48.64C516.6 67.38 516.6 97.78 497.9 116.5L387.2 227.2L347.6 187.6z", "M116.5 497.9C97.78 516.6 67.38 516.6 48.64 497.9L14.06 463.3C-4.686 444.6-4.686 414.2 14.06 395.4L284.7 124.7L387.2 227.2L116.5 497.9z"]],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", ["M248.8 4.994C249.9 1.99 252.8 .0001 256 .0001C259.2 .0001 262.1 1.99 263.2 4.994L277.3 42.67L315 56.79C318 57.92 320 60.79 320 64C320 67.21 318 70.08 315 71.21L277.3 85.33L263.2 123C262.1 126 259.2 128 256 128C252.8 128 249.9 126 248.8 123L234.7 85.33L196.1 71.21C193.1 70.08 192 67.21 192 64C192 60.79 193.1 57.92 196.1 56.79L234.7 42.67L248.8 4.994zM529.9 116.5L419.2 227.2L379.6 187.6L484.6 82.58L461.4 59.31L356.3 164.3L316.7 124.7L427.4 14.06C446.2-4.686 476.6-4.686 495.3 14.06L529.9 48.64C548.6 67.38 548.6 97.78 529.9 116.5H529.9zM7.491 117.2L64 96L85.19 39.49C86.88 34.98 91.19 32 96 32C100.8 32 105.1 34.98 106.8 39.49L128 96L184.5 117.2C189 118.9 192 123.2 192 128C192 132.8 189 137.1 184.5 138.8L128 160L106.8 216.5C105.1 221 100.8 224 96 224C91.19 224 86.88 221 85.19 216.5L64 160L7.491 138.8C2.985 137.1 0 132.8 0 128C0 123.2 2.985 118.9 7.491 117.2zM359.5 373.2L416 352L437.2 295.5C438.9 290.1 443.2 288 448 288C452.8 288 457.1 290.1 458.8 295.5L480 352L536.5 373.2C541 374.9 544 379.2 544 384C544 388.8 541 393.1 536.5 394.8L480 416L458.8 472.5C457.1 477 452.8 480 448 480C443.2 480 438.9 477 437.2 472.5L416 416L359.5 394.8C354.1 393.1 352 388.8 352 384C352 379.2 354.1 374.9 359.5 373.2z", "M148.5 497.9C129.8 516.6 99.38 516.6 80.64 497.9L46.06 463.3C27.31 444.6 27.31 414.2 46.06 395.4L316.7 124.7L419.2 227.2L148.5 497.9z"]],
    "wand-sparkles": [512, 512, [], "f72b", ["M156.3 138L106.9 117.4L106.5 117L85.94 67.7C84.93 65.66 82.27 64.02 80 64c-.0078 0 .0078 0 0 0c-2.279 0-4.966 1.649-5.981 3.692L53.32 117.3L3.682 138C1.652 139.1 0 141.7 0 144c0 2.266 1.652 4.945 3.682 5.961L53.32 170.7L74.02 220.3c1.016 2.043 3.698 3.696 5.977 3.696c.0078 0-.0078 0 0 0c2.271-.0156 4.934-1.661 5.946-3.696l20.72-49.63l49.62-20.71c2.023-1.008 3.68-3.681 3.691-5.947C159.1 141.7 158.3 139 156.3 138zM511.1 368c-.0039-2.273-1.658-4.95-3.687-5.966l-49.57-20.67l-20.77-49.67C436.9 289.7 434.3 288 432 288c-2.281 0-4.948 1.652-5.964 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.684 3.683-3.687 5.956c.0039 2.262 1.662 4.954 3.687 5.966l49.57 20.67l20.77 49.67C427.1 446.3 429.7 448 432 448c2.277 0 4.944-1.656 5.96-3.699l20.69-49.63l49.65-20.71C510.3 372.9 511.1 370.3 511.1 368zM239.1 32L227.6 2.219C226.1 .9922 225.4 0 223.1 0S221 .9922 220.4 2.219L207.1 32L178.2 44.42C176.1 45.03 176 46.63 176 48c0 1.359 .9928 2.969 2.21 3.578L207.1 64l12.42 29.78C221 95.01 222.6 96 223.1 96s2.965-.9922 3.575-2.219L239.1 64l29.78-12.42c1.219-.6094 2.215-2.219 2.215-3.578c0-1.367-.996-2.969-2.215-3.578L239.1 32z", "M399.1 191.1c8.875 0 15.1-7.127 15.1-16v-28l91.87-101.7c5.75-6.371 5.5-15.1-.4999-22.12L487.8 4.774c-6.125-6.125-15.75-6.375-22.12-.625L186.6 255.1H144c-8.875 0-15.1 7.125-15.1 15.1v36.88l-117.5 106c-13.5 12.25-14.14 33.34-1.145 46.34l41.4 41.41c12.1 12.1 34.13 12.36 46.37-1.133l279.2-309.5H399.1z"]],
    "warehouse": [640, 512, [], "f494", ["M512 488C512 501.3 501.3 512 488 512H152C138.7 512 128 501.3 128 488V432H512V488zM512 400H128V336H512V400zM512 304H128V224H512V304z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", ["M128 248C128 234.7 138.7 224 152 224H296C309.3 224 320 234.7 320 248V328C320 341.3 309.3 352 296 352H152C138.7 352 128 341.3 128 328V248zM352 408C352 394.7 362.7 384 376 384H488C501.3 384 512 394.7 512 408V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V408zM296 384C309.3 384 320 394.7 320 408V488C320 501.3 309.3 512 296 512H152C138.7 512 128 501.3 128 488V408C128 394.7 138.7 384 152 384H296z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "washing-machine": [448, 512, ["washer"], "f898", ["M334.1 285.3c-20.53 20-53.26 19.62-73.3-1C251.3 294.3 237.9 300 224 300S196.7 294.4 187.2 284.4c-20.04 20.5-52.76 20.88-73.3 1C112.7 291.5 112.1 297.8 112 304c0 61.88 50.15 112 112 112s112-50.13 112-112C335.9 297.8 335.3 291.5 334.1 285.3zM184 112C197.3 112 208 101.3 208 88c0-13.26-10.7-24-23.96-24S160 74.74 160 88C160 101.3 170.8 112 184 112z", "M384 .0002H63.98C28.63 .0002 0 28.63 0 64v416c0 17.62 14.31 32 31.98 32h384c17.67 0 31.98-14.38 31.98-32V64C448 28.63 419.4 .0002 384 .0002zM184 64C197.3 64 208 74.75 208 88s-10.74 24-23.96 24C170.7 112 160 101.3 160 88S170.7 64 184 64zM64 88c0-13.25 10.82-24 24-24c13.31 0 24 10.75 24 24s-10.69 24-24 24C74.82 112 64 101.3 64 88zM224 448c-79.52 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"]],
    "watch": [384, 512, [8986], "f2e1", ["M0 256C0 149.1 85.96 64 192 64C298 64 384 149.1 384 256C384 362 298 448 192 448C85.96 448 0 362 0 256zM216 176C216 162.7 205.3 152 192 152C178.7 152 168 162.7 168 176V256C168 264 172 271.5 178.7 275.1L226.7 307.1C237.7 315.3 252.6 312.3 259.1 301.3C267.3 290.3 264.3 275.4 253.3 268L216 243.2L216 176z", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V112.9C286 82.49 241.2 64 192 64C142.8 64 97.97 82.49 64 112.9V48zM192 448C241.2 448 286 429.5 320 399.1V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V399.1C97.97 429.5 142.8 448 192 448zM216 243.2L253.3 268C264.3 275.4 267.3 290.3 259.1 301.3C252.6 312.3 237.7 315.3 226.7 307.1L178.7 275.1C172 271.5 168 264 168 255.1V175.1C168 162.7 178.7 151.1 192 151.1C205.3 151.1 216 162.7 216 175.1L216 243.2z"]],
    "watch-apple": [384, 512, [], "e2cb", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM192 298.7C215.6 298.7 234.7 279.6 234.7 256C234.7 232.4 215.6 213.3 192 213.3C168.4 213.3 149.3 232.4 149.3 256C149.3 279.6 168.4 298.7 192 298.7zM245.3 320C227.7 320 213.3 334.3 213.3 352C213.3 369.7 227.7 384 245.3 384C263 384 277.3 369.7 277.3 352C277.3 334.3 263 320 245.3 320zM138.7 384C156.3 384 170.7 369.7 170.7 352C170.7 334.3 156.3 320 138.7 320C120.1 320 106.7 334.3 106.7 352C106.7 369.7 120.1 384 138.7 384zM245.3 128C227.7 128 213.3 142.3 213.3 160C213.3 177.7 227.7 192 245.3 192C263 192 277.3 177.7 277.3 160C277.3 142.3 263 128 245.3 128zM138.7 192C156.3 192 170.7 177.7 170.7 160C170.7 142.3 156.3 128 138.7 128C120.1 128 106.7 142.3 106.7 160C106.7 177.7 120.1 192 138.7 192zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM213.3 352C213.3 334.3 227.7 320 245.3 320C263 320 277.3 334.3 277.3 352C277.3 369.7 263 384 245.3 384C227.7 384 213.3 369.7 213.3 352zM277.3 160C277.3 177.7 263 192 245.3 192C227.7 192 213.3 177.7 213.3 160C213.3 142.3 227.7 128 245.3 128C263 128 277.3 142.3 277.3 160zM64 256C64 238.3 78.33 224 96 224C113.7 224 128 238.3 128 256C128 273.7 113.7 288 96 288C78.33 288 64 273.7 64 256z"]],
    "watch-calculator": [384, 512, [], "f8f0", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM80 128C71.16 128 64 135.2 64 144V176C64 184.8 71.16 192 80 192H304C312.8 192 320 184.8 320 176V144C320 135.2 312.8 128 304 128H80zM88 296C101.3 296 112 285.3 112 272C112 258.7 101.3 248 88 248C74.75 248 64 258.7 64 272C64 285.3 74.75 296 88 296zM192 248C178.7 248 168 258.7 168 272C168 285.3 178.7 296 192 296C205.3 296 216 285.3 216 272C216 258.7 205.3 248 192 248zM296 296C309.3 296 320 285.3 320 272C320 258.7 309.3 248 296 248C282.7 248 272 258.7 272 272C272 285.3 282.7 296 296 296zM88 336C74.75 336 64 346.7 64 360C64 373.3 74.75 384 88 384C101.3 384 112 373.3 112 360C112 346.7 101.3 336 88 336zM192 384C205.3 384 216 373.3 216 360C216 346.7 205.3 336 192 336C178.7 336 168 346.7 168 360C168 373.3 178.7 384 192 384zM296 336C282.7 336 272 346.7 272 360C272 373.3 282.7 384 296 384C309.3 384 320 373.3 320 360C320 346.7 309.3 336 296 336z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM64 272C64 258.7 74.75 248 88 248C101.3 248 112 258.7 112 272C112 285.3 101.3 296 88 296C74.75 296 64 285.3 64 272zM168 272C168 258.7 178.7 248 192 248C205.3 248 216 258.7 216 272C216 285.3 205.3 296 192 296C178.7 296 168 285.3 168 272zM320 272C320 285.3 309.3 296 296 296C282.7 296 272 285.3 272 272C272 258.7 282.7 248 296 248C309.3 248 320 258.7 320 272zM64 360C64 346.7 74.75 336 88 336C101.3 336 112 346.7 112 360C112 373.3 101.3 384 88 384C74.75 384 64 373.3 64 360zM216 360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360C168 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360zM272 360C272 346.7 282.7 336 296 336C309.3 336 320 346.7 320 360C320 373.3 309.3 384 296 384C282.7 384 272 373.3 272 360z"]],
    "watch-fitness": [384, 512, [], "f63e", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM203.1 333.3L283.2 256.1C303.3 236.7 303.3 204.5 283.2 185C264 166.6 233.7 166.6 214.6 185L192 206.9L169.4 185C150.3 166.6 119.1 166.6 100.8 185C80.72 204.5 80.72 236.7 100.8 256.1L180.9 333.3C187.1 339.3 196.9 339.3 203.1 333.3V333.3z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM180.9 333.3L100.8 256.1C80.72 236.7 80.72 204.5 100.8 185C119.1 166.6 150.3 166.6 169.4 185L192 206.9L214.6 185C233.7 166.6 264 166.6 283.2 185C303.3 204.5 303.3 236.7 283.2 256.1L203.1 333.3C196.9 339.3 187.1 339.3 180.9 333.3V333.3z"]],
    "watch-smart": [384, 512, [], "e2cc", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM216 160C216 146.7 205.3 136 192 136C178.7 136 168 146.7 168 160V256C168 262.4 170.5 268.5 175 272.1L223 320.1C232.4 330.3 247.6 330.3 256.1 320.1C266.3 311.6 266.3 296.4 256.1 287L216 246.1V160z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM216 246.1L256.1 287C266.3 296.4 266.3 311.6 256.1 320.1C247.6 330.3 232.4 330.3 223 320.1L175 272.1C170.5 268.5 168 262.4 168 256V160C168 146.7 178.7 136 192 136C205.3 136 216 146.7 216 160V246.1z"]],
    "water": [576, 512, [], "f773", ["M384 303.8c-44.55 0-76.48-13.06-96-24.59c-19.52 11.53-51.46 24.65-96 24.65c-44.58 0-76.54-13.15-96.04-24.68C82.49 287.1 63.1 295.8 37.78 300.4C20.31 303.8 3.713 292.1 .5254 274.7C-2.646 257.4 8.869 240.7 26.24 237.5c31.23-5.719 46.84-20.06 47.5-20.66c12.61-11.81 32.67-11.91 44.89 .3438C119.3 217.8 143.4 239.8 192 239.8s72.73-22.06 73.73-23c12.59-11.75 32.67-11.88 44.89 .375c.6406 .5625 24.78 22.62 73.38 22.62s72.73-22.06 73.73-23c12.59-11.75 32.69-11.81 44.91 .375c.2813 .25 15.89 14.59 47.13 20.31c17.38 3.188 28.89 19.84 25.72 37.22c-3.188 17.38-19.69 29.09-37.25 25.72c-25.33-4.625-44.72-13.31-58.19-21.25C460.6 290.7 428.6 303.8 384 303.8z", "M37.78 156.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.14 23-73.73 23S119.3 73.76 118.6 73.2C106.4 60.95 86.35 61.04 73.74 72.85C73.09 73.45 57.48 87.79 26.24 93.51c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 148.1 20.31 159.8 37.78 156.4zM549.8 381.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 361.9 432.6 384 384 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 361.9 240.6 384 192 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 436.3 20.31 448 37.78 444.6C63.1 440 82.49 431.3 95.96 423.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 434.9 339.5 448 384.1 448c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 448 572.3 436.3 575.5 418.9C578.7 401.5 567.2 384.9 549.8 381.7z"]],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", ["M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 384 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 192 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 500.3 20.31 512 37.78 508.6C63.1 504 82.49 495.3 95.96 487.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 498.9 339.5 512 384.1 512c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.7 465.5 567.2 448.9 549.8 445.7zM37.76 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.53 24.71 96.11 24.71c44.55 0 76.42-13.15 95.94-24.68c19.52 11.53 51.51 24.68 96.06 24.68c44.58 0 76.49-13.18 95.99-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.74-22.07-73.38-22.63C298.4 284.9 278.3 285.1 265.7 296.8c-1 .9375-25.14 23-73.73 23S119.3 297.8 118.6 297.2C106.4 284.9 86.33 285 73.72 296.9C73.07 297.4 57.46 311.8 26.22 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 372.1 20.29 383.8 37.76 380.4z", "M268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"]],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", ["M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 383.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 191.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 500.3 20.29 512 37.76 508.6C63.08 504 82.47 495.3 95.94 487.4c19.5 11.53 51.52 24.62 96.1 24.62c44.55 0 76.43-13.06 95.95-24.59C307.5 498.9 339.5 512 384 512c44.58 0 76.49-13.09 95.99-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.6 465.5 567.1 448.9 549.8 445.7zM37.74 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.54 24.71 96.12 24.71c44.55 0 76.42-13.15 95.93-24.68c19.52 11.53 51.52 24.68 96.07 24.68c44.58 0 76.48-13.18 95.98-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22C518.5 311.8 502.9 297.4 502.6 297.2c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.13 23-73.72 23s-72.74-22.07-73.38-22.63c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.13 23-73.72 23S119.2 297.8 118.6 297.2C106.4 284.9 86.31 285 73.71 296.9C73.05 297.4 57.44 311.8 26.21 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.674 372.1 20.27 383.8 37.74 380.4z", "M307.1 7c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116c11.02 13.81 31.19 16.03 44.97 5L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45L307.1 7z"]],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", ["M576 445c0 16.07-12.7 32.1-31.73 32.1c-9.224 0-39.09-7.008-64.24-21.83c-19.5 11.53-51.41 24.66-96.01 24.66c-44.53 0-76.52-13.09-96.06-24.62c-19.5 11.53-51.39 24.66-95.96 24.66s-76.58-13.16-96.08-24.69c-24.71 14.56-54.82 21.84-64.26 21.84c-18.86 0-31.71-15.82-31.71-32.07c0-15.14 10.82-28.59 26.25-31.42c48.03-8.797 45.88-29.51 69.95-29.51c8.156 0 16.27 3.039 22.4 9.196c.7187 .5625 24.81 22.59 73.41 22.59c64.76 0 71.23-31.81 96.2-31.81c8.16 0 16.28 3.031 22.42 9.188c.6562 .5625 24.78 22.62 73.38 22.62c64.76 0 71.14-31.79 96.18-31.79c8.179 0 16.32 3.031 22.47 9.164C531.6 419.1 576 405.7 576 445z", "M192 383.1V288h192v95.99c39.6-.1448 53.95-17.98 64-26.83V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32s32-14.33 32-32c0-53-42.1-95.1-95.1-95.1C420.1 32 384 81.94 384 131.6V224H192V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32c17.3 0 31.2-13.79 31.79-30.94c-1.227-49.01-37.99-97.06-95.79-97.06C170.1 32 128 74.1 128 128v229.2C138.5 366.4 151.4 383.8 192 383.1zM320 128c0 .375-.1992 .6855-.2129 1.057C319.8 129.9 320 130.7 320 131.6V128z"]],
    "watermelon-slice": [512, 512, [], "e337", ["M380.5 54.63L357.9 32L32 357.9l22.62 22.62C98.16 424 156 448 217.6 448c61.56 0 119.4-23.97 162.9-67.48C424 336.1 448 279.1 448 217.6C448 156 424 98.16 380.5 54.63zM187.3 347.3c-6.246 6.246-16.36 6.277-22.61 .0234l-16.01-16.03c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.62 0L187.3 324.7C193.6 330.1 193.6 341.1 187.3 347.3zM228.7 228.7c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02c6.25 6.25 6.231 16.36-.0194 22.61C261.1 273.6 250.1 273.6 244.7 267.4L228.7 251.3C222.4 245.1 222.4 234.1 228.7 228.7zM275.3 355.3c-6.246 6.246-16.35 6.278-22.61 .0239l-16.02-16.03c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02C281.6 338.1 281.6 349.1 275.3 355.3zM308.7 148.7c6.25-6.25 16.38-6.25 22.62 0l16.03 16.01c6.25 6.252 6.225 16.37-.0252 22.62c-6.244 6.248-16.35 6.269-22.6 .0129l-16.02-16.01C302.4 165.1 302.4 154.1 308.7 148.7zM355.3 275.3c-6.246 6.246-16.35 6.272-22.6 .0184l-16.02-16.02c-6.25-6.252-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.03 16.02C361.6 258.1 361.6 269.1 355.3 275.3z", "M236.7 316.7c-6.25 6.25-6.25 16.38 0 22.63l16.02 16.03c6.254 6.254 16.36 6.222 22.61-.0239c6.25-6.25 6.27-16.35 .02-22.6l-16.02-16.02C253.1 310.4 242.9 310.4 236.7 316.7zM316.7 236.7c-6.25 6.25-6.25 16.38 0 22.63l16.02 16.02c6.254 6.254 16.35 6.228 22.6-.0184c6.25-6.252 6.276-16.36 .0258-22.61l-16.03-16.02C333.1 230.5 322.9 230.5 316.7 236.7zM324.7 187.3c6.252 6.256 16.36 6.235 22.6-.0129c6.25-6.25 6.275-16.36 .0252-22.62l-16.03-16.01c-6.25-6.25-16.38-6.25-22.62 0c-6.25 6.252-6.25 16.38 0 22.63L324.7 187.3zM425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375zM244.7 267.4c6.254 6.254 16.36 6.228 22.61-.0179c6.25-6.252 6.269-16.36 .0194-22.61L251.3 228.7c-6.25-6.252-16.38-6.252-22.62 0c-6.25 6.25-6.25 16.38 0 22.63L244.7 267.4zM164.7 347.4c6.254 6.254 16.37 6.223 22.61-.0234c6.25-6.25 6.264-16.36 .0136-22.61L171.3 308.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63L164.7 347.4z"]],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", ["", "M640 240v32c0 8.875-7.125 15.1-16 15.1h-124.2l-55.13 110.2c-5.875 11.87-18.63 18.75-31.75 17.62c-13.25-1.375-24.25-10.62-27.75-23.5L323.8 167.3L255.2 486.8C252.2 501 239.8 511.5 225.1 512H224c-14.25 0-26.88-9.5-30.75-23.25L135.9 288H16c-8.875 0-16-7.125-16-15.1V240c0-8.875 7.125-15.1 16-15.1H160c14.25 0 26.88 9.503 30.75 23.25l28.75 100.7L288.8 25.27c3-14.37 15.62-24.87 30.37-25.25c14.75-.5 27.88 9.375 31.75 23.62l74 271.1l26.5-52.1C456.8 230.9 467.9 224 480 224h144C632.9 224 640 231.1 640 240z"]],
    "wave-sine": [640, 512, [8767], "f899", ["M638.6 297.2C633 315.9 580.4 480 463.1 480C346.4 480 294.5 285.9 288.1 263.8C275.2 209 229.5 96 176 96C117.1 96 73.34 197.6 62.67 233.2C57.57 250.1 39.75 259.7 22.83 254.7C5.889 249.6-3.72 231.7 1.358 214.8C6.983 196.1 59.56 32 176 32c117.6 0 169.5 194.1 175 216.3C364.8 302.1 410.5 416 463.1 416c58.92 0 102.7-101.6 113.3-137.2c5.109-16.94 22.97-26.44 39.84-21.47C634.1 262.4 643.7 280.3 638.6 297.2z", ""]],
    "wave-square": [640, 512, [], "f83e", ["M476 480h-152c-19.88 0-36-16.12-36-36v-348H192v156c0 19.88-16.12 36-36 36H31.1C14.33 288 0 273.7 0 256s14.33-31.1 31.1-31.1H128v-156c0-19.88 16.12-36 36-36h152c19.88 0 36 16.12 36 36v348h96v-156c0-19.88 16.12-36 36-36h124C625.7 224 640 238.3 640 256s-14.33 32-31.1 32H512v156C512 463.9 495.9 480 476 480z", ""]],
    "wave-triangle": [640, 512, [], "f89a", ["M633.6 274.9l-143.1 192.3C483.6 475.2 474.1 480 463.1 480s-19.56-4.758-25.59-12.83L176 116.8L57.6 274.9C47.02 289.1 26.99 291.9 12.8 281.3c-14.14-10.61-16.1-30.71-6.391-44.85l143.1-192.3c12.06-16.15 39.12-16.15 51.19 0l262.4 350.4l118.4-158.1c10.59-14.18 30.62-16.1 44.8-6.417C641.3 240.6 644.2 260.7 633.6 274.9z", ""]],
    "waveform": [640, 512, [], "f8f1", ["M67.51 178.7C66.96 179.8 66.05 180.7 65.64 181.9L40.94 256H31.1C14.33 256 0 270.3 0 287.1c0 17.67 14.33 32.02 31.1 32.02H64c9.547 0 18.34-4.218 24.31-11.19L64.72 198.7C63.19 191.6 64.64 184.8 67.51 178.7zM160.8 89.74c-.0879 .4492-.3652 .7984-.4336 1.255L138.4 237.4l36.84 171.9c.8828 4.105 .8184 8.177 .1543 12.08c.0371-.2168 .1719-.3956 .2051-.6143l18.02-120.1L160.4 101.3C159.8 97.32 160.1 93.46 160.8 89.74zM608 256h-8.94l-24.18-72.54c-3.727-11.18-12.7-20.42-24.26-22.77c-17.89-3.632-34.32 7.829-37.93 24.59L501.6 237.3l26.09 173.9c.625 4.152 .3027 8.21-.6094 12.07c.0508-.2168 .2031-.3818 .25-.6006l24.39-113.9C557.7 315.8 566.5 320 576 320h32C625.7 320 640 305.7 640 287.1C640 270.3 625.7 256 608 256zM416.9 89.42c-.1016 .4746-.3966 .8423-.4767 1.325l-30 180l29.25 204.7c.5547 3.877 .1387 7.628-.6445 11.24c.1113-.5136 .4297-.9266 .5176-1.448l30.78-184.6l-29.1-199.9C415.8 96.87 416.1 93.08 416.9 89.42zM288.9 25.82C288.8 26.42 288.4 26.87 288.3 27.48L253.6 270.8l34 203.1c.6445 3.865 .3203 7.63-.3848 11.27c.1016-.5253 .418-.9539 .4941-1.489L319.1 258.3L288.3 36.56C287.8 32.86 288.2 29.29 288.9 25.82z", "M186.8 64.47c-17.44 2.906-29.22 19.4-26.31 36.81l64 383.1c2.594 15.66 16.09 26.7 31.47 26.7c1.75 0 3.562-.0833 5.344-.3958c17.44-2.906 29.22-19.4 26.31-36.81L223.6 90.76C220.7 73.32 204.1 61.41 186.8 64.47zM127.3 185.3c-3.719-17.25-20.59-28.5-38-24.56C72 164.4 61 181.5 64.72 198.7l47.99 223.1c3.219 14.1 16.48 25.28 31.26 25.28c2.219 0 4.469-.2187 6.75-.7187C168 443.6 179 426.6 175.3 409.3L127.3 185.3zM479.6 91.13c-2.594-17.47-18.54-29.07-36.38-26.76c-17.47 2.625-29.53 18.94-26.91 36.4l48.01 319.1c2.375 15.87 16.02 27.25 31.62 27.25c1.562 0 3.156-.125 4.781-.3437c17.47-2.625 29.53-18.94 26.91-36.4L479.6 91.13zM315.5 .3466c-17.5 2.5-29.66 18.72-27.16 36.22l64.01 447.1C354.6 500.5 368.2 512 383.9 512c1.5 0 3.125-.0937 4.656-.3124c17.5-2.5 29.66-18.72 27.16-36.22l-64-447.1C349.2 10 332.1-2.247 315.5 .3466z"]],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", ["M224 96C206.3 96 192 110.3 192 127.1v256C192 401.7 206.3 416 223.1 416S256 401.7 256 384V127.1C256 110.3 241.7 96 224 96zM32 224C14.33 224 0 238.3 0 255.1S14.33 288 31.1 288S64 273.7 64 256S49.67 224 32 224zM608 224c-17.67 0-32 14.33-32 31.1S590.3 288 608 288s32-14.33 32-31.1S625.7 224 608 224zM416 128C398.3 128 384 142.3 384 159.1v192C384 369.7 398.3 384 415.1 384S448 369.7 448 352V159.1C448 142.3 433.7 128 416 128z", "M128 192C110.3 192 96 206.3 96 223.1V288C96 305.7 110.3 320 127.1 320S160 305.7 160 288V223.1C160 206.3 145.7 192 128 192zM320 0C302.3 0 288 14.33 288 31.1V480C288 497.7 302.3 512 319.1 512S352 497.7 352 480V31.1C352 14.33 337.7 0 320 0zM512 64c-17.67 0-32 14.33-32 31.1V416C480 433.7 494.3 448 511.1 448C529.7 448 544 433.7 544 416V95.1C544 78.33 529.7 64 512 64z"]],
    "weight-hanging": [512, 512, [], "f5cd", ["M165.9 128C162.2 118 159.1 107.3 159.1 96c0-53 43-96 96-96s96 43 96 96c0 11.25-2.25 22-5.875 32H256c17.63 0 32-14.38 32-32S273.6 64 256 64S223.1 78.38 223.1 96S238.4 128 256 128H165.9z", "M464 512H47.99c-31.63 0-54.63-32.88-46.25-66.13L74.74 153.8C78.49 138.5 91.24 128 105.6 128h300.8c14.38 0 27.13 10.5 30.88 25.75l73.01 292.1C518.6 479.1 495.6 512 464 512z"]],
    "weight-scale": [512, 512, ["weight"], "f496", ["M256 0C158.8 0 80 78.8 80 176C80 273.2 158.8 352 256 352s176-78.8 176-176C432 78.8 353.2 0 256 0zM256 304c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 304 256 304z", "M448 64h-56.23c-.1387-.168-.3008-.3125-.4395-.4805C416.7 94.02 432 133.2 432 176c0 97.2-78.8 176-176 176S80 273.2 80 176c0-42.78 15.29-81.98 40.67-112.5C120.5 63.69 120.4 63.83 120.2 64H64C28.75 64 0 92.75 0 128v320c0 35.25 28.75 64 64 64h384c35.25 0 64-28.75 64-64V128C512 92.75 483.3 64 448 64zM256 264c22.12 0 40-17.88 40-40c0-10.5-4.25-20-11-27.12l33.75-78.63c3.5-8.125-.375-17.5-8.5-21c-8-3.5-17.5 .25-21 8.5L255.8 184C233.8 184.3 216 202 216 224C216 246.1 233.9 264 256 264z"]],
    "whale": [640, 512, [128011], "f72c", ["M480 128c-91.09 0-176.7 35.47-241.1 99.87l-85.66 82.69c-6.312 6.094-14.62 9.437-23.41 9.437C111.2 320 96 304.8 96 286.2c0-31.56 12.28-61.2 34.58-83.52l9.811-9.811l56.75 13.61C207.6 208.6 218.4 205.3 226 197.7l57.28-57.28c9.016-9.016 4.332-24.48-8.221-26.96L191.3 96.7L174.5 12.9C172 .3524 156.6-4.333 147.6 4.682L90.28 61.96C82.68 69.56 79.41 80.43 81.53 90.86l13.61 56.74L49.13 193.6C17.44 225.3 0 267.4 0 312.3c0 92.5 75.25 167.7 167.8 167.7H544c52.94 0 96-43.06 96-95.1V288C640 199.8 568.2 128 480 128zM384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z", "M384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z"]],
    "wheat": [512, 512, [], "f72d", ["M415.9 141.3L54.62 502.6C48.37 508.9 40.19 512 32 512s-16.38-3.128-22.62-9.378c-12.5-12.5-12.5-32.75 0-45.25L369.7 97.03c-3.07 22.78-1.234 42.01-.6035 46.36C384.9 144.5 400.6 143.5 415.9 141.3z", "M144.1 306.4C144.9 259.5 98.87 221.4 92.62 216.6c-27.87 24.38-50.75 55.1-51.87 89.5c1 28.49 18.62 56.37 40.87 78.99l60.37-60.37C143.6 318.8 144.7 312.8 144.1 306.4zM32 512c6.15 0 12.03-2.35 17.36-5.877c-6.021 3.988-13.02 5.758-19.89 5.385C30.33 511.6 31.14 512 32 512zM243.7 223c1.625-5.996 2.874-12.12 3.124-18.5C246.7 157.8 200.7 119.5 194.5 114.9c-27.88 24.37-50.75 55.1-51.1 89.49C143.6 232.9 161.2 260.8 183.5 283.3L243.7 223zM345.6 121.1c1.625-5.994 2.75-11.99 3-18.37c-.125-46.87-46.06-84.99-52.31-89.74c-27.87 24.38-50.81 55.1-51.94 89.49c1 28.49 18.62 56.37 40.87 78.99L345.6 121.1zM410.1 163.6c-6.625 0-13 1.125-19.25 2.75l-60.37 60.37c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.25C482.6 196.1 449.4 165 410.1 163.6zM308.2 265.5c-6.625 0-13 .1-19.12 2.625l-60.37 60.37c22.62 22.88 50.25 40.25 79.37 41.25c33.12-1.25 65.62-24.87 89.75-52.37C380.9 298 347.5 266.8 308.2 265.5zM206.5 367.3c-6.625 0-13 1.125-19.25 2.75l-60.37 60.37c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C278.1 399.8 245.7 368.6 206.5 367.3zM481.7 113.5c25.38-27.38 32.37-71.1 29.75-112.1c-29-1.875-80.25-.2501-112.6 29.87c-37.12 37.37-30.1 104.4-29.75 112.1C410.7 146.3 454.1 139.3 481.7 113.5z"]],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", ["M504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029V7.029zM295.3 261.1C279.3 260.4 263.1 261.8 247.5 266.3C252.3 249.7 253.6 232.3 251.5 215.3L281.9 184.8L327.2 230.1L295.3 261.1zM411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.2C444.4 172.9 428.3 165.1 411.7 162.4zM329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C346.8 82.8 339.6 67.03 329.1 52.93V52.93zM193.5 363.8C177.5 362.2 161.2 363.7 145.7 368.1C150.4 351.5 151.8 334.1 149.7 317.1L180.1 286.6L225.4 331.9L193.5 363.8zM54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L123.5 433.7L54.63 502.6z", "M294.2 16L316.8 38.63C350.9 72.7 361.7 121.2 349.3 164.5C392.6 152.1 441.1 162.9 475.2 197L497.8 219.6L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L271.5 174.4C234 136.9 234 76.12 271.5 38.63L294.2 16zM247.5 266.3C290.8 253.9 339.3 264.8 373.4 298.8L395.1 321.5L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L192.3 117.8L214.1 140.5C249 174.5 259.9 223 247.5 266.3L247.5 266.3zM90.51 219.6L113.1 242.3C147.2 276.4 158.1 324.9 145.7 368.1C188.9 355.7 237.5 366.6 271.5 400.7L294.2 423.3L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L113.1 423.3C113.1 423.3 113.1 423.3 113.1 423.3L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L90.51 219.6z"]],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", ["M504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029V7.029zM345 277.4C329.1 303.9 320 334.9 320 368C320 369 320 370.1 320 371.1C290.9 375.6 260 366.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L294.2 423.3L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L90.51 219.6L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L192.3 117.8L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L294.2 15.1L316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C463.3 186.3 467.6 189.8 471.7 193.7C426.4 199.9 386.5 223.5 359.1 257.4C352 253.3 345.4 248.3 339.4 242.3L327.2 230.1L295.3 261.1C312.5 263.6 329.5 268.8 345.1 277.4L345 277.4z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "wheat-awn-slash": [640, 512, [], "e338", ["M310.9 204.5C310.7 157.8 264.7 119.5 258.5 114.9c-12.5 10.93-23.79 23.39-32.72 36.75L308.8 216.7C309.7 212.7 310.7 208.7 310.9 204.5zM424 128c0 6.861 5.367 24 24 24c6.156 0 12.28-2.344 16.97-7.031l104-104C573.7 36.28 576 30.14 576 24C576 10.29 564.8 0 552 0c-6.141 0-12.28 2.344-16.97 7.031l-104 104C426.3 115.7 424 121.9 424 128zM552 96c-6.141 0-12.28 2.344-16.97 7.031l-72.07 72.11c-.0625 .0625 .0605-.0625 0 0c-5.77 .3672-11.35 .6211-16.62 .6211c-15.55 0-29.07-1.295-41.22-2.117c-.6016-4.271-4.867-24.05-4.867-50.47c0-3.191 .0625-6.48 .2012-9.852c.1562-.1484 .3672-.1914 .5215-.3457l72-72C477.7 36.28 480 30.14 480 24C480 10.29 468.8 0 456 0c-6.141 0-12.28 2.344-16.97 7.031l-44.08 44.08c-13.7-20.87-30.96-35.31-34.59-38.08c-27.87 24.37-50.87 55.99-51.1 89.49c1.125 28.5 18.62 56.49 40.87 78.99l-37.5 37.5l50.73 39.77l32.02-32.02C417.2 249.5 444.9 266.9 473.9 267.9c33.25-1.25 65.75-24.88 89.75-52.25c-8.939-10.25-22.55-23.62-38.1-34.31l44.36-44.36C573.7 132.3 576 126.1 576 120C576 106.3 564.8 96 552 96zM270.5 367.3c-6.625 0-13 1.125-19.25 2.75l42.83-42.83L243.3 287.4l-37.35 37.34c1.625-5.996 2.75-11.1 3-18.37C208.9 276.5 190.2 250.3 175.1 233.9L154.1 218.2c-27.11 24.17-49.13 55.15-50.24 87.97c1 28.5 18.62 56.37 40.88 78.99l-72.25 72.24C67.13 463.6 64 471.8 64 479.1C64 498.2 78.91 512 96 512c8.184 0 16.37-3.127 22.62-9.381l72.25-72.25c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C342.1 399.8 309.7 368.6 270.5 367.3zM372.2 265.5c-.3496 0-.6602 .1328-1.008 .1387l80.14 62.81c3.633-3.59 7.158-7.281 10.49-11.08C444.9 298 411.5 266.8 372.2 265.5z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "wheat-slash": [640, 512, [], "e339", ["M270.5 367.3c-6.625 0-13 1.125-19.25 2.75l42.83-42.83L243.3 287.4l-37.35 37.34c1.625-5.996 2.75-11.1 3-18.37C208.9 276.5 190.2 250.3 175.1 233.9L154.1 218.2c-27.11 24.17-49.13 55.15-50.24 87.97c1 28.5 18.62 56.37 40.88 78.99l-72.25 72.24c-12.5 12.5-12.5 32.75 0 45.25c12.51 12.51 32.74 12.51 45.25 0l72.25-72.25c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C342.1 399.8 309.7 368.6 270.5 367.3zM545.7 113.5c25.38-27.38 32.37-71.1 29.75-112.1c-29-1.875-80.25-.25-112.6 29.87c-37.12 37.37-30.1 104.4-29.75 112.1C474.7 146.3 518.1 139.3 545.7 113.5zM310.9 204.5C310.7 157.8 264.7 119.5 258.5 114.9c-12.5 10.93-23.79 23.39-32.72 36.75L308.8 216.7C309.7 212.7 310.7 208.7 310.9 204.5zM502.2 169.5c-42.88 10.3-72.32 5.803-97.12 4.125c-.9512-6.76-11.35-52.07 1-101.6c-12.87-31.87-40.1-55.37-45.75-58.99c-27.87 24.37-50.87 55.99-51.1 89.49c1.125 28.5 18.62 56.49 40.87 78.99l-37.5 37.5l50.73 39.77l32.02-32.02C417.2 249.5 444.9 266.9 473.9 267.9c33.25-1.25 65.75-24.88 89.75-52.25C550.9 201 528.1 179.8 502.2 169.5zM372.2 265.5c-.3496 0-.6602 .1328-1.008 .1387l80.14 62.81c3.633-3.59 7.158-7.281 10.49-11.08C444.9 298 411.5 266.8 372.2 265.5z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "wheelchair": [512, 512, [], "f193", ["M320 352c0 88.37-71.63 160-159.1 160S0 440.4 0 352s71.63-160 160-160c.7129 0 1.369 .1992 2.08 .209l8.232 48.83C166.9 240.7 163.5 240 160 240c-61.76 0-111.1 50.24-111.1 112s50.24 112 112 112S272 413.8 272 352H320zM240 48c0-26.51-21.49-48-48-48S144 21.49 144 48S165.5 96 192 96S240 74.51 240 48z", "M510.3 421.9c-5.594-16.75-23.53-25.84-40.47-20.22l-19.38 6.438l-41.7-99.97C403.9 295.1 392.2 288 379.1 288h-97.78l-10.4-48h65.11c17.69 0 32-14.31 32-32s-14.31-32-32-32h-78.98L255.6 169.2c-3.781-26.25-28.34-44.47-54.31-40.75C174.1 132.2 156.7 156.5 160.5 182.8l23.68 140.4C185.8 339.6 199.6 352 216 352h141.4l44.86 107.9C407.3 472.3 419.3 480 432 480c3.344 0 6.781-.5313 10.12-1.656l48-16C506.9 456.8 515.9 438.7 510.3 421.9z"]],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", ["M0 352C0 263.6 71.63 192 160 192C248.4 192 320 263.6 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448z", "M416 48C416 74.51 394.5 96 368 96C341.5 96 320 74.51 320 48C320 21.49 341.5 0 368 0C394.5 0 416 21.49 416 48zM172.8 54.4C182.3 47.29 194.9 46 205.6 51.05L322.1 105.9C351.3 119.6 358.9 157.5 337.4 181.4L299.1 224H416C425.6 224 434.7 228.3 440.7 235.7C446.8 243.1 449.3 252.9 447.4 262.3L415.4 422.3C411.9 439.6 395.1 450.8 377.7 447.4C360.4 443.9 349.2 427.1 352.6 409.7L376.1 288H306.7C286.2 241.1 243.8 205.9 192.4 195.3L246.6 141.1L195.8 117.2L147.2 153.6C133.1 164.2 113 161.3 102.4 147.2C91.8 133.1 94.66 113 108.8 102.4L172.8 54.4z"]],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", ["M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 416l-273.2-.8164L69.39 96h373.2L392.7 416z", "M422.7 224l-29.95 192l-273.2-.8164L89.49 224H422.7z"]],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", ["M176 336h66.2l-8.492-8.516c-12.94-12.94-12.94-33.9 0-46.84l46.84-46.97c1.605-1.605 3.623-2.406 5.449-3.609C281.8 217.3 270.1 208 256 208H176c-17.67 0-32 14.33-32 32v64C144 321.7 158.3 336 176 336zM479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 416l-273.2-.8164L69.39 96h373.2L392.7 416z", "M79.44 160l40.07 255.2L392.7 416l39.93-256H79.44zM374.4 327.5L327.5 374.5c-12.94 12.94-34.03 12.94-46.97 0L242.2 336h-66.2c-17.67 0-32-14.33-32-32v-64c0-17.67 14.33-32 32-32h80c14.15 0 25.77 9.332 29.99 22.06c12.89-8.523 30.19-7.723 41.52 3.609l46.84 46.97C387.3 293.6 387.3 314.5 374.4 327.5z"]],
    "whistle": [640, 512, [], "f460", ["M627.7 326.8L491.5 220.8L448 248L416 224l22.27-44.55l-98.62-76.7C307.5 78.43 267.4 64 224 64C117.1 64 31.1 149.1 31.1 256s85.96 192 192 192c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM224 320c-35.35 0-64-28.66-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C288 291.3 259.3 320 224 320z", "M63.1 64C28.65 64-.0003 92.65-.0003 128c0 28.46 18.7 52.31 44.4 60.62c-.002 .0039 .002-.0039 0 0c6.16-16.41 14.46-31.71 24.63-45.64C67.42 143.5 65.78 144 63.1 144C55.18 144 47.1 136.8 47.1 128s7.178-16 16-16S79.1 119.2 79.1 128c0 .5938-.2754 1.094-.3379 1.668c11.46-13.08 24.58-24.63 39.17-34.2C107.7 76.7 87.41 64 63.1 64zM224 192C188.7 192 159.1 220.7 159.1 256c0 35.34 28.65 64 64 64s64-28.66 64-64C288 220.7 259.3 192 224 192z"]],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", ["", "M319.1 351.1c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01S355.3 351.1 319.1 351.1zM320 191.1c-70.25 0-137.9 25.6-190.5 72.03C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 191.1 320 191.1zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z"]],
    "wifi-exclamation": [640, 512, [], "e2cf", ["M8.906 201.1c12.22 12.78 32.47 13.12 45.25 .9375c52.51-50.38 117.1-84 186.9-98.57L240.1 76.31C239.6 62.6 242.8 49.73 248.3 38.16c-89.22 14.35-172.1 54.92-238.4 118.6C-2.906 168.1-3.312 189.2 8.906 201.1zM129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312c22.15-19.58 47.83-34.2 75.33-43.65l-2.465-66.28C202.4 213.5 162.9 234.5 129.5 264zM630.2 156.7c-66.24-63.55-148.1-104.1-238.1-118.5c4.609 9.73 7.434 20.49 7.852 31.97l.0313 5.781l-1.055 28.37c69.82 14.57 134.4 48.19 186.9 98.57C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM395.3 202.1l-2.461 66.28C420.3 277.8 445.1 292.4 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C477.1 234.5 437.6 213.5 395.3 202.1z", "M318.5 327.1c22.12 .8652 40.73-16.83 41.57-39.53c0 0 7.965-215.8 7.922-217.1C366.1 44.2 344.7 22.1 318.2 24.04C291.7 25.07 271 47.95 272 75.13l7.92 213.3C280.8 309.7 297.4 327.1 318.5 327.1zM320 368c-30.93 0-56 25.07-56 56S289.1 480 319.1 480S376 454.9 376 424S350.9 368 320 368z"]],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", ["M630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352zM320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192z"]],
    "wifi-slash": [640, 512, [], "f6ac", ["M9.838 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375c12.48-11.98 25.86-22.66 39.61-32.73L41.44 129.2C30.56 137.8 19.99 146.1 9.838 156.7zM326.6 352.7c-2.203-.2285-4.345-.6829-6.608-.6829c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01c0-7.564-1.545-14.71-3.956-21.44L326.6 352.7zM129.5 264c-13.25 11.72-14.5 31.94-2.812 45.19C138.5 322.4 158.7 323.7 171.9 312C188.9 296.9 208.1 284.9 228.5 275.8l-55.39-43.41C157.7 241.5 143.1 252 129.5 264zM630.2 156.7C546.3 76.28 436.2 32 319.1 32C252.7 32 187.7 47.19 128.4 75.35l57.71 45.23C228.5 104.7 273.6 96 319.1 96c99.59 0 194 37.97 265.8 106.9c6.219 5.938 14.19 8.906 22.16 8.906c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM319.1 192C306.9 192 293.9 193.2 281 194.1l83.88 65.74C402.1 268.5 438.6 285.9 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C524.1 295.9 523.7 275.7 510.5 264C457.9 217.6 390.2 192 319.1 192z", "M38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7L38.81 5.111z"]],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", ["M320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352z"]],
    "wind": [512, 512, [], "f72e", ["M416 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h384c17.66 0 32 14.34 32 32s-14.34 32-32 32h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S468.9 224 416 224z", "M160 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c17.66 0 32 14.34 32 32s-14.34 32-32 32H128c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S212.9 320 160 320zM352 0h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c17.66 0 32 14.34 32 32s-14.34 32-32 32H32C14.31 128 0 142.3 0 160s14.31 32 32 32h320c52.94 0 96-43.06 96-96S404.9 0 352 0z"]],
    "wind-turbine": [512, 512, [], "f89b", ["M383.2 500.4c.5568 1.109 .8462 2.335 .8462 3.578c.0039 4.418-3.578 8.001-7.997 8.003H135.1c-1.225-.0078-2.44-.299-3.536-.8458c-3.952-1.979-5.552-6.783-3.573-10.73c6.252-12.5 19.02-20.4 33-20.42h48.33l12.68-206.2C229.9 277.4 236.3 282.3 241.4 288.6l52.43 61.77l7.979 129.6h48.33C364.1 479.1 376.9 487.9 383.2 500.4z", "M398.7 425.8l-88.35-182.3c-5.928-13.6-6.191-28.1-.7305-42.79l73.28-179.1c3.217-8.111-.75-17.29-8.861-20.51c-6.725-2.668-14.4-.4258-18.64 5.443L241.3 163.2c-8.692 12.02-21.82 20.08-36.47 22.4L13.32 215.9C5.521 217.2-.1652 224 .0028 231.9c.1797 7.93 6.214 14.69 14.1 15.54l189.7 20.53c14.75 1.594 28.26 8.1 37.53 20.58l130.3 153.5c4.963 6.189 13.74 7.742 20.53 3.629C398.1 441.6 401.8 433 398.7 425.8zM255.1 248c-13.26 0-24-10.74-24-23.1c0-13.26 10.74-23.1 24-23.1c13.25 0 23.1 10.74 23.1 23.1C279.1 237.3 269.3 248 255.1 248z"]],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", ["M384 271.1l31.12-.0169c.2852-3.719 .7344-7.389 .8223-11.16c2.658-114.8-88.29-210.1-203.1-212.8C97.97 45.4 2.713 136.3 .0566 251.2c-2.658 114.8 88.29 210.1 203.1 212.8c88.18 2.041 164.6-51.19 196.7-127.1l-15.84 .0117C366.3 335.1 352 321.7 352 303.1C352 286.3 366.3 271.1 384 271.1zM184 152C184 138.8 194.8 128 208 128S232 138.8 232 152v112C232 277.3 221.3 288 208 288S184 277.3 184 264V152zM208 384C190.3 384 176 369.7 176 352c0-17.67 14.33-32 32-32s32 14.33 32 32C240 369.7 225.7 384 208 384z", "M208 288c13.25 0 24-10.75 24-24v-112C232 138.8 221.3 128 208 128S184 138.8 184 152v112C184 277.3 194.8 288 208 288zM208 320c-17.67 0-32 14.33-32 32c0 17.67 14.34 32 32.02 32S240 369.7 240 352C240 334.3 225.7 320 208 320zM552 272l-167.1-.0085C366.3 271.1 352 286.3 352 303.1s14.33 32 32 32L552 336c13.23 0 24 10.78 24 24S565.2 384 552 384H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40c48.53 0 88-39.47 88-88S600.5 272 552 272zM480 240h72C600.5 240 640 200.5 640 152S600.5 64 552 64H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40C565.2 128 576 138.8 576 152S565.2 176 552 176H480c-17.67 0-32 14.31-32 32S462.3 240 480 240z"]],
    "window": [512, 512, [], "f40e", ["M224 128C224 145.7 209.7 160 192 160C174.3 160 160 145.7 160 128C160 110.3 174.3 96 192 96C209.7 96 224 110.3 224 128zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V224H512V416zM256 128C256 110.3 270.3 96 288 96C305.7 96 320 110.3 320 128C320 145.7 305.7 160 288 160C270.3 160 256 145.7 256 128z", "M448 32C483.3 32 512 60.65 512 96V224H0V96C0 60.65 28.65 32 64 32H448zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM192 96C174.3 96 160 110.3 160 128C160 145.7 174.3 160 192 160C209.7 160 224 145.7 224 128C224 110.3 209.7 96 192 96zM288 160C305.7 160 320 145.7 320 128C320 110.3 305.7 96 288 96C270.3 96 256 110.3 256 128C256 145.7 270.3 160 288 160z"]],
    "window-flip": [512, 512, ["window-alt"], "f40f", ["M416 96C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96zM0 224H512V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V224zM320 160C302.3 160 288 145.7 288 128C288 110.3 302.3 96 320 96C337.7 96 352 110.3 352 128C352 145.7 337.7 160 320 160z", "M448 32C483.3 32 512 60.65 512 96V224H0V96C0 60.65 28.65 32 64 32H448zM448 128C448 110.3 433.7 96 416 96C398.3 96 384 110.3 384 128C384 145.7 398.3 160 416 160C433.7 160 448 145.7 448 128zM288 128C288 145.7 302.3 160 320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 128zM256 128C256 110.3 241.7 96 224 96C206.3 96 192 110.3 192 128C192 145.7 206.3 160 224 160C241.7 160 256 145.7 256 128z"]],
    "window-frame": [512, 512, [129695], "e04f", ["M272 64v160H416V64H272zM96 224h144V64H96V224zM96 448h144V288H96V448zM272 448H416V288h-144V448z", "M496 448H480V32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v416H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448zM240 448H96V288h144V448zM240 224H96V64h144V224zM416 448h-144V288H416V448zM416 224h-144V64H416V224z"]],
    "window-frame-open": [512, 512, [], "e050", ["M240 224H96v-160h144V224zM416 224h-144v-160H416V224z", "M480 32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v256h448V32zM240 224H96v-160h144V224zM416 224h-144v-160H416V224zM496 448H480v-128h-64v128H96v-128H32v128H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448z"]],
    "window-maximize": [512, 512, [128470], "f2d0", ["M64 128C64 110.3 78.33 96 96 96H416C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160H96C78.33 160 64 145.7 64 128z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160H416C433.7 160 448 145.7 448 128C448 110.3 433.7 96 416 96H96z"]],
    "window-minimize": [512, 512, [128469], "f2d1", ["M0 448C0 430.3 14.33 416 32 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H32C14.33 480 0 465.7 0 448z", ""]],
    "window-restore": [512, 512, [], "f2d2", ["M192 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V320H432C440.8 320 448 312.8 448 304V80C448 71.16 440.8 64 432 64H208C199.2 64 192 71.16 192 80z", "M320 128C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H320zM96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H96z"]],
    "windsock": [512, 512, [], "f777", ["M272 335.1l96-19.2V99.2L272 80V335.1zM128 96H64v48h64v128H64V320h64v44.8l80-16V67.2l-80-16V96zM492.7 124.1L432 112v191.1l60.71-12.14C503.9 289.6 512 279.8 512 268.3V147.7C512 136.2 503.9 126.4 492.7 124.1z", "M32 0C14.33 0 0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V32C64 14.33 49.67 0 32 0zM208 348.8l64-12.8V80l-64-12.8V348.8zM368 99.2v217.6l64-12.8V112L368 99.2z"]],
    "wine-bottle": [512, 512, [], "f72f", ["M179.3 423.2L43.5 287.5l122-122l135.8 135.8L179.3 423.2zM507.3 72.57l-67.88-67.88c-6.252-6.25-16.38-6.25-22.63 0l-22.63 22.62c-6.248 6.252-6.245 16.38-.0006 22.63c.002 .002-.002-.002 0 0L350.1 94.05l67.88 67.88l44.11-44.11c6.254 6.25 16.5 6.25 22.75 0l22.63-22.63C513.5 88.95 513.5 78.82 507.3 72.57z", "M417.9 161.9l-32.53 32.53c19.75 46.63 10.75 102.4-27.25 140.4l-158.4 158.4c-25 25-65.51 25-90.51 0l-90.51-90.52c-25-25-25-65.51 0-90.51l24.75-24.75l135.8 135.8l122-122L165.5 165.5l11.63-11.63c38-38 93.76-47 140.4-27.25l32.53-32.53L417.9 161.9z"]],
    "wine-glass": [320, 512, [127863], "f4e3", ["M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2c-13.65 3.16-27.84 3.148-41.48-.0371c-47.03-10.98-78.82-54.95-74.53-103L77.72 48h164.6l13.35 149.2c4.278 48.01-27.5 91.93-74.46 102.8L180.4 300.2z", "M252.3 160l3.332 37.18c4.278 48.01-27.5 91.93-74.46 102.8l-.7755 .1797c-13.65 3.16-27.84 3.148-41.48-.0371c-47.03-10.98-78.82-54.95-74.53-103L67.7 160H252.3z"]],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", ["M272 504c0 4.375-3.625 8-8.002 8H55.98c-4.377 0-8.002-3.625-8.002-8c0-22.12 17.88-40 40.01-40h40.01v-117.1c-68.52-16-118-79.99-111.4-154.2L32.47 14.5C33.22 6.25 40.1 0 48.23 0h85.6l32.88 48.25l-85.52 56L202.7 224L153.2 119.8l85.52-56L208.2 0h63.56c8.127 0 15 6.25 15.75 14.5l15.88 178.1c6.625 74.25-42.88 138.2-111.4 154.1V464h40.01C254.1 464 272 481.9 272 504z", "M208.2 0l30.51 63.75l-85.52 56L202.7 224L81.19 104.3l85.52-56L133.8 0H208.2z"]],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", ["M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2C166.7 303.3 152.6 303.3 138.9 300.1c-47.03-10.98-78.82-54.95-74.53-103L77.7 48h164.6L255.6 197.2c4.278 48.01-27.5 91.93-74.46 102.8L180.4 300.2z", ""]],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", ["M72.94 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H51.6L72.94 288zM167 288H140.4L119.1 224H183L167 288zM248.1 224H263L279 288H232.1L248.1 224zM392.9 224L371.6 288H344.1L328.1 224H392.9zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H439.1L460.4 224H480z", "M21.88 33.64C38.65 28.05 56.77 37.12 62.36 53.88L155.6 333.6L224.1 56.24C228.5 41.99 241.3 32 256 32C270.7 32 283.5 41.99 287 56.24L356.4 333.6L449.6 53.88C455.2 37.12 473.4 28.05 490.1 33.64C506.9 39.23 515.9 57.35 510.4 74.12L382.4 458.1C377.9 471.6 364.1 480.5 350.8 479.1C336.6 479.4 324.4 469.6 320.1 455.8L256 195.9L191 455.8C187.6 469.6 175.4 479.4 161.2 479.1C147 480.5 134.1 471.6 129.6 458.1L1.643 74.12C-3.946 57.35 5.115 39.23 21.88 33.64V33.64z"]],
    "worm": [512, 512, [], "e599", ["M288 96C288 42.98 330.1 0 384 0H422.4C471.9 0 512 40.12 512 89.6V360C512 443.9 443.9 512 360 512C276.1 512 208 443.9 208 360V312C208 281.1 182.9 256 152 256C121.1 256 96 281.1 96 312V464C96 490.5 74.51 512 48 512C21.49 512 0 490.5 0 464V312C0 228.1 68.05 160 152 160C235.9 160 304 228.1 304 312V360C304 390.9 329.1 416 360 416C390.9 416 416 390.9 416 360V192H384C330.1 192 288 149 288 96zM408 64C394.7 64 384 74.75 384 88C384 101.3 394.7 112 408 112C421.3 112 432 101.3 432 88C432 74.75 421.3 64 408 64z", "M432 88C432 101.3 421.3 112 408 112C394.7 112 384 101.3 384 88C384 74.75 394.7 64 408 64C421.3 64 432 74.75 432 88z"]],
    "wreath": [448, 512, [], "f7e2", ["M447.1 224c0-16.88-8.749-31.66-21.87-40.29c8.875-12.88 11.22-29.88 4.72-45.5c-6.625-15.88-20.59-26.11-36.34-28.86c3.25-15.37-.3079-31.87-12.18-43.74s-28.44-15.38-43.69-12.13c-2.75-15.75-13.02-29.87-28.89-36.37c-15.5-6.496-32.48-3.998-45.48 4.748c-8.625-13.12-23.39-21.87-40.27-21.87s-31.61 8.749-40.23 21.87c-13-8.871-30.02-11.28-45.52-4.779C122.5 23.72 112.1 37.74 109.5 53.49C94.13 50.24 77.6 53.71 65.72 65.58c-12 11.87-15.47 28.41-12.1 43.78c-15.88 2.75-29.93 12.99-36.43 28.86C10.69 153.7 13.25 170.7 21.1 183.7c-13.25 8.621-21.1 23.39-21.1 40.26c0 .0137 0-.0137 0 0s0-.0137 0 0c0 16.88 8.749 31.64 21.87 40.26C13 277.1 10.63 294.1 17.13 309.7c6.625 15.88 20.62 26.17 36.37 28.92c-3.25 15.37 .3275 31.78 12.2 43.65c11.88 11.87 28.42 15.46 43.67 12.21C111.5 406.5 117.1 417.5 128 424.1l-.0089-25.07c0-10.88 10.75-18.75 21.12-15.25l74.87 31.25l74.87-31.25c10.38-3.375 21.12 4.374 21.12 15.25L320 424.9c9.951-7.479 16.5-18.41 18.5-30.41c15.38 3.25 31.88-.2884 43.76-12.16c12-11.87 15.49-28.33 12.12-43.7c15.88-2.75 29.94-13.03 36.44-28.91c6.5-15.5 3.935-32.45-4.815-45.45C439.3 255.7 447.1 240.9 447.1 224C447.1 223.1 447.1 224 447.1 224S447.1 224 447.1 224zM311.1 223.1c0 9.5-7.749 17.63-10.5 26.25c-2.75 8.871-1.125 20.12-6.25 27.5c-5.25 7.5-16.12 9.375-23.38 14.87c-7.125 5.375-12.12 15.62-20.62 18.5C243 313.9 233.1 308.7 224 308.7S205 313.9 196.8 311.1c-8.5-2.875-13.5-13.12-20.62-18.5C168.9 287.2 157.1 285.2 152.8 277.7C147.6 270.4 149.3 259.1 146.5 250.2C143.8 241.6 136 233.5 136 223.1c0-.0137 0 .0137 0 0s0 .0137 0 0c0-9.5 7.749-17.66 10.5-26.28c2.75-8.871 1.146-20.22 6.271-27.6c5.25-7.5 16.1-9.274 23.35-14.77c7.125-5.375 12.12-15.62 20.62-18.5C205 134.1 214.9 139.2 224 139.2s19-5.125 27.25-2.375c8.5 2.875 13.5 13.12 20.62 18.5c7.25 5.371 18.12 7.371 23.38 14.87c5.125 7.375 3.5 18.63 6.25 27.5C304.3 206.3 311.1 214.5 311.1 223.1C311.1 224 311.1 223.1 311.1 223.1S311.1 223.1 311.1 223.1z", "M298.9 384.7l-74.87 31.25L149.1 384.7c-10.38-3.5-21.12 4.374-21.12 15.25l-.003 95.98c0 10.87 10.75 18.62 21.12 15.24l74.87-31.24l74.87 31.24c10.38 3.5 21.12-4.373 21.12-15.24l.0074-95.98C319.1 389.1 309.2 381.3 298.9 384.7z"]],
    "wrench": [512, 512, [128295], "f0ad", ["M200.6 209.6l-179.5 179.5c-28.12 28.12-28.12 73.69 0 101.8C35.16 504.1 53.56 512 71.1 512s36.84-7.031 50.91-21.09l179.5-179.5C254.2 295.6 216.4 257.8 200.6 209.6zM80 456c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C104 445.3 93.25 456 80 456z", "M507.4 198.7c-15.09 62.18-68.32 110.5-131.7 119.6c-106.9 15.34-197.3-75.1-181.1-181.1c9.088-63.33 57.42-116.6 119.6-131.7c27.13-6.582 53.4-5.89 77.37 .1745c11.99 3.033 15.94 18.27 7.197 27.02L320 109.7l-.0001 82.29L402.3 192l77.88-77.88c8.746-8.746 23.98-4.793 27.02 7.197C513.2 145.3 513.9 171.6 507.4 198.7z"]],
    "wrench-simple": [384, 512, [], "e2d1", ["M384 172.4c0 71.02-38.7 132.8-96 166V352H96v-13.55c-57.3-33.22-96-94.99-96-166c0-74.41 42.4-138.8 104.3-170.6C115.1-3.711 128 3.992 128 16.1v143.9l64 64l64-64V16.1c0-12.11 12.93-19.81 23.7-14.27C341.6 33.67 384 98.04 384 172.4z", "M96 463.1V352h192v111.1C288 490.5 266.5 512 240 512h-96C117.5 512 96 490.5 96 463.1z"]],
    "x": [384, 512, [120], "58", ["M376.6 427.5c11.31 13.58 9.484 33.75-4.094 45.06c-5.984 4.984-13.25 7.422-20.47 7.422c-9.172 0-18.27-3.922-24.59-11.52L192 305.1l-135.4 162.5c-6.328 7.594-15.42 11.52-24.59 11.52c-7.219 0-14.48-2.438-20.47-7.422c-13.58-11.31-15.41-31.48-4.094-45.06l142.9-171.5L7.422 84.5C-3.891 70.92-2.063 50.75 11.52 39.44c13.56-11.34 33.73-9.516 45.06 4.094L192 206l135.4-162.5c11.3-13.58 31.48-15.42 45.06-4.094c13.58 11.31 15.41 31.48 4.094 45.06l-142.9 171.5L376.6 427.5z", ""]],
    "x-ray": [512, 512, [], "f497", ["M208 320C199.2 320 192 327.2 192 336C192 344.8 199.2 352 208 352S224 344.8 224 336C224 327.2 216.8 320 208 320zM304 352c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S288 327.2 288 336C288 344.8 295.2 352 304 352zM32 96v320h448V96H32zM416 184C416 188.4 412.4 192 408 192H272v32h104C380.4 224 384 227.6 384 232v16C384 252.4 380.4 256 376 256H272v32h69.33c25.56 0 40.8 28.48 26.62 49.75l-21.33 32C340.7 378.7 330.7 384 319.1 384l-127.1 .0006c-10.7 0-20.69-5.348-26.63-14.25l-21.33-32C129.9 316.5 145.1 288 170.7 288H240V256H136C131.6 256 128 252.4 128 248v-16C128 227.6 131.6 224 136 224H240V192H104C99.6 192 96 188.4 96 184v-16C96 163.6 99.6 160 104 160H240V136C240 131.6 243.6 128 248 128h16c4.418 0 8 3.58 8 8V160h136C412.4 160 416 163.6 416 168V184z", "M496 416h-480C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h480c8.836 0 16-7.164 16-16v-32C512 423.2 504.8 416 496 416zM496 32h-480C7.164 32 0 39.16 0 48v32C0 88.84 7.164 96 16 96h480C504.8 96 512 88.84 512 80v-32C512 39.16 504.8 32 496 32z"]],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", ["M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z", ""]],
    "xmark-large": [448, 512, [], "e59b", ["M393.4 41.37C405.9 28.88 426.1 28.88 438.6 41.37C451.1 53.87 451.1 74.13 438.6 86.63L269.3 255.1L438.6 425.4C451.1 437.9 451.1 458.1 438.6 470.6C426.1 483.1 405.9 483.1 393.4 470.6L223.1 301.3L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L223.1 210.7L393.4 41.37z", ""]],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", ["M432 32h-288C117.5 32 96 53.49 96 80v320h384v-320C480 53.49 458.5 32 432 32zM368.1 263c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0L288 249.9L240.1 296.1c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 216L207 168.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L288 182.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L321.9 216L368.1 263z", "M528 288H480v80h16c8.836 0 16 7.164 16 16s-7.164 16-16 16h-416C71.16 400 64 392.8 64 384s7.164-16 16-16H96V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288zM207 296.1c9.373 9.371 24.56 9.379 33.94 0L288 249.9l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L321.9 216l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L288 182.1L240.1 135c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L254.1 216L207 263C197.7 272.4 197.7 287.6 207 296.1z"]],
    "xmarks-lines": [640, 512, [], "e59a", ["M608 32C625.7 32 640 46.33 640 64C640 81.67 625.7 96 608 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H608zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608z", "M129.9 256L176.1 303C186.3 312.4 186.3 327.6 176.1 336.1C167.6 346.3 152.4 346.3 143 336.1L96 289.9L48.97 336.1C39.6 346.3 24.4 346.3 15.03 336.1C5.657 327.6 5.657 312.4 15.03 303L62.06 256L15.03 208.1C5.657 199.6 5.657 184.4 15.03 175C24.4 165.7 39.6 165.7 48.97 175L96 222.1L143 175C152.4 165.7 167.6 165.7 176.1 175C186.3 184.4 186.3 199.6 176.1 208.1L129.9 256zM320 222.1L367 175C376.4 165.7 391.6 165.7 400.1 175C410.3 184.4 410.3 199.6 400.1 208.1L353.9 256L400.1 303C410.3 312.4 410.3 327.6 400.1 336.1C391.6 346.3 376.4 346.3 367 336.1L320 289.9L272.1 336.1C263.6 346.3 248.4 346.3 239 336.1C229.7 327.6 229.7 312.4 239 303L286.1 256L239 208.1C229.7 199.6 229.7 184.4 239 175C248.4 165.7 263.6 165.7 272.1 175L320 222.1zM463 175C472.4 165.7 487.6 165.7 496.1 175L544 222.1L591 175C600.4 165.7 615.6 165.7 624.1 175C634.3 184.4 634.3 199.6 624.1 208.1L577.9 256L624.1 303C634.3 312.4 634.3 327.6 624.1 336.1C615.6 346.3 600.4 346.3 591 336.1L544 289.9L496.1 336.1C487.6 346.3 472.4 346.3 463 336.1C453.7 327.6 453.7 312.4 463 303L510.1 256L463 208.1C453.7 199.6 453.7 184.4 463 175V175z"]],
    "y": [384, 512, [121], "59", ["M378 82.61L224 298.3v149.8c0 17.67-14.31 31.1-32 31.1S160 465.7 160 448V298.3L5.969 82.61C-4.313 68.23-.9688 48.25 13.41 37.97c14.34-10.27 34.38-6.922 44.63 7.453L192 232.1l133.1-187.5c10.28-14.37 30.28-17.7 44.63-7.453C384.1 48.25 388.3 68.23 378 82.61z", ""]],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", ["M128 265.7V288H48C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224H100.2L128 265.7zM192 288V265.7L219.8 224H272C289.7 224 304 238.3 304 256C304 273.7 289.7 288 272 288H192zM128 384H48C30.33 384 16 369.7 16 352C16 334.3 30.33 320 48 320H128V384zM192 384V320H272C289.7 320 304 334.3 304 352C304 369.7 289.7 384 272 384H192z", "M159.1 198.3L261.4 46.25C271.2 31.54 291 27.57 305.8 37.37C320.5 47.18 324.4 67.04 314.6 81.75L192 265.7V448C192 465.7 177.7 480 159.1 480C142.3 480 127.1 465.7 127.1 448V265.7L5.374 81.75C-4.429 67.04-.456 47.18 14.25 37.37C28.95 27.57 48.82 31.54 58.62 46.25L159.1 198.3z"]],
    "yin-yang": [512, 512, [9775], "f6ad", ["M256 0c70.69 0 128 57.31 128 128c0 70.7-57.31 128-128 128s-128 57.31-128 128c0 70.7 57.31 128 128 128c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 416c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 416 256 416zM256 160c17.67 0 32-14.33 32-32s-14.33-32-32-32S224 110.3 224 128S238.3 160 256 160z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c-70.69 0-128-57.31-128-128c0-70.7 57.31-128 128-128s128-57.31 128-128C384 57.3 326.7 0 256 0zM256 160C238.3 160 224 145.7 224 128s14.33-32 32-32s32 14.33 32 32S273.7 160 256 160zM256 352c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 352 256 352z"]],
    "z": [384, 512, [122], "5a", ["M384 448c0 17.67-14.31 32-32 32H32c-12.41 0-23.72-7.188-28.97-18.42c-5.281-11.25-3.562-24.53 4.375-34.06l276.3-331.5H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h320c12.41 0 23.72 7.188 28.97 18.42c5.281 11.25 3.562 24.53-4.375 34.06L100.3 416H352C369.7 416 384 430.3 384 448z", ""]]
  };

  bunker(function () {
    defineIcons('fad', icons);
    defineIcons('fa-duotone', icons);
  });

}());
