/*!
 * Font Awesome Pro 6.1.2 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license (Commercial License)
 * Copyright 2022 Fonticons, Inc.
 */
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", "M160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160s160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01zM256 320c0 52.93-43.06 96-96 96c-52.93 0-96-43.07-96-96V192c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96V320z"],
    "1": [256, 512, [], "31", "M256 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h64V123.8L49.75 154.6C35.02 164.5 15.19 160.4 5.375 145.8C-4.422 131.1-.4531 111.2 14.25 101.4l96-64c9.828-6.547 22.45-7.187 32.84-1.594C153.5 41.37 160 52.22 160 64.01v352h64C241.7 416 256 430.3 256 448z"],
    "2": [320, 512, [], "32", "M320 448c0 17.67-14.33 32-32 32H32c-13.08 0-24.83-7.953-29.7-20.09c-4.859-12.12-1.859-26 7.594-35.03l193.6-185.1c31.36-30.17 33.95-80 5.812-113.4c-14.91-17.69-35.86-28.12-58.97-29.38C127.4 95.83 105.3 103.9 88.53 119.9L53.52 151.7c-13.08 11.91-33.33 10.89-45.2-2.172C-3.563 136.5-2.594 116.2 10.48 104.3l34.45-31.3c28.67-27.34 68.39-42.11 108.9-39.88c40.33 2.188 78.39 21.16 104.4 52.03c49.8 59.05 45.2 147.3-10.45 200.8l-136 130H288C305.7 416 320 430.3 320 448z"],
    "3": [320, 512, [], "33", "M320 344c0 74.98-61.02 136-136 136H103.6c-46.34 0-87.31-29.53-101.1-73.48c-5.594-16.77 3.484-34.88 20.25-40.47c16.75-5.609 34.89 3.484 40.47 20.25c5.922 17.77 22.48 29.7 41.23 29.7H184c39.7 0 72-32.3 72-72s-32.3-72-72-72H80c-13.2 0-25.05-8.094-29.83-20.41C45.39 239.3 48.66 225.3 58.38 216.4l131.4-120.4H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h240c13.2 0 25.05 8.094 29.83 20.41c4.781 12.3 1.516 26.27-8.203 35.19l-131.4 120.4H184C258.1 208 320 269 320 344z"],
    "4": [384, 512, [], "34", "M384 334.2c0 17.67-14.33 32-32 32h-32v81.78c0 17.67-14.33 32-32 32s-32-14.33-32-32v-81.78H32c-10.97 0-21.17-5.625-27.05-14.89c-5.859-9.266-6.562-20.89-1.875-30.81l128-270.2C138.6 34.33 157.8 27.56 173.7 35.09c15.97 7.562 22.78 26.66 15.22 42.63L82.56 302.2H256V160c0-17.67 14.33-32 32-32s32 14.33 32 32v142.2h32C369.7 302.2 384 316.6 384 334.2z"],
    "5": [320, 512, [], "35", "M320 344.6c0 74.66-60.73 135.4-135.4 135.4H104.7c-46.81 0-88.22-29.83-103-74.23c-5.594-16.77 3.469-34.89 20.23-40.48c16.83-5.625 34.91 3.469 40.48 20.23c6.078 18.23 23.08 30.48 42.3 30.48h79.95c39.36 0 71.39-32.03 71.39-71.39s-32.03-71.38-71.39-71.38H32c-9.484 0-18.47-4.203-24.56-11.48C1.359 254.5-1.172 244.9 .5156 235.6l32-177.2C35.27 43.09 48.52 32.01 64 32.01l192 .0049c17.67 0 32 14.33 32 32s-14.33 32-32 32H90.73L70.3 209.2h114.3C259.3 209.2 320 269.1 320 344.6z"],
    "6": [320, 512, [], "36", "M167.7 160.8l64.65-76.06c11.47-13.45 9.812-33.66-3.656-45.09C222.7 34.51 215.3 32.01 208 32.01c-9.062 0-18.06 3.833-24.38 11.29C38.07 214.5 0 245.5 0 320c0 88.22 71.78 160 160 160s160-71.78 160-160C320 234.4 252.3 164.9 167.7 160.8zM160 416c-52.94 0-96-43.06-96-96s43.06-95.1 96-95.1s96 43.06 96 95.1S212.9 416 160 416z"],
    "7": [320, 512, [], "37", "M315.6 80.14l-224 384c-5.953 10.19-16.66 15.88-27.67 15.88c-5.469 0-11.02-1.406-16.09-4.359c-15.27-8.906-20.42-28.5-11.52-43.77l195.9-335.9H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h256c11.45 0 22.05 6.125 27.75 16.06S321.4 70.23 315.6 80.14z"],
    "8": [320, 512, [], "38", "M267.5 249.2C290 226.1 304 194.7 304 160c0-70.58-57.42-128-128-128h-32c-70.58 0-128 57.42-128 128c0 34.7 13.99 66.12 36.48 89.19C20.83 272.5 0 309.8 0 352c0 70.58 57.42 128 128 128h64c70.58 0 128-57.42 128-128C320 309.8 299.2 272.5 267.5 249.2zM144 96.01h32c35.3 0 64 28.7 64 64s-28.7 64-64 64h-32c-35.3 0-64-28.7-64-64S108.7 96.01 144 96.01zM192 416H128c-35.3 0-64-28.7-64-64s28.7-64 64-64h64c35.3 0 64 28.7 64 64S227.3 416 192 416z"],
    "9": [320, 512, [], "39", "M160 32.01c-88.22 0-160 71.78-160 160c0 85.57 67.71 155.1 152.3 159.2l-64.65 76.06c-11.47 13.45-9.812 33.66 3.656 45.09c6 5.125 13.38 7.62 20.72 7.62c9.062 0 18.06-3.823 24.38-11.28C281.9 297.5 320 266.6 320 192C320 103.8 248.2 32.01 160 32.01zM160 288c-52.94 0-96-43.06-96-95.1s43.06-96 96-96s96 43.06 96 96S212.9 288 160 288z"],
    "00": [640, 512, [], "e467", "M288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176zM64 336C64 380.2 99.82 416 144 416C188.2 416 224 380.2 224 336V176C224 131.8 188.2 96 144 96C99.82 96 64 131.8 64 176V336zM640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176zM416 336C416 380.2 451.8 416 496 416C540.2 416 576 380.2 576 336V176C576 131.8 540.2 96 496 96C451.8 96 416 131.8 416 176V336z"],
    "360-degrees": [640, 512, [], "e2dc", "M496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM512 368c0 8.828-7.188 16-16 16S480 376.8 480 368v-224C480 135.2 487.2 128 496 128S512 135.2 512 144V368zM304 192C298.8 192 293.8 192.6 288.8 193.5c2.127-29.43 18.77-55.55 45.48-68.91c15.81-7.906 22.22-27.12 14.31-42.94c-7.938-15.8-27.16-22.23-42.94-14.31C255.3 92.58 224 143.2 224 199.5L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM320 368c0 8.828-7.188 16-16 16S288 376.8 288 368v-96C288 263.2 295.2 256 304 256S320 263.2 320 272V368zM608 0c-17.67 0-31.1 14.33-31.1 32s14.33 32 31.1 32S640 49.67 640 32S625.7 0 608 0zM118.2 197.6l52.91-84.67C177.3 103.1 177.6 90.66 172 80.48C166.3 70.31 155.6 64 144 64H32C14.31 64 0 78.33 0 96s14.31 32 32 32h54.25L36.88 207C30.69 216.9 30.38 229.3 36 239.5C41.66 249.7 52.38 256 64 256h19.78C108.2 256 128 275.8 128 300.2v39.56C128 364.2 108.2 384 83.78 384c-9.875 0-18.75-5.484-23.16-14.31c-7.938-15.81-27.12-22.28-42.94-14.3c-15.81 7.906-22.22 27.12-14.31 42.92C18.72 428.1 49.53 448 83.78 448C143.4 448 192 399.5 192 339.8V300.2C192 252.6 161.1 212 118.2 197.6z"],
    "a": [384, 512, [97], "41", "M381.5 435.7l-160-384C216.6 39.78 204.9 32.01 192 32.01S167.4 39.78 162.5 51.7l-160 384c-6.797 16.31 .9062 35.05 17.22 41.84c16.38 6.828 35.08-.9219 41.84-17.22l31.8-76.31h197.3l31.8 76.31c5.109 12.28 17.02 19.7 29.55 19.7c4.094 0 8.266-.7969 12.3-2.484C380.6 470.7 388.3 452 381.5 435.7zM119.1 320L192 147.2l72 172.8H119.1z"],
    "abacus": [576, 512, [129518], "f640", "M528 32h-480C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-352C576 53.49 554.5 32 528 32zM128 264H112C103.2 264 96 271.2 96 280v16c0 8.836 7.164 16 16 16H128v24H112C103.2 336 96 343.2 96 352v16c0 8.836 7.164 16 16 16L128 384l0 32L64 416V240h64V264zM128 128L112 128C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16H128v32H64V96l63.1 .0002L128 128zM256 264H240C231.2 264 224 271.2 224 280v16c0 8.836 7.164 16 16 16H256v24H240C231.2 336 224 343.2 224 352v16c0 8.836 7.164 16 16 16L256 384v32H160L160 384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H160V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H160V240h96V264zM256 128L240 128C231.2 128 224 135.2 224 144V160c0 8.836 7.164 16 16 16H256v32H160v-32h16C184.8 176 192 168.8 192 160V144c0-8.836-7.164-15.1-16-15.1L160 128l0-31.1H256V128zM416 336h-16c-8.836 0-16 7.164-16 16v16c0 8.836 7.164 16 16 16L416 384v32h-128V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H288V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H288V240h128V336zM416 128l-16 .0002C391.2 128 384 135.2 384 144V160c0 8.836 7.164 16 16 16H416v32h-128v-32h16C312.8 176 320 168.8 320 160V144c0-8.836-7.164-15.1-16-15.1L288 128V96h128V128zM512 416l-64 .0002V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H448v-96h64V416zM512 208h-64v-32h16C472.8 176 480 168.8 480 160V144c0-8.836-7.164-15.1-16-15.1L448 128V96L512 96V208z"],
    "accent-grave": [192, 512, [], "60", "M35.65 39.39c12.26-33.91 56.54-49.97 87.8-31.85c15.66 9.051 26.41 24.44 29.45 42.25l22.57 131.7c2.986 17.32-6.9 34.29-23.49 40.31s-35.11-.6484-43.99-15.83L40.3 90.61C31.18 75.03 29.5 56.36 35.65 39.39z"],
    "acorn": [448, 512, [], "f6ae", "M.0014 160C.0014 160 .0014 160 .0014 160C.0014 160 .0014 160 .0014 160zM224 480c47.05-22.87 176-82.13 176-255.1h-352C48 397.9 176.1 457.1 224 480zM447.1 160C447.1 160 447.1 160 447.1 160C447.1 160 447.1 160 447.1 160zM352 64.04l-100.5 .0017c3.375-9.373 8.5-18.12 15.12-25.1C272.3 31.54 272 22.04 265.1 16.17l-11.25-11.37c-3.125-3.125-7.75-5.125-12-4.75c-4.375 .25-8.5 2.125-11.38 5.375c-14.75 16.75-24.5 36.1-29.38 58.62L96 64.04c-52.99 0-95.99 42.98-95.1 95.97C.0053 177.6 14.38 192 32 192h384c17.62 0 31.1-14.37 31.1-31.98C447.1 107 404.1 64.04 352 64.04z"],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", "M384 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM240 128c35.35 0 64 28.65 64 64s-28.65 64-64 64c-35.34 0-64-28.65-64-64S204.7 128 240 128zM336 384h-192C135.2 384 128 376.8 128 368C128 323.8 163.8 288 208 288h64c44.18 0 80 35.82 80 80C352 376.8 344.8 384 336 384zM496 64H480v96h16C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 192H480v96h16C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192zM496 320H480v96h16c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320z"],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM176 128c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S140.7 128 176 128zM272 384h-192C71.16 384 64 376.8 64 368C64 323.8 99.82 288 144 288h64c44.18 0 80 35.82 80 80C288 376.8 280.8 384 272 384zM496 320h-128C359.2 320 352 312.8 352 304S359.2 288 368 288h128C504.8 288 512 295.2 512 304S504.8 320 496 320zM496 256h-128C359.2 256 352 248.8 352 240S359.2 224 368 224h128C504.8 224 512 231.2 512 240S504.8 256 496 256zM496 192h-128C359.2 192 352 184.8 352 176S359.2 160 368 160h128C504.8 160 512 167.2 512 176S504.8 192 496 192z"],
    "air-conditioner": [576, 512, [], "f8f4", "M528 0h-480C21.6 0 0 21.6 0 48v128C0 202.4 21.6 224 48 224h480C554.4 224 576 202.4 576 176v-128C576 21.6 554.4 0 528 0zM512 160H64V128h448V160zM208 424c0 22.06-17.94 40-40 40S128 446.1 128 424c0-16.38 9.812-30.94 25.02-37.09c12.28-4.969 18.2-18.97 13.23-31.25c-4.984-12.28-18.92-18.16-31.27-13.25C101.6 355.9 80 387.1 80 424c0 48.53 39.47 88 88 88s88-39.47 88-88V256H208V424zM441 310.4c-12.34-4.906-26.28 .9687-31.27 13.25c-4.969 12.28 .9531 26.28 13.23 31.25C438.2 361.1 448 375.6 448 392c0 22.06-17.94 40-40 40s-40-17.94-40-40V256H320v136c0 48.53 39.47 88 88 88s88-39.47 88-88C496 355.1 474.4 323.9 441 310.4z"],
    "airplay": [576, 512, [], "e089", "M480 32H96C43.06 32 0 75.06 0 128v192c0 50.88 39.9 92.23 89.1 95.39c3.324-5.879 7.242-11.51 12.19-16.45L147.6 352H96c-17.66 0-32-14.34-32-32V128c0-17.66 14.34-32 32-32h384c17.66 0 32 14.34 32 32v192c0 17.66-14.34 32-32 32h-51.58l45.96 47.5c4.738 4.738 8.473 10.19 11.69 15.89C536.1 412.2 576 370.9 576 320V128C576 75.06 532.9 32 480 32zM307.6 296.1C302.1 290.7 295.1 288 288 288c-7.055 0-14.09 2.703-19.45 8.109l-132.5 136.8C118.8 450.2 131.1 480 155.7 480h264.7c24.6 0 36.89-29.77 19.54-47.13L307.6 296.1z"],
    "alarm-clock": [512, 512, [9200], "f34e", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V288C232 294.4 234.5 300.5 239 304.1L287 352.1C296.4 362.3 311.6 362.3 320.1 352.1C330.3 343.6 330.3 328.4 320.1 319L280 278.1V184zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "alarm-exclamation": [512, 512, [], "f843", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V296C232 309.3 242.7 320 256 320C269.3 320 280 309.3 280 296V184zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"],
    "alarm-plus": [512, 512, [], "f844", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM232 200V264H168C154.7 264 144 274.7 144 288C144 301.3 154.7 312 168 312H232V376C232 389.3 242.7 400 256 400C269.3 400 280 389.3 280 376V312H344C357.3 312 368 301.3 368 288C368 274.7 357.3 264 344 264H280V200C280 186.7 269.3 176 256 176C242.7 176 232 186.7 232 200zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"],
    "alarm-snooze": [512, 512, [], "f845", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240H262.9L181.1 345.3C175.4 352.5 174.4 362.3 178.4 370.5C182.5 378.8 190.8 384 200 384H312C325.3 384 336 373.3 336 360C336 346.7 325.3 336 312 336H249.1L330.9 230.7C336.6 223.5 337.6 213.7 333.6 205.5C329.5 197.2 321.2 192 312 192L200 192zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "album": [448, 512, [128189], "f89f", "M192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96z"],
    "album-circle-plus": [576, 512, [], "e48c", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 .0003 451.3 .0003 416L0 96zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "album-circle-user": [576, 512, [], "e48d", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 .0003 451.3 .0003 416L0 96zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416V416zM432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288z"],
    "album-collection": [512, 512, [], "f8a0", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM464 160C477.8 160 490.9 165.9 499.1 176.2C509.1 186.6 513.3 200.3 511.6 213.1L479.6 469.1C476.6 493.1 456.2 512 432 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C357.6 480 440 419.1 440 344C440 268.9 357.6 208 256 208zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472z"],
    "album-collection-circle-plus": [640, 512, [], "e48e", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM464 160C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "album-collection-circle-user": [640, 512, [], "e48f", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM464 160C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "alicorn": [640, 512, [], "f6b0", "M632 32L531.9 32c5.875-6.125 10.25-13.62 11.1-22.37C544.9 4.632 540.1 0 535.1 0h-120c-70.75 0-127.1 57.25-127.1 128c-63.88 0-104.2-36.76-127.7-90.26C156.1 30.22 146.7 30.03 143.2 37.46C133.5 58.03 128 80.81 128 105.1c0 66.1 51 133.1 128 147.8L256 256c-76.88 0-133.8-49.62-152.6-109C97.75 151.2 92.63 155.9 88 161.1L88 160C39.5 160 0 199.5 0 248v56c0 8.875 7.125 16 16 16L32 320c8.875 0 16-7.125 16-16l.0018-56c0-13.25 6.878-24.38 16.75-31.62c-.125 2.5-.7524 5-.7524 7.625c0 27.62 11.85 52.48 30.47 69.98l-25.74 68.89c-4.496 12.04-5.216 25.15-2.095 37.62l21.77 87.28C91.97 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.26-85.39l23.78-63.61l102.1 22.34L288.1 480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.2C403.7 297.1 416.1 270.5 416.1 240c0-.25-.105-.3828-.105-.6328V136.9L431.1 144l18.89 37.72c7.455 14.91 25.07 21.6 40.52 15.36l32.53-13.07c12.12-4.893 20.1-16.67 20.1-29.74l-.0246-70.98l92.44-36.66C643 42.26 639.9 32 632 32zM480 96c-8.875 0-16-7.125-16-16S471.1 64 479.1 64c8.875 0 16 7.125 16 16S488.9 96 480 96z"],
    "alien": [448, 512, [128125], "f8f5", "M224 .0001c-123.8 0-224 87.99-224 232.5c0 111.7 134.2 224.5 194.9 269.9c17.25 12.87 41 12.87 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.99 347.8 .0001 224 .0001zM176 319.1h-32c-44.12 0-80-35.87-80-79.1c0-8.874 7.125-15.1 16-15.1h32c44.12 0 80 35.87 80 79.99C192 312.9 184.9 319.1 176 319.1zM304 319.1h-32c-8.875 0-16-7.125-16-15.1c0-44.12 35.88-79.99 80-79.99h32c8.875 0 16 7.124 16 15.1C384 284.1 348.1 319.1 304 319.1z"],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", "M560 128l-32 .0001c-8.875 0-16 7.125-16 15.1v80h-32V176c0-8.875-7.125-16-16-16H416v-64L464 96C472.9 96 480 88.88 480 80v-32C480 39.12 472.9 32 464 32h-32C423.1 32 416 39.12 416 48V64l-48 .0002c-8.875 0-16 7.125-16 16v48H224v-48c0-8.875-7.125-16-16-16L160 64V48C160 39.12 152.9 32 144 32h-32C103.1 32 96 39.12 96 48v32C96 88.88 103.1 96 112 96L160 96v64H112c-8.875 0-16 7.125-16 16v48H64V144c0-8.875-7.125-15.1-16-15.1l-32-.0001c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1v-31.1c0-8.875-7.125-16-16-16H192v-32h192v32h-48c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM224 320H160V224h64V320zM416 320h-64V224h64V320z"],
    "align-center": [448, 512, [], "f037", "M320 96H128C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224zM0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448zM320 352H128C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H320C337.7 288 352 302.3 352 320C352 337.7 337.7 352 320 352z"],
    "align-justify": [448, 512, [], "f039", "M416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-left": [448, 512, [], "f036", "M256 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96zM256 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H256C273.7 288 288 302.3 288 320C288 337.7 273.7 352 256 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-right": [448, 512, [], "f038", "M416 96H192C174.3 96 160 81.67 160 64C160 46.33 174.3 32 192 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM416 352H192C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-slash": [640, 512, [], "f846", "M98.4 51.82C103.2 40.19 114.6 32 128 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L236.4 160H512C529.7 160 544 174.3 544 192C544 209.7 529.7 224 512 224H318.1L399.7 288H512C529.7 288 544 302.3 544 320C544 337.7 529.7 352 512 352H481.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM128 352C110.3 352 96 337.7 96 319.1C96 302.3 110.3 287.1 128 287.1H243.7L324.9 352H128zM128 223.1C110.3 223.1 96 209.7 96 191.1C96 185.9 97.71 180.2 100.7 175.3L162.5 223.1H128zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416H406.2L487.4 480H128z"],
    "alt": [640, 512, [], "e08a", "M416 416c0 17.69 14.31 32 32 32h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160C430.3 384 416 398.3 416 416zM640 96c0-17.69-14.31-32-32-32h-160c-9.719 0-18.91 4.406-25 12L176.6 384H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h160c9.719 0 18.91-4.406 25-12L463.4 128H608C625.7 128 640 113.7 640 96z"],
    "amp-guitar": [512, 512, [], "f8a1", "M192 384c-8.836 0-16 7.164-16 16S183.2 416 192 416s16-7.164 16-16S200.8 384 192 384zM256 384c-8.836 0-16 7.164-16 16S247.2 416 256 416s16-7.164 16-16S264.8 384 256 384zM160 368c8.836 0 16-7.164 16-16S168.8 336 160 336S144 343.2 144 352S151.2 368 160 368zM128 320c8.836 0 16-7.164 16-16S136.8 288 128 288S112 295.2 112 304S119.2 320 128 320zM464 96h-52.35C389.5 69.16 325.8 0 256 0S122.5 69.16 100.3 96H48C21.49 96 0 117.5 0 144v320C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-320C512 117.5 490.5 96 464 96zM416 152c13.25 0 24 10.75 24 24S429.3 200 416 200s-24-10.75-24-24S402.7 152 416 152zM256 48c30.41 0 64.14 24.03 89.71 48H166.2C191.7 72.03 225.5 48 256 48zM344 176c0 13.25-10.75 24-24 24s-24-10.75-24-24S306.7 152 320 152S344 162.7 344 176zM216 176c0 13.25-10.75 24-24 24S168 189.3 168 176S178.7 152 192 152S216 162.7 216 176zM96 152c13.25 0 24 10.75 24 24S109.3 200 96 200S72 189.3 72 176S82.75 152 96 152zM448 448H64V256h384V448zM320 384c-8.836 0-16 7.164-16 16S311.2 416 320 416s16-7.164 16-16S328.8 384 320 384zM128 416c8.836 0 16-7.164 16-16S136.8 384 128 384s-16 7.164-16 16S119.2 416 128 416zM384 384c-8.836 0-16 7.164-16 16S375.2 416 384 416s16-7.164 16-16S392.8 384 384 384zM192 320c8.836 0 16-7.164 16-16S200.8 288 192 288S176 295.2 176 304S183.2 320 192 320zM256 320c8.836 0 16-7.164 16-16S264.8 288 256 288S240 295.2 240 304S247.2 320 256 320zM224 368c8.836 0 16-7.164 16-16S232.8 336 224 336S208 343.2 208 352S215.2 368 224 368zM288 368c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S279.2 368 288 368zM384 320c8.836 0 16-7.164 16-16S392.8 288 384 288s-16 7.164-16 16S375.2 320 384 320zM352 368c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S343.2 368 352 368zM320 320c8.836 0 16-7.164 16-16S328.8 288 320 288s-16 7.164-16 16S311.2 320 320 320z"],
    "ampersand": [384, 512, [], "26", "M318 364.7l60.59-90.89c9.812-14.7 5.844-34.58-8.875-44.37c-14.78-9.828-34.63-5.828-44.38 8.875l-52.19 78.28l-71.88-77.08l51.72-40.08C275.3 181.4 288 154.7 288 126.2c0-51.91-42.22-94.14-94.13-94.14H142.1C90.22 32.01 48 74.25 48 126.2c0 27.14 10.09 53.13 28.62 73.42l30.06 32.25L41.31 282.5C15.06 303.7 0 335.2 0 368.9c0 61.25 49.84 111.1 111.1 111.1l70-.0049c37.53 0 72.44-18.64 93.28-49.87l7.188-10.77l47.03 50.47C334.9 476.6 343.4 480 352 480c7.812 0 15.66-2.844 21.81-8.594c12.94-12.05 13.66-32.3 1.594-45.23L318 364.7zM142.1 96.01h51.75C210.5 96.01 224 109.5 224 126.2c0 9.156-4.094 17.7-10.69 23.05L157.5 192.5L123.7 156.2C116.1 147.9 112 137.3 112 126.2C112 109.5 125.5 96.01 142.1 96.01zM221.1 394.6c-8.938 13.39-23.88 21.39-39.94 21.39H111.1C85.13 416 64 394.9 64 368.9c0-14.28 6.375-27.64 17-36.22l69.53-53.88l86.16 92.44L221.1 394.6z"],
    "anchor": [576, 512, [9875], "f13d", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H320V448H368C421 448 464 405 464 352V345.9L456.1 352.1C447.6 362.3 432.4 362.3 423 352.1C413.7 343.6 413.7 328.4 423 319L479 263C488.4 253.7 503.6 253.7 512.1 263L568.1 319C578.3 328.4 578.3 343.6 568.1 352.1C559.6 362.3 544.4 362.3 535 352.1L528 345.9V352C528 440.4 456.4 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM288 128C305.7 128 320 113.7 320 96C320 78.33 305.7 64 288 64C270.3 64 256 78.33 256 96C256 113.7 270.3 128 288 128z"],
    "anchor-circle-check": [640, 512, [], "e4aa", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "anchor-circle-xmark": [640, 512, [], "e4ac", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "anchor-lock": [640, 512, [], "e4ad", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H368C373.4 448 378.8 447.5 384 446.7V480C384 490.1 386.7 501.3 391.6 510.3C383.9 511.4 376 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "angel": [640, 512, [], "f779", "M240 144c0 44.25 35.75 80 79.1 80s79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144zM216.5 101.4c4.125-9.875 9.875-18.87 16.62-27.13C227.3 70.25 224 66.38 224 64c0-8 33.1-32 95.1-32s95.1 24 95.1 32c0 2.25-3.25 6.125-9.125 10.25c6.625 8.375 12.37 17.25 16.62 27.13C438.7 90.88 447.1 78 447.1 64c0-35.25-57.25-64-127.1-64S192 28.75 192 64C192 78 201.3 90.88 216.5 101.4zM603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c4.75-9.75 8.655-16.62 11.9-22.12c9.5-16.5 14.47-26.47 14.47-53.22c0-51.12-46.87-96-100.4-96c-24.87 0-48.97 10.25-66.34 28.12L352.6 261.5c-10.37-3.375-21.33-5.453-32.58-5.453c-11.37 0-22.06 2.042-32.43 5.417L214.1 188.3c-17.5-18-41.69-28.19-66.44-28.19C95.04 160.1 48.01 204.9 48.01 256c0 26.75 4.1 36.75 14.5 53.25c3.25 5.5 7.125 12.25 11.87 22c6.625 13.5 6.625 29.62 0 43.13l-38.09 78.75c-6.375 12.88-5.531 27.75 1.968 39.88C45.76 504.9 58.57 512 72.57 512h494.1c13.87 0 26.69-7.125 34.19-19C609.2 480.9 610.1 465.9 603.7 453.1zM227.4 313.2L152.1 464H84.32l33.37-68.63c12.1-26.62 12.1-58.5 0-85.13c-5.375-11.12-9.875-18.87-13.5-25C96.95 272.8 96.13 271.2 96.13 256c0-24.75 25.5-48 52.37-48c12.12 0 23.44 4.813 32.19 13.81L245.8 287.5C238.6 295 232.3 303.6 227.4 313.2zM487.9 464L412.6 313.2C407.7 303.6 401.5 295 394.2 287.5l65.19-65.75C468.1 212.9 479.4 208 491.6 208c26.1 0 52.37 23.25 52.37 48c0 15.25-.875 16.75-8.125 29.25c-3.625 6.125-7.1 14-13.5 25c-12.1 26.63-12.1 58.5 0 85.13L555.7 464H487.9z"],
    "angle": [448, 512, [], "e08c", "M83.78 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C20.91 480 10.61 474.3 4.779 464.8C-1.052 455.4-1.581 443.6 3.378 433.7L195.4 49.69C203.3 33.88 222.5 27.47 238.3 35.38C254.1 43.28 260.5 62.5 252.6 78.31L83.78 416zM240.4 174.3C269.4 196.4 294.8 223.1 315.5 253.2L274.7 278.5C258.9 255.9 239.9 235.5 218.5 218.1L240.4 174.3zM321.1 384C314.9 356.2 304.9 329.9 291.6 305.7L332.4 280.3C350.2 312.1 363.1 347 370.1 383.1L321.1 384z"],
    "angle-90": [448, 512, [], "e08d", "M312.6 384h49.13c-7.244-37.39-20.83-72.46-39.39-104.3l-41.1 24.66C295.4 328.9 306.1 355.6 312.6 384zM263.6 277.6l41.31-24.79c-21.5-29.97-47.75-56.22-77.72-77.72L202.4 216.4C225.8 233.6 246.4 254.2 263.6 277.6zM416 416H64V63.1C64 46.33 49.67 32 32 32S0 46.33 0 63.1V448c0 17.67 14.33 32 32 32h384C433.7 480 448 465.7 448 448S433.7 416 416 416zM200.3 157.7C168.5 139.1 133.4 125.5 96 118.3v49.13c28.39 6.477 55.15 17.16 79.68 31.36L200.3 157.7z"],
    "angle-down": [384, 512, [8964], "f107", "M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z"],
    "angle-left": [256, 512, [8249], "f104", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"],
    "angle-right": [256, 512, [8250], "f105", "M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z"],
    "angle-up": [384, 512, [8963], "f106", "M352 352c-8.188 0-16.38-3.125-22.62-9.375L192 205.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 348.9 360.2 352 352 352z"],
    "angles-down": [384, 512, ["angle-double-down"], "f103", "M169.4 278.6C175.6 284.9 183.8 288 192 288s16.38-3.125 22.62-9.375l160-160c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L192 210.8L54.63 73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L169.4 278.6zM329.4 265.4L192 402.8L54.63 265.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l160 160C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l160-160c12.5-12.5 12.5-32.75 0-45.25S341.9 252.9 329.4 265.4z"],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", "M77.25 256l137.4-137.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25l160 160C175.6 444.9 183.8 448 192 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L77.25 256zM269.3 256l137.4-137.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25l160 160C367.6 444.9 375.8 448 384 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L269.3 256z"],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", "M246.6 233.4l-160-160c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L178.8 256l-137.4 137.4c-12.5 12.5-12.5 32.75 0 45.25C47.63 444.9 55.81 448 64 448s16.38-3.125 22.62-9.375l160-160C259.1 266.1 259.1 245.9 246.6 233.4zM438.6 233.4l-160-160c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L370.8 256l-137.4 137.4c-12.5 12.5-12.5 32.75 0 45.25C239.6 444.9 247.8 448 256 448s16.38-3.125 22.62-9.375l160-160C451.1 266.1 451.1 245.9 438.6 233.4z"],
    "angles-up": [384, 512, ["angle-double-up"], "f102", "M54.63 246.6L192 109.3l137.4 137.4C335.6 252.9 343.8 256 352 256s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-160-160c-12.5-12.5-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25S42.13 259.1 54.63 246.6zM214.6 233.4c-12.5-12.5-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 301.3l137.4 137.4C335.6 444.9 343.8 448 352 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L214.6 233.4z"],
    "ankh": [320, 512, [9765], "f644", "M296 256h-44.63C272.5 222 288 181.6 288 144C288 55.62 230.8 0 160 0S32 55.62 32 144C32 181.6 47.5 222 68.63 256H24C10.75 256 0 266.8 0 280v32c0 13.25 10.75 24 24 24h96v152C120 501.2 130.8 512 144 512h32c13.25 0 24-10.75 24-24V336h96c13.25 0 24-10.75 24-24v-32C320 266.8 309.2 256 296 256zM160 80c29.62 0 48 24.5 48 64c0 34.62-27.12 78.12-48 100.9C139.1 222.1 112 178.6 112 144C112 104.5 130.4 80 160 80z"],
    "apartment": [576, 512, [], "e468", "M400 0C426.5 0 448 21.49 448 48V192H528C554.5 192 576 213.5 576 240V464C576 490.5 554.5 512 528 512H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H128V48C128 21.49 149.5 0 176 0H400zM368 320C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368zM512 368C512 359.2 504.8 352 496 352H464C455.2 352 448 359.2 448 368V400C448 408.8 455.2 416 464 416H496C504.8 416 512 408.8 512 400V368zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM384 80C384 71.16 376.8 64 368 64H336C327.2 64 320 71.16 320 80V112C320 120.8 327.2 128 336 128H368C376.8 128 384 120.8 384 112V80zM208 64C199.2 64 192 71.16 192 80V112C192 120.8 199.2 128 208 128H240C248.8 128 256 120.8 256 112V80C256 71.16 248.8 64 240 64H208zM384 176C384 167.2 376.8 160 368 160H336C327.2 160 320 167.2 320 176V208C320 216.8 327.2 224 336 224H368C376.8 224 384 216.8 384 208V176zM496 320C504.8 320 512 312.8 512 304V272C512 263.2 504.8 256 496 256H464C455.2 256 448 263.2 448 272V304C448 312.8 455.2 320 464 320H496zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 224C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240z"],
    "aperture": [512, 512, [], "e2df", "M54.32 98.69C20.4 142.1 0 196.6 0 256c0 22.14 3.105 43.51 8.391 64h173.7L54.32 98.69zM493.2 160c-29.6-73.06-91.91-129.2-168.8-150.5L237.5 160H493.2zM291.4 2.727C279.8 1.119 268 0 256 0C186.1 0 122.9 28.05 76.69 73.42l86.93 150.6L291.4 2.727zM503.6 192h-173.7l127.8 221.3C491.6 369.9 512 315.4 512 256C512 233.9 508.9 212.5 503.6 192zM18.78 352c29.6 73.06 91.91 129.2 168.8 150.5L274.5 352H18.78zM220.6 509.3C232.2 510.9 243.1 512 256 512c69.86 0 133.1-28.05 179.3-73.42l-86.93-150.6L220.6 509.3z"],
    "apostrophe": [192, 512, [], "27", "M192 128v96c0 70.58-57.42 128-128 128c-17.67 0-32-14.33-32-32s14.33-32 32-32c35.3 0 64-28.7 64-64V218.1C117.9 221.7 107.3 224 96 224C42.98 224 0 181 0 128s42.98-96 96-96S192 74.98 192 128z"],
    "apple-core": [384, 512, [], "e08f", "M288 32V0h-32c-44.18 0-80 35.82-80 80v32h32C252.2 112 288 76.18 288 32zM287.1 304c0-62.93 33.13-117.1 82.79-149.1c-16.88-16.54-38.72-26.93-66.68-26.93c-32 0-80.11 16.06-112.1 32.06c-32.01-16-79.1-32.02-111.1-32.03C51.94 128 29.96 138.3 13.06 154.8C62.81 185.9 95.1 241 95.1 304c0 60.11-30.18 113.1-76.16 144.9C47.32 486.2 84.35 512 128 512c32 0 48-16 64-16c16 0 32 16 64 16c43.76 0 80.84-25.65 108.3-63.01C318.2 417.3 287.1 364.2 287.1 304z"],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", "M336 128c-32 0-80.02 16.03-112 32.03c-32.01-16-79.1-32.02-111.1-32.03C32 128 .4134 210.5 .0033 288c-.5313 99.97 63.99 224 159.1 224c32 0 48-16 64-16c16 0 32 16 64 16c96 0 160.4-122.8 159.1-224C447.7 211.6 416 128 336 128zM320 32V0h-32C243.8 0 208 35.82 208 80v32h32C284.2 112 320 76.18 320 32z"],
    "archway": [512, 512, [], "f557", "M480 32C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H480zM32 128H480V416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416V128z"],
    "arrow-down": [384, 512, [8595], "f063", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 370.8V64c0-17.69 14.33-31.1 31.1-31.1S224 46.31 224 64v306.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0S387.1 298.1 374.6 310.6z"],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", "M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6zM216 320.3c-8.672 0-17.3 3.5-23.61 10.38L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.95-13.01-32.2-13.91-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C231.5 323.1 223.7 320.3 216 320.3z"],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", "M216 320.3c-8.672 0-17.3 3.5-23.61 10.38L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.95-13.01-32.2-13.91-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C231.5 323.1 223.7 320.3 216 320.3zM357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z"],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", "M239.6 373.1c11.94-13.05 11.06-33.31-1.969-45.27c-13.55-12.42-33.76-10.52-45.22 1.973L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302l-32.4-35.39C51.64 317.7 31.39 316.7 18.38 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0L239.6 373.1zM448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 288 447.1 288H319.1C302.3 288 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z"],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", "M431.6 138l-87.1-96.09c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C196.5 151.1 197.3 171.4 210.4 183.3c13.02 11.95 33.27 11.04 45.22-1.973L288 145.9v302C288 465.7 302.3 480 320 480s32-14.33 32-32.03V145.9l32.4 35.39c11.42 12.45 31.63 14.43 45.22 1.973C442.7 171.4 443.5 151.1 431.6 138zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", "M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", "M320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM73.38 342.6l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L256 370.7V191.1c0-17.69-14.31-32-32-32s-32 14.31-32 32v178.8L118.6 297.4C112.4 291.1 104.2 287.1 96 287.1S79.63 291.1 73.38 297.4C60.88 309.9 60.88 330.1 73.38 342.6zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z"],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", "M297.4 297.4L224 370.8V192c0-17.69-14.31-32-32-32S160 174.3 160 192v178.8L86.63 297.4C80.38 291.1 72.19 288 64 288S47.63 291.1 41.38 297.4c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 284.9 297.4 297.4zM32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z"],
    "arrow-down-left": [320, 512, [], "e091", "M310.6 150.6L109.3 352H256c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32V160c0-17.69 14.33-32 32-32s32 14.31 32 32v146.8l201.4-201.4c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z"],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", "M54.63 502.6L176 381.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C234.3 283.9 228.1 277.7 220.2 274.5C216.3 272.8 212.2 272 208 272h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-121.4 121.4c-12.5 12.5-12.5 32.75 0 45.25S42.13 515.1 54.63 502.6zM274.5 220.2c3.242 7.84 9.479 14.08 17.32 17.32C295.7 239.2 299.8 240 304 240h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l121.4-121.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L336 130.8V80c0-17.69-14.31-32-32-32s-32 14.31-32 32v127.1C272 212.2 272.8 216.3 274.5 220.2z"],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", "M9.375 329.4c12.51-12.51 32.76-12.49 45.25 0L128 402.8V32c0-17.69 14.31-32 32-32s32 14.31 32 32v370.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C-3.125 362.1-3.125 341.9 9.375 329.4z"],
    "arrow-down-right": [320, 512, [], "e093", "M320 160v224c0 17.69-14.33 32-32 32H64c-17.67 0-32-14.31-32-32s14.33-32 32-32h146.8L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 306.8V160c0-17.69 14.33-32 32-32S320 142.3 320 160z"],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", "M320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", "M320 192h96c17.67 0 32-14.33 32-32V64c0-17.6-14.4-32-32-32h-96c-17.67 0-32 14.33-32 32v96C288 177.7 302.3 192 320 192zM480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", "M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM192.4 330.7L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-to-arc": [512, 512, [], "e4ae", "M256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448zM278.6 342.6C266.1 355.1 245.9 355.1 233.4 342.6L121.4 230.6C108.9 218.1 108.9 197.9 121.4 185.4C133.9 172.9 154.1 172.9 166.6 185.4L224 242.7V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V242.7L345.4 185.4C357.9 172.9 378.1 172.9 390.6 185.4C403.1 197.9 403.1 218.1 390.6 230.6L278.6 342.6z"],
    "arrow-down-to-bracket": [448, 512, [], "e094", "M448 416v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256C405 512 448 469 448 416zM246.6 342.6l128-128c12.51-12.51 12.49-32.76 0-45.25c-12.5-12.5-32.75-12.5-45.25 0L256 242.8V32c0-17.69-14.31-32-32-32S192 14.31 192 32v210.8L118.6 169.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l128 128C213.9 355.1 234.1 355.1 246.6 342.6z"],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", "M128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM73.38 230.6l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L256 258.7V79.1c0-17.69-14.31-32-32-32s-32 14.31-32 32V258.7L118.6 185.4C112.4 179.1 104.2 175.1 96 175.1S79.63 179.1 73.38 185.4C60.88 197.9 60.88 218.1 73.38 230.6zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z"],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", "M297.4 169.4L224 242.8V64c0-17.69-14.31-32-32-32S160 46.31 160 64v178.8L86.63 169.4C80.38 163.1 72.19 160 64 160S47.63 163.1 41.38 169.4c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 156.9 297.4 169.4zM352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z"],
    "arrow-down-to-square": [512, 512, [], "e096", "M448 96h-64v64h64v288H64V160h64V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96zM232.4 373.8c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.71-12.57-33.9-10.37-45.22 1.969L288 269.8V32.03C288 14.33 273.7 0 256 0S224 14.33 224 32.03v237.8L191.6 234.4C179.6 221.4 159.4 220.5 146.4 232.4C133.3 244.4 132.5 264.6 144.4 277.7L232.4 373.8z"],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", "M192.4 330.7L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288z"],
    "arrow-down-up-across-line": [576, 512, [], "e4af", "M41.37 406.6C28.88 394.1 28.88 373.9 41.37 361.4C53.87 348.9 74.13 348.9 86.63 361.4L128 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H384V109.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372L534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6C522.1 163.1 501.9 163.1 489.4 150.6L448 109.3V223.1H544C561.7 223.1 576 238.3 576 255.1C576 273.7 561.7 287.1 544 287.1H192V402.7L233.4 361.4C245.9 348.9 266.1 348.9 278.6 361.4C291.1 373.9 291.1 394.1 278.6 406.6L182.6 502.6C170.1 515.1 149.9 515.1 137.4 502.6L41.37 406.6zM128 63.1C128 46.33 142.3 31.1 160 31.1C177.7 31.1 192 46.33 192 63.1V191.1H128V63.1zM448 319.1V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V319.1H448z"],
    "arrow-down-up-lock": [640, 512, [], "e4b0", "M105.4 502.6L9.373 406.6C-3.124 394.1-3.124 373.9 9.373 361.4C21.87 348.9 42.13 348.9 54.63 361.4L96 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H288V109.3L246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C303.4 3.371 311.5 0 320 0C328.5 0 336.6 3.372 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V223.1H426.8C419.9 238.5 416 254.8 416 271.1V287.1H160V402.7L201.4 361.4C213.9 348.9 234.1 348.9 246.6 361.4C259.1 373.9 259.1 394.1 246.6 406.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6H105.4zM96 191.1V63.1C96 46.33 110.3 31.1 128 31.1C145.7 31.1 160 46.33 160 63.1V191.1H96zM352 319.1V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V319.1H352zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 239.1C510.3 239.1 496 254.3 496 271.1V319.1H560V271.1C560 254.3 545.7 239.1 528 239.1z"],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", "M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", "M104.4 470.1c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.02-11.95-33.27-11.04-45.22 1.973L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302l-32.4-35.39c-6.312-6.883-14.94-10.39-23.61-10.39c-7.719 0-15.47 2.785-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27L104.4 470.1zM320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z"],
    "arrow-left": [448, 512, [8592], "f060", "M447.1 256C447.1 273.7 433.7 288 416 288H109.3l105.4 105.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448s-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H416C433.7 224 447.1 238.3 447.1 256z"],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", "M182.6 361.4L109.3 288H288c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l73.38-73.38C188.9 144.4 192 136.2 192 128S188.9 111.6 182.6 105.4c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0S195.1 373.9 182.6 361.4zM384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z"],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", "M9.375 233.4l128-128c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H480c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3l73.38 73.38c12.5 12.5 12.5 32.75 0 45.25c-12.49 12.49-32.74 12.51-45.25 0l-128-128C-3.125 266.1-3.125 245.9 9.375 233.4z"],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", "M0 96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96zM265.4 406.6L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4L265.4 105.4C277.9 92.88 298.1 92.88 310.6 105.4C323.1 117.9 323.1 138.1 310.6 150.6L237.2 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H237.2L310.6 361.4C323.1 373.9 323.1 394.1 310.6 406.6C298.1 419.1 277.9 419.1 265.4 406.6z"],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", "M310.6 105.4c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0C316.9 400.4 320 392.2 320 384s-3.125-16.38-9.375-22.62L237.3 288H416c17.69 0 32-14.31 32-32s-14.31-32-32-32h-178.8l73.38-73.38C323.1 138.1 323.1 117.9 310.6 105.4zM32 64C14.31 64 0 78.31 0 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96C64 78.31 49.69 64 32 64z"],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", "M23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H179.8L236.6 433.7C244.5 449.5 238.1 468.7 222.3 476.6C206.5 484.5 187.3 478.1 179.4 462.3L121.2 346L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1V55.18C0 42.38 10.38 32 23.18 32H23.19z"],
    "arrow-right": [448, 512, [8594], "f061", "M438.6 278.6l-160 160C272.4 444.9 264.2 448 256 448s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L338.8 288H32C14.33 288 .0016 273.7 .0016 256S14.33 224 32 224h306.8l-105.4-105.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160C451.1 245.9 451.1 266.1 438.6 278.6z"],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", "M32 176h370.8l-57.38 57.38c-12.5 12.5-12.5 32.75 0 45.25C351.6 284.9 359.8 288 368 288s16.38-3.125 22.62-9.375l112-112c12.5-12.5 12.5-32.75 0-45.25l-112-112c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L402.8 112H32c-17.69 0-32 14.31-32 32S14.31 176 32 176zM480 336H109.3l57.38-57.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-112 112c-12.5 12.5-12.5 32.75 0 45.25l112 112C127.6 508.9 135.8 512 144 512s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L109.3 400H480c17.69 0 32-14.31 32-32S497.7 336 480 336z"],
    "arrow-right-from-arc": [512, 512, [], "e4b1", "M256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448zM502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L390.6 390.6C378.1 403.1 357.9 403.1 345.4 390.6C332.9 378.1 332.9 357.9 345.4 345.4L402.7 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H402.7L345.4 166.6C332.9 154.1 332.9 133.9 345.4 121.4C357.9 108.9 378.1 108.9 390.6 121.4L502.6 233.4z"],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", "M160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64c17.67 0 32-14.33 32-32S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h64c17.67 0 32-14.33 32-32S177.7 416 160 416zM502.6 233.4l-128-128c-12.51-12.51-32.76-12.49-45.25 0c-12.5 12.5-12.5 32.75 0 45.25L402.8 224H192C174.3 224 160 238.3 160 256s14.31 32 32 32h210.8l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l128-128C515.1 266.1 515.1 245.9 502.6 233.4z"],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", "M265.4 150.6L338.8 224H160C142.3 224 128 238.3 128 256s14.31 32 32 32h178.8l-73.38 73.38C259.1 367.6 256 375.8 256 384s3.125 16.38 9.375 22.62c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0S252.9 138.1 265.4 150.6zM64 416V96c0-17.69-14.31-32-32-32S0 78.31 0 96v320c0 17.69 14.31 32 32 32S64 433.7 64 416z"],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", "M502.6 278.6l-128 128c-12.51 12.51-32.76 12.49-45.25 0c-12.5-12.5-12.5-32.75 0-45.25L402.8 288H32C14.31 288 0 273.7 0 255.1S14.31 224 32 224h370.8l-73.38-73.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l128 128C515.1 245.9 515.1 266.1 502.6 278.6z"],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", "M640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416zM329.4 406.6C316.9 394.1 316.9 373.9 329.4 361.4L402.7 288H32C14.31 288 0 273.7 0 256C0 238.3 14.31 224 32 224H402.7L329.4 150.6C316.9 138.1 316.9 117.9 329.4 105.4C341.9 92.88 362.1 92.88 374.6 105.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L374.6 406.6C362.1 419.1 341.9 419.1 329.4 406.6z"],
    "arrow-right-to-arc": [512, 512, [], "e4b2", "M448 256C448 149.1 362 64 256 64C238.3 64 224 49.67 224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448C362 448 448 362 448 256zM342.6 233.4C355.1 245.9 355.1 266.1 342.6 278.6L230.6 390.6C218.1 403.1 197.9 403.1 185.4 390.6C172.9 378.1 172.9 357.9 185.4 345.4L242.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H242.7L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L342.6 233.4z"],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", "M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32zM342.6 233.4l-128-128c-12.51-12.51-32.76-12.49-45.25 0c-12.5 12.5-12.5 32.75 0 45.25L242.8 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h210.8l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l128-128C355.1 266.1 355.1 245.9 342.6 233.4z"],
    "arrow-right-to-city": [640, 512, [], "e4b3", "M288 48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48zM352 112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368zM352 304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM512 400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400zM246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L166.6 358.6C154.1 371.1 133.9 371.1 121.4 358.6C108.9 346.1 108.9 325.9 121.4 313.4L146.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H146.7L121.4 198.6C108.9 186.1 108.9 165.9 121.4 153.4C133.9 140.9 154.1 140.9 166.6 153.4L246.6 233.4z"],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", "M137.4 150.6L210.8 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h178.8l-73.38 73.38C131.1 367.6 128 375.8 128 384s3.125 16.38 9.375 22.62c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0S124.9 138.1 137.4 150.6zM384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z"],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", "M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.86 0-95.19-15.58-134.2-44.86c-14.14-10.59-17-30.66-6.391-44.81c10.61-14.09 30.69-16.97 44.8-6.375c27.84 20.91 61 31.94 95.89 31.94C344.3 415.8 416 344.1 416 256s-71.67-159.8-159.8-159.8C205.9 96.22 158.6 120.3 128.6 160H192c17.67 0 32 14.31 32 32S209.7 224 192 224H48c-17.67 0-32-14.31-32-32V48c0-17.69 14.33-32 32-32s32 14.31 32 32v70.23C122.1 64.58 186.1 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z"],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", "M496 48V192c0 17.69-14.31 32-32 32H320c-17.69 0-32-14.31-32-32s14.31-32 32-32h63.39c-29.97-39.7-77.25-63.78-127.6-63.78C167.7 96.22 96 167.9 96 256s71.69 159.8 159.8 159.8c34.88 0 68.03-11.03 95.88-31.94c14.22-10.53 34.22-7.75 44.81 6.375c10.59 14.16 7.75 34.22-6.375 44.81c-39.03 29.28-85.36 44.86-134.2 44.86C132.5 479.9 32 379.4 32 256s100.5-223.9 223.9-223.9c69.15 0 134 32.47 176.1 86.12V48c0-17.69 14.31-32 32-32S496 30.31 496 48z"],
    "arrow-trend-down": [576, 512, [], "e097", "M466.7 352L320 205.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6L9.372 150.6C-3.124 138.1-3.124 117.9 9.372 105.4C21.87 92.88 42.13 92.88 54.63 105.4L191.1 242.7L297.4 137.4C309.9 124.9 330.1 124.9 342.6 137.4L512 306.7V223.1C512 206.3 526.3 191.1 544 191.1C561.7 191.1 576 206.3 576 223.1V384C576 401.7 561.7 416 544 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352L466.7 352z"],
    "arrow-trend-up": [576, 512, [], "e098", "M384 160C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H544C561.7 96 576 110.3 576 128V288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288V205.3L342.6 374.6C330.1 387.1 309.9 387.1 297.4 374.6L191.1 269.3L54.63 406.6C42.13 419.1 21.87 419.1 9.372 406.6C-3.124 394.1-3.124 373.9 9.372 361.4L169.4 201.4C181.9 188.9 202.1 188.9 214.6 201.4L320 306.7L466.7 159.1L384 160z"],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", "M342.6 374.6l-128 128C208.4 508.9 200.2 512 191.1 512s-16.38-3.125-22.63-9.375l-127.1-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 402.8V80C160 71.19 152.8 64 144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80v322.8l73.37-73.38c12.5-12.5 32.75-12.5 45.25 0S355.1 362.1 342.6 374.6z"],
    "arrow-turn-down-left": [512, 512, [], "e2e1", "M137.4 438.6l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-127.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 256H432C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32v176c0 44.11-35.88 80-80 80H109.3l73.38 73.37C188.9 399.6 192 407.8 192 415.1s-3.125 16.38-9.375 22.62C170.1 451.1 149.9 451.1 137.4 438.6z"],
    "arrow-turn-down-right": [512, 512, [], "e3d6", "M329.4 438.6C323.1 432.4 320 424.2 320 416C320 407.8 323.1 399.6 329.4 393.4L402.7 320H80C35.87 320 0 284.1 0 240V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V240C64 248.8 71.19 256 80 256H402.7L329.4 182.6C316.9 170.1 316.9 149.9 329.4 137.4C341.9 124.9 362.1 124.9 374.6 137.4L502.6 265.4C515.1 277.9 515.1 298.1 502.6 310.6L374.6 438.6C362.1 451.1 341.9 451.1 329.4 438.6V438.6z"],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", "M342.6 182.6C336.4 188.9 328.2 192 319.1 192s-16.38-3.125-22.62-9.375L224 109.3V432c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V109.3L86.62 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l127.1-128c12.5-12.5 32.75-12.5 45.25 0l128 128C355.1 149.9 355.1 170.1 342.6 182.6z"],
    "arrow-up": [384, 512, [8593], "f062", "M374.6 246.6C368.4 252.9 360.2 256 352 256s-16.38-3.125-22.62-9.375L224 141.3V448c0 17.69-14.33 31.1-31.1 31.1S160 465.7 160 448V141.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160C387.1 213.9 387.1 234.1 374.6 246.6z"],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", "M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6zM39.99 191.7c8.672 0 17.3-3.5 23.61-10.38L96 145.9v302c0 17.7 14.33 32.03 31.1 32.03s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.2 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.94c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.3 18.38 183.3C24.52 188.9 32.27 191.7 39.99 191.7z"],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", "M237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.94c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.3 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.969L96 145.9v302c0 17.7 14.33 32.03 31.1 32.03s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.38 23.61 10.38C223.7 191.7 231.5 188.9 237.6 183.3zM357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z"],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480S160 465.7 160 447.1V145.9L192.4 181.3c11.46 12.49 31.67 14.39 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88s-16.63-19.86-29.56-19.86H319.1C302.3 287.9 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z"],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", "M18.38 183.3C31.97 195.8 52.17 193.8 63.6 181.3L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.95 13.01 32.2 13.92 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3zM210.4 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.59-12.46-33.8-10.48-45.22 1.969L352 366.1V64.03C352 46.33 337.7 32 320 32s-32 14.33-32 32.03v302l-32.4-35.4C243.6 317.7 223.4 316.8 210.4 328.7z"],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", "M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-from-arc": [512, 512, [], "e4b4", "M448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256zM233.4 9.372C245.9-3.124 266.1-3.124 278.6 9.372L390.6 121.4C403.1 133.9 403.1 154.1 390.6 166.6C378.1 179.1 357.9 179.1 345.4 166.6L288 109.3V320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V109.3L166.6 166.6C154.1 179.1 133.9 179.1 121.4 166.6C108.9 154.1 108.9 133.9 121.4 121.4L233.4 9.372z"],
    "arrow-up-from-bracket": [448, 512, [], "e09a", "M384 352v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-64c0-17.67-14.33-32-32-32S384 334.3 384 352zM201.4 9.375l-128 128c-12.51 12.51-12.49 32.76 0 45.25c12.5 12.5 32.75 12.5 45.25 0L192 109.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V109.3l73.38 73.38c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25l-128-128C234.1-3.125 213.9-3.125 201.4 9.375z"],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", "M128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM374.6 169.4l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 141.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3l73.38 73.38C335.6 220.9 343.8 224 352 224s16.38-3.125 22.62-9.375C387.1 202.1 387.1 181.9 374.6 169.4zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z"],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", "M256 319.1V109.3L230.6 134.6C218.1 147.1 197.9 147.1 185.4 134.6C172.9 122.1 172.9 101.9 185.4 89.37L265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L390.6 89.37C403.1 101.9 403.1 122.1 390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6L320 109.3V319.1C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 319.1zM269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515.1 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.13 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.854 504.5 .8429 487.3C-3.168 470.1 7.533 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5zM192 416.5C172.1 416.4 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V239.1C0 213.5 21.49 191.1 48 191.1H192V416.5zM576 239.1V424.1C570.7 421.9 564.8 419.6 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5L384 191.1H528C554.5 191.1 576 213.5 576 239.1L576 239.1z"],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", "M86.63 214.6L160 141.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3l73.38 73.38C303.6 220.9 311.8 224 320 224s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25S74.13 227.1 86.63 214.6zM352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z"],
    "arrow-up-from-square": [512, 512, [], "e09c", "M167.8 159.7c8.895 0 17.63-3.71 23.76-10.39L224 113.9V320c0 17.7 14.33 32.02 32 32.02S288 337.7 288 320V113.9l32.4 35.39c6.32 6.879 14.96 10.38 23.63 10.38c17.64 0 31.97-14.29 31.97-32.01c0-7.734-2.78-15.51-8.409-21.66l-87.1-96.09C273.5 3.312 264.8-.0002 256-.0002S238.5 3.312 232.4 9.945l-87.1 96.09c-5.629 6.152-8.409 13.93-8.409 21.66C135.1 145.4 150.3 159.7 167.8 159.7zM448 96h-32v63.92L448 160v288H64V160l32-.0824V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96z"],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", "M239.1 0C266.5 0 287.1 21.49 287.1 48V256H416V109.3L390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6C332.9 122.1 332.9 101.9 345.4 89.37L425.4 9.373C437.9-3.124 458.1-3.124 470.6 9.373L550.6 89.37C563.1 101.9 563.1 122.1 550.6 134.6C538.1 147.1 517.9 147.1 505.4 134.6L480 109.3V256H528C554.5 256 576 277.5 576 304V400C576 408 574 415.6 570.6 422.2C566.8 420.5 562.8 419.1 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C172.1 416.5 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C13.27 419.1 9.239 420.5 5.439 422.2C1.965 415.6 0 408 0 400V304C0 277.5 21.49 256 48 256H64V48C64 21.49 85.49 0 112 0H239.1zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "arrow-up-left": [320, 512, [], "e09d", "M310.6 406.6C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L64 205.3V352c0 17.69-14.33 32-32 32s-32-14.31-32-32V128c0-17.69 14.33-32 32-32h224c17.67 0 32 14.31 32 32s-14.33 32-32 32H109.3l201.4 201.4C323.1 373.9 323.1 394.1 310.6 406.6z"],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", "M333.3 336c12.5-12.5 12.5-32.77 0-45.26L109.3 63.99H192c17.67 0 31.99-14.33 31.99-31.1C223.1 14.32 209.7 0 192 0H32C23.16 0 15.16 3.578 9.371 9.367C3.578 15.16 0 23.16 0 31.1V192c0 17.67 14.32 31.1 31.99 31.1S63.99 209.7 63.99 192V109.2L288 336C300.5 348.5 320.8 348.5 333.3 336zM325.3 67.09C307.8 64 291.4 75.91 288.4 93.38c-2.906 17.44 8.844 33.91 26.28 36.84C391.9 143.2 448 209.5 448 288c0 88.22-71.78 160-160 160c-78.47 0-144.8-56.06-157.8-133.3C127.3 297.3 111.1 285.3 93.34 288.4c-17.41 2.938-29.19 19.44-26.25 36.88C85.25 433.5 178.2 512 288 512c123.5 0 224-100.5 224-224C512 178.1 433.5 85.22 325.3 67.09z"],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", "M310.6 182.6c-12.51 12.51-32.76 12.49-45.25 0L192 109.3V480c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3L54.63 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C323.1 149.9 323.1 170.1 310.6 182.6z"],
    "arrow-up-right": [320, 512, [], "e09f", "M320 128v224c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3l-201.4 201.4C48.38 412.9 40.19 416 32 416s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L210.8 160H64C46.33 160 32 145.7 32 128s14.33-32 32-32h224C305.7 96 320 110.3 320 128z"],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", "M177.4 289.4L64 402.8V352c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.465 12.22c3.24 7.832 9.479 14.07 17.31 17.31C23.69 511.2 27.84 512 32 512h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l113.4-113.4c12.5-12.5 12.5-32.75 0-45.25S189.9 276.9 177.4 289.4zM509.5 19.78c-3.242-7.84-9.479-14.08-17.32-17.32C488.3 .8477 484.2 0 480 0h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-113.4 113.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L448 109.3V160c0 17.69 14.31 32 32 32s32-14.31 32-32V32C512 27.84 511.2 23.69 509.5 19.78z"],
    "arrow-up-right-dots": [576, 512, [], "e4b7", "M287.1 0C305.7 0 320 14.33 320 32V160C320 177.7 305.7 192 287.1 192C270.3 192 255.1 177.7 255.1 160V109.3L54.63 310.6C42.13 323.1 21.87 323.1 9.372 310.6C-3.124 298.1-3.124 277.9 9.372 265.4L210.7 64H159.1C142.3 64 127.1 49.67 127.1 32C127.1 14.33 142.3 0 159.1 0H287.1zM576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80zM448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208zM352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336zM448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464zM576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464zM223.1 336C223.1 309.5 245.5 288 271.1 288C298.5 288 320 309.5 320 336C320 362.5 298.5 384 271.1 384C245.5 384 223.1 362.5 223.1 336zM320 464C320 490.5 298.5 512 271.1 512C245.5 512 223.1 490.5 223.1 464C223.1 437.5 245.5 416 271.1 416C298.5 416 320 437.5 320 464zM95.1 464C95.1 437.5 117.5 416 143.1 416C170.5 416 191.1 437.5 191.1 464C191.1 490.5 170.5 512 143.1 512C117.5 512 95.1 490.5 95.1 464zM576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336zM480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208z"],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", "M256 64C256 46.33 270.3 32 288 32H415.1C415.1 32 415.1 32 415.1 32C420.3 32 424.5 32.86 428.2 34.43C431.1 35.98 435.5 38.27 438.6 41.3C438.6 41.35 438.6 41.4 438.7 41.44C444.9 47.66 447.1 55.78 448 63.9C448 63.94 448 63.97 448 64V192C448 209.7 433.7 224 416 224C398.3 224 384 209.7 384 192V141.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6C156.9 298.1 156.9 277.9 169.4 265.4L338.7 96H288C270.3 96 256 81.67 256 64V64zM0 128C0 92.65 28.65 64 64 64H160C177.7 64 192 78.33 192 96C192 113.7 177.7 128 160 128H64V416H352V320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320V416C416 451.3 387.3 480 352 480H64C28.65 480 0 451.3 0 416V128z"],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", "M544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.4 18.38 183.3c6.141 5.629 13.89 8.414 21.61 8.414c8.672 0 17.3-3.504 23.61-10.39L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.3 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", "M480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", "M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.42 12.45 31.63 14.43 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z"],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", "M320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM374.6 281.4l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 253.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32V253.3l73.38 73.38C335.6 332.9 343.8 336 352 336s16.38-3.125 22.62-9.375C387.1 314.1 387.1 293.9 374.6 281.4zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z"],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", "M86.63 342.6L160 269.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32V269.3l73.38 73.38C303.6 348.9 311.8 352 320 352s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25S74.13 355.1 86.63 342.6zM32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z"],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.42 12.45 31.63 14.43 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9z"],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", "M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.4 18.38 183.3c6.141 5.629 13.89 8.414 21.61 8.414c8.672 0 17.3-3.504 23.61-10.39L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.3 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480S160 465.7 160 447.1V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z"],
    "arrows-cross": [448, 512, [], "e0a2", "M445.5 51.78c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L9.375 425.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L384 141.3V192c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 59.84 447.2 55.69 445.5 51.78zM156.1 233.4l45.25-45.25L54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0c-12.49 12.49-12.51 32.74 0 45.25L156.1 233.4zM416 288c-17.69 0-32 14.31-32 32v50.75l-92.13-92.13l-45.25 45.25L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z"],
    "arrows-down-to-line": [576, 512, [], "e4b8", "M544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H544zM470.6 374.6C458.1 387.1 437.9 387.1 425.4 374.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4C341.9 220.9 362.1 220.9 374.6 233.4L416 274.7V64C416 46.33 430.3 32 448 32C465.7 32 480 46.33 480 64V274.7L521.4 233.4C533.9 220.9 554.1 220.9 566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L470.6 374.6zM246.6 278.6L150.6 374.6C138.1 387.1 117.9 387.1 105.4 374.6L9.373 278.6C-3.124 266.1-3.124 245.9 9.373 233.4C21.87 220.9 42.13 220.9 54.63 233.4L96 274.7V64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64V274.7L201.4 233.4C213.9 220.9 234.1 220.9 246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6H246.6z"],
    "arrows-down-to-people": [640, 512, [], "e4b9", "M167.1 24V142.1L191 119C200.4 109.7 215.6 109.7 224.1 119C234.3 128.4 234.3 143.6 224.1 152.1L160.1 216.1C151.6 226.3 136.4 226.3 127 216.1L63.03 152.1C53.65 143.6 53.65 128.4 63.03 119C72.4 109.7 87.6 109.7 96.97 119L119.1 142.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V24zM359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 255.1 310.2 255.1H329.8C362.1 255.1 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480zM415 152.1C405.7 143.6 405.7 128.4 415 119C424.4 109.7 439.6 109.7 448.1 119L471.1 142.1V24C471.1 10.75 482.7 0 495.1 0C509.3 0 519.1 10.75 519.1 24V142.1L543 119C552.4 109.7 567.6 109.7 576.1 119C586.3 128.4 586.3 143.6 576.1 152.1L512.1 216.1C503.6 226.3 488.4 226.3 479 216.1L415 152.1z"],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", "M224 223.1c-17.67 0-32 14.33-32 32S206.3 287.1 224 287.1s32-14.33 32-32S241.7 223.1 224 223.1zM32 223.1c-17.67 0-32 14.33-32 32S14.33 287.1 32 287.1s32-14.33 32-32S49.67 223.1 32 223.1zM160 255.1c0-17.67-14.33-32-32-32S96 238.3 96 255.1S110.3 287.1 128 287.1S160 273.7 160 255.1zM416 223.1c-17.67 0-32 14.33-32 32S398.3 287.1 416 287.1s32-14.33 32-32S433.7 223.1 416 223.1zM320 223.1c-17.67 0-32 14.33-32 32S302.3 287.1 320 287.1s32-14.33 32-32S337.7 223.1 320 223.1zM160 127.1c8.188 0 16.38-3.125 22.62-9.376L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.376C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.276 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.125-22.62 9.376L256 402.7v-50.75c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.75l-9.375-9.376C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.371 22.67-9.415l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"],
    "arrows-from-line": [448, 512, [], "e0a4", "M160 127.1c8.188 0 16.38-3.125 22.62-9.375L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.375C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.191-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.3 228.9 0 223.1 0c-4.898 0-14.6 1.273-22.67 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.127-22.62 9.377L256 402.7v-50.76c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.76l-9.375-9.375C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32.01c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.848 0 14.65-1.371 22.67-9.414l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1zM416 223.1H32c-17.69 0-32 14.33-32 32.01s14.31 31.99 32 31.99h384c17.69 0 32-14.3 32-31.99S433.7 223.1 416 223.1z"],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", "M502.6 278.6l-96 96C400.4 380.9 392.2 384 384 384s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L402.8 288h-293.5l41.38 41.38c12.5 12.5 12.5 32.75 0 45.25C144.4 380.9 136.2 384 128 384s-16.38-3.125-22.62-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224h293.5l-41.38-41.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l96 96C515.1 245.9 515.1 266.1 502.6 278.6z"],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", "M32 64C49.67 64 64 78.33 64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64zM246.6 137.4C259.1 149.9 259.1 170.1 246.6 182.6L205.3 224H434.7L393.4 182.6C380.9 170.1 380.9 149.9 393.4 137.4C405.9 124.9 426.1 124.9 438.6 137.4L534.6 233.4C547.1 245.9 547.1 266.1 534.6 278.6L438.6 374.6C426.1 387.1 405.9 387.1 393.4 374.6C380.9 362.1 380.9 341.9 393.4 329.4L434.7 288H205.3L246.6 329.4C259.1 341.9 259.1 362.1 246.6 374.6C234.1 387.1 213.9 387.1 201.4 374.6L105.4 278.6C92.88 266.1 92.88 245.9 105.4 233.4L201.4 137.4C213.9 124.9 234.1 124.9 246.6 137.4V137.4zM640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416z"],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", "M416 224c17.69 0 32-14.31 32-32V64c0-4.164-.8477-8.312-2.463-12.22c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L224 210.8L109.3 96H160c17.69 0 32-14.31 32-32S177.7 32 160 32H32C27.84 32 23.69 32.85 19.78 34.46C11.94 37.7 5.705 43.94 2.463 51.78C.8477 55.69 0 59.84 0 64v128c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3L178.8 256L64 370.8V320c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.461 12.22c3.242 7.84 9.48 14.08 17.32 17.32C23.69 479.2 27.84 480 32 480h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128c0-17.69-14.31-32-32-32s-32 14.31-32 32v50.75L269.3 256L384 141.3V192C384 209.7 398.3 224 416 224z"],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", "M204.2 290.5C200.3 288.8 196.2 288 192 288H64c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L160 397.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C218.3 299.9 212.1 293.7 204.2 290.5zM307.8 221.5C311.7 223.2 315.8 224 320 224h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l105.4-105.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L352 114.8V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.463 12.22C293.7 212.1 299.9 218.3 307.8 221.5zM192 32C174.3 32 160 46.31 160 64v50.75L54.63 9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L114.8 160H64C46.31 160 32 174.3 32 192s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.465C212.1 218.3 218.3 212.1 221.5 204.2C223.2 200.3 224 196.2 224 192V64C224 46.31 209.7 32 192 32zM397.3 352H448c17.69 0 32-14.31 32-32s-14.31-32-32-32h-128c-4.164 0-8.312 .8477-12.22 2.461c-7.84 3.242-14.08 9.48-17.32 17.32C288.8 311.7 288 315.8 288 320v128c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l105.4 105.4c12.5 12.5 32.75 12.5 45.25 0c12.49-12.49 12.51-32.74 0-45.25L397.3 352z"],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", "M165.2 160h173.6l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0l95.1-96c12.5-12.5 12.5-32.75 0-45.25l-95.1-96c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L338.8 96H165.2C90.87 96 25.15 143.4 1.652 213.9C-3.941 230.7 5.121 248.8 21.9 254.3C25.25 255.5 28.66 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160zM490.1 257.7C486.8 256.5 483.3 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H173.2l41.38-41.38c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0l-95.1 96c-12.5 12.5-12.5 32.75 0 45.25l95.1 96c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25L173.2 416h173.6c74.33 0 140-47.38 163.5-117.9C515.9 281.3 506.9 263.2 490.1 257.7z"],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", "M264 320C277.3 320 288 309.3 288 296v-80c0-13.31-10.8-24.01-24.01-24.01c-2.546 0-5.111 .411-7.589 1.226l-24 8C222.3 204.6 215.1 213.9 215.1 223.1C215.1 237.3 226.8 248 240 248v48C240 309.3 250.8 320 264 320zM512 287.1C512 270.3 497.6 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H96c-17.67 0-31.99 14.31-31.99 32c0 8.188 3.115 16.38 9.365 22.62l95.1 96C175.6 508.9 183.8 512 191.1 512c17.05 0 31.1-13.73 31.1-32c0-8.188-3.125-16.38-9.375-22.62L173.2 416h173.6C477.8 416 512 296.8 512 287.1zM165.2 160H416c17.67 0 31.99-14.31 31.99-32c0-8.188-3.115-16.38-9.365-22.62l-95.1-96C336.4 3.125 328.2 0 320 0c-17.05 0-31.1 13.73-31.1 32c0 8.188 3.125 16.38 9.375 22.62L338.8 96H165.2c-130.1 0-165.2 119.2-165.2 128C-.0003 241.7 14.39 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160z"],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", "M630.6 297.4c-12.5-12.5-32.75-12.5-45.25 0L544 338.8V176C544 131.9 508.1 96 464 96h-128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128C472.8 160 480 167.2 480 176v162.8l-41.38-41.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96C495.6 444.9 503.8 448 512 448s16.37-3.125 22.62-9.375l96-96C643.1 330.1 643.1 309.9 630.6 297.4zM304 352h-128C167.2 352 160 344.8 160 336V173.3l41.38 41.38c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25l-96-96C144.4 67.13 136.2 64 128 64S111.6 67.13 105.4 73.38l-96 96c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L96 173.3V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", "M464 16c-17.67 0-32 14.31-32 32v74.09C392.1 66.52 327.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.89 5.5 34.88-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c50.5 0 96.26 24.55 124.4 64H336c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32V48C496 30.31 481.7 16 464 16zM441.8 289.6c-16.92-5.438-34.88 3.812-40.3 20.59C381.1 373.5 322.6 416 256 416c-50.5 0-96.25-24.55-124.4-64H176c17.67 0 32-14.31 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.31-32 32v144c0 17.69 14.33 32 32 32s32-14.31 32-32v-74.09C119.9 445.5 184.6 480 255.1 480c94.45 0 177.4-60.34 206.4-150.2C467.9 313 458.6 294.1 441.8 289.6z"],
    "arrows-spin": [512, 512, [], "e4bb", "M257.1 95.53C245.8 95.53 234.7 96.72 223.1 98.97V33.97C234.8 32.36 245.9 31.53 257.1 31.53C315.3 31.53 368.3 53.72 408.2 90.11L437.6 60.69C447.7 50.61 464.9 57.75 464.9 72V177.4C464.9 186.2 457.7 193.4 448.9 193.4H343.5C329.3 193.4 322.1 176.1 332.2 166.1L362.9 135.4C334.7 110.6 297.7 95.53 257.1 95.53L257.1 95.53zM97.14 255.5C97.14 266.7 98.27 277.5 100.4 288H35.47C33.93 277.4 33.14 266.6 33.14 255.5C33.14 198.2 54.71 145.8 90.18 106.2L60.69 76.69C50.61 66.61 57.74 49.38 71.1 49.38H177.4C186.2 49.38 193.4 56.54 193.4 65.38V170.7C193.4 185 176.1 192.1 166.1 182.1L135.5 151.5C111.6 179.5 97.14 215.8 97.14 255.5V255.5zM182.1 348.2L153.1 377.1C181.1 401.1 217.4 415.5 257.1 415.5C267.7 415.5 278 414.5 288 412.6V477.4C277.9 478.8 267.6 479.5 257.1 479.5C199.8 479.5 147.4 457.1 107.8 422.5L76.69 453.6C66.61 463.7 49.37 456.5 49.37 442.3V336.9C49.37 328.1 56.54 320.9 65.37 320.9H170.7C184.1 320.9 192.1 338.1 182.1 348.2H182.1zM348.2 332.2L377.2 361.2C402.1 333.1 417.1 296.1 417.1 255.5C417.1 244.7 416.1 234.2 414 224H478.9C480.4 234.3 481.1 244.8 481.1 255.5C481.1 313.7 458.9 366.7 422.6 406.6L453.6 437.6C463.7 447.7 456.5 464.9 442.3 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V343.5C320.9 329.3 338.1 322.1 348.2 332.2L348.2 332.2z"],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", "M246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V384C352 419.3 380.7 448 416 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H416C345.3 512 288 454.7 288 384C288 348.7 259.3 320 224 320H109.3L150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6C138.1 419.1 117.9 419.1 105.4 406.6L9.38 310.6L9.305 310.6C3.575 304.8 .0259 296.9 .0003 288.1L2.428 275.8C3.99 271.1 6.305 268.4 9.372 265.4L105.4 169.4C117.9 156.9 138.1 156.9 150.6 169.4C163.1 181.9 163.1 202.1 150.6 214.6L109.3 255.1H224C247.3 255.1 269.2 262.2 288 273.1V109.3L246.6 150.6zM0 287.9C.0125 283.6 .8749 279.5 2.428 275.8C.8214 279.6 .0122 283.8 0 287.9zM0 288.1V287.1V287.9V288.1z"],
    "arrows-to-circle": [640, 512, [], "e4bd", "M9.372 9.372C21.87-3.124 42.13-3.124 54.63 9.372L159.1 114.7V95.1C159.1 78.33 174.3 63.1 191.1 63.1C209.7 63.1 223.1 78.33 223.1 95.1V191.1C223.1 196.3 223.1 200.5 221.6 204.2C220 207.1 217.7 211.5 214.7 214.6L214.6 214.7C211.5 217.7 207.1 220 204.2 221.6C200.5 223.1 196.3 223.1 191.1 223.1H95.1C78.33 223.1 63.1 209.7 63.1 191.1C63.1 174.3 78.33 159.1 95.1 159.1H114.7L9.372 54.63C-3.124 42.13-3.124 21.87 9.372 9.372V9.372zM384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256zM96 352C78.33 352 64 337.7 64 320C64 302.3 78.33 288 96 288H192H192.1C200.9 288 208.8 291.6 214.6 297.3L214.7 297.4C217.7 300.5 220 304 221.6 307.8C223.1 311.5 224 315.7 224 319.1V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V397.3L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L114.7 352L96 352zM448 64C465.7 64 480 78.33 480 96V114.7L585.4 9.373C597.9-3.124 618.1-3.124 630.6 9.373C643.1 21.87 643.1 42.13 630.6 54.63L525.3 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H448C439.2 224 431.2 220.4 425.4 214.7L425.3 214.6C422.3 211.5 419.1 207.1 418.4 204.2C416.9 200.5 416 196.4 416 192.1V191.1V96C416 78.33 430.3 64 448 64H448zM525.3 352L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L480 397.3V416C480 433.7 465.7 448 448 448C430.3 448 416 433.7 416 416V320C416 319.1 416 319.9 416 319.9C416 315.6 416.9 311.5 418.4 307.8C419.1 303.1 422.3 300.4 425.4 297.4C431.1 291.6 439.1 288 447.9 288C447.9 288 447.1 288 448 288H544C561.7 288 576 302.3 576 320C576 337.7 561.7 352 544 352L525.3 352z"],
    "arrows-to-dot": [512, 512, [], "e4be", "M288 82.74L297.4 73.37C309.9 60.88 330.1 60.88 342.6 73.37C355.1 85.87 355.1 106.1 342.6 118.6L278.6 182.6C266.1 195.1 245.9 195.1 233.4 182.6L169.4 118.6C156.9 106.1 156.9 85.87 169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37L223.1 82.75V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32L288 82.74zM438.6 342.6C426.1 355.1 405.9 355.1 393.4 342.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L429.3 223.1H480C497.7 223.1 512 238.3 512 255.1C512 273.7 497.7 287.1 480 287.1H429.3L438.6 297.4C451.1 309.9 451.1 330.1 438.6 342.6V342.6zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM182.6 233.4C195.1 245.9 195.1 266.1 182.6 278.6L118.6 342.6C106.1 355.1 85.87 355.1 73.37 342.6C60.88 330.1 60.88 309.9 73.37 297.4L82.75 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H82.74L73.37 214.6C60.88 202.1 60.88 181.9 73.37 169.4C85.87 156.9 106.1 156.9 118.6 169.4L182.6 233.4zM169.4 438.6C156.9 426.1 156.9 405.9 169.4 393.4L233.4 329.4C245.9 316.9 266.1 316.9 278.6 329.4L342.6 393.4C355.1 405.9 355.1 426.1 342.6 438.6C330.1 451.1 309.9 451.1 297.4 438.6L288 429.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V429.3L214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6H169.4z"],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", "M32 224C14.33 224 0 238.3 0 256s14.33 32 32 32s32-14.33 32-32S49.67 224 32 224zM160 256c0-17.67-14.33-32-32-32S96 238.3 96 256s14.33 32 32 32S160 273.7 160 256zM192 256c0 17.67 14.33 32 32 32s32-14.33 32-32s-14.33-32-32-32S192 238.3 192 256zM416 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 224 416 224zM320 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 224 320 224zM201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.115-22.62 9.365l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"],
    "arrows-to-eye": [640, 512, [], "e4bf", "M15.03 15.03C24.4 5.657 39.6 5.657 48.97 15.03L112 78.06V40C112 26.75 122.7 15.1 136 15.1C149.3 15.1 160 26.75 160 40V136C160 149.3 149.3 160 136 160H40C26.75 160 15.1 149.3 15.1 136C15.1 122.7 26.75 112 40 112H78.06L15.03 48.97C5.657 39.6 5.657 24.4 15.03 15.03V15.03zM133.5 243.9C158.6 193.6 222.7 112 320 112C417.3 112 481.4 193.6 506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 320 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9V243.9zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320zM591 15.03C600.4 5.657 615.6 5.657 624.1 15.03C634.3 24.4 634.3 39.6 624.1 48.97L561.9 112H600C613.3 112 624 122.7 624 136C624 149.3 613.3 160 600 160H504C490.7 160 480 149.3 480 136V40C480 26.75 490.7 15.1 504 15.1C517.3 15.1 528 26.75 528 40V78.06L591 15.03zM15.03 463L78.06 400H40C26.75 400 15.1 389.3 15.1 376C15.1 362.7 26.75 352 40 352H136C149.3 352 160 362.7 160 376V472C160 485.3 149.3 496 136 496C122.7 496 112 485.3 112 472V433.9L48.97 496.1C39.6 506.3 24.4 506.3 15.03 496.1C5.657 487.6 5.657 472.4 15.03 463V463zM528 433.9V472C528 485.3 517.3 496 504 496C490.7 496 480 485.3 480 472V376C480 362.7 490.7 352 504 352H600C613.3 352 624 362.7 624 376C624 389.3 613.3 400 600 400H561.9L624.1 463C634.3 472.4 634.3 487.6 624.1 496.1C615.6 506.3 600.4 506.3 591 496.1L528 433.9z"],
    "arrows-to-line": [448, 512, [], "e0a7", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.116-22.62 9.366l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4zM416 223.1H32c-17.69 0-32 14.33-32 32.01s14.31 31.99 32 31.99h384c17.69 0 32-14.3 32-31.99S433.7 223.1 416 223.1z"],
    "arrows-turn-right": [448, 512, [], "e4c0", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6C284.9 234.1 284.9 213.9 297.4 201.4L338.7 160H128C92.65 160 64 188.7 64 224V256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256V224C0 153.3 57.31 96 128 96H338.7L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.373V9.372zM201.4 265.4C213.9 252.9 234.1 252.9 246.6 265.4L342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L201.4 310.6C188.9 298.1 188.9 277.9 201.4 265.4V265.4z"],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", "M249.4 25.37C261.9 12.88 282.1 12.88 294.6 25.37C307.1 37.87 307.1 58.13 294.6 70.63L269.3 95.1H416C469 95.1 512 138.1 512 191.1V223.1C512 241.7 497.7 255.1 480 255.1C462.3 255.1 448 241.7 448 223.1V191.1C448 174.3 433.7 159.1 416 159.1H269.3L294.6 185.4C307.1 197.9 307.1 218.1 294.6 230.6C282.1 243.1 261.9 243.1 249.4 230.6L169.4 150.6C156.9 138.1 156.9 117.9 169.4 105.4L249.4 25.37zM342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L262.6 486.6C250.1 499.1 229.9 499.1 217.4 486.6C204.9 474.1 204.9 453.9 217.4 441.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L217.4 326.6C204.9 314.1 204.9 293.9 217.4 281.4C229.9 268.9 250.1 268.9 262.6 281.4L342.6 361.4zM512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384C384 348.7 412.7 320 448 320C483.3 320 512 348.7 512 384zM128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128z"],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", "M246.6 361.4C252.9 367.6 256 375.8 256 384s-3.125 16.38-9.375 22.62l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L96 402.8v-293.5L54.63 150.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96C252.9 111.6 256 119.8 256 128s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0L160 109.3v293.5l41.38-41.38C213.9 348.9 234.1 348.9 246.6 361.4z"],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", "M512 255.1c0 8.188-3.125 16.41-9.375 22.66l-72 72C424.4 356.9 416.2 360 408 360c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62L402.8 288H288v114.8l17.38-17.38C311.6 379.1 319.8 376 328 376c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62l-72 72C272.4 508.9 264.2 512 256 512s-16.38-3.125-22.62-9.375l-72-72C155.1 424.4 152 416.2 152 408c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375L224 402.8V288H109.3l17.38 17.38C132.9 311.6 136 319.8 136 328c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375l-72-72C3.125 272.4 0 264.2 0 255.1s3.125-16.34 9.375-22.59l72-72C87.63 155.1 95.81 152 104 152c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62L109.3 224H224V109.3L206.6 126.6C200.4 132.9 192.2 136 184 136c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62l72-72C239.6 3.125 247.8 0 256 0s16.38 3.125 22.62 9.375l72 72C356.9 87.63 360 95.81 360 104c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375L288 109.3V224h114.8l-17.38-17.38C379.1 200.4 376 192.2 376 184c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375l72 72C508.9 239.6 512 247.8 512 255.1z"],
    "arrows-up-to-line": [576, 512, [], "e4c2", "M32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H32zM105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6C234.1 291.1 213.9 291.1 201.4 278.6L160 237.3V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V237.3L54.63 278.6C42.13 291.1 21.87 291.1 9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L105.4 137.4zM329.4 233.4L425.4 137.4C437.9 124.9 458.1 124.9 470.6 137.4L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6C554.1 291.1 533.9 291.1 521.4 278.6L480 237.3L480 448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V237.3L374.6 278.6C362.1 291.1 341.9 291.1 329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4H329.4z"],
    "asterisk": [448, 512, [10033, 61545], "2a", "M417.1 368c-5.937 10.27-16.69 16-27.75 16c-5.422 0-10.92-1.375-15.97-4.281L256 311.4V448c0 17.67-14.33 32-31.1 32S192 465.7 192 448V311.4l-118.3 68.29C68.67 382.6 63.17 384 57.75 384c-11.06 0-21.81-5.734-27.75-16c-8.828-15.31-3.594-34.88 11.72-43.72L159.1 256L41.72 187.7C26.41 178.9 21.17 159.3 29.1 144C36.63 132.5 49.26 126.7 61.65 128.2C65.78 128.7 69.88 130.1 73.72 132.3L192 200.6V64c0-17.67 14.33-32 32-32S256 46.33 256 64v136.6l118.3-68.29c3.838-2.213 7.939-3.539 12.07-4.051C398.7 126.7 411.4 132.5 417.1 144c8.828 15.31 3.594 34.88-11.72 43.72L288 256l118.3 68.28C421.6 333.1 426.8 352.7 417.1 368z"],
    "at": [512, 512, [61946], "40", "M207.8 20.73c-93.45 18.32-168.7 93.66-187 187.1c-27.64 140.9 68.65 266.2 199.1 285.1c19.01 2.888 36.17-12.26 36.17-31.49l.0001-.6631c0-15.74-11.44-28.88-26.84-31.24c-84.35-12.98-149.2-86.13-149.2-174.2c0-102.9 88.61-185.5 193.4-175.4c91.54 8.869 158.6 91.25 158.6 183.2l0 16.16c0 22.09-17.94 40.05-40 40.05s-40.01-17.96-40.01-40.05v-120.1c0-8.847-7.161-16.02-16.01-16.02l-31.98 .0036c-7.299 0-13.2 4.992-15.12 11.68c-24.85-12.15-54.24-16.38-86.06-5.106c-38.75 13.73-68.12 48.91-73.72 89.64c-9.483 69.01 43.81 128 110.9 128c26.44 0 50.43-9.544 69.59-24.88c24 31.3 65.23 48.69 109.4 37.49C465.2 369.3 496 324.1 495.1 277.2V256.3C495.1 107.1 361.2-9.332 207.8 20.73zM239.1 304.3c-26.47 0-48-21.56-48-48.05s21.53-48.05 48-48.05s48 21.56 48 48.05S266.5 304.3 239.1 304.3z"],
    "atom": [512, 512, [9883], "f5d2", "M256 224C238.4 224 223.1 238.4 223.1 256S238.4 288 256 288c17.63 0 32-14.38 32-32S273.6 224 256 224zM470.2 128c-10.88-19.5-40.51-50.75-116.3-41.88C332.4 34.88 299.6 0 256 0S179.6 34.88 158.1 86.12C82.34 77.38 52.71 108.5 41.83 128c-16.38 29.38-14.91 73.12 25.23 128c-40.13 54.88-41.61 98.63-25.23 128c29.13 52.38 101.6 43.63 116.3 41.88C179.6 477.1 212.4 512 256 512s76.39-34.88 97.9-86.13C368.5 427.6 441 436.4 470.2 384c16.38-29.38 14.91-73.13-25.23-128C485.1 201.1 486.5 157.4 470.2 128zM95.34 352c-4.001-7.25-.1251-24.75 15-48.25c6.876 6.5 14.13 12.87 21.88 19.12c1.625 13.75 4.001 27.13 6.751 40.13C114.3 363.9 99.09 358.6 95.34 352zM132.2 189.1C124.5 195.4 117.2 201.8 110.3 208.2C95.22 184.8 91.34 167.2 95.34 160c3.376-6.125 16.38-11.5 37.88-11.5c1.75 0 3.876 .375 5.751 .375C136.1 162.2 133.8 175.6 132.2 189.1zM256 64c9.502 0 22.25 13.5 33.88 37.25C278.6 105 267.4 109.3 256 114.1C244.6 109.3 233.4 105 222.1 101.2C233.7 77.5 246.5 64 256 64zM256 448c-9.502 0-22.25-13.5-33.88-37.25C233.4 407 244.6 402.7 256 397.9c11.38 4.875 22.63 9.135 33.88 12.89C278.3 434.5 265.5 448 256 448zM256 336c-44.13 0-80.02-35.88-80.02-80S211.9 176 256 176s80.02 35.88 80.02 80S300.1 336 256 336zM416.7 352c-3.626 6.625-19 11.88-43.63 11c2.751-12.1 5.126-26.38 6.751-40.13c7.752-6.25 15-12.63 21.88-19.12C416.8 327.2 420.7 344.8 416.7 352zM401.7 208.2c-6.876-6.5-14.13-12.87-21.88-19.12c-1.625-13.5-3.876-26.88-6.751-40.25c1.875 0 4.001-.375 5.751-.375c21.5 0 34.51 5.375 37.88 11.5C420.7 167.2 416.8 184.8 401.7 208.2z"],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", "M400.9 256c47.5 76.38 66.25 155.1 22.25 199.1C381.8 496.5 307.3 484.4 224 432.5c-83.63 52-157.9 63.88-199.1 22.63c-44-44-25.25-122.8 22.25-199.1c-47.5-76.38-66.25-155.1-22.25-199.1S147.6 31.61 224 79.12c76.25-47.5 155.1-66.25 199.1-22.25S448.4 179.6 400.9 256zM167.4 391.8c-26.13-21.5-50.38-44-79.13-78.88c-24.88 47.25-30.5 84.63-18.13 97.01C82.49 422.3 119.1 416.6 167.4 391.8zM88.24 199.1c23.63-28.88 50.13-55.38 79.13-79.13c-57.58-30.42-87.94-27.19-97.26-17.88C57.74 114.5 63.37 151.9 88.24 199.1zM323 256C294.6 218.5 261.4 184.1 224 156.6C186.6 184.1 153.4 218.5 125.1 256C150.1 290 179.1 320.8 224 355C258 329 288.8 300.9 323 256zM255.1 255.1c0 17.63-14.38 32-32 32s-32-14.37-32-32c0-17.63 14.38-32.03 32-32.03S255.1 238.3 255.1 255.1zM377.9 102.1c-9.361-9.361-39.92-12.41-97.26 17.88c29 23.75 55.5 50.25 79.13 79.13C384.6 151.9 390.3 114.5 377.9 102.1zM359.8 312.9c-28.88 35-53.13 57.38-79.13 78.88c47.38 24.88 84.88 30.5 97.26 18.13C390.3 397.5 384.6 360.1 359.8 312.9z"],
    "audio-description": [576, 512, [], "f29e", "M170.8 280H213.2L192 237.7L170.8 280zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM274.7 349.5C271.3 351.2 267.6 352 264 352c-8.812 0-17.28-4.859-21.5-13.27L233.2 320H150.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l72-144c8.125-16.25 34.81-16.25 42.94 0l72 144C291.4 329.1 286.6 343.5 274.7 349.5zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z"],
    "audio-description-slash": [640, 512, [], "e0a8", "M630.8 469.1l-30.73-24.09c4.623-8.783 7.922-18.37 7.922-29.02L608 96c0-35.35-28.65-64-64-64L96 32c-6.645 0-12.96 1.176-18.96 3.073L38.81 5.111C34.41 1.673 29.19 .0003 24.03 .0003c-7.125 0-14.19 3.157-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM464.2 338.5l-44.53-34.9c24.72-1.92 44.32-22.42 44.32-47.63c0-26.47-21.53-48-48-48h-32v67.66l-48-37.62V184c0-13.25 10.75-24 24-24h56c52.94 0 96 43.06 96 96C512 291.3 492.7 321.8 464.2 338.5zM306.7 349.5c-3.438 1.719-7.094 2.531-10.69 2.531c-8.813 0-17.28-4.859-21.5-13.27l-9.367-18.73H182.8l-9.367 18.73C167.6 350.6 153.2 355.4 141.3 349.5c-11.88-5.938-16.69-20.34-10.75-32.2l42.49-84.97L32 121.8l0 294.2c0 35.35 28.65 64 64 64l393.1 .0002l-174.6-136.8C312.4 345.7 309.8 347.9 306.7 349.5zM202.8 280h31.05l-22.3-17.48L202.8 280z"],
    "austral-sign": [448, 512, [], "e0a9", "M325.3 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H352L365.3 320H416C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384H392L413.5 435.7C420.3 452 412.6 470.7 396.3 477.5C379.1 484.3 361.3 476.6 354.5 460.3L322.7 384H125.3L93.54 460.3C86.74 476.6 68.01 484.3 51.69 477.5C35.38 470.7 27.66 452 34.46 435.7L56 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H82.67L96 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H122.7L194.5 51.69C199.4 39.77 211.1 32 224 32C236.9 32 248.6 39.77 253.5 51.69L325.3 224zM256 224L223.1 147.2L191.1 224H256zM165.3 288L151.1 320H296L282.7 288H165.3z"],
    "avocado": [512, 512, [], "e0aa", "M512 142.3c0-72.05-56.44-142.3-140.5-142.3c-39.2 0-78.72 15.74-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9C115.4 118.6 .0005 170.8 .0005 306.7c0 113.4 92.35 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.86 42.56-130 115.1-203.7l4.357-4.371C498 215.8 512 179.1 512 142.3zM319.5 264.7c0 60.74-58.63 119.3-119.1 119.3c-54.51 0-72.49-43.59-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3C301.5 191.1 319.5 235.6 319.5 264.7z"],
    "award": [384, 512, [], "f559", "M288 358.3c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-13.79-7.979-34.54-.1637-50.29-4.375C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.8 17.73 95.98 25.7C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c13.79 7.979 34.53 .1582 50.28 4.369C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34C253.5 358.5 274.2 366.3 288 358.3zM112 192c0-44.27 35.81-80 80-80s80 35.73 80 80c0 44.17-35.81 80-80 80S112 236.2 112 192zM1.719 433.2c-3.25 8.188-1.781 17.48 3.875 24.25c5.656 6.75 14.53 9.898 23.12 8.148l45.19-9.035l21.43 42.27C99.46 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.375 17.65-6.082 21.24-14.88l33.58-82.08c-53.71-4.639-102-28.12-138.2-63.95L1.719 433.2zM349.6 351.1c-36.15 35.83-84.45 59.31-138.2 63.95l33.58 82.08c3.594 8.797 11.74 14.5 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.23-4.973 21.35-13.14l21.43-42.28l45.19 9.035c8.594 1.75 17.47-1.398 23.12-8.148c5.656-6.766 7.125-16.06 3.875-24.25L349.6 351.1z"],
    "award-simple": [384, 512, [], "e0ab", "M263.5 363.9c-3.582 0-7.26-.1875-10.94-.3926c-2.496-.1406-4.998-.2969-7.445-.2969c-1.658 0-2.525 .084-2.701 .084c-.0273 0-.0078 .0059 0 0c-1.607 .6133-5.67 3.275-8.361 5.045C224 374.1 210.3 384 192 384c-18.29 0-32.03-9.049-42.07-15.66c-2.727-1.795-6.848-4.508-8.031-4.969c-.084-.0176-.877-.168-3.055-.168c-2.445 0-4.943 .1562-7.439 .2949c-3.676 .2031-7.344 .3906-10.92 .3906c-5.848 0-13.8-.5117-22.23-3.264l-27.51 132.1c-2.727 13.09 10.86 23.55 22.82 17.57L192 461.1l98.44 49.22c11.96 5.98 25.54-4.48 22.82-17.57l-27.51-132.1C277.3 363.4 269.4 363.9 263.5 363.9zM368 176c0-15.13-15.83-27.97-19.56-41.92c-3.855-14.43 3.316-33.45-3.996-46.09c-7.412-12.81-27.54-16.07-37.93-26.47c-10.41-10.4-13.65-30.53-26.47-37.95c-12.64-7.314-31.66-.1465-46.09-4.006C219.1 15.83 207.1 0 192 0C176.9 0 164 15.83 150.1 19.56C135.6 23.42 116.6 16.24 103.1 23.55C91.17 30.97 87.92 51.09 77.52 61.49c-10.4 10.4-30.53 13.65-37.95 26.47C32.26 100.6 39.43 119.6 35.57 134C31.83 148 16 160.9 16 176c0 15.13 15.83 27.97 19.56 41.92C39.42 232.4 32.24 251.4 39.55 264c7.418 12.82 27.54 16.07 37.94 26.47c10.41 10.4 13.65 30.53 26.47 37.95c12.64 7.312 31.66 .1445 46.09 4.004C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56c14.43-3.857 33.45 3.316 46.09-3.996c12.82-7.414 16.07-27.54 26.47-37.94c10.41-10.4 30.53-13.65 37.95-26.47c7.316-12.64 .1465-31.66 4.004-46.09C352.2 203.1 368 191.1 368 176zM192 256C147.8 256 112 220.2 112 176C112 131.7 147.8 96 192 96s80 35.73 80 80C272 220.2 236.2 256 192 256z"],
    "axe": [640, 512, [129683], "f6b2", "M240.6 203.6l67.88 67.88l-231.2 231.2c-12.5 12.5-32.76 12.5-45.26 .0012l-22.63-22.63c-12.5-12.5-12.5-32.76 0-45.26L240.6 203.6zM640 160v31.1c0 123.7-100.3 224-224 224L384 416l-.0027-114.3L233.4 151.1c-12.5-12.5-12.5-32.76 .0016-45.25l96.5-96.49c6.25-6.25 14.44-9.375 22.63-9.375s16.38 3.125 22.63 9.375l29.81 29.81l29.82-29.82c12.5-12.5 32.76-12.5 45.26 0l22.62 22.62c12.5 12.5 12.5 32.76 .0001 45.26l-29.82 29.82l52.94 52.94L640 160zM572.8 224h-37.94C518.6 263.3 487.3 294.6 448 310.8v37.95C510.6 336 560 286.6 572.8 224z"],
    "axe-battle": [512, 512, [], "f6b3", "M256 32c-17.67 0-32 14.33-32 32v431.1C224 504.8 231.2 512 240 512h32c8.836 0 16-7.164 16-15.1V64C288 46.33 273.7 32 256 32zM101 13.61c-3.125-13-17.66-18.13-26.78-8.876C28.63 50.86 0 117.6 0 192s28.62 141.1 74.25 187.3c9.125 9.252 23.66 4.126 26.78-8.876C112.9 320.6 147.8 282.1 192 269.1V114.9C147.8 101.9 112.9 63.37 101 13.61zM512 160.9c-6.875-61.76-33.63-116.7-73-156.2c-9.25-9.252-24.08-4.107-27.21 8.895C399.8 63.37 364.6 101.9 320 114.9v154.3c44.63 13 79.79 51.49 91.79 101.3c3.125 13 17.96 18.15 27.21 8.896C478.4 339.8 505.1 284.9 512 223.1L449.3 192L512 160.9z"],
    "b": [320, 512, [98], "42", "M257.1 242.4C276.1 220.1 288 191.6 288 160c0-70.58-57.42-128-128-128H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l160-.0049c70.58 0 128-57.42 128-128C320 305.3 294.6 264.8 257.1 242.4zM64 96.01h96c35.3 0 64 28.7 64 64s-28.7 64-64 64H64V96.01zM192 416H64v-128h128c35.3 0 64 28.7 64 64S227.3 416 192 416z"],
    "baby": [448, 512, [], "f77c", "M156.8 411.8l31.22-31.22l-60.04-53.09l-52.29 52.28C61.63 393.8 60.07 416.1 72 432l48 64C127.9 506.5 139.9 512 152 512c8.345 0 16.78-2.609 23.97-8c17.69-13.25 21.25-38.33 8-56L156.8 411.8zM224 159.1c44.25 0 79.99-35.75 79.99-79.1S268.3 0 224 0S144 35.75 144 79.1S179.8 159.1 224 159.1zM408.7 145c-12.75-18.12-37.63-22.38-55.76-9.75l-40.63 28.5c-52.63 37-124.1 37-176.8 0l-40.63-28.5C76.84 122.6 51.97 127 39.22 145C26.59 163.1 30.97 188 48.97 200.8l40.63 28.5C101.7 237.7 114.7 244.3 128 250.2L128 288h192l.0002-37.71c13.25-5.867 26.22-12.48 38.34-21.04l40.63-28.5C417.1 188 421.4 163.1 408.7 145zM320 327.4l-60.04 53.09l31.22 31.22L264 448c-13.25 17.67-9.689 42.75 8 56C279.2 509.4 287.6 512 295.1 512c12.16 0 24.19-5.516 32.03-16l48-64c11.94-15.92 10.38-38.2-3.719-52.28L320 327.4z"],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", "M255.1 192H.1398C2.741 117.9 41.34 52.95 98.98 14.1C112.2 5.175 129.8 9.784 138.9 22.92L255.1 192zM384 160C384 124.7 412.7 96 448 96H480C497.7 96 512 110.3 512 128C512 145.7 497.7 160 480 160H448V224C448 249.2 442.2 274.2 430.9 297.5C419.7 320.8 403.2 341.9 382.4 359.8C361.6 377.6 336.9 391.7 309.7 401.4C282.5 411 253.4 416 223.1 416C194.6 416 165.5 411 138.3 401.4C111.1 391.7 86.41 377.6 65.61 359.8C44.81 341.9 28.31 320.8 17.05 297.5C5.794 274.2 0 249.2 0 224H384L384 160zM31.1 464C31.1 437.5 53.49 416 79.1 416C106.5 416 127.1 437.5 127.1 464C127.1 490.5 106.5 512 79.1 512C53.49 512 31.1 490.5 31.1 464zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464z"],
    "backpack": [448, 512, [127890], "f5d4", "M320 320H128c-17.62 0-32 14.38-32 32v32h256v-32C352 334.4 337.6 320 320 320zM96 512h256v-96H96V512zM320 80h-8V56C312 25.12 286.9 0 256 0H192C161.1 0 136 25.12 136 56V80H128c-70.75 0-128 57.25-128 128V448c0 35.38 28.62 64 64 64v-160c0-35.25 28.75-64 64-64h192c35.25 0 64 28.75 64 64v160c35.38 0 64-28.62 64-64V208C448 137.2 390.8 80 320 80zM184 56C184 51.62 187.6 48 192 48h64c4.375 0 8 3.625 8 8V80h-80V56zM320 200c0 4.375-3.625 8-8 8h-176C131.6 208 128 204.4 128 200v-16C128 179.6 131.6 176 136 176h176C316.4 176 320 179.6 320 184V200z"],
    "backward": [512, 512, [9194], "f04a", "M459.5 71.41l-171.5 142.9v83.45l171.5 142.9C480.1 457.7 512 443.3 512 415.1V96.03C512 68.66 480.1 54.28 459.5 71.41zM203.5 71.41L11.44 231.4c-15.25 12.87-15.25 36.37 0 49.24l192 159.1c20.63 17.12 52.51 2.749 52.51-24.62v-319.9C255.1 68.66 224.1 54.28 203.5 71.41z"],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", "M0 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C49.67 64.03 64 78.36 64 96.03v131.8l171.5-156.5C256.1 54.28 288 68.66 288 96.03v131.9l171.5-156.5C480.1 54.28 512 68.66 512 96.03v319.9c0 27.37-31.88 41.74-52.5 24.62L288 285.2v130.7c0 27.37-31.88 41.74-52.5 24.62L64 285.2v130.7c0 17.67-14.33 31.1-31.1 31.1C14.33 447.1 0 433.6 0 415.1z"],
    "backward-step": [320, 512, ["step-backward"], "f048", "M31.1 64.03c-17.67 0-31.1 14.33-31.1 32v319.9c0 17.67 14.33 32 32 32C49.67 447.1 64 433.6 64 415.1V96.03C64 78.36 49.67 64.03 31.1 64.03zM267.5 71.41l-192 159.1C67.82 237.8 64 246.9 64 256c0 9.094 3.82 18.18 11.44 24.62l192 159.1c20.63 17.12 52.51 2.75 52.51-24.62v-319.9C319.1 68.66 288.1 54.28 267.5 71.41z"],
    "bacon": [576, 512, [129363], "f7e5", "M29.34 432.5l-18.06-20.15c-9.406-10.47-13.25-25.3-10.31-39.65c2.813-13.71 11.23-24.74 23.09-30.23l68.88-31.94c47.95-22.25 87.64-60.2 114.8-109.8l20.66-37.76c28.77-52.59 70.98-92.93 122.1-116.6l92.75-42.99c14.84-6.812 32.41-3.078 43.69 9.518l34.08 38.01l-104.8 48.56c-55.72 25.83-101.7 69.73-133 127L261.3 266.5c-28.03 51.22-69 90.42-118.5 113.4L29.34 432.5zM564.7 99.68l-21.4-23.87l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l37.43 41.74C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.486 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68z"],
    "bacteria": [640, 512, [], "e059", "M627.3 227.3c9.439-2.781 14.81-12.65 12-22.04c-3.039-10.21-13.57-14.52-22.14-11.95l-11.27 3.33c-8.086-15.15-20.68-27.55-36.4-35.43l2.888-11.06c1.867-7.158-1.9-22.19-17.26-22.19c-7.92 0-15.14 5.288-17.23 13.28l-2.865 10.97c-7.701-.2793-26.9-.6485-48.75 13.63L477.6 157.1c-3.777-3.873-15.44-9.779-25.19-.3691c-7.062 6.822-7.225 18.04-.3711 25.07l9.14 9.373c-11.96 18.85-10.27 28.38-15.88 46.61c-8.023-3.758-11.44-5.943-16.66-5.943c-6.689 0-13.09 3.763-16.13 10.19c-4.188 8.856-.3599 19.42 8.546 23.58l8.797 4.115c-14.91 22.05-34.42 33.57-34.83 33.83l-3.922-8.855C387.2 285.8 376.7 281.7 367.7 285.6c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-16.38 4.559-27.93 4.345-46.15 16.94l-9.996-9.012c-6.969-6.303-18.28-6.33-25.15 1.235c-6.609 7.26-6.053 18.47 1.24 25.04l9.713 8.756c-8.49 14.18-12.74 30.77-11.64 48.17l-11.86 3.512c-9.428 2.793-14.8 12.66-11.99 22.05c2.781 9.385 12.69 14.71 22.15 11.94l11.34-3.359c8.287 15.49 20.99 27.86 36.38 35.57l-2.839 10.85c-2.482 9.477 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l2.82-10.78c5.508 .1875 11.11-.1523 16.75-1.102c11.37-1.893 22.23-5.074 33.1-8.24l3.379 9.455c3.305 9.225 13.5 14.11 22.75 10.76c9.266-3.279 14.1-13.41 10.81-22.65l-3.498-9.792c15.41-6.654 30.08-14.46 43.95-23.57l6.321 8.429c5.891 7.84 17.05 9.443 24.93 3.602c7.885-5.863 9.498-16.97 3.617-24.82l-6.457-8.611c12.66-10.78 24.33-22.54 34.96-35.33l8.816 6.413c7.932 5.795 19.07 4.074 24.89-3.855c5.809-7.908 4.072-18.1-3.874-24.77l-8.885-6.465c8.893-13.88 16.54-28.52 22.99-43.91l10.47 3.59c9.334 3.186 19.43-1.719 22.64-10.99c3.211-9.258-1.739-19.35-11.04-22.53l-10.33-3.541c5.744-20.5 9.424-31.81 8.338-49.26L627.3 227.3zM416 416c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C448 401.7 433.7 416 416 416zM272.3 226.4c9-3.959 13.08-14.42 9.115-23.39L277.4 193.9c16.38-4.561 27.93-4.345 46.15-16.94l9.996 9.012c6.969 6.301 18.28 6.326 25.15-1.236c6.609-7.26 6.053-18.47-1.24-25.04l-9.713-8.756c8.49-14.18 12.74-30.77 11.64-48.18l11.86-3.511c9.428-2.793 14.8-12.66 11.99-22.05c-2.781-9.385-12.69-14.71-22.15-11.94l-11.34 3.357C341.5 53.13 328.8 40.76 313.4 33.05l2.838-10.85C318.7 12.73 313 3.04 303.5 .5811c-9.566-2.482-19.25 3.222-21.72 12.69l-2.82 10.78C273.4 23.86 267.8 24.2 262.2 25.15C250.8 27.04 239.1 30.22 229.1 33.39L225.7 23.93C222.4 14.71 212.2 9.827 202.1 13.17C193.7 16.45 188.9 26.59 192.2 35.82l3.498 9.793C180.2 52.27 165.6 60.07 151.7 69.19L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.457 8.611C110.6 101.4 98.96 113.1 88.34 125.9L79.52 119.5c-7.932-5.795-19.08-4.074-24.89 3.855c-5.809 7.908-4.07 19 3.875 24.77l8.885 6.465C58.5 168.5 50.86 183.1 44.41 198.5L33.93 194.9c-9.334-3.186-19.44 1.721-22.64 10.99C8.086 215.2 13.04 225.3 22.34 228.4l10.33 3.541C26.93 252.5 23.25 263.8 24.33 281.2L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7c3.041 10.21 13.57 14.52 22.14 11.95l11.27-3.33c8.086 15.15 20.68 27.55 36.39 35.43l-2.887 11.06c-1.865 7.156 1.902 22.19 17.26 22.19c7.92 0 15.14-5.287 17.23-13.28l2.863-10.97c7.701 .2773 26.9 .6465 48.76-13.63l8.59 8.809c3.777 3.873 15.44 9.779 25.19 .3691c7.062-6.822 7.225-18.04 .3711-25.07l-9.14-9.373c11.96-18.85 10.27-28.38 15.88-46.61c8.025 3.756 11.44 5.943 16.66 5.943c6.689 0 13.09-3.762 16.13-10.19C231.6 261.1 227.8 250.6 218.9 246.4L210.1 242.3C225 220.2 244.5 208.7 244.9 208.5l3.922 8.856C252.8 226.2 263.3 230.3 272.3 226.4zM128 256C110.3 256 96 241.7 96 223.1c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C160 241.7 145.7 256 128 256zM208 160c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C224 152.8 216.8 160 208 160z"],
    "bacterium": [576, 512, [], "e05a", "M543 102.9c-3.711-12.51-16.92-19.61-29.53-15.92l-15.12 4.48c-11.05-20.65-27.98-37.14-48.5-47.43l3.783-14.46c3.309-12.64-4.299-25.55-16.99-28.83c-12.76-3.309-25.67 4.295-28.96 16.92l-3.76 14.37c-9.947-.3398-26.22 .1016-66.67 11.88l-4.301-12.03c-4.406-12.3-17.1-18.81-30.34-14.34c-12.35 4.371-18.8 17.88-14.41 30.2l4.303 12.04c-20.6 8.889-40.16 19.64-58.69 31.83L225.9 81.01C217.1 70.56 203.1 68.42 192.6 76.21C182.1 84.03 179.9 98.83 187.8 109.3l7.975 10.63C178.8 134.3 163.3 150.3 149.1 167.4L138 159.3C127.5 151.6 112.6 153.9 104.8 164.5c-7.748 10.54-5.428 25.33 5.164 33.03l11.09 8.066C109.2 224.1 98.79 243.7 90.18 264.3l-12.93-4.431c-12.45-4.248-25.92 2.293-30.18 14.65C42.78 286.9 49.38 300.3 61.78 304.6l13.05 4.474c-11.86 42.33-11.02 55.76-10.39 65.93l-15.45 4.566c-12.59 3.709-19.74 16.87-16 29.38c4.053 13.61 18.1 19.36 29.52 15.93l15.02-4.441c10.78 20.21 27.57 36.73 48.53 47.24l-3.852 14.75C119.7 491.1 124.8 512 145.2 512c10.56 0 20.19-7.049 22.98-17.7l3.816-14.63c10.2 .377 35.85 .873 65.01-18.17l11.45 11.74c5.037 5.164 20.59 13.04 33.58 .4922c9.416-9.096 9.633-24.06 .4941-33.43l-12.19-12.5c7.805-12.29 13.56-26.13 16.11-41.4c1.186-7.107 3.082-13.95 5.158-20.7c10.66 4.988 15.16 7.881 22.12 7.881c8.922 0 17.46-5.018 21.51-13.59c5.582-11.8 .4785-25.89-11.4-31.45l-11.73-5.486c20.09-29.62 45.89-44.76 46.44-45.11l5.23 11.81c5.273 11.86 19.19 17.36 31.33 12.1c11.1-5.279 17.44-19.22 12.15-31.18L401.9 258.5c5.438-1.512 10.86-3.078 16.52-4.021c16.8-2.797 31.88-9.459 45.02-18.54l13.33 12.02c9.289 8.395 24.37 8.439 33.54-1.648c8.814-9.68 8.072-24.62-1.654-33.38l-12.95-11.68c11.32-18.9 16.99-41.02 15.52-64.23l15.81-4.681C539.6 128.6 546.7 115.4 543 102.9zM192 368c-26.51 0-48.01-21.49-48.01-48s21.5-48 48.01-48S240.1 293.5 240.1 320S218.6 368 192 368zM272 232c-13.25 0-23.92-10.75-23.92-24c0-13.26 10.67-23.1 23.92-23.1c13.26 0 23.1 10.74 23.1 23.1C295.1 221.3 285.3 232 272 232z"],
    "badge": [512, 512, [], "f335", "M437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98V74.98z"],
    "badge-check": [512, 512, [], "f336", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM352.1 224.1C362.3 215.6 362.3 200.4 352.1 191C343.6 181.7 328.4 181.7 319 191L224 286.1L184.1 247C175.6 237.7 160.4 237.7 151 247C141.7 256.4 141.7 271.6 151 280.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L352.1 224.1z"],
    "badge-dollar": [512, 512, [], "f645", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM276.1 149.3C276.1 138.2 267.1 129.2 256.9 129.2C245.8 129.2 236.8 138.2 236.8 149.3V157.8C230.1 159.1 223.7 161.1 217.8 163.7C201.7 171 187.9 184.5 184.5 203.1C182.6 214.9 183.7 225.4 188.1 234.8C192.5 244.1 199.5 250.8 206.6 255.6C219.2 264.1 235.9 269.2 248.1 273.1L251.3 273.8C266.7 278.5 277.6 282.1 284.5 287.1C287.5 289.3 288.8 291.1 289.4 292.5C290 293.9 290.7 296.4 289.8 301.2C289 305.9 286.3 309.8 279.7 312.6C272.4 315.7 260.1 317.2 246.4 314.9C239.6 313.8 227.4 309.6 216.8 306C214.4 305.2 212.1 304.4 209.9 303.7C199.4 300.2 188.1 305.9 184.6 316.3C181.1 326.8 186.8 338.2 197.2 341.6C198.6 342.1 200.3 342.7 202.3 343.3C211.5 346.5 226.2 351.5 236.8 353.8V362.7C236.8 373.8 245.8 382.8 256.9 382.8C267.1 382.8 276.1 373.8 276.1 362.7V354.7C283.4 353.6 289.6 351.9 295.4 349.4C312.3 342.2 325.7 328.3 329.2 308C331.2 296.9 330.3 286.2 326.1 276.6C321.1 267 315.2 259.1 308 254.8C294.9 245.2 277.2 239.8 263.7 235.8L262.9 235.5C247.3 230.8 236.2 227.4 229.1 222.5C225.1 220.4 224.8 218.8 224.3 217.7C223.9 216.9 223.2 214.1 223.9 210.8C224.5 207.7 226.8 203.6 234.3 200.2C241.9 196.7 253.5 194.9 267.4 197.1C272.3 197.9 287.4 200.8 291.7 201.1C302.4 204.8 313.4 198.5 316.2 187.8C319.1 177.1 312.7 166.2 302 163.3C296.8 161.9 284.2 159.4 276.1 158.2L276.1 149.3z"],
    "badge-percent": [512, 512, [], "f646", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224zM320 288C302.3 288 288 302.3 288 320C288 337.7 302.3 352 320 352C337.7 352 352 337.7 352 320C352 302.3 337.7 288 320 288zM336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L336.1 208.1z"],
    "badge-sheriff": [512, 512, [], "f8a2", "M432 304c-4.508 0-8.781 .8203-12.92 1.982L389.4 256l29.71-49.98C423.2 207.2 427.5 208 432 208C458.5 208 480 186.5 480 160s-21.49-48-48-48c-20.87 0-38.45 13.4-45.06 32h-64.19l-35.53-59.81C297.4 75.38 304 62.54 304 48C304 21.49 282.5 0 256 0S208 21.49 208 48c0 14.58 6.579 27.43 16.84 36.23L189.4 144H125.1C118.5 125.4 100.9 112 80 112C53.49 112 32 133.5 32 160s21.49 48 48 48c4.518 0 8.801-.8242 12.95-1.99L122.8 256L92.95 305.1C88.8 304.8 84.52 304 80 304C53.49 304 32 325.5 32 352s21.49 48 48 48c20.87 0 38.45-13.4 45.06-32h64.19l35.53 59.81C214.6 436.6 208 449.5 208 464c0 26.51 21.49 48 48 48s48-21.49 48-48c0-14.58-6.579-27.43-16.84-36.23L322.6 368h64.31c6.611 18.6 24.19 32 45.06 32c26.51 0 48-21.49 48-48S458.5 304 432 304zM256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z"],
    "badger-honey": [640, 512, [129441], "f6b4", "M622.3 142.5c-57.63-32.62-71-50.73-115.5-69.98c-13.38-5.75-27.38-8.479-41.25-8.479c-19.12 0-38.12 5.255-55.5 15.26C392.9 89.03 373.1 96.02 355 96.02H128c-70.75 0-128 57.26-128 128v15.95c0 8.875 7.125 16 16 16h20c7.875 33.38 28.12 64.27 53.5 81.14L68.13 394.5c-4.625 12.12-5.375 25.38-2.25 38L80 467.9C81.75 475 88.12 480 95.5 480h63.75c10.5 0 18.13-9.75 15.5-19.88l-15.5-41.25L192.2 352h105.6l23.12 115.1C322.5 474.6 329 480 336.6 480H400c10.12 0 17.62-9.25 15.75-19.12l-27-134.1c45.37-30.5 101.1-61.14 152.4-75.64L560 287.1l22.58-45.16c28.5-2.375 36.54-9.584 41.29-19.96C630.9 207.6 640 187.2 640 175.3C640 161.4 633.1 148.6 622.3 142.5zM515.3 160C515.5 161.4 516 162.6 516 164c0 11-9.027 19.97-20.03 19.97S476 175 476 164c0-1.375 .5-2.625 .75-4l-16.79-.0481c-29 0-57.83 13.05-84.83 26.05l-102 61.75c-11.25 5.5-23.42 8.216-35.67 8.216L192 256C149.5 256 113.9 214.5 101.2 165.4C113.5 152.1 129.1 144 148.2 144h206.8c25.62 0 52.25-7.75 78.88-23.25C444 115 454.9 112 465.5 112c7.625 0 15.12 1.5 22.12 4.625C514.5 128.2 524.1 137 559.1 160H515.3z"],
    "badminton": [640, 512, [], "e33a", "M122.1 367.2c-3.16-3.963-7.818-6.037-12.52-6.037c-3.497 0-7.018 1.141-9.965 3.492l-87.57 69.85c-7.925 6.322-12.05 15.64-12.05 25.05c0 6.997 2.283 14.04 6.983 19.93l9.975 12.51c6.319 7.928 15.64 12.05 25.04 12.05c6.994 0 14.04-2.282 19.93-6.984l87.57-69.85c3.962-3.161 6.025-7.818 6.025-12.52c0-3.499-1.141-7.011-3.491-9.958L122.1 367.2zM511.1 399.1L512 431.1h96l-.0031-32.02c0-26.52-21.49-48.01-48-48.01S511.1 373.4 511.1 399.1zM496.8 490.9c-.5547 1.672-.8185 3.37-.8185 5.043c0 8.713 7.03 16.02 16 16.02c6.688 0 12.94-4.248 15.19-10.94l16-48.01c.543-1.637 .6954-3.365 .6954-5.003l-32.75-.0598L496.8 490.9zM575.8 158.3c0-122.5-106.6-158.2-164.5-158.2c-47.65 0-98.25 17.01-141.3 51.36C266.8 54.04 183.4 116.2 183.4 219.6c0 26.57 6.051 51.75 17.73 74.26l-59.67 47.55c1.994 1.789 3.998 3.572 5.701 5.711l29.93 37.55c1.691 2.121 3.076 4.406 4.369 6.73l60.4-48.15c29.48 23.16 66.84 34.91 106.3 34.91C438.3 378.2 575.8 299.1 575.8 158.3zM512.1 158.8c0 40.79-22.23 85.71-62.6 117.9c-31.58 25.16-68.26 37.8-101.7 37.8c-46.63 0-100.4-28.44-100.4-94.81c0-102.5 104.9-155.9 164.2-155.9C445.7 63.77 512.1 83.18 512.1 158.8zM623.2 490.9l-14.31-42.94l-32.75 .0325c0 1.639 .1524 3.394 .6954 5.031l15.1 48.01c2.25 6.691 8.5 10.94 15.19 10.94c8.969 0 16-7.305 16-16.02C624 494.3 623.7 492.6 623.2 490.9zM544 495.1c0 8.848 7.153 16 15.1 16s16-7.155 16-16l.1181-47.97l-32.23 .0273L544 495.1z"],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", "M112 112C112 50.14 162.1 0 224 0C285.9 0 336 50.14 336 112V160H400C426.5 160 448 181.5 448 208V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160H112V112zM160 160H288V112C288 76.65 259.3 48 224 48C188.7 48 160 76.65 160 112V160zM136 256C149.3 256 160 245.3 160 232C160 218.7 149.3 208 136 208C122.7 208 112 218.7 112 232C112 245.3 122.7 256 136 256zM312 208C298.7 208 288 218.7 288 232C288 245.3 298.7 256 312 256C325.3 256 336 245.3 336 232C336 218.7 325.3 208 312 208z"],
    "bagel": [640, 512, [129391], "e3d7", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM80 288C71.16 288 64 280.8 64 272C64 263.2 71.16 256 80 256S96 263.2 96 272C96 280.8 88.84 288 80 288zM112 416C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384S128 391.2 128 400C128 408.8 120.8 416 112 416zM144 224C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192S160 199.2 160 208C160 216.8 152.8 224 144 224zM240 448C231.2 448 224 440.8 224 432C224 423.2 231.2 416 240 416S256 423.2 256 432C256 440.8 248.8 448 240 448zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM304 416C295.2 416 288 408.8 288 400C288 391.2 295.2 384 304 384s16 7.162 16 16C320 408.8 312.8 416 304 416zM304 256C295.2 256 288 248.8 288 240C288 231.2 295.2 224 304 224S320 231.2 320 240C320 248.8 312.8 256 304 256zM432 0c-63.48 0-120.2 28.5-158.4 73.33c17.19 4.9 33.68 11.47 49.07 19.88c2.9-5.742 6.178-11.06 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.25 4.135-25.75 15.5-39.76 18.98c-4.631 17.12-10.93 33.54-19.04 48.93C424.3 415.6 428.1 416 432 416c114.9 0 208-93.13 208-208S546.9 0 432 0zM495.1 208c0-35.3-28.69-64-64-64c-13.37 0-25.75 4.126-36.02 11.16c25.91 32.66 43.36 72.19 49.42 115.4C474.3 264.4 495.1 238.7 495.1 208z"],
    "bags-shopping": [576, 512, [128717], "f847", "M128 160V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H240C195.8 224 160 259.8 160 304V464C160 469.5 160.6 474.8 161.6 480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160H128zM176 160H272V96C272 69.49 250.5 48 224 48C197.5 48 176 69.49 176 96V160zM512 256C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320C192 284.7 220.7 256 256 256H512zM320 336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352C288 405 330.1 448 384 448C437 448 480 405 480 352V336C480 327.2 472.8 320 464 320C455.2 320 448 327.2 448 336V352C448 387.3 419.3 416 384 416C348.7 416 320 387.3 320 352V336z"],
    "baguette": [640, 512, [129366], "e3d8", "M639.6 118c-4.062 50.83-35.66 103.5-80.53 134.3L227.7 479.3c-45 30.84-105.2 40.95-153.4 25.59c-22.88-7.268-42.88-22.38-56.29-42.54c-13.3-20.04-19.58-44.33-17.61-68.4c4.062-50.83 35.66-103.5 80.53-134.3l16.73-11.46l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8l87.09-59.66l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L352.3 73.72l59.95-41.07C443.3 11.38 481.6 0 518.2 0c16.46 0 32.57 2.303 47.54 7.055c22.88 7.268 42.88 22.38 56.29 42.54C635.3 69.63 641.6 93.92 639.6 118z"],
    "bahai": [512, 512, ["haykal"], "f666", "M496.3 202.5l-110-15.38l41.88-104.4c6.625-16.63-11.63-32.25-26.63-22.63L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0C248.6 0 241.4 4.25 238.6 12.88L204.5 120L110.5 60.12c-15-9.5-33.22 5.1-26.6 22.63l41.85 104.4L15.71 202.5C-1.789 205-5.915 228.8 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.78 31 13.35 31c1.25 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.125 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C327.1 509.8 333.2 512 338.4 512c9.5 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c17.38 3.75 29.25-17.25 17.38-30.5l-74.51-83.5l98.14-52.72C517.9 228.8 513.8 205 496.3 202.5zM338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z"],
    "baht-sign": [320, 512, [], "e0ac", "M176 32V64C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H112V32C112 14.33 126.3 0 144 0C161.7 0 176 14.33 176 32V32zM112 128H64V224H112V128zM224 176C224 149.5 202.5 128 176 128V224C202.5 224 224 202.5 224 176zM112 288H64V384H112V288zM208 384C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H176V384H208z"],
    "ball-pile": [576, 512, [], "f77e", "M256 248c0-44.19-35.81-80-80-80S96 203.8 96 248s35.81 80 80 80S256 292.2 256 248zM80 352C35.81 352 0 387.8 0 432S35.81 512 80 512S160 476.2 160 432S124.2 352 80 352zM288 160c44.19 0 80-35.81 80-80S332.2 0 288 0S208 35.81 208 80S243.8 160 288 160zM496 352c-44.19 0-80 35.81-80 80s35.81 80 80 80s80-35.81 80-80S540.2 352 496 352zM288 352c-44.19 0-80 35.81-80 80S243.8 512 288 512s80-35.81 80-80S332.2 352 288 352zM480 248c0-44.19-35.81-80-80-80S320 203.8 320 248s35.81 80 80 80S480 292.2 480 248z"],
    "balloon": [384, 512, [], "e2e3", "M384 192c0-106-85.96-192-192-192S0 85.96 0 192c0 84.42 101.3 196.4 158.8 238.7l-29.07 58.14c-2.469 4.969-2.219 10.84 .6875 15.56C133.3 509.1 138.5 512 144 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-29.07-58.14C282.7 388.4 384 276.4 384 192zM176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z"],
    "balloons": [640, 512, [], "e2e4", "M320 168C320 75.21 248.4 0 160 0S0 75.21 0 168c0 70.07 75.99 161.1 124.7 202.8l-27.02 54.04c-2.469 4.969-2.219 10.84 .6875 15.56C101.3 445.1 106.5 448 112 448h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-27.02-54.04C244 329.1 320 238.1 320 168zM144 96C117.5 96 96 117.5 96 144C96 152.8 88.84 160 80 160S64 152.8 64 144C64 99.88 99.88 64 144 64C152.8 64 160 71.16 160 80S152.8 96 144 96zM515.3 434.8C564 393.1 640 302.1 640 232C640 139.2 568.4 64 480 64c-54.14 0-101.8 28.41-130.8 71.62C350.9 146.2 352 156.1 352 168c0 31.86-12.03 64.75-27.65 94.08c16.38 64.44 78.47 137.5 120.4 172.7l-27.05 54.11c-2.469 4.969-2.219 10.84 .6875 15.56C421.3 509.1 426.5 512 432 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L515.3 434.8zM464 160C437.5 160 416 181.5 416 208C416 216.8 408.8 224 400 224S384 216.8 384 208C384 163.9 419.9 128 464 128C472.8 128 480 135.2 480 144S472.8 160 464 160z"],
    "ballot": [448, 512, [], "f732", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM128 272C128 280.8 120.8 288 112 288h-32C71.25 288 64 280.8 64 272v-32C64 231.3 71.25 224 80 224h32C120.8 224 128 231.3 128 240V272zM128 144C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144v-32C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112V144zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.838 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z"],
    "ballot-check": [448, 512, [], "f733", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM64 112C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112v32C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144V112zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM163.3 227.3l-56 56C104.2 286.4 100.1 288 96 288S87.81 286.4 84.69 283.3l-24-24c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L96 249.4l44.69-44.69c6.25-6.25 16.38-6.25 22.62 0S169.6 221.1 163.3 227.3zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.836 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z"],
    "ban": [512, 512, [128683, "cancel"], "f05e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"],
    "ban-bug": [512, 512, ["debug"], "f7f9", "M140.9 272.3L174.1 265.5L275.2 365.7C269 367.2 262.6 368 255.1 368C236.2 368 218.1 360.8 204.2 348.1L176.2 365.7C168.7 370.3 158.8 367.8 154.3 360.2C149.7 352.7 152.2 342.8 159.8 338.3L184.3 323.6C180.4 315.6 177.7 306.1 176.6 297.8L147.1 303.7C138.5 305.4 130 299.8 128.3 291.1C126.6 282.5 132.2 274 140.9 272.3L140.9 272.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448V448zM344.1 299.7L412.5 367.2C434.9 335.9 448 297.5 448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L206.4 161.2C220.1 150.4 237.3 144 255.1 144C275.8 144 293.9 151.2 307.8 163L335.8 146.3C343.3 141.7 353.2 144.2 357.7 151.8C362.3 159.3 359.8 169.2 352.2 173.7L327.7 188.4C331.6 196.4 334.3 205.1 335.4 214.2L364.9 208.3C373.5 206.6 381.1 212.2 383.7 220.9C385.4 229.5 379.8 237.1 371.1 239.7L336 246.7V265.3L371.1 272.3C379.8 274 385.4 282.5 383.7 291.1C381.1 299.8 373.5 305.4 364.9 303.7L344.1 299.7z"],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", "M232 325.3V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V261.3L232 325.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM412.5 367.2C434.9 335.9 448 297.5 448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L182.5 137.2C189.4 131.5 198.3 128 208 128H280C333 128 376 170.1 376 224C376 253.2 362.9 279.4 342.3 297L412.5 367.2zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM296.6 251.4C305.8 245.7 312 235.6 312 224C312 206.3 297.7 192 280 192H237.3L296.6 251.4z"],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", "M96 304C96 312.8 103.3 320 112 320h117.5l-96-96H112C103.3 224 96 231.3 96 240V304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192c0-41.38 13.25-79.75 35.75-111.1l267.4 267.4C335.8 434.8 297.4 448 256 448zM301.2 256H384v32h-50.81L301.2 256zM412.3 367.1L365.2 320H400c8.75 0 16-7.25 16-16v-64C416 231.3 408.8 224 400 224h-130.8L144.9 99.75C176.3 77.25 214.6 64 256 64C361.9 64 448 150.1 448 256C448 297.4 434.8 335.8 412.3 367.1zM320.6 128C305 128 292 116.8 289.3 102.1C288.5 98.5 285.3 96 281.5 96h-16.25c-5 0-8.625 4.5-8 9.375C261.9 136.3 288.5 160 320.6 160C336.3 160 349.3 171.3 352 185.9C352.8 189.5 356 192 359.8 192h16.17c5 0 8.708-4.5 7.958-9.375C379.3 151.7 352.8 128 320.6 128z"],
    "banana": [576, 512, [], "e2e5", "M284.2 245.6c12.99 6.929 25.35 15.14 36.08 25.8L334.5 285.6l65.75-23.47c14.75-5.265 30.18-7.849 45.81-8.389c1.154-10.73 1.764-21.38 1.764-31.87c0-118.5-81.33-221.9-119.7-221.9c-21.01 0-40.91 17.04-40.91 39.25c0 16.18 16.74 41.9 16.74 103C303.1 170.1 300.6 203.1 284.2 245.6zM575.1 389.6c0-3.687-.8637-7.429-2.687-10.93l-15.12-29.11c-21.05-40.53-63.08-64.51-106.9-64.51c-13.43 0-27.02 2.252-40.22 6.969l-84.84 30.27l-28.59-28.41C274.4 270.9 243.7 258.1 212.8 258.1c-23.72 0-47.57 6.97-68.29 21.2L106.3 306.4c-6.732 4.631-10.35 12.07-10.35 19.63c0 14.93 12.7 23.87 24.04 23.87c4.695 0 9.443-1.376 13.61-4.26l38.13-26.23c12.43-8.525 26.71-12.69 40.91-12.69c10.64 0 21.24 2.339 30.97 6.934c-50.62 62.23-128.3 99.85-211.4 99.85C14.42 413.5 0 427.8 0 445.5v31.38c0 17.68 14.66 32.02 32.46 32.02l28.98 .0009c14.15 0 34.69 1.098 59.07 1.098c93.51 0 243.4-16.15 304.8-172.4c9.021-3.22 17.95-4.712 26.53-4.712c27.65 0 51.7 15.49 63.7 38.55l15.12 29.11c3.484 6.723 11.74 12.98 21.41 12.98C564.1 413.6 575.1 403.8 575.1 389.6z"],
    "bandage": [640, 512, [129657, "band-aid"], "f462", "M480 96H576C611.3 96 640 124.7 640 160V352C640 387.3 611.3 416 576 416H480V96zM448 416H192V96H448V416zM272 184C258.7 184 248 194.7 248 208C248 221.3 258.7 232 272 232C285.3 232 296 221.3 296 208C296 194.7 285.3 184 272 184zM368 232C381.3 232 392 221.3 392 208C392 194.7 381.3 184 368 184C354.7 184 344 194.7 344 208C344 221.3 354.7 232 368 232zM272 280C258.7 280 248 290.7 248 304C248 317.3 258.7 328 272 328C285.3 328 296 317.3 296 304C296 290.7 285.3 280 272 280zM368 328C381.3 328 392 317.3 392 304C392 290.7 381.3 280 368 280C354.7 280 344 290.7 344 304C344 317.3 354.7 328 368 328zM64 96H160V416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96z"],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", "M43.91 33.24C91.95 39.24 127.1 80.08 127.1 128.5V159.1H159.1C177.7 159.1 191.1 174.3 191.1 191.1C191.1 209.7 177.7 223.1 159.1 223.1H127.1V384C127.1 401.7 142.3 416 159.1 416H191.1C262.7 416 320 358.7 320 287.1V255.1C320 238.3 305.7 223.1 288 223.1H272C254.3 223.1 240 209.7 240 191.1C240 174.3 254.3 159.1 272 159.1H288C341 159.1 384 202.1 384 255.1V287.1C384 394 298 480 191.1 480H159.1C106.1 480 63.1 437 63.1 384V223.1H31.1C14.33 223.1-.0003 209.7-.0003 191.1C-.0003 174.3 14.33 159.1 31.1 159.1H63.1V128.5C63.1 112.4 51.98 98.75 35.97 96.74L28.03 95.75C10.49 93.56-1.946 77.57 .2467 60.03C2.439 42.49 18.43 30.05 35.97 32.25L43.91 33.24z"],
    "banjo": [512, 512, [129685], "f8a3", "M502.6 38.1l-29.63-29.62c-12.5-12.5-32.75-12.5-45.25 0l-46.25 46.38c-3.875 3.875-6.75 8.5-8.5 13.75l-12.26 36.62l-74.73 74.64c-19.87-13.5-43.12-22.26-67.87-26.13L218.1 154.1C218.1 139.8 206.4 128 192 128c-14.5 0-26.21 11.75-26.21 26.12L165.7 154.6C139.6 158.8 114.9 168.9 93.5 184.5C83.25 174.9 66.88 174.9 56.88 184.9c-9.875 10-10.25 26-.625 36.37c-15.5 21.38-25.49 46.33-29.62 72.45L26.25 293.8C11.75 293.8 0 305.5 0 320c0 14.38 11.75 26.12 26.25 26.12l.3792 .02c4.125 26.12 14.36 50.99 29.86 72.36c-7 6.5-10.12 16.62-7.743 25.87c2.375 9.25 9.626 16.5 18.88 18.87c9.25 2.375 19.13-.4999 25.63-7.5c21.38 15.5 46.38 25.54 72.63 29.54v.4616C165.9 500.2 177.5 512 192 512s26.13-11.75 26.13-26.25v-.4616c26.25-4 51.01-14.28 72.38-29.78c6.5 7 16.62 10.12 25.87 7.743c9.25-2.375 16.5-9.625 18.88-18.87c2.375-9.25-.5002-19.13-7.5-25.62c15.5-21.38 25.49-46.48 29.62-72.61l.3821-.02c14.5 0 26.25-11.75 26.25-26.12c0-14.5-11.75-26.25-26.25-26.25l-.3885-.0508c-3.875-24.75-12.62-47.83-26.12-67.7l74.87-74.87L442.5 139c5.25-1.75 9.875-4.625 13.75-8.5L502.6 84.17C515.1 71.79 515.1 51.5 502.6 38.1zM192 432c-61.88 0-112-50.13-112-112S130.1 208 192 208s112 50.13 112 112C303.9 381.9 253.9 431.9 192 432zM153 306.4C151.5 304.9 149.5 304 147.4 304c-2.125 0-4.25 .875-5.75 2.375L130.4 317.6c-3.125 3.125-3.125 8.25 0 11.38L183 381.6c3.125 3.125 8.125 3.125 11.25 0l11.38-11.25C207.1 368.9 208 366.9 208 364.8c0-2.125-.875-4.25-2.375-5.75L153 306.4z"],
    "barcode": [512, 512, [], "f02a", "M40 32C53.25 32 64 42.75 64 56V456C64 469.3 53.25 480 40 480H24C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32H40zM128 48V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V48C96 39.16 103.2 32 112 32C120.8 32 128 39.16 128 48zM200 32C213.3 32 224 42.75 224 56V456C224 469.3 213.3 480 200 480H184C170.7 480 160 469.3 160 456V56C160 42.75 170.7 32 184 32H200zM296 32C309.3 32 320 42.75 320 56V456C320 469.3 309.3 480 296 480H280C266.7 480 256 469.3 256 456V56C256 42.75 266.7 32 280 32H296zM448 56C448 42.75 458.7 32 472 32H488C501.3 32 512 42.75 512 56V456C512 469.3 501.3 480 488 480H472C458.7 480 448 469.3 448 456V56zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V48z"],
    "barcode-read": [576, 512, [], "f464", "M56 48C51.58 48 48 51.58 48 56V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V56C0 25.07 25.07 0 56 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H56zM168 128C181.3 128 192 138.7 192 152V360C192 373.3 181.3 384 168 384H152C138.7 384 128 373.3 128 360V152C128 138.7 138.7 128 152 128H168zM328 128C341.3 128 352 138.7 352 152V360C352 373.3 341.3 384 328 384H312C298.7 384 288 373.3 288 360V152C288 138.7 298.7 128 312 128H328zM384 152C384 138.7 394.7 128 408 128H424C437.3 128 448 138.7 448 152V360C448 373.3 437.3 384 424 384H408C394.7 384 384 373.3 384 360V152zM256 144V368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144zM528 56C528 51.58 524.4 48 520 48H440C426.7 48 416 37.25 416 24C416 10.75 426.7 0 440 0H520C550.9 0 576 25.07 576 56V136C576 149.3 565.3 160 552 160C538.7 160 528 149.3 528 136V56zM136 464C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H56C25.07 512 0 486.9 0 456V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V456C48 460.4 51.58 464 56 464H136zM528 376C528 362.7 538.7 352 552 352C565.3 352 576 362.7 576 376V456C576 486.9 550.9 512 520 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H520C524.4 464 528 460.4 528 456V376z"],
    "barcode-scan": [640, 512, [], "f465", "M104 32C117.3 32 128 42.75 128 56V192H64V56C64 42.75 74.75 32 88 32H104zM64 456V320H128V456C128 469.3 117.3 480 104 480H88C74.75 480 64 469.3 64 456zM160 464V320H192V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464zM224 456V320H288V456C288 469.3 277.3 480 264 480H248C234.7 480 224 469.3 224 456zM224 56C224 42.75 234.7 32 248 32H264C277.3 32 288 42.75 288 56V192H224V56zM320 456V320H384V456C384 469.3 373.3 480 360 480H344C330.7 480 320 469.3 320 456zM320 56C320 42.75 330.7 32 344 32H360C373.3 32 384 42.75 384 56V192H320V56zM448 464V320H480V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464zM464 32C472.8 32 480 39.16 480 48V192H448V48C448 39.16 455.2 32 464 32zM512 456V320H576V456C576 469.3 565.3 480 552 480H536C522.7 480 512 469.3 512 456zM512 56C512 42.75 522.7 32 536 32H552C565.3 32 576 42.75 576 56V192H512V56zM160 48C160 39.16 167.2 32 176 32C184.8 32 192 39.16 192 48V192H160V48zM616 232C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H616z"],
    "bars": [448, 512, ["navicon"], "f0c9", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"],
    "bars-filter": [448, 512, [], "e0ad", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM64 256C64 238.3 78.33 224 96 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256zM256 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H256C273.7 384 288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", "M464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H464zM448 128H320V160H448V128zM464 288C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H464zM192 352V384H448V352H192z"],
    "bars-sort": [448, 512, [], "e0ae", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM0 256C0 238.3 14.33 224 32 224H288C305.7 224 320 238.3 320 256C320 273.7 305.7 288 288 288H32C14.33 288 0 273.7 0 256zM160 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H160C177.7 384 192 398.3 192 416C192 433.7 177.7 448 160 448z"],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM64 256C64 238.3 78.33 224 96 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H96C78.33 288 64 273.7 64 256zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", "M429.6 272.9c0-16.26 16.36-16.81 29.99-16.81l2.931 .0029c16.64 0 33.14 2.056 49.2 5.834C511.7 259.9 512 258 512 256c0-141.4-114.6-256-256-256C253.9 0 251.1 .2578 249.9 .3047c3.658 15.51 6.111 31.34 6.111 47.54c0 6-.2813 12.03-.7813 18C254.6 74.19 247.6 80.5 239.3 80.5c-6.091 0-16.03-4.68-16.03-15.97c0-1.733 .7149-7.153 .7149-16.69c0-15.26-2.389-30.18-6.225-44.69C106.9 19.79 19.5 107.3 3.08 218.3c14.44 3.819 29.38 5.79 44.45 5.79c10.07 0 15.59-.811 17.42-.811c6.229 0 16.49 4.657 16.49 15.99c0 16.11-16.13 16.77-29.73 16.77L48.16 256c-16.33 0-32.25-2.445-47.85-6.109C.2578 251.1 0 253.9 0 256c0 141.4 114.6 256 256 256c2.066 0 4.062-.2578 6.117-.3086C258.5 496.2 256 480.4 256 464.2c0-5.688 .25-11.38 .7187-17.03c.6964-8.538 8.287-14.61 16.49-14.61c7.1 0 15.44 6.938 15.44 15.92c0 2.358-.6524 5.88-.6524 15.72c0 15.25 2.383 30.16 6.209 44.66c110.8-16.63 198.2-104.1 214.7-215c-14.55-3.851-29.59-5.871-44.74-5.871c-10.47 0-16.24 .895-18.13 .895C443.3 288.9 429.6 286.5 429.6 272.9zM238.2 128.9c0 27.78-78.3 108.1-108.6 108.1c-8.612 0-16.01-6.963-16.01-15.98c0-6.002 3.394-11.75 9.163-14.49c80.3-38.08 76.21-94.5 99.39-94.5C234.7 112.8 238.2 124.2 238.2 128.9zM397.5 290.6c0 5.965-3.364 11.68-9.131 14.43c-78.82 37.57-75.92 95-98.94 95c-12.58 0-16.01-11.54-16.01-16.03c0-28 78.29-109.4 108.1-109.4C390.8 274.6 397.5 282.3 397.5 290.6z"],
    "baseball-bat-ball": [640, 512, [], "f432", "M57.89 397.2c-6.262-8.616-16.02-13.19-25.92-13.19c-23.33 0-31.98 20.68-31.98 32.03c0 6.522 1.987 13.1 6.115 18.78l46.52 64C58.89 507.4 68.64 512 78.55 512c23.29 0 31.97-20.66 31.97-32.03c0-6.522-1.988-13.1-6.115-18.78L57.89 397.2zM496.1 352c-44.13 0-79.72 35.75-79.72 80s35.59 80 79.72 80s79.91-35.75 79.91-80S540.2 352 496.1 352zM640 99.38c0-13.61-4.133-27.34-12.72-39.2l-23.63-32.5c-13.44-18.5-33.77-27.68-54.12-27.68c-13.89 0-27.79 4.281-39.51 12.8L307.8 159.7C262.2 192.8 220.4 230.9 183.4 273.4c-24.22 27.88-59.18 63.99-103.5 99.63l56.34 77.52c53.79-35.39 99.15-55.3 127.1-67.27c51.88-22 101.3-49.87 146.9-82.1l202.3-146.7C630.5 140.4 640 120 640 99.38z"],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", "M171.7 191.1H404.3L322.7 35.07C316.6 23.31 321.2 8.821 332.9 2.706C344.7-3.409 359.2 1.167 365.3 12.93L458.4 191.1H544C561.7 191.1 576 206.3 576 223.1C576 241.7 561.7 255.1 544 255.1L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 255.1C14.33 255.1 0 241.7 0 223.1C0 206.3 14.33 191.1 32 191.1H117.6L210.7 12.93C216.8 1.167 231.3-3.409 243.1 2.706C254.8 8.821 259.4 23.31 253.3 35.07L171.7 191.1zM191.1 303.1C191.1 295.1 184.8 287.1 175.1 287.1C167.2 287.1 159.1 295.1 159.1 303.1V399.1C159.1 408.8 167.2 415.1 175.1 415.1C184.8 415.1 191.1 408.8 191.1 399.1V303.1zM271.1 303.1V399.1C271.1 408.8 279.2 415.1 287.1 415.1C296.8 415.1 304 408.8 304 399.1V303.1C304 295.1 296.8 287.1 287.1 287.1C279.2 287.1 271.1 295.1 271.1 303.1zM416 303.1C416 295.1 408.8 287.1 400 287.1C391.2 287.1 384 295.1 384 303.1V399.1C384 408.8 391.2 415.1 400 415.1C408.8 415.1 416 408.8 416 399.1V303.1z"],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", "M243.1 2.706C254.8 8.821 259.4 23.31 253.3 35.07L171.7 192H404.3L322.7 35.07C316.6 23.31 321.2 8.821 332.9 2.706C344.7-3.409 359.2 1.167 365.3 12.93L458.4 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H117.6L210.7 12.93C216.8 1.167 231.3-3.409 243.1 2.706L243.1 2.706zM144 296C157.3 296 168 285.3 168 272C168 258.7 157.3 248 144 248C130.7 248 120 258.7 120 272C120 285.3 130.7 296 144 296zM432 248C418.7 248 408 258.7 408 272C408 285.3 418.7 296 432 296C445.3 296 456 285.3 456 272C456 258.7 445.3 248 432 248z"],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", "M148.7 171.3L64.21 86.83c-28.39 32.16-48.9 71.38-58.3 114.8C19.41 205.4 33.34 208 48 208C86.34 208 121.1 193.9 148.7 171.3zM194.5 171.9L256 233.4l169.2-169.2C380 24.37 320.9 0 256 0C248.6 0 241.2 .4922 233.1 1.113C237.8 16.15 240 31.8 240 48C240 95.19 222.8 138.4 194.5 171.9zM208 48c0-14.66-2.623-28.59-6.334-42.09C158.2 15.31 118.1 35.82 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48zM171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C.4922 241.2 0 248.6 0 256c0 64.93 24.37 124 64.21 169.2L233.4 256L171.9 194.5zM317.5 340.1L256 278.6l-169.2 169.2C131.1 487.6 191.1 512 256 512c7.438 0 14.75-.4922 22.03-1.113C274.2 495.8 272 480.2 272 464C272 416.8 289.2 373.6 317.5 340.1zM363.3 340.7l84.48 84.48c28.39-32.16 48.9-71.38 58.3-114.8C492.6 306.6 478.7 304 464 304C425.7 304 390.9 318.1 363.3 340.7zM447.8 86.83L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031C511.5 270.8 512 263.4 512 256C512 191.1 487.6 131.1 447.8 86.83zM304 464c0 14.66 2.623 28.59 6.334 42.09c43.46-9.4 82.67-29.91 114.8-58.3l-84.48-84.48C318.1 390.9 304 425.7 304 464z"],
    "basketball-hoop": [640, 512, [], "f435", "M448 208H192V160h256V208zM640 208.1v118c0 25.43-15.05 48.44-38.35 58.63l-93.09 40.73L524.6 288H492.4l-24.48 209.8C467.4 502.6 462.9 512 452 512c-4.312 0-8.531-1.75-11.59-4.984l-54.41-57.27l-54.41 57.27C328.6 510.2 324.4 512 320 512s-8.594-1.797-11.59-4.984l-54.41-57.27l-54.41 57.27c-3.062 3.234-7.286 4.98-11.6 4.98c-11.04 0-15.35-9.44-15.9-14.16L147.6 288H115.4l16.04 137.5l-93.09-40.72C15.05 374.6 0 351.6 0 326.1V208.1C0 167.8 105 0 320 0C537.9 0 640 169.8 640 208.1zM226.1 288H179.9L184.1 324L226.1 288zM231.9 426.5l-40.96-43.11l8.955 76.79L231.9 426.5zM253.1 403.3l43.94-46.25L251.6 308.3l-48.44 41.52L253.1 403.3zM320 333.8L363.5 288H276.5L320 333.8zM363.9 426.5L320 380.3l-43.94 46.25L320 472.8L363.9 426.5zM385.1 403.3l50.84-53.52l-48.44-41.52l-46.35 48.78L385.1 403.3zM449 383.4l-40.96 43.11l32 33.68L449 383.4zM460.1 288h-46.24l42.04 36.03L460.1 288zM544 216c0-4.418-3.582-8-8-8H480V160c0-17.64-14.34-32-32-32H192C174.3 128 160 142.4 160 160v48H104C99.58 208 96 211.6 96 216v16C96 236.4 99.58 240 104 240h432C540.4 240 544 236.4 544 232V216z"],
    "bat": [576, 512, [], "f6b5", "M235.6 52.81L255.1 80H320L340.4 52.81C342.7 49.78 346.2 48 350 48C355.8 48 360.8 52.12 361.8 57.81L380.9 159.2L452.6 125C468.8 117.3 488.1 121.4 499.7 135C548.9 192.4 576 265.6 576 341.2V378.8C576 388.6 565.8 394.9 557.1 390.5L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L18.93 390.5C10.23 394.9 0 388.6 0 378.8V341.2C0 265.6 27.05 192.4 76.27 135C87.91 121.4 107.2 117.3 123.4 125L195.1 159.2L214.2 57.81C215.2 52.12 220.2 48 225.1 48C229.8 48 233.3 49.78 235.6 52.81H235.6z"],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", "M32 384c0 28.32 12.49 53.52 32 71.09V496C64 504.8 71.16 512 80 512h32C120.8 512 128 504.8 128 496v-15.1h256V496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-40.9c19.51-17.57 32-42.77 32-71.09V352H32V384zM496 256H96V77.25C95.97 66.45 111 60.23 118.6 67.88L132.4 81.66C123.6 108.6 129.4 134.5 144.2 153.2C137.9 159.5 137.8 169.8 144 176l11.31 11.31c6.248 6.248 16.38 6.248 22.63 0l105.4-105.4c6.248-6.248 6.248-16.38 0-22.63l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0C230.7 33.26 204.7 27.55 177.7 36.41L163.9 22.64C149.5 8.25 129.6 0 109.3 0C66.66 0 32 34.66 32 77.25v178.8L16 256C7.164 256 0 263.2 0 272v32C0 312.8 7.164 320 16 320h480c8.836 0 16-7.164 16-16v-32C512 263.2 504.8 256 496 256z"],
    "battery-bolt": [576, 512, [], "f376", "M365.7 160C372.3 137.8 364.5 113.4 345.6 99.2C344.1 98.04 342.5 96.98 340.8 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H244.9C247.2 414.6 249.4 413 251.6 411.2L323.5 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H365.7zM0 336V176C0 131.8 35.82 96 80 96H283.1C280.8 97.41 278.6 98.1 276.4 100.8L204.5 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H162.3C155.7 374.2 163.5 398.6 182.4 412.8C183.9 413.1 185.5 415 187.2 416H80C35.82 416 .0003 380.2 .0003 336H0zM321.6 131.2C327.5 135.6 329.6 143.5 326.7 150.3L288.3 240H352C358.8 240 364.8 244.2 367.1 250.6C369.3 256.1 367.4 264.1 362.2 268.4L226.2 380.4C220.5 385 212.3 385.2 206.4 380.8C200.5 376.4 198.4 368.5 201.3 361.7L239.7 271.1H176C169.2 271.1 163.2 267.8 160.9 261.4C158.7 255 160.6 247.9 165.8 243.6L301.8 131.6C307.5 126.1 315.7 126.8 321.6 131.2V131.2z"],
    "battery-empty": [576, 512, ["battery-0"], "f244", "M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z"],
    "battery-exclamation": [576, 512, [], "e0b0", "M208 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H198.7C194.4 361.8 192 372.6 192 384C192 395.4 194.4 406.2 198.7 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H208V160zM464 416H345.3C349.6 406.2 352 395.4 352 384C352 372.6 349.6 361.8 345.3 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H336V96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416zM272 96C285.3 96 296 106.7 296 120V296C296 309.3 285.3 320 272 320C258.7 320 248 309.3 248 296V120C248 106.7 258.7 96 272 96zM304 384C304 401.7 289.7 416 272 416C254.3 416 240 401.7 240 384C240 366.3 254.3 352 272 352C289.7 352 304 366.3 304 384z"],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", "M448 320H96V192H448V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-half": [576, 512, ["battery-3"], "f242", "M288 320H96V192H288V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-low": [576, 512, ["battery-1"], "e0b1", "M160 320H96V192H160V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-quarter": [576, 512, ["battery-2"], "f243", "M192 320H96V192H192V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-slash": [640, 512, [], "f377", "M154.8 96H496C540.2 96 576 131.8 576 176V192C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320V336C576 362.5 563.1 385.1 543.3 400.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM236.4 160L481.4 352H496C504.8 352 512 344.8 512 336V176C512 167.2 504.8 160 496 160H236.4zM324.9 352L406.2 416H112C67.82 416 32 380.2 32 336V176C32 159.6 36.92 144.4 45.35 131.7L96.5 172C96.17 173.3 96 174.6 96 176V336C96 344.8 103.2 352 112 352H324.9z"],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", "M352 320H96V192H352V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "bed": [640, 512, [128716], "f236", "M32 32C49.67 32 64 46.33 64 64V320H288V160C288 142.3 302.3 128 320 128H544C597 128 640 170.1 640 224V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM96 208C96 163.8 131.8 128 176 128C220.2 128 256 163.8 256 208C256 252.2 220.2 288 176 288C131.8 288 96 252.2 96 208z"],
    "bed-bunk": [576, 512, [], "f8f8", "M192 304C192 330.5 170.5 352 144 352C117.5 352 96 330.5 96 304C96 277.5 117.5 256 144 256C170.5 256 192 277.5 192 304zM64 128H224V32C224 14.33 238.3 0 256 0H464C525.9 0 576 50.14 576 112V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V32C0 14.33 14.33 0 32 0C49.67 0 64 14.33 64 32V128zM512 256V192H64V384H224V288C224 270.3 238.3 256 256 256H512zM96 48C96 21.49 117.5 0 144 0C170.5 0 192 21.49 192 48C192 74.51 170.5 96 144 96C117.5 96 96 74.51 96 48z"],
    "bed-empty": [640, 512, [128719], "f8f9", "M64 224H544C597 224 640 266.1 640 320V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V224z"],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", "M32 80C32 53.49 53.49 32 80 32H432C458.5 32 480 53.49 480 80V209.1C465.5 200.8 449.3 195.1 431.1 192.1C431.1 192.7 432 192.3 432 192V160C432 142.3 417.7 128 400 128H304C286.3 128 272 142.3 272 160V192H240V160C240 142.3 225.7 128 208 128H112C94.33 128 80 142.3 80 160V192C80 192.3 80.01 192.7 80.02 192.1C62.7 195.1 46.46 200.8 32 209.1V80zM0 320C0 266.1 42.98 224 96 224H416C469 224 512 266.1 512 320V448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V320z"],
    "bed-pulse": [640, 512, ["procedures"], "f487", "M524 64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H512C504.4 112 497.3 108.4 492.8 102.4L468.7 70.31L421.7 170.2C418 178.1 410.4 183.3 401.8 183.9C393.1 184.6 384.8 180.5 380 173.3L339.2 112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H352C360 64 367.5 68.01 371.1 74.69L396.4 111.3L442.3 13.78C445.9 6.163 453.2 .9806 461.6 .1246C469.9-.7314 478.1 2.865 483.2 9.6L524 64zM320 160H332.7L353.4 191.1C364.6 207.9 384 217.3 404.1 215.8C424.3 214.4 442.1 202.1 450.7 183.8L461.9 160H544C597 160 640 202.1 640 256V480C640 497.7 625.7 512 608 512C590.3 512 576 497.7 576 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V352H288V192C288 174.3 302.3 160 320 160zM96 240C96 195.8 131.8 160 176 160C220.2 160 256 195.8 256 240C256 284.2 220.2 320 176 320C131.8 320 96 284.2 96 240z"],
    "bee": [576, 512, [], "e0b2", "M448 95.1c-27.69 0-55.34 9.471-80.73 22.73c.125-1.49 5.114-31.79-19.72-59.7l31.71-31.71c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-34.99 34.99C312.3 35.27 302.1 31.1 288 31.1S263.7 35.27 254.3 39.68L219.3 4.688c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.4 58.99C203.5 86.9 208.6 117.2 208.7 118.7C183.3 105.5 155.7 95.1 128 95.1C57.34 95.1 0 146.1 0 207.1c0 58.42 51.31 105.9 116.5 111C115.8 312.1 115.2 306.9 115.2 300.8C115.2 285.2 117.7 270.1 121.9 255.5C89.96 253.1 64 232.5 64 207.1C64 181.1 93.31 160 127.1 160c22.86 0 49.72 12.52 74.81 29.37C169.2 215.1 147.2 255.2 147.2 300.8C147.2 406.4 288 512 288 512s140.8-105.6 140.8-211.2c.0156-45.58-21.1-85.69-55.59-111.4C398.3 172.5 425.1 160 448 160c34.66 0 64 22 64 48c0 24.52-25.96 45.11-57.86 47.52c4.17 14.57 6.668 29.68 6.662 45.29c0 6.094-.625 12.15-1.344 18.18C524.7 313.9 576 266.5 576 208C576 146.2 518.7 95.1 448 95.1zM233.7 246.5C248.2 231.1 267.4 224 287.9 224s39.89 7.986 54.38 22.49C345.3 249.4 347.8 252.7 350.1 256H225.9C228.2 252.7 230.7 249.4 233.7 246.5zM288 427.1C274.9 414.3 261.4 399.5 249.4 384h77.23C314.6 399.5 301.1 414.3 288 427.1zM356.2 336H219.8c-4.801-11.07-7.746-21.84-8.271-32h152.8C363.9 314.2 360.1 324.9 356.2 336z"],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", "M115.2 133.3c12.02-8.062 27.75-4.727 38.31 5.164C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c10.56-9.891 26.29-13.23 38.31-5.164C310.9 140 322.9 144 335.1 144c39.88 0 71.24-36.47 62.54-77.88c-4.861-23.15-23.39-42.46-46.36-48.12c-18.08-4.455-35.17-1.193-48.89 7.119c-13.33 8.072-29.44 7.051-40.82-3.598C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C142.2 32.17 126 33.19 112.7 25.12C98.99 16.8 81.9 13.54 63.82 17.1c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144C93.06 144 105.1 140 115.2 133.3zM432 160h-43.9C372.7 170 354.9 176 336 176c-18.12 0-35.66-5.094-50.92-14.76c-.2246 .1504-.4687 .3379-.7187 .5723C263.6 181.3 236.5 192 207.1 192S152.4 181.3 131.6 161.8C131.4 161.6 131.1 161.4 130.9 161.2C115.7 170.9 98.12 176 80 176C62.76 176 46.46 170.1 32 162.5L31.1 448c0 35.35 28.65 64 64 64h223.1c35.35 0 64-28.65 64-64l80.66-36.02C493.5 399.1 512 370.5 512 339V240C512 195.8 476.2 160 432 160zM160 432C160 440.9 152.9 448 143.1 448S128 440.9 128 432l-.0099-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L160 432zM224 432C224 440.9 216.9 448 207.1 448S192 440.9 192 432l-.0083-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L224 432zM288 432c0 8.875-7.125 16-16 16S256 440.9 256 432l-.0066-192c0-8.875 7.126-16 16-16s15.1 7.125 15.1 16L288 432zM448 339c0 6.25-3.75 12-9.5 14.62L384 377.9V224h48C440.9 224 448 231.1 448 240V339z"],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", "M432 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v352c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-32.08l80.66-35.94C493.5 335.1 512 306.5 512 275V176C512 131.8 476.2 96 432 96zM160 368C160 376.9 152.9 384 144 384S128 376.9 128 368v-224C128 135.1 135.1 128 144 128S160 135.1 160 144V368zM224 368C224 376.9 216.9 384 208 384S192 376.9 192 368v-224C192 135.1 199.1 128 208 128S224 135.1 224 144V368zM288 368c0 8.875-7.125 16-16 16S256 376.9 256 368v-224C256 135.1 263.1 128 272 128S288 135.1 288 144V368zM448 275c0 6.25-3.75 12-9.5 14.62L384 313.9V160h48C440.9 160 448 167.1 448 176V275z"],
    "bell": [448, 512, [61602, 128276], "f0f3", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", "M280 145.3V112h16C309.3 112 320 101.3 320 88S309.3 64 296 64H215.1C202.7 64 192 74.75 192 87.1S202.7 112 215.1 112H232v33.32C119.6 157.3 32 252.4 32 368h448C480 252.4 392.4 157.3 280 145.3zM488 400h-464C10.75 400 0 410.7 0 423.1C0 437.3 10.75 448 23.1 448h464c13.25 0 24-10.75 24-23.1C512 410.7 501.3 400 488 400z"],
    "bell-exclamation": [448, 512, [], "f848", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 288C206.3 288 192 302.3 192 320C192 337.7 206.3 352 224 352C241.7 352 256 337.7 256 320C256 302.3 241.7 288 224 288zM248 136C248 122.7 237.3 112 224 112C210.7 112 200 122.7 200 136V232C200 245.3 210.7 256 224 256C237.3 256 248 245.3 248 232V136zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-on": [640, 512, [128365], "f8fa", "M352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C536 408.6 524.6 416 512 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V208C160 130.6 214.1 66.03 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32H352zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512zM0 200C0 186.7 10.75 176 24 176H104C117.3 176 128 186.7 128 200C128 213.3 117.3 224 104 224H24C10.75 224 0 213.3 0 200zM616 176C629.3 176 640 186.7 640 200C640 213.3 629.3 224 616 224H536C522.7 224 512 213.3 512 200C512 186.7 522.7 176 536 176H616zM597.5 21.27C603.4 33.12 598.6 47.54 586.7 53.47L522.7 85.47C510.9 91.39 496.5 86.59 490.5 74.73C484.6 62.88 489.4 48.46 501.3 42.53L565.3 10.53C577.1 4.606 591.5 9.412 597.5 21.27V21.27zM53.27 53.47C41.41 47.54 36.61 33.12 42.53 21.27C48.46 9.412 62.88 4.606 74.73 10.53L138.7 42.53C150.6 48.46 155.4 62.88 149.5 74.73C143.5 86.59 129.1 91.39 117.3 85.47L53.27 53.47z"],
    "bell-plus": [448, 512, [], "f849", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM200 176V216H160C146.7 216 136 226.7 136 240C136 253.3 146.7 264 160 264H200V304C200 317.3 210.7 328 224 328C237.3 328 248 317.3 248 304V264H288C301.3 264 312 253.3 312 240C312 226.7 301.3 216 288 216H248V176C248 162.7 237.3 152 224 152C210.7 152 200 162.7 200 176zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-school": [512, 512, [], "f5d5", "M256 208C256 234.5 234.5 256 208 256C181.5 256 160 234.5 160 208C160 181.5 181.5 160 208 160C234.5 160 256 181.5 256 208zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM208 288C252.2 288 288 252.2 288 208C288 163.8 252.2 128 208 128C163.8 128 128 163.8 128 208C128 252.2 163.8 288 208 288zM208 448C262 448 311.9 430.1 352 400V464H392C410.6 464 426.7 453.4 434.7 438C423.3 429.2 416 415.5 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 419.4 500.5 436.1 483.1 443.7C472.1 483.2 435.4 512 392 512H112C85.49 512 64 490.5 64 464V400C104.1 430.1 153.1 448 208 448z"],
    "bell-school-slash": [640, 512, [], "f5d6", "M118.5 67.6C156.6 26.05 211.2 0 271.1 0C386.9 0 480 93.12 480 208C480 250.7 467.1 290.5 445 323.5L496.5 363.8C504.9 356.5 515.9 352 528 352C554.5 352 576 373.5 576 400C576 407.9 574.1 415.4 570.7 421.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L118.5 67.6zM220 147.2L246.1 167.6C253.6 162.8 262.5 160 271.1 160C298.5 160 319.1 181.5 319.1 208C319.1 213.4 319.1 218.6 317.4 223.5L343.5 243.9C348.9 233.1 352 220.9 352 208C352 163.8 316.2 128 271.1 128C252.2 128 234 135.2 220 147.2V147.2zM63.1 208C63.1 188.7 66.62 170.1 71.53 152.4L372.1 389.9C343.1 406.5 308.7 416 271.1 416C157.1 416 63.1 322.9 63.1 207.1V208zM271.1 448C319 448 362.9 434.5 399.9 411.1L416 423.8V464H456C459.4 464 462.6 463.7 465.8 462.1L508.3 496.5C493.3 506.3 475.3 512 456 512H175.1C149.5 512 127.1 490.5 127.1 464V400C168.1 430.1 217.1 448 271.1 448V448z"],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", "M186 120.5C209 85.38 245.4 59.84 288 51.2V32C288 14.33 302.3 .0003 320 .0003C337.7 .0003 352 14.33 352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C540.1 397.5 540.8 397.1 540.6 398.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L186 120.5zM160 226.8V222.1L406.2 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V226.8zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z"],
    "bells": [640, 512, [], "f77f", "M249.5 296.7C261.2 328.5 262.4 363.2 253.1 395.8L251.9 399.7L21.39 315.8C10.02 311.7 1.975 301.5 .5921 289.5C-.7912 277.5 4.728 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C232.4 88.2 203.2 170.3 230.8 245.5L249.5 296.7zM260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8L260.8 234.6zM480.8 480C459.6 480 440.8 469.9 429.1 454.1L545.2 411.9C545.3 413.2 545.3 414.5 545.3 415.8C545.3 451.3 516.4 480 480.8 480V480zM94.34 376.2L211.9 419.5C200.3 436.7 180.7 447.9 158.4 447.9C122.8 447.9 93.91 419.2 93.91 383.7C93.91 381.1 94.05 378.6 94.34 376.2V376.2z"],
    "bench-tree": [640, 512, [], "e2e7", "M606.5 111.1C607.3 106.2 608 101.2 608 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 5.174 .7363 10.15 1.523 15.11C397.3 125.6 384 149.2 384 176C384 220.2 419.8 256 464 256H480v224c0 17.69 14.31 32 32 32s32-14.31 32-32V256h16C604.2 256 640 220.2 640 176C640 149.2 626.7 125.6 606.5 111.1zM360 352H320v-32h32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v96h32v32H24C10.75 352 0 362.7 0 376v16C0 405.3 10.75 416 24 416H32v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h192v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h8c13.25 0 24-10.75 24-24v-16C384 362.7 373.3 352 360 352zM288 352H96v-32h192V352z"],
    "bezier-curve": [640, 512, [], "f55b", "M352 32C378.5 32 400 53.49 400 80V84H518.4C528.8 62.69 550.7 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C550.7 176 528.8 161.3 518.4 140H451.5C510.4 179.6 550.4 244.1 555.5 320H560C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320H499.3C493.4 253 450.8 196.6 391.8 170.9C383.1 183.6 368.6 192 352 192H288C271.4 192 256.9 183.6 248.2 170.9C189.2 196.6 146.6 253 140.7 320H144C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320H84.53C89.56 244.1 129.6 179.6 188.5 140H121.6C111.2 161.3 89.3 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C89.3 48 111.2 62.69 121.6 84H240V80C240 53.49 261.5 32 288 32H352zM296 136H344V88H296V136zM88 376V424H136V376H88zM552 424V376H504V424H552z"],
    "bicycle": [640, 512, [128690], "f206", "M347.2 32C358.1 32 369.8 38.44 375.4 48.78L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L409.4 212.7L324.7 356.2C320.3 363.5 312.5 368 304 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C138.7 224 149.2 225.3 159.2 227.8L185.8 174.7L163.7 144H120C106.7 144 96 133.3 96 120C96 106.7 106.7 96 120 96H176C183.7 96 190.1 99.71 195.5 105.1L222.9 144H372.3L337.7 80H311.1C298.7 80 287.1 69.25 287.1 56C287.1 42.75 298.7 32 311.1 32H347.2zM440 352C440 391.8 472.2 424 512 424C551.8 424 584 391.8 584 352C584 312.2 551.8 280 512 280C508.2 280 504.5 280.3 500.8 280.9L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L458.6 303.7C447 316.5 440 333.4 440 352V352zM108.8 328.6L133.1 280.2C131.4 280.1 129.7 280 127.1 280C88.24 280 55.1 312.2 55.1 352C55.1 391.8 88.24 424 127.1 424C162.3 424 190.9 400.1 198.2 368H133.2C112.1 368 99.81 346.7 108.8 328.6H108.8zM290.3 320L290.4 319.9L217.5 218.7L166.8 320H290.3zM257.4 192L317 274.8L365.9 192H257.4z"],
    "binary": [384, 512, [], "e33b", "M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.6 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM111.1 448H127.1C145.7 448 159.1 462.3 159.1 480C159.1 497.7 145.7 512 127.1 512H31.1C14.33 512-.0003 497.7-.0003 480C-.0003 462.3 14.33 448 31.1 448H47.1V364.4L42.12 366.4C25.35 371.9 7.231 362.9 1.642 346.1C-3.947 329.4 5.114 311.2 21.88 305.6L69.88 289.6C79.64 286.4 90.37 288 98.71 294C107.1 300.1 112 309.7 112 320L111.1 448zM-.0003 64C-.0003 28.65 28.65 .0001 63.1 .0001H127.1C163.3 .0001 191.1 28.65 191.1 64V160C191.1 195.3 163.3 224 127.1 224H63.1C28.65 224-.0003 195.3-.0003 160V64zM127.1 64H63.1V160H127.1V64zM320 288C355.3 288 384 316.7 384 352V448C384 483.3 355.3 512 320 512H256C220.7 512 191.1 483.3 191.1 448V352C191.1 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z"],
    "binary-circle-check": [640, 512, [], "e33c", "M322.7 6.04C331.1 12.05 336 21.71 336 32V160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04H322.7zM98.72 294C107.1 300.1 112 309.7 112 320V448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294L98.72 294zM128 .0001C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64C.0086 28.65 28.66 .0001 64.01 .0001H128zM64.01 160H128V64H64.01V160zM192 352C192 316.7 220.7 288 256 288H320C323.4 288 326.7 288.3 329.9 288.8C320.6 308.2 314.6 329.5 312.7 352H256V448L330.3 448C338.7 465.5 349.8 481.4 363.1 495.3C351.8 505.7 336.6 512 320 512H256C220.7 512 192 483.3 192 448L192 352zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "binary-lock": [640, 512, [], "e33d", "M322.7 6.04C331.1 12.05 336 21.71 336 32V160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04H322.7zM98.72 294C107.1 300.1 112 309.7 112 320V448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294L98.72 294zM128 .0001C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64C.0086 28.65 28.66 .0001 64.01 .0001H128zM64.01 160H128V64H64.01V160zM192 352C192 316.7 220.7 288 256 288H320C355.4 288 384 316.7 384 352V448C384 483.3 355.4 512 320 512H256C220.7 512 192 483.3 192 448V352zM320 352H256V448H320V352zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 239.1C510.3 239.1 496 254.3 496 271.1V319.1H560V271.1C560 254.3 545.7 239.1 528 239.1z"],
    "binary-slash": [640, 512, [], "e33e", "M127.1 75.02V64C127.1 28.66 156.7 .0013 191.1 .0013H255.1C291.3 .0013 319.1 28.66 319.1 64V160C319.1 179.3 311.5 196.5 298 208.3L399.7 288H448C483.3 288 512 316.7 512 352V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L127.1 75.02zM191.1 125.2L236.4 160H255.1V64H191.1V125.2zM464 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224H384C366.3 224 352 209.7 352 192C352 174.3 366.3 160 384 160H400V76.4L394.1 78.36C377.4 83.95 359.2 74.89 353.6 58.12C348.1 41.35 357.1 23.23 373.9 17.64L421.9 1.644C431.6-1.609 442.4 .0275 450.7 6.042C459.1 12.06 464 21.72 464 32V160zM239.1 448H255.1C273.7 448 287.1 462.3 287.1 480C287.1 497.7 273.7 512 255.1 512H159.1C142.3 512 127.1 497.7 127.1 480C127.1 462.3 142.3 448 159.1 448H175.1V364.4L170.1 366.4C153.4 371.9 135.2 362.9 129.6 346.1C124.1 329.4 133.1 311.2 149.9 305.6L197.9 289.6C207.6 286.4 218.4 288 226.7 294C235.1 300.1 240 309.7 240 320L239.1 448zM319.1 352C319.1 350.7 320 349.5 320.1 348.2L384 398.5V448H446.8L497.8 488.2C486.1 502.7 468.1 512 448 512H384C348.7 512 319.1 483.3 319.1 448V352z"],
    "binoculars": [512, 512, [], "f1e5", "M416 48C416 39.13 408.9 32 400 32h-64C327.1 32 320 39.13 320 48V96h96.04L416 48zM63.88 160.1C61.34 253.9 3.5 274.3 0 404V448c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32V128H95.88C78.26 128 64.35 142.5 63.88 160.1zM448.1 160.1C447.6 142.5 433.7 128 416.1 128H320v320c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32v-44C508.5 274.3 450.7 253.9 448.1 160.1zM224 288h64V128H224V288zM176 32h-64C103.1 32 96 39.13 96 48L95.96 96H192V48C192 39.13 184.9 32 176 32z"],
    "biohazard": [576, 512, [9763], "f780", "M575.5 283.5c-13.13-39.11-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.75 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2c-2.5-3-6.625-3.623-10-1.75c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748c-3.375-1.873-7.502-1.25-10 1.75C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.24-74.38 92.35c-1.25 3.75 .25 7.748 3.5 9.748c3.375 2 7.5 1.375 10-1.5c9.377-10.87 19-19.12 29.25-25.12c57.25-33.87 130.8-13.75 163.9 44.99c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.25-6.377 8.123c.125 4 2.75 7.248 6.502 7.998c39.75 7.748 80.63 .7495 115.3-19.74c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99c34.5 20.49 75.51 27.49 115.1 19.74c3.875-.75 6.375-3.998 6.5-7.998c0-3.873-2.625-7.248-6.375-8.123c-13.88-2.873-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c33.13-58.73 106.6-78.85 164-44.99c10.12 6.123 19.75 14.25 29.13 25.12c2.5 2.875 6.752 3.5 10 1.5C575.4 291.2 576.9 287.2 575.5 283.5zM287.1 320.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99c26.5 0 48.01 21.49 48.01 47.99C335.1 298.6 314.5 320.1 287.1 320.1zM385 377.6c1.152 22.77 10.74 44.63 27.22 60.92c47.45-35.44 79.13-90.58 83.1-153.4c-22.58-6.173-45.69-2.743-65.57 8.76C424.7 326.9 408.5 355.1 385 377.6zM253.3 132.6c26.22-6.551 45.37-6.024 69.52 .0254c21.93-9.777 39.07-28.55 47.48-51.75C345 69.98 317.3 63.94 288.1 63.94c-29.18 0-56.96 5.986-82.16 16.84C214.3 103.1 231.4 122.8 253.3 132.6zM163.8 438.5c16.46-16.26 26.03-38.19 27.14-61.01c-23.49-21.59-39.59-50.67-44.71-83.6C126.9 282.7 103.8 278.8 80.67 285.1C84.64 347.9 116.3 403.1 163.8 438.5z"],
    "bird": [512, 512, [], "e469", "M0 192V188.4C0 172.7 12.74 160 28.44 160H224C241.7 160 256 145.7 256 128V96C256 42.98 298.1 0 352 0C399.5 0 438.9 34.45 446.6 79.72L504.2 114.3C509 117.2 512 122.4 512 128C512 133.6 509 138.8 504.2 141.7L448 175.5V192C448 285.9 390.3 366.3 308.3 399.6L349.2 476.8C355.4 488.5 350.9 503 339.2 509.2C327.5 515.4 312.1 510.9 306.8 499.2L261.1 412.9C249 414.1 236.6 416 224 416C223 416 222 415.1 221 415.1L253.2 476.8C259.4 488.5 254.9 503 243.2 509.2C231.5 515.4 216.1 510.9 210.8 499.2L162.1 407.4C68.52 380.5 0 294.3 0 192V192zM352 96C338.7 96 328 106.7 328 120C328 133.3 338.7 144 352 144C365.3 144 376 133.3 376 120C376 106.7 365.3 96 352 96z"],
    "bitcoin-sign": [320, 512, [], "e0b4", "M48 32C48 14.33 62.33 0 80 0C97.67 0 112 14.33 112 32V64H144V32C144 14.33 158.3 0 176 0C193.7 0 208 14.33 208 32V64C208 65.54 207.9 67.06 207.7 68.54C254.1 82.21 288 125.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V448H112V480C112 497.7 97.67 512 80 512C62.33 512 48 497.7 48 480V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H48V32zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"],
    "blanket": [448, 512, [], "f498", "M448 432v32c0 8.75-7.25 16-16 16H128c-70.75 0-128-57.25-128-128V128c0-52.88 43.13-96 96-96h256c52.88 0 96 43.13 96 96c0 0-.125 181.5-.375 184.4C443.4 354 405.1 384 363.3 384H128c-17.75 0-32-14.25-32-32s14.25-32 32-32h240c8.75 0 16-7.25 16-16S376.8 288 368 288H128c-35.25 0-64 28.75-64 64s28.75 64 64 64h304C440.8 416 448 423.3 448 432z"],
    "blanket-fire": [640, 512, [], "e3da", "M616 273.2c-15.04-28.48-35.84-58.46-60.48-81.15C549.8 186.9 541.1 186.9 535.4 192c-9.598 8.768-18.56 19.62-26.24 29.5c-17.28-20.77-35.84-39.97-55.68-57.73C448 158.8 439.4 158.8 433.9 163.7c-33.28 29.7-61.44 63.42-81.6 95.78C332.8 291.5 320 323.7 320 350.1C320 437.9 390.4 512 480 512c88.64 0 160-74.11 160-161.9C640 329.9 630.4 301.2 616 273.2zM529.9 432.1C514.9 443 498.9 448 480.1 448C435.8 448 400 419 400 369.1c0-24 15.04-44.99 45.12-81.98c3.84 4.992 61.76 79.01 61.76 79.01l36.16-42.02c2.883 4 4.801 8 7.039 12C568 369.1 560 412 529.9 432.1zM325.1 242.7c21.76-35.17 51.84-71.23 87.36-102.8C422.4 130.9 435.5 127 448 128.2V96c0-53.02-42.88-96-96-96H96C42.88 0 0 42.98 0 96v224c0 70.69 57.28 128 128 128h186.2c-11.2-19.52-19.2-41.15-23.36-64H128c-35.2 0-64-28.64-64-64s28.8-64 64-64h189.4C320 251.5 322.6 247.1 325.1 242.7zM96 320c0 17.66 14.4 32 32 32h160v-1.92C288 329.9 293.4 308.8 301.8 288H128C110.4 288 96 302.3 96 320z"],
    "blender": [512, 512, [], "f517", "M336 64h158.5L512 0H48C21.49 0 0 21.49 0 48v160C0 234.5 21.49 256 48 256h103.3L160 352h256l17.49-64H336C327.2 288 320 280.8 320 272S327.2 256 336 256h106.1l17.49-64H336C327.2 192 320 184.8 320 176S327.2 160 336 160h132.4l17.49-64H336C327.2 96 320 88.8 320 80S327.2 64 336 64zM64 192V64h69.88L145.5 192H64zM416 384H160c-35.38 0-64 28.62-64 64l-.0001 32c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32l.0003-32C480 412.6 451.4 384 416 384zM288 480c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 480 288 480z"],
    "blender-phone": [576, 512, [], "f6b6", "M158.7 334.1L132.1 271.7C130.2 264.1 123.2 260.7 115.7 261.5l-45 4.374c-17.25-46.87-17.63-99.74 0-147.6l45 4.374C123.2 123.4 130.2 119.1 132.1 112.4l25.75-63.25C161.9 41.76 158.1 33.26 152.1 29.01L112.9 4.887C98.49-3.863 80.12-.4886 68.99 12.01C-23.64 115.6-23.01 271.5 70.99 374.5c9.875 10.75 29.13 12.5 41.75 4.75l39.38-24.12C158.1 350.9 161.7 342.4 158.7 334.1zM479.1 384H224c-35.38 0-63.1 28.62-63.1 63.1l-.0052 32c0 17.62 14.37 31.1 31.1 31.1L511.1 512c17.63 0 32-14.38 32-31.1l.0019-31.1C543.1 412.6 515.4 384 479.1 384zM352 480c-17.63 0-31.1-14.38-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.38 31.1 31.1C384 465.6 369.6 480 352 480zM399.1 64h158.5L576 .008L191.1 .006l-.0023 351.1h288l17.49-64h-97.49c-8.801 0-16-7.199-16-15.1c0-8.799 7.199-15.1 16-15.1h106.1l17.49-63.1h-123.6c-8.801 0-16-7.199-16-15.1c0-8.799 7.199-15.1 16-15.1h132.4l17.49-63.1h-149.9c-8.801 0-16-7.199-16-15.1C383.1 71.2 391.2 64 399.1 64z"],
    "blinds": [512, 512, [], "f8fb", "M96 226.1V160H16L0 256h67.02C71.77 242.4 82.38 231.7 96 226.1zM157 288C150.4 307.1 132.2 320 112 320S73.62 307.1 67 288H16L0 384h512l-16-96H157zM16 416L0 512h512l-16-96H16zM512 48l-.0026-32c0-8.875-7.125-16-16-16H16c-8.875 0-15.1 7.125-15.1 16L0 48c0 6.75 4.375 12.88 10.88 15L0 128h96V64h32v64h384l-10.88-65C507.6 60.88 512 54.75 512 48zM128 160v66.98C141.6 231.7 152.2 242.4 157 256H512l-16-96H128z"],
    "blinds-open": [512, 512, [], "f8fc", "M16 464L0 512h512l-16-48H16zM64 208.2V192H16L0 240h39.12C44.62 227.5 53.12 216.5 64 208.2zM175.6 320C160.6 340.1 137.1 352 112 352s-48.62-11.88-63.62-32H16L0 368h512L496 320H175.6zM160 192v16.25C170.9 216.5 179.4 227.5 184.9 240H512L496 192H160zM512 48v-32C512 7.125 504.9 0 496 0h-480C7.125 0 0 7.125 0 16v32C0 56.88 7.125 64 16 64L0 112h64V64h32v163C73.1 234.8 60.75 257.2 64.75 280.2c3.875 23.13 23.87 40 47.25 40s43.38-16.87 47.25-40C163.2 257.2 149.1 234.8 128 227V64h32v48h352L496 64C504.9 64 512 56.88 512 48z"],
    "blinds-raised": [512, 512, [], "f8fd", "M16 159.8L0 223.8l96 .0234V159.8H16zM512 47.99l-.0026-31.99C511.1 7.124 504.9 0 495.1 0H16c-8.875 0-15.1 7.124-15.1 15.99L0 47.99c0 8.871 7.113 16 15.99 16L0 127.8h96v-63.85h32v63.85h384l-15.99-63.85C504.9 63.99 512 56.86 512 47.99zM496 159.8L128 159.9L128 223.8l384-.0234L496 159.8zM96 223.8v194.9c-22 7.746-35.25 30.25-31.25 53.24C68.62 495.1 88.62 512 112 512s43.38-16.88 47.25-39.99c4-22.99-9.249-45.48-31.25-53.23L128 223.8H96z"],
    "block": [448, 512, [], "e46a", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z"],
    "block-brick": [448, 512, ["wall-brick"], "e3db", "M96 32H352V112H96V32zM0 112V96C0 60.65 28.65 32 64 32V112H0zM208 144V240H0V144H208zM0 368V272H64V368H0zM208 400V480H64C28.65 480 0 451.3 0 416V400H208zM448 400V416C448 451.3 419.3 480 384 480H240V400H448zM384 368V272H448V368H384zM96 368V272H352V368H96zM448 144V240H240V144H448zM384 112V32C419.3 32 448 60.65 448 96V112H384z"],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", "M128 32H384V112H128V32zM32 112V96C32 60.65 60.65 32 96 32V112H32zM240 144V240H32V144H240zM32 368V272H96V368H32zM240 400V480H96C60.65 480 32 451.3 32 416V400H240zM294.5 400C302.5 429.1 317.4 457.4 337.6 480H272V400H294.5zM480 144V144.6L479.4 144H480zM272 144H407.9C375.4 173.8 347.5 207.2 326.9 240H272V144zM128 272H308.1C296.5 297.7 288 324.7 288 350.1C288 356.1 288.3 362.1 288.8 368H128V272zM416 112V32C451.3 32 480 60.65 480 96V112H416zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 367C507 367 448.1 293 444.1 288C415 324.1 400 346 400 370C400 419 436 448 480.1 448C499 448 515 443 530 432.1C560 412 568 370 550 336.1z"],
    "block-question": [448, 512, [], "e3dd", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM258 176C270.2 176 280 185.8 280 197.1C280 205.7 275.1 212.8 269.3 216.8L211.7 251.4C204.4 255.8 200 263.6 200 272V288C200 301.3 210.7 312 224 312C237.3 312 248 301.3 248 288V285.6L294 257.1C315.1 245.3 328 222.5 328 197.1C328 159.3 296.7 127.1 258 127.1H200C164.7 127.1 136 156.7 136 191.1V199.1C136 213.3 146.7 223.1 160 223.1C173.3 223.1 184 213.3 184 199.1V191.1C184 183.2 191.2 175.1 200 175.1L258 176zM224 400C241.7 400 256 385.7 256 368C256 350.3 241.7 336 224 336C206.3 336 192 350.3 192 368C192 385.7 206.3 400 224 400zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z"],
    "block-quote": [448, 512, [], "e0b5", "M416 64C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H160C142.3 288 128 273.7 128 256C128 238.3 142.3 224 160 224H416zM128 416C128 398.3 142.3 384 160 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H160C142.3 448 128 433.7 128 416zM64 256V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256z"],
    "blog": [512, 512, [], "f781", "M217.6 96.1c-12.95-.625-24.66 9.156-25.52 22.37C191.2 131.7 201.2 143.1 214.4 143.1c79.53 5.188 148.4 74.09 153.6 153.6c.8281 12.69 11.39 22.43 23.94 22.43c.5156 0 1.047-.0313 1.578-.0625c13.22-.8438 23.25-12.28 22.39-25.5C409.3 191.8 320.3 102.8 217.6 96.1zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM172.3 226.8C157.7 223.9 144 235.8 144 250.6v50.37c0 10.25 7.127 18.37 16.75 21.1c18.13 6.75 31.26 24.38 31.26 44.1c0 26.5-21.5 47.1-48.01 47.1c-26.5 0-48.01-21.5-48.01-47.1V120c0-13.25-10.75-23.1-24.01-23.1l-48.01 .0076C10.75 96.02 0 106.8 0 120v247.1c0 89.5 82.14 160.2 175 140.7c54.38-11.5 98.27-55.5 109.8-109.7C302.2 316.1 247.8 241.8 172.3 226.8z"],
    "blueberries": [512, 512, [], "e2e8", "M336 0C255.3 0 187.4 54.39 166.7 128.5C169.8 128.3 172.9 128 176 128c114.7 0 208 93.31 208 208c0 3.146-.333 6.211-.4717 9.324C457.6 324.6 512 256.7 512 176C512 78.8 433.2 0 336 0zM416 128h-32v32c0 8.844-7.156 16-16 16S352 168.8 352 160V128h-32c-8.844 0-16-7.156-16-16S311.2 96 320 96h32V64c0-8.844 7.156-16 16-16S384 55.16 384 64v32h32c8.844 0 16 7.156 16 16S424.8 128 416 128zM176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM224 288H192v32c0 8.844-7.156 16-16 16S160 328.8 160 320V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h32V224c0-8.844 7.156-16 16-16S192 215.2 192 224v32h32c8.844 0 16 7.156 16 16S232.8 288 224 288z"],
    "bluetooth": [320, 512, [], "f293", "M208.6 255.1L309.1 168.1C316 161.1 320 153.2 320 143.1s-3.969-18-10.94-24.09l-127.1-112c-9.406-8.25-22.87-10.22-34.28-5.031c-11.44 5.188-18.78 16.56-18.78 29.13v153.5L53.06 119.9C39.78 108.3 19.56 109.6 7.908 122.9C-3.717 136.2-2.373 156.4 10.94 168.1l100.5 87.91l-100.5 87.91c-13.31 11.66-14.66 31.88-3.031 45.16c11.66 13.34 31.87 14.63 45.16 3.031L128 326.5v153.5c0 12.56 7.344 23.94 18.78 29.13C151 511.1 155.5 512 160 512c7.594 0 15.13-2.719 21.06-7.906l127.1-112C316 385.1 320 377.2 320 367.1s-3.969-18-10.94-24.09L208.6 255.1zM192 102.5l47.41 41.47l-47.41 41.47V102.5zM192 409.5V326.5l47.41 41.47L192 409.5z"],
    "bold": [384, 512, [], "f032", "M321.1 242.4C340.1 220.1 352 191.6 352 160c0-70.59-57.42-128-128-128L32 32.01c-17.67 0-32 14.31-32 32s14.33 32 32 32h16v320H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h224c70.58 0 128-57.41 128-128C384 305.3 358.6 264.8 321.1 242.4zM112 96.01H224c35.3 0 64 28.72 64 64s-28.7 64-64 64H112V96.01zM256 416H112v-128H256c35.3 0 64 28.71 64 63.1S291.3 416 256 416z"],
    "bolt": [384, 512, [9889, "zap"], "f0e7", "M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H31.1C18.67 288 6.733 279.7 2.044 267.3C-2.645 254.8 .8944 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z"],
    "bolt-auto": [576, 512, [], "e0b6", "M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H32C18.67 288 6.735 279.7 2.046 267.3C-2.643 254.8 .8963 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224zM464 288C476.1 288 487.2 294.8 492.6 305.7L572.6 465.7C580.5 481.5 574.1 500.7 558.3 508.6C542.5 516.5 523.3 510.1 515.4 494.3L508.2 480H419.8L412.6 494.3C404.7 510.1 385.5 516.5 369.7 508.6C353.9 500.7 347.5 481.5 355.4 465.7L435.4 305.7C440.8 294.8 451.9 288 464 288H464zM447.8 424H480.2L464 391.6L447.8 424z"],
    "bolt-lightning": [384, 512, [], "e0b7", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8z"],
    "bolt-slash": [640, 512, [], "e0b8", "M228.4 153.7L394.9 7.918C406.2-1.92 422.7-2.669 434.8 6.114C446.9 14.9 451.3 30.87 445.4 44.61L368.5 224H480C493.3 224 505.3 232.3 509.1 244.7C514.6 257.2 511.1 271.3 501.1 280.1L448.4 326.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L228.4 153.7zM138.9 231.9L154.8 217.1L243.7 288H160C146.7 288 134.7 279.7 130 267.3C125.4 254.8 128.9 240.7 138.9 231.9L138.9 231.9zM194.6 467.4L264.5 304.4L374.4 390.1L245.1 504.1C233.8 513.9 217.3 514.7 205.2 505.9C193.1 497.1 188.7 481.1 194.6 467.4V467.4z"],
    "bomb": [512, 512, [128163], "f1e2", "M459.1 52.39L504.8 69.22C509 70.78 512 75.12 512 79.67C512 84.15 508.1 88.38 504.8 89.83L459.1 106.7L442.6 152.5C441.1 156.9 436.7 160 432.1 160C427.5 160 423.2 156.9 421.7 152.5L404.9 106.7L359.2 89.83C355 88.38 352 84.15 352 79.67C351.1 75.12 354.1 70.78 359.2 69.22L405.2 52.39L421.7 6.548C423.6 2.623 427.8 0 432.1 0C436.5 0 440.7 2.623 442.6 6.548L459.1 52.39zM406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 303.1C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 303.1C0 189.1 93.12 95.1 208 95.1C232.7 95.1 256.5 100.3 278.5 108.2L281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L406.6 185.4zM207.1 192C216.8 192 223.1 184.8 223.1 176C223.1 167.2 216.8 160 207.1 160H199.1C124.9 160 63.1 220.9 63.1 296V304C63.1 312.8 71.16 320 79.1 320C88.84 320 95.1 312.8 95.1 304V296C95.1 238.6 142.6 192 199.1 192H207.1z"],
    "bone": [576, 512, [129460], "f5d7", "M534.9 267.5C560.1 280 576 305.8 576 334v4.387c0 35.55-23.49 68.35-58.24 75.88c-38.18 8.264-74.96-13.73-86.76-49.14c-.0352-.1035-.0684-.207-.1035-.3125C425.3 347.7 409.6 336 391.6 336H184.4c-17.89 0-33.63 11.57-39.23 28.56L145 365.1c-11.8 35.41-48.58 57.4-86.76 49.14C23.49 406.7 0 373.9 0 338.4v-4.387C0 305.8 15.88 280 41.13 267.5c9.375-4.75 9.375-18.25 0-23C15.88 232 0 206.3 0 178V173.6c0-35.55 23.49-68.35 58.24-75.88c38.18-8.264 74.99 13.82 86.79 49.23C150.7 164.1 166.4 176 184.4 176h207.2c17.89 0 33.63-11.57 39.23-28.56L431 146.9c11.8-35.41 48.58-57.4 86.76-49.14C552.5 105.3 576 138.1 576 173.6v4.387C576 206.3 560.1 232 534.9 244.5C525.5 249.3 525.5 262.8 534.9 267.5z"],
    "bone-break": [640, 512, [], "f5d8", "M215 152.1c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L200.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L215 152.1zM407.1 159.1c6.156 0 12.28-2.344 16.97-7.031l47.1-47.1c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-47.1 47.1c-9.375 9.375-9.375 24.56 0 33.94C395.7 157.7 401.8 159.1 407.1 159.1zM319.1 127.1c13.25 0 23.1-10.75 23.1-24V23.1C343.1 10.75 333.2 0 319.1 0S295.1 10.75 295.1 23.1v79.1C295.1 117.2 306.7 127.1 319.1 127.1zM183.3 253.3C165.5 256.5 148 247.5 139.5 231.6C121.8 198.5 81.58 182.8 45.41 197.7C12.5 211.2-4.943 247.9 1.229 283.2l.7617 4.355c4.906 28.04 25.01 50.83 52.05 58.82c10.06 3.074 12.4 16.48 3.994 22.84c-22.7 16.83-33.86 45.17-28.95 73.22l.7617 4.354c6.174 35.29 35.01 63.75 70.53 65.13c39.04 1.52 71.43-26.75 76.91-63.97l.0879-.5957c2.561-17.85 16.05-32.09 33.67-35.22L320 382.1L280 229.7L183.3 253.3zM594.6 197.7c-36.17-14.89-76.2 .5059-93.97 33.59c-8.512 15.98-26.15 25.17-43.87 22.02L360 229.7L320 382.1l108.1 29.2c17.62 3.133 31.11 17.37 33.67 35.22l.0879 .5957c5.475 37.22 37.87 65.49 76.91 63.97c35.53-1.385 64.36-29.84 70.53-65.13l.7617-4.354c4.906-28.05-6.256-56.39-28.95-73.22c-8.406-6.357-6.062-19.76 3.994-22.84c27.04-7.988 47.14-30.78 52.05-58.82l.7617-4.355C644.9 247.9 627.5 211.2 594.6 197.7z"],
    "bong": [512, 512, [], "f55c", "M334.5 512c23.12 0 44.38-12.62 56-32.63C406.8 451.2 416 418.8 416 384c0-36.13-10.11-69.75-27.49-98.63l43.5-43.37l9.376 9.375c6.25 6.25 16.38 6.25 22.63 0L475.3 240c6.25-6.25 6.25-16.38 0-22.62l-52.63-52.75c-6.25-6.25-16.38-6.25-22.63 0L388.6 176c-6.25 6.25-6.25 16.38 0 22.62L398 208l-39.38 39.38c-11.5-11.38-24.51-21.25-38.63-29.5l.0067-154.1h16c8.75 0 16-7.25 16-16L352 16.01C352 7.14 344.9 0 336 0L111.1 .1667c-8.75 0-15.99 7.11-15.99 15.99L96 48c0 8.875 7.126 16 16 16h16L128 217.9C70.63 251.1 32 313 32 384c0 34.75 9.252 67.25 25.5 95.38C69.13 499.4 90.38 512 113.5 512H334.5zM152 259.4l23.97-13.87V64.03L272 63.75l.0168 181.8l23.97 13.87C320.7 273.8 340 295.1 352.5 320H95.51C108 295.1 127.3 273.8 152 259.4z"],
    "book": [448, 512, [128212], "f02d", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM143.1 128h192C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H143.1C135.2 160 128 152.8 128 144C128 135.2 135.2 128 143.1 128zM143.1 192h192C344.8 192 352 199.2 352 208C352 216.8 344.8 224 336 224H143.1C135.2 224 128 216.8 128 208C128 199.2 135.2 192 143.1 192zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-arrow-right": [640, 512, [], "e0b9", "M224 208c0-13.26 10.75-24 24-24H448V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320C433.7 512 448 497.7 448 479.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336V232H248C234.7 232 224 221.3 224 208zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM632.1 191l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L558.1 184H448v48h110.1l-39.03 39.03C514.3 275.7 512 281.8 512 288s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C642.3 215.6 642.3 200.4 632.1 191z"],
    "book-arrow-up": [448, 512, [], "e0ba", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h120V209.9L176.1 248.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94C332.3 253.7 326.2 256 320 256s-12.28-2.344-16.97-7.031L264 209.9V384H384V448z"],
    "book-atlas": [448, 512, ["atlas"], "f558", "M240 97.25C232.3 104.8 219.3 131.8 216.6 176h46.88C260.8 131.8 247.8 104.8 240 97.25zM334.4 176c-5.25-31.25-25.62-57.13-53.25-70.38C288.8 124.6 293.8 149 295.3 176H334.4zM334.4 208h-39.13c-1.5 27-6.5 51.38-14.12 70.38C308.8 265.1 329.1 239.3 334.4 208zM263.4 208H216.5C219.3 252.3 232.3 279.3 240 286.8C247.8 279.3 260.8 252.3 263.4 208zM198.9 105.6C171.3 118.9 150.9 144.8 145.6 176h39.13C186.3 149 191.3 124.6 198.9 105.6zM448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64c70.75 0 128 57.25 128 128s-57.25 128-128 128s-128-57.25-128-128S169.3 64 240 64zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM198.9 278.4C191.3 259.4 186.3 235 184.8 208H145.6C150.9 239.3 171.3 265.1 198.9 278.4z"],
    "book-bible": [448, 512, ["bible"], "f647", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM144 144c0-8.875 7.125-15.1 16-15.1L208 128V80c0-8.875 7.125-15.1 16-15.1l32 .0009c8.875 0 16 7.12 16 15.1V128L320 128c8.875 0 16 7.121 16 15.1v32c0 8.875-7.125 16-16 16L272 192v112c0 8.875-7.125 16-16 16l-32-.0002c-8.875 0-16-7.127-16-16V192L160 192c-8.875 0-16-7.127-16-16V144zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-bookmark": [448, 512, [], "e0bb", "M448 336v-288C448 21.49 426.5 0 400 0H352v191.1c0 13.41-15.52 20.88-25.1 12.49L272 160L217.1 204.5C207.5 212.8 192 205.4 192 191.1V0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-circle-arrow-right": [640, 512, [], "e0bc", "M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448zM496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM571.3 379.3l-56 56C512.2 438.4 508.1 440 504 440s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L521.4 384H432c-8.836 0-15.1-7.164-15.1-16S423.2 352 432 352h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C577.6 362.9 577.6 373.1 571.3 379.3z"],
    "book-circle-arrow-up": [640, 512, [], "e0bd", "M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448zM496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM563.3 371.3c-6.25 6.25-16.38 6.25-22.62 0L512 342.6V432c0 8.836-7.164 15.1-16 15.1S480 440.8 480 432v-89.38l-28.69 28.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l56-56c6.25-6.25 16.38-6.25 22.62 0l56 56C566.4 351.8 568 355.9 568 360S566.4 368.2 563.3 371.3z"],
    "book-copy": [576, 512, [], "e0be", "M576 240v-192C576 21.49 554.5 0 528 0H288C234.1 0 192 42.98 192 96v224c0 53.02 42.98 96 96 96h256c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1V275.5C569.8 266.8 576 254.2 576 240zM512 352h-224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224V352zM352 448H97.38c-15.48 0-29.78-10.35-32.74-25.55C60.63 401.9 76.22 384 96 384h81.8C166.8 365.1 160 343.4 160 320V96H96C42.98 96 0 138.1 0 192v224c0 53.02 42.98 96 96 96h256C369.7 512 384 497.7 384 480S369.7 448 352 448z"],
    "book-font": [448, 512, [], "e0bf", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM129.7 264.8l96-192c5.438-10.84 23.19-10.84 28.62 0l96 192c3.953 7.906 .75 17.52-7.156 21.47C340.9 287.5 338.4 288 336 288c-5.875 0-11.52-3.234-14.33-8.844L294.1 224H185.9L158.3 279.2C154.4 287.1 144.7 290.2 136.8 286.3C128.9 282.4 125.7 272.8 129.7 264.8zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM239.1 115.8L201.9 192h76.22L239.1 115.8z"],
    "book-heart": [448, 512, [], "f499", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM149.8 109.1c24-20 59.75-16.38 81.63 5.75L240 123.6l8.625-8.75c22-22.12 57.63-25.75 81.63-5.75c27.5 23 28.88 64.13 4.25 89.13l-84.75 85.5c-5.5 5.5-14.25 5.5-19.75 0l-84.75-85.5C120.8 173.3 122.3 132.1 149.8 109.1zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM133.1 160.4l21.25 21.25c3.125 3.125 8.125 3.125 11.25 0s3.125-8.125 0-11.25l-26.38-26.5c10-20.75 26.25-38 46.38-49.25c-17 27.12-11 62.75 14 82.63C185.5 192 180.5 213.1 186.5 232.5c5.875 19.38 22 34.13 41.88 38.25l1.375-32.75L219.4 245.1C218.8 245.5 217.9 245.8 217.1 245.8c-1 0-2-.375-2.75-1c-.75-.875-1.25-1.875-1.25-3c0-.625 .25-1.375 .5-2L222.3 225.5l-18-3.75c-1.75-.375-3.125-2.125-3.125-4s1.375-3.5 3.125-3.875l18-3.75L213.6 195.9C212.8 194.3 213 192.1 214.4 190.9s3.5-1.5 5-.375l12 8.125L236 87.88C236.1 85.63 237.9 84 240 84s3.875 1.625 4 3.875l4.75 112.3l14.12-9.625c.625-.5 1.5-.625 2.25-.75c1.5 0 2.75 .75 3.5 2s.625 2.875-.125 4.125L260 210.1l17.1 3.75c1.75 .375 3.125 2 3.125 3.875s-1.375 3.625-3.125 4L260 225.4l8.5 14.38c.75 1.25 .875 2.75 .125 4s-2 2-3.5 2c-.75 0-1.625-.25-2.25-.625L250.3 236.5l1.375 34.25c19.88-4.125 36-18.88 41.88-38.25c6-19.38 1-40.63-13.12-55.25c25-19.88 31-55.5 14-82.63c20.25 11.25 36.38 28.5 46.38 49.25l-26.38 26.5c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0l21.25-21.25C349.9 170.5 352 181 352 192c0 .5-.125 1-.125 1.5l-37.13 32.5C313.1 227.6 312.1 229.8 312 232c.125 1.875 .7496 3.75 1.1 5.25C315.6 238.9 317.8 239.9 320 240c1.1 0 3.875-.7499 5.25-1.1l23.62-20.63C337.3 267 293.1 304 240 304S142.8 267 131.1 217.4l23.62 20.63C156.3 239.3 158.1 239.9 160 240c3.375 0 6.25-2.125 7.5-5.125c1.125-3.125 .25-6.75-2.25-8.875L128.1 193.5C128.1 193 128 192.5 128 192C128 181 130.1 170.5 133.1 160.4zM384 448H96c-17.67 0-32-14.33-32-32s14.33-32 32-32h288V448z"],
    "book-medical": [448, 512, [], "f7e6", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM128 166c0-8.838 7.164-16 16-16h53.1V96c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H336c8.836 0 16 7.162 16 16v52c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V234H144c-8.836 0-16-7.164-16-16V166zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-open": [576, 512, [128366, 128214], "f518", "M144.3 32.04C106.9 31.29 63.7 41.44 18.6 61.29c-11.42 5.026-18.6 16.67-18.6 29.15l0 357.6c0 11.55 11.99 19.55 22.45 14.65c126.3-59.14 219.8 11 223.8 14.01C249.1 478.9 252.5 480 256 480c12.4 0 16-11.38 16-15.98V80.04c0-5.203-2.531-10.08-6.781-13.08C263.3 65.58 216.7 33.35 144.3 32.04zM557.4 61.29c-45.11-19.79-88.48-29.61-125.7-29.26c-72.44 1.312-118.1 33.55-120.9 34.92C306.5 69.96 304 74.83 304 80.04v383.1C304 468.4 307.5 480 320 480c3.484 0 6.938-1.125 9.781-3.328c3.925-3.018 97.44-73.16 223.8-14c10.46 4.896 22.45-3.105 22.45-14.65l.0001-357.6C575.1 77.97 568.8 66.31 557.4 61.29z"],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", "M544 32.01c0-19.62-17.5-34.63-36.89-31.62L336 26.86v384l208-46.23V32.01zM304 26.86L132.9 .3828C113.5-2.617 96 12.38 96 32.01v332.6l208 46.23V26.86zM600.2 32.97L576 39.03v325.6c0 14.1-10.42 27.98-25.06 31.24L320 447.2L89.06 395.9C74.42 392.6 64 379.7 64 364.7V39.03L39.76 32.97C19.56 27.92 0 43.19 0 64.01v351.1c0 15 10.42 27.98 25.06 31.24l288 63.1c4.572 1.016 9.311 1.016 13.88 0l288-63.1C629.6 443.1 640 431 640 416V64.01C640 43.19 620.4 27.92 600.2 32.97z"],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", "M0 219.2v212.5c0 14.25 11.62 26.25 26.5 27C75.32 461.2 180.2 471.3 240 511.9V245.2C181.4 205.5 79.99 194.8 29.84 192C13.59 191.1 0 203.6 0 219.2zM482.2 192c-50.09 2.848-151.3 13.47-209.1 53.09C272.1 245.2 272 245.3 272 245.5v266.5c60.04-40.39 164.7-50.76 213.5-53.28C500.4 457.9 512 445.9 512 431.7V219.2C512 203.6 498.4 191.1 482.2 192zM352 96c0-53-43-96-96-96S160 43 160 96s43 96 96 96S352 149 352 96z"],
    "book-quran": [448, 512, ["quran"], "f687", "M352 0H48C21.49 0 0 21.49 0 48v288c0 14.16 6.246 26.76 16 35.54v81.36C6.607 458.5 0 468.3 0 479.1C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM324.8 170.4c3.006 .4297 4.295 4.154 2.004 6.301L306.2 196.9l4.869 28.5c.4297 2.434-1.576 4.439-3.725 4.439c-.5723 0-1.145-.1445-1.719-.4297L280 215.9l-25.63 13.46c-.5723 .2852-1.145 .4297-1.719 .4297c-2.146 0-4.152-2.006-3.723-4.439l4.869-28.5l-20.62-20.19c-2.291-2.146-1.002-5.871 2.006-6.301l28.64-4.152l12.89-25.92C277.3 138.9 278.7 138.2 280 138.2s2.721 .7168 3.295 2.148l12.89 25.92L324.8 170.4zM216 72c23.66 0 46.61 6.953 66.36 20.09c3.219 2.141 4.438 6.281 2.906 9.844c-1.547 3.547-5.453 5.562-9.172 4.594C268.8 104.8 262.2 104 256 104C207.5 104 168 143.5 168 192S207.5 280 256 280c6.234 0 12.81-.8281 20.09-2.531c3.719-.9687 7.625 1.047 9.172 4.594c1.531 3.562 .3125 7.703-2.906 9.844C262.6 305 239.7 312 216 312C149.8 312 96 258.2 96 192S149.8 72 216 72zM352 448H64v-64h288c17.67 0 32 14.33 32 32C384 433.7 369.7 448 352 448z"],
    "book-section": [448, 512, ["book-law"], "e0c1", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM235.9 243.2l-7.469-1.953c-22.09-5.891-68-18.11-59.47-62.72c2.141-11.16 7.949-20.45 16.65-27.54C173.4 141.7 164.9 127.9 169 106.6c6.062-31.75 40.44-48.02 87.53-41.34c8.344 1.188 17.97 3.516 30.22 7.344c8.438 2.641 13.16 11.61 10.53 20.05c-2.625 8.422-11.69 13.14-20.03 10.52c-10.59-3.312-18.62-5.281-25.22-6.219c-27.81-4.031-49.09 2.5-51.59 15.67c-1.781 9.266-.2187 16.06 36.25 25.77l7.281 1.906c30.12 7.797 75.66 19.56 67.03 64.72c-2.141 11.19-7.961 20.5-16.68 27.59c12.63 9.525 20.73 23.2 16.68 44.41c-5.156 27.05-30.81 42.84-67.34 42.84c-6.406 0-13.16-.4844-20.19-1.484C210.5 316.5 196.9 312.1 184.8 308.2L179.1 306.3c-8.406-2.688-13.06-11.69-10.38-20.11c2.719-8.422 11.72-13.11 20.12-10.36l5.875 1.891c10.75 3.5 22.94 7.469 33.13 8.859c28.03 3.922 49.19-2.469 51.69-15.66C281.1 258.2 273.8 253 235.9 243.2zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM235.9 171.2c0 0-9.406-2.494-10.32-2.742C216.9 169.7 202.6 173.3 200.4 184.6c-1.781 9.266-.2187 16.06 36.25 25.77c0 0 14.12 3.693 17.7 4.682c8.703-1.168 23.02-4.777 25.18-16.06C281.1 186.2 273.8 181 235.9 171.2z"],
    "book-skull": [448, 512, ["book-dead"], "f6b7", "M272 144C280.8 144 288 136.8 288 128s-7.25-16-16-16S256 119.3 256 128S263.3 144 272 144zM448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64C284.3 64 320 92.75 320 128c0 20.88-12.75 39.25-32 50.88V192c0 8.75-7.25 16-16 16h-64C199.3 208 192 200.8 192 192V178.9C172.8 167.3 160 148.9 160 128C160 92.75 195.8 64 240 64zM121.7 238.7c-8.125-3.484-11.91-12.89-8.438-21.02c3.469-8.094 12.94-11.86 21-8.422L240 254.5l105.7-45.21c8.031-3.438 17.53 .3281 21 8.422c3.469 8.125-.3125 17.53-8.438 21.02l-77.58 33.18l77.58 33.18c8.125 3.484 11.91 12.89 8.438 21.02C364.1 332.2 358.2 335.8 352 335.8c-2.094 0-4.25-.4062-6.281-1.281L240 289.3l-105.7 45.21C132.3 335.4 130.1 335.8 128 335.8c-6.219 0-12.12-3.641-14.72-9.703C109.8 317.1 113.6 308.6 121.7 305.1l77.58-33.18L121.7 238.7zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM208 144C216.8 144 224 136.8 224 128S216.8 112 208 112S192 119.3 192 128S199.3 144 208 144z"],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM261.5 197l20.56-49.31c1.012-2.033 3.671-3.675 5.942-3.691c2.281 0 4.966 1.648 5.982 3.691l20.7 49.64l49.64 20.7C366.3 219.1 368 221.7 368 223.1c0 2.266-1.652 4.949-3.682 5.965l-49.64 20.7l-20.7 49.64c-1.016 2.043-3.697 3.695-5.977 3.695c-2.271-.0156-4.936-1.662-5.947-3.695l-20.72-49.63L211.7 229.1c-2.023-1.012-3.664-3.676-3.676-5.938c.0117-2.27 1.65-4.977 3.676-5.988l49.41-20.6L261.5 197zM130.2 108.4L159.1 96l12.42-29.79C173 64.99 174.6 64 175.1 64s2.969 .9902 3.578 2.217L191.1 96L221.8 108.4c1.217 .6094 2.209 2.211 2.209 3.576c0 1.359-.9922 2.971-2.209 3.58L191.1 127.1L179.6 157.8C178.1 159 177.4 160 175.1 160S173 159 172.4 157.8L159.1 127.1L130.2 115.6C128.1 114.1 128 113.4 128 111.1C128 110.6 128.1 109 130.2 108.4zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-tanakh": [448, 512, ["tanakh"], "f827", "M267.1 244.5h34.87l-17.37-29.12L267.1 244.5zM352 0H48C21.49 0 0 21.49 0 48v288c0 14.16 6.246 26.76 16 35.54v81.36C6.607 458.5 0 468.3 0 480C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM89.38 125.6C93 119.3 99.63 115.4 106.9 115.5h56.38l27.5-46.25C194.4 63.25 201 59.5 208 59.5s13.5 3.625 17 9.625l27.75 46.38h56.38c7.25 0 13.88 3.875 17.38 10.12S330 139.5 326.3 145.8L298.6 192l27.75 46.38c3.75 6.125 3.75 13.88 .25 20c-3.625 6.375-10.25 10.25-17.5 10.25h-56.38l-27.5 46.13C221.6 320.8 215.1 324.5 208 324.5c-7 0-13.5-3.625-17-9.625L163.3 268.5H106.9c-7.125 0-13.88-3.875-17.38-10.12S86.13 244.5 89.75 238.3L117.4 192L89.63 145.6C85.88 139.5 85.88 131.8 89.38 125.6zM352 448H64v-64h288c17.67 0 32 14.33 32 32C384 433.7 369.7 448 352 448zM208 296.6l16.88-28.12H191.3L208 296.6zM113.1 244.5h34.88l-17.5-29.12L113.1 244.5zM301.1 139.5h-34.87l17.5 29.12L301.1 139.5zM148.9 139.5H113.1L131.5 168.6L148.9 139.5zM176.9 244.5h62.25L270.6 192l-31.5-52.63H176.9L145.4 192L176.9 244.5zM208 87.38L191.3 115.5h33.5L208 87.38z"],
    "book-user": [448, 512, [], "f7e7", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S204.7 64 240 64zM208 224h64C316.2 224 352 259.8 352 304c0 8.836-7.164 16-16 16h-192C135.2 320 128 312.8 128 304C128 259.8 163.8 224 208 224zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "bookmark": [384, 512, [61591, 128278], "f02e", "M48 0H336C362.5 0 384 21.49 384 48V487.7C384 501.1 373.1 512 359.7 512C354.7 512 349.8 510.5 345.7 507.6L192 400L38.28 507.6C34.19 510.5 29.32 512 24.33 512C10.89 512 0 501.1 0 487.7V48C0 21.49 21.49 0 48 0z"],
    "bookmark-slash": [640, 512, [], "e0c2", "M128 75.02V48C128 21.49 149.5 0 176 0H464C490.5 0 512 21.49 512 48V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L128 75.02zM128 487.7V196.9L509.8 497.7C506 506.1 497.5 512 487.7 512C482.7 512 477.8 510.5 473.7 507.6L320 400L166.3 507.6C162.2 510.5 157.3 512 152.3 512C138.9 512 128 501.1 128 487.7z"],
    "books": [512, 512, [128218], "f5db", "M160 384l127.1 .0001V128L160 128V384zM96 .0028H31.1C14.37 .0028 0 14.38 0 32v63.1l128-.0008l.0008-63.1C128 14.38 113.6 .0028 96 .0028zM160 479.1c0 17.62 14.37 31.1 32 31.1h63.1c17.62 0 31.98-14.36 31.1-31.98l0-64.02h-127.1L160 479.1zM0 479.1c0 17.62 14.37 31.1 31.1 31.1h64c17.62 0 31.1-14.37 31.1-31.1L128 416H0V479.1zM0 384l128-.0001V128L0 128V384zM419.9 116.2l-123.6 33.04l66.21 246.7l123.7-33.04L419.9 116.2zM510.9 455.3l-16.48-61.67l-123.6 33.05l16.55 61.66c4.559 16.98 22.15 27.12 39.17 22.57l61.85-16.52C505.4 489.8 515.5 472.3 510.9 455.3zM395 23.64c-4.568-16.98-22.15-27.1-39.16-22.55l-61.78 16.52c-3.072 .8203-5.619 2.484-8.197 4.07c-4.348-12.52-15.93-21.68-29.9-21.68h-63.1c-17.63 0-32 14.37-32 31.1L160 96l122 .0014l6.004 22.37l123.5-33.05L395 23.64z"],
    "books-medical": [576, 512, [], "f7e8", "M224 480c0 17.62 14.38 32 32 32h64C337.6 512 351.1 497.6 352 480V416H224L224 480zM160 0H96C78.38 0 64 14.38 64 32v64h128L192 32C192 14.38 177.6 0 160 0zM79.1 352h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336C63.1 344.8 71.16 352 79.1 352zM64 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0008-64H64V480zM459 23.64c-4.568-16.98-22.15-27.1-39.16-22.55l-61.78 16.52c-3.072 .8203-5.619 2.484-8.197 4.07C345.6 9.156 333.1 0 320 0h-64C238.4 0 224 14.38 224 32L224 96h122l6.004 22.37l123.5-33.05L459 23.64zM574.9 455.3l-16.48-61.67l-123.6 33.05l16.55 61.66c4.559 16.98 22.15 27.12 39.17 22.57l61.85-16.52C569.4 489.8 579.5 472.3 574.9 455.3zM224 384H352V128H224V384zM483.9 116.2l-123.6 33.04l66.21 246.7l123.7-33.04L483.9 116.2z"],
    "boombox": [640, 512, [128254], "f8a5", "M464 256C419.9 256 384 291.9 384 336s35.88 80 80 80s80-35.88 80-80S508.1 256 464 256zM176 256C131.9 256 96 291.9 96 336S131.9 416 176 416S256 380.1 256 336S220.1 256 176 256zM608 162.1V56C608 25.12 582.9 0 552 0H88C57.12 0 32 25.12 32 56v106.1C12.88 169.6 0 187.8 0 208v256C0 490.5 21.5 512 48 512h544c26.5 0 48-21.5 48-48v-256C640 187.8 627.1 169.6 608 162.1zM176 448C114.1 448 64 397.9 64 336S114.1 224 176 224S288 274.1 288 336S237.9 448 176 448zM336 128h-32C295.1 128 288 135.1 288 144V160H256V144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V160H80V56c0-4.375 3.625-8 8-8h464c4.375 0 8 3.625 8 8V160H448V144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V160h-32V144C352 135.1 344.9 128 336 128zM464 448c-61.88 0-112-50.13-112-112S402.1 224 464 224S576 274.1 576 336S525.9 448 464 448z"],
    "boot": [512, 512, [129406], "f782", "M0 480l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32v-32H0V480zM352 80v-64C352 7.25 344.8 0 336 0h-320C7.25 0 0 7.25 0 16V96h336C344.8 96 352 88.75 352 80zM439.2 285.8L320 256h-48C263.2 256 256 248.8 256 240S263.2 224 271.1 224H320V192h-48C263.2 192 256 184.8 256 176S263.2 160 271.1 160H320V128H0v288h512v-37.04C512 334.8 481.1 296.5 439.2 285.8z"],
    "boot-heeled": [512, 512, [], "e33f", "M480 464v-40.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-31.1-32H160v240c0 8.844-7.156 16-15.1 16S128 248.8 128 240V0H64C44.76 0 29.86 16.87 32.25 35.97l24.44 161.5c4.816 38.53 .9414 77.66-11.34 114.5c-8.84 26.52-13.35 54.29-13.35 82.24V488c0 13.25 10.75 24 23.1 24h79.1c13.25 0 23.1-10.75 23.1-24v-15.73l129.1 38.73C291.3 511.7 293.7 512 296 512h183.1C493.3 512 504 501.3 504 488S493.3 464 480 464z"],
    "booth-curtain": [512, 512, [], "f734", "M0 32v464C0 504.8 7.25 512 15.1 512H48C56.75 512 64 504.8 64 496V64h32V0H32C14.25 0 0 14.25 0 32zM480 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C512 14.25 497.8 0 480 0zM127.1 396.7c0 25.53 18.46 49.04 43.91 51.14C198.2 449.1 220.3 431.1 224 406.5C227.6 429.8 247.5 448 272 448s44.45-18.21 48-41.54c3.706 24.33 25.3 43.1 51.19 41.44c26.01-1.672 44.81-26.07 44.81-52.13L416 0H128L127.1 396.7z"],
    "border-all": [448, 512, [], "f84c", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 96H256V224H384V96zM384 288H256V416H384V288zM192 224V96H64V224H192zM64 416H192V288H64V416z"],
    "border-bottom": [448, 512, [], "f84d", "M448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z"],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", "M448 400C448 444.2 412.2 480 368 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H368C376.8 416 384 408.8 384 400V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V400zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320z"],
    "border-center-h": [448, 512, [], "f89c", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H416z"],
    "border-center-v": [448, 512, [], "f89d", "M448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V64z"],
    "border-inner": [448, 512, [], "f84e", "M32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM0 256C0 238.3 14.33 224 32 224H192V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H256V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V288H32C14.33 288 0 273.7 0 256z"],
    "border-left": [448, 512, [], "f84f", "M32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-none": [448, 512, [], "f850", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-outer": [448, 512, [], "f851", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 416H384V96H64V416z"],
    "border-right": [448, 512, [], "f852", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"],
    "border-top": [448, 512, [], "f855", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z"],
    "border-top-left": [448, 512, ["border-style"], "f853", "M0 112C0 67.82 35.82 32 80 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H80C71.16 96 64 103.2 64 112V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V112zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192z"],
    "bore-hole": [512, 512, [], "e4c3", "M256 0C273.7 0 288 14.33 288 32V296.6C307.1 307.6 320 328.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 328.3 204.9 307.6 224 296.6V32C224 14.33 238.3 0 256 0zM160 128V352C160 405 202.1 448 256 448C309 448 352 405 352 352V128H464C490.5 128 512 149.5 512 176V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V176C0 149.5 21.49 128 48 128H160z"],
    "bottle-droplet": [320, 512, [], "e4c4", "M224 0C237.3-.0003 248 10.74 248 23.1C248 37.25 237.3 47.1 224 48L216 48V140.9C258.6 161.6 288 205.4 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 205.4 61.37 161.6 104 140.9V48L96 48C82.75 48 72 37.26 72 24C71.1 10.75 82.74 .0045 95.1 .0042L224 0zM160 384C186.5 384 208 368 208 336C208 304 160 256 160 256C160 256 112 304 112 336C112 362.5 133.5 384 160 384z"],
    "bottle-water": [320, 512, [], "e4c5", "M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM32 151.7C32 136.1 41.04 121.9 55.19 115.3L79.6 103.8C90.58 98.67 102.6 96 114.7 96H205.3C217.4 96 229.4 98.67 240.4 103.8L264.8 115.3C278.1 121.9 288 136.1 288 151.7C288 166.1 280.5 178.7 269.1 185.8C280.6 194.6 288 208.4 288 223.1C288 240.7 279.5 255.4 266.5 263.1C279.5 272.6 288 287.3 288 303.1C288 320.7 279.5 335.4 266.5 344C279.5 352.6 288 367.3 288 384C288 400.7 279.5 415.4 266.5 424C279.5 432.6 288 447.3 288 464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464C32 447.3 40.52 432.6 53.46 424C40.52 415.4 32 400.7 32 384C32 367.3 40.52 352.6 53.46 344C40.52 335.4 32 320.7 32 303.1C32 287.3 40.52 272.6 53.46 263.1C40.52 255.4 32 240.7 32 223.1C32 208.4 39.4 194.6 50.87 185.8C39.53 178.7 32 166.1 32 151.7L32 151.7zM112 256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H112C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H208C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352H112z"],
    "bow-arrow": [512, 512, [127993], "f6b9", "M145.7 286.9l45.25-45.14L100.5 151.3C128.2 136.1 159.5 128 191.1 128c31.1 0 62.88 7.749 90.38 22.5l46.63-46.62c-40.62-25.87-87.76-39.87-137-39.87c-49.75 0-97.26 14.25-138.1 40.62l-3.875-3.873C46.83 97.63 42.7 96.06 38.57 96.06c-4.108 0-8.209 1.558-11.33 4.675l-22.54 22.51C1.586 126.4 .023 130.5 .023 134.6c0 4.113 1.565 8.226 4.692 11.35L145.7 286.9zM408.1 182.4l-46.63 46.62c14.75 27.49 22.5 58.24 22.5 90.36c0 32.49-8.126 63.74-23.25 91.48l-90.5-90.61l-45.25 45.24l141.8 141.8c3.125 3.124 7.22 4.687 11.31 4.687s8.188-1.563 11.31-4.687l22.62-22.62c3.125-3.124 4.688-7.249 4.688-11.37c0-4.124-1.563-8.249-4.688-11.37l-4.625-4.498c26.37-40.87 40.63-88.36 40.63-138.1C447.1 269.1 433.1 222.1 408.1 182.4zM512 15.64c0-8.634-7.093-15.64-15.72-15.64c-1.004 0-2.015 .0896-3.053 .29l-128.6 25.75c-7.885 1.609-12.61 8.447-12.61 15.47c0 3.89 1.449 7.831 4.612 10.99l34.5 34.5L140.5 337.6l-49.75-16.7c-2.104-.6776-4.349-1.006-6.497-1.006c-5.38 0-10.57 2.076-14.5 6.006l-63.75 63.82C1.901 393.8 0 399 0 404.1c0 8.377 5.1 16.6 14.1 19.62l55.62 18.5L88.22 497.9c3.027 9.001 11.24 14.12 19.65 14.12c5.134 0 10.35-1.923 14.47-5.997l63.62-63.74c3.93-3.93 6.011-9.191 6.011-14.57c0-2.148-.3325-4.323-1.01-6.427L174.4 371.4l250.6-250.5l34.5 34.47c3.162 3.161 7.11 4.639 11.01 4.639c7.037 0 13.88-4.755 15.49-12.64l25.72-128.6C511.9 17.75 512 16.65 512 15.64z"],
    "bowl-chopsticks": [512, 512, [], "e2e9", "M0 109.3C0 101.6 5.488 94.97 13.06 93.55L484.4 5.172C498.7 2.484 512 13.48 512 28.06C512 39.54 503.6 49.31 492.3 51.08L18.49 125.1C8.774 126.6 0 119.1 0 109.3V109.3zM0 159.7C0 150.1 6.97 143.8 15.74 143.5L487.6 128.8C500.1 128.3 512 139 512 152.4C512 165.4 501.4 175.1 488.4 175.1H16.25C7.275 175.1 0 168.7 0 159.7V159.7zM478.4 223.1C496.6 223.1 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 223.1 33.59 223.1H478.4z"],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", "M512 24.08c0-14.41-11.93-24.01-23.98-24.01c-3.096 0 17.55-4.234-264 54.51V92.89l267.9-45.18C504.1 45.62 512 35.29 512 24.08zM479.1 223.1L192 224V40C192 26.74 181.3 16 168 16S144 26.74 144 40V224h-32V56C112 42.74 101.3 32 88 32C74.74 32 64 42.74 64 56v31.95L11.75 98.84C4.854 100.3 0 106.4 0 113.2C0 122.1 7.361 127.1 14.71 127.1c.9121 0-5.301 1.1 49.29-8.09V142L15.74 143.5C6.969 143.8 0 150.1 0 159.8C0 168.7 7.275 176 16.25 176H64V224L32 223.1c-17.62 0-32 14.39-32 32.19c0 95.69 51.5 179 127.1 223.8c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c76.5-44.81 127.1-128.1 127.1-223.8C511.1 238.4 497.6 223.1 479.1 223.1zM487.6 128.8L224 137V176h264.4C501.4 176 512 165.4 512 152.4C512 139 500.1 128.3 487.6 128.8z"],
    "bowl-food": [512, 512, [], "e4c6", "M64 128C64.53 128 65.07 128 65.6 128C73 91.49 105.3 64 144 64C158.1 64 172.1 68.1 184.9 75.25C198.2 49.55 225.1 32 256 32C286.9 32 313.8 49.56 327.1 75.25C339 68.1 353 64 368 64C406.7 64 438.1 91.49 446.4 128C446.9 128 447.5 128 448 128C483.3 128 512 156.7 512 192C512 203.7 508.9 214.6 503.4 224H8.563C3.118 214.6 .0013 203.7 .0013 192C.0013 156.7 28.66 128 64 128H64zM.001 283.4C.001 268.3 12.28 256 27.43 256H484.6C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4H.001z"],
    "bowl-hot": [512, 512, ["soup"], "f823", "M152 0C165.3 0 176 10.75 176 24V32C176 49.63 184.3 66.22 198.4 76.8C224.6 96.44 240 127.3 240 160V168C240 181.3 229.3 192 216 192C202.7 192 192 181.3 192 168V160C192 142.4 183.7 125.8 169.6 115.2C143.4 95.56 128 64.73 128 32V24C128 10.75 138.7 0 152 0zM478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4zM304 32C304 49.63 312.3 66.22 326.4 76.8C352.6 96.44 368 127.3 368 160V168C368 181.3 357.3 192 344 192C330.7 192 320 181.3 320 168V160C320 142.4 311.7 125.8 297.6 115.2C271.4 95.56 256 64.73 256 32V24C256 10.75 266.7 0 280 0C293.3 0 304 10.75 304 24V32z"],
    "bowl-rice": [512, 512, [], "e2eb", "M176 56C176 42.75 186.7 32 200 32H216C229.3 32 240 42.75 240 56C240 69.25 229.3 80 216 80H200C186.7 80 176 69.25 176 56zM216 104C229.3 104 240 114.7 240 128C240 141.3 229.3 152 216 152H200C186.7 152 176 141.3 176 128C176 114.7 186.7 104 200 104H216zM72 176C85.26 176 96 186.7 96 200C96 213.3 85.26 224 72 224H56C42.75 224 32 213.3 32 200C32 186.7 42.75 176 56 176H72zM.001 283.4C.001 268.3 12.28 256 27.43 256H484.6C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4H.001zM224 200C224 186.7 234.7 176 248 176H264C277.3 176 288 186.7 288 200C288 213.3 277.3 224 264 224H248C234.7 224 224 213.3 224 200zM128 200C128 186.7 138.7 176 152 176H168C181.3 176 192 186.7 192 200C192 213.3 181.3 224 168 224H152C138.7 224 128 213.3 128 200zM120 104C133.3 104 144 114.7 144 128C144 141.3 133.3 152 120 152H104C90.75 152 80 141.3 80 128C80 114.7 90.75 104 104 104H120zM320 200C320 186.7 330.7 176 344 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H344C330.7 224 320 213.3 320 200zM312 104C325.3 104 336 114.7 336 128C336 141.3 325.3 152 312 152H296C282.7 152 272 141.3 272 128C272 114.7 282.7 104 296 104H312zM416 200C416 186.7 426.7 176 440 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H440C426.7 224 416 213.3 416 200zM408 104C421.3 104 432 114.7 432 128C432 141.3 421.3 152 408 152H392C378.7 152 368 141.3 368 128C368 114.7 378.7 104 392 104H408zM312 32C325.3 32 336 42.75 336 56C336 69.25 325.3 80 312 80H296C282.7 80 272 69.25 272 56C272 42.75 282.7 32 296 32H312z"],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", "M359.8 88.24C395.8 124.2 416 173.1 416 224H32C32 173.1 52.23 124.2 88.24 88.24C124.2 52.23 173.1 32 224 32C274.9 32 323.8 52.23 359.8 88.24zM394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431C433.4 256 435.6 256.5 437.7 257.5C439.8 258.5 441.7 259.9 443.2 261.6C444.7 263.3 445.8 265.4 446.5 267.6C447.2 269.8 447.4 272.1 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5H394.5z"],
    "bowl-scoops": [448, 512, [127813], "e3df", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.3 272.1 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 415.1H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 511.1H128C124.8 511.1 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 415.1H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.389 313.4 .8646 274.4C.5555 272.1 .7376 269.8 1.398 267.6C2.06 265.4 3.184 263.3 4.698 261.6C6.212 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.86 255.1H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5zM178.9 81.28C161.4 72.04 142.2 66.53 122.5 65.09C131.4 45.66 145.7 29.21 163.6 17.67C181.6 6.127 202.5-.0078 223.9-.0078C245.2-.0078 266.1 6.127 284.1 17.67C302.1 29.21 316.4 45.66 325.2 65.09C305.6 66.61 286.5 72.16 269 81.39C251.6 90.63 236.3 103.3 224 118.7C211.7 103.3 196.3 90.51 178.9 81.28zM256.8 128.8C277.8 107.8 306.3 95.1 336 95.1C365.7 95.1 394.2 107.8 415.2 128.8C436.2 149.8 448 178.3 448 207.1C447.8 213.4 447.3 218.7 446.4 223.1H225.6C224.7 218.7 224.2 213.4 224 207.1C224 178.3 235.8 149.8 256.8 128.8zM1.6 223.1C.6934 218.7 .1587 213.4 0 207.1C.0573 183.9 7.902 160.4 22.37 141.1C36.83 121.8 57.14 107.7 80.28 100.8C103.4 94.02 128.1 94.84 150.8 103.2C173.4 111.5 192.7 126.1 205.9 147.2C196.8 166.2 192.1 186.1 192 207.1C191.1 213.3 192.3 218.7 192.1 223.1H1.6z"],
    "bowl-soft-serve": [512, 512, [], "e46b", "M416 128C416 139.7 412.9 150.6 407.4 160H416C451.3 160 480 188.7 480 224C480 259.3 451.3 288 416 288H96C60.65 288 32 259.3 32 224C32 188.7 60.65 160 96 160H104.6C99.12 150.6 96 139.7 96 128C96 92.65 124.7 64 160 64H241.3C258.3 64 272 50.25 272 33.3C272 27.23 270.2 21.31 266.8 16.26L256 0H288C358.7 0 416 57.31 416 128zM48 336C48 327.2 55.16 320 64 320H448C456.8 320 464 327.2 464 336V344C464 401.4 417.4 448 360 448H329.9L350.3 488.8C351.4 491.1 352 493.6 352 496C352 498.9 351.2 501.8 349.6 504.4C346.7 509.1 341.5 512 336 512H176C170.5 512 165.3 509.1 162.4 504.4C160.8 501.8 160 498.9 160 496C160 493.6 160.6 491.1 161.7 488.8L182.1 448H152C94.56 448 48 401.4 48 344L48 336z"],
    "bowl-spoon": [512, 512, [129379], "e3e0", "M0 96C0 42.98 50.14 0 112 0C160.8 0 202.3 26.71 217.6 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H217.6C202.3 165.3 160.8 192 112 192C50.14 192 0 149 0 96V96zM1.972 257.5C.9021 239.3 15.36 224 33.59 224H478.4C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5H1.972z"],
    "bowling-ball": [512, 512, [], "f436", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM144 208c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S161.7 208 144 208zM240 80c17.66 0 31.95 14.25 31.95 32s-14.29 32-31.95 32s-32.05-14.25-32.05-32S222.4 80 240 80zM240 240c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S257.7 240 240 240z"],
    "bowling-ball-pin": [576, 512, [], "e0c3", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM122.7 245.3C107.9 245.3 96 233.5 96 218.7C96 203.9 107.9 192 122.7 192c14.75 0 26.67 11.88 26.67 26.66C149.3 233.5 137.4 245.3 122.7 245.3zM197.3 288C182.6 288 170.7 276.1 170.7 261.3s11.92-26.67 26.67-26.67C212.1 234.7 224 246.5 224 261.3S212.1 288 197.3 288zM197.3 200c-14.75 0-26.67-11.88-26.67-26.67s11.92-26.67 26.67-26.67C212.1 146.7 224 158.5 224 173.3S212.1 200 197.3 200zM522.1 160C527.7 135.1 544 111.8 544 72.05c0-48.12-32.11-72.05-64.08-72.05C447.1-.0001 416 24.12 416 72.05c0 39.71 16.26 63.01 21.93 87.99H522.1zM521.6 192h-83.21c-1.199 8.969-3.494 17.93-6.197 26.9C442.3 245.4 448 274 448 304c0 53.82-17.93 103.3-47.85 143.4C421 500.5 431.2 512 450.8 512h58.51c11.1 0 22.9-6.609 28.4-17.27C553.7 463.6 576 421.4 576 368C576 309.4 529.4 250.7 521.6 192z"],
    "bowling-pins": [512, 512, [], "f437", "M170.1 160C175.7 135.1 192 111.8 192 72.05c0-48.12-32.08-72.05-64.05-72.05C95.98 0 64 24.12 64 72.05c0 39.71 16.26 63.01 21.93 87.99H170.1zM426.1 160C431.7 135.1 448 111.8 448 72.05c0-48.12-32.08-72.05-64.05-72.05C351.1 0 320 24.12 320 72.05c0 39.71 16.26 63.01 21.93 87.99H426.1zM86.4 192C78.55 250.7 32 309.4 32 368c0 53.4 22.29 95.66 38.42 126.8C75.93 505.4 86.82 512 98.79 512h58.51c11.1 0 22.9-6.608 28.4-17.27C201.7 463.6 224 421.4 224 368c0-58.66-46.55-117.3-54.4-175.1H86.4zM425.6 192h-83.21C334.6 250.7 288 309.4 288 368c0 53.4 22.29 95.66 38.42 126.8C331.9 505.4 342.8 512 354.8 512h58.51c11.1 0 22.9-6.608 28.4-17.27C457.7 463.6 480 421.4 480 368C480 309.4 433.4 250.7 425.6 192z"],
    "box": [448, 512, [128230], "f466", "M50.73 58.53C58.86 42.27 75.48 32 93.67 32H208V160H0L50.73 58.53zM240 160V32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H240zM448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192H448V416z"],
    "box-archive": [512, 512, ["archive"], "f187", "M32 432C32 458.5 53.49 480 80 480h352c26.51 0 48-21.49 48-48V160H32V432zM160 236C160 229.4 165.4 224 172 224h168C346.6 224 352 229.4 352 236v8C352 250.6 346.6 256 340 256h-168C165.4 256 160 250.6 160 244V236zM480 32H32C14.31 32 0 46.31 0 64v48C0 120.8 7.188 128 16 128h480C504.8 128 512 120.8 512 112V64C512 46.31 497.7 32 480 32z"],
    "box-ballot": [576, 512, [128499], "f735", "M0 464C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48V352H0V464zM448 24C448 10.74 437.3 0 424 0h-272C138.7 0 128 10.74 128 24V224h320V24zM544 160h-64v64c0 17.67-14.33 32-32 32H128C110.3 256 96 241.7 96 224V160H32C14.33 160 0 174.3 0 192v127.1L.875 320h574.3L576 319.1V192C576 174.3 561.7 160 544 160z"],
    "box-check": [448, 512, [], "f467", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM320.1 296.1C330.3 287.6 330.3 272.4 320.1 263C311.6 253.7 296.4 253.7 287 263L192 358.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L175 408.1C184.4 418.3 199.6 418.3 208.1 408.1L320.1 296.1z"],
    "box-circle-check": [576, 512, [], "e0c4", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 416V192H416V192.7C326.3 200.8 256 276.2 256 368C256 410.5 271.1 449.6 296.2 480H64C28.65 480 0 451.3 0 416V416zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM244.1 240C244.1 228.9 235.1 219.9 223.1 219.9C212.9 219.9 203.9 228.9 203.9 240V246C198.3 247.2 192.1 248.9 188 251.1C173.1 257.9 160.1 270.5 156.9 288.8C155.1 299 156.1 308.9 160.3 317.8C164.5 326.6 171 332.8 177.6 337.3C189.2 345.2 204.5 349.8 216.2 353.3L218.4 353.9C232.4 358.2 241.8 361.3 247.7 365.6C250.2 367.4 251.1 368.8 251.4 369.7C251.8 370.5 252.4 372.3 251.7 376.3C251.1 379.8 249.2 382.8 243.7 385.1C237.6 387.7 227.7 389 214.9 387C208.9 386 198.2 382.4 188.7 379.2C186.5 378.4 184.3 377.7 182.3 377C171.8 373.5 160.5 379.2 157 389.7C153.5 400.2 159.2 411.5 169.7 414.1C170.9 415.4 172.4 415.9 174.1 416.5C181.1 419.2 194.4 423.4 203.9 425.6V432C203.9 443.1 212.9 452.1 223.1 452.1C235.1 452.1 244.1 443.1 244.1 432V426.5C249.4 425.5 254.6 423.1 259.4 421.9C275.2 415.2 287.8 402.2 291.1 383.2C292.9 372.8 292.1 362.8 288.1 353.7C284.2 344.7 277.9 338.1 271.2 333.3C259.1 324.4 242.9 319.6 230.8 315.9L229.1 315.7C215.8 311.4 206.2 308.4 200.1 304.2C197.5 302.4 196.7 301.2 196.5 300.7C196.3 300.3 195.7 299.1 196.3 295.7C196.7 293.7 198.2 290.4 204.5 287.6C210.1 284.7 220.9 283.1 233.1 284.1C237.5 285.7 251 288.3 254.9 289.3C265.5 292.2 276.5 285.8 279.3 275.1C282.2 264.5 275.8 253.5 265.1 250.7C260.7 249.5 250.7 247.5 244.1 246.3L244.1 240z"],
    "box-heart": [448, 512, [], "f49d", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM235.3 420.7L312.6 343.4C333.1 322.9 333.1 289.7 312.6 269.1C292.1 248.6 258.8 248.6 238.3 269.1L224 283.4L209.7 269.1C189.2 248.6 155.9 248.6 135.4 269.1C114.9 289.7 114.9 322.9 135.4 343.4L212.7 420.7C218.9 426.9 229.1 426.9 235.3 420.7V420.7z"],
    "box-open": [640, 512, [], "f49e", "M75.23 33.4L320 63.1L564.8 33.4C571.5 32.56 578 36.06 581.1 42.12L622.8 125.5C631.7 143.4 622.2 165.1 602.9 170.6L439.6 217.3C425.7 221.2 410.8 215.4 403.4 202.1L320 63.1L236.6 202.1C229.2 215.4 214.3 221.2 200.4 217.3L37.07 170.6C17.81 165.1 8.283 143.4 17.24 125.5L58.94 42.12C61.97 36.06 68.5 32.56 75.23 33.4H75.23zM321.1 128L375.9 219.4C390.8 244.2 420.5 255.1 448.4 248L576 211.6V378.5C576 400.5 561 419.7 539.6 425.1L335.5 476.1C325.3 478.7 314.7 478.7 304.5 476.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V211.6L191.6 248C219.5 255.1 249.2 244.2 264.1 219.4L318.9 128H321.1z"],
    "box-open-full": [640, 512, ["box-full"], "f49c", "M481.4 138.3L320 158.5L312.8 157.6C317.4 148.7 320 138.7 320 128C320 92.65 291.3 64 256 64C220.7 64 192 92.65 192 128C192 133.1 192.6 137.1 193.7 142.7L128.2 134.5C128.1 132.3 128 130.2 128 128C128 57.31 185.3 .0002 256 .0002C325.6 .0002 382.2 55.55 383.1 124.7L419.1 31.15C428.4 6.325 456-6.252 480.9 3.057C505.7 12.36 518.3 40.03 508.9 64.85L481.4 138.3zM576 338.3V421.7C576 436.4 566 449.2 551.8 452.8L335.5 506.8C325.3 509.4 314.7 509.4 304.5 506.8L88.24 452.8C73.99 449.2 64 436.4 64 421.7V338.3L191.6 374.7C219.5 382.7 249.2 370.1 264.1 346.1L320 252.9L375.9 346.1C390.8 370.1 420.6 382.7 448.4 374.7L576 338.3zM75.23 160.1L320 190.7L564.8 160.1C571.5 159.3 578 162.8 581.1 168.8L622.8 252.2C631.7 270.2 622.2 291.8 602.9 297.3L439.6 343.1C425.7 347.1 410.8 342.1 403.4 329.7L320 190.7L236.6 329.7C229.2 342.1 214.3 347.1 200.4 343.1L37.07 297.3C17.81 291.8 8.283 270.2 17.24 252.2L58.94 168.8C61.97 162.8 68.5 159.3 75.23 160.1H75.23z"],
    "box-taped": [448, 512, ["box-alt"], "f49a", "M50.73 58.53C58.86 42.27 75.48 32 93.67 32H192L160 160H0L50.73 58.53zM288 160L256 32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H288zM160 256C160 273.7 174.3 288 192 288H256C273.7 288 288 273.7 288 256V192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192H160V256z"],
    "box-tissue": [512, 512, [], "e05b", "M384 288l64-192h-109.4C308.4 96 281.6 76.66 272 48C262.4 19.33 235.6 0 205.4 0H64l64 288H384zM0 480c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-64H0V480zM480 224h-40.94l-21.33 64H432C440.8 288 448 295.2 448 304S440.8 320 432 320h-352C71.16 320 64 312.8 64 304S71.16 288 80 288h15.22l-14.22-64H32C14.33 224 0 238.3 0 256v128h512V256C512 238.3 497.7 224 480 224z"],
    "boxes-packing": [640, 512, [], "e4c7", "M256 48C256 21.49 277.5 0 304 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V253.3C402.6 246.7 416 228.9 416 208V176C416 149.5 394.5 128 368 128H256V48zM571.3 347.3C577.6 341.1 577.6 330.9 571.3 324.7L507.3 260.7C501.1 254.4 490.9 254.4 484.7 260.7L420.7 324.7C414.4 330.9 414.4 341.1 420.7 347.3C426.9 353.6 437.1 353.6 443.3 347.3L480 310.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V310.6L548.7 347.3C554.9 353.6 565.1 353.6 571.3 347.3H571.3zM0 176C0 167.2 7.164 160 16 160H368C376.8 160 384 167.2 384 176V208C384 216.8 376.8 224 368 224H16C7.164 224 0 216.8 0 208V176zM352 480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V256H352V480zM144 320C135.2 320 128 327.2 128 336C128 344.8 135.2 352 144 352H240C248.8 352 256 344.8 256 336C256 327.2 248.8 320 240 320H144z"],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", "M160 48C160 21.49 181.5 0 208 0H256V80C256 88.84 263.2 96 272 96H304C312.8 96 320 88.84 320 80V0H368C394.5 0 416 21.49 416 48V176C416 202.5 394.5 224 368 224H208C181.5 224 160 202.5 160 176V48zM96 288V368C96 376.8 103.2 384 112 384H144C152.8 384 160 376.8 160 368V288H208C234.5 288 256 309.5 256 336V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H96zM416 288V368C416 376.8 423.2 384 432 384H464C472.8 384 480 376.8 480 368V288H528C554.5 288 576 309.5 576 336V464C576 490.5 554.5 512 528 512H368C341.5 512 320 490.5 320 464V336C320 309.5 341.5 288 368 288H416z"],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", "M480 230.3C480 227.8 479.1 225.6 479.1 224c0-35.25-28.76-64-64-64h-28.27c-18.8 0-51.6 13.81-51.6 48.13c0 24.18 17.95 44.17 41.13 47.37c3.1 .625 6.875 4.125 6.875 8.125v16c0 4.354-3.656 8.044-8.047 8.044c-2.785 0-71.94-9.91-71.94-79.54c0-5.5 .625-10.88 1.625-16H173.2c-44.77 0-85.09-27.01-85.09-36.83c0-2.048 .7824-4.105 2.347-5.67l11.25-11.38c1.55-1.55 3.567-2.299 5.603-2.299c8.171 0 23.61 24.3 65.89 24.3h146.7v.5c21.91-29.44 49.85-32.79 74.85-32.79c7.378 0 14.5 .292 21.14 .292L415.1 96c0-53.02-42.98-96-95.1-96H127.1C75.77 0 32.09 41.75 32 93.98V288c0 28.32 12.49 53.56 31.1 71.14L63.1 464c0 26.51 21.49 48 47.1 48h223.1c26.51 0 47.1-21.49 47.1-48V384l58.49-58.5C477.9 289.1 480 249 480 230.3zM280.9 418.7c4.621 3.087 7.126 8.16 7.126 13.33C287.1 440.7 280.9 448 271.1 448c-3.062 0-6.156-.875-8.875-2.688l-39.12-26.08l-39.12 26.08C182.2 447.1 179.1 448 175.1 448c-8.924 0-16-7.265-16-15.98c0-5.171 2.505-10.24 7.126-13.33L195.2 400l-28.03-18.69c-4.621-3.087-7.126-8.16-7.126-13.33c0-8.739 7.087-15.97 16.04-15.97c3.054 0 6.133 .8693 8.84 2.676l39.12 26.08l39.12-26.08c2.707-1.812 5.785-2.683 8.838-2.683c8.944 0 16.04 7.237 16.04 15.98c0 5.171-2.505 10.24-7.126 13.33L252.8 400L280.9 418.7z"],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z"],
    "bracket-curly-right": [256, 512, [], "7d", "M32 63.1C32 81.67 46.33 96 63.1 96H96c17.6 0 32 14.4 32 32v37.48c0 25.47 10.12 49.89 28.12 67.9L178.8 256l-22.64 22.64C138.1 296.6 128 321 128 346.5V384c0 17.6-14.4 32-32 32H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H96c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26c12.5-12.5 12.5-32.75 0-45.25l-45.26-45.26C195.4 182.1 192 173.1 192 165.5V128c0-53.02-42.98-96-96-96H63.1C46.33 32 32 46.33 32 63.1z"],
    "bracket-round": [192, 512, ["parenthesis"], "28", "M127.9 480c-6.062 0-12.22-1.75-17.66-5.375c-4.5-2.1-110.2-75.16-110.2-218.6s105.7-215.6 110.2-218.6c14.72-9.812 34.56-5.844 44.37 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 63.1 147.8 63.1 256c0 108.4 78.53 163.2 81.87 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z"],
    "bracket-round-right": [192, 512, [], "29", "M37.53 465.8c-9.844-14.59-5.969-34.47 8.594-44.37c3.344-2.281 81.87-57.09 81.87-165.5c0-108.2-78.37-163.1-81.87-165.5C31.53 80.73 27.6 60.92 37.38 46.26C47.19 31.54 67.03 27.57 81.75 37.39C86.25 40.39 192 112.5 192 256s-105.7 215.6-110.2 218.6C76.31 478.3 70.16 480 64.1 480C53.82 480 43.72 475 37.53 465.8z"],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z"],
    "bracket-square-right": [192, 512, [], "5d", "M32 63.1C32 81.67 46.33 96 63.1 96H128v320H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H160c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H63.1C46.33 32 32 46.33 32 63.1z"],
    "brackets-curly": [576, 512, [], "f7ea", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32zM566.6 233.4l-45.25-45.25C515.4 182.1 512 173.1 512 165.5V128c0-53.02-42.98-96-96-96h-32C366.3 32 352 46.33 352 63.1S366.3 96 383.1 96H416c17.6 0 32 14.4 32 32v37.5c0 25.45 10.11 49.86 28.11 67.86L498.8 256l-22.64 22.64C458.1 296.6 448 321 448 346.5V384c0 17.6-14.4 32-32 32h-32C366.3 416 352 430.3 352 447.1S366.3 480 383.1 480H416c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26C579.1 266.1 579.1 245.9 566.6 233.4z"],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", "M145.9 90.54c14.59-9.812 18.53-29.62 8.75-44.28C144.8 31.54 124.1 27.57 110.3 37.39C105.8 40.39 0 112.5 0 256s105.8 215.6 110.3 218.6C115.7 478.3 121.8 480 127.9 480c10.28 0 20.38-4.969 26.56-14.16c9.844-14.59 5.969-34.47-8.594-44.37C142.5 419.2 64 364.4 64 256C64 147.8 142.4 92.95 145.9 90.54zM401.8 37.39c-14.69-9.781-34.41-5.844-44.22 8.781c-9.844 14.59-5.969 34.47 8.594 44.37C369.5 92.82 448 147.6 448 256s-78.53 163.2-81.75 165.4c-14.72 9.812-18.69 29.66-8.875 44.37C363.5 475 373.7 480 384 480c6.094 0 12.25-1.75 17.72-5.375C406.3 471.6 512 399.5 512 256S406.3 40.39 401.8 37.39z"],
    "brackets-square": [448, 512, ["brackets"], "f7e9", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32zM416 32h-96C302.3 32 288 46.33 288 63.1S302.3 96 319.1 96H384v320h-64C302.3 416 288 430.3 288 447.1S302.3 480 319.1 480H416c17.6 0 32-14.4 32-32V64C448 46.4 433.6 32 416 32z"],
    "braille": [640, 512, [], "f2a1", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 400C215.2 400 208 407.2 208 416C208 424.8 215.2 432 224 432C232.8 432 240 424.8 240 416C240 407.2 232.8 400 224 400zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96zM480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96zM640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 80C567.2 80 560 87.16 560 96C560 104.8 567.2 112 576 112C584.8 112 592 104.8 592 96C592 87.16 584.8 80 576 80zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 272C584.8 272 592 264.8 592 256C592 247.2 584.8 240 576 240C567.2 240 560 247.2 560 256C560 264.8 567.2 272 576 272zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 400C567.2 400 560 407.2 560 416C560 424.8 567.2 432 576 432C584.8 432 592 424.8 592 416C592 407.2 584.8 400 576 400zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 400C407.2 400 400 407.2 400 416C400 424.8 407.2 432 416 432C424.8 432 432 424.8 432 416C432 407.2 424.8 400 416 400z"],
    "brain": [512, 512, [129504], "f5dc", "M184 0C214.9 0 240 25.07 240 56V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z"],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", "M602.9 339.7l-96.01-95.13c-10.13-10-27.08-2.637-27.08 12.11L479.9 303.9l-79.91-.0338c-5.625 0-11.25-.125-17 .75c-47.13 7-85.63 44.5-93.38 91.5c-7.875 46.75 13.25 90.5 48.25 113.8c9.752 6.5 21.63-3.25 17.75-14.38c-9-26.62-5.51-95.51 60.37-95.51h64l.0117 47.14c0 14.88 17.01 22.2 27.14 12.2l95.87-95.2C609.7 357.5 609.7 346.3 602.9 339.7zM203.7 0C176.8 0 154.8 20.51 152 46.74C126 53.2 106.7 76.52 106.7 104.5c0 5.852 1.104 11.39 2.672 16.74c-27.04 5.678-47.47 29.2-47.47 57.93c0 14.09 5.082 26.87 13.25 37.09C49.71 228.2 32 253.8 32 283.7c0 31.98 20.2 59.05 48.46 69.68c-2.225 6.256-3.658 12.9-3.658 19.92c0 32.99 26.74 59.73 59.73 59.73c5.383 0 10.5-.9404 15.46-2.276c2.641 26.39 24.66 47.08 51.74 47.08C232.6 477.9 256 454.5 256 425.6V52.27C256 23.4 232.6 0 203.7 0zM378.2 273c6.793-1.033 12.89-1.118 18.06-1.118l51.62 .0049V256.7c0-16.74 8.324-31.56 21.06-40.33c-.0449-.0215 .0449 .0215 0 0c8.162-10.21 13.18-23.04 13.18-37.13c0-28.73-20.44-52.25-47.47-57.93c1.566-5.346 2.672-10.89 2.672-16.74c0-28.01-19.35-51.33-45.36-57.79C389.2 20.51 367.2 0 340.3 0C311.4 0 288 23.4 288 52.27v273.1C310.2 297.9 342.1 278.4 378.2 273z"],
    "brain-circuit": [512, 512, [], "e0c6", "M184 0C214.9 0 240 25.07 240 56V128H212.7C206.5 113.9 192.4 104 176 104C153.9 104 136 121.9 136 144C136 166.1 153.9 184 176 184C192.4 184 206.5 174.1 212.7 160H240V256H192C165.5 256 144 277.5 144 304V315.3C129.9 321.5 120 335.6 120 352C120 374.1 137.9 392 160 392C182.1 392 200 374.1 200 352C200 335.6 190.1 321.5 176 315.3V304C176 295.2 183.2 288 192 288H240V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM144 352C144 343.2 151.2 336 160 336C168.8 336 176 343.2 176 352C176 360.8 168.8 368 160 368C151.2 368 144 360.8 144 352zM176 128C184.8 128 192 135.2 192 144C192 152.8 184.8 160 176 160C167.2 160 160 152.8 160 144C160 135.2 167.2 128 176 128zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V384H331.3C337.5 398.1 351.6 408 368 408C390.1 408 408 390.1 408 368C408 345.9 390.1 328 368 328C351.6 328 337.5 337.9 331.3 352H272V160H320C328.8 160 336 167.2 336 176V187.3C321.9 193.5 312 207.6 312 224C312 246.1 329.9 264 352 264C374.1 264 392 246.1 392 224C392 207.6 382.1 193.5 368 187.3V176C368 149.5 346.5 128 320 128H272V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93zM368 224C368 232.8 360.8 240 352 240C343.2 240 336 232.8 336 224C336 215.2 343.2 208 352 208C360.8 208 368 215.2 368 224zM384 368C384 376.8 376.8 384 368 384C359.2 384 352 376.8 352 368C352 359.2 359.2 352 368 352C376.8 352 384 359.2 384 368z"],
    "brake-warning": [640, 512, [], "e0c7", "M544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256zM344 152C344 138.7 333.3 128 320 128C306.7 128 296 138.7 296 152V264C296 277.3 306.7 288 320 288C333.3 288 344 277.3 344 264V152zM320 384C337.7 384 352 369.7 352 352C352 334.3 337.7 320 320 320C302.3 320 288 334.3 288 352C288 369.7 302.3 384 320 384zM48 255.1C48 310.2 63.83 360.6 91.11 403C98.28 414.2 95.06 429 83.92 436.2C72.77 443.4 57.92 440.1 50.75 428.1C18.63 379.1 0 319.7 0 255.1C0 192.3 18.63 132.9 50.75 83.01C57.92 71.86 72.77 68.65 83.92 75.82C95.06 82.99 98.28 97.85 91.11 108.1C63.83 151.4 48 201.8 48 255.1V255.1zM640 255.1C640 319.7 621.4 379.1 589.3 428.1C582.1 440.1 567.2 443.4 556.1 436.2C544.9 429 541.7 414.2 548.9 403C576.2 360.6 592 310.2 592 255.1C592 201.8 576.2 151.4 548.9 108.1C541.7 97.85 544.9 82.99 556.1 75.82C567.2 68.65 582.1 71.86 589.3 83.01C621.4 132.9 640 192.3 640 255.1V255.1z"],
    "brazilian-real-sign": [512, 512, [], "e46c", "M400 .0003C417.7 .0003 432 14.33 432 32V50.22C444.5 52.52 456.7 56.57 468.2 62.3L478.3 67.38C494.1 75.28 500.5 94.5 492.6 110.3C484.7 126.1 465.5 132.5 449.7 124.6L439.5 119.5C429.6 114.6 418.7 112 407.6 112H405.9C376.1 112 352 136.1 352 165.9C352 187.9 365.4 207.7 385.9 215.9L437.9 236.7C482.7 254.6 512 297.9 512 346.1V349.5C512 400.7 478.4 444.1 432 458.7V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V460.6C352.1 457.1 338.6 450.9 325.7 442.3L302.2 426.6C287.5 416.8 283.6 396.1 293.4 382.2C303.2 367.5 323 363.6 337.8 373.4L361.2 389C371.9 396.2 384.6 400 397.5 400C425.4 400 448 377.4 448 349.5V346.1C448 324.1 434.6 304.3 414.1 296.1L362.1 275.3C317.3 257.4 288 214.1 288 165.9C288 114 321.5 69.99 368 54.21V32C368 14.33 382.3 0 400 0L400 .0003zM.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256z"],
    "bread-loaf": [640, 512, [127838], "f7eb", "M480 192c0-88.38-107.5-160-240-160S0 103.6 0 192c0 35.38 30.88 64 64 64v192c0 17.62 14.38 32 32 32h288c17.62 0 32-14.38 32-32V256C449.1 256 480 227.4 480 192zM400 32c-2.375 0-4.75 .25-7.25 .25C465.3 66.38 512 124.6 512 192c0 42.75-26.88 79-64 91.5V448c-.125 11.25-3.125 22.38-8.875 32H544c17.62 0 32-14.38 32-32V256h4C613.1 256 640 227.4 640 192C640 103.6 532.5 32 400 32z"],
    "bread-slice": [512, 512, [], "f7ec", "M512 176.1C512 203 490.4 224 455.1 224H448v224c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V224H56.89C21.56 224 0 203 0 176.1C0 112 96 32 256 32S512 112 512 176.1z"],
    "bread-slice-butter": [512, 512, [], "e3e1", "M512 176.1C511.6 183.9 509.8 190.6 506.7 196.8C503.5 203 499.2 208.5 493.8 212.9C488.5 217.3 482.3 220.6 475.6 222.5C468.1 224.4 461.1 224.9 455.1 224H448V448C448 456.5 444.6 464.6 438.6 470.6C432.6 476.6 424.5 480 416 480H96C87.51 480 79.37 476.6 73.37 470.6C67.37 464.6 64 456.5 64 448V224H56.9C50.03 224.9 43.04 224.4 36.38 222.5C29.71 220.6 23.51 217.3 18.17 212.9C12.83 208.5 8.457 203 5.33 196.8C2.203 190.6 .3885 183.9 0 176.1C0 112 96 32 256 32C416 32 512 112 512 176.1H512zM333.2 288C333.2 279.5 329.9 271.4 323.9 265.4L278.6 220.1C272.6 214.1 264.5 210.8 256 210.8C247.5 210.8 239.4 214.1 233.4 220.1L188.1 265.4C182.1 271.4 178.8 279.5 178.8 288C178.8 296.5 182.1 304.6 188.1 310.6L233.4 355.9C239.4 361.9 247.5 365.2 256 365.2C264.5 365.2 272.6 361.9 278.6 355.9L323.9 310.6C329.9 304.6 333.2 296.5 333.2 288z"],
    "bridge": [576, 512, [], "e4c8", "M544 32C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H504V160H576V288C522.1 288 480 330.1 480 384V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V384C384 330.1 341 288 288 288C234.1 288 192 330.1 192 384V448C192 465.7 177.7 480 160 480H128C110.3 480 96 465.7 96 448V384C96 330.1 53.02 288 0 288V160H72V96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H544zM456 96H376V160H456V96zM248 96V160H328V96H248zM200 96H120V160H200V96z"],
    "bridge-circle-check": [640, 512, [], "e4c9", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "bridge-circle-xmark": [640, 512, [], "e4cb", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "bridge-lock": [640, 512, [], "e4cc", "M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H528C466.1 160 416 210.1 416 272V296.6C406.1 302.3 397.8 310.7 392.2 320.7C374.6 300.7 348.8 287.1 320 287.1C266.1 287.1 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 287.1 32 287.1V159.1H104V95.1H64C46.33 95.1 32 81.67 32 63.1V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "bridge-suspension": [640, 512, [], "e4cd", "M128 8C137.1 8 144.1 13.04 149.1 20.47C184.2 81.6 249.7 120 320 120C390.3 120 455.8 81.6 490.9 20.47C495 13.04 502.9 8 512 8C520.8 8 528.5 12.73 532.7 19.78C545.7 40.98 559.3 61.94 574.7 79.54C590.2 97.21 606.4 110.1 624.1 116.5C636.6 120.1 643.1 134.7 638.6 147.2C634.1 159.7 620.3 166.1 607.9 161.6C582.4 152.4 561.4 135.8 544 117.1V256H608C625.7 256 640 270.3 640 288V320C640 337.7 625.7 352 608 352C572.7 352 544 380.7 544 416V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V448C448 394.1 405 352 352 352H288C234.1 352 192 394.1 192 448V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 380.7 67.35 352 32 352C14.33 352 .0009 337.7 .0009 320V288C.0009 270.3 14.33 256 32 256H96V117.1C78.59 135.8 57.65 152.4 32.14 161.6C19.67 166.1 5.921 159.7 1.424 147.2C-3.073 134.7 3.39 120.1 15.86 116.5C33.57 110.1 49.79 97.21 65.3 79.54C80.73 61.94 94.29 40.98 107.3 19.78C111.5 12.73 119.2 8 128 8L128 8zM440 136.3V256H480V108.1C467.6 118.8 454.2 128.2 440 136.3zM344 166.8V256H392V157C376.5 161.9 360.4 165.2 344 166.8zM248 157V256H296V166.8C279.6 165.2 263.5 161.9 248 157V157zM160 108.1V256H200V136.3C185.8 128.2 172.4 118.8 160 108.1V108.1z"],
    "bridge-water": [576, 512, [], "e4ce", "M.0003 96C.0003 78.33 14.33 64 32 64H544C561.7 64 576 78.33 576 96V131.6C576 147.3 563.3 160 547.6 160C510.2 160 480 190.2 480 227.6V352.5C467.1 352.5 454.2 356.3 443.2 364.1C425.2 376.5 403 384.5 384 384.5L384 384V256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256V384L191.1 384.5C172.1 384.4 150.8 376.5 132.9 364.1C121.8 356.3 108.9 352.4 96 352.5V227.6C96 190.2 65.75 160 28.44 160C12.74 160 0 147.3 0 131.6L.0003 96zM384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515.1 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.13 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.854 472.5 .8429 455.3C-3.168 438.1 7.533 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416H384z"],
    "briefcase": [512, 512, [128188], "f0b1", "M320 336c0 8.844-7.156 16-16 16h-96C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h416c25.59 0 48-22.41 48-48V288h-192V336zM464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V256h512V144C512 118.4 489.6 96 464 96zM336 96h-160V48h160V96z"],
    "briefcase-arrow-right": [512, 512, [], "e2f2", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z"],
    "briefcase-blank": [512, 512, [], "e0c8", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48z"],
    "briefcase-medical": [512, 512, [], "f469", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z"],
    "brightness": [512, 512, [], "e0c9", "M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V80C288 97.67 273.7 112 256 112C238.3 112 224 97.67 224 80V32zM352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM0 256C0 238.3 14.33 224 32 224H80C97.67 224 112 238.3 112 256C112 273.7 97.67 288 80 288H32C14.33 288 0 273.7 0 256zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H432C414.3 288 400 273.7 400 256C400 238.3 414.3 224 432 224H480zM256 512C238.3 512 224 497.7 224 480V432C224 414.3 238.3 400 256 400C273.7 400 288 414.3 288 432V480C288 497.7 273.7 512 256 512zM73.37 438.6C60.88 426.1 60.88 405.9 73.37 393.4L105.4 361.4C117.9 348.9 138.1 348.9 150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6L118.6 438.6C106.1 451.1 85.87 451.1 73.37 438.6zM393.4 73.37C405.9 60.88 426.1 60.88 438.6 73.37C451.1 85.87 451.1 106.1 438.6 118.6L406.6 150.6C394.1 163.1 373.9 163.1 361.4 150.6C348.9 138.1 348.9 117.9 361.4 105.4L393.4 73.37zM438.6 438.6C426.1 451.1 405.9 451.1 393.4 438.6L361.4 406.6C348.9 394.1 348.9 373.9 361.4 361.4C373.9 348.9 394.1 348.9 406.6 361.4L438.6 393.4C451.1 405.9 451.1 426.1 438.6 438.6zM73.37 118.6C60.88 106.1 60.88 85.87 73.37 73.37C85.87 60.88 106.1 60.88 118.6 73.37L150.6 105.4C163.1 117.9 163.1 138.1 150.6 150.6C138.1 163.1 117.9 163.1 105.4 150.6L73.37 118.6z"],
    "brightness-low": [448, 512, [], "e0ca", "M256 80C256 97.67 241.7 112 224 112C206.3 112 192 97.67 192 80C192 62.33 206.3 48 224 48C241.7 48 256 62.33 256 80zM320 256C320 309 277 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256zM192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM48 224C65.67 224 80 238.3 80 256C80 273.7 65.67 288 48 288C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224zM128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM352 416C334.3 416 320 401.7 320 384C320 366.3 334.3 352 352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416zM384 128C384 145.7 369.7 160 352 160C334.3 160 320 145.7 320 128C320 110.3 334.3 96 352 96C369.7 96 384 110.3 384 128zM96 352C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416C78.33 416 64 401.7 64 384C64 366.3 78.33 352 96 352z"],
    "bring-forward": [512, 512, [], "f856", "M224 448H448V224H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H224V448zM64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64z"],
    "bring-front": [640, 512, [], "f857", "M64 192H128V256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64H64V192zM576 448V320H512V256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448H576zM416 96C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160C160 124.7 188.7 96 224 96H416z"],
    "broccoli": [512, 512, [129382], "e3e2", "M437.7 162.7C444.2 152.7 448 140.8 448 128c0-35.35-28.65-64-64-64c-12.8 0-24.67 3.85-34.67 10.33C339.5 31.79 301.5 0 256 0S172.5 31.79 162.7 74.33C152.7 67.85 140.8 64 128 64C92.65 64 64 92.65 64 128c0 12.8 3.85 24.67 10.33 34.67C31.79 172.5 0 210.5 0 256c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96C512 210.5 480.2 172.5 437.7 162.7zM256 431.2C248.2 413.5 239.8 397.8 231.6 384H134.7c10.9 13.4 40.52 53.05 58.59 106.8C197.6 503.6 209.8 512 223.3 512h65.34c13.49 0 25.76-8.422 30.06-21.21C336.8 437 366.4 397.4 377.3 384h-96.9C272.2 397.8 263.8 413.5 256 431.2z"],
    "broom": [640, 512, [129529], "f51a", "M93.13 257.7C71.25 275.1 53 313.5 38.63 355.1L99 333.1c5.75-2.125 10.62 4.749 6.625 9.499L11 454.7C3.75 486.1 0 510.2 0 510.2s206.6 13.62 266.6-34.12c60-47.87 76.63-150.1 76.63-150.1L256.5 216.7C256.5 216.7 153.1 209.1 93.13 257.7zM633.2 12.34c-10.84-13.91-30.91-16.45-44.91-5.624l-225.7 175.6l-34.99-44.06C322.5 131.9 312.5 133.1 309 140.5L283.8 194.1l86.75 109.2l58.75-12.5c8-1.625 11.38-11.12 6.375-17.5l-33.19-41.79l225.2-175.2C641.6 46.38 644.1 26.27 633.2 12.34z"],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", "M495.1 351.1c-44.18 0-79.1 35.72-79.1 79.91c0 44.18 35.82 80.09 79.1 80.09s79.1-35.91 79.1-80.09C575.1 387.7 540.2 351.1 495.1 351.1zM242.7 216.4c-30.16 0-102.9 4.15-149.4 41.34c-22 17.5-40.25 55.75-54.63 97.5l60.38-22.12c.7363-.2715 1.46-.3967 2.151-.3967c3.33 0 5.935 2.885 5.935 6.039c0 1.301-.4426 2.647-1.462 3.856L11 454.7C3.75 487.1 0 510.2 0 510.2S27.07 512 64.45 512c65.94 0 163.1-5.499 202.2-35.89c60-47.75 76.63-150.1 76.63-150.1l-86.75-109.2C256.5 216.7 251.4 216.4 242.7 216.4zM607.1 .0074c-6.863 0-13.78 2.192-19.62 6.719L362.7 182.3l-29.88-37.67c-3.248-4.094-7.892-6.058-12.5-6.058c-5.891 0-11.73 3.204-14.54 9.26L283.8 195.1l86.75 109.1l50.88-10.72c7.883-1.66 12.72-8.546 12.72-15.71c0-3.412-1.096-6.886-3.478-9.89l-28.16-35.5l225.2-175.2c8.102-6.312 12.35-15.75 12.35-25.29C640 14.94 626.3 .0074 607.1 .0074z"],
    "browser": [512, 512, [128468], "f37e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM448 128C448 114.7 437.3 104 424 104H184C170.7 104 160 114.7 160 128C160 141.3 170.7 152 184 152H424C437.3 152 448 141.3 448 128z"],
    "browsers": [576, 512, [], "e0cb", "M512 0C547.3 0 576 28.65 576 64V352C576 387.3 547.3 416 512 416H160C124.7 416 96 387.3 96 352V64C96 28.65 124.7 0 160 0H512zM280 72C266.7 72 256 82.75 256 96C256 109.3 266.7 120 280 120H488C501.3 120 512 109.3 512 96C512 82.75 501.3 72 488 72H280zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM48 376C48 424.6 87.4 464 136 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H136C60.89 512 0 451.1 0 376V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V376z"],
    "brush": [384, 512, [], "f55d", "M224 0H336C362.5 0 384 21.49 384 48V256H0V48C0 21.49 21.49 0 48 0H64L96 64L128 0H160L192 64L224 0zM384 288V320C384 355.3 355.3 384 320 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H64C28.65 384 0 355.3 0 320V288H384zM192 464C200.8 464 208 456.8 208 448C208 439.2 200.8 432 192 432C183.2 432 176 439.2 176 448C176 456.8 183.2 464 192 464z"],
    "bucket": [448, 512, [], "e4cf", "M96 160H48V152C48 68.05 116.1 0 200 0H248C331.9 0 400 68.05 400 152V160H352V152C352 94.56 305.4 48 248 48H200C142.6 48 96 94.56 96 152V160zM.0003 224C.0003 206.3 14.33 192 32 192H416C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256H410.9L388.5 469C385.1 493.5 365.4 512 340.8 512H107.2C82.65 512 62.05 493.5 59.48 469L37.05 256H32C14.33 256 0 241.7 0 224H.0003z"],
    "bug": [512, 512, [], "f188", "M352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 159.1 115.3 159.1 99.56V96C159.1 42.98 202.1 0 255.1 0C309 0 352 42.98 352 96zM41.37 105.4C53.87 92.88 74.13 92.88 86.63 105.4L150.6 169.4C151.3 170 151.9 170.7 152.5 171.4C166.8 164.1 182.9 160 199.1 160H312C329.1 160 345.2 164.1 359.5 171.4C360.1 170.7 360.7 170 361.4 169.4L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L406.6 214.6C405.1 215.3 405.3 215.9 404.6 216.5C410.7 228.5 414.6 241.9 415.7 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H416C416 344.6 410.5 367.8 400.6 388.6C402.7 389.9 404.8 391.5 406.6 393.4L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L362.3 439.6C337.8 461.4 306.5 475.8 272 479.2V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240V479.2C205.5 475.8 174.2 461.4 149.7 439.6L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L105.4 393.4C107.2 391.5 109.3 389.9 111.4 388.6C101.5 367.8 96 344.6 96 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H96.3C97.38 241.9 101.3 228.5 107.4 216.5C106.7 215.9 106 215.3 105.4 214.6L41.37 150.6C28.88 138.1 28.88 117.9 41.37 105.4H41.37z"],
    "bug-slash": [640, 512, [], "e490", "M239.1 162.8C247.7 160.1 255.7 160 264 160H376C393.1 160 409.2 164.1 423.5 171.4C424.1 170.7 424.7 170 425.4 169.4L489.4 105.4C501.9 92.88 522.1 92.88 534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6L470.6 214.6C469.1 215.3 469.3 215.9 468.6 216.5C474.7 228.5 478.6 241.9 479.7 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H480C480 329.9 479.1 339.5 477.4 348.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L239.1 162.8zM416 96V99.56C416 115.3 403.3 128 387.6 128H252.4C236.7 128 224 115.3 224 99.56V96C224 42.98 266.1 .001 320 .001C373 .001 416 42.98 416 96V96zM160.3 256C161.1 245.1 163.3 236.3 166.7 227.3L304 335.5V479.2C269.5 475.8 238.2 461.4 213.7 439.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6C92.88 490.1 92.88 469.9 105.4 457.4L169.4 393.4C171.2 391.5 173.3 389.9 175.4 388.6C165.5 367.8 160 344.6 160 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H160.3zM336 479.2V360.7L430.8 435.4C405.7 459.6 372.7 475.6 336 479.2V479.2z"],
    "bugs": [576, 512, [], "e4d0", "M187.3 135.1H204.3L208.5 115.3C211.1 102.3 223.7 93.86 236.7 96.46C249.7 99.06 258.1 111.7 255.5 124.7L247.5 164.7C245.3 175.9 235.4 183.1 223.1 183.1H191.1V207.3L229.8 216.7C239.3 219.1 246.4 226.9 247.8 236.6L255.8 292.6C257.6 305.7 248.5 317.9 235.4 319.8C222.3 321.6 210.1 312.5 208.2 299.4L202.5 259.4L184.1 254.8C173.2 274.6 152.2 287.1 127.1 287.1C103.8 287.1 82.75 274.6 71.87 254.8L53.48 259.4L47.76 299.4C45.88 312.5 33.73 321.6 20.61 319.8C7.484 317.9-1.633 305.7 .2413 292.6L8.241 236.6C9.621 226.9 16.71 219.1 26.18 216.7L63.1 207.3V183.1H31.1C20.56 183.1 10.71 175.9 8.463 164.7L.4627 124.7C-2.137 111.7 6.292 99.06 19.29 96.46C32.29 93.86 44.93 102.3 47.53 115.3L51.67 135.1H68.65C73.35 124.4 81.36 114.5 91.51 107.4L58.15 33.92C52.67 21.85 58.01 7.625 70.08 2.145C82.15-3.335 96.37 2.007 101.9 14.08L128 71.66L154.1 14.08C159.6 2.007 173.9-3.335 185.9 2.145C197.1 7.625 203.3 21.85 197.9 33.92L164.5 107.4C174.6 114.5 182.6 124.4 187.3 135.1L187.3 135.1zM501.5 322.7L516.2 331.2L530.1 315.3C538.9 305.3 554 304.4 563.1 313.1C573.9 321.9 574.9 337 566.2 346.1L539.2 377.6C531.7 386.2 519.1 388.3 509.2 382.6L481.5 366.6L469.9 386.7L497.9 413.8C504.9 420.6 507.1 430.9 503.5 440L482.4 492.5C477.5 504.8 463.5 510.8 451.2 505.8C438.9 500.9 432.9 486.9 437.9 474.6L452.9 437.1L439.3 423.9C419.1 435.6 395 436.7 374.1 424.6C353.1 412.5 341.6 390.4 342.1 367.8L323.8 362.6L298.9 394.4C290.7 404.8 275.6 406.6 265.2 398.4C254.8 390.3 252.9 375.2 261.1 364.7L296 320.2C302.1 312.6 312.1 309.3 321.5 311.1L359 322.7L370.6 302.6L342.9 286.6C333 280.8 328.5 268.9 332.2 258.1L345.3 219.4C349.5 206.9 363.1 200.2 375.7 204.4C388.2 208.7 394.1 222.3 390.7 234.8L383.1 254.8L398.7 263.3C408.5 255.6 420.4 251 432.8 249.1L440.6 169.7C441.9 156.5 453.6 146.8 466.8 148.1C480 149.4 489.7 161.1 488.4 174.3L482.2 237.3L533.7 200.5C544.5 192.8 559.4 195.3 567.2 206C574.9 216.8 572.4 231.8 561.6 239.5L495.1 286.5C501.2 297.7 503.2 310.3 501.5 322.7V322.7z"],
    "building": [384, 512, [61687, 127970], "f1ad", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z"],
    "building-circle-arrow-right": [640, 512, [], "e4d1", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM492.7 323.3L521.4 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H521.4L492.7 412.7C486.4 418.9 486.4 429.1 492.7 435.3C498.9 441.6 509.1 441.6 515.3 435.3L571.3 379.3C577.6 373.1 577.6 362.9 571.3 356.7L515.3 300.7C509.1 294.4 498.9 294.4 492.7 300.7C486.4 306.9 486.4 317.1 492.7 323.3V323.3z"],
    "building-circle-check": [640, 512, [], "e4d2", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "building-circle-exclamation": [640, 512, [], "e4d3", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "building-circle-xmark": [640, 512, [], "e4d4", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", "M243.4 2.587C251.4-.8625 260.6-.8625 268.6 2.587L492.6 98.59C506.6 104.6 514.4 119.6 511.3 134.4C508.3 149.3 495.2 159.1 479.1 160V168C479.1 181.3 469.3 192 455.1 192H55.1C42.74 192 31.1 181.3 31.1 168V160C16.81 159.1 3.708 149.3 .6528 134.4C-2.402 119.6 5.429 104.6 19.39 98.59L243.4 2.587zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128zM127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 63.1 420.3V224H127.1V416z"],
    "building-flag": [640, 512, [], "e4d5", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM448 0C465.7 0 480 14.33 480 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H416V32C416 14.33 430.3 0 448 0z"],
    "building-lock": [576, 512, [], "e4d6", "M336 0C362.5 0 384 21.49 384 48V193.6C364.2 213.8 352 241.5 352 272V296.6C332.9 307.6 320 328.3 320 352V480C320 491.7 323.1 502.6 328.6 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "building-ngo": [384, 512, [], "e4d7", "M320 112V144C320 152.8 312.8 160 304 160C295.2 160 288 152.8 288 144V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112zM336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM168 64C159.2 64 152 71.16 152 80V168C152 181.3 162.7 192 176 192H208C221.3 192 232 181.3 232 168V144C232 135.2 224.8 128 216 128C207.2 128 200 135.2 200 144V160H184V96H216C224.8 96 232 88.84 232 80C232 71.16 224.8 64 216 64H168zM256 144C256 170.5 277.5 192 304 192C330.5 192 352 170.5 352 144V112C352 85.49 330.5 64 304 64C277.5 64 256 85.49 256 112V144zM61.31 71.12C57.4 65.26 50.11 62.64 43.36 64.69C36.62 66.73 32 72.95 32 80V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V132.8L98.69 184.9C102.6 190.7 109.9 193.4 116.6 191.3C123.4 189.3 128 183.1 128 176V80C128 71.16 120.8 64 112 64C103.2 64 96 71.16 96 80V123.2L61.31 71.12z"],
    "building-shield": [576, 512, [], "e4d8", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V207L341.6 224H272C263.2 224 256 231.2 256 240V304C256 304.9 256.1 305.7 256.2 306.6C258.5 364.7 280.3 451.4 354.9 508.1C349.1 510.6 342.7 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"],
    "building-un": [384, 512, [], "e4d9", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM237.3 71.12C233.4 65.26 226.1 62.64 219.4 64.69C212.6 66.73 208 72.95 208 80V176C208 184.8 215.2 192 224 192C232.8 192 240 184.8 240 176V132.8L274.7 184.9C278.6 190.7 285.9 193.4 292.6 191.3C299.4 189.3 304 183.1 304 176V80C304 71.16 296.8 64 288 64C279.2 64 272 71.16 272 80V123.2L237.3 71.12zM112 80C112 71.16 104.8 64 96 64C87.16 64 80 71.16 80 80V144C80 170.5 101.5 192 128 192C154.5 192 176 170.5 176 144V80C176 71.16 168.8 64 160 64C151.2 64 144 71.16 144 80V144C144 152.8 136.8 160 128 160C119.2 160 112 152.8 112 144V80z"],
    "building-user": [640, 512, [], "e4da", "M336 0C362.5 0 384 21.49 384 48V367.8C345.8 389.2 320 430 320 476.9C320 489.8 323.6 501.8 329.9 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272zM352 477.1C352 425.7 393.7 384 445.1 384H546.9C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1V477.1z"],
    "building-wheat": [640, 512, [], "e4db", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM640 192V208C640 252.2 604.2 288 560 288H544V272C544 227.8 579.8 192 624 192H640zM560 400H544V384C544 339.8 579.8 304 624 304H640V320C640 364.2 604.2 400 560 400zM560 512H544V496C544 451.8 579.8 416 624 416H640V432C640 476.2 604.2 512 560 512zM512 496V512H496C451.8 512 416 476.2 416 432V416H432C476.2 416 512 451.8 512 496zM496 400C451.8 400 416 364.2 416 320V304H432C476.2 304 512 339.8 512 384V400H496zM512 272V288H496C451.8 288 416 252.2 416 208V192H432C476.2 192 512 227.8 512 272zM528 32C541.3 32 552 42.75 552 56V160C552 173.3 541.3 184 528 184C514.7 184 504 173.3 504 160V56C504 42.75 514.7 32 528 32zM624 128C624 141.3 613.3 152 600 152C586.7 152 576 141.3 576 128V96C576 82.75 586.7 72 600 72C613.3 72 624 82.75 624 96V128zM456 72C469.3 72 480 82.75 480 96V128C480 141.3 469.3 152 456 152C442.7 152 432 141.3 432 128V96C432 82.75 442.7 72 456 72z"],
    "buildings": [512, 512, [], "e0cc", "M448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H192V64C192 28.65 220.7 0 256 0H448zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336zM304 320C312.8 320 320 312.8 320 304V272C320 263.2 312.8 256 304 256H272C263.2 256 256 263.2 256 272V304C256 312.8 263.2 320 272 320H304zM384 304C384 312.8 391.2 320 400 320H432C440.8 320 448 312.8 448 304V272C448 263.2 440.8 256 432 256H400C391.2 256 384 263.2 384 272V304zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM256 112C256 120.8 263.2 128 272 128H304C312.8 128 320 120.8 320 112V80C320 71.16 312.8 64 304 64H272C263.2 64 256 71.16 256 80V112zM400 64C391.2 64 384 71.16 384 80V112C384 120.8 391.2 128 400 128H432C440.8 128 448 120.8 448 112V80C448 71.16 440.8 64 432 64H400zM256 208C256 216.8 263.2 224 272 224H304C312.8 224 320 216.8 320 208V176C320 167.2 312.8 160 304 160H272C263.2 160 256 167.2 256 176V208zM432 224C440.8 224 448 216.8 448 208V176C448 167.2 440.8 160 432 160H400C391.2 160 384 167.2 384 176V208C384 216.8 391.2 224 400 224H432z"],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", "M480 179.6C498.6 188.4 512 212.1 512 240C512 267.9 498.6 291.6 480 300.4V448C480 460.9 472.2 472.6 460.2 477.6C448.3 482.5 434.5 479.8 425.4 470.6L381.7 426.1C333.7 378.1 268.6 352 200.7 352H192V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V352C28.65 352 0 323.3 0 288V192C0 156.7 28.65 128 64 128H200.7C268.6 128 333.7 101 381.7 53.02L425.4 9.373C434.5 .2215 448.3-2.516 460.2 2.437C472.2 7.39 480 19.06 480 32V179.6zM200.7 192H192V288H200.7C280.5 288 357.2 317.8 416 371.3V108.7C357.2 162.2 280.5 192 200.7 192V192z"],
    "bullseye": [512, 512, [], "f140", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM112 256C112 176.5 176.5 112 256 112C335.5 112 400 176.5 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256zM256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "bullseye-arrow": [512, 512, [127919], "f648", "M366.4 213.5L395 218.3C398.3 230.3 400 242.9 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256C112 176.5 176.5 112 256 112C269.1 112 281.7 113.7 293.7 116.1L298.5 145.6L267.3 176.8C263.6 176.3 259.8 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 255.1C336 252.2 335.7 248.4 335.2 244.7L366.4 213.5zM497.7 171.5C506.1 197.1 512 226.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C285.6 0 314 5.024 340.5 14.27L288.1 66.67C277.6 64.91 266.9 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 245.1 447.1 234.4 445.3 223.9L497.7 171.5zM272.1 272.1C263.6 282.3 248.4 282.3 239 272.1C229.7 263.6 229.7 248.4 239 239L331.2 146.9L322.7 96.24C321 86.05 324.3 75.66 331.6 68.36L382.8 17.16C390.1 9.035 404.7 11.86 409 22.53L432 79.1L489.5 102.1C500.1 107.3 502.1 121 494.8 129.2L443.6 180.4C436.3 187.7 425.9 190.1 415.8 189.3L365.1 180.8L272.1 272.1z"],
    "bullseye-pointer": [512, 512, [], "f649", "M256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 259.9 64.12 263.8 64.35 267.7L1.754 286.1C.5958 276.2 0 266.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.8 512 235.8 511.4 225.9 510.2L244.3 447.6C248.2 447.9 252.1 448 256 448zM278 332.9C311.5 323.4 336 292.5 336 256C336 211.8 300.2 176 256 176C219.5 176 188.6 200.5 179.1 233.1L112 253.7C113.2 175.2 177.2 111.1 256 111.1C335.5 111.1 400 176.5 400 255.1C400 334.8 336.8 398.8 258.3 399.1L278 332.9zM39.01 308.5L243.9 248.3C256 244.7 267.3 255.1 263.7 268.1L203.5 472.1C199.4 486.9 180.3 488.6 173.8 475.6L145.2 418.3C144.5 416.1 143.6 415.7 142.6 414.6L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L97.36 369.4C96.26 368.4 95.02 367.5 93.68 366.8L36.37 338.2C23.38 331.7 25.07 312.6 39.01 308.5V308.5z"],
    "burger": [512, 512, ["hamburger"], "f805", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H448C460.7 256 472.9 261.1 481.9 270.1zM475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z"],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", "M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H224L320 320L416 256H448C460.7 256 472.9 261.1 481.9 270.1zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z"],
    "burger-fries": [640, 512, [], "e0cd", "M160 268.8V15.1C160 13.28 160.7 10.6 162 8.228C163.4 5.853 165.3 3.857 167.6 2.429C169.9 .9997 172.6 .1853 175.3 .0624C177.1-.0604 180.7 .5117 183.1 1.725L215.1 17.73C217.8 19.02 220.1 21.05 221.6 23.58C223.2 26.11 224 29.02 224 31.1V268.8C202.9 273.2 181.1 273.2 160 268.8zM370.2 176.4C355 181.9 340.4 188.8 326.6 197.1L346.1 85.92L363.4 80.8C365.1 80.02 368.8 79.92 371.4 80.5C374.1 81.09 376.5 82.34 378.6 84.14C380.6 85.94 382.1 88.23 383 90.79C383.1 93.35 384.2 96.1 383.7 98.78L370.2 176.5L370.2 176.4zM277.6 335.1C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 463.1C256 468.9 256.5 473.7 257.5 478.5C257.9 480.8 258.6 482.1 259.2 485.1C259.8 487.3 260.4 489.4 261.2 491.5C262.3 494.4 263.5 497.2 264.9 499.9C265.4 500.9 265.1 501.9 266.5 502.8C268.3 506 270.2 509.1 272.4 511.1H85.73C78.44 512 71.36 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3847 243.5C-.1378 241.1-.1279 238.7 .4135 236.4C.9553 234 2.015 231.9 3.514 229.1C5.013 228.1 6.914 226.6 9.075 225.6C11.24 224.5 13.6 223.1 16 223.1H49.98C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C214.1 304.1 236 300.4 256.8 292.9C257.1 296.1 257.7 301 258.7 305C259.8 309.6 261.4 314.1 263.6 318.3C267.2 325 271.9 330.1 277.6 335.1zM101.1 237.7L64.29 40.61C63.73 37.67 64.01 34.63 65.09 31.84C66.17 29.06 68.01 26.63 70.4 24.83L98.88 3.197C101.1 1.553 103.6 .4938 106.3 .1197C109-.2544 111.8 .0695 114.3 1.061C116.9 2.052 119.1 3.677 120.9 5.781C122.6 7.886 123.8 10.4 124.3 13.09L128 33.09V258.5C117.4 253.9 108.2 246.8 101.1 237.7H101.1zM16.51 191.1L.2567 98.72C-.1961 96.03 .0433 93.28 .9518 90.71C1.86 88.15 3.408 85.86 5.448 84.06C7.489 82.26 9.955 81.01 12.61 80.43C15.27 79.84 18.03 79.95 20.64 80.73L40.38 86.59L60.38 193.8C57 192.8 53.53 192.2 50.02 191.1H16.51zM289.6 223.2C289.1 224.5 288.4 225.8 287.9 227.2C284.1 230.1 282.2 233.1 279.6 236.1C275.2 240.9 271.1 245.1 267.3 251.3C267.1 251.7 267 252.1 266.8 252.4C263.3 254.7 259.7 256.7 256 258.5V51.2C256.9 49.28 258.2 47.57 259.7 46.16C261.3 44.74 263.1 43.66 265.1 42.97L299.4 32.73C301.1 31.96 304.8 31.86 307.4 32.44C310.1 33.03 312.5 34.28 314.6 36.08C316.6 37.88 318.1 40.16 319 42.73C319.1 45.29 320.2 48.04 319.7 50.72L289.6 223.2zM635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4H369.7zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7zM630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4z"],
    "burger-glass": [640, 512, [], "e0ce", "M630.6 361.4C636.6 367.4 639.1 375.5 639.1 384C639.1 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 416 607.1 416H319.1C311.5 416 303.4 412.6 297.4 406.6C291.4 400.6 287.1 392.5 287.1 384C287.1 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 352 319.1 352H607.1C616.5 352 624.6 355.4 630.6 361.4zM369.7 210.5C399.2 197 431.5 190.7 463.1 192C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.2C620.3 318.2 614.6 319.9 608.7 320H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.5H369.7zM532.7 244.7C529.7 247.7 527.1 251.8 527.1 256C527.1 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.6 555.3 267.3C557.5 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 240 543.1 240C539.8 240 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 447.1 235.8 447.1 240C447.1 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.6 475.3 251.3C477.5 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 224 463.1 224C459.8 224 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 367.1 251.8 367.1 256C367.1 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.6 395.3 267.3C397.5 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 240 383.1 240C379.8 240 375.7 241.7 372.7 244.7V244.7zM635.3 452.7C638.3 455.7 639.1 459.8 639.1 464C639.1 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 512 591.1 512H335.1C323.3 512 311.1 506.9 302.1 497.9C293.1 488.9 287.1 476.7 287.1 464C287.1 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 448 303.1 448H623.1C628.2 448 632.3 449.7 635.3 452.7zM267.3 251.2C260.7 260.1 256.8 272.4 256.1 284.2C255.5 295.1 258.1 307.8 263.6 318.2C267.2 324.9 271.9 330.1 277.6 336C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 255.1 464C256 481.4 261.8 498.2 272.4 512H73.24C65.32 512 57.66 509.1 51.75 503.9C45.83 498.6 42.09 491.3 41.24 483.4L-.0037 35.42C-.486 30.94-.0165 26.41 1.374 22.13C2.765 17.84 5.046 13.89 8.066 10.55C11.09 7.205 14.78 4.537 18.9 2.719C23.03 .901 27.49-.0254 31.1 .0005H319.1C324.5 .0018 328.9 .948 333 2.778C337.1 4.608 340.8 7.28 343.8 10.62C346.8 13.96 349.1 17.9 350.4 22.17C351.8 26.44 352.3 30.96 351.8 35.42L337.5 191.1C309.6 205.2 285.5 225.8 267.3 251.2H267.3zM276.1 160L284.8 64H67.2L75.93 160H276.1z"],
    "burger-lettuce": [512, 512, [], "e3e3", "M50.38 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.78 203.2 32.75 198.4C31.71 193.5 31.79 188.5 32.99 183.7C54.97 97.02 146.5 32 255.1 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.72 224 54.84 222.9 50.38 220.8zM372.7 116.7C369.7 119.7 367.1 123.8 367.1 128C367.1 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.5 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 383.1 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 239.1 91.76 239.1 96C239.1 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.5 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 255.1 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 111.1 123.8 111.1 128C111.1 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.5 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 127.1 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7zM475.3 388.7C478.3 391.7 479.1 395.8 479.1 400V416C479.1 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 415.1 480H95.1C79.02 480 62.74 473.3 50.74 461.3C38.74 449.3 31.1 432.1 31.1 416V400C31.1 395.8 33.68 391.7 36.68 388.7C39.68 385.7 43.75 384 47.1 384H463.1C468.2 384 472.3 385.7 475.3 388.7zM511.1 296.6C512.1 300.7 512.2 304.9 511.6 309.1C510.9 313.2 509.4 317.2 507.2 320.8C504.1 324.4 502.1 327.5 498.7 329.9C480.6 344.2 458.2 351.9 435.1 351.9C412 351.9 389.7 344.2 371.5 329.9C364.4 323.5 355.1 319.1 345.5 319.1C335.9 319.1 326.6 323.5 319.5 329.9C301.3 344.1 278.1 351.9 255.9 351.9C232.8 351.9 210.5 344.1 192.3 329.9C185.2 323.5 175.9 319.1 166.3 319.1C156.7 319.1 147.4 323.5 140.3 329.9C122.2 344.2 99.76 351.9 76.7 351.9C53.64 351.9 31.25 344.2 13.12 329.9C9.714 327.5 6.829 324.3 4.628 320.8C2.427 317.2 .9536 313.2 .2908 309C-.3719 304.9-.2103 300.7 .7661 296.6C1.742 292.5 3.515 288.6 5.981 285.2C8.448 281.8 11.56 278.9 15.14 276.7C18.72 274.5 22.7 273.1 26.86 272.4C31.01 271.7 35.25 271.9 39.34 272.9C43.42 273.8 47.28 275.6 50.69 278.1C57.85 284.5 67.11 287.1 76.7 287.1C86.3 287.1 95.55 284.5 102.7 278.1C120.9 263.8 143.2 256.1 166.3 256.1C189.4 256.1 211.7 263.8 229.9 278.1C237 284.5 246.3 288 255.9 288C265.5 288 274.8 284.5 281.9 278.1C300.1 263.8 322.4 256.1 345.5 256.1C368.6 256.1 390.9 263.8 409.1 278.1C416.2 284.5 425.5 288 435.1 288C444.7 288 453.1 284.5 461.1 278.1C464.5 275.6 468.4 273.8 472.5 272.8C476.6 271.8 480.8 271.7 485 272.3C489.2 273 493.2 274.5 496.7 276.7C500.3 278.9 503.4 281.8 505.9 285.2C508.4 288.6 510.1 292.5 511.1 296.6H511.1z"],
    "burger-soda": [640, 512, [], "f858", "M347.3 187.3C344.3 190.3 340.2 192 336 192H16C11.76 192 7.687 190.3 4.686 187.3C1.686 184.3 0 180.2 0 176V144C0 139.8 1.686 135.7 4.686 132.7C7.687 129.7 11.76 128 16 128H157.2L181.8 30.24C183.9 21.59 188.9 13.91 195.9 8.424C202.9 2.942 211.6-.0248 220.5 .0002H272C276.2 .0002 280.3 1.686 283.3 4.687C286.3 7.687 288 11.76 288 16V32C288 36.24 286.3 40.31 283.3 43.31C280.3 46.31 276.2 48 272 48H226.8L206.8 128H336C340.2 128 344.3 129.7 347.3 132.7C350.3 135.7 352 139.8 352 144V176C352 180.2 350.3 184.3 347.3 187.3zM277.6 336C271.2 341.6 266.1 348.5 262.4 356.2C258.7 363.9 256.5 372.2 256.1 380.7C255.7 389.2 256.9 397.7 259.8 405.7C262.7 413.7 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 464C255.1 479.9 260.7 495.4 269.6 508.6C265.4 510.7 260.7 511.9 256 512H96C87.89 512 80.07 508.1 74.13 503.4C68.19 497.9 64.57 490.3 64 482.2L38.4 223.1H291.4C282.4 232.2 274.3 241.4 267.3 251.4C260.6 261.1 256.8 272.5 256.1 284.3C255.4 296.1 257.1 307.8 263.5 318.2C267.1 324.9 271.9 330.1 277.6 336V336zM635.3 452.7C638.3 455.7 640 459.8 640 464C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 512 592 512H336C323.3 512 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 464C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 448 304 448H624C628.2 448 632.3 449.7 635.3 452.7zM630.6 361.4C636.6 367.4 640 375.5 640 384C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 416 608 416H320C311.5 416 303.4 412.6 297.4 406.6C291.4 400.6 288 392.5 288 384C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 352 320 352H608C616.5 352 624.6 355.4 630.6 361.4zM369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.2C620.3 318.2 614.6 319.9 608.7 320H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4H369.7zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.6 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.6 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.6 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"],
    "burrito": [512, 512, [127791], "f7ed", "M307.2 230.4c-28.88 80.13-105.6 137.6-195.6 137.6c-39.38 0-77.75-11.25-110.9-32.25c-3.75 33.75 6.875 68.88 32.75 94.76l47.5 47.51c45.38 45.26 119 45.26 164.4 .0016l215.9-215.8c-31.13-24.75-69.63-38.25-109.4-38.25C336.6 224 321.7 226.5 307.2 230.4zM287.8 160c0-39.75-13.57-78.27-38.45-109.3L33.36 266.5C22.98 276.9 14.73 289.3 8.982 302.9c29.88 21.5 65.75 33.13 102.6 33.13C208.7 336 287.8 257 287.8 160zM511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.375-20.38-21.05-37-40.55-45.75c-19.5-8.751-41.75-8.626-61.13 .25C347.9 2.276 336.9 0 325.8 0c-22 0-42.03 9.376-56.78 24.25c41 46.76 58.5 109.5 47.63 170.8c11.63-2 23.38-3 35.25-3c49.88 0 98.13 18 135.9 50.76C502.6 228 512 208 512 186c0-11-2.276-21.98-6.776-32.11C509.7 144.3 511.1 133.7 511.1 123z"],
    "burst": [512, 512, [], "e4dc", "M200.9 116.2L233.2 16.6C236.4 6.706 245.6 .001 256 .001C266.4 .001 275.6 6.706 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 256C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 256C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2z"],
    "bus": [576, 512, [128653], "f207", "M288 0C422.4 0 512 35.2 512 80V128C529.7 128 544 142.3 544 160V224C544 241.7 529.7 256 512 256L512 416C512 433.7 497.7 448 480 448V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H192V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V448C78.33 448 64 433.7 64 416L64 256C46.33 256 32 241.7 32 224V160C32 142.3 46.33 128 64 128V80C64 35.2 153.6 0 288 0zM128 256C128 273.7 142.3 288 160 288H272V128H160C142.3 128 128 142.3 128 160V256zM304 288H416C433.7 288 448 273.7 448 256V160C448 142.3 433.7 128 416 128H304V288zM144 400C161.7 400 176 385.7 176 368C176 350.3 161.7 336 144 336C126.3 336 112 350.3 112 368C112 385.7 126.3 400 144 400zM432 400C449.7 400 464 385.7 464 368C464 350.3 449.7 336 432 336C414.3 336 400 350.3 400 368C400 385.7 414.3 400 432 400zM368 64H208C199.2 64 192 71.16 192 80C192 88.84 199.2 96 208 96H368C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64z"],
    "bus-school": [512, 512, [], "f5dd", "M256 0C380.8 0 464 35.2 464 80V112H480C497.7 112 512 126.3 512 144V208C512 225.7 497.7 240 480 240H464V268.2C473.8 277 480 289.8 480 304V400C480 420.9 466.6 438.7 448 445.3V480C448 497.7 433.7 512 416 512H384C366.3 512 352 497.7 352 480V448H160V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V445.3C45.36 438.7 32 420.9 32 400V304C32 289.8 38.18 277 48 268.2V240H32C14.33 240 0 225.7 0 208V144C0 126.3 14.33 112 32 112H48V80C48 35.2 131.2 0 256 0zM112 224C112 241.7 126.3 256 144 256H240V128H144C126.3 128 112 142.3 112 160V224zM272 256H368C385.7 256 400 241.7 400 224V160C400 142.3 385.7 128 368 128H272V256zM112 384C129.7 384 144 369.7 144 352C144 334.3 129.7 320 112 320C94.33 320 80 334.3 80 352C80 369.7 94.33 384 112 384zM400 384C417.7 384 432 369.7 432 352C432 334.3 417.7 320 400 320C382.3 320 368 334.3 368 352C368 369.7 382.3 384 400 384zM336 64H176C167.2 64 160 71.16 160 80C160 88.84 167.2 96 176 96H336C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64z"],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", "M224 0C348.8 0 448 35.2 448 80V416C448 433.7 433.7 448 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V448C14.33 448 0 433.7 0 416V80C0 35.2 99.19 0 224 0zM64 256C64 273.7 78.33 288 96 288H352C369.7 288 384 273.7 384 256V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V256zM80 400C97.67 400 112 385.7 112 368C112 350.3 97.67 336 80 336C62.33 336 48 350.3 48 368C48 385.7 62.33 400 80 400zM368 400C385.7 400 400 385.7 400 368C400 350.3 385.7 336 368 336C350.3 336 336 350.3 336 368C336 385.7 350.3 400 368 400z"],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", "M496 224C416.4 224 352 288.4 352 368s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304V352h32c8.838 0 16 7.162 16 16C560 376.8 552.8 384 544 384zM320.1 352H208C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h312.2C335.1 449.6 320 410.5 320 368C320 362.6 320.5 357.3 320.1 352zM496 192c5.402 0 10.72 .3301 16 .8066V144C512 118.4 489.6 96 464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V256h360.2C392.5 216.9 441.3 192 496 192zM336 96h-160V48h160V96z"],
    "butter": [640, 512, [129480], "e3e4", "M576 96c0-17.67-14.33-32-32-32h-32v224h64V96zM480 64H96C78.33 64 64 78.33 64 96v192h416V64zM608 320H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32v32c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32v-32c17.67 0 32-14.33 32-32C640 334.3 625.7 320 608 320z"],
    "c": [384, 512, [99], "43", "M352 359.8c22.46 0 31.1 19.53 31.1 31.99c0 23.14-66.96 88.23-164.5 88.23c-137.1 0-219.4-117.8-219.4-224c0-103.8 79.87-223.1 219.4-223.1c99.47 0 164.5 66.12 164.5 88.23c0 12.27-9.527 32.01-32.01 32.01c-31.32 0-45.8-56.25-132.5-56.25c-97.99 0-155.4 84.59-155.4 159.1c0 74.03 56.42 160 155.4 160C306.5 416 320.5 359.8 352 359.8z"],
    "cabin": [576, 512, [], "e46d", "M269.4 5.96C280.5-1.987 295.5-1.987 306.6 5.96L416 84.1V63.1C416 46.33 430.3 31.1 448 31.1H480C497.7 31.1 512 46.33 512 63.1V152.7L530.6 165.1C541.9 174 546.7 188.5 542.5 201.8C538.2 215 525.9 223.1 512 223.1H64C50.09 223.1 37.77 215 33.53 201.8C29.28 188.5 34.08 174 45.4 165.1L269.4 5.96zM288 159.1C305.7 159.1 320 145.7 320 127.1C320 110.3 305.7 95.1 288 95.1C270.3 95.1 256 110.3 256 127.1C256 145.7 270.3 159.1 288 159.1zM64 280C64 266.7 74.75 256 88 256H200C213.3 256 224 266.7 224 280V296C224 309.3 213.3 320 200 320H88C74.75 320 64 309.3 64 296V280zM200 352C213.3 352 224 362.7 224 376V392C224 405.3 213.3 416 200 416H88C74.75 416 64 405.3 64 392V376C64 362.7 74.75 352 88 352H200zM200 448C213.3 448 224 458.7 224 472V488C224 501.3 213.3 512 200 512H88C74.75 512 64 501.3 64 488V472C64 458.7 74.75 448 88 448H200zM352 280C352 266.7 362.7 256 376 256H488C501.3 256 512 266.7 512 280V296C512 309.3 501.3 320 488 320H376C362.7 320 352 309.3 352 296V280zM488 448C501.3 448 512 458.7 512 472V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V472C352 458.7 362.7 448 376 448H488zM352 376C352 362.7 362.7 352 376 352H488C501.3 352 512 362.7 512 376V392C512 405.3 501.3 416 488 416H376C362.7 416 352 405.3 352 392V376z"],
    "cabinet-filing": [448, 512, [128452], "f64b", "M0 464C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48v-192H0V464zM128 368C128 359.1 135.1 352 144 352h160c8.875 0 16 7.125 16 16v40c0 4.375-3.625 8-8 8h-16C291.6 416 288 412.4 288 408V384H160v24C160 412.4 156.4 416 152 416h-16C131.6 416 128 412.4 128 408V368zM400 0h-352C21.6 0 0 21.6 0 48v192h448v-192C448 21.6 426.4 0 400 0zM320 152C320 156.4 316.4 160 312 160h-16C291.6 160 288 156.4 288 152V128H160v24C160 156.4 156.4 160 152 160h-16C131.6 160 128 156.4 128 152V112C128 103.1 135.1 96 144 96h160C312.9 96 320 103.1 320 112V152z"],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM224 56C224 73.67 209.7 88 192 88C174.3 88 160 73.67 160 56C160 38.33 174.3 24 192 24C209.7 24 224 38.33 224 56zM32 288C32 252.7 60.65 224 96 224H232V157.5L28.86 199.5C15.88 202.2 3.183 193.8 .4976 180.9C-2.188 167.9 6.157 155.2 19.14 152.5L483.1 56.5C496.1 53.81 508.8 62.16 511.5 75.14C514.2 88.12 505.8 100.8 492.9 103.5L280 147.5V224H416C451.3 224 480 252.7 480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288zM96 288C87.16 288 80 295.2 80 304V368C80 376.8 87.16 384 96 384H160C168.8 384 176 376.8 176 368V304C176 295.2 168.8 288 160 288H96zM208 368C208 376.8 215.2 384 224 384H288C296.8 384 304 376.8 304 368V304C304 295.2 296.8 288 288 288H224C215.2 288 208 295.2 208 304V368zM352 288C343.2 288 336 295.2 336 304V368C336 376.8 343.2 384 352 384H416C424.8 384 432 376.8 432 368V304C432 295.2 424.8 288 416 288H352z"],
    "cactus": [512, 512, [127797], "f8a7", "M464 224c-26.5 0-48 21.5-48 47.1v63.1c0 8.875-7.125 15.1-16 15.1H352V101.4c0-51.1-38.88-98.5-90.88-101.2c-26.25-1.375-51.1 8.126-71.13 26.25C170.9 44.51 160 69.63 160 96v127.1L112 224c-8.875 0-16-7.125-16-15.1V144c0-26.5-21.5-47.1-48-47.1S0 117.5 0 144v63.1c0 61.87 50.12 111.1 112 111.1H160v159.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1v-31.1h48c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224zM224 176c-8.875 0-16-7.125-16-15.1S215.1 144 224 144S240 151.1 240 160C240 168.9 232.9 176 224 176zM288 400c-8.875 0-16-7.125-16-15.1c0-8.875 7.125-15.1 16-15.1s16 7.125 16 15.1C304 392.9 296.9 400 288 400z"],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", "M352 111.1c22.09 0 40-17.88 40-39.97S352 0 352 0s-40 49.91-40 72S329.9 111.1 352 111.1zM224 111.1c22.09 0 40-17.88 40-39.97S224 0 224 0S184 49.91 184 72S201.9 111.1 224 111.1zM383.1 223.1L384 160c0-8.836-7.164-16-16-16h-32C327.2 144 320 151.2 320 160v64h-64V160c0-8.836-7.164-16-16-16h-32C199.2 144 192 151.2 192 160v64H128V160c0-8.836-7.164-16-16-16h-32C71.16 144 64 151.2 64 160v63.97c-35.35 0-64 28.65-64 63.1v68.7c9.814 6.102 21.39 11.33 32 11.33c20.64 0 45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C114.1 348.3 139.4 367.1 160 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C242.1 348.3 267.4 367.1 288 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C370.1 348.3 395.4 367.1 416 367.1c10.61 0 22.19-5.227 32-11.33V287.1C448 252.6 419.3 223.1 383.1 223.1zM352 373.3c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66c-11.27 0-22.09-3.121-32-7.377v87.38C0 497.7 14.33 512 32 512h384c17.67 0 32-14.33 32-32v-87.38c-9.91 4.256-20.73 7.377-32 7.377C390 399.1 365.8 384.3 352 373.3zM96 111.1c22.09 0 40-17.88 40-39.97S96 0 96 0S56 49.91 56 72S73.91 111.1 96 111.1z"],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", "M450.6 101.7C490 143.4 512 198.6 512 256V416C511.9 432.1 505.2 449.2 493.2 461.2C481.2 473.2 464.1 479.1 448 480H64C47.04 479.1 30.79 473.2 18.8 461.2C6.81 449.2 .0506 432.1 0 416V271.6C.0064 266.8 1.122 261.1 3.262 257.6C5.403 253.2 8.511 249.4 12.35 246.4L278.8 39.01C284.7 34.22 292.2 31.74 299.9 32C357.2 35.12 411.1 60.07 450.6 101.7zM448 368H64V416H448V368zM448 288H64V336H448V288z"],
    "calculator": [384, 512, [128425], "f1ec", "M336 0h-288C22.38 0 0 22.38 0 48v416C0 489.6 22.38 512 48 512h288c25.62 0 48-22.38 48-48v-416C384 22.38 361.6 0 336 0zM64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240zM320 144C320 152.8 312.8 160 304 160h-224C71.2 160 64 152.8 64 144v-64C64 71.2 71.2 64 80 64h224C312.8 64 320 71.2 320 80V144z"],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", "M192 288H32c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C224 302.4 209.6 288 192 288zM157.3 422.6c6.223 6.221 6.223 16.4 0 22.62c-6.221 6.221-16.4 6.221-22.62 0L112 422.6l-22.62 22.62c-6.221 6.221-16.4 6.221-22.62 0c-6.221-6.223-6.221-16.4 0-22.62L89.37 400l-22.62-22.62c-6.221-6.223-6.221-16.4 0-22.62c6.223-6.223 16.4-6.223 22.62 0L112 377.4l22.62-22.62c6.223-6.223 16.4-6.223 22.62 0c6.223 6.221 6.223 16.4 0 22.62L134.6 400L157.3 422.6zM480 288h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C512 302.4 497.6 288 480 288zM464 431.1C464 440.7 456.8 448 448 448h-96.09C343.2 448 336 440.8 336 432S343.2 416 351.1 416h96.06C456.8 416 464 423.2 464 431.1zM464 367.1C464 376.7 456.8 384 448 384h-96.06C343.2 384 336 376.8 336 368S343.2 352 351.1 352h96.09C456.8 352 464 359.2 464 367.1zM480 0h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C512 14.38 497.6 0 480 0zM464 111.1C464 120.8 456.8 128 448 128H416v32.04C416 168.8 408.8 176 400 176S384 168.8 384 160V128h-32.04C343.2 128 336 120.8 336 112S343.2 96 351.1 96H384V63.96C384 55.18 391.2 48 399.1 48S416 55.18 416 63.96V96h32.04C456.8 96 464 103.2 464 111.1zM192 0H32C14.38 0 0 14.38 0 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM176 111.1C176 120.8 168.8 128 160 128H63.96C55.18 128 48 120.8 48 112S55.18 96 63.96 96h96.09C168.8 96 176 103.2 176 111.1z"],
    "calendar": [448, 512, [128198, 128197], "f133", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464z"],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM248 264C248 250.7 237.3 240 224 240C210.7 240 200 250.7 200 264V366.1L160.1 327C151.6 317.7 136.4 317.7 127 327C117.7 336.4 117.7 351.6 127 360.1L207 440.1C216.4 450.3 231.6 450.3 240.1 440.1L320.1 360.1C330.3 351.6 330.3 336.4 320.1 327C311.6 317.7 296.4 317.7 287 327L248 366.1V264z"],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM248 321.9L287 360.1C296.4 370.3 311.6 370.3 320.1 360.1C330.3 351.6 330.3 336.4 320.1 327L240.1 247C231.6 237.7 216.4 237.7 207 247L127 327C117.7 336.4 117.7 351.6 127 360.1C136.4 370.3 151.6 370.3 160.1 360.1L200 321.9V424C200 437.3 210.7 448 224 448C237.3 448 248 437.3 248 424V321.9z"],
    "calendar-check": [448, 512, [], "f274", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM328.1 304.1C338.3 295.6 338.3 280.4 328.1 271C319.6 261.7 304.4 261.7 295 271L200 366.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L183 416.1C192.4 426.3 207.6 426.3 216.1 416.1L328.1 304.1z"],
    "calendar-circle-exclamation": [576, 512, [], "e46e", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"],
    "calendar-circle-minus": [576, 512, [], "e46f", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"],
    "calendar-circle-plus": [576, 512, [], "e470", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"],
    "calendar-circle-user": [576, 512, [], "e471", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 192.7C442.7 192.2 437.4 192 432 192C334.8 192 256 270.8 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H432H448V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "calendar-day": [448, 512, [], "f783", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM80 256C71.16 256 64 263.2 64 272V368C64 376.8 71.16 384 80 384H176C184.8 384 192 376.8 192 368V272C192 263.2 184.8 256 176 256H80z"],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM64 304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304zM192 304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304zM336 256C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336zM64 432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V400C128 391.2 120.8 384 112 384H80C71.16 384 64 391.2 64 400V432zM208 384C199.2 384 192 391.2 192 400V432C192 440.8 199.2 448 208 448H240C248.8 448 256 440.8 256 432V400C256 391.2 248.8 384 240 384H208zM320 432C320 440.8 327.2 448 336 448H368C376.8 448 384 440.8 384 432V400C384 391.2 376.8 384 368 384H336C327.2 384 320 391.2 320 400V432z"],
    "calendar-exclamation": [448, 512, [], "f334", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM224 400C206.3 400 192 414.3 192 432C192 449.7 206.3 464 224 464C241.7 464 256 449.7 256 432C256 414.3 241.7 400 224 400zM248 256C248 242.7 237.3 232 224 232C210.7 232 200 242.7 200 256V352C200 365.3 210.7 376 224 376C237.3 376 248 365.3 248 352V256z"],
    "calendar-heart": [448, 512, [], "e0d3", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM235.3 444.7L328 352C350.1 329.9 350.1 294.1 328 272C305.9 249.9 270.1 249.9 248 272L224 296L200 272C177.9 249.9 142.1 249.9 120 272C97.91 294.1 97.91 329.9 120 352L212.7 444.7C218.9 450.9 229.1 450.9 235.3 444.7H235.3z"],
    "calendar-image": [448, 512, [], "e0d4", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM147.2 360.7L99.81 422.2C91.72 432.8 99.22 448 112.5 448H338.9C351.5 448 359.1 434.1 352.4 423.4L268.9 292.3C262.8 282.7 248.8 282.4 242.3 291.8L184 376L172.6 360.9C166.3 352.4 153.6 352.3 147.2 360.7V360.7zM128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320z"],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM120 320H328C341.3 320 352 309.3 352 296C352 282.7 341.3 272 328 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H232C245.3 416 256 405.3 256 392C256 378.7 245.3 368 232 368H120z"],
    "calendar-lines-pen": [576, 512, [], "e472", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V235.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H48C21.49 512 0 490.5 0 464V192zM120 272C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320H264C277.3 320 288 309.3 288 296C288 282.7 277.3 272 264 272H120zM120 416H200C213.3 416 224 405.3 224 392C224 378.7 213.3 368 200 368H120C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "calendar-minus": [448, 512, [], "f272", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM312 376C325.3 376 336 365.3 336 352C336 338.7 325.3 328 312 328H136C122.7 328 112 338.7 112 352C112 365.3 122.7 376 136 376H312z"],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM308.8 267C294.1 252.3 270.2 252.3 255.5 267L240.6 281.1L293.9 335.3L308.8 320.4C323.5 305.6 323.5 281.8 308.8 267V267zM137.6 391.4L128.5 428C127.1 433.5 128.7 439.3 132.7 443.2C136.7 447.2 142.4 448.8 147.9 447.4L184.5 438.3C190.1 436.9 195.3 433.1 199.4 429.9L271.3 357.9L217.1 304.6L146.1 376.5C141.1 380.6 139 385.8 137.6 391.4H137.6z"],
    "calendar-plus": [448, 512, [], "f271", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM200 272V328H144C130.7 328 120 338.7 120 352C120 365.3 130.7 376 144 376H200V432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432V376H304C317.3 376 328 365.3 328 352C328 338.7 317.3 328 304 328H248V272C248 258.7 237.3 248 224 248C210.7 248 200 258.7 200 272z"],
    "calendar-range": [448, 512, [], "e0d6", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM320 416C320 433.7 334.3 448 352 448C369.7 448 384 433.7 384 416C384 398.3 369.7 384 352 384C334.3 384 320 398.3 320 416zM216 312H360C373.3 312 384 301.3 384 288C384 274.7 373.3 264 360 264H216C202.7 264 192 274.7 192 288C192 301.3 202.7 312 216 312zM88 392C74.75 392 64 402.7 64 416C64 429.3 74.75 440 88 440H232C245.3 440 256 429.3 256 416C256 402.7 245.3 392 232 392H88z"],
    "calendar-star": [448, 512, [], "f736", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM233.3 250.9C229.5 243.2 218.5 243.2 214.7 250.9L191.1 298.7L138.3 306.4C129.8 307.6 126.4 318.1 132.6 324.1L170.7 361.3L161.7 413.8C160.3 422.3 169.2 428.8 176.8 424.8L223.1 400L271.2 424.8C278.8 428.8 287.7 422.3 286.3 413.8L277.3 361.3L315.4 324.1C321.6 318.1 318.2 307.6 309.7 306.4L256.9 298.7L233.3 250.9z"],
    "calendar-week": [448, 512, [], "f784", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM80 256C71.16 256 64 263.2 64 272V336C64 344.8 71.16 352 80 352H368C376.8 352 384 344.8 384 336V272C384 263.2 376.8 256 368 256H80z"],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM304.1 304.1C314.3 295.6 314.3 280.4 304.1 271C295.6 261.7 280.4 261.7 271 271L224 318.1L176.1 271C167.6 261.7 152.4 261.7 143 271C133.7 280.4 133.7 295.6 143 304.1L190.1 352L143 399C133.7 408.4 133.7 423.6 143 432.1C152.4 442.3 167.6 442.3 176.1 432.1L224 385.9L271 432.1C280.4 442.3 295.6 442.3 304.1 432.1C314.3 423.6 314.3 408.4 304.1 399L257.9 352L304.1 304.1z"],
    "calendars": [512, 512, [], "e0d7", "M256 32V64H352V32C352 14.33 366.3 0 384 0C401.7 0 416 14.33 416 32V64H464C490.5 64 512 85.49 512 112V160H96V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32zM96 192H512V368C512 394.5 490.5 416 464 416H144C117.5 416 96 394.5 96 368V192zM48 392C48 431.8 80.24 464 120 464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H120C53.73 512 0 458.3 0 392V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V392z"],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", "M525.6 165.8L416 241.3v157.5l109.6 75.48C546.8 488.7 576 473.9 576 448.4V191.5C576 166.1 546.9 151.2 525.6 165.8zM320 159.1H96V128c0-17.6 14.4-32 32-32h160C305.7 96 320 81.67 320 64S305.7 32 288 32H128C74.98 32 32 74.98 32 128v34.88C12.88 169.5 0 187.5 0 207.8l.0001 208.2c0 35.35 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.65 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM304 255.1h-224c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h224c8.838 0 16 7.162 16 16C320 248.8 312.8 255.1 304 255.1z"],
    "camera": [512, 512, [62258, "camera-alt"], "f030", "M194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H194.6zM256 384C309 384 352 341 352 288C352 234.1 309 192 256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384z"],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", "M517.5 168.6L139.2 2.266C124.4-3.609 107.5 2.266 99.62 16.14l-95.37 166.9C-.4999 191.3-1.25 201 1.999 209.9c3.25 8.875 10.25 15.87 19.13 19.12l156.5 64.87l-39.87 106.1H63.1c0-26.51-21.49-47.98-47.1-47.98C7.163 352 0 359.2 0 368v127.1C0 504.8 7.163 512 15.1 512c26.51 0 47.1-21.49 47.1-47.1l96.05 0c13.33 0 25.26-8.268 29.94-20.75l46.87-124.1l68.5 28.37c9.25 3.375 19.5 2.375 27.87-2.875l189.2-118.4C544.7 211.5 541.7 178.3 517.5 168.6zM565.9 273.8l-35.37-15.5l-138.4 86.5l119.5 52.51c8.5 3.75 18.46-.132 22.21-8.632l40.74-92.62c1.75-4.125 1.878-8.756 .2534-12.88C573.2 278.9 569.1 275.6 565.9 273.8z"],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", "M368 288H31.1C14.33 288 0 302.3 0 319.1S14.33 352 31.1 352h32L64 464C64 490.5 85.49 512 112 512h256c26.51 0 48-21.49 48-48v-128C416 309.5 394.5 288 368 288zM352 0C303.4 0 261.8 27.38 240 67.25C218.3 27.38 176.6 0 128 0c-70.75 0-128 57.25-128 128S57.23 255.1 127.1 255.1L352 256c70.75 0 128-57.25 128-128S422.8 0 352 0zM128 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S163.4 192 128 192zM352 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S387.4 192 352 192zM524.8 262.5L448 320v128l76.76 57.54C545.9 521.4 576 506.3 576 479.9V288C576 261.7 545.9 246.6 524.8 262.5z"],
    "camera-polaroid": [576, 512, [], "f8aa", "M575.1 352L512 256l.0001-176c0-26.51-21.49-48-48-48h-352c-26.51 0-48 21.49-48 48L64 256l-63.97 96.02L.0002 448c0 17.6 14.4 32 32 32h512c17.6 0 32-14.4 32-32L575.1 352zM384 112C384 103.2 391.2 96 400 96h32C440.8 96 448 103.2 448 112v32C448 152.8 440.8 160 432 160h-32C391.2 160 384 152.8 384 144V112zM288 128c35.38 0 64 28.62 64 64s-28.62 64-64 64s-64-28.62-64-64S252.6 128 288 128zM464 416h-352C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384h352c8.838 0 16 7.162 16 16C480 408.8 472.8 416 464 416z"],
    "camera-retro": [512, 512, [128247], "f083", "M64 64V48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48V64H192L242.5 38.76C251.4 34.31 261.2 32 271.1 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V128C0 92.65 28.65 64 64 64zM220.6 121.2C211.7 125.7 201.9 128 192 128H64V192H178.8C200.8 176.9 227.3 168 256 168C284.7 168 311.2 176.9 333.2 192H448V96H271.1L220.6 121.2zM256 216C207.4 216 168 255.4 168 304C168 352.6 207.4 392 256 392C304.6 392 344 352.6 344 304C344 255.4 304.6 216 256 216z"],
    "camera-rotate": [512, 512, [], "e0d8", "M464 96h-88l-12.38-32.88C356.6 44.38 338.8 32 318.8 32h-125.5c-20 0-38 12.38-45 31.12L136 96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM356.9 366.8C332.4 398.1 295.7 416 256 416c-31.78 0-61.37-11.94-84.58-32.61l-19.28 19.29C143.2 411.6 128 405.3 128 392.7V316.3c0-5.453 4.359-9.838 9.775-9.99h76.98c12.35 .3027 18.47 15.27 9.654 24.09l-19.27 19.28C219.3 361.4 237.1 368 256 368c24.8 0 47.78-11.22 63.08-30.78c8.172-10.44 23.25-12.28 33.69-4.125S365.1 356.3 356.9 366.8zM384 259.7c0 5.453-4.359 9.838-9.775 9.99h-76.98c-12.35-.3027-18.47-15.27-9.654-24.09l19.27-19.28C292.7 214.6 274.9 208 256 208c-24.8 0-47.78 11.22-63.08 30.78C184.8 249.2 169.7 251.1 159.2 242.9C148.8 234.8 146.9 219.7 155.1 209.2C179.6 177.9 216.3 160 256 160c31.78 0 61.37 11.94 84.58 32.61l19.28-19.29C368.8 164.4 384 170.7 384 183.3V259.7z"],
    "camera-security": [448, 512, ["camera-home"], "f8fe", "M224 112c-53.04 0-96 42.96-96 96c0 53.04 42.96 96 96 96s96-42.96 96-96C320 154.1 277 112 224 112zM384 0h-320c-35.38 0-64 28.62-64 64v288c0 35.38 28.62 64 64 64h72.75L76.5 450.9C69.63 455.1 64 465.3 64 473.4v12C64 500 76 512 90.75 512h266.6C372.1 512 384 500 384 485.4V473.5c0-8.25-5.625-18.38-12.62-22.62L311.3 416h72.75c35.38 0 64-28.62 64-64V64C448 28.62 419.4 0 384 0zM224 336c-70.78 0-127.1-57.33-127.1-128c0-70.67 57.33-128 127.1-128s128 57.33 128 128C352 278.7 294.7 336 224 336z"],
    "camera-slash": [640, 512, [], "e0d9", "M154.8 96H202.7L213.1 64.82C219.6 45.22 237.9 32 258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V416C576 419.3 575.8 422.5 575.3 425.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM285.4 198.4L415.2 300.2C415.7 296.2 416 292.1 416 288C416 234.1 373 192 320 192C307.8 192 296.2 194.3 285.4 198.4V198.4zM320 384C332.9 384 345.2 381.5 356.4 376.8L487.4 480H128C92.66 480 64 451.3 64 416V160C64 155.7 64.43 151.5 65.24 147.4L225.1 273.4C224.4 278.1 224 283 224 288C224 341 266.1 384 320 384V384z"],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", "M0 24C0 10.75 10.75 0 24 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V24zM208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6L332 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96zM256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320zM488 0C501.3 0 512 10.75 512 24V136C512 149.3 501.3 160 488 160C474.7 160 464 149.3 464 136V48H376C362.7 48 352 37.25 352 24C352 10.75 362.7 0 376 0H488zM0 376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376zM376 512C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H464V376C464 362.7 474.7 352 488 352C501.3 352 512 362.7 512 376V488C512 501.3 501.3 512 488 512H376z"],
    "camera-web": [448, 512, ["webcam"], "f832", "M400.9 438.6l-49.12-30.75C409.9 367.4 448 300.3 448 224c0-123.8-100.4-224-224-224c-123.8 0-224 100.3-224 224c0 76.25 38.13 143.4 96.13 183.9L47 438.6C37.63 444.5 32 454.8 32 465.8v14.25c0 17.62 14.48 31.1 32.11 31.1L384 512c17.62 0 32-14.38 32-32V465.8C416 454.8 410.3 444.5 400.9 438.6zM224 384c-88.37 0-160.1-71.62-160.1-159.1s71.63-160 159.1-160s160 71.62 160 160S312.3 384 224 384zM224 96C153.4 96 95.92 153.2 95.92 224s57.38 128 128 128c70.75 0 128-57.25 128-128C351.9 153.4 294.6 96 224 96zM223.9 176c-26.5 0-47.87 21.5-48 48c0 8.875-7.125 16-16 16c-8.75 0-16-7.125-16-16c.125-44.12 35.92-80 80.04-80c8.875 0 15.96 7.125 15.96 16S232.8 176 223.9 176z"],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", "M319.1 383.1c-88.37 0-160.1-71.63-160.1-159.1c0-.6406 .1816-1.234 .1895-1.871L101.3 176C97.89 191.5 95.1 207.5 95.1 223.1c0 76.25 38.12 143.4 96.12 183.9l-49.12 30.75c-9.375 5.875-14.1 16.12-14.1 27.12v14.25c0 17.62 14.48 32 32.11 32l319.9-.0053c12.21 0 22.52-7.136 27.91-17.23l-148.4-116.3C346.8 381.7 333.7 383.1 319.1 383.1zM630.8 469.1l-135.7-106.4c30.42-38.12 48.92-86.1 48.92-138.7c0-123.7-100.4-223.1-223.1-223.1c-72.02 0-135.7 34.24-176.6 87.04L38.81 5.113C34.41 1.676 29.19 .0042 24.03 .0042c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1zM319.9 175.1c-15.75 0-29.04 8.086-37.72 19.84l-25.66-20.11c14.55-19.23 37.47-31.72 63.42-31.72c8.875 0 15.96 7.124 15.96 15.1S328.7 175.1 319.9 175.1zM444.6 323.2L419.4 303.4c17.62-21.78 28.5-49.16 28.5-79.41c0-70.62-57.29-127.1-127.9-127.1c-41.28 0-77.63 19.93-100.9 50.38L193.9 126.6C223 88.71 268.3 63.1 319.9 63.1c88.37 0 159.1 71.62 159.1 159.1C479.9 261.7 466.5 295.9 444.6 323.2z"],
    "campfire": [512, 512, [], "f6ba", "M256 320c79.5 0 144-64.5 144-144c0-33.25-33.37-102-80-144c-13.38 12-25.5 24.75-36.13 37.5C266.4 46 244.6 22.25 220 0c-63.13 57-108 131.3-108 176C112 255.5 176.5 320 256 320zM226.6 107.4c3.477 4.193 49.39 65.44 49.39 65.44l29.35-34.87c2.045 3.578 3.988 7.055 5.625 10.43c13.7 27.2 7.873 62.17-16.67 80.16c-10.84 7.873-24.23 12.58-38.65 12.58c-36.1 0-65.44-24.95-65.44-65.44C190.2 155.5 202.4 137.7 226.6 107.4zM490.8 449.9L351.1 400l139.7-49.88c16.66-5.938 25.34-24.25 19.38-40.88c-5.906-16.66-24.34-25.41-40.88-19.38L256 366L42.75 289.9C26.13 283.8 7.781 292.6 1.875 309.3c-5.969 16.62 2.719 34.94 19.38 40.88L160.9 400l-139.7 49.88c-16.66 5.938-25.34 24.25-19.38 40.88C6.531 503.8 18.84 512 32 512c3.562 0 7.219-.5938 10.75-1.875L256 433.1l213.3 76.16C472.8 511.4 476.4 512 480 512c13.16 0 25.47-8.156 30.12-21.25C516.1 474.1 507.4 455.8 490.8 449.9z"],
    "campground": [576, 512, [9978], "f6bb", "M328.1 112L563.7 405.4C571.7 415.4 576 427.7 576 440.4V464C576 490.5 554.5 512 528 512H48C21.49 512 0 490.5 0 464V440.4C0 427.7 4.328 415.4 12.27 405.4L247 112L199 51.99C187.1 38.19 190.2 18.05 204 7.013C217.8-4.027 237.9-1.789 248.1 12.01L288 60.78L327 12.01C338.1-1.789 358.2-4.027 371.1 7.013C385.8 18.05 388 38.19 376.1 51.99L328.1 112zM407.5 448L288 291.7L168.5 448H407.5z"],
    "can-food": [384, 512, [129387], "e3e6", "M192 0C94.8 0 16 32.75 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14C368 32.75 289.2 0 192 0zM192 45.6c61.86 0 112 11.28 112 25.2S253.9 96 192 96S80 84.72 80 70.8S130.1 45.6 192 45.6zM224 288c0 17.67-14.33 32-32 32S160 305.7 160 288c0-17.67 14.33-32 32-32S224 270.3 224 288zM80 427.5V293.7c10.42 3.42 21.48 6.514 33.49 9.029C120.4 339.8 152.9 368 192 368c39.06 0 71.56-28.19 78.51-65.27C282.5 300.2 293.6 297.1 304 293.7v133.8C283.7 437.1 246.6 448 192 448S100.3 437.1 80 427.5z"],
    "candle-holder": [448, 512, [128367], "f6bc", "M376 368c-39.75 0-72 32.25-72 72c0 8.5 1.75 16.5 4.375 24H256V256c0-17.62-14.38-32-32-32H160v48c0 8.875-7.125 15.1-16 15.1S128 280.9 128 272V224H96C78.38 224 64 238.4 64 256v208H16C7.125 464 0 471.1 0 480v16C0 504.9 7.105 512 15.98 512H376c39.75 0 72-32.25 72-72S415.8 368 376 368zM376 464c-13.25 0-24-10.75-24-24S362.8 416 376 416s24 10.75 24 24S389.3 464 376 464zM160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1z"],
    "candy": [640, 512, [127852], "e3e7", "M220.4 92.42L391 433.1C369 442.9 345.6 447.7 321.8 448L167.8 139.7C182.3 120.8 200.1 104.8 220.4 92.42zM147.8 171.3L284.3 444.5C249.7 438 217.6 422.1 191.4 398.5C165.3 374.9 146.1 344.6 136 310.8L42.72 357.5C39.4 359.2 35.73 360.1 32 360.1C27.25 360.1 22.61 358.7 18.67 356C14.72 353.4 11.64 349.6 9.829 345.2C8.014 340.9 7.541 336 8.469 331.4C9.397 326.7 11.69 322.4 15.04 319.1L45.57 288.2L16.42 278.6C11.65 276.1 7.494 273.9 4.554 269.8C1.613 265.8 .0312 260.8 .0312 255.8C.0312 250.8 1.613 245.9 4.554 241.8C7.494 237.7 11.65 234.6 16.42 233L45.57 223.4L15.04 192.9C11.05 188.8 8.622 183.5 8.182 177.8C7.742 172.2 9.322 166.6 12.64 161.1C15.96 157.4 20.8 154.1 26.31 152.7C31.82 151.3 37.63 151.1 42.72 154.5L136 201.2C139.1 190.9 143.1 180.9 147.8 171.3L147.8 171.3zM318.2 64L472.2 372.3C457.8 391.2 439.9 407.2 419.6 419.6L248.1 78.02C270.1 69.06 294.4 64.31 318.2 64zM624.1 319.1C628.3 322.4 630.6 326.7 631.5 331.4C632.5 336 631.1 340.9 630.2 345.2C628.4 349.6 625.3 353.4 621.3 356C617.4 358.7 612.8 360.1 608 360.1C604.3 360.1 600.6 359.2 597.3 357.5L503.1 310.8C500.9 321.1 496.9 331.1 492.2 340.7L355.7 67.46C390.3 73.1 422.4 89.93 448.6 113.5C474.7 137.1 493.9 167.4 503.1 201.2L597.4 154.8C602.5 152.3 608.3 151.6 613.8 153C619.3 154.4 624.2 157.7 627.5 162.3C630.8 166.9 632.4 172.5 631.1 178.2C631.5 183.8 629.1 189.1 625.1 193.2L594.6 223.7L623.7 233.3C628.5 234.9 632.6 238 635.6 242.1C638.5 246.2 640.1 251.1 640.1 256.1C640.1 261.2 638.5 266.1 635.6 270.2C632.6 274.2 628.5 277.3 623.7 278.9L594.6 288.5L624.1 319.1z"],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", "M80 128C97.36 127.9 114.2 122.2 128 111.6V192H47.65C58.2 178.2 63.94 161.4 64 144V128H80zM0 352H128V448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V352zM160 352H288V448H160V352zM0 224H128V320H0V224zM625.9 78.06C634.9 87.06 640 99.27 640 112V400C640 412.7 634.9 424.9 625.9 433.9C616.9 442.9 604.7 448 592 448H320V64H592C604.7 64 616.9 69.06 625.9 78.06zM160 64H288V192H160V64zM160 224H288V320H160V224z"],
    "candy-cane": [512, 512, [], "f786", "M497.5 91.1C469.6 33.13 411.8 0 352.4 0c-27.88 0-56.14 7.25-81.77 22.62L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87l32.76 54.87c8.522 14.2 27.59 20.6 43.88 11.06l27.51-16.37c5.125-3.125 10.95-4.439 16.58-4.439c10.88 0 21.35 5.625 27.35 15.62c9 15.12 3.917 34.59-11.08 43.71L15.6 397.6c-15.25 9.125-20.13 28.62-11 43.87l32.76 54.87c8.522 14.2 27.59 20.66 43.88 11.12l347.4-206.5C500.2 258.1 533.2 167.5 497.5 91.1zM319.7 104.1L317.2 106.5l-20.5-61.5c9.75-4.75 19.88-8.125 30.38-10.25l20.63 61.87C337.8 97.37 328.2 99.87 319.7 104.1zM145.8 431.7l-60.5-38.5l30.88-18.25l60.5 38.5L145.8 431.7zM253.3 367.9l-60.5-38.5l30.88-18.25l60.5 38.5L253.3 367.9zM364.2 301.1L303.7 263.5l30.88-18.25l60.5 38.5L364.2 301.1zM384.7 104.7l46-45.1c8.375 6.5 16 13.1 22.5 22.5l-45.63 45.81C401.9 117.8 393.9 110.1 384.7 104.7zM466.7 212.5l-59.5-19.75c3.25-5.375 5.875-10.1 7.5-17.12c1-4.5 1.625-9.125 1.75-13.62l60.38 20.12C474.7 192.5 471.4 202.7 466.7 212.5z"],
    "candy-corn": [640, 512, [], "f6bd", "M277.2 191.2c-9.75-15.75-19.54-31.1-29.29-45.85C229.2 117.5 203.4 89.77 84.97 205.8c-116.1 118.5-88.35 144.4-60.47 162.1c14.75 9.75 30.25 19.6 46.01 29.35C88.88 369.8 118.5 330.5 164.5 284.5C209.9 238.1 249 209.5 277.2 191.2zM187.1 307.1c-43.75 43.75-71.76 81.1-89.01 107.6c115.9 67.88 244 122.3 280.9 85.3c36.88-37.13-17.27-165.3-85.27-281.3C267.2 236.1 230.2 263.9 187.1 307.1zM325.1 447c-19.62-3.5-50.13-14-87.75-30.88c8.627-9.625 17.75-19.38 28.13-29.75c10-10 19.5-18.88 28.75-27.25C311.1 396.8 322.5 427.3 325.1 447zM341.6 157c33.88 130 86.01 259 138.3 259c52.25-.125 104.8-129.1 138.6-259.3c-31-6.375-76.76-12.88-137.9-12.88C418.7 143.9 372.5 150.5 341.6 157zM479.1 341c-11.38-16.38-25.63-45.38-40.25-83.88c12.75-.75 26.13-1.25 40.88-1.25c14.12 0 27.13 .5 39.63 1.125C505.5 295.6 491.4 324.6 479.1 341zM479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c3.5 17.38 7.374 35.25 11.75 53.25c32.87-7 81.63-13.88 146.8-13.88c64.25 0 112.8 6.75 145.6 13.75c4.25-18 8.127-35.88 11.63-53.13C644.5 39.5 645.8 1.625 479.1 0z"],
    "cannabis": [576, 512, [], "f55f", "M544 374.4c0 6-3.25 11.38-8.5 14.12c-2.5 1.375-60.75 31.75-133.5 31.75c-6.124 0-12-.125-17.5-.25c11.38 22.25 16.5 38.25 16.75 39.13c1.875 5.75 .375 12-3.875 16.12c-4.125 4.25-10.38 5.75-16.12 4c-1.631-.4648-32.94-10.66-69.25-34.06v42.81C312 501.3 301.3 512 288 512s-24-10.75-24-23.1v-42.81c-36.31 23.4-67.62 33.59-69.25 34.06c-5.75 1.75-12 .25-16.12-4c-4.25-4.25-5.75-10.38-3.875-16.12C175 458.3 180.1 442.1 191.5 420c-5.501 .125-11.37 .25-17.5 .25c-72.75 0-130.1-30.38-133.5-31.75C35.25 385.8 32 380.4 32 374.4c0-5.875 3.25-11.38 8.5-14.12c1.625-.875 32.38-16.88 76.75-25.75c-64.25-75.13-84-161.8-84.88-165.8C31.25 163.5 32.75 157.9 36.63 154C39.75 151 43.75 149.4 48 149.4c1.125 0 2.25 .125 3.375 .375C55.38 150.6 137.1 169.3 212 229.5V225.1c0-118.9 60-213.8 62.5-217.8C277.5 2.75 282.5 0 288 0s10.5 2.75 13.5 7.375C304 11.38 364 106.3 364 225.1V229.5c73.1-60.25 156.6-79 160.5-79.75C525.8 149.5 526.9 149.4 528 149.4c4.25 0 8.25 1.625 11.38 4.625c3.75 3.875 5.375 9.5 4.25 14.75c-.875 4-20.62 90.63-84.88 165.8c44.38 8.875 75.13 24.88 76.75 25.75C540.8 363 544 368.5 544 374.4z"],
    "capsules": [576, 512, [], "f46b", "M555.3 300.1L424.3 112.8C401.9 81 366.4 64 330.4 64c-22.63 0-45.5 6.75-65.5 20.75C245.2 98.5 231.2 117.5 223.4 138.5C220.5 79.25 171.1 32 111.1 32c-61.88 0-111.1 50.08-111.1 111.1L-.0028 368c0 61.88 50.12 112 112 112s112-50.13 112-112L223.1 218.9C227.2 227.5 231.2 236 236.7 243.9l131.3 187.4C390.3 463 425.8 480 461.8 480c22.75 0 45.5-6.75 65.5-20.75C579 423.1 591.5 351.8 555.3 300.1zM159.1 256H63.99V144c0-26.5 21.5-48 48-48s48 21.5 48 48V256zM354.8 300.9l-65.5-93.63c-7.75-11-10.75-24.5-8.375-37.63c2.375-13.25 9.75-24.87 20.75-32.5C310.1 131.1 320.1 128 330.4 128c16.5 0 31.88 8 41.38 21.5l65.5 93.75L354.8 300.9z"],
    "car": [512, 512, [128664, "automobile"], "f1b9", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320z"],
    "car-battery": [512, 512, ["battery-car"], "f5df", "M80 96C80 78.33 94.33 64 112 64H176C193.7 64 208 78.33 208 96H304C304 78.33 318.3 64 336 64H400C417.7 64 432 78.33 432 96H448C483.3 96 512 124.7 512 160V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V160C0 124.7 28.65 96 64 96H80zM384 192C384 183.2 376.8 176 368 176C359.2 176 352 183.2 352 192V224H320C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256H352V288C352 296.8 359.2 304 368 304C376.8 304 384 296.8 384 288V256H416C424.8 256 432 248.8 432 240C432 231.2 424.8 224 416 224H384V192zM96 256H192C200.8 256 208 248.8 208 240C208 231.2 200.8 224 192 224H96C87.16 224 80 231.2 80 240C80 248.8 87.16 256 96 256z"],
    "car-bolt": [512, 512, [], "e341", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256zM318.3 119.2C321.6 112.5 319.9 104.5 314.3 99.72C308.6 94.96 300.3 94.75 294.4 99.2L166.4 195.2C160.9 199.3 158.6 206.5 160.8 213.1C162.1 219.6 169.1 224 176 224H230.1L193.7 296.8C190.4 303.5 192.1 311.5 197.7 316.3C203.4 321 211.7 321.3 217.6 316.8L345.6 220.8C351.1 216.7 353.4 209.5 351.2 202.9C349 196.4 342.9 192 336 192H281.9L318.3 119.2z"],
    "car-building": [640, 512, [], "f859", "M272 0C298.5 0 320 21.49 320 48V136.4C290.5 148.5 266.9 173 256.3 204.6L255.9 205.1C254.9 198.1 248.2 192 240 192H208C199.2 192 192 199.2 192 208V240C192 248.8 199.2 256 208 256H239.2L233.6 272.9C208.5 290.2 192 319.2 192 352V480H48C21.49 480 0 458.5 0 432V48C0 21.49 21.49 0 48 0H272zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM192 144C192 152.8 199.2 160 208 160H240C248.8 160 256 152.8 256 144V112C256 103.2 248.8 96 240 96H208C199.2 96 192 103.2 192 112V144zM80 288C71.16 288 64 295.2 64 304V336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "car-bump": [640, 512, [], "f5e0", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C167 464.3 156.9 481.9 139.8 486.5L108.9 494.7C91.85 499.3 74.3 489.2 69.73 472.1L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7V202.7zM436.9 512C417.4 512 402.2 494.3 411.1 476.1C429.7 440.8 467.4 416 510.9 416C554.3 416 592 440.8 610.6 476.1C619.5 494.3 604.3 512 584.8 512H436.9z"],
    "car-burst": [640, 512, ["car-crash"], "f5e1", "M176 8C182.6 8 188.4 11.1 190.9 18.09L220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C314.1 74.85 314.5 75.45 314.9 76.08C297.8 84.32 282.7 96.93 271.4 113.3L230.4 172.5C203.1 181.4 180.6 203.5 172.6 233.4L152.7 307.4L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.73 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.871 229.6 4.413 223.2C2.954 216.8 5.54 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.4 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 8 176 8L176 8zM384.2 99.67L519.8 135.1C552.5 144.7 576.1 173.1 578.8 206.8L585.7 290.7C602.9 304.2 611.3 327 605.3 349.4L570.1 480.8C565.5 497.8 547.1 507.1 530.9 503.4L515.5 499.3C498.4 494.7 488.3 477.1 492.8 460.1L501.1 429.1L253.8 362.9L245.6 393.8C240.1 410.9 223.4 421 206.4 416.4L190.9 412.3C173.8 407.7 163.7 390.2 168.3 373.1L203.5 241.7C209.5 219.3 228.2 203.8 249.8 200.7L297.7 131.5C316.9 103.6 351.6 90.92 384.2 99.67L384.2 99.67zM367.7 161.5C361.1 159.7 354.2 162.3 350.4 167.8L318.1 214.5L519.6 268.5L515 211.1C514.5 205.2 509.8 199.6 503.2 197.8L367.7 161.5zM268.3 308.8C281.1 312.2 294.3 304.6 297.7 291.8C301.2 279 293.6 265.9 280.8 262.4C267.1 259 254.8 266.6 251.4 279.4C247.9 292.2 255.5 305.4 268.3 308.8zM528 328.7C515.2 325.3 502.1 332.9 498.6 345.7C495.2 358.5 502.8 371.6 515.6 375.1C528.4 378.5 541.6 370.9 545 358.1C548.4 345.3 540.8 332.1 528 328.7z"],
    "car-bus": [640, 512, [], "f85a", "M.0006 384V74.46C.0006 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V128H362.6C347.7 128 333.2 130.1 320 136.4V120C320 106.7 309.3 96 296 96H208V224H249.9L233.6 272.9C208.5 290.2 192 319.2 192 352V416H128V448C128 465.7 113.7 480 96 480H80C62.33 480 48 465.7 48 448V416H32C14.33 416 0 401.7 0 384H.0006zM88 96C74.75 96 64 106.7 64 120V200C64 213.3 74.75 224 88 224H176V96H88zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "car-circle-bolt": [640, 512, [], "e342", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L471.3 193.7C385.8 205.7 320 279.2 320 368C320 378.9 320.1 389.6 322.9 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "car-garage": [640, 512, [], "f5e2", "M607.9 161.8C623.2 170.6 628.6 190.1 619.8 205.4C611 220.8 591.5 226.1 576.1 217.4L312 66.43L47.88 217.4C32.54 226.1 12.99 220.8 4.222 205.4C-4.547 190.1 .7846 170.6 16.13 161.8L288.2 6.324C302.9-2.108 321.1-2.108 335.8 6.324L607.9 161.8zM241.8 160H382.2C415.1 160 446.1 181.3 457.5 213.1L485.8 292.4C505.9 300.9 520 320.8 520 344V480C520 497.7 505.7 512 488 512H472C454.3 512 440 497.7 440 480V448H184V480C184 497.7 169.7 512 152 512H136C118.3 512 104 497.7 104 480V344C104 320.8 118.1 300.9 138.2 292.4L166.5 213.1C177.9 181.3 208 160 241.8 160H241.8zM241.8 224C235.1 224 229 228.3 226.8 234.6L207.7 288H416.3L397.2 234.6C394.1 228.3 388.9 224 382.2 224H241.8zM184 392C197.3 392 208 381.3 208 368C208 354.7 197.3 344 184 344C170.8 344 160 354.7 160 368C160 381.3 170.8 392 184 392zM440 344C426.8 344 416 354.7 416 368C416 381.3 426.8 392 440 392C453.3 392 464 381.3 464 368C464 354.7 453.3 344 440 344z"],
    "car-mirrors": [576, 512, [], "e343", "M0 192C0 174.3 14.33 160 32 160H84.5L106.8 96.29C120.3 57.78 156.6 32 197.4 32H378.6C419.4 32 455.7 57.78 469.2 96.29L491.5 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H535.4C540.9 233.4 544 244.3 544 256V448C544 465.7 529.7 480 512 480H480C462.3 480 448 465.7 448 448V400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V256C32 244.3 35.12 233.4 40.56 224H32C14.33 224 0 209.7 0 192zM141.1 192H434.9L408.8 117.4C404.3 104.6 392.2 96 378.6 96H197.4C183.8 96 171.7 104.6 167.2 117.4L141.1 192zM128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256zM448 320C465.7 320 480 305.7 480 288C480 270.3 465.7 256 448 256C430.3 256 416 270.3 416 288C416 305.7 430.3 320 448 320z"],
    "car-on": [448, 512, [], "e4dd", "M248 104C248 117.3 237.3 128 224 128C210.7 128 200 117.3 200 104V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V104zM153.8 160H294.2C327.1 160 358.1 181.3 369.5 213.1L397.8 292.4C417.9 300.9 432 320.8 432 344V480C432 497.7 417.7 512 400 512H384C366.3 512 352 497.7 352 480V448H96V480C96 497.7 81.67 512 64 512H48C30.33 512 16 497.7 16 480V344C16 320.8 30.08 300.9 50.16 292.4L78.49 213.1C89.86 181.3 120 160 153.8 160H153.8zM153.8 224C147.1 224 141 228.3 138.8 234.6L119.7 288H328.3L309.2 234.6C306.1 228.3 300.9 224 294.2 224H153.8zM96 392C109.3 392 120 381.3 120 368C120 354.7 109.3 344 96 344C82.75 344 72 354.7 72 368C72 381.3 82.75 392 96 392zM352 344C338.7 344 328 354.7 328 368C328 381.3 338.7 392 352 392C365.3 392 376 381.3 376 368C376 354.7 365.3 344 352 344zM7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L88.97 87.03C98.34 96.4 98.34 111.6 88.97 120.1C79.6 130.3 64.4 130.3 55.03 120.1L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03V39.03zM407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L392.1 120.1C383.6 130.3 368.4 130.3 359 120.1C349.7 111.6 349.7 96.4 359 87.03L407 39.03z"],
    "car-rear": [512, 512, ["car-alt"], "f5de", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V336C512 359.7 499.1 380.4 480 391.4V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V391.4C12.87 380.4 0 359.7 0 336V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM208 272C199.2 272 192 279.2 192 288V320C192 328.8 199.2 336 208 336H304C312.8 336 320 328.8 320 320V288C320 279.2 312.8 272 304 272H208zM72 304H104C117.3 304 128 293.3 128 280C128 266.7 117.3 256 104 256H72C58.75 256 48 266.7 48 280C48 293.3 58.75 304 72 304zM408 256C394.7 256 384 266.7 384 280C384 293.3 394.7 304 408 304H440C453.3 304 464 293.3 464 280C464 266.7 453.3 256 440 256H408z"],
    "car-side": [640, 512, [128663], "f5e4", "M640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 228.9 16.81 205.8 40.56 196.4L82.2 92.35C96.78 55.9 132.1 32 171.3 32H353.2C382.4 32 409.1 45.26 428.2 68.03L528.2 193C591.2 200.1 640 254.8 640 319.1V320zM171.3 96C158.2 96 146.5 103.1 141.6 116.1L111.3 192H224V96H171.3zM272 192H445.4L378.2 108C372.2 100.4 362.1 96 353.2 96H272V192zM525.3 400C527 394.1 528 389.6 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 389.6 432.1 394.1 434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400zM205.3 400C207 394.1 208 389.6 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 160 432C180.9 432 198.7 418.6 205.3 400z"],
    "car-side-bolt": [640, 512, [], "e344", "M171.3 32H353.2C382.4 32 409.1 45.26 428.2 68.03L528.2 193C591.2 200.1 640 254.8 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 228.9 16.81 205.8 40.56 196.4L82.2 92.35C96.78 55.9 132.1 32 171.3 32V32zM525.3 400C527 394.1 528 389.6 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 389.6 432.1 394.1 434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400zM205.3 400C207 394.1 207.1 389.6 207.1 384C207.1 357.5 186.5 336 159.1 336C133.5 336 111.1 357.5 111.1 384C111.1 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 159.1 432C180.9 432 198.7 418.6 205.3 400zM311.5 98.43L183.5 178.4C177.5 182.2 174.7 189.6 176.6 196.4C178.6 203.3 184.9 208 192 208H243.7L210.3 263.8C206.5 270.1 207.5 278.2 212.8 283.4C218.1 288.6 226.2 289.5 232.5 285.6L360.5 205.6C366.5 201.8 369.4 194.5 367.4 187.6C365.4 180.7 359.1 176 352 176H300.3L333.7 120.2C337.5 113.9 336.5 105.8 331.2 100.6C325.9 95.4 317.8 94.51 311.5 98.43H311.5z"],
    "car-tilt": [640, 512, [], "f5e5", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C162.5 447.5 162.6 447.8 162.6 448H592C618.5 448 640 469.5 640 496V512H0V496C0 469.5 21.49 448 48 448H63.27L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1L133.5 339.1zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7V202.7z"],
    "car-tunnel": [512, 512, [], "e4de", "M190.8 277.5C191.8 274.2 194.9 272 198.4 272H313.6C317.1 272 320.2 274.2 321.2 277.5L334.1 320H177L190.8 277.5zM144 384C144 370.7 154.7 360 168 360C181.3 360 192 370.7 192 384C192 397.3 181.3 408 168 408C154.7 408 144 397.3 144 384zM368 384C368 397.3 357.3 408 344 408C330.7 408 320 397.3 320 384C320 370.7 330.7 360 344 360C357.3 360 368 370.7 368 384zM512 256V448C512 483.3 483.3 512 448 512H384H128H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM384 512C401.7 512 416 497.7 416 480V376C416 355.2 404.7 337.1 387.8 327.4L366.9 262.7C359.4 239.6 337.9 224 313.6 224H198.4C174.1 224 152.6 239.6 145.1 262.7L124.1 327.4C107.3 337.1 96 355.2 96 376V480C96 497.7 110.3 512 128 512C145.7 512 160 497.7 160 480V448H352V480C352 497.7 366.3 512 384 512H384z"],
    "car-wash": [448, 512, [], "f5e6", "M16 80C16 48 64 0 64 0C64 0 112 48 112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80zM176 80C176 48 224 0 224 0C224 0 272 48 272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80zM432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80C336 48 384 0 384 0C384 0 432 48 432 80zM145.8 160H286.2C319.1 160 350.1 181.3 361.5 213.1L389.8 292.4C409.9 300.9 424 320.8 424 344V480C424 497.7 409.7 512 392 512H376C358.3 512 344 497.7 344 480V448H88.01V480C88.01 497.7 73.68 512 56.01 512H40.01C22.33 512 8.006 497.7 8.006 480V344C8.006 320.8 22.09 300.9 42.16 292.4L70.49 213.1C81.86 181.3 112 160 145.8 160H145.8zM145.8 224C139.1 224 133 228.3 130.8 234.6L111.7 288H320.3L301.2 234.6C298.1 228.3 292.9 224 286.2 224H145.8zM88.01 392C101.3 392 112 381.3 112 368C112 354.7 101.3 344 88.01 344C74.75 344 64.01 354.7 64.01 368C64.01 381.3 74.75 392 88.01 392zM344 344C330.8 344 320 354.7 320 368C320 381.3 330.8 392 344 392C357.3 392 368 381.3 368 368C368 354.7 357.3 344 344 344z"],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", "M534.5 104C545.3 104 552.1 114.6 547.1 123.6C543.5 129.1 539.3 134.1 534.5 138.5C530.3 142.4 525.7 145.9 520.7 148.9C518.8 149.1 516.9 151 514.9 152C504.4 157.1 492.5 160 480 160C450.9 160 425.5 144.5 411.5 121.3C408.2 115.8 402.5 112 396.2 112H179.8C173.5 112 167.8 115.8 164.5 121.3C150.5 144.5 125.1 160 96 160C83.48 160 71.64 157.1 61.09 152C59.1 151 57.16 149.1 55.27 148.9C50.29 145.9 45.66 142.4 41.46 138.5C36.71 134.1 32.5 129.1 28.94 123.6C23.04 114.6 30.65 104 41.46 104H72L72.51 103.1C73.24 103.1 73.95 103.9 74.66 103.9C86.66 102.5 96 92.36 96 80C96 67.64 86.66 57.47 74.66 56.15C73.95 56.07 73.24 56.02 72.51 56.01L72 56H41.46C30.65 56 23.04 45.4 28.94 36.35C32.5 30.9 36.71 25.9 41.46 21.47C45.66 17.55 50.29 14.08 55.27 11.13C57.16 10.01 59.1 8.965 61.09 8C71.64 2.875 83.48 0 96 0C125.1 0 150.5 15.51 164.5 38.71C167.8 44.15 173.5 48 179.8 48H396.2C402.5 48 408.2 44.15 411.5 38.71C425.5 15.51 450.9 0 480 0C492.5 0 504.4 2.875 514.9 8C516.9 8.965 518.8 10.01 520.7 11.13C525.7 14.08 530.3 17.55 534.5 21.47C539.3 25.9 543.5 30.9 547.1 36.35C552.1 45.4 545.3 56 534.5 56H504L503.5 56.01C502.8 56.02 502 56.07 501.3 56.15C489.3 57.47 480 67.64 480 80C480 92.36 489.3 102.5 501.3 103.9C502 103.9 502.8 103.1 503.5 103.1L504 104H534.5zM217.8 160H358.2C391.1 160 422.1 181.3 433.5 213.1L461.8 292.4C481.9 300.9 496 320.8 496 344V480C496 497.7 481.7 512 464 512H448C430.3 512 416 497.7 416 480V448H160V480C160 497.7 145.7 512 128 512H112C94.33 512 80 497.7 80 480V344C80 320.8 94.08 300.9 114.2 292.4L142.5 213.1C153.9 181.3 184 160 217.8 160V160zM217.8 224C211.1 224 205 228.3 202.8 234.6L183.7 288H392.3L373.2 234.6C370.1 228.3 364.9 224 358.2 224H217.8zM160 392C173.3 392 184 381.3 184 368C184 354.7 173.3 344 160 344C146.7 344 136 354.7 136 368C136 381.3 146.7 392 160 392zM416 344C402.7 344 392 354.7 392 368C392 381.3 402.7 392 416 392C429.3 392 440 381.3 440 368C440 354.7 429.3 344 416 344z"],
    "caravan": [640, 512, [], "f8ff", "M0 112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336V112zM320 352H448V256H416C407.2 256 400 248.8 400 240C400 231.2 407.2 224 416 224H448V160C448 142.3 433.7 128 416 128H352C334.3 128 320 142.3 320 160V352zM96 128C78.33 128 64 142.3 64 160V224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96zM192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464z"],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", "M416 32C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416zM64 224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96C78.33 128 64 142.3 64 160V224zM352 128C334.3 128 320 142.3 320 160V224C320 241.7 334.3 256 352 256H416C433.7 256 448 241.7 448 224V160C448 142.3 433.7 128 416 128H352zM192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368z"],
    "card-club": [384, 512, [], "e3e9", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 264C80 294.9 105.1 320 136 320C151.7 320 165.8 313.6 176 303.2V336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H224C232.8 368 240 360.8 240 352C240 343.2 232.8 336 224 336H208V303.2C218.2 313.6 232.3 320 248 320C278.9 320 304 294.9 304 264C304 235.1 282.1 211.3 253.9 208.3C255.3 203.1 256 197.6 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 197.6 128.7 203.1 130.1 208.3C101.9 211.3 80 235.1 80 264z"],
    "card-diamond": [384, 512, [], "e3ea", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3L180.7 363.3C186.9 369.6 197.1 369.6 203.3 363.3L299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7L203.3 148.7C197.1 142.4 186.9 142.4 180.7 148.7L84.69 244.7z"],
    "card-heart": [384, 512, [], "e3eb", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM202.2 351.7L286.6 264.3C311.1 238.1 309.7 197 282.6 173.4C258.2 152.9 222.3 156.8 200.5 179.1L192.2 188.3L183.5 179.1C161.6 156.8 125.3 152.9 101.7 173.4C74.21 197 72.9 238.1 97.37 264.3L182.1 351.7C187.4 357.4 196.6 357.4 202.2 351.7H202.2z"],
    "card-spade": [384, 512, [], "e3ec", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM88.4 224.4C66.53 246.3 66.53 281.7 88.4 303.6C110.3 325.5 145.7 325.5 167.6 303.6L175 296.2C175.3 295.8 175.7 295.5 175.1 295.2V335.1H159.1C151.2 335.1 143.1 343.2 143.1 351.1C143.1 360.8 151.2 367.1 159.1 367.1H223.1C232.8 367.1 239.1 360.8 239.1 351.1C239.1 343.2 232.8 335.1 223.1 335.1H207.1V295.2C208.3 295.5 208.7 295.8 208.1 296.2L216.4 303.6C238.3 325.5 273.7 325.5 295.6 303.6C317.5 281.7 317.5 246.3 295.6 224.4L208.1 137.8C199.6 128.4 184.4 128.4 175 137.8L88.4 224.4z"],
    "cards": [640, 512, [], "e3ed", "M7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9zM196.1 159.6C185.8 156.6 174.4 163.2 171.4 174.3L143.8 277.3C136.9 303.2 152.3 329.1 178.3 336.9C204.3 343.9 230.1 328.5 237.9 302.5L240.3 293.6C240.4 293.3 240.5 292.9 240.6 292.5L258.4 323.2L246.3 330.2C239.6 334 237.4 342.5 241.2 349.2C245.1 355.9 253.6 358.1 260.2 354.3L308.4 326.5C315.1 322.6 317.4 314.1 313.5 307.4C309.7 300.8 301.2 298.5 294.5 302.3L282.5 309.3L264.7 278.6C265.1 278.7 265.5 278.8 265.9 278.9L274.7 281.2C300.7 288.2 327.4 272.8 334.4 246.8C341.3 220.8 325.9 194.1 299.9 187.1L196.1 159.6zM491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L491.5 301.1zM533.9 237.6L582 187.6C596 173.1 595.3 149.2 579.8 135.7C565.8 123.9 545.3 126.2 532.9 138.9L528.1 144.2L523.1 138.9C510.6 126.2 489.9 123.9 476.4 135.7C460.7 149.2 459.9 173.1 473.9 187.6L522.4 237.6C525.4 240.8 530.6 240.8 533.9 237.6H533.9z"],
    "cards-blank": [640, 512, [], "e4df", "M220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468zM491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L491.5 301.1z"],
    "caret-down": [320, 512, [], "f0d7", "M310.6 246.6l-127.1 128C176.4 380.9 168.2 384 160 384s-16.38-3.125-22.63-9.375l-127.1-128C.2244 237.5-2.516 223.7 2.438 211.8S19.07 192 32 192h255.1c12.94 0 24.62 7.781 29.58 19.75S319.8 237.5 310.6 246.6z"],
    "caret-left": [256, 512, [], "f0d9", "M137.4 406.6l-128-127.1C3.125 272.4 0 264.2 0 255.1s3.125-16.38 9.375-22.63l128-127.1c9.156-9.156 22.91-11.9 34.88-6.943S192 115.1 192 128v255.1c0 12.94-7.781 24.62-19.75 29.58S146.5 415.8 137.4 406.6z"],
    "caret-right": [256, 512, [], "f0da", "M118.6 105.4l128 127.1C252.9 239.6 256 247.8 256 255.1s-3.125 16.38-9.375 22.63l-128 127.1c-9.156 9.156-22.91 11.9-34.88 6.943S64 396.9 64 383.1V128c0-12.94 7.781-24.62 19.75-29.58S109.5 96.23 118.6 105.4z"],
    "caret-up": [320, 512, [], "f0d8", "M9.39 265.4l127.1-128C143.6 131.1 151.8 128 160 128s16.38 3.125 22.63 9.375l127.1 128c9.156 9.156 11.9 22.91 6.943 34.88S300.9 320 287.1 320H32.01c-12.94 0-24.62-7.781-29.58-19.75S.2333 274.5 9.39 265.4z"],
    "carrot": [512, 512, [129365], "f787", "M298.2 156.6C245.5 130.9 183.7 146.1 147.1 189.4l55.27 55.31c6.25 6.25 6.25 16.33 0 22.58c-3.127 3-7.266 4.605-11.39 4.605s-8.068-1.605-11.19-4.605L130.3 217l-128.1 262.8c-2.875 6-3 13.25 0 19.63c5.5 11.12 19 15.75 30 10.38l133.6-65.25L116.7 395.3c-6.377-6.125-6.377-16.38 0-22.5c6.25-6.25 16.37-6.25 22.5 0l56.98 56.98l102-49.89c24-11.63 44.5-31.26 57.13-57.13C385.5 261.1 359.9 186.8 298.2 156.6zM390.2 121.8C409.7 81 399.7 32.88 359.1 0c-50.25 41.75-52.51 107.5-7.875 151.9l8 8C404.5 204.5 470.4 202.3 512 152C479.1 112.3 430.1 102.3 390.2 121.8z"],
    "cars": [640, 512, [], "f85b", "M36.15 134.4L62.7 54.7C73.59 22.03 104.2 0 138.6 0H277.4C311.8 0 342.4 22.03 353.3 54.7L377.7 128H362.6C314.4 128 271.6 158.8 256.3 204.6L233.6 272.9C227.3 277.3 221.5 282.3 216.5 288H80V320C80 337.7 65.67 352 48 352H32C14.33 352 .0003 337.7 .0003 320L0 192C0 166.6 14.75 144.7 36.15 134.4V134.4zM105.7 128H310.3L292.6 74.94C290.4 68.41 284.3 64 277.4 64H138.6C131.7 64 125.6 68.41 123.4 74.94L105.7 128zM80 184C66.75 184 56 194.7 56 208C56 221.3 66.75 232 80 232C93.25 232 104 221.3 104 208C104 194.7 93.25 184 80 184zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "cart-arrow-down": [576, 512, [], "f218", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H312V134.1L288.1 111C279.6 101.7 264.4 101.7 255 111C245.7 120.4 245.7 135.6 255 144.1L319 208.1C328.4 218.3 343.6 218.3 352.1 208.1L416.1 144.1C426.3 135.6 426.3 120.4 416.1 111C407.6 101.7 392.4 101.7 383 111L360 134.1V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-arrow-up": [576, 512, [], "e3ee", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H360V177.9L383 200.1C392.4 210.3 407.6 210.3 416.1 200.1C426.3 191.6 426.3 176.4 416.1 167L352.1 103C343.6 93.66 328.4 93.66 319 103L255 167C245.7 176.4 245.7 191.6 255 200.1C264.4 210.3 279.6 210.3 288.1 200.1L312 177.9V288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM540.7 364.7L512 393.4V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V393.4L451.3 364.7C445.1 358.4 434.9 358.4 428.7 364.7C422.4 370.9 422.4 381.1 428.7 387.3L484.7 443.3C490.9 449.6 501.1 449.6 507.3 443.3L563.3 387.3C569.6 381.1 569.6 370.9 563.3 364.7C557.1 358.4 546.9 358.4 540.7 364.7H540.7z"],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM451.3 371.3L480 342.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V342.6L540.7 371.3C546.9 377.6 557.1 377.6 563.3 371.3C569.6 365.1 569.6 354.9 563.3 348.7L507.3 292.7C501.1 286.4 490.9 286.4 484.7 292.7L428.7 348.7C422.4 354.9 422.4 365.1 428.7 371.3C434.9 377.6 445.1 377.6 451.3 371.3H451.3z"],
    "cart-circle-check": [640, 512, [], "e3f1", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "cart-circle-exclamation": [640, 512, [], "e3f2", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "cart-circle-plus": [640, 512, [], "e3f3", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352H512V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H480V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V384H560z"],
    "cart-circle-xmark": [640, 512, [], "e3f4", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", "M240 320h320c26.4 0 48-21.6 48-48v-192C608 53.6 586.4 32 560 32H448v128l-48-32L352 160V32H240C213.6 32 192 53.6 192 80v192C192 298.4 213.6 320 240 320zM608 384H128V64c0-35.2-28.8-64-64-64H31.1C14.4 0 0 14.4 0 32S14.4 64 31.1 64H48C56.84 64 64 71.16 64 80v335.1c0 17.6 14.4 32 32 32l66.92-.0009C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.641-1.13-10.97-2.917-16h197.9c-1.787 5.027-2.928 10.36-2.928 16C448 490.5 469.5 512 496 512c26.51 0 48.01-21.49 48.01-47.1c0-5.641-1.12-10.97-2.907-16l66.88 .0009C625.6 448 640 433.6 640 415.1C640 398.4 625.6 384 608 384z"],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", "M448 160h64c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-64c-17.6 0-32 14.4-32 32v64C416 145.6 430.4 160 448 160zM448 320h128c17.6 0 32-14.4 32-32V224c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v64C416 305.6 430.4 320 448 320zM224 320h128c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320zM640 415.1c0 17.6-14.4 32-32 31.1l-66.88-.0011c1.787 5.027 2.907 10.36 2.907 16c0 26.51-21.5 48-48.01 48c-26.51 0-47.99-21.49-47.99-48c0-5.641 1.141-10.97 2.928-16H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.641 1.13-10.97 2.917-16l-66.92 .0011C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", "M640 415.1c0 17.6-14.4 32-32 31.1l-66.88-.0011c1.787 5.027 2.907 10.36 2.907 16c0 26.51-21.5 48-48.01 48c-26.51 0-47.99-21.49-47.99-48c0-5.641 1.141-10.97 2.928-16H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.641 1.13-10.97 2.917-16l-66.92 .0011C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", "M541.2 448C542.1 453 544.1 458.4 544.1 464C544.1 490.5 522.6 512 496 512C469.5 512 448.1 490.5 448.1 464C448.1 458.4 449.2 453 450.1 448H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512C181.5 512 160 490.5 160 464C160 458.4 161.1 453 162.9 448L96 448C78.4 448 64 433.6 64 416V80C64 71.16 56.84 64 48 64H32C14.4 64 0 49.6 0 32C0 14.4 14.4 0 32 0H64C99.2 0 128 28.8 128 64V384H608C625.6 384 640 398.4 640 416C640 433.6 625.6 448 608 448L541.2 448zM432 0C458.5 0 480 21.5 480 48V320H288V48C288 21.5 309.5 0 336 0H432zM336 96H432V48H336V96zM256 320H224C206.4 320 192 305.6 192 288V128C192 110.4 206.4 96 224 96H256V320zM576 128V288C576 305.6 561.6 320 544 320H512V96H544C561.6 96 576 110.4 576 128z"],
    "cart-minus": [576, 512, [], "e0db", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM280 140C268.1 140 260 148.1 260 160C260 171 268.1 180 280 180H392C403 180 412 171 412 160C412 148.1 403 140 392 140H280zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-plus": [576, 512, [], "f217", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM272 180H316V224C316 235 324.1 244 336 244C347 244 356 235 356 224V180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H356V96C356 84.95 347 76 336 76C324.1 76 316 84.95 316 96V140H272C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-shopping-fast": [640, 512, [], "e0dc", "M64 24C64 10.75 74.75 0 88 0H160C171.5 0 181.4 8.19 183.6 19.51L185.1 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288H234.7L243.9 336H552C565.3 336 576 346.7 576 360C576 373.3 565.3 384 552 384H223.1C212.5 384 202.6 375.8 200.4 364.5L140.1 48H88C74.75 48 64 37.25 64 24V24zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM104 96C117.3 96 128 106.7 128 120C128 133.3 117.3 144 104 144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H104zM120 176C133.3 176 144 186.7 144 200C144 213.3 133.3 224 120 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H120zM136 256C149.3 256 160 266.7 160 280C160 293.3 149.3 304 136 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H136z"],
    "cart-xmark": [576, 512, [], "e0dd", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM282.3 134.5L307.7 160L282.3 185.5C274.4 193.3 274.4 205.9 282.3 213.7C290.1 221.6 302.7 221.6 310.5 213.7L336 188.3L361.5 213.7C369.3 221.6 381.9 221.6 389.7 213.7C397.6 205.9 397.6 193.3 389.7 185.5L364.3 160L389.7 134.5C397.6 126.7 397.6 114.1 389.7 106.3C381.9 98.45 369.3 98.45 361.5 106.3L336 131.7L310.5 106.3C302.7 98.45 290.1 98.45 282.3 106.3C274.4 114.1 274.4 126.7 282.3 134.5V134.5zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cash-register": [512, 512, [], "f788", "M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H208V160H424.1C456.6 160 483.5 183.1 488.2 214.4L510.9 364.1C511.6 368.8 512 373.6 512 378.4V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V378.4C0 373.6 .3622 368.8 1.083 364.1L23.76 214.4C28.5 183.1 55.39 160 87.03 160H143.1V128H63.1C46.33 128 31.1 113.7 31.1 96V32C31.1 14.33 46.33 0 63.1 0L288 0zM96 48C87.16 48 80 55.16 80 64C80 72.84 87.16 80 96 80H256C264.8 80 272 72.84 272 64C272 55.16 264.8 48 256 48H96zM80 448H432C440.8 448 448 440.8 448 432C448 423.2 440.8 416 432 416H80C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448zM112 216C98.75 216 88 226.7 88 240C88 253.3 98.75 264 112 264C125.3 264 136 253.3 136 240C136 226.7 125.3 216 112 216zM208 264C221.3 264 232 253.3 232 240C232 226.7 221.3 216 208 216C194.7 216 184 226.7 184 240C184 253.3 194.7 264 208 264zM160 296C146.7 296 136 306.7 136 320C136 333.3 146.7 344 160 344C173.3 344 184 333.3 184 320C184 306.7 173.3 296 160 296zM304 264C317.3 264 328 253.3 328 240C328 226.7 317.3 216 304 216C290.7 216 280 226.7 280 240C280 253.3 290.7 264 304 264zM256 296C242.7 296 232 306.7 232 320C232 333.3 242.7 344 256 344C269.3 344 280 333.3 280 320C280 306.7 269.3 296 256 296zM400 264C413.3 264 424 253.3 424 240C424 226.7 413.3 216 400 216C386.7 216 376 226.7 376 240C376 253.3 386.7 264 400 264zM352 296C338.7 296 328 306.7 328 320C328 333.3 338.7 344 352 344C365.3 344 376 333.3 376 320C376 306.7 365.3 296 352 296z"],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", "M160 352c17.62 0 32-14.38 32-32S177.6 288 160 288s-32 14.38-32 32S142.4 352 160 352zM528 32h-480C21.49 32 0 53.49 0 80V128h576V80C576 53.49 554.5 32 528 32zM0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V160H0V432zM320 224h192v192h-192V224zM160 224c52.95 0 96 43.05 96 96s-43.05 96-96 96c-52.95 0-96-43.05-96-96S107.1 224 160 224z"],
    "cassette-tape": [576, 512, [128429], "f8ab", "M416 384l32 96H128l32-96H416zM576 96v336c0 26.51-21.49 48-48 48h-46.27l-35.37-106.1C442 360.8 429.8 352 416 352H159.1c-13.77 0-26 8.813-30.36 21.88L94.27 480H48C21.49 480 0 458.5 0 432V96c0-35.35 28.65-64 64-64h448C547.3 32 576 60.65 576 96zM176 224c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S176 241.6 176 224zM336 224c0-11.28 2.305-21.95 5.879-32H234.1C237.7 202.1 240 212.7 240 224S237.7 245.9 234.1 256h107.8C338.3 245.9 336 235.3 336 224zM464 224c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S464 241.6 464 224z"],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", "M0 432c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V160H0V432zM416 349c19.12-6.625 32-24.78 32-45.03s-12.88-38.41-32-45.03V224l48.87 0C483.1 245.3 496 273.1 496 304s-12 58.75-31.13 80L416 384V349zM224 224h128v159.1H224V224zM111.1 224L160 224V258.1C140.9 265.6 128 283.8 128 304s12.88 38.4 32 45.03v34.97l-48.87 0C92 362.8 80 334.9 80 304S92 245.3 111.1 224zM528 32h-480C21.49 32 0 53.49 0 80v48h576V80C576 53.49 554.5 32 528 32z"],
    "castle": [640, 512, [], "e0de", "M128 16C128 7.164 135.2 0 144 0H176C184.8 0 192 7.164 192 16V64H240V16C240 7.164 247.2 0 256 0H288C296.8 0 304 7.164 304 16V64H336V16C336 7.164 343.2 0 352 0H384C392.8 0 400 7.164 400 16V64H448V16C448 7.164 455.2 0 464 0H496C504.8 0 512 7.164 512 16V224H576V176C576 167.2 583.2 160 592 160H624C632.8 160 640 167.2 640 176V464C640 490.5 618.5 512 592 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H48C21.49 512 0 490.5 0 464V176C0 167.2 7.164 160 16 160H48C56.84 160 64 167.2 64 176V224H128V16z"],
    "cat": [576, 512, [128008], "f6be", "M322.6 192C302.4 192 215.8 194 160 278V192c0-53-43-96-96-96C46.38 96 32 110.4 32 128s14.38 32 32 32s32 14.38 32 32v256c0 35.25 28.75 64 64 64h176c8.875 0 16-7.125 16-15.1V480c0-17.62-14.38-32-32-32h-32l128-96v144c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16V289.9c-10.25 2.625-20.88 4.5-32 4.5C386.2 294.4 334.5 250.4 322.6 192zM480 96h-64l-64-64v134.4c0 53 43 95.1 96 95.1s96-42.1 96-95.1V32L480 96zM408 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S416.9 176 408 176zM488 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S496.9 176 488 176z"],
    "cat-space": [640, 512, [], "e001", "M544 32.75V32l-.375 .375C516.9 12.38 484 0 448 0s-68.88 12.38-95.63 32.38L352 32v.75C313.4 61.88 287.1 107.9 287.1 160c0 11.5 1.383 22.96 3.883 34.34c-35.88 5.25-91.76 23.26-131.9 83.64V192c0-53-43-96-96-96c-17.62 0-32 14.38-32 32s14.38 32 32 32s32 14.38 32 32v256c0 35.38 28.63 64 64 64h175.1c4.25 0 8.375-1.625 11.37-4.625s4.625-7.119 4.625-11.37V480c0-17.62-14.38-32-32-32H287.1l128-96v144c0 4.25 1.625 8.375 4.625 11.38S427.7 512 431.1 512h32.01c4.25 0 8.375-1.625 11.37-4.625s4.625-7.116 4.625-11.37V316.8C554.5 301.5 608 236 608 160C608 107.9 582.6 61.88 544 32.75zM448 32c26.12 0 51.63 8.125 73 23L480 96h-64l-41-40.88C396.4 40.12 421.9 32 448 32zM503.1 160C503.1 168.9 496.9 176 487.1 176S472 168.9 472 160s7.125-16 16-16c4.25 0 8.375 1.625 11.38 4.625S503.1 155.8 503.1 160zM423.1 160C423.1 168.9 416.9 176 407.1 176S392 168.9 392 160s7.125-16 16-16c4.25 0 8.375 1.625 11.38 4.625S423.1 155.8 423.1 160zM448 288c-70.63-.125-127.9-57.37-128-127.1c0-32.13 12.38-61.25 32-83.75V160c0 53 43 96 96 96s96-43 96-96V76.25C563.6 98.75 576 127.9 576 160C575.9 230.6 518.6 287.9 448 288zM162.1 68.76L202.6 85.36l16.6 39.65c.875 1.875 2.762 2.986 4.763 2.986c1.999 0 3.875-1.111 4.75-2.986L245.3 85.36l39.65-16.6c1.875-.875 2.992-2.756 2.992-4.756s-1.117-3.882-2.992-4.757L245.3 42.64L228.7 2.986C227.9 1.111 225.1 .0001 223.1 .0001c-2.001 0-3.888 1.111-4.763 2.986L202.6 42.64L162.1 59.24c-1.875 .875-2.98 2.757-2.98 4.757S161.1 67.88 162.1 68.76z"],
    "cauldron": [448, 512, [], "f6bf", "M128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32zM224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H412.9C431.5 256.1 448 297.1 448 334.4C448 371.8 436.1 403.8 416 429.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V473C327.6 498.5 276.2 512 224 512C171.8 512 120.4 498.5 80 473V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V429.9C11.93 403.8 0 371.8 0 334.4C0 297.1 16.46 256.1 35.11 224H32z"],
    "cedi-sign": [320, 512, [], "e0df", "M224 66.66C254.9 71.84 283.2 84.39 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C255.6 143.7 240.4 136.3 224 132V379.1C240.4 375.7 255.6 368.3 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C283.2 427.6 254.9 440.2 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32V66.66zM160 132C104.8 146.2 64 196.4 64 255.1C64 315.6 104.8 365.8 160 379.1V132z"],
    "cent-sign": [320, 512, [], "e3f5", "M192 0C209.7 0 224 14.33 224 32V66.66C254.9 71.84 283.2 84.39 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C283.2 427.6 254.9 440.2 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.66V32C160 14.33 174.3 .0006 192 .0006V0z"],
    "certificate": [512, 512, [], "f0a3", "M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46z"],
    "chair": [448, 512, [129681], "f6c0", "M445.1 338.6l-14.77-32C425.1 295.3 413.7 288 401.2 288H46.76C34.28 288 22.94 295.3 17.7 306.6l-14.77 32c-4.563 9.906-3.766 21.47 2.109 30.66S21.09 384 31.1 384l.001 112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V384h256v112c0 8.836 7.164 16 16 16h31.1c8.838 0 16-7.164 16-16L416 384c10.91 0 21.08-5.562 26.95-14.75S449.6 348.5 445.1 338.6zM111.1 128c0-29.48 16.2-54.1 40-68.87L151.1 256h48l.0092-208h48L247.1 256h48l.0093-196.9C319.8 73 335.1 98.52 335.1 128l-.0094 128h48.03l-.0123-128c0-70.69-57.31-128-128-128H191.1C121.3 0 63.98 57.31 63.98 128l.0158 128h47.97L111.1 128z"],
    "chair-office": [448, 512, [], "f6c1", "M64 224L64 160c0-17.62-14.38-32-32-32S0 142.4 0 160v64c0 17.62 14.38 32 32 32S64 241.6 64 224zM351.1 64c0-35.38-28.63-64-64-64h-128C124.6 0 95.98 28.62 95.98 64l.0254 192h255.1L351.1 64zM416 128c-17.62 0-32 14.38-32 32l-.0052 64c0 17.62 14.38 32 32.01 32s32-14.38 32-32V160C448 142.4 433.6 128 416 128zM403.6 309.9C399.4 296.8 387.1 288 373.3 288h-298.5c-13.88 0-26 8.75-30.38 21.88l-10.75 32C26.75 362.6 42.12 384 63.1 384H192v67.38c-28.25 6-51 19.62-61.88 37.25C123.8 498.9 132.5 512 145.1 512h157.8c12.62 0 21.38-13.12 15-23.38C307 471 284.3 457.4 256 451.4V384h128c21.75 0 37.25-21.38 30.37-42.13L403.6 309.9z"],
    "chalkboard": [576, 512, ["blackboard"], "f51b", "M96 96h384v288h64V72C544 50 525.1 32 504 32H72C49.1 32 32 50 32 72V384h64V96zM560 416H416v-48c0-8.838-7.164-16-16-16h-160C231.2 352 224 359.2 224 368V416H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h544c8.836 0 16-7.164 16-16v-32C576 423.2 568.8 416 560 416z"],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", "M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 63.1 17.81V64h352v288h-64V304c0-8.838-7.164-16-16-16h-96c-8.836 0-16 7.162-16 16V352H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", "M199.1 464h-39.99v-116.3c60.74-15.25 103.2-71.96 94.98-135.5l-26.99-184.9C225.7 11.75 212.2 0 196.2 0H59.77c-15.1 0-29.49 11.75-31.74 27.38L1.033 212.3c-8.248 63.5 34.23 120.3 94.97 135.5V464H56.01c-22.12 0-39.99 17.88-39.99 40c0 4.375 3.624 8 7.999 8h207.1c4.374 0 7.998-3.625 7.998-8C239.1 481.9 222.1 464 199.1 464zM61.81 128l11.71-80h108.1l11.71 80H61.81z"],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", "M639.4 433.6c-8.374-20.37-31.75-30.12-52.12-21.62l-22.12 9.249l-38.75-101.1c47.87-34.1 64.87-100.2 34.5-152.7l-86.62-150.5c-7.999-13.87-24.1-19.75-39.1-13.62l-114.2 47.37L205.8 2.415C190.8-3.71 173.8 2.165 165.8 16.04L79.15 166.5C48.9 219 65.78 284.3 113.6 319.2l-38.75 101.9L52.78 411.9c-20.37-8.499-43.62 1.25-52.12 21.62c-1.75 4.124 .125 8.749 4.25 10.5l162.4 67.37c3.1 1.75 8.624-.125 10.37-4.249c8.374-20.37-1.25-43.87-21.62-52.37l-22.12-9.124l39.37-103.6c4.5 .4999 8.874 1.25 13.12 1.25c51.75 0 99.37-32.1 113.4-85.24l20.25-75.36l20.25 75.36c13.1 52.24 61.62 85.24 113.4 85.24c4.25 0 8.624-.7499 13.12-1.25l39.25 103.6l-22.12 9.124c-20.37 8.499-30.12 31.1-21.62 52.37c1.75 4.124 6.5 5.999 10.5 4.249l162.4-67.37C639.1 442.2 641.1 437.7 639.4 433.6zM275.9 162.1L163.8 115.6l36.5-63.37L294.8 91.4L275.9 162.1zM364.1 162.1l-18.87-70.74l94.49-39.12l36.5 63.37L364.1 162.1z"],
    "charging-station": [576, 512, [], "f5e7", "M256 0C291.3 0 320 28.65 320 64V256H336C384.6 256 424 295.4 424 344V376C424 389.3 434.7 400 448 400C461.3 400 472 389.3 472 376V252.3C439.5 242.1 416 211.8 416 176V144C416 135.2 423.2 128 432 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H560C568.8 128 576 135.2 576 144V176C576 211.8 552.5 242.1 520 252.3V376C520 415.8 487.8 448 448 448C408.2 448 376 415.8 376 376V344C376 321.9 358.1 304 336 304H320V448C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64C32 28.65 60.65 0 96 0H256zM197.6 83.85L85.59 179.9C80.5 184.2 78.67 191.3 80.99 197.6C83.32 203.8 89.3 208 95.1 208H153.8L128.8 282.9C126.5 289.8 129.1 297.3 135.1 301.3C141 305.3 148.1 304.8 154.4 300.1L266.4 204.1C271.5 199.8 273.3 192.7 271 186.4C268.7 180.2 262.7 176 256 176H198.2L223.2 101.1C225.5 94.24 222.9 86.74 216.9 82.72C210.1 78.71 203 79.17 197.6 83.85V83.85z"],
    "chart-area": [512, 512, ["area-chart"], "f1fe", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM128 320V236C128 228.3 130.8 220.8 135.9 214.1L215.3 124.2C228.3 109.4 251.4 109.7 263.1 124.8L303.2 171.8C312.2 182.7 328.6 183.4 338.6 173.4L359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L472.3 231C477.3 236.8 480 244.2 480 251.8V320C480 337.7 465.7 352 448 352H159.1C142.3 352 127.1 337.7 127.1 320L128 320z"],
    "chart-bar": [512, 512, ["bar-chart"], "f080", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM128 128C128 110.3 142.3 96 160 96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H160C142.3 160 128 145.7 128 128zM288 192C305.7 192 320 206.3 320 224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224C128 206.3 142.3 192 160 192H288zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320C128 302.3 142.3 288 160 288H416z"],
    "chart-bullet": [512, 512, [], "e0e1", "M264 32C277.3 32 288 42.75 288 56V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H240V56C240 42.75 250.7 32 264 32zM160 160H240V128H160V160zM288 128V160H448V128H288zM48 448C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H336V280C336 266.7 346.7 256 360 256C373.3 256 384 266.7 384 280V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V448H48zM336 352H256V384H336V352zM384 384H448V352H384V384z"],
    "chart-candlestick": [512, 512, [], "e0e2", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM320 96C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48V96zM384 224C384 206.3 398.3 192 416 192V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C398.3 320 384 305.7 384 288V224zM160 80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V128C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C142.3 320 128 305.7 128 288V160C128 142.3 142.3 128 160 128V80z"],
    "chart-column": [512, 512, [], "e0e3", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM160 224C177.7 224 192 238.3 192 256V320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224zM288 320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V320zM352 192C369.7 192 384 206.3 384 224V320C384 337.7 369.7 352 352 352C334.3 352 320 337.7 320 320V224C320 206.3 334.3 192 352 192zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"],
    "chart-gantt": [512, 512, [], "e0e4", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM128 128C128 110.3 142.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C142.3 160 128 145.7 128 128zM352 192C369.7 192 384 206.3 384 224C384 241.7 369.7 256 352 256H224C206.3 256 192 241.7 192 224C192 206.3 206.3 192 224 192H352zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H384C366.3 352 352 337.7 352 320C352 302.3 366.3 288 384 288H448z"],
    "chart-line": [512, 512, ["line-chart"], "f201", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM342.6 278.6C330.1 291.1 309.9 291.1 297.4 278.6L240 221.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L217.4 153.4C229.9 140.9 250.1 140.9 262.6 153.4L320 210.7L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L342.6 278.6z"],
    "chart-line-down": [512, 512, [128201], "f64d", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM281.4 121.4C293.9 108.9 314.1 108.9 326.6 121.4L406.6 201.4L439 168.1C454.1 153.9 480 164.6 480 185.9V296C480 309.3 469.3 320 456 320H345.9C324.6 320 313.9 294.1 328.1 279L361.4 246.6L304 189.3L230.6 262.6C218.1 275.1 197.9 275.1 185.4 262.6L105.4 182.6C92.88 170.1 92.88 149.9 105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L207.1 194.7L281.4 121.4z"],
    "chart-line-up": [512, 512, [], "e0e5", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM439 279L406.6 246.6L326.6 326.6C314.1 339.1 293.9 339.1 281.4 326.6L208 253.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L185.4 185.4C197.9 172.9 218.1 172.9 230.6 185.4L304 258.7L361.4 201.4L328.1 168.1C313.9 153.9 324.6 128 345.9 128H456C469.3 128 480 138.7 480 152V262.1C480 283.4 454.1 294.1 439 279L439 279z"],
    "chart-mixed": [512, 512, ["analytics"], "f643", "M339.1 216.1C328.6 226.1 312.5 226.4 300.8 217.6L192.6 136.5L51.99 248.1C38.19 260 18.05 257.8 7.013 243.1C-4.028 230.2-1.79 210.1 12.01 199L172 71.01C183.4 61.9 199.5 61.65 211.2 70.4L319.4 151.5L460 39.01C473.8 27.97 493.9 30.21 504.1 44.01C516 57.81 513.8 77.95 499.1 88.99L339.1 216.1zM160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V256zM32 352C32 334.3 46.33 320 64 320C81.67 320 96 334.3 96 352V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V352zM352 320V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM416 256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V256z"],
    "chart-network": [640, 512, [], "f78a", "M287.1 64C287.1 77.65 283.7 90.31 276.4 100.7L305.6 163.2C315.4 161.1 325.6 160 336 160C372.1 160 405 173.3 430.3 195.2L512.4 134.1C512.1 132.7 512 130.4 512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C566.8 192 558.1 190.1 550.2 186.6L468.2 246.8C475.8 264.3 480 283.7 480 304C480 319.6 477.5 334.7 472.9 348.8L544.9 392C554.1 386.9 564.7 384 576 384C611.3 384 640 412.7 640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448L512 446.9L439.9 403.7C413.7 430.1 376.8 448 336 448C267.5 448 210.1 400.1 195.6 336H119.4C108.4 355.1 87.69 368 64 368C28.65 368 0 339.3 0 304C0 268.7 28.65 240 64 240C87.69 240 108.4 252.9 119.4 272H195.6C203 239 221.8 210.4 247.6 190.3L218.4 127.8C185.7 124.9 160 97.47 160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64H287.1zM336 352C362.5 352 384 330.5 384 304C384 277.5 362.5 256 336 256C309.5 256 287.1 277.5 287.1 304C287.1 330.5 309.5 352 336 352z"],
    "chart-pie": [576, 512, ["pie-chart"], "f200", "M304 16.58C304 7.555 310.1 0 320 0C443.7 0 544 100.3 544 224C544 233 536.4 240 527.4 240H304V16.58zM32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272zM558.4 288C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L320 288H558.4z"],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", "M495.4 240H272V16.58C272 7.555 278.1 0 288 0C411.7 0 512 100.3 512 224C512 233 504.4 240 495.4 240zM190.2 37.18C208.3 33.36 224 48.2 224 66.7V288H445.3C463.8 288 478.6 303.7 474.8 321.8C451.9 430.5 355.5 512 240 512C107.5 512 0 404.6 0 272C0 156.5 81.53 60.12 190.2 37.18V37.18z"],
    "chart-pyramid": [512, 512, [], "e0e6", "M349 159.1H162.1L221.4 59.72C236.9 33.26 275.1 33.26 290.6 59.72L349 159.1zM69.62 319.1L144.3 191.1H367.7L442.4 319.1H69.62zM461 352L500.6 419.8C516.2 446.5 496.9 480 466.1 480H45.93C15.06 480-4.179 446.5 11.38 419.8L50.95 352H461z"],
    "chart-radar": [512, 512, [], "e0e7", "M330.4 281.4C347.4 285.9 360 301.5 360 320C360 342.1 342.1 360 320 360C304.1 360 290.3 350.7 283.9 337.3L186.7 317.8C179.6 324.1 170.2 328 160 328C137.9 328 120 310.1 120 288C120 265.9 137.9 248 160 248L217.6 171.2C216.6 167.7 216 163.9 216 160C216 137.9 233.9 120 256 120C278.1 120 296 137.9 296 160C296 167.6 293.9 174.7 290.2 180.8L330.4 281.4zM202 271.9L281.3 287.8L249.6 208.6L202 271.9zM107.1 63.75C118.6 44.09 139.6 32 162.4 32H349.6C372.4 32 393.4 44.09 404.9 63.75L498.2 223.8C509.9 243.7 509.9 268.3 498.2 288.2L404.9 448.2C393.4 467.9 372.4 480 349.6 480H162.4C139.6 480 118.6 467.9 107.1 448.2L13.77 288.2C2.141 268.3 2.141 243.7 13.77 223.8L107.1 63.75zM349.6 96H162.4L69.05 256L162.4 416H349.6L442.1 256L349.6 96z"],
    "chart-scatter": [512, 512, [], "f7ee", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96C433.7 96 448 110.3 448 128zM128 320C128 302.3 142.3 288 160 288C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320z"],
    "chart-scatter-3d": [512, 512, [], "e0e8", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM288 273L468.5 423.4C482.1 434.7 483.9 454.9 472.6 468.5C461.3 482.1 441.1 483.9 427.5 472.6L255.1 329.7L84.49 472.6C70.91 483.9 50.73 482.1 39.42 468.5C28.1 454.9 29.94 434.7 43.51 423.4L223.1 273V64C223.1 46.33 238.3 32 255.1 32C273.7 32 288 46.33 288 64L288 273zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448z"],
    "chart-scatter-bubble": [512, 512, [], "e0e9", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304zM288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288zM288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176zM320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128z"],
    "chart-simple": [448, 512, [], "e473", "M160 80C160 53.49 181.5 32 208 32H240C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80zM0 272C0 245.5 21.49 224 48 224H80C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272zM400 96C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144C320 117.5 341.5 96 368 96H400z"],
    "chart-simple-horizontal": [448, 512, [], "e474", "M48 320C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272C448 298.5 426.5 320 400 320H48zM48 480C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432C256 458.5 234.5 480 208 480H48zM384 112C384 138.5 362.5 160 336 160H48C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112z"],
    "chart-tree-map": [512, 512, [], "e0ea", "M0 80C0 53.49 21.49 32 48 32H176C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80zM0 320C0 293.5 21.49 272 48 272H176C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320zM464 32C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H464zM256 240C256 213.5 277.5 192 304 192H464C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240zM464 352C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400C256 373.5 277.5 352 304 352H464z"],
    "chart-user": [640, 512, ["user-chart"], "f6a3", "M328.1 167c-9.375-9.375-24.6-9.375-33.98 0L280.3 181.8C285 195.1 288 209.1 288 224c0 6.875-1 13.38-2 20L312 218l55.01 54.99c9.375 9.375 24.6 9.375 33.98 0L473 201l24.25 24.25C508.6 236.6 528 228.6 528 212.5V124c0-6.625-5.375-12-12-12h-88.5c-16.12 0-24.12 19.38-12.75 30.75L439 167L384 222L328.1 167zM160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 64 17.8V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"],
    "chart-waterfall": [512, 512, [], "e0eb", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM160 224C177.7 224 192 238.3 192 256V320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224zM288 224C288 241.7 273.7 256 256 256C238.3 256 224 241.7 224 224V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V224zM352 64C369.7 64 384 78.33 384 96V160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160V96C320 78.33 334.3 64 352 64zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"],
    "check": [448, 512, [10004, 10003], "f00c", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z"],
    "check-double": [448, 512, [], "f560", "M182.6 246.6C170.1 259.1 149.9 259.1 137.4 246.6L57.37 166.6C44.88 154.1 44.88 133.9 57.37 121.4C69.87 108.9 90.13 108.9 102.6 121.4L159.1 178.7L297.4 41.37C309.9 28.88 330.1 28.88 342.6 41.37C355.1 53.87 355.1 74.13 342.6 86.63L182.6 246.6zM182.6 470.6C170.1 483.1 149.9 483.1 137.4 470.6L9.372 342.6C-3.124 330.1-3.124 309.9 9.372 297.4C21.87 284.9 42.13 284.9 54.63 297.4L159.1 402.7L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L182.6 470.6z"],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", "M480 80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384h384V80zM378.9 166.8l-88 112c-4.031 5.156-10 8.438-16.53 9.062C273.6 287.1 272.7 287.1 271.1 287.1c-5.719 0-11.21-2.019-15.58-5.769l-56-48C190.3 225.6 189.2 210.4 197.8 200.4c8.656-10.06 23.81-11.19 33.84-2.594l36.97 31.69l72.53-92.28c8.188-10.41 23.31-12.22 33.69-4.062C385.3 141.3 387.1 156.4 378.9 166.8zM528 288H512v112c0 8.836-7.164 16-16 16h-416C71.16 416 64 408.8 64 400V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288z"],
    "cheese": [512, 512, [], "f7ef", "M0 288v159.1C0 465.6 14.38 480 32 480h448c17.62 0 32-14.38 32-31.1V288H0zM299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.1L0 255.1l512-.0118C512 136.1 417.1 38.26 299.9 32.01z"],
    "cheese-swiss": [512, 512, [129472], "f7f0", "M368 336c-26.5 0-48-21.5-48-47.1L0 288v159.1C0 465.6 14.38 480 32 480h448c17.62 0 32-14.38 32-31.1V288l-96-.0049C416 314.5 394.5 336 368 336zM176 432c-26.5 0-48-21.5-48-47.1s21.5-47.1 48-47.1S224 357.5 224 384S202.5 432 176 432zM299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.999L217 87.01c12.62 20.87 7.625 47.75-11.5 62.75C186.2 164.8 158.9 162.9 141.9 145.5L0 255.1l512-.0124C512 136.1 417.1 38.26 299.9 32.01z"],
    "cherries": [640, 512, [], "e0ec", "M539.3 224.1c92.31 0 100.7 82.36 100.7 105.7c0 82.16-67.03 182.2-192.1 182.2c-39.88 0-73.85-10.22-101.6-26.74c72.31-67.57 69.58-151.3 69.58-155.5c0-53.36-22.6-86.5-42.37-104.6c13.31 1.428 27.88 4.658 43.48 9.602c-25.36-78.68-79.69-137.1-113.6-167.4C285.3 145.4 261 197.1 241.4 229.5c15.22-3.639 29.09-5.393 41.81-5.393c92.31 0 100.6 82.42 100.6 105.7c0 82.16-66.98 182.2-191.9 182.2c-124.9 0-191.1-100.1-191.1-182.2c0-23.27 8.325-105.7 100.6-105.7c21.21 0 45.92 4.875 74.13 15.48c16.41-17.14 63.79-79.87 89.55-219.9c2.151-11.67 12.43-19.68 23.63-19.68c24.61 0 145.7 106.5 180.2 238.4C495.1 228.6 518.8 224.1 539.3 224.1z"],
    "chess": [512, 512, [], "f439", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38C216.6 115.8 216.9 113.1 216.9 112.1C216.9 103.1 209.5 96 200.9 96H144V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32H96.01c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208zM339.9 301.8L336.6 384h126.8l-3.25-82.25l24.5-20.75C491.9 274.9 496 266 496 256.5V198C496 194.6 493.4 192 489.1 192h-26.37c-3.375 0-6 2.625-6 6V224h-24.75V198C432.9 194.6 430.3 192 426.9 192h-53.75c-3.375 0-6 2.625-6 6V224h-24.75V198C342.4 194.6 339.8 192 336.4 192h-26.38C306.6 192 304 194.6 304 198v58.62c0 9.375 4.125 18.25 11.38 24.38L339.9 301.8zM384 304C384 295.1 391.1 288 400 288S416 295.1 416 304v32h-32V304zM247.1 459.6L224 448v-16C224 423.1 216.9 416 208 416h-160C39.13 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6zM503.1 459.6L480 448v-16c0-8.875-7.125-16-16-16h-128c-8.875 0-16 7.125-16 16V448l-23.12 11.62C291.4 462.3 288 467.9 288 473.9V496c0 8.875 7.125 16 16 16h192c8.875 0 16-7.125 16-16v-22.12C512 467.9 508.6 462.3 503.1 459.6z"],
    "chess-bishop": [320, 512, [9821], "f43a", "M272 448h-224C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h288c8.836 0 16-7.164 16-16C320 469.5 298.5 448 272 448zM8 287.9c0 51.63 22.12 73.88 56 84.63V416h192v-43.5c33.88-10.75 56-33 56-84.63c0-30.62-10.75-67.13-26.75-102.5L185 285.6c-1.565 1.565-3.608 2.349-5.651 2.349c-2.036 0-4.071-.7787-5.63-2.339l-11.35-11.27c-1.56-1.56-2.339-3.616-2.339-5.672c0-2.063 .7839-4.128 2.349-5.693l107.9-107.9C249.5 117.3 223.8 83 199.4 62.5C213.4 59.13 224 47 224 32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32c0 15 10.62 27.12 24.62 30.5C67.75 106.8 8 214.5 8 287.9z"],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", "M64 288h14.88C76.88 320.4 71.88 352.5 64 384h128c-7.875-31.5-12.88-63.63-14.88-96H192c8.875 0 16-7.125 16-16V256c0-8.875-7.125-16-16-16h-11.62c16-6.625 26.38-25.12 26.38-50.38c0-19.38-7.125-42.38-17.63-63.38L140.5 174.9C139.8 175.6 138.8 176 137.6 176c-1 0-2-.375-2.75-1.125l-5.75-5.75C128.4 168.4 128 167.4 128 166.4s.375-2.047 1.125-2.859L181 111.8c-10.25-16.88-22.25-31.25-33.88-39.38C155.2 69.62 160 61.88 160 52.75C160 41.25 151.9 32 140.5 32h-25C104.1 32 96 41.25 96 52.75c0 9.125 4.75 16.87 12.88 19.62C80.25 92.25 49.25 149.1 49.25 189.6c0 25.25 10.38 43.75 26.38 50.38H64C55.12 240 48 247.1 48 256v16C48 280.9 55.12 288 64 288zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z"],
    "chess-board": [448, 512, [], "f43c", "M192 224H128v64h64V224zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 160h-64v64h64v64h-64v64h64v64h-64v-64h-64v64H192v-64H128v64H64v-64h64V288H64V224h64V160H64V96h64v64h64V96h64v64h64V96h64V160zM192 288v64h64V288H192zM256 224V160H192v64H256zM256 288h64V224h-64V288z"],
    "chess-clock": [640, 512, [], "f43d", "M576 128h-32l.0001-16c0-8.875-7.125-16-16-16h-128C391.3 96 384 103.1 384 112V128H200.3L200.2 80H232C245.3 80 256 69.25 256 56S245.3 32 232 32h-112C106.8 32 96 42.75 96 56S106.8 80 120 80h32.17L152.3 128H64C28.65 128 0 156.7 0 192v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416c-61.87 0-112.1-50.13-112.1-112S114.5 192 176.4 192c61.88 .125 112 50.25 112 112.1C288.4 365.9 238.1 416 176.5 416zM464.5 416c-61.88 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416zM176 224C167.2 224 160 231.2 160 240v64C160 312.8 167.2 320 176 320S192 312.8 192 304v-64C192 231.2 184.8 224 176 224zM509.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C449.6 295.8 448 299.9 448 304c0 9.139 7.473 16 16 16c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C525.3 249.6 517.8 242.8 509.3 242.8z"],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", "M221.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C161.6 295.8 160 299.9 160 304C160 313.1 167.5 320 176 320c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C237.3 249.6 229.8 242.8 221.3 242.8zM464 224C455.2 224 448 231.2 448 240v64c0 8.844 7.156 16 16 16S480 312.8 480 304v-64C480 231.2 472.8 224 464 224zM576 128h-88.25l.0838-48H520C533.3 80 544 69.25 544 56S533.3 32 520 32h-112C394.8 32 384 42.75 384 56s10.75 24 24 24h31.83L439.8 128H255.1l.0037-16c0-8.875-7.25-16-16-16h-128c-8.875 0-16 7.125-16 16L95.97 128H64C28.65 128 0 156.7 0 192l0 224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM175.9 416c-61.75 0-112-50.13-112-112C64.06 242.1 114.1 192 176 192c61.8 .125 111.9 50.25 111.9 112C287.9 365.9 237.8 416 175.9 416zM463.9 416c-61.8 0-112-50.19-112-111.1c0-61.88 50.13-112 112-112c61.88 .125 112 50.19 112 112.1C575.8 365.9 525.7 416 463.9 416z"],
    "chess-king": [448, 512, [9818], "f43f", "M367.1 448H79.97c-26.51 0-48.01 21.49-48.01 47.1C31.96 504.8 39.13 512 47.96 512h352c8.838 0 16-7.163 16-16C416 469.5 394.5 448 367.1 448zM416.1 160h-160V112h16.01c17.6 0 31.98-14.4 31.98-32C303.1 62.4 289.6 48 272 48h-16.01V32C256 14.4 241.6 0 223.1 0C206.4 0 191.1 14.4 191.1 32.01V48H175.1c-17.6 0-32.01 14.4-32.01 32C143.1 97.6 158.4 112 175.1 112h16.01V160h-160C17.34 160 0 171.5 0 192C0 195.2 .4735 198.4 1.437 201.5L74.46 416h299.1l73.02-214.5C447.5 198.4 448 195.2 448 192C448 171.6 430.1 160 416.1 160z"],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38c.6875-1.789 1.021-3.66 1.021-5.529C216.9 103.1 209.5 96 200.9 96h-56.88V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32h-15.1c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.13 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6z"],
    "chess-knight": [384, 512, [9822], "f441", "M19 272.5l40.62 18C63.78 292.3 68.25 293.3 72.72 293.3c4 0 8.001-.7543 11.78-2.289l12.75-5.125c9.125-3.625 16-11.12 18.75-20.5L125.2 234.8C127 227.9 131.5 222.2 137.9 219.1L160 208v50.38C160 276.5 149.6 293.1 133.4 301.2L76.25 329.9C49.12 343.5 32 371.1 32 401.5V416h319.9l-.0417-192c0-105.1-85.83-192-191.8-192H12C5.375 32 0 37.38 0 44c0 2.625 .625 5.25 1.75 7.625L16 80L7 89C2.5 93.5 0 99.62 0 106V243.2C0 255.9 7.5 267.4 19 272.5zM52 128C63 128 72 137 72 148S63 168 52 168S32 159 32 148S41 128 52 128zM336 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h352c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448z"],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", "M311.1 459.6L288 448v-16c0-8.875-7.125-16-16-16h-224C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6zM45.5 235.5l28.88 12.88c2.961 1.316 6.129 1.974 9.286 1.974c2.842 0 5.674-.5329 8.339-1.599l9.125-3.625c6.5-2.625 11.38-8 13.38-14.62L121 208.6c1.25-4.875 4.5-9 8.875-11.25L144.1 192v37.25c0 11.25-6.625 21.5-16.88 26L80.62 279C57.29 290.9 44.72 314.1 44.72 337.7C44.72 354.2 50.94 370.9 64 384h192c7-7.875 15.96-18.25 15.96-32L272 203.1C272 126.6 209.4 64 132.9 64H40.5C35.75 64 32 67.88 32 72.5c0 2 .375 3.75 1.25 5.5L43.38 98.25L37 104.6C33.75 107.9 32 112.2 32 116.8v97.87C32 223.6 37.25 231.9 45.5 235.5zM80.12 128c8.801 0 15.99 7.243 15.99 15.99c0 11.29-9.794 15.99-15.97 15.99c-8.672 0-16.02-6.871-16.02-15.98C64.12 135.1 71.25 128 80.12 128z"],
    "chess-pawn": [320, 512, [9823], "f443", "M105.1 224H80C71.12 224 64 231.1 64 240v32c0 8.875 7.125 15.1 16 15.1L96 288v5.5C96 337.5 91.88 380.1 72 416h176C228.1 380.1 224 337.5 224 293.5V288l16-.0001c8.875 0 16-7.125 16-15.1v-32C256 231.1 248.9 224 240 224h-25.12C244.3 205.6 264 173.2 264 136C264 78.5 217.5 32 159.1 32S56 78.5 56 136C56 173.2 75.74 205.6 105.1 224zM272 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h288c8.837 0 16-7.163 16-16C320 469.5 298.5 448 272 448z"],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", "M64 288.1h14.88C76.88 320.5 71.88 352.6 64 384.1h128c-7.875-31.5-12.88-63.58-14.88-95.96H192c8.875 0 16-7.118 16-15.99V256.1c0-8.875-7.125-16.03-16-16.03h-16.48c20.87-15.35 32.48-39.51 32.48-64.43c0-59.94-53.85-80.02-80.01-80.02c-26.22 0-80.01 20.6-80.01 80.02c0 24.92 11.61 49.08 32.48 64.43H64c-8.875 0-16 7.159-16 16.03v15.99C48 280.1 55.12 288.1 64 288.1zM247.1 459.6L224 448V432c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432v16.03l-23.12 11.62C3.375 462.3 0 467.9 0 473.9v22.13C0 504.9 7.125 512 16 512h224c8.875 0 16-7.111 16-15.99v-22.13C256 467.9 252.6 462.3 247.1 459.6z"],
    "chess-queen": [512, 512, [9819], "f445", "M256 112c30.88 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM399.1 448H111.1c-26.51 0-48 21.49-48 47.1C63.98 504.8 71.15 512 79.98 512h352c8.837 0 16-7.163 16-16C447.1 469.5 426.5 448 399.1 448zM511.1 197.4c0-5.178-2.509-10.2-7.096-13.26L476.4 168.2c-2.684-1.789-5.602-2.62-8.497-2.62c-17.22 0-17.39 26.37-51.92 26.37c-29.35 0-47.97-25.38-47.97-50.63C367.1 134 361.1 128 354.6 128h-38.75c-6 0-11.63 4-12.88 9.875C298.2 160.1 278.7 176 255.1 176c-22.75 0-42.25-15.88-47-38.12C207.7 132 202.2 128 196.1 128h-38.75C149.1 128 143.1 134 143.1 141.4c0 18.45-13.73 50.62-47.95 50.62c-34.58 0-34.87-26.39-51.87-26.39c-2.909 0-5.805 .8334-8.432 2.645l-28.63 16C2.509 187.2 0 192.3 0 197.4C0 199.9 .5585 202.3 1.72 204.6L104.2 416h303.5l102.5-211.4C511.4 202.3 511.1 199.8 511.1 197.4z"],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", "M67.38 192H64C55.12 192 48 199.1 48 208V224c0 8.875 7.125 16 16 16h16v14C80 297.9 74.63 341.5 64 384h128c-10.62-42.5-16-86.13-16-129.1V240H192c8.875 0 16-7.125 16-16V208C208 199.1 200.9 192 192 192h-3.375l44.5-95.75c.4723-.9446 .6967-1.964 .6967-2.975c0-2.201-1.063-4.365-2.947-5.65L220.8 81c-1.104-.7508-2.318-1.096-3.524-1.096c-7.223 0-7.409 11.1-21.87 11.1c-12.28 0-20.23-10.59-20.23-21.38C175.1 66.5 172.6 64 169.5 64h-16.25c-2.625 0-4.875 1.625-5.5 4.125C145.8 77.5 137.5 84.25 128 84.25S110.3 77.5 108.3 68.13C107.6 65.63 105.4 64 102.8 64H86.5C83.38 64 80.88 66.5 80.88 69.63c0 7.937-5.899 21.3-20.33 21.3c-6.234 0-12.21-2.951-16.04-8.054C43.23 80.89 41.09 79.86 38.9 79.86c-1.25 0-2.518 .3347-3.653 1.016L25.13 87.63c-1.884 1.285-2.947 3.449-2.947 5.65c0 1.011 .2244 2.03 .6967 2.975L67.38 192zM128 48c13.25 0 24-10.75 24-24S141.3 0 128 0C114.8 0 104 10.75 104 24S114.8 48 128 48zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.124 512 15.1 512H240c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z"],
    "chess-rook": [384, 512, [9820], "f447", "M368 32h-56c-8.875 0-16 7.125-16 16V96h-48V48c0-8.875-7.125-16-16-16h-80c-8.875 0-16 7.125-16 16V96H88.12V48c0-8.875-7.25-16-16-16H16C7.125 32 0 39.12 0 48V224l64 32c0 48.38-1.5 95-13.25 160h282.5C321.5 351 320 303.8 320 256l64-32V48C384 39.12 376.9 32 368 32zM224 320H160V256c0-17.62 14.38-32 32-32s32 14.38 32 32V320zM336 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h352c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448z"],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", "M311.1 459.6L288 448v-16c0-8.875-7.125-16-16-16h-224C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6zM71.75 210.4L57.38 384h205.3l-14.38-173.8l30.5-31C284.8 173.3 288 165.1 288 156.8V72C288 67.62 284.4 64 280 64h-35.13c-4.5 0-8 3.625-8 8V112h-33V72c0-4.375-3.625-8-8-8H124.1c-4.375 0-8 3.625-8 8V112H83.25V72c0-4.375-3.625-8-8-8H40C35.62 64 32 67.62 32 72v84.88c0 8.375 3.25 16.37 9.25 22.37L71.75 210.4zM136.4 231.6C136.4 218.5 147 208 160 208s23.62 10.5 23.62 23.62v47.13H136.4V231.6z"],
    "chestnut": [448, 512, [127792], "e3f6", "M302.9 99.43c-25.37-20.56-49.36-39.98-66.49-61.41C233.2 34 228.6 32 224 32S214.8 34 211.5 38.02C194.4 59.44 170.4 78.86 145.1 99.43C80.44 151.7 0 216.8 0 352h448C448 216.8 367.6 151.7 302.9 99.43zM128 480h192c59.57 0 109.2-40.89 123.5-96H4.525C18.8 439.1 68.43 480 128 480z"],
    "chevron-down": [448, 512, [], "f078", "M224 416c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 338.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 412.9 232.2 416 224 416z"],
    "chevron-left": [320, 512, [9001], "f053", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z"],
    "chevron-right": [320, 512, [9002], "f054", "M96 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L242.8 256L73.38 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C112.4 476.9 104.2 480 96 480z"],
    "chevron-up": [448, 512, [], "f077", "M416 352c-8.188 0-16.38-3.125-22.62-9.375L224 173.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 348.9 424.2 352 416 352z"],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", "M201.4 278.6C207.6 284.9 215.8 288 224 288s16.38-3.125 22.62-9.375l192-192c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L224 210.8L54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L201.4 278.6zM393.4 233.4L224 402.8L54.63 233.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l192 192C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375l192-192c12.5-12.5 12.5-32.75 0-45.25S405.9 220.9 393.4 233.4z"],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", "M77.25 256l169.4-169.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25l192 192C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L77.25 256zM269.3 256l169.4-169.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25l192 192C399.6 476.9 407.8 480 416 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L269.3 256z"],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", "M246.6 233.4l-192-192c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L178.8 256l-169.4 169.4c-12.5 12.5-12.5 32.75 0 45.25C15.63 476.9 23.81 480 32 480s16.38-3.125 22.62-9.375l192-192C259.1 266.1 259.1 245.9 246.6 233.4zM438.6 233.4l-192-192c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L370.8 256l-169.4 169.4c-12.5 12.5-12.5 32.75 0 45.25C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375l192-192C451.1 266.1 451.1 245.9 438.6 233.4z"],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", "M54.63 278.6L224 109.3l169.4 169.4C399.6 284.9 407.8 288 416 288s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-192-192c-12.5-12.5-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25S42.13 291.1 54.63 278.6zM246.6 233.4c-12.5-12.5-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L224 301.3l169.4 169.4C399.6 476.9 407.8 480 416 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L246.6 233.4z"],
    "child": [320, 512, [], "f1ae", "M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64zM144 384V480C144 497.7 129.7 512 112 512C94.33 512 80.01 497.7 80.01 480V287.8L59.09 321C49.67 336 29.92 340.5 14.96 331.1C.0016 321.7-4.491 301.9 4.924 286.1L44.79 223.6C69.72 184 113.2 160 160 160C206.8 160 250.3 184 275.2 223.6L315.1 286.1C324.5 301.9 320 321.7 305.1 331.1C290.1 340.5 270.3 336 260.9 321L240 287.8V480C240 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V384L144 384z"],
    "child-dress": [320, 512, [], "e59c", "M223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64zM70.2 400C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2z"],
    "child-reaching": [384, 512, [], "e59d", "M256 64C256 99.35 227.3 128 192 128C156.7 128 128 99.35 128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64zM155.7 170.2C167.3 173.1 179.6 176 192.2 176C232.1 176 269.3 155.8 291 122.4L309.2 94.54C318.8 79.73 338.6 75.54 353.5 85.18C368.3 94.82 372.5 114.6 362.8 129.5L344.7 157.3C326.4 185.4 301.2 207.3 272 221.6V480C272 497.7 257.7 512 240 512C222.3 512 208 497.7 208 480V384H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V221.4C83.63 207.4 58.94 186.1 40.87 158.1L21.37 129.8C11.57 115 15.54 95.18 30.25 85.37C44.95 75.57 64.82 79.54 74.62 94.25L94.12 123.5C108.5 145 129.2 160.9 152.9 169.3C153.9 169.5 154.8 169.8 155.7 170.2V170.2z"],
    "child-rifle": [512, 512, [], "e4e0", "M79.1 64C79.1 28.65 108.7 .0003 143.1 .0003C179.3 .0003 207.1 28.65 207.1 64C207.1 99.35 179.3 128 143.1 128C108.7 128 79.1 99.35 79.1 64V64zM104 512C86.33 512 72 497.7 72 480V300.5L59.09 321C49.67 336 29.91 340.5 14.96 331.1C.0006 321.7-4.492 301.9 4.923 286.1L56.6 204.9C74.17 176.9 104.9 160 137.8 160H150.2C183.2 160 213.8 176.9 231.4 204.9L283.1 286.1C292.5 301.9 288 321.7 273 331.1C258.1 340.5 238.3 336 228.9 321L216 300.5V480C216 497.7 201.7 512 184 512C166.3 512 152 497.7 152 480V352H136V480C136 497.7 121.7 512 104 512V512zM432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400H452L475 492.1C477.6 502.2 469.9 512 459.5 512H400C391.2 512 384 504.8 384 496V400H368C350.3 400 336 385.7 336 368V224C336 206.3 350.3 192 368 192V160C368 148.2 374.4 137.8 384 132.3V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0H416C424.8 0 432 7.164 432 16V16z"],
    "children": [640, 512, [], "e4e1", "M95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64zM88 480V400H70.2C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480H88zM416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64V64zM472 384V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V300.5L395.1 321C385.7 336 365.9 340.5 350.1 331.1C336 321.7 331.5 301.9 340.9 286.1L392.6 204.9C410.2 176.9 440.9 159.1 473.8 159.1H486.2C519.2 159.1 549.8 176.9 567.4 204.9L619.1 286.1C628.5 301.9 624 321.7 609 331.1C594.1 340.5 574.3 336 564.9 321L552 300.5V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384L472 384z"],
    "chimney": [448, 512, [], "f78b", "M32 192v128h96V192H32zM32 480h256v-128H32V480zM416 32H32C14.25 32 0 46.25 0 64v64c0 17.75 14.25 32 32 32h384c17.75 0 32-14.25 32-32V64C448 46.25 433.8 32 416 32zM320 480h96v-128h-96V480zM160 320h256V192H160V320z"],
    "chopsticks": [640, 512, [], "e3f7", "M638.1 96.61C639.9 102.5 640.4 108.8 639.7 114.9C638.1 121.1 637 126.1 633.9 132.4C630.9 137.7 626.7 142.4 621.8 146.1L154.9 508.6C151.5 511.1 147.2 512.3 142.9 511.8C138.7 511.2 134.8 509.1 132 505.8C129.3 502.5 127.9 498.3 128.2 494.1C128.4 489.8 130.3 485.8 133.4 482.8L563.4 76.09C567.9 71.9 573.3 68.67 579.1 66.61C584.9 64.55 591.1 63.69 597.3 64.1C603.5 64.5 609.5 66.16 615 68.96C620.6 71.76 625.4 75.66 629.4 80.41C633.4 85.17 636.3 90.68 638.1 96.61zM29.28 505.2C26.42 508.5 22.4 510.6 18.06 510.9C13.73 511.3 9.411 510 6.03 507.3C2.649 504.5 .4641 500.6-.0636 496.2C-.5913 491.9 .5796 487.6 3.202 484.1L333.5 18.56C337.2 13.69 341.9 9.624 347.2 6.592C352.5 3.56 358.4 1.626 364.4 .9045C370.5 .1832 376.7 .6898 382.5 2.394C388.4 4.098 393.9 6.965 398.6 10.82C403.4 14.68 407.3 19.46 410.2 24.86C413 30.27 414.8 36.19 415.3 42.29C415.8 48.38 415.1 54.52 413.3 60.34C411.4 66.15 408.3 71.53 404.3 76.16L29.28 505.2z"],
    "church": [640, 512, [9962], "f51d", "M344 48H376C389.3 48 400 58.75 400 72C400 85.25 389.3 96 376 96H344V142.4L456.7 210C471.2 218.7 480 234.3 480 251.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V251.2C160 234.3 168.8 218.7 183.3 210L296 142.4V96H264C250.7 96 240 85.25 240 72C240 58.75 250.7 48 264 48H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V48zM24.87 330.3L128 273.6V512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3V330.3zM592 512H512V273.6L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512V512z"],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256z"],
    "circle-0": [512, 512, [], "e0ed", "M256 176C229.5 176 208 197.5 208 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z"],
    "circle-1": [512, 512, [], "e0ee", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 384H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320c13.25 0 24 10.75 24 24S333.3 384 320 384z"],
    "circle-2": [512, 512, [], "e0ef", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "circle-3": [512, 512, [], "e0f0", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM268 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300C352 346.3 314.3 384 268 384z"],
    "circle-4": [512, 512, [], "e0f1", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296S341.3 320 328 320z"],
    "circle-5": [512, 512, [], "e0f2", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272.1 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9C352 348.5 316.5 384 272.1 384z"],
    "circle-6": [512, 512, [], "e0f3", "M256 240c-21.06 0-40 14.09-46.03 34.28C208.7 278.7 208 283.3 208 288c0 26.47 21.53 48 48 48s48-21.53 48-48S282.5 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C284.8 129.9 290.4 128 296 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C322.3 207.5 352 244.1 352 288C352 340.9 308.9 384 256 384z"],
    "circle-7": [512, 512, [], "e0f4", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z"],
    "circle-8": [512, 512, [], "e0f5", "M248 224h16C277.2 224 288 213.2 288 200S277.2 176 264 176h-16C234.8 176 224 186.8 224 200S234.8 224 248 224zM272 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S289.7 272 272 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272 384h-32C195.9 384 160 348.1 160 304c0-25.06 11.81-47.19 29.9-61.87C181.3 230.3 176 215.8 176 200C176 160.3 208.3 128 248 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C340.2 256.8 352 278.9 352 304C352 348.1 316.1 384 272 384z"],
    "circle-9": [512, 512, [], "e0f6", "M256 176C229.5 176 208 197.5 208 224S229.5 272 256 272c21.06 0 40-14.09 46.03-34.28C303.3 233.3 304 228.7 304 224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM311.7 308.4l-79.94 69.69C227.2 382.1 221.6 384 216 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C189.7 304.5 160 267.9 160 224c0-52.94 43.06-96 96-96s96 43.06 96 96C352 265.3 324.5 297.3 311.7 308.4z"],
    "circle-a": [512, 512, [], "e0f7", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.1 365.8c-3.266 1.506-6.687 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H193.8l-12.03 26.18c-5.576 12.09-19.76 17.36-31.86 11.77c-12.03-5.559-17.28-19.91-11.73-31.99l95.99-208.1c7.842-17.08 35.75-17.08 43.59 0l95.99 208.1C379.3 345.9 374.1 360.2 362.1 365.8zM215.1 279.6h80.05L256 192.5L215.1 279.6z"],
    "circle-ampersand": [512, 512, [], "e0f8", "M236 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C261.6 180.3 257.2 176 251.9 176H228.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L236 210.9zM199 302.5C194.5 306.1 192 311.4 192 317.2C192 327.5 200.5 336 210.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L231.1 276.6L199 302.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM356 377.7C351.4 381.9 345.6 384 339.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C288.7 373.6 266.7 384 243.3 384H210.8C173.1 384 144 354 144 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L188.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C171.1 153.9 197 128 228.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L319.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L331.5 315.3l26.03 28.47C366.5 353.6 365.8 368.8 356 377.7z"],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z"],
    "circle-arrow-down-left": [512, 512, [], "e0f9", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z"],
    "circle-arrow-down-right": [512, 512, [], "e0fa", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z"],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z"],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z"],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z"],
    "circle-arrow-up-left": [512, 512, [], "e0fb", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z"],
    "circle-arrow-up-right": [512, 512, [], "e0fc", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z"],
    "circle-b": [512, 512, [], "e0fd", "M292 280H208v56h84C307.4 336 320 323.4 320 308S307.4 280 292 280zM304 204c0-15.44-12.56-28-28-28H208v56h68C291.4 232 304 219.4 304 204zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM292 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h92C317.9 128 352 162.1 352 204c0 16.35-5.301 31.41-14.12 43.82C356.1 261.7 368 283.4 368 308C368 349.9 333.9 384 292 384z"],
    "circle-bolt": [512, 512, [], "e0fe", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM293.8 131.6L157.8 243.6C152.6 247.9 150.7 255 152.9 261.4C155.2 267.8 161.2 271.1 168 271.1H231.7L193.3 361.7C190.4 368.5 192.5 376.4 198.4 380.8C204.3 385.2 212.5 385 218.2 380.4L354.2 268.4C359.4 264.1 361.3 256.1 359.1 250.6C356.8 244.2 350.8 240 344 240H280.3L318.7 150.3C321.6 143.5 319.5 135.6 313.6 131.2C307.7 126.8 299.5 126.1 293.8 131.6L293.8 131.6z"],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM240 352c-11.81-6.959-50.92-25.71-101.4-3.734C133.6 350.4 128 346.9 128 341.9V185.5c0-5.455 3.379-10.54 8.752-12.74c21.22-8.676 41.57-13.11 59.14-12.79C215 160.3 230.1 164.9 240 168.1V352zM384 341.9c0 5.047-5.643 8.545-10.56 6.405C322.9 326.3 283.8 345 272 351.1V168.1c9.902-4.061 24.99-8.614 44.1-8.935c17.5-.1543 37.91 4.137 59.14 12.79C380.6 174.1 384 180.1 384 185.6V341.9z"],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z"],
    "circle-c": [512, 512, [], "e101", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM255.1 336c21.09 0 40.92-8.281 55.86-23.38c9.328-9.375 24.55-9.5 33.94-.125c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256C176 293.9 205.6 336 255.1 336z"],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 96C199.2 96 192 103.2 192 112V128H160C142.3 128 128 142.3 128 160V192H384V160C384 142.3 369.7 128 352 128H320V112C320 103.2 312.8 96 304 96C295.2 96 288 103.2 288 112V128H224V112C224 103.2 216.8 96 208 96zM160 384H352C369.7 384 384 369.7 384 352V224H128V352C128 369.7 142.3 384 160 384z"],
    "circle-camera": [512, 512, ["camera-circle"], "e103", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h36l6.125-16.44C205.6 134.2 214.6 128 224.6 128h62.75c10 0 18.94 6.188 22.44 15.56L316 160H352c17.67 0 32 14.33 32 32V320zM256 208C229.5 208 208 229.5 208 256S229.5 304 256 304s48-21.5 48-48S282.5 208 256 208z"],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z"],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z"],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z"],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z"],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z"],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z"],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z"],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z"],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z"],
    "circle-d": [512, 512, [], "e104", "M254.4 176H208v160h46.41C299.4 336 336 300.1 336 256C336 211.9 299.4 176 254.4 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM254.4 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h70.41C325.9 128 384 185.4 384 256C384 326.6 325.9 384 254.4 384z"],
    "circle-dashed": [512, 512, [], "e105", "M1.109 231.1C6.007 179.3 26.87 131.3 58.8 92.74L104.3 138.3C83.68 164.8 69.86 196.9 65.48 231.1H1.109zM138.3 104.3L92.74 58.8C131.3 26.87 179.3 6.007 231.1 1.11V65.49C196.9 69.86 164.8 83.68 138.3 104.3V104.3zM280 446.5C315.1 442.1 347.2 428.3 373.7 407.7L419.3 453.2C380.7 485.1 332.7 505.1 280 510.9V446.5zM446.5 279.1H510.9C505.1 332.7 485.1 380.7 453.2 419.3L407.7 373.7C428.3 347.2 442.1 315.1 446.5 279.1H446.5zM138.3 407.7C164.8 428.3 196.9 442.1 231.1 446.5V510.9C179.3 505.1 131.3 485.1 92.74 453.2L138.3 407.7zM1.109 279.1H65.48C69.86 315.1 83.68 347.2 104.3 373.7L58.8 419.3C26.87 380.7 6.007 332.7 1.11 279.1H1.109zM373.7 104.3C347.2 83.68 315.1 69.86 280 65.48V1.109C332.7 6.007 380.7 26.87 419.3 58.8L373.7 104.3zM407.7 138.3L453.2 92.74C485.1 131.3 505.1 179.3 510.9 231.1H446.5C442.1 196.9 428.3 164.8 407.7 138.3V138.3z"],
    "circle-divide": [512, 512, [], "e106", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM276.8 133.6C276.8 121.7 267.1 112 255.2 112C243.3 112 233.6 121.7 233.6 133.6V149.7C227.5 151.1 221.6 152.1 216.1 155.4C198.1 163.1 181.1 177.6 177.1 199.4C172.9 222.5 182.9 243.3 202.4 255.8C216.6 264.9 235.4 270.2 250.5 274.5C252.7 275.1 254.1 275.7 257.3 276.4C269.2 279.6 281.7 282.1 291.8 289.9C303.5 297.9 297.9 312.1 285.9 316.1C277 320.6 263.4 322.1 246.4 319.6C234.8 317.8 223.2 313.8 211.9 310C209.4 309.2 206.9 308.3 204.4 307.5C193.1 303.7 180.8 309.9 177.1 321.2C173.3 332.5 179.5 344.8 190.8 348.5C204.9 353.1 219.1 357.8 233.6 361L233.6 378.4C233.6 390.3 243.3 400 255.2 400C267.1 400 276.8 390.3 276.8 378.4L276.8 363.2C285.7 362.2 294.2 360.2 302 357C320.8 349.5 336.3 334.8 340.5 312.4C344.7 289.2 335.6 267.5 316.2 254.2C301.3 244 281.4 238.4 265.8 233.9C263.5 233.3 261.1 232.6 258.8 231.1C247.4 228.9 235.5 225.7 225.6 219.4C213.1 211.4 222.2 199.8 233.2 195C245.6 189.7 260.9 188.5 274.1 191C281.2 192.4 288.2 194.4 295.2 196.3C296.7 196.8 298.3 197.2 299.8 197.6C311.3 200.8 323.2 194.1 326.4 182.6C329.6 171.1 322.8 159.2 311.3 155.1C309.5 155.5 307.6 154.9 305.8 154.4C296.2 151.7 286.5 149 276.8 147.8L276.8 133.6z"],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", "M326.7 403.7C304.7 411.6 280.8 416 256 416C231.2 416 207.3 411.6 185.3 403.7C184.1 403.6 184.7 403.5 184.5 403.4C154.4 392.4 127.6 374.6 105.9 352C70.04 314.6 48 263.9 48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 263.9 441.1 314.6 406.1 352C405.1 353 404.1 354.1 403.1 355.1C381.7 376.4 355.7 393.2 326.7 403.7L326.7 403.7zM235.9 111.1V118C230.3 119.2 224.1 120.9 220 123.1C205.1 129.9 192.1 142.5 188.9 160.8C187.1 171 188.1 180.9 192.3 189.8C196.5 198.6 203 204.8 209.6 209.3C221.2 217.2 236.5 221.8 248.2 225.3L250.4 225.9C264.4 230.2 273.8 233.3 279.7 237.6C282.2 239.4 283.1 240.8 283.4 241.7C283.8 242.5 284.4 244.3 283.7 248.3C283.1 251.8 281.2 254.8 275.7 257.1C269.6 259.7 259.7 261 246.9 259C240.9 258 230.2 254.4 220.7 251.2C218.5 250.4 216.3 249.7 214.3 249C203.8 245.5 192.5 251.2 189 261.7C185.5 272.2 191.2 283.5 201.7 286.1C202.9 287.4 204.4 287.9 206.1 288.5C213.1 291.2 226.4 295.4 235.9 297.6V304C235.9 315.1 244.9 324.1 255.1 324.1C267.1 324.1 276.1 315.1 276.1 304V298.5C281.4 297.5 286.6 295.1 291.4 293.9C307.2 287.2 319.8 274.2 323.1 255.2C324.9 244.8 324.1 234.8 320.1 225.7C316.2 216.7 309.9 210.1 303.2 205.3C291.1 196.4 274.9 191.6 262.8 187.9L261.1 187.7C247.8 183.4 238.2 180.4 232.1 176.2C229.5 174.4 228.7 173.2 228.5 172.7C228.3 172.3 227.7 171.1 228.3 167.7C228.7 165.7 230.2 162.4 236.5 159.6C242.1 156.7 252.9 155.1 265.1 156.1C269.5 157.7 283 160.3 286.9 161.3C297.5 164.2 308.5 157.8 311.3 147.1C314.2 136.5 307.8 125.5 297.1 122.7C292.7 121.5 282.7 119.5 276.1 118.3V112C276.1 100.9 267.1 91.9 256 91.9C244.9 91.9 235.9 100.9 235.9 112V111.1zM48 352H63.98C83.43 377.9 108 399.7 136.2 416H64V448H448V416H375.8C403.1 399.7 428.6 377.9 448 352H464C490.5 352 512 373.5 512 400V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V400C0 373.5 21.49 352 48 352H48z"],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 352C309 352 352 309 352 256C352 202.1 309 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352z"],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", "M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256S114.6 512 256 512zM129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z"],
    "circle-down-left": [512, 512, [], "e107", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z"],
    "circle-down-right": [512, 512, [], "e108", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"],
    "circle-e": [512, 512, [], "e109", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM296 232C309.3 232 320 242.8 320 256s-10.75 24-24 24H208v56h120c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176H208v56H296z"],
    "circle-ellipsis": [512, 512, [], "e10a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 288C177.7 288 192 273.7 192 256C192 238.3 177.7 224 160 224C142.3 224 128 238.3 128 256C128 273.7 142.3 288 160 288zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM352 288C369.7 288 384 273.7 384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288z"],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384z"],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V238l122.1 48.82C251.1 287.6 253.1 288 256 288s4.031-.375 5.938-1.141L384 238V320zM384 203.6l-128 51.2L128 203.6V192c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V203.6z"],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S232 293.3 232 280V152zM256 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 385.9 273.4 400 256 400z"],
    "circle-exclamation-check": [640, 512, [], "e10d", "M506.5 202.1L480 229.5L461.3 210.7C436.3 185.8 395.7 185.8 370.7 210.7C345.8 235.7 345.8 276.3 370.7 301.3L434.7 365.3C446.7 377.2 462.1 383.4 477.8 383.1C433.5 460.5 350.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C379.2 0 482.1 87.04 506.5 202.1H506.5zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM499.8 339.8C488.9 350.7 471.1 350.7 460.2 339.8L396.2 275.8C385.3 264.9 385.3 247.1 396.2 236.2C407.1 225.3 424.9 225.3 435.8 236.2L480 280.4L588.2 172.2C599.1 161.3 616.9 161.3 627.8 172.2C638.7 183.1 638.7 200.9 627.8 211.8L499.8 339.8z"],
    "circle-f": [512, 512, [], "e10e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 176H208v64h88C309.3 240 320 250.8 320 264S309.3 288 296 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176z"],
    "circle-g": [512, 512, [], "e10f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C322.3 370.7 290.2 384 256 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C213.4 117.5 293.5 115.3 344 160.6c9.875 8.844 10.72 24.02 1.875 33.89C337 204.4 321.8 205.2 312 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H280C266.8 288 256 277.3 256 264s10.75-24 24-24h80C373.3 240 384 250.8 384 264V274.9z"],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 360c0 13.25-10.75 24-24 24S320 373.3 320 360v-80H192v80C192 373.3 181.3 384 168 384S144 373.3 144 360v-208C144 138.8 154.8 128 168 128S192 138.8 192 152v80h128v-80C320 138.8 330.8 128 344 128s24 10.75 24 24V360z"],
    "circle-half": [512, 512, [], "e110", "M256 480C256 497.7 241.6 512.2 224.1 510C97.75 494.3 0 386.6 0 255.1C0 125.4 97.75 17.69 224.1 1.971C241.6-.2109 256 14.33 256 31.1V480z"],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64V448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM233.5 384.2C239.7 390.5 247.9 393.6 256 393.6C264.1 393.6 272.3 390.5 278.5 384.2L380.1 280.1C409.5 251.2 409.5 202.8 380.1 173C350.8 143.2 303.1 143.2 273.7 173L256 191L238.3 173C208.9 143.2 161.2 143.2 131.9 173C102.5 202.8 102.5 251.2 131.9 280.1L233.5 384.2z"],
    "circle-i": [512, 512, [], "e111", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 336c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360s10.75-24 24-24h48v-160h-48C170.8 176 160 165.3 160 152S170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176h-48v160H328z"],
    "circle-info": [512, 512, ["info-circle"], "f05a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S224 177.7 224 160C224 142.3 238.3 128 256 128zM296 384h-80C202.8 384 192 373.3 192 360s10.75-24 24-24h16v-64H224c-13.25 0-24-10.75-24-24S210.8 224 224 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "circle-j": [512, 512, [], "e112", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM336 290.7C336 342.1 292.9 384 240 384s-96-41.86-96-93.33V280C144 266.8 154.8 256 168 256S192 266.8 192 280v10.67C192 315.7 213.5 336 240 336S288 315.7 288 290.7V152C288 138.8 298.8 128 312 128s24 10.75 24 24V290.7z"],
    "circle-k": [512, 512, [], "e113", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM275.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C337.5 382.6 332.7 384 328 384c-7.609 0-15.09-3.609-19.75-10.34L238.9 273.4L208 303.9V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C273.9 240.7 275 241.3 275.7 242.3z"],
    "circle-l": [512, 512, [], "e114", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v184h120c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", "M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256c0-141.4-114.6-256-256-256S0 114.6 0 256zM246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z"],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM353.6 158.5C347.3 152.1 337.8 150.3 329.3 153.8L133.3 237.8C123.8 241.9 118.3 252.3 120.4 262.4C122.5 272.6 131.6 280 141.1 280H232V370C232 380.4 239.4 389.5 249.6 391.6C251.1 391.9 252.6 392 253.1 392C262.8 392 270.7 386.8 274.2 378.7L358.2 182.7C361.8 174.3 359.1 164.8 353.6 158.5V158.5z"],
    "circle-m": [512, 512, [], "e115", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L176 226.2V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L256 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C377.3 132.4 384 141.6 384 152V360z"],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM208 144C208 117.5 229.5 96 256 96s48 21.48 48 48V256c0 26.52-21.48 48-48 48S208 282.5 208 256V144zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 143.1 224C152.8 224 160 231.2 159.1 240v13.19c0 47.43 33.21 89.92 80.03 97.51C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z"],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM207.1 146c0-26.29 20.26-49.2 46.54-49.98C281.7 95.21 304 116.1 304 144h-32c-8.837 0-16 7.163-16 15.1C256 168.8 263.2 176 272 176h32v32h-32c-8.837 0-16 7.163-16 15.1C256 232.8 263.2 240 272 240h32v13.99c0 26.29-20.26 49.2-46.54 49.99C230.3 304.8 208 283 208 256L207.1 146zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 144 224C152.8 224 160 231.2 160 240v13.19C159.1 300.6 193.2 343.1 240 350.7C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z"],
    "circle-minus": [512, 512, ["minus-circle"], "f056", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168z"],
    "circle-n": [512, 512, [], "e118", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 360c0 10.5-6.828 19.78-16.84 22.91C332.8 383.6 330.4 384 328 384c-7.719 0-15.17-3.734-19.73-10.34L208 228.8V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L304 283.2V152C304 138.8 314.8 128 328 128S352 138.8 352 152V360z"],
    "circle-nodes": [512, 512, [], "e4e2", "M380.6 365.6C401.1 379.9 416 404.3 416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 423.6 257.3 415.4 259.7 407.8L114.1 280.4C103.8 285.3 92.21 288 80 288C35.82 288 0 252.2 0 208C0 163.8 35.82 128 80 128C101.9 128 121.7 136.8 136.2 151.1L320 77.52C321.3 34.48 356.6 0 400 0C444.2 0 480 35.82 480 80C480 117.9 453.7 149.6 418.4 157.9L380.6 365.6zM156.3 232.2L301.9 359.6C306.9 357.3 312.1 355.4 317.6 354.1L355.4 146.4C351.2 143.6 347.4 140.4 343.8 136.9L159.1 210.5C159.7 218 158.5 225.3 156.3 232.2V232.2z"],
    "circle-notch": [512, 512, [], "f1ce", "M222.7 32.15C227.7 49.08 218.1 66.9 201.1 71.94C121.8 95.55 64 169.1 64 255.1C64 362 149.1 447.1 256 447.1C362 447.1 448 362 448 255.1C448 169.1 390.2 95.55 310.9 71.94C293.9 66.9 284.3 49.08 289.3 32.15C294.4 15.21 312.2 5.562 329.1 10.6C434.9 42.07 512 139.1 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 139.1 77.15 42.07 182.9 10.6C199.8 5.562 217.6 15.21 222.7 32.15V32.15z"],
    "circle-o": [512, 512, [], "e119", "M256 176C211.9 176 176 211.9 176 256s35.89 80 80 80s80-35.89 80-80S300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 384 256 384z"],
    "circle-p": [512, 512, [], "e11a", "M280 176H208V256h72C302.1 256 320 238.1 320 216S302.1 176 280 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM280 304H208v56C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h96c48.53 0 88 39.47 88 88S328.5 304 280 304z"],
    "circle-parking": [512, 512, ["parking-circle"], "f615", "M280 320H232V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V168C168 145.9 185.9 128 208 128H280C333 128 376 170.1 376 224C376 277 333 320 280 320zM280 256C297.7 256 312 241.7 312 224C312 206.3 297.7 192 280 192H232V256H280zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 191.1v128C224 337.7 209.7 352 192 352S160 337.7 160 320V191.1C160 174.3 174.3 160 191.1 160S224 174.3 224 191.1zM352 191.1v128C352 337.7 337.7 352 320 352S288 337.7 288 320V191.1C288 174.3 302.3 160 319.1 160S352 174.3 352 191.1z"],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z"],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", "M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256zM137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z"],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM419.1 256.1L392.5 299.9c-3.988 6.396-11.99 9.015-19.06 6.253l-54.82-21.92c-6.441-2.596-10.41-9.16-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.7402 6.885-3.243 13.5-9.717 16.06L138.5 306.2c-7.037 2.797-15.1 .1003-19.06-6.253L92.05 256.1C88.16 249.9 89.06 241.9 94.25 236.7c89.18-89.18 234.3-89.2 323.5 .0002C422.9 241.9 423.8 249.9 419.1 256.1z"],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176 168V344C176 352.7 180.7 360.7 188.3 364.9C195.8 369.2 205.1 369 212.5 364.5L356.5 276.5C363.6 272.1 368 264.4 368 256C368 247.6 363.6 239.9 356.5 235.5L212.5 147.5C205.1 142.1 195.8 142.8 188.3 147.1C180.7 151.3 176 159.3 176 168V168z"],
    "circle-plus": [512, 512, ["plus-circle"], "f055", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 256 144C242.7 144 232 154.7 232 168V232H168C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H232V344C232 357.3 242.7 368 256 368z"],
    "circle-q": [512, 512, [], "e11e", "M256 176C211.9 176 176 211.9 176 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C332.4 281.7 336 269.3 336 256C336 211.9 300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM376.1 343c9.375 9.375 9.375 24.56 0 33.94C372.3 381.7 366.2 384 360 384s-12.28-2.344-16.97-7.031l-15.15-15.15C307.4 375.8 282.6 384 256 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L376.1 343z"],
    "circle-quarter": [512, 512, [], "e11f", "M31.1 255.1C14.33 255.1-.2112 241.6 1.972 224.1C16.39 108.2 108.2 16.39 224.1 1.971C241.6-.2109 255.1 14.33 255.1 31.1V223.1C255.1 241.7 241.7 255.1 223.1 255.1H31.1z"],
    "circle-quarters": [512, 512, [], "e3f8", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM391.8 391.8L256 256l-135.8 135.8C85.49 357 64 309 64 256s21.49-101 56.23-135.8L256 256l135.8-135.8C426.5 154.1 448 202.1 448 256S426.5 357 391.8 391.8z"],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S273.1 400 256 400zM325.1 258L280 286V288c0 13-11 24-24 24S232 301 232 288V272c0-8 4-16 12-21l57-34C308 213 312 206 312 198C312 186 301.1 176 289.1 176h-51.1C225.1 176 216 186 216 198c0 13-11 24-24 24s-24-11-24-24C168 159 199 128 237.1 128h51.1C329 128 360 159 360 198C360 222 347 245 325.1 258z"],
    "circle-r": [512, 512, [], "e120", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM355.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C345.8 382.5 340.9 384 336 384c-7.438 0-14.75-3.422-19.44-9.891L253.1 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128H288c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L355.4 345.9zM288 176H208v64H288c17.66 0 32-14.36 32-32S305.7 176 288 176z"],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", "M226.4 208.6L184.8 141.9C179.6 133.7 168.3 132 160.7 138.2C130.8 162.3 110.1 197.4 105.1 237.4C103.9 247.2 111.2 256 121 256H200C200 236 210.6 218.6 226.4 208.6zM256 288c17.67 0 32-14.33 32-32s-14.33-32-32-32C238.3 224 224 238.3 224 256S238.3 288 256 288zM285.6 303.3C276.1 308.7 266.9 312 256 312c-10.89 0-20.98-3.252-29.58-8.65l-41.74 66.8c-5.211 8.338-1.613 19.07 7.27 23.29C211.4 402.7 233.1 408 256 408c22.97 0 44.64-5.334 64.12-14.59c8.883-4.219 12.48-14.95 7.262-23.29L285.6 303.3zM351.4 138.2c-7.604-6.145-18.86-4.518-24.04 3.77l-41.71 66.67C301.4 218.6 312 236 312 256h78.96c9.844 0 17.11-8.791 15.91-18.56C401.9 197.5 381.3 162.4 351.4 138.2zM256 16C123.4 16 16 123.4 16 256s107.4 240 240 240c132.6 0 240-107.4 240-240S388.6 16 256 16zM256 432c-97.05 0-176-78.99-176-176S158.1 80 256 80s176 78.95 176 176S353 432 256 432z"],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", "M512 256c0-141.4-114.6-256-256-256S0 114.6 0 256c0 141.4 114.6 256 256 256S512 397.4 512 256zM265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z"],
    "circle-s": [512, 512, [], "e121", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM350.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C248.7 170.1 226.5 177.5 217.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C302.1 243.9 361.1 260.6 350.7 323.9z"],
    "circle-small": [320, 512, [], "e122", "M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256z"],
    "circle-sort": [512, 512, ["sort-circle"], "e030", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148.1 288 164.6 288h182.9C364 288 372.1 307.9 360.6 319.4zM347.5 224H164.6c-16.5 0-24.69-19.88-13.19-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.594 2 13.09 5.375l91.53 91.25C372.1 204.1 364 224 347.5 224z"],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", "M197.3 192h117.3L256.1 133.5L197.3 192zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288h182.9C363.9 288 372.1 307.9 360.6 319.4zM347.5 223.1h-183c-16.5 0-24.62-19.88-13.12-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.625 2 13.12 5.375l91.5 91.25C372.1 204.1 364 223.1 347.5 223.1z"],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", "M255.9 378.5L314.7 320h-117.3L255.9 378.5zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4L269 410.6C265.5 414 260.9 416 256 416s-9.625-1.1-13.12-5.375l-91.5-91.25C139.9 307.9 148 288 164.5 288h183C364 288 372.1 307.9 360.6 319.4zM347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 98 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z"],
    "circle-star": [512, 512, ["star-circle"], "e123", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM241.7 112.9L205.4 186.4L124.4 198.1C118.3 199 113.3 203.2 111.4 209C109.6 214.8 111.1 221.2 115.5 225.4L174.1 282.6L160.3 363.3C159.3 369.3 161.7 375.4 166.7 378.1C171.6 382.6 178.1 383 183.5 380.2L255.1 342.1L328.5 380.2C333.9 383 340.4 382.6 345.3 378.1C350.3 375.4 352.7 369.3 351.7 363.3L337.9 282.6L396.5 225.4C400.9 221.2 402.4 214.8 400.6 209C398.7 203.2 393.7 199 387.6 198.1L306.6 186.4L270.3 112.9C267.7 107.5 262.1 104 255.1 104C249.9 104 244.3 107.5 241.7 112.9H241.7z"],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z"],
    "circle-t": [512, 512, [], "e124", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360 192h-80v168c0 13.25-10.75 24-24 24s-24-10.75-24-24V192h-80C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z"],
    "circle-three-quarters": [512, 512, [], "e125", "M256 255.1H480C497.7 255.1 512.2 270.4 510 287.9C494.3 414.2 386.6 512 256 512C114.6 512 0 397.4 0 255.1C0 125.4 97.75 17.69 224.1 1.971C241.6-.2109 256 14.33 256 31.1V255.1z"],
    "circle-trash": [512, 512, ["trash-circle"], "e126", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160H352C360.8 160 368 152.8 368 144C368 135.2 360.8 128 352 128H310.6L299.3 116.7C296.3 113.7 292.2 112 288 112H224C219.8 112 215.7 113.7 212.7 116.7L201.4 128H160zM160 192L173.6 354.7C174.9 371.2 188.8 384 205.4 384H306.6C323.2 384 337.1 371.2 338.4 354.7L352 192H160z"],
    "circle-u": [512, 512, [], "e127", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 290.9C368 351.1 317.8 400 256 400s-112-48.94-112-109.1V168c0-13.25 10.75-24 24-24S192 154.8 192 168v122.9C192 324.6 220.7 352 256 352s64-27.41 64-61.09V168c0-13.25 10.75-24 24-24s24 10.75 24 24V290.9z"],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z"],
    "circle-up-left": [512, 512, [], "e128", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z"],
    "circle-up-right": [512, 512, [], "e129", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z"],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c39.77 0 72 32.24 72 72S295.8 272 256 272c-39.76 0-72-32.24-72-72S216.2 128 256 128zM256 448c-52.93 0-100.9-21.53-135.7-56.29C136.5 349.9 176.5 320 224 320h64c47.54 0 87.54 29.88 103.7 71.71C356.9 426.5 308.9 448 256 448z"],
    "circle-v": [512, 512, [], "e12a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.5 178.7l-104 208C273.4 394.9 265.1 400 256 400s-17.41-5.141-21.47-13.27l-104-208C124.6 166.9 129.4 152.5 141.3 146.5c11.92-5.891 26.28-1.125 32.2 10.73L256 322.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C382.6 152.5 387.4 166.9 381.5 178.7z"],
    "circle-video": [512, 512, ["video-circle"], "e12b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z"],
    "circle-w": [512, 512, [], "e12c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM398.9 175.1l-64 208C331.8 393.1 322.5 400 312 400h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L256 260.3l-32.83 121.9C220.4 392.6 211.1 399.8 200.4 400c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L198.5 289.4l34.36-127.6C235.6 151.3 245.1 144 256 144s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C395.7 148.1 402.8 162.4 398.9 175.1z"],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM160 336C160 344.8 152.8 352 144 352S128 344.8 128 336v-160C128 167.2 135.2 160 144 160S160 167.2 160 176V336zM224 296c0 8.836-7.164 16-16 16S192 304.8 192 296v-80c0-8.838 7.164-16 16-16S224 207.2 224 216V296zM288 360c0 8.836-7.164 16-16 16s-16-7.164-16-16v-208c0-8.838 7.164-16 16-16S288 143.2 288 152V360zM352 312c0 8.836-7.164 16-16 16S320 320.8 320 312v-112c0-8.838 7.164-16 16-16S352 191.2 352 200V312zM416 272C416 280.8 408.8 288 400 288S384 280.8 384 272v-32C384 231.2 391.2 224 400 224S416 231.2 416 240V272z"],
    "circle-x": [512, 512, [], "e12e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C355 382.1 349.5 384 344 384c-6.812 0-13.59-2.891-18.34-8.5L256 293.2L186.3 375.5C181.6 381.1 174.8 384 167.1 384C162.5 384 157 382.1 152.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L224.6 256L149.7 167.5C141.1 157.4 142.4 142.2 152.5 133.7C162.6 125.1 177.8 126.4 186.3 136.5L256 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L287.4 256L362.3 344.5z"],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "circle-y": [512, 512, [], "e12f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM378.2 183.6L280 298.2V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V298.2L133.8 183.6C125.2 173.6 126.3 158.4 136.4 149.8c10.08-8.625 25.22-7.438 33.84 2.594L256 252.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C385.7 158.4 386.8 173.6 378.2 183.6z"],
    "circle-z": [512, 512, [], "e130", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L282.2 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L229.8 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "citrus": [512, 512, [], "e2f4", "M304 128H384c53.02 0 96-42.98 96-96V16C480 7.162 472.8 0 464 0H384c-53.02 0-96 42.98-96 96v16C288 120.8 295.2 128 304 128zM455.3 138.2c-20.39 13.72-44.9 21.76-71.27 21.76h-80c-26.47 0-48-21.54-48-48v-16c0-23.06 6.613-44.42 17.33-63.13C267.6 32.46 261.9 31.1 256 31.1c-132.5 0-240 107.5-240 239.1C16 404.6 123.5 512 256 512s240-107.4 240-240C496 222.5 480.1 176.5 455.3 138.2z"],
    "citrus-slice": [512, 512, [], "e2f5", "M428.2 176c-7.936-42.33-28.29-81.3-59.41-112.4l-16.96-16.96L243.8 154.7C248.4 161 251.7 168.2 253.7 176H428.2zM246.9 224.3l132.6 132.6c33.83-39.15 52.46-88.46 52.46-140.7c0-2.752-.2979-5.451-.3994-8.188H253.7C252.2 213.8 249.9 219.3 246.9 224.3zM425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96c46.81 46.81 72.59 109 72.59 175.2s-25.78 128.4-72.59 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.537 395.9 0 402 0 408.4s2.537 12.47 7.037 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM356.9 379.5L244.7 267.4c-.0234-.0234 .0234 .0234 0 0L228.7 251.3c-.0215-.0215 .0215 .0215 0 0L224.3 246.9C219.3 249.9 213.8 252.2 208 253.7v177.9C210.7 431.7 213.4 432 216.2 432C268.4 432 317.8 413.4 356.9 379.5zM176 428.2V253.7C168.2 251.7 161 248.4 154.7 243.8l-108 108l16.96 16.96C94.71 399.9 133.7 420.3 176 428.2z"],
    "city": [640, 512, [127961], "f64f", "M480 192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H64V24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V96H176V24C176 10.75 186.7 0 200 0C213.3 0 224 10.75 224 24V96H288V48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192zM576 368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368zM240 416C248.8 416 256 408.8 256 400V368C256 359.2 248.8 352 240 352H208C199.2 352 192 359.2 192 368V400C192 408.8 199.2 416 208 416H240zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM256 176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240C248.8 224 256 216.8 256 208V176zM80 160C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176C128 167.2 120.8 160 112 160H80zM256 272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM416 272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM416 176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176z"],
    "clapperboard": [512, 512, [], "e131", "M326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM166.1 160l128-128H201.9l-128 128H166.1zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM134.1 32H64C28.65 32 0 60.65 0 96v64h6.062L134.1 32zM0 416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V192H0V416z"],
    "clapperboard-play": [512, 512, [], "e132", "M134.1 32H64C28.65 32 0 60.65 0 96v64h6.062L134.1 32zM326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM166.1 160l128-128H201.9l-128 128H166.1zM0 416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V192H0V416zM208 267c0-4.01 2.104-7.705 5.5-9.656c3.375-1.918 7.562-1.832 10.81 .3027l106.7 68.97C334.1 328.7 336 332.2 336 335.1s-1.896 7.338-5.021 9.354l-106.7 68.97C222.6 415.4 220.6 416 218.7 416c-1.77 0-3.559-.4648-5.163-1.379C210.1 412.7 208 408.1 208 404.1V267zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19z"],
    "clarinet": [640, 512, [], "f8ad", "M631.6 129.9c-5.219-2.781-11.53-2.5-16.44 .7969L571.2 160L480 159.1V127.1h16c8.801 0 16-7.201 16-15.1C512 103.2 504.8 96 496 96h-256C231.2 96 224 103.2 224 111.1c0 8.799 7.199 15.1 16 15.1H256v31.1L101.3 159.1c-3.5 0-6.875 .4995-10.12 1.625L11 188.4C4.375 190.5 0 196.6 0 203.5v73c0 6.875 4.375 13 11 15.12l80.13 26.75c3.25 1.125 6.625 1.623 10.12 1.623L571.2 320l43.97 29.31C617.8 351.1 620.9 352 624 352c2.594 0 5.188-.625 7.562-1.891C636.8 347.3 640 341.9 640 336v-192C640 138.1 636.8 132.7 631.6 129.9zM384 127.1h64v31.1l-64 .0002V127.1zM288 127.1h64v31.1L288 159.1V127.1zM272 264c-13.25 0-24-10.75-24-24S258.8 216 272 216S296 226.8 296 240S285.3 264 272 264zM368 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 264 368 264zM464 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S477.3 264 464 264z"],
    "claw-marks": [576, 512, [], "f6c2", "M41.37 9.373C53.87-3.124 74.13-3.124 86.63 9.373L534.6 457.4C547.1 469.9 547.1 490.1 534.6 502.6C522.1 515.1 501.9 515.1 489.4 502.6L434.7 448H384C366.3 448 352 433.7 352 416V365.3L210.7 224H160C142.3 224 128 209.7 128 192V141.3L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372L41.37 9.373zM41.37 233.4C53.87 220.9 74.13 220.9 86.63 233.4L310.6 457.4C323.1 469.9 323.1 490.1 310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6L210.7 448H128C110.3 448 96 433.7 96 416V333.3L41.37 278.6C28.88 266.1 28.88 245.9 41.37 233.4L41.37 233.4zM566.6 265.4C579.1 277.9 579.1 298.1 566.6 310.6C554.1 323.1 533.9 323.1 521.4 310.6L498.7 288H448C430.3 288 416 273.7 416 256V205.3L370.7 160H320C302.3 160 288 145.7 288 128V77.25L265.4 54.63C252.9 42.13 252.9 21.87 265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L566.6 265.4z"],
    "clipboard": [384, 512, [128203], "f328", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM272 224h-160C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192h160C280.8 192 288 199.2 288 208S280.8 224 272 224z"],
    "clipboard-check": [384, 512, [], "f46c", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32s-14.33 32-32 32S160 113.7 160 96S174.3 64 192 64zM282.9 262.8l-88 112c-4.047 5.156-10.02 8.438-16.53 9.062C177.6 383.1 176.8 384 176 384c-5.703 0-11.25-2.031-15.62-5.781l-56-48c-10.06-8.625-11.22-23.78-2.594-33.84c8.609-10.06 23.77-11.22 33.84-2.594l36.98 31.69l72.52-92.28c8.188-10.44 23.3-12.22 33.7-4.062C289.3 237.3 291.1 252.4 282.9 262.8z"],
    "clipboard-list": [384, 512, [], "f46d", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM96 296c-13.25 0-24-10.75-24-24S82.75 248 96 248S120 258.8 120 272S109.3 296 96 296zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-128C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256h128C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z"],
    "clipboard-list-check": [384, 512, [], "f737", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM112 288C107.9 288 103.8 286.4 100.7 283.3l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L112 249.4l52.69-52.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C120.2 286.4 116.1 288 112 288zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-96C199.2 288 192 280.8 192 272C192 263.2 199.2 256 208 256h96C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z"],
    "clipboard-medical": [384, 512, [], "e133", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM288 336c0 8.799-7.199 16-16 16H224v48c0 8.799-7.199 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336v-32C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304V336z"],
    "clipboard-prescription": [384, 512, [], "f5e8", "M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM304 432l-11.25 11.25c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.25 6.25-16.5 6.25-22.75 0L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128v48C128 376.9 120.9 384 112 384H96c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88c6.25-6.25 16.38-6.25 22.62 0l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-30 30L304 409.4C310.3 415.6 310.3 425.8 304 432z"],
    "clipboard-question": [384, 512, [], "e4e3", "M282.5 64H320C355.3 64 384 92.65 384 128V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H101.5C114.6 26.71 150.2 0 192 0C233.8 0 269.4 26.71 282.5 64zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM105.4 230.5C100.9 243 107.5 256.7 119.1 261.2C132.5 265.6 146.2 259.1 150.6 246.6L151.1 245.3C152.2 242.1 155.2 240 158.6 240H216.9C225.2 240 232 246.8 232 255.1C232 260.6 229.1 265.6 224.4 268.3L180.1 293.7C172.6 298 168 305.9 168 314.5V328C168 341.3 178.7 352 192 352C205.1 352 215.8 341.5 215.1 328.4L248.3 309.9C267.9 298.7 280 277.8 280 255.1C280 220.3 251.7 192 216.9 192H158.6C134.9 192 113.8 206.9 105.8 229.3L105.4 230.5zM192 384C174.3 384 160 398.3 160 416C160 433.7 174.3 448 192 448C209.7 448 224 433.7 224 416C224 398.3 209.7 384 192 384z"],
    "clipboard-user": [384, 512, [], "f7f3", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM192 192c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 291.3 128 256S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.82 80 80C304 440.8 296.8 448 288 448z"],
    "clock": [512, 512, [128339, "clock-four"], "f017", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 264 236 271.5 242.7 275.1L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L280 243.2V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 256z"],
    "clock-desk": [448, 512, [], "e134", "M448 224C448 347.7 347.7 448 224 448C100.3 448 0 347.7 0 224C0 100.3 100.3 0 224 0C347.7 0 448 100.3 448 224zM200 120V224C200 230.4 202.5 236.5 207 240.1L255 288.1C264.4 298.3 279.6 298.3 288.1 288.1C298.3 279.6 298.3 264.4 288.1 255L248 214.1V120C248 106.7 237.3 96 224 96C210.7 96 200 106.7 200 120V120zM224 480C320.4 480 404.3 426.7 448 348V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V348C43.67 426.7 127.6 480 224 480z"],
    "clock-eight": [512, 512, [], "e345", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V243.2L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L269.3 275.1C275.1 271.5 280 264 280 255.1L280 120z"],
    "clock-eight-thirty": [512, 512, [], "e346", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 247.1 275.1 239 267.3 234.8C259.5 230.7 250.1 231.1 242.7 236L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L231.1 300.8L232 392z"],
    "clock-eleven": [512, 512, [], "e347", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 176.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L236 269.3C241.9 278.1 252.8 282 262.1 278.1C273.1 275.9 280 266.6 280 256V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120L232 176.7z"],
    "clock-eleven-thirty": [512, 512, [], "e348", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 251.3 278.6 246.6 275.1 242.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L232 263.3L232 392z"],
    "clock-five": [512, 512, [], "e349", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 260.7 233.4 265.4 236 269.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L280 248.7L280 120z"],
    "clock-five-thirty": [512, 512, [], "e34a", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 335.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L275.1 242.7C270.1 233.9 259.2 229.1 249 233C238.9 236.1 231.1 245.4 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 335.3z"],
    "clock-four-thirty": [512, 512, [], "e34b", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 300.8L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L269.3 236C261.9 231.1 252.5 230.7 244.7 234.8C236.9 239 231.1 247.1 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 300.8z"],
    "clock-nine": [512, 512, [], "e34c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H256C269.3 280 280 269.3 280 256V120z"],
    "clock-nine-thirty": [512, 512, [], "e34d", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H232V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z"],
    "clock-one": [512, 512, [], "e34e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 266.6 238.9 275.9 249 278.1C259.2 282 270.1 278.1 275.1 269.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L280 176.7L280 120z"],
    "clock-one-thirty": [512, 512, [], "e34f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 263.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L236 242.7C233.4 246.6 232 251.3 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 263.3z"],
    "clock-rotate-left": [512, 512, ["history"], "f1da", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C201.7 512 151.2 495 109.7 466.1C95.2 455.1 91.64 436 101.8 421.5C111.9 407 131.8 403.5 146.3 413.6C177.4 435.3 215.2 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C202.1 64 155 85.46 120.2 120.2L151 151C166.1 166.1 155.4 192 134.1 192H24C10.75 192 0 181.3 0 168V57.94C0 36.56 25.85 25.85 40.97 40.97L74.98 74.98C121.3 28.69 185.3 0 255.1 0L256 0zM256 128C269.3 128 280 138.7 280 152V246.1L344.1 311C354.3 320.4 354.3 335.6 344.1 344.1C335.6 354.3 320.4 354.3 311 344.1L239 272.1C234.5 268.5 232 262.4 232 256V152C232 138.7 242.7 128 256 128V128z"],
    "clock-seven": [512, 512, [], "e350", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 248.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L275.1 269.3C278.6 265.4 280 260.7 280 256V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 248.7z"],
    "clock-seven-thirty": [512, 512, [], "e351", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 245.4 273.1 236.1 262.1 233C252.8 229.1 241.9 233.9 236 242.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L231.1 335.3L232 392z"],
    "clock-six": [512, 512, [], "e352", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V360C232 373.3 242.7 384 256 384C269.3 384 280 373.3 280 360V120z"],
    "clock-six-thirty": [512, 512, [], "e353", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232C242.7 232 232 242.7 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z"],
    "clock-ten": [512, 512, [], "e354", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 211.2L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L242.7 275.1C250.1 280.9 259.5 281.3 267.3 277.2C275.1 272.1 280 264.9 280 255.1V119.1C280 106.7 269.3 95.1 256 95.1C242.7 95.1 232 106.7 232 119.1L232 211.2z"],
    "clock-ten-thirty": [512, 512, [], "e355", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 247.1 275.1 240.5 269.3 236L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L232 268.8V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 256z"],
    "clock-three": [512, 512, [], "e356", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 269.3 242.7 280 256 280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H280V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256z"],
    "clock-three-thirty": [512, 512, [], "e357", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H256C242.7 232 232 242.7 232 256V392z"],
    "clock-twelve": [512, 512, [], "e358", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256V120z"],
    "clock-twelve-thirty": [512, 512, [], "e359", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V152z"],
    "clock-two": [512, 512, [], "e35a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 264.9 236.9 272.1 244.7 277.2C252.5 281.3 261.9 280.9 269.3 275.1L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L280 211.2L280 120z"],
    "clock-two-thirty": [512, 512, [], "e35b", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V268.8L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L242.7 236C236 240.5 232 247.1 232 256L232 392z"],
    "clone": [512, 512, [], "f24d", "M0 224C0 188.7 28.65 160 64 160H128V288C128 341 170.1 384 224 384H352V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224zM224 352C188.7 352 160 323.3 160 288V64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224z"],
    "closed-captioning": [576, 512, [], "f20a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM168.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C116.5 305.8 106.5 281.6 106.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C159.5 231.1 154.5 243.2 154.5 256S159.5 280.9 168.6 289.9zM360.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C308.5 305.8 298.5 281.6 298.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C351.5 231.1 346.5 243.2 346.5 256S351.5 280.9 360.6 289.9z"],
    "closed-captioning-slash": [640, 512, [], "e135", "M630.8 469.1l-30.73-24.09C604.7 436.2 608 426.6 608 416V95.1c0-35.35-28.65-64-64-64L96 31.1c-6.645 0-12.96 1.176-18.96 3.073L38.81 5.111C34.41 1.673 29.19-.0001 24.03-.0001c-7.125 0-14.19 3.158-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM306.9 215.3L237 160.5C260.8 161 284.3 170 302.4 188.1C309.8 195.5 311.1 206.4 306.9 215.3zM494.4 323.9c-7.732 7.732-16.62 13.47-25.93 18.01l-50.48-39.56c14.99 2.729 30.92-.8157 42.47-12.38c9.375-9.375 24.56-9.375 33.94 0S503.8 314.5 494.4 323.9zM494.4 222.1c-9.375 9.375-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.88 0c-9.062 9.063-14.06 21.12-14.06 33.94c0 6.338 1.243 12.49 3.577 18.19l-49.26-38.61c3.857-17.83 12.61-34.25 25.81-47.45c37.44-37.44 98.31-37.44 135.8 0C503.8 197.5 503.8 212.7 494.4 222.1zM234.5 351.1c-24.59 0-49.16-9.359-67.88-28.08C148.5 305.8 138.5 281.6 138.5 256c0-15.09 3.841-29.46 10.38-42.58L32 121.8v294.2c0 35.35 28.65 64 64 64l393.1 .0002L296.3 328.9C278.4 343.1 256.6 351.1 234.5 351.1zM256.6 297.8L188.2 244.2C187.2 248 186.5 251.9 186.5 256c0 12.81 5 24.88 14.06 33.94C215.8 305.2 238.5 307.3 256.6 297.8z"],
    "clothes-hanger": [640, 512, [], "e136", "M607.2 377l-236.5-157.7l8.125-5.656C412.1 190.6 432 152.5 432 112C432 50.25 381.8 0 320 0C266.9 0 220.8 37.69 210.2 89.66c-3.5 17.31 7.688 34.19 25.03 37.72C252.5 130.8 269.4 119.7 272.1 102.3C277.5 80.13 297.3 64 320 64c26.47 0 48 21.53 48 48c0 19.59-9.594 37.97-25.69 49.13l-310.7 216.2C11.81 391.1 0 413.7 0 438.3C0 478.9 33.06 512 73.69 512h492.6C606.9 512 640 478.9 640 438.3C640 413.6 627.7 390.7 607.2 377zM566.3 448H73.69C68.34 448 64 443.7 64 437.8c0-3.156 1.562-6.156 4.156-7.938l246.1-171.2l257.5 171.6C574.4 432.1 576 435.1 576 438.3C576 443.7 571.7 448 566.3 448z"],
    "cloud": [640, 512, [9729], "f0c2", "M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1z"],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM303 392.1C312.4 402.3 327.6 402.3 336.1 392.1L416.1 312.1C426.3 303.6 426.3 288.4 416.1 279C407.6 269.7 392.4 269.7 383 279L344 318.1V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184V318.1L256.1 279C247.6 269.7 232.4 269.7 223 279C213.7 288.4 213.7 303.6 223 312.1L303 392.1z"],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM223 263C213.7 272.4 213.7 287.6 223 296.1C232.4 306.3 247.6 306.3 256.1 296.1L296 257.9V392C296 405.3 306.7 416 320 416C333.3 416 344 405.3 344 392V257.9L383 296.1C392.4 306.3 407.6 306.3 416.1 296.1C426.3 287.6 426.3 272.4 416.1 263L336.1 183C327.6 173.7 312.4 173.7 303 183L223 263z"],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", "M352 351.1h-71.25l47.44-105.4c3.062-6.781 1.031-14.81-4.906-19.31c-5.969-4.469-14.22-4.312-19.94 .4687l-153.6 128c-5.156 4.312-7.094 11.41-4.781 17.72c2.281 6.344 8.281 10.56 15.03 10.56h71.25l-47.44 105.4c-3.062 6.781-1.031 14.81 4.906 19.31C191.6 510.9 194.1 512 198.4 512c3.656 0 7.281-1.25 10.25-3.719l153.6-128c5.156-4.312 7.094-11.41 4.781-17.72C364.8 356.2 358.8 351.1 352 351.1zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h46.63l140.2-116.8c8.605-7.195 19.53-11.16 30.76-11.16c10.34 0 20.6 3.416 29.03 9.734c17.96 13.61 24.02 37.45 14.76 57.95L330.2 320H416c53 0 96-43 96-96S469 128 416 128z"],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", "M350.6 225.5C343.7 188.3 311.3 160 272.1 160C259.8 160 248.2 163 237.8 168C220.3 143.9 192.2 128 160 128C107 128 64.02 171 64.02 224c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 38.93 27.7 71.22 64.5 78.44c.4609-13.03 5.756-25.72 15.9-34.56L208.3 235.9C217.1 228.2 228.3 224 239.1 224C250.2 224 259.9 227.2 268.2 233.2c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.09h7.195c19.88 0 37.94 12.51 44.92 31.11C318.1 372.6 319.7 378.3 319.7 384h16.32c44.26 0 80.02-35.74 80.02-79.99C416.1 264.8 387.9 232.3 350.6 225.5zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.502-3.125 4.125-11.38-2.125-12.5C479.7 .75 470.8 0 461.8 0c-77.88 0-141 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.125 .5 10 1.5 15.26 1.5c44.63 0 85.5-20.12 112.5-53.25C578.6 229.8 574.2 222.6 567.9 223.8zM272 368H216.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H167.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C137.4 510.1 140.7 512 143.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C284.6 372.1 278.7 368 272 368z"],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", "M464 368H408.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38h55.73l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C329.4 510.1 332.7 512 335.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C476.6 372.1 470.7 368 464 368zM156.1 259.8c-37.38-37.38-37.38-98.25 0-135.8c34.63-34.63 89.13-36.88 126.6-7.375c20-13 43.63-20.75 69.25-20.75c.75 0 1.25 .25 2 .25l8.875-26.75c3.375-10.25-6.25-19.75-16.5-16.38L271.1 78.22l-35.5-71c-4.875-9.625-18.5-9.625-23.38 0l-35.5 71L101.5 53.09c-10.25-3.375-19.75 6.25-16.38 16.5l25.12 75.25l-71 35.5c-9.625 4.875-9.625 18.5 0 23.38l71 35.5L85.09 314.5c-3.375 10.25 6.25 19.75 16.5 16.5l59.13-19.75C160.6 308.8 160.1 306.6 160.1 304.1c0-12.5 2.25-24.5 6.125-35.88C162.7 265.5 159.2 262.1 156.1 259.8zM542.6 225.5C535.7 188.3 503.3 160 464.1 160c-12.25 0-23.88 3-34.26 8C412.3 143.9 384.2 128 352 128C299 128 256 171 256 224c0 .5 .25 1.125 .25 1.625C219.6 233 192 265.3 192 304c0 38.93 27.7 71.22 64.5 78.44c.4609-13.03 5.754-25.72 15.89-34.56l127.9-111.9C409.1 228.2 420.3 224 431.1 224c10.19 0 19.95 3.172 28.27 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.09h7.197c19.89 0 37.95 12.51 44.92 31.11C510.1 372.6 511.7 378.3 511.7 384h16.32C572.2 384 608 348.1 608 303.9C608.1 264.6 579.9 232.3 542.6 225.5zM225.8 201.8c4.375-24.5 15.88-46.38 31.88-64C247.1 131.7 236.3 127.1 223.1 127.1c-35.25 0-64 28.75-64 64c0 18.75 8.25 35.38 21.12 47.13C192.3 223.2 207.7 210.2 225.8 201.8z"],
    "cloud-check": [640, 512, [], "e35c", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM435.8 243.8C446.7 232.9 446.7 215.1 435.8 204.2C424.9 193.3 407.1 193.3 396.2 204.2L288 312.4L243.8 268.2C232.9 257.3 215.1 257.3 204.2 268.2C193.3 279.1 193.3 296.9 204.2 307.8L268.2 371.8C279.1 382.7 296.9 382.7 307.8 371.8L435.8 243.8z"],
    "cloud-drizzle": [512, 512, [], "f738", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM352 424c-13.25 0-24 10.75-24 24v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448C376 434.8 365.3 424 352 424zM448 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C472 362.8 461.3 352 448 352zM160 424c-13.25 0-24 10.75-24 24v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448C184 434.8 173.3 424 160 424zM64 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24S88 429.3 88 416v-40C88 362.8 77.25 352 64 352zM256 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C280 362.8 269.3 352 256 352z"],
    "cloud-exclamation": [640, 512, [], "e491", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM296 184V296C296 309.3 306.7 320 320 320C333.3 320 344 309.3 344 296V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z"],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", "M160 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C479.5 123 480 117.6 480 112C480 67.75 444.2 32 400 32c-24.62 0-46.25 11.25-61 28.75C320.4 24.75 283.2 0 240 0C178.1 0 128 50.12 128 112c0 7.25 .75 14.25 2.125 21.25C91.75 145.8 64 181.5 64 224C64 277 107 320 160 320zM200 464H87.1C74.8 464 64 474.8 64 487.1S74.8 512 87.1 512H200C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464H295.1C282.8 464 272 474.8 272 487.1S282.8 512 295.1 512H616c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400C576 386.8 565.2 376 552 376h-528C10.8 376 0 386.8 0 399.1C0 413.2 10.8 424 23.1 424h528C565.2 424 576 413.2 576 400z"],
    "cloud-hail": [512, 512, [], "f739", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.2 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.2 0 176 0C114.1 0 64 50.12 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352z"],
    "cloud-hail-mixed": [512, 512, [], "f73a", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM256 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 448 256 448zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l48-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.45 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C99.28 373.3 93.64 359.2 81.45 353.9zM305.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C323.3 373.3 317.6 359.2 305.5 353.9zM433.5 353.9c-12.16-5.219-26.28 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l48-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-meatball": [576, 512, [], "f73b", "M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM377 363.1c4.625-14.5 1.625-30.88-9.75-42.37c-11.5-11.5-27.87-14.38-42.37-9.875c-7-13.5-20.63-23-36.88-23s-29.88 9.5-36.88 23C236.6 306.2 220.2 309.2 208.8 320.8c-11.5 11.5-14.38 27.87-9.875 42.37c-13.5 7-23 20.63-23 36.88s9.5 29.88 23 36.88c-4.625 14.5-1.625 30.88 9.875 42.37c8.25 8.125 19 12.25 29.75 12.25c4.25 0 8.5-1.125 12.62-2.5C258.1 502.5 271.8 512 288 512s29.88-9.5 36.88-23c4.125 1.25 8.375 2.5 12.62 2.5c10.75 0 21.5-4.125 29.75-12.25c11.5-11.5 14.38-27.87 9.75-42.37C390.5 429.9 400 416.2 400 400S390.5 370.1 377 363.1zM544 224c0-53-43-96-96-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112C448 67.75 412.2 32 368 32c-24.62 0-46.25 11.25-61 28.75C288.4 24.75 251.2 0 208 0C146.1 0 96 50.12 96 112c0 7.25 .75 14.25 2.125 21.25C59.75 145.8 32 181.5 32 224c0 53 43 96 96 96h43.38C175 312 179.8 304.6 186.2 298.2C199.8 284.8 217.8 277.1 237 276.9C250.5 263.8 268.8 256 288 256s37.5 7.75 51 20.88c19.25 .25 37.25 7.875 50.75 21.37C396.2 304.6 401.1 312 404.6 320H448C501 320 544 277 544 224z"],
    "cloud-minus": [640, 512, [], "e35d", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM232 264C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H232z"],
    "cloud-moon": [576, 512, [], "f6c3", "M342.7 352.7c5.75-9.625 9.25-20.75 9.25-32.75c0-35.25-28.75-64-63.1-64c-17.25 0-32.75 6.875-44.25 17.87C227.4 244.2 196.2 223.1 159.1 223.1c-53 0-96 43.06-96 96.06c0 2 .5029 3.687 .6279 5.687c-37.5 13-64.62 48.38-64.62 90.25C-.0048 468.1 42.99 512 95.99 512h239.1c44.25 0 79.1-35.75 79.1-80C415.1 390.1 383.7 356.2 342.7 352.7zM565.2 298.4c-93 17.75-178.5-53.62-178.5-147.6c0-54.25 28.1-104 76.12-130.9c7.375-4.125 5.375-15.12-2.75-16.63C448.4 1.125 436.7 0 424.1 0c-105.9 0-191.9 85.88-191.9 192c0 8.5 .625 16.75 1.75 25c5.875 4.25 11.62 8.875 16.75 14.25C262.1 226.5 275.2 224 287.1 224c52.88 0 95.1 43.13 95.1 96c0 3.625-.25 7.25-.625 10.75c23.62 10.75 42.37 29.5 53.5 52.5c54.38-3.375 103.7-29.25 137.1-70.37C579.2 306.4 573.5 296.8 565.2 298.4z"],
    "cloud-moon-rain": [576, 512, [], "f73c", "M350.5 225.5c-6.876-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 2.1-34.25 7.1C220.3 143.9 192.1 128 160 128c-53.01 0-96.01 42.1-96.01 95.1c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 44.25 35.75 79.1 80.01 79.1h256c44.25 0 80.01-35.75 80.01-79.1C416 264.8 387.8 232.3 350.5 225.5zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.501-3.125 4.077-11.37-2.173-12.5C479.6 .7538 470.8 0 461.8 0c-77.88 0-141.1 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.126 .5 10.05 1.522 15.3 1.522c44.63 0 85.46-20.15 112.5-53.27C578.6 229.8 574.2 222.6 567.9 223.8zM340.1 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C318.8 510.7 323.4 512 327.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C362.3 412.7 347.4 415.7 340.1 426.7zM244 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C222.8 510.7 227.4 512 231.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C266.3 412.7 251.4 415.7 244 426.7zM148 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C126.8 510.7 131.4 512 135.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C170.3 412.7 155.4 415.7 148 426.7zM52.03 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C30.78 510.7 35.41 512 39.97 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C74.25 412.7 59.41 415.7 52.03 426.7z"],
    "cloud-music": [640, 512, [], "f8ae", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM416 207.1C416 184.7 393.7 169.3 372.8 177.1L276.8 213.1C264.3 217.8 256 229.7 256 243.1V330.3C250.1 328.8 245.6 328 240 328C213.5 328 192 345.9 192 368C192 390.1 213.5 408 240 408C266.5 408 288 390.1 288 368V275.1L384 239.1V298.3C378.1 296.8 373.6 296 368 296C341.5 296 320 313.9 320 336C320 358.1 341.5 376 368 376C394.5 376 416 358.1 416 336V207.1z"],
    "cloud-plus": [640, 512, [], "e35e", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM320 400C333.3 400 344 389.3 344 376V312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H344V200C344 186.7 333.3 176 320 176C306.7 176 296 186.7 296 200V264H232C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H296V376C296 389.3 306.7 400 320 400z"],
    "cloud-question": [640, 512, [], "e492", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM233.4 198.5C228.9 211 235.5 224.7 247.1 229.2C260.5 233.6 274.2 227.1 278.6 214.6L279.1 213.3C280.2 210.1 283.2 208 286.6 208H344.9C353.2 208 360 214.8 360 223.1C360 228.6 357.1 233.6 352.4 236.3L308.1 261.7C300.6 266 296 273.9 296 282.5V296C296 309.3 306.7 320 320 320C333.1 320 343.8 309.5 343.1 296.4L376.3 277.9C395.9 266.7 408 245.8 408 223.1C408 188.3 379.7 160 344.9 160H286.6C262.9 160 241.8 174.9 233.8 197.3L233.4 198.5zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z"],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM368 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S368 437.5 368 464zM48 464C48 490.5 69.49 512 96 512s48-21.49 48-48s-48.01-95.1-48.01-95.1S48 437.5 48 464zM208 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S208 437.5 208 464z"],
    "cloud-rainbow": [576, 512, [], "f73e", "M430.8 304.9c10 5.625 19 12.37 27 20.37C487.1 292.8 529 272 576 272v-64c-61 0-116.2 24.62-156.8 64.25C424.9 282.2 429 293.2 430.8 304.9zM399.2 325.6C399.4 323.8 400 321.9 400 320c0-35.25-28.75-64-64-64c-12.62 0-24.25 3.75-34.13 10C284.2 227.1 245.4 200 200 200c-61.88 0-112 50.12-112 112c0 3 .75 5.75 .875 8.75C39.25 324.4 0 365.4 0 416c0 53 43 96 96 96h272c53 0 96-43 96-96C464 374 436.8 338.6 399.2 325.6zM238.6 173.6c21 5.875 40.38 16.5 56.62 31C359.6 119.4 461.2 64 576 64V0C437.1 0 314.2 68.75 238.6 173.6zM325.8 225.1C333.2 224.2 362.5 219.8 394.2 244C440.6 197.2 504.9 168 576 168v-64C474.8 104 384.4 151.4 325.8 225.1z"],
    "cloud-showers": [512, 512, [], "f73f", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM200 384c-13.25 0-24 10.75-24 24v80C176 501.3 186.8 512 200 512S224 501.3 224 488v-80C224 394.8 213.3 384 200 384zM104 352c-13.25 0-24 10.75-24 24v80C80 469.3 90.75 480 104 480S128 469.3 128 456v-80C128 362.8 117.3 352 104 352zM296 352c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S320 469.3 320 456v-80C320 362.8 309.3 352 296 352zM392 384c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S416 501.3 416 488v-80C416 394.8 405.3 384 392 384z"],
    "cloud-showers-heavy": [512, 512, [], "f740", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C256.4 24.75 219.3 0 176 0C114.3 0 64 50.13 64 112c0 7.25 .7512 14.25 2.126 21.25C27.76 145.8 .0054 181.5 .0054 224c0 53 42.1 96 95.1 96h319.1C469 320 512 277 512 224S469 128 416 128zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.46 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C-3.276 490.7 2.365 504.8 14.55 510.1C17.63 511.4 20.83 512 23.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C99.29 373.3 93.64 359.2 81.46 353.9zM316.1 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C252.3 511.4 255.5 512 258.7 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C333.1 373.3 328.3 359.2 316.1 353.9zM433.5 353.9c-12.17-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-showers-water": [576, 512, [], "e4e4", "M223.1 0C262.6 0 295.9 22.82 311.2 55.7C325.7 41.07 345.8 32 368 32C406.7 32 438.1 59.48 446.4 96H448C483.3 96 512 124.7 512 160C512 195.3 483.3 224 448 224H127.1C92.65 224 63.1 195.3 63.1 160C63.1 124.7 92.65 96 127.1 96C127.1 42.98 170.1 0 223.1 0zM92.58 372.3C85.76 383.7 71.02 387.4 59.65 380.6C48.29 373.8 44.6 359 51.42 347.7L99.42 267.7C106.2 256.3 120.1 252.6 132.3 259.4C143.7 266.2 147.4 280.1 140.6 292.3L92.58 372.3zM468.3 259.4C479.7 266.2 483.4 280.1 476.6 292.3L428.6 372.3C421.8 383.7 407 387.4 395.7 380.6C384.3 373.8 380.6 359 387.4 347.7L435.4 267.7C442.2 256.3 456.1 252.6 468.3 259.4V259.4zM204.6 372.3C197.8 383.7 183 387.4 171.7 380.6C160.3 373.8 156.6 359 163.4 347.7L211.4 267.7C218.2 256.3 232.1 252.6 244.3 259.4C255.7 266.2 259.4 280.1 252.6 292.3L204.6 372.3zM356.3 259.4C367.7 266.2 371.4 280.1 364.6 292.3L316.6 372.3C309.8 383.7 295 387.4 283.7 380.6C272.3 373.8 268.6 359 275.4 347.7L323.4 267.7C330.2 256.3 344.1 252.6 356.3 259.4V259.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "cloud-slash": [640, 512, [], "e137", "M138.6 83.31C167.8 51.76 209.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 388.6 624.6 421.6 599.1 444.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.197 42.89C-1.236 34.71-3.064 19.63 5.113 9.196C13.29-1.236 28.37-3.065 38.81 5.112L138.6 83.31zM97.17 172.6L487.4 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 185.4 96.4 178.9 97.17 172.6V172.6z"],
    "cloud-sleet": [576, 512, [], "f741", "M128 320h319.1C501 320 544 277 544 224s-42.1-96-95.1-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C288.4 24.75 251.3 0 208 0C146.1 0 96 50.13 96 112c0 7.25 .7512 14.25 2.126 21.25C59.76 145.8 32.01 181.5 32.01 224C32.01 277 75.01 320 128 320zM113.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C28.72 490.7 34.36 504.8 46.55 510.1C49.63 511.4 52.83 512 55.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C131.3 373.3 125.6 359.2 113.5 353.9zM385.5 353.9c-12.22-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C321.6 511.4 324.8 512 327.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C403.3 373.3 397.6 359.2 385.5 353.9zM520 392h-15.1v-16c0-13.25-10.75-24-23.1-24c-13.25 0-23.1 10.75-23.1 24v16h-15.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h15.1v16c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24v-16h15.1C533.3 440 544 429.3 544 416S533.3 392 520 392zM264 392H248v-16c0-13.25-10.75-24-23.1-24S200 362.8 200 376v16H184c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24H200v16c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24v-16h15.1c13.25 0 23.1-10.75 23.1-24S277.3 392 264 392z"],
    "cloud-snow": [512, 512, [127784], "f742", "M96 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224C0 277 43 320 96 320zM104 392h-16v-16C88 362.8 77.25 352 64 352s-24 10.75-24 24v16h-16C10.75 392 0 402.8 0 416s10.75 24 24 24h16v16C40 469.3 50.75 480 64 480s24-10.75 24-24v-16h16C117.3 440 128 429.3 128 416S117.3 392 104 392zM488 392h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C394.8 392 384 402.8 384 416s10.75 24 24 24h16v16c0 13.25 10.75 24 24 24s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S501.3 392 488 392zM296 424h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C202.8 424 192 434.8 192 448s10.75 24 24 24h16v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S309.3 424 296 424z"],
    "cloud-sun": [640, 512, [9925], "f6c4", "M96 208c0-61.86 50.14-111.1 111.1-111.1c52.65 0 96.5 36.45 108.5 85.42C334.7 173.1 354.7 168 375.1 168c4.607 0 9.152 .3809 13.68 .8203l24.13-34.76c5.145-7.414 .8965-17.67-7.984-19.27L317.2 98.78L301.2 10.21C299.6 1.325 289.4-2.919 281.9 2.226L208 53.54L134.1 2.225C126.6-2.92 116.4 1.326 114.8 10.21L98.78 98.78L10.21 114.8C1.326 116.4-2.922 126.7 2.223 134.1l51.3 73.94L2.224 281.9c-5.145 7.414-.8975 17.67 7.983 19.27L98.78 317.2l16.01 88.58c1.604 8.881 11.86 13.13 19.27 7.982l10.71-7.432c2.725-35.15 19.85-66.51 45.83-88.1C137.1 309.8 96 263.9 96 208zM128 208c0 44.18 35.82 80 80 80c9.729 0 18.93-1.996 27.56-5.176c7.002-33.65 25.53-62.85 51.57-83.44C282.8 159.3 249.2 128 208 128C163.8 128 128 163.8 128 208zM575.2 325.6c.125-2 .7453-3.744 .7453-5.619c0-35.38-28.75-64-63.1-64c-12.62 0-24.25 3.749-34.13 9.999c-17.62-38.88-56.5-65.1-101.9-65.1c-61.75 0-112 50.12-112 111.1c0 3 .7522 5.743 .8772 8.618c-49.63 3.75-88.88 44.74-88.88 95.37C175.1 469 218.1 512 271.1 512h272c53 0 96-42.99 96-95.99C639.1 373.9 612.7 338.6 575.2 325.6z"],
    "cloud-sun-rain": [640, 512, [127782], "f743", "M255.7 139.1C244.8 125.5 227.6 116 208 116c-33.14 0-60 26.86-60 59.1c0 25.56 16.06 47.24 38.58 55.88C197.2 219.3 210.5 208.9 225.9 201.1C229.1 178.5 240.6 157.3 255.7 139.1zM120 175.1c0-48.6 39.4-87.1 88-87.1c27.8 0 52.29 13.14 68.42 33.27c21.24-15.67 47.22-25.3 75.58-25.3c.0098 0-.0098 0 0 0L300.4 83.58L286.9 8.637C285.9 3.346 281.3 .0003 276.5 .0003c-2.027 0-4.096 .5928-5.955 1.881l-62.57 43.42L145.4 1.882C143.6 .5925 141.5-.0003 139.5-.0003c-4.818 0-9.399 3.346-10.35 8.636l-13.54 74.95L40.64 97.13c-5.289 .9556-8.637 5.538-8.637 10.36c0 2.026 .5921 4.094 1.881 5.951l43.41 62.57L33.88 238.6C32.59 240.4 32 242.5 32 244.5c0 4.817 3.347 9.398 8.636 10.35l74.95 13.54l13.54 74.95c.9555 5.289 5.537 8.636 10.35 8.636c2.027 0 4.096-.5927 5.954-1.882l19.47-13.51c-3.16-10.34-4.934-21.28-4.934-32.64c0-17.17 4.031-33.57 11.14-48.32C141 241.7 120 211.4 120 175.1zM542.5 225.5c-6.875-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 8c-17.5-24.13-45.63-40-77.76-40c-53 0-96.01 43-96.01 96c0 .5 .25 1.125 .25 1.625C219.6 232.1 191.1 265.2 191.1 303.1c0 44.25 35.75 80 80.01 80h256C572.2 383.1 608 348.2 608 303.1C608 264.7 579.7 232.2 542.5 225.5zM552 415.1c-7.753 0-15.35 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C496 501.4 506.9 512 520 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C576 426.6 565.1 415.1 552 415.1zM456 415.1c-7.751 0-15.34 3.752-19.98 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C400 501.4 410.9 512 423.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C480 426.6 469.1 415.1 456 415.1zM360 415.1c-7.753 0-15.34 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C304 501.4 314.9 512 327.1 512c7.75 0 15.36-3.75 19.99-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C384 426.6 373.1 415.1 360 415.1zM264 415.1c-7.756 0-15.35 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C208 501.4 218.9 512 231.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C288 426.6 277.1 415.1 264 415.1z"],
    "cloud-word": [640, 512, [], "e138", "M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1zM512 368C512 359.2 504.8 352 496 352H304C295.2 352 288 359.2 288 368C288 376.8 295.2 384 304 384H496C504.8 384 512 376.8 512 368zM144 352C135.2 352 128 359.2 128 368C128 376.8 135.2 384 144 384H240C248.8 384 256 376.8 256 368C256 359.2 248.8 352 240 352H144zM144 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H144C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320zM400 288C391.2 288 384 295.2 384 304C384 312.8 391.2 320 400 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H400z"],
    "cloud-xmark": [640, 512, [], "e35f", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM239 240.1L286.1 287.1L239 335C229.7 344.4 229.7 359.6 239 368.1C248.4 378.3 263.6 378.3 272.1 368.1L319.1 321.9L367 368.1C376.4 378.3 391.6 378.3 400.1 368.1C410.3 359.6 410.3 344.4 400.1 335L353.9 287.1L400.1 240.1C410.3 231.6 410.3 216.4 400.1 207C391.6 197.7 376.4 197.7 367 207L319.1 254.1L272.1 207C263.6 197.7 248.4 197.7 239 207C229.7 216.4 229.7 231.6 239 240.1V240.1z"],
    "clouds": [640, 512, [], "f744", "M544 320c-.625 0-1.125 .25-1.625 .25C543.5 315 544 309.6 544 304C544 259.8 508.2 224 464 224c-24.62 0-46.25 11.25-61 28.75C384.4 216.9 347.2 192 304 192C242.1 192 192 242.1 192 304c0 7.25 .75 14.25 2.125 21.25C155.8 337.8 128 373.5 128 416c0 53 43 96 96 96h320c53 0 96-43 96-96S597 320 544 320zM304 160c40.75 0 78.63 17.25 105.4 46.5c9.875-5.625 20.5-9.375 31.62-11.75C445.2 183.9 448 172.4 448 160c0-53-43-96-96-96c-14.12 0-27.38 3.25-39.5 8.75C296.6 30.25 256 0 208 0C151.6 0 105.2 41.88 97.62 96.25C97.12 96.25 96.62 96 96 96C43 96 0 139 0 192s43 96 96 96h65.62C169.8 216.2 230.1 160 304 160z"],
    "clouds-moon": [640, 512, [], "f745", "M448 320h-1.625c-7.375-36.5-39.68-63.99-78.43-63.99c-24.62 0-46.2 11.24-60.95 28.74C288.4 248.9 251.3 224 208 224c-58.25 0-105.6 44.75-110.9 101.6C59.25 338.5 32 373.9 32 416c0 53 43 96 96 96h320c53 0 96-43 96-96S501 320 448 320zM630.1 248.7C552.7 263.5 481 204 481 125.6c0-45.12 24.25-86.62 63.88-109c6.125-3.375 4.625-12.62-2.375-13.87C532.9 .875 523 0 513.1 0c-88.88 0-161.1 71.62-161.1 160c0 .75 .25 1.25 .25 2c16.25 16.75 27 38.75 30.25 63.12c38.5 5.125 71.75 29.88 87.63 64.75c23.12 4 44 14.37 61.13 29.12c42.5-4.75 80.63-25.1 107-58.25C642.8 255.3 637.9 247.3 630.1 248.7zM68.25 303.3C83.25 238.6 140.3 192 208 192c40.75 0 78.63 17.25 105.4 46.5C324.9 232 337.5 227.8 350.5 225.6C343.8 188.2 311.3 160 272 160H254.4C247 123.5 214.8 96 176 96S105 123.5 97.63 160H80C35.75 160 0 195.8 0 240c0 33.88 21.25 62.71 51 74.34C56.5 310.2 62.25 306.4 68.25 303.3z"],
    "clouds-sun": [640, 512, [], "f746", "M132.4 303.2c.8164-3.566 2.199-6.864 3.267-10.31C111.6 272.4 95.1 242.2 95.1 208c0-61.86 50.14-111.1 111.1-111.1c40.39 0 75.46 21.57 95.17 53.63c17.42-12.51 37.81-20.52 59.66-21.54c3.219-6.789 7.302-13.02 11.75-18.95L317.2 98.78L301.2 10.21c-1.605-8.883-11.86-13.13-19.27-7.983l-73.94 51.31l-73.94-51.32c-7.414-5.145-17.67-.8983-19.27 7.983l-16.01 88.58L10.21 114.8C1.326 116.4-2.922 126.6 2.223 134.1l51.3 73.94l-51.3 73.94c-5.145 7.414-.8982 17.67 7.983 19.27l99.58 17.56C116.8 312.9 124.2 307.6 132.4 303.2zM127.1 208c0 20.81 8.137 39.6 21.16 53.83c23.95-40.28 66.65-67.36 115.1-69.69l10.28-15.07c1.148-1.684 2.715-2.938 3.943-4.545c-13.11-26.29-39.97-44.51-71.34-44.51C163.8 128 127.1 163.8 127.1 208zM512 319.1h-1.625c-7.375-36.5-39.62-64-78.37-64c-24.62 0-46.25 11.25-60.1 28.75c-18.62-35.88-55.75-60.75-98.1-60.75c-58.25 0-105.6 44.75-110.9 101.6c-37.88 12.88-65.12 48.25-65.12 90.38c0 53 42.1 96 95.1 96h319.1c53 0 95.1-43 95.1-96S565 319.1 512 319.1zM560.1 159.1h-17.62c-7.375-36.5-39.62-64-78.37-64s-70.99 27.5-78.37 64h-17.62c-27.62 0-51.75 13.88-66.25 35.13c29.12 6.125 55.49 21.25 75.62 43.25c16.5-9.375 35.37-14.5 54.62-14.5c44.63 0 84.24 26.63 102.1 65.88c20.5 3.625 39.12 12.38 54.1 24.5c29.75-11.75 50.86-40.42 50.86-74.29C640 195.8 604.3 159.1 560.1 159.1z"],
    "clover": [448, 512, [], "e139", "M216.6 49.94L217.8 51.18C221.2 54.6 226.8 54.6 230.2 51.18L231.4 49.94C242.9 38.45 258.5 32 274.7 32C308.6 32 336 59.42 336 93.25V98.12C336 110.1 332.7 121.9 326.6 132.1L307.8 163.4C306.7 165.2 306.7 166.5 306.8 167.6C307 168.8 307.7 170.1 308.8 171.2C309.9 172.3 311.2 172.1 312.4 173.2C313.5 173.3 314.8 173.2 316.6 172.2L347.9 153.4C358.1 147.3 369.9 144 381.9 144H386.7C420.6 144 448 171.4 448 205.3C448 221.5 441.5 237.1 430.1 248.6L428.8 249.8C425.4 253.2 425.4 258.8 428.8 262.2L430.1 263.4C441.5 274.9 448 290.5 448 306.7C448 340.6 420.6 368 386.7 368H381.9C369.9 368 358.1 364.7 347.9 358.6L316.6 339.8C314.8 338.7 313.5 338.7 312.4 338.8C311.2 339 309.9 339.7 308.8 340.8C307.7 341.9 307 343.2 306.8 344.4C306.7 345.5 306.7 346.8 307.8 348.6L326.6 379.9C332.7 390.1 336 401.9 336 413.9V418.7C336 452.6 308.6 480 274.7 480C258.5 480 242.9 473.5 231.4 462.1L230.2 460.8C226.8 457.4 221.2 457.4 217.8 460.8L216.6 462.1C205.1 473.5 189.5 480 173.3 480C139.4 480 112 452.6 112 418.7V413.9C112 401.9 115.3 390.1 121.4 379.9L140.2 348.6C141.2 346.8 141.3 345.5 141.2 344.4C140.1 343.2 140.3 341.9 139.2 340.8C138.1 339.7 136.8 339 135.6 338.8C134.5 338.7 133.2 338.7 131.4 339.8L100.1 358.6C89.86 364.7 78.1 368 66.12 368H61.25C27.42 368 0 340.6 0 306.7C0 290.5 6.454 274.9 17.94 263.4L19.18 262.2C22.6 258.8 22.6 253.2 19.18 249.8L17.94 248.6C6.454 237.1 0 221.5 0 205.3C0 171.4 27.42 144 61.25 144H66.12C78.1 144 89.86 147.3 100.1 153.4L131.4 172.2C133.2 173.2 134.5 173.3 135.6 173.2C136.8 172.1 138.1 172.3 139.2 171.2C140.3 170.1 140.1 168.8 141.2 167.6C141.3 166.5 141.2 165.2 140.2 163.4L121.4 132.1C115.3 121.9 112 110.1 112 98.12V93.25C112 59.42 139.4 32 173.3 32C189.5 32 205.1 38.45 216.6 49.94z"],
    "club": [512, 512, [9827], "f327", "M384 160C454.7 160 512 217.3 512 288C512 358.7 454.7 416 384 416C345.8 416 311.5 399.2 288 372.7V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V372.7C200.5 399.2 166.2 416 128 416C57.31 416 0 358.7 0 288C0 217.3 57.31 160 128 160C129.4 160 130.7 160 132 160.1C129.4 149.8 128 139.1 128 128C128 57.31 185.3 0 256 0C326.7 0 384 57.31 384 128C384 139.1 382.6 149.8 379.1 160.1C381.3 160 382.6 160 384 160z"],
    "coconut": [512, 512, [], "e2f6", "M323.1 75.05c-2.188-2.188-6.5-2.656-9.75-2.656c-27.47 .125-87.44 32.58-148.5 94.34c-80.31 81.3-101.6 148-89.97 159.6c2.188 2.188 6.469 2.656 9.75 2.656c27.47-.125 87.41-32.58 148.5-94.34C313.4 153.3 334.7 86.56 323.1 75.05zM436.9 66.84l-40.03-39.76C339.2-30.23 209.7 6.4 107.7 108.9s-137.9 232.1-80.17 289.4l40.03 39.76c99.72 99.04 260.9 98.56 360-1.076l10.34-10.39C537.1 326.9 536.6 165.9 436.9 66.84zM84.94 360.1c-16.78 0-27.12-6.484-32.63-11.94C15.03 311.1 69.27 217.1 142.1 144.2c62.19-62.89 129.3-103.7 170.9-103.8c16.78 0 27.12 6.484 32.63 11.94C382.1 89.39 328.7 183.4 255.8 257.1C193.7 320 126.6 360.8 84.94 360.1zM259.3 451.3C256.2 454.4 252.1 456 248 456s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C265.6 434.9 265.6 445.1 259.3 451.3zM395.3 395.3C392.2 398.4 388.1 400 384 400s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C401.6 378.9 401.6 389.1 395.3 395.3zM440 264c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32c6.25 6.25 6.25 16.38 0 22.62C448.2 262.4 444.1 264 440 264z"],
    "code": [640, 512, [], "f121", "M414.8 40.79L286.8 488.8C281.9 505.8 264.2 515.6 247.2 510.8C230.2 505.9 220.4 488.2 225.2 471.2L353.2 23.21C358.1 6.216 375.8-3.624 392.8 1.232C409.8 6.087 419.6 23.8 414.8 40.79H414.8zM518.6 121.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L518.6 390.6C506.1 403.1 485.9 403.1 473.4 390.6C460.9 378.1 460.9 357.9 473.4 345.4L562.7 256L473.4 166.6C460.9 154.1 460.9 133.9 473.4 121.4C485.9 108.9 506.1 108.9 518.6 121.4V121.4zM166.6 166.6L77.25 256L166.6 345.4C179.1 357.9 179.1 378.1 166.6 390.6C154.1 403.1 133.9 403.1 121.4 390.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L121.4 121.4C133.9 108.9 154.1 108.9 166.6 121.4C179.1 133.9 179.1 154.1 166.6 166.6V166.6z"],
    "code-branch": [448, 512, [], "f126", "M160 80C160 112.8 140.3 140.1 112 153.3V241.1C130.8 230.2 152.7 224 176 224H272C307.3 224 336 195.3 336 160V153.3C307.7 140.1 288 112.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 112.8 428.3 140.1 400 153.3V160C400 230.7 342.7 288 272 288H176C140.7 288 112 316.7 112 352V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456z"],
    "code-commit": [640, 512, [], "f386", "M476.8 288C461.1 361 397.4 416 320 416C242.6 416 178 361 163.2 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H163.2C178 150.1 242.6 96 320 96C397.4 96 461.1 150.1 476.8 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H476.8zM320 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 320 176C275.8 176 240 211.8 240 256C240 300.2 275.8 336 320 336z"],
    "code-compare": [512, 512, [], "e13a", "M320 488C320 497.5 314.4 506.1 305.8 509.9C297.1 513.8 286.1 512.2 279.9 505.8L199.9 433.8C194.9 429.3 192 422.8 192 416C192 409.2 194.9 402.7 199.9 398.2L279.9 326.2C286.1 319.8 297.1 318.2 305.8 322.1C314.4 325.9 320 334.5 320 344V384H336C371.3 384 400 355.3 400 320V153.3C371.7 140.1 352 112.8 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 112.8 492.3 140.1 464 153.3V320C464 390.7 406.7 448 336 448H320V488zM456 79.1C456 66.74 445.3 55.1 432 55.1C418.7 55.1 408 66.74 408 79.1C408 93.25 418.7 103.1 432 103.1C445.3 103.1 456 93.25 456 79.1zM192 24C192 14.52 197.6 5.932 206.2 2.076C214.9-1.78 225-.1789 232.1 6.161L312.1 78.16C317.1 82.71 320 89.2 320 96C320 102.8 317.1 109.3 312.1 113.8L232.1 185.8C225 192.2 214.9 193.8 206.2 189.9C197.6 186.1 192 177.5 192 168V128H176C140.7 128 112 156.7 112 192V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V192C48 121.3 105.3 64 176 64H192V24zM56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432z"],
    "code-fork": [448, 512, [], "e13b", "M160 80C160 112.8 140.3 140.1 112 153.3V192C112 209.7 126.3 224 144 224H304C321.7 224 336 209.7 336 192V153.3C307.7 140.1 288 112.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 112.8 428.3 140.1 400 153.3V192C400 245 357 288 304 288H256V358.7C284.3 371 304 399.2 304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 399.2 163.7 371 192 358.7V288H144C90.98 288 48 245 48 192V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM224 408C210.7 408 200 418.7 200 432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432C248 418.7 237.3 408 224 408z"],
    "code-merge": [448, 512, [], "f387", "M208 239.1H294.7C307 211.7 335.2 191.1 368 191.1C412.2 191.1 448 227.8 448 271.1C448 316.2 412.2 352 368 352C335.2 352 307 332.3 294.7 303.1H208C171.1 303.1 138.7 292.1 112 272V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 112.6 140.5 140.7 112.4 153.2C117 201.9 158.1 240 208 240V239.1zM80 103.1C93.25 103.1 104 93.25 104 79.1C104 66.74 93.25 55.1 80 55.1C66.75 55.1 56 66.74 56 79.1C56 93.25 66.75 103.1 80 103.1zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM368 247.1C354.7 247.1 344 258.7 344 271.1C344 285.3 354.7 295.1 368 295.1C381.3 295.1 392 285.3 392 271.1C392 258.7 381.3 247.1 368 247.1z"],
    "code-pull-request": [512, 512, [], "e13c", "M305.8 2.076C314.4 5.932 320 14.52 320 24V64H336C406.7 64 464 121.3 464 192V358.7C492.3 371 512 399.2 512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 399.2 371.7 371 400 358.7V192C400 156.7 371.3 128 336 128H320V168C320 177.5 314.4 186.1 305.8 189.9C297.1 193.8 286.1 192.2 279.9 185.8L199.9 113.8C194.9 109.3 192 102.8 192 96C192 89.2 194.9 82.71 199.9 78.16L279.9 6.161C286.1-.1791 297.1-1.779 305.8 2.077V2.076zM432 456C445.3 456 456 445.3 456 432C456 418.7 445.3 408 432 408C418.7 408 408 418.7 408 432C408 445.3 418.7 456 432 456zM112 358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 .0004 80 .0004C124.2 .0004 160 35.82 160 80C160 112.8 140.3 140.1 112 153.3V358.7zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408z"],
    "code-pull-request-closed": [448, 512, [], "e3f9", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L368 34.74L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372C451.1 21.87 451.1 42.13 438.6 54.63L413.3 79.1L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L368 125.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L322.7 79.1L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372V9.372zM160 80C160 112.8 140.3 140.1 112 153.3V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM288 432C288 399.2 307.7 371 336 358.7V224C336 206.3 350.3 192 368 192C385.7 192 400 206.3 400 224V358.7C428.3 371 448 399.2 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456z"],
    "code-pull-request-draft": [448, 512, [], "e3fa", "M112 358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 112.8 140.3 140.1 112 153.3V358.7zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456zM416 80C416 106.5 394.5 128 368 128C341.5 128 320 106.5 320 80C320 53.49 341.5 32 368 32C394.5 32 416 53.49 416 80zM320 240C320 213.5 341.5 192 368 192C394.5 192 416 213.5 416 240C416 266.5 394.5 288 368 288C341.5 288 320 266.5 320 240z"],
    "code-simple": [576, 512, [], "e13d", "M77.25 256L214.6 393.4C227.1 405.9 227.1 426.1 214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37C227.1 85.87 227.1 106.1 214.6 118.6L77.25 256zM361.4 118.6C348.9 106.1 348.9 85.87 361.4 73.37C373.9 60.88 394.1 60.88 406.6 73.37L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L406.6 438.6C394.1 451.1 373.9 451.1 361.4 438.6C348.9 426.1 348.9 405.9 361.4 393.4L498.7 256L361.4 118.6z"],
    "coffee-bean": [448, 512, [], "e13e", "M212.7 244.4c54.55-28.28 102.2-68.18 133.8-120.9l19.7-32.88c9.536-15.92 3.996-37.47-12.95-45.02c-83.39-37.13-186.2 5.417-259.7 79.04c-72.35 72.44-116.1 174.8-81.27 256.8c9.901 23.33 43.16 24.04 56.19 2.297l5.029-8.395C106.9 319.6 154.9 274.4 212.7 244.4zM379.6 128.2l-1.951 3.254c-34.51 57.6-82.7 107.3-143.1 136.6c-56.08 27.2-102.7 69.89-134.7 123.3l-17.97 29.99c-9.536 15.92-3.994 37.47 12.96 45.02c83.39 37.13 186.2-5.417 259.7-79.04c72.35-72.44 116.1-174.8 81.32-256.8C425.9 107.1 392.7 106.4 379.6 128.2z"],
    "coffee-beans": [512, 512, [], "e13f", "M143.2 344.2c24.06 58.52 20.2 109.5 13.96 140.5c-2.725 13.56 11.23 23.58 23.43 17.42c50.23-25.37 75.42-88.08 75.42-150.3c0-73.4-35.04-145.7-104.9-159.6C143 190.7 135.2 196.3 133.1 204.3C126.4 230.5 117.9 282.8 143.2 344.2zM-.002 352.5c0 72.62 34.28 144.2 102.7 159.2c7.979 1.75 15.79-3.656 18.09-11.61c7.805-27.01 18.99-82-7.959-147.6C95.14 309.4 90.09 263.1 97.64 219.4c2.252-13.3-11.88-22.66-23.69-16.47C24.7 228.8-.002 290.9-.002 352.5zM280.6 231.9c49.71 49.79 122.2 75.37 179.3 38.76c6.658-4.271 8.305-13.34 4.436-20.37c-13.15-23.87-43.13-69.25-106.5-95.75C316.2 137.2 281.7 109.5 256.3 73.74c-7.561-10.66-23.65-7.393-27.49 4.945C212.8 130.2 238.4 189.7 280.6 231.9zM478.7 214.9c7.42 11.17 23.83 8.473 27.96-4.123c17.02-51.84-8.672-112.1-51.26-154.8c-50.24-50.33-123.7-75.87-181.1-37.51c-6.617 4.424-8.125 13.59-4.033 20.55c13.28 22.59 43.25 64.26 102.7 89.06C429.5 151.8 461.8 189.4 478.7 214.9z"],
    "coffee-pot": [512, 512, [], "e002", "M431.5 177.6L480 32H88C39.38 32 0 71.38 0 120V208C0 216.9 7.125 224 16 224h32C56.88 224 64 216.9 64 208V136C64 113.9 81.88 96 104 96h13.38l27.38 82.13C95.38 217.9 64 277.8 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.62 0 30.57-6.192 41.32-17.57C493.2 429.6 512 396.1 512 344.6C512 278.4 481.4 217.9 431.5 177.6zM445.9 320H130.6c6.75-39 28.88-72.88 60.5-96h195.8C417.1 247.2 439.5 281.2 445.9 320z"],
    "coffin": [448, 512, [9904], "f6c6", "M408.1 115.3l-107.8-105.9C294.2 3.375 285.8 0 277.2 0H173.9c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9C34.98 123.1 31.73 134.6 34.48 145.6l87.14 342.1C125.3 502 138.3 512 153.3 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C419.3 134.6 416.1 123.1 408.1 115.3z"],
    "coffin-cross": [384, 512, [], "e051", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z"],
    "coin": [512, 512, [129689], "f85c", "M256 136C344.4 136 416 164.7 416 200C416 235.3 344.4 264 256 264C167.6 264 96 235.3 96 200C96 164.7 167.6 136 256 136zM256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352zM130.1 274.1C164.6 288.4 208.8 296 255.1 296C303.2 296 347.4 288.4 381 274.1C397.7 268.3 413.4 259.5 425.4 248.2C437.5 236.7 448 220.5 448 200C448 179.5 437.5 163.3 425.4 151.8C413.4 140.5 397.7 131.7 381 125C347.4 111.6 303.2 104 255.1 104C208.8 104 164.6 111.6 130.1 125C114.3 131.7 98.6 140.5 86.59 151.8C74.5 163.3 63.1 179.5 63.1 200C63.1 220.5 74.5 236.7 86.59 248.2C98.6 259.5 114.3 268.3 130.1 274.1V274.1zM0 290.1C13.21 305.8 29.72 319.5 48 330.1V394.6C17.79 373.6 0 347.9 0 320V290.1zM80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1zM208 381.6C223.7 383.2 239.7 384 256 384C272.3 384 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 448 256 448C239.6 448 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.5 498.8 305.8 512 290.1V320C512 347.9 494.2 373.6 464 394.6V330.1z"],
    "coin-blank": [512, 512, [], "e3fb", "M256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64zM0 290.1C13.21 305.8 29.72 319.5 48 330.1V394.6C17.79 373.6 0 347.9 0 320V290.1zM80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1zM208 381.6C223.7 383.2 239.7 384 256 384C272.3 384 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 448 256 448C239.6 448 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.5 498.8 305.8 512 290.1V320C512 347.9 494.2 373.6 464 394.6V330.1z"],
    "coin-front": [512, 512, [], "e3fc", "M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V328C232 341.3 242.7 352 256 352C269.3 352 280 341.3 280 328V184zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"],
    "coin-vertical": [384, 512, [], "e3fd", "M72 256C72 167.6 100.7 96 136 96C171.3 96 200 167.6 200 256C200 344.4 171.3 416 136 416C100.7 416 72 344.4 72 256zM288 256C288 397.4 223.5 512 144 512C64.47 512 0 397.4 0 256C0 114.6 64.47 0 144 0C223.5 0 288 114.6 288 256zM210.1 381C224.4 347.4 232 303.2 232 256C232 208.8 224.4 164.6 210.1 130.1C204.3 114.3 195.5 98.6 184.2 86.59C172.7 74.5 156.5 64 136 64C115.5 64 99.27 74.5 87.84 86.59C76.48 98.6 67.72 114.3 61.03 130.1C47.6 164.6 40 208.8 40 256C40 303.2 47.6 347.4 61.03 381C67.72 397.7 76.48 413.4 87.84 425.4C99.26 437.5 115.5 448 136 448C156.5 448 172.7 437.5 184.2 425.4C195.5 413.4 204.3 397.7 210.1 381zM226.1 512C241.8 498.8 255.5 482.3 266.1 464H330.6C309.6 494.2 283.9 512 256 512H226.1zM348.1 432H284.3C297.4 403.6 307.3 371.1 313.3 336H377.6C371.7 372.2 361.8 404.9 348.1 432zM317.6 304C319.2 288.3 320 272.3 320 256C320 239.7 319.2 223.7 317.6 208H381.8C383.2 223.5 384 239.6 384 256C384 272.4 383.2 288.5 381.8 304H317.6zM377.6 176H313.3C307.3 140.9 297.4 108.4 284.3 80H348.1C361.8 107.1 371.7 139.8 377.6 176zM266.1 48C255.5 29.72 241.8 13.21 226.1 0H256C283.9 0 309.6 17.79 330.6 48H266.1z"],
    "coins": [512, 512, [], "f51e", "M512 80C512 98.01 497.7 114.6 473.6 128C444.5 144.1 401.2 155.5 351.3 158.9C347.7 157.2 343.9 155.5 340.1 153.9C300.6 137.4 248.2 128 192 128C183.7 128 175.6 128.2 167.5 128.6L166.4 128C142.3 114.6 128 98.01 128 80C128 35.82 213.1 0 320 0C426 0 512 35.82 512 80V80zM160.7 161.1C170.9 160.4 181.3 160 192 160C254.2 160 309.4 172.3 344.5 191.4C369.3 204.9 384 221.7 384 240C384 243.1 383.3 247.9 381.9 251.7C377.3 264.9 364.1 277 346.9 287.3C346.9 287.3 346.9 287.3 346.9 287.3C346.8 287.3 346.6 287.4 346.5 287.5L346.5 287.5C346.2 287.7 345.9 287.8 345.6 288C310.6 307.4 254.8 320 192 320C132.4 320 79.06 308.7 43.84 290.9C41.97 289.9 40.15 288.1 38.39 288C14.28 274.6 0 258 0 240C0 205.2 53.43 175.5 128 164.6C138.5 163 149.4 161.8 160.7 161.1L160.7 161.1zM391.9 186.6C420.2 182.2 446.1 175.2 468.1 166.1C484.4 159.3 499.5 150.9 512 140.6V176C512 195.3 495.5 213.1 468.2 226.9C453.5 234.3 435.8 240.5 415.8 245.3C415.9 243.6 416 241.8 416 240C416 218.1 405.4 200.1 391.9 186.6V186.6zM384 336C384 354 369.7 370.6 345.6 384C343.8 384.1 342 385.9 340.2 386.9C304.9 404.7 251.6 416 192 416C129.2 416 73.42 403.4 38.39 384C14.28 370.6 .0003 354 .0003 336V300.6C12.45 310.9 27.62 319.3 43.93 326.1C83.44 342.6 135.8 352 192 352C248.2 352 300.6 342.6 340.1 326.1C347.9 322.9 355.4 319.2 362.5 315.2C368.6 311.8 374.3 308 379.7 304C381.2 302.9 382.6 301.7 384 300.6L384 336zM416 278.1C434.1 273.1 452.5 268.6 468.1 262.1C484.4 255.3 499.5 246.9 512 236.6V272C512 282.5 507 293 497.1 302.9C480.8 319.2 452.1 332.6 415.8 341.3C415.9 339.6 416 337.8 416 336V278.1zM192 448C248.2 448 300.6 438.6 340.1 422.1C356.4 415.3 371.5 406.9 384 396.6V432C384 476.2 298 512 192 512C85.96 512 .0003 476.2 .0003 432V396.6C12.45 406.9 27.62 415.3 43.93 422.1C83.44 438.6 135.8 448 192 448z"],
    "colon": [128, 512, [], "3a", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192zM64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320z"],
    "colon-sign": [320, 512, [], "e140", "M216.6 65.56C226.4 66.81 235.9 68.8 245.2 71.46L256.1 24.24C261.2 7.093 278.6-3.331 295.8 .9552C312.9 5.242 323.3 22.62 319 39.76L303.1 100C305.1 100.8 306.2 101.6 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C307.5 155.3 298.4 159.7 288.1 159.1L234.8 376.7C247.1 372.3 258.5 366.1 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C281.5 428.9 250.8 441.9 217.4 446.3L207 487.8C202.8 504.9 185.4 515.3 168.2 511C151.1 506.8 140.7 489.4 144.1 472.2L152.1 443.8C142.4 441.8 133.1 439.1 124.1 435.6L111 487.8C106.8 504.9 89.38 515.3 72.24 511C55.09 506.8 44.67 489.4 48.96 472.2L66.65 401.4C25.84 366.2 0 314.1 0 256C0 164.4 64.09 87.85 149.9 68.64L160.1 24.24C165.2 7.093 182.6-3.331 199.8 .9552C216.9 5.242 227.3 22.62 223 39.76L216.6 65.56zM131.2 143.3C91.17 164.1 64 207.3 64 256C64 282.2 71.85 306.5 85.32 326.8L131.2 143.3zM167.6 381.7L229.6 133.6C220.4 130.8 210.8 128.1 200.9 128.3L139.8 372.9C148.6 376.8 157.9 379.8 167.6 381.7V381.7z"],
    "columns-3": [640, 512, [], "e361", "M576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM192 96H64V416H192V96zM256 416H384V96H256V416zM576 96H448V416H576V96z"],
    "comet": [512, 512, [], "e003", "M491.1 .7163c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.25-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625c-42.5 22.12-152.9 82.63-214.4 142.5c-1.125 1-2.5 2-3.5 3c-76.12 76.12-76.12 199.5 0 275.6c76 76.13 199.5 76 275.5-.125c1-1 2-2.375 3-3.5c59.88-61.62 120.4-172.1 142.5-214.4c2.25-4.25 2.5-9.25 .625-13.75c-1.75-4.375-5.5-7.75-10.13-9.125C463.4 212.5 456.1 210.6 449.1 208.5c27-76 49.75-149 61.38-187.8c1.625-5.625 .1249-11.88-4.125-16C502.1 .4663 496.9-1.034 491.1 .7163zM315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5c2.5-5.125 7.875-8.5 13.75-8.5c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z"],
    "comma": [192, 512, [], "2c", "M151.7 378.6L84.01 493.1c-8.885 15.18-27.4 21.85-43.99 15.83s-26.48-22.99-23.49-40.31l22.57-131.7c3.045-17.81 13.79-33.2 29.45-42.25c31.26-18.12 75.54-2.062 87.8 31.85C162.5 344.4 160.8 363 151.7 378.6z"],
    "command": [448, 512, [], "e142", "M352 288h-32V224h32c52.94 0 96-43.06 96-96s-43.06-96-96-96s-96 43.06-96 96v32H192V128c0-52.94-43.06-96-96-96S0 75.06 0 128s43.06 96 96 96h32v64H96c-52.94 0-96 43.06-96 96s43.06 96 96 96s96-43.06 96-96v-32h64v32c0 52.94 43.06 96 96 96s96-43.06 96-96S404.9 288 352 288zM320 128c0-17.66 14.34-32 32-32s32 14.34 32 32s-14.34 32-32 32h-32V128zM128 384c0 17.66-14.34 32-32 32s-32-14.34-32-32s14.34-32 32-32h32V384zM128 160H96C78.34 160 64 145.7 64 128s14.34-32 32-32s32 14.34 32 32V160zM256 288H192V224h64V288zM352 416c-17.66 0-32-14.34-32-32v-32h32c17.66 0 32 14.34 32 32S369.7 416 352 416z"],
    "comment": [512, 512, [61669, 128489], "f075", "M256 32C114.6 32 .0272 125.1 .0272 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32z"],
    "comment-arrow-down": [512, 512, [], "e143", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z"],
    "comment-arrow-up": [512, 512, [], "e144", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z"],
    "comment-arrow-up-right": [512, 512, [], "e145", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 280c0 13.25-10.75 24-24 24S288 293.3 288 280V225.9L200.1 312.1c-9.381 9.381-24.56 9.375-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 192H200C186.8 192 176 181.3 176 168S186.8 144 200 144h112c13.25 0 24 10.75 24 24V280z"],
    "comment-captions": [512, 512, [], "e146", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM119.1 224h95.99c13.25 0 23.1 10.75 23.1 24S229.2 272 215.1 272H119.1c-13.25 0-23.1-10.75-23.1-24S106.7 224 119.1 224zM135.1 352h-15.1c-13.25 0-23.1-10.75-23.1-24S106.7 304 119.1 304h15.1c13.25 0 23.1 10.75 23.1 24S149.2 352 135.1 352zM295.1 352H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 304 215.1 304h79.99c13.25 0 23.1 10.75 23.1 24S309.2 352 295.1 352zM391.9 352h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 352 391.9 352zM391.9 272h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 224 295.1 224h95.99c13.25 0 23.1 10.75 23.1 24S405.2 272 391.9 272z"],
    "comment-check": [512, 512, [], "f4ac", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z"],
    "comment-code": [512, 512, [], "e147", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM216.1 287c9.375 9.375 9.375 24.56 0 33.94C212.3 325.7 206.1 328 200 328s-12.28-2.344-16.97-7.031l-64-64c-9.375-9.375-9.375-24.56 0-33.94l64-64c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L169.9 240L216.1 287zM392.1 256.1l-64 64C324.3 325.7 318.1 328 312 328s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L342.1 240l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l64 64C402.3 232.4 402.3 247.6 392.1 256.1z"],
    "comment-dollar": [512, 512, [], "f651", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 479.1 8 479.1c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z"],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", "M256 31.1c-141.4 0-255.1 93.12-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z"],
    "comment-exclamation": [512, 512, [], "f4af", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM232 136C232 122.8 242.8 112 256 112s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 261.3 232 248V136zM256 368c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 353.7 273.7 368 256 368z"],
    "comment-image": [512, 512, [], "e148", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM160 128c17.67 0 32 14.33 32 32S177.7 192 160 192S128 177.7 128 160S142.3 128 160 128zM414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z"],
    "comment-lines": [512, 512, [], "f4b0", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM264 320h-112C138.8 320 128 309.3 128 296S138.8 272 152 272h112C277.3 272 288 282.8 288 296S277.3 320 264 320zM360 224h-208C138.8 224 128 213.3 128 200S138.8 176 152 176h208C373.3 176 384 186.8 384 200S373.3 224 360 224z"],
    "comment-medical": [512, 512, [], "f7f5", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z"],
    "comment-middle": [512, 512, [], "e149", "M323.2 408.5l-48.89 93.39c-7.037 13.45-29.51 13.45-36.55 0l-48.89-93.39C80.08 384.5 0 303.1 0 208C0 93.09 114.6 0 256 0s256 93.09 256 208C512 303.1 431.9 384.5 323.2 408.5z"],
    "comment-middle-top": [512, 512, [], "e14a", "M512 304c0 114.9-114.6 208-256 208s-256-93.09-256-208c0-95.99 80.08-176.5 188.8-200.5l48.89-93.39C241.2 3.361 248.6 0 256 0s14.76 3.361 18.28 10.08l48.89 93.39C431.9 127.5 512 208 512 304z"],
    "comment-minus": [512, 512, [], "f4b1", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z"],
    "comment-music": [512, 512, [], "f8b0", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.96 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z"],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z"],
    "comment-plus": [512, 512, [], "f4b2", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z"],
    "comment-question": [512, 512, [], "e14b", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM249.1 352C235.4 352 224 340.6 224 326S235.4 300 249.1 300c14.63 0 26 11.38 26 26S264.6 352 249.1 352zM307.7 235.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V246.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 198.2 296 192.4 296 185.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 196.6 176 185.8C176 153.6 201.8 128 234.3 128h43.33C310.2 128 336 153.6 336 185.8C336 205.7 325.2 224.7 307.7 235.4z"],
    "comment-quote": [512, 512, [], "e14c", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM239.1 263.1c0 39.7-32.3 72-71.1 72C154.7 335.1 144 325.3 144 312S154.8 288 168 288C181.2 288 192 277.2 192 264V255.2C189.4 255.6 186.7 255.1 183.1 255.1c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L239.1 263.1zM383.1 263.1c0 39.7-32.3 72-72 72C298.7 335.1 288 325.3 288 312S298.8 288 312 288c13.23 0 24-10.77 24-24V255.2c-2.635 .3809-5.26 .8064-8 .8064c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L383.1 263.1z"],
    "comment-slash": [640, 512, [], "f4b3", "M64.03 239.1c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c37.39 0 72.78-6.663 104.8-18.36L82.93 161.7C70.81 185.9 64.03 212.3 64.03 239.1zM630.8 469.1l-118.1-92.59C551.1 340 576 292.4 576 240c0-114.9-114.6-207.1-255.1-207.1c-67.74 0-129.1 21.55-174.9 56.47L38.81 5.117C28.21-3.154 13.16-1.096 5.115 9.19C-3.072 19.63-1.249 34.72 9.188 42.89l591.1 463.1c10.5 8.203 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "comment-smile": [512, 512, [], "f4b4", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM319.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 31.1-31.99 31.1S287.1 193.8 287.1 176S302.2 144 319.1 144zM191.1 144c17.75 0 31.1 14.25 31.1 32S209.7 207.1 191.1 207.1S159.1 193.8 159.1 176S174.2 144 191.1 144zM362.2 303.3c-26.5 31-65.11 48.75-106.2 48.75c-41.12 0-79.75-17.75-106.2-48.75c-8.5-10-7.5-25.12 2.625-33.75C162.4 261 177.6 262.1 186.2 272.3C203.5 292.4 228.9 304 255.1 304c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 278.1 370.7 293.3 362.2 303.3z"],
    "comment-sms": [512, 512, ["sms"], "f7cd", "M256 32C114.6 32 .0137 125.1 .0137 240c0 49.59 21.39 95 56.99 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 480 8 480c66.31 0 116-31.8 140.6-51.41C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM167.3 271.9C163.9 291.1 146.3 304 121.1 304c-4.031 0-8.25-.3125-12.59-1C101.1 301.8 92.81 298.8 85.5 296.1c-8.312-3-14.06-12.66-11.09-20.97S85 261.1 93.38 264.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 273.1 135 271 135.8 266.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 210.7 147.2 215.1 138.8 212.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 219.2 113.6 221.5 124.4 224.6C141.4 229.5 173.1 238.5 167.3 271.9zM320 288c0 8.844-7.156 16-16 16S288 296.8 288 288V240l-19.19 25.59c-6.062 8.062-19.55 8.062-25.62 0L224 240V288c0 8.844-7.156 16-16 16S192 296.8 192 288V192c0-6.875 4.406-12.1 10.94-15.18c6.5-2.094 13.71 .0586 17.87 5.59L256 229.3l35.19-46.93c4.156-5.531 11.4-7.652 17.87-5.59C315.6 179 320 185.1 320 192V288zM439.3 271.9C435.9 291.1 418.3 304 393.1 304c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 219.2 385.6 221.5 396.4 224.6C413.4 229.5 445.1 238.5 439.3 271.9z"],
    "comment-text": [512, 512, [], "e14d", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.03 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM328 208h-48v104c0 13.25-10.75 23.1-24 23.1S232 325.3 232 312V208h-48C170.8 208 160 197.2 160 183.1S170.8 160 184 160h144C341.3 160 352 170.7 352 183.1S341.3 208 328 208z"],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 465.1 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 479.1 8 479.1c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM336.1 287c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0l-47.03-47.03l-47.03 47.03c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 240L175 192.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l47.03 47.03l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 240L336.1 287z"],
    "comments": [640, 512, [61670, 128490], "f086", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-dollar": [640, 512, [], "f653", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM269.8 218.3C266.2 239.2 250.4 252.1 228 257.7V268c0 11.03-8.953 20-20 20s-20-8.969-20-20V257.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 244.5 142.8 233.1 146.5 222.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 221.3 229 219.3 230.4 211.5C231.3 206.4 231.8 203.6 202.5 195.2L196.7 193.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 112.8 165.6 98.76 188 93.99V84c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 103.5 262.5 114.9 258.9 125.4C255.3 135.8 243.8 141.3 233.4 137.7c-5.859-2.031-12-4-17.59-4.844C202.2 130.8 186.1 132.7 185.6 140.5C184.8 144.1 184.3 148.2 207.1 155.2L213.5 156.8C235.8 163.1 277.3 175 269.8 218.3zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-question": [640, 512, [], "e14e", "M599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z"],
    "comments-question-check": [640, 512, [], "e14f", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM542.5 317.8l-84 88c-3.719 3.891-8.859 6.125-14.23 6.188c-5.297 0-10.62-2.109-14.38-5.859l-40-40c-7.812-7.812-7.812-20.47 0-28.28s20.47-7.812 28.28 0l25.53 25.53l69.86-73.2c7.656-8 20.3-8.297 28.28-.6562C549.8 297.2 550.1 309.8 542.5 317.8z"],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM80.72 256H79.63c-9.078 0-16.4-8.011-15.56-17.34C72.36 146 146.5 72.06 239.3 64.06C248.3 63.28 256 70.75 256 80.09c0 8.35-6.215 15.28-14.27 15.99C164.7 102.9 103.1 164.3 96.15 241.4C95.4 249.6 88.77 256 80.72 256zM256 351.1c-53.02 0-96-43-96-95.1s42.98-96 96-96s96 43 96 96S309 351.1 256 351.1zM256 224C238.3 224 224 238.2 224 256s14.3 32 32 32c17.7 0 32-14.25 32-32S273.7 224 256 224z"],
    "compass": [512, 512, [129517], "f14e", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM325.1 306.7L380.6 162.4C388.1 142.1 369 123.9 349.6 131.4L205.3 186.9C196.8 190.1 190.1 196.8 186.9 205.3L131.4 349.6C123.9 369 142.1 388.1 162.4 380.6L306.7 325.1C315.2 321.9 321.9 315.2 325.1 306.7V306.7z"],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", "M352 96C352 110.3 348.9 123.9 343.2 136.2L396 227.4C372.3 252.7 341.9 271.5 307.6 281L256 192H255.1L187.9 309.5C209.4 316.3 232.3 320 256 320C326.7 320 389.8 287.3 430.9 235.1C441.9 222.2 462.1 219.1 475.9 231C489.7 242.1 491.9 262.2 480.8 276C428.1 341.8 346.1 384 256 384C220.6 384 186.6 377.6 155.3 365.9L98.65 463.7C93.95 471.8 86.97 478.4 78.58 482.6L23.16 510.3C18.2 512.8 12.31 512.5 7.588 509.6C2.871 506.7 0 501.5 0 496V440.6C0 432.2 2.228 423.9 6.46 416.5L66.49 312.9C53.66 301.6 41.84 289.3 31.18 276C20.13 262.2 22.34 242.1 36.13 231C49.92 219.1 70.06 222.2 81.12 235.1C86.79 243.1 92.87 249.8 99.34 256.1L168.8 136.2C163.1 123.9 160 110.3 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96L352 96zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128zM372.1 393.9C405.5 381.1 435.5 363.2 461.8 341L505.5 416.5C509.8 423.9 512 432.2 512 440.6V496C512 501.5 509.1 506.7 504.4 509.6C499.7 512.5 493.8 512.8 488.8 510.3L433.4 482.6C425 478.4 418.1 471.8 413.3 463.7L372.1 393.9z"],
    "compass-slash": [640, 512, [], "f5e9", "M134.2 79.88C180.9 30.69 246.8 .0013 319.1 .0013C461.4 .0013 576 114.6 576 256C576 306.1 561.1 354.5 535.4 394.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.2 79.88zM270.3 186.5L397.1 285.9L444.6 162.4C452.1 142.1 433 123.9 413.6 131.4L270.3 186.5zM63.1 256C63.1 222.4 70.49 190.2 82.28 160.8L224.8 273.1L195.4 349.6C187.9 369 206.1 388.1 226.4 380.6L317 345.8L468.1 464.8C426.3 494.5 375.2 512 319.1 512C178.6 512 63.1 397.4 63.1 256V256z"],
    "compress": [448, 512, [], "f066", "M128 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 334.3 145.7 320 128 320zM416 320h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S433.7 320 416 320zM320 192h96c17.69 0 32-14.31 32-32s-14.31-32-32-32h-64V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96C288 177.7 302.3 192 320 192zM128 32C110.3 32 96 46.31 96 64v64H32C14.31 128 0 142.3 0 160s14.31 32 32 32h96c17.69 0 32-14.31 32-32V64C160 46.31 145.7 32 128 32z"],
    "compress-wide": [512, 512, [], "f326", "M128 288H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 302.3 145.7 288 128 288zM128 64C110.3 64 96 78.31 96 96v64H32C14.31 160 0 174.3 0 192s14.31 32 32 32h96c17.69 0 32-14.31 32-32V96C160 78.31 145.7 64 128 64zM480 288h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S497.7 288 480 288zM384 224h96c17.69 0 32-14.31 32-32s-14.31-32-32-32h-64V96c0-17.69-14.31-32-32-32s-32 14.31-32 32v96C352 209.7 366.3 224 384 224z"],
    "computer": [640, 512, [], "e4e5", "M400 32C426.5 32 448 53.49 448 80V336C448 362.5 426.5 384 400 384H266.7L277.3 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448C64 430.3 78.33 416 96 416H170.7L181.3 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H400zM64 96V320H384V96H64zM592 32C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80C480 53.49 501.5 32 528 32H592zM544 96C535.2 96 528 103.2 528 112C528 120.8 535.2 128 544 128H576C584.8 128 592 120.8 592 112C592 103.2 584.8 96 576 96H544zM544 192H576C584.8 192 592 184.8 592 176C592 167.2 584.8 160 576 160H544C535.2 160 528 167.2 528 176C528 184.8 535.2 192 544 192zM560 400C577.7 400 592 385.7 592 368C592 350.3 577.7 336 560 336C542.3 336 528 350.3 528 368C528 385.7 542.3 400 560 400z"],
    "computer-classic": [448, 512, [], "f8b1", "M416 0H32C14.38 0 0 14.38 0 32L0 400c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16V32C448 14.38 433.6 0 416 0zM80 356c-11 0-20-9-20-20S69 316 80 316s20 9 20 20S91 356 80 356zM383.1 344c0 4.375-3.625 8-8 8h-144c-4.375 0-8-3.625-8-8L224 328c0-4.375 3.625-8 8-8h144c4.375 0 8 3.625 8 8L383.1 344zM384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224zM32 512h384v-64H32V512z"],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", "M0 352c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V224H0V352zM176 0H160C71.63 0 0 71.62 0 160v32h176V0zM224 0h-16v192H384V160C384 71.62 312.4 0 224 0z"],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", "M224 0H160c-88.38 0-160 71.62-160 160v192c0 88.38 71.62 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z"],
    "computer-speaker": [640, 512, [], "f8b2", "M288 416H128c-17.62 0-32 14.38-32 32s14.38 32 32 32h176.4C293.9 466.2 288 449.4 288 432V416zM0 80L0 336C0 362.5 21.5 384 48 384H288v-64H64L63.1 96H288V80C288 62.62 293.9 45.75 304.4 32H47.1C21.5 32 0 53.5 0 80zM592 32h-224c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48H592c26.5 0 48-21.5 48-48v-352C640 53.5 618.5 32 592 32zM480 96c17.62 0 31.1 14.38 31.1 32S497.6 160 480 160s-32-14.38-32-32S462.4 96 480 96zM480 416c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S533 416 480 416zM480 256c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S515.4 256 480 256z"],
    "container-storage": [640, 512, [], "f4b7", "M608 80v-32C608 39.25 600.8 32 592 32h-544C39.25 32 31.1 39.25 31.1 48L32 80C32 88.75 39.25 96 48 96v320C39.25 416 32 423.3 32 432l0 32c0 8.75 7.25 16 16 16h544c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16V96C600.8 96 608 88.75 608 80zM144 416h-32V96h32V416zM240 416h-32V96h32V416zM336 416h-32V96h32V416zM432 416h-32V96h32V416zM528 416h-32V96h32V416z"],
    "conveyor-belt": [640, 512, [], "f46e", "M160 256h320c17.6 0 32-14.4 32-32l0-192c0-17.6-14.4-32-32-32H384v128l-64-32L256 128V0H159.1C142.4 0 127.1 14.4 127.1 32L128 224C128 241.6 142.4 256 160 256zM544 320h-448c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s31.1 14.25 31.1 32S145.8 448 128 448zM319.1 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 319.1 448zM512 448c-17.75 0-32-14.25-32-32S494.2 384 512 384c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", "M96 256h192c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32H96C78.4 0 64 14.4 64 32v192C64 241.6 78.4 256 96 256zM416 256h128c17.6 0 32-14.4 32-32V96c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 256 416 256zM544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S145.8 448 128 448zM320 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 320 448zM512 448c-17.75 0-32-14.25-32-32s14.25-32 32-32c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "conveyor-belt-empty": [640, 512, [], "e150", "M544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S145.8 448 128 448zM320 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 320 448zM512 448c-17.75 0-32-14.25-32-32s14.25-32 32-32c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "cookie": [512, 512, [127850], "f563", "M494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.52-18.52-42.3-30.7-68.2-34.8L256.9 17.53C231.2 13.42 204.7 17.64 181.5 29.48L116.7 62.53C93.23 74.36 74.36 93.35 62.41 116.7L29.51 181.2c-11.84 23.44-16.08 50.04-11.98 75.94l11.37 71.48c4.101 25.9 16.29 49.77 34.8 68.41l51.33 51.33c18.52 18.4 42.3 30.61 68.2 34.72l71.84 11.37c25.78 4.102 52.27-.1173 75.47-11.95l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM176 367.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C208 353.6 193.6 367.1 176 367.1zM208 208c-17.62 0-31.1-14.37-31.1-31.1s14.38-31.1 31.1-31.1c17.62 0 31.1 14.37 31.1 31.1S225.6 208 208 208zM368 335.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C400 321.6 385.6 335.1 368 335.1z"],
    "cookie-bite": [512, 512, [], "f564", "M494.6 255.9c-65.63-.8203-118.6-54.14-118.6-119.9c-65.74 0-119.1-52.97-119.8-118.6c-25.66-3.867-51.8 .2346-74.77 12.07L116.7 62.41C93.35 74.36 74.36 93.35 62.41 116.7L29.6 181.2c-11.95 23.44-16.17 49.92-12.07 75.94l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39C133.6 466.9 157.3 479 183.2 483.1l71.84 11.37c25.9 4.101 52.27-.1172 75.59-11.95l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57C494.3 307.7 498.5 281.4 494.6 255.9zM176 367.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S193.6 367.1 176 367.1zM208 208c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S225.6 208 208 208zM368 335.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S385.6 335.1 368 335.1z"],
    "copy": [512, 512, [], "f0c5", "M384 96L384 0h-112c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48H464c26.51 0 48-21.49 48-48V128h-95.1C398.4 128 384 113.6 384 96zM416 0v96h96L416 0zM192 352V128h-144c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48L288 416h-32C220.7 416 192 387.3 192 352z"],
    "copyright": [512, 512, [169], "f1f9", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z"],
    "corn": [512, 512, [127805], "f6c7", "M118.6 370.7l-67.88 67.88L96.01 483.9c37.5 37.5 98.26 37.5 135.8 0l90.51-90.51l97.63-19.5c6.501-1.375 8.876-9.625 4-13.88C335.9 283.4 202.4 286.1 118.6 370.7zM201 284.9C216.5 217.1 200.3 143.6 152 88.08C147.8 83.2 139.5 85.58 138.1 91.95l-19.5 97.76L28.13 280.2c-37.5 37.5-37.5 98.26 0 135.8l67.88-67.88C126.4 317.7 162.6 296.7 201 284.9zM511.9 45.2V42.07c1.375-21.5-14.63-40-36.38-41.88c-16.63-1.625-31.75 6.1-39.13 21c-9.876-9.501-24.25-13.75-38.38-9.5c-13.38 3.75-23.63 14-27.5 26.88c-10.88-7.126-25-8.626-37.75-3.25c-12.75 5.751-21.13 17.25-23.38 29.75c-11.5-5.376-25.63-5.376-37.5 1.625c-11.75 6.751-18.88 18.88-19.75 31.38C240.3 93.58 226.1 94.83 215 102.8C211.8 105.2 209 107.1 206.6 111.1c28.38 51.13 37.75 110 28.38 166.4c56.38-9.376 115.3-.3766 166.5 28.13c1.625-1.625 3.375-3.25 4.875-5.25c8.001-11.25 9.252-25 4.751-36.88c12.75-.8751 25-8.002 31.63-19.75c7.126-11.88 7.376-26 1.625-37.5c12.88-2.25 24.38-10.25 30.13-23c5.75-12.88 4.125-26.88-2.875-37.88c12.5-3.75 23-13.75 27.13-27.13c4.25-14.13 .0004-28.5-8.875-38.38C502.4 73.45 511.3 60.58 511.9 45.2z"],
    "corner": [448, 512, [], "e3fe", "M416 384c-17.69 0-32-14.31-32-32V224H32C14.31 224 0 209.7 0 192s14.31-32 32-32h384c17.69 0 32 14.31 32 32v160C448 369.7 433.7 384 416 384z"],
    "couch": [640, 512, [], "f4b8", "M592 224C565.5 224 544 245.5 544 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64c8.836 0 15.1-7.164 15.1-16L96 448h448v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C640 245.5 618.5 224 592 224zM128 272V320h384V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H191.1c-70.69 0-128 57.31-128 128L64 193.6C100.5 201.1 128 233.4 128 272z"],
    "cow": [640, 512, [128004], "f6c8", "M634 276.8l-9.999-13.88L624 185.7c0-11.88-12.5-19.49-23.12-14.11c-10.88 5.375-19.5 13.5-26.38 23l-65.75-90.92C490.6 78.71 461.8 64 431 64H112C63.37 64 24 103.4 24 152v86.38C9.5 250.1 0 267.9 0 288v32h8c35.38 0 64-28.62 64-64L72 152c0-16.88 10.5-31.12 25.38-37C96.5 119.1 96 123.5 96 128l.0002 304c0 8.875 7.126 16 16 16h63.1c8.875 0 16-7.125 16-16l.0006-112c9.375 9.375 20.25 16.5 32 21.88V368c0 8.875 7.252 16 16 16c8.875 0 15.1-7.125 15.1-16v-17.25c9.125 1 12.88 2.25 32-.125V368c0 8.875 7.25 16 16 16c8.875 0 16-7.125 16-16v-26.12C331.8 336.5 342.6 329.2 352 320l-.0012 112c0 8.875 7.125 16 15.1 16h64c8.75 0 16-7.125 16-16V256l31.1 32l.0006 41.55c0 12.62 3.752 24.95 10.75 35.45l41.25 62C540.8 440.1 555.5 448 571.4 448c22.5 0 41.88-15.88 46.25-38l21.75-108.6C641.1 292.8 639.1 283.9 634 276.8zM377.3 167.4l-22.88 22.75C332.5 211.8 302.9 224 272.1 224S211.5 211.8 189.6 190.1L166.8 167.4C151 151.8 164.4 128 188.9 128h166.2C379.6 128 393 151.8 377.3 167.4zM576 352c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S584.9 352 576 352z"],
    "cowbell": [448, 512, [], "f8b3", "M111.1 96H127.1V40C127.1 17.91 145.9 0 167.1 0H280C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L446.2 354.8C450.3 369.3 447.4 384.9 438.3 396.9C429.3 408.9 415.1 416 400 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H111.1zM272 48H175.1V96H272V48zM288 448C288 483.3 259.3 512 223.1 512C188.7 512 159.1 483.3 159.1 448H288z"],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", "M111.1 96H127.1V40C127.1 17.91 145.9 0 167.1 0H279.1C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C318.3 209.7 255.1 281.6 255.1 368C255.1 384.6 258.3 400.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H111.1zM271.1 48H175.1V96H271.1V48zM223.1 512C188.7 512 159.1 483.3 159.1 448H275.2C278.3 454.1 281.8 459.1 285.5 465.6C277.9 492.4 253.2 512 223.1 512zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "crab": [512, 512, [129408], "e3ff", "M417.5 251.7C421.7 258.1 425.5 264.9 428.5 272h31.72l28.62-14.31c7.938-3.922 17.5-.7656 21.47 7.156c3.938 7.906 .75 17.52-7.156 21.47l-32 16C468.9 303.4 466.5 304 464 304h-27.07c.9277 6.297 1.928 12.58 1.928 19.14c0 2.91-.9961 5.617-1.668 8.4l15.88 5.291c2.344 .7813 4.5 2.109 6.25 3.859l32 32c6.25 6.25 6.25 16.38 0 22.62C488.2 398.4 484.1 400 480 400s-8.188-1.562-11.31-4.688l-29.34-29.33l-21.14-7.049l-30.71 30.71l33.56 11.19c2.344 .7813 4.5 2.109 6.25 3.859l32 32c6.25 6.25 6.25 16.38 0 22.62C456.2 462.4 452.1 464 448 464s-8.188-1.562-11.31-4.688l-29.34-29.33l-45.13-15.05l-16.84 16.84l30.85 18.51C381.1 453.2 384 458.4 384 464v32c0 8.844-7.156 16-16 16S352 504.8 352 496v-22.94L310.2 448H201.8L160 473.1V496C160 504.8 152.8 512 144 512S128 504.8 128 496v-32c0-5.625 2.938-10.83 7.781-13.72l30.85-18.51l-16.84-16.84l-45.14 15.05l-29.34 29.33C72.19 462.4 68.09 464 64 464s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l32-32c1.75-1.75 3.906-3.078 6.25-3.859l33.56-11.19l-30.71-30.71l-21.14 7.049l-29.34 29.33C40.19 398.4 36.09 400 32 400s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l32-32c1.75-1.75 3.906-3.078 6.25-3.859l15.88-5.291c-.6719-2.783-1.649-5.49-1.649-8.4c0-6.555 .9807-12.84 1.908-19.14H48c-2.469 0-4.938-.5781-7.156-1.688l-32-16C.9375 282.4-2.25 272.8 1.688 264.8c3.969-7.922 13.56-11.05 21.47-7.156L51.78 272H83.5c3.027-7.143 6.825-13.86 11.02-20.29L13.79 213.7C5.379 209.8 .0039 201.3 .0039 192V128c0-70.69 57.3-128 127.1-128h63.1l-63.1 64h63.1c0 35.35-28.65 64-63.1 64h-79.1v48.77l81.87 38.53C147.8 202.9 169.1 195.3 192 193.2L192 144C192 135.2 199.2 128 208 128S224 135.2 224 144L224.1 192H288V144C288 135.2 295.2 128 304 128S320 135.2 320 144l-.001 49.17c22.89 2.162 44.19 9.723 62.13 22.13l81.87-38.53V128h-79.1C348.7 128 319.1 99.35 319.1 64h63.1l-63.1-64h63.1c70.69 0 127.1 57.31 127.1 128v64c0 9.297-5.375 17.75-13.78 21.72L417.5 251.7z"],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", "M318.3 192h159.7c5.25-39.5-5.125-102.6-53.87-111.4c-18.13-3-51.88 6.125-72.5 17.62c-17-9.5-42.38-16.87-61.13-17.75c1.875 2.25 3.875 4.125 5.5 6.625C316.9 117.3 321.8 159.4 318.3 192zM210.5 50.5c11.38-12.25 14.5-32 13.25-50.25c-12.88-.875-35.63-.125-50 13.25C157.2 30.13 160 59.88 160.5 63.75C179 65 198.3 61.88 210.5 50.5zM402.3 50.5c11.25-12.25 14.38-32 13.25-50.25c-13-.875-35.75-.125-50.13 13.25c-16.5 16.62-13.75 46.37-13.12 50.25C370.6 65 389.1 61.88 402.3 50.5zM286.3 192c5.25-39.5-5.163-102.6-53.79-111.4C214.4 77.63 180.6 86.8 160 98.3c-20.62-11.5-54.38-20.67-72.5-17.67c-48.62 8.75-59.04 72.25-53.79 111.4H286.3zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1zM0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.12 431.1 64 431.1z"],
    "crate-empty": [512, 512, [], "e151", "M496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1zM0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.12 431.1 64 431.1z"],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", "M512 32C547.3 32 576 60.65 576 96V128H0V96C0 60.65 28.65 32 64 32H512zM576 416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V224H576V416zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"],
    "credit-card-blank": [576, 512, [], "f389", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"],
    "credit-card-front": [576, 512, [], "f38a", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H464C472.8 320 480 312.8 480 304C480 295.2 472.8 288 464 288H112zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384zM408 96C394.7 96 384 106.7 384 120V168C384 181.3 394.7 192 408 192H488C501.3 192 512 181.3 512 168V120C512 106.7 501.3 96 488 96H408z"],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", "M407.9 257.1c5.395-5.395 8.092-12.46 8.092-19.54c0-7.07-2.697-14.14-8.092-19.54l-34.35-34.35l129.1-129.1c6.25-6.25 9.374-14.44 9.374-22.62C511.1 13.72 497.1 0 480 0c-8.188 0-16.38 3.124-22.62 9.374l-129.1 129.1l-34.35-34.35c-5.395-5.393-12.46-8.09-19.54-8.09S260.3 98.69 254.9 104.1L224 134.1l.0002 153l153-.0059L407.9 257.1zM191.1 166.1l-182.4 182.4c-5.861 5.863-9.592 13.8-9.592 22.02c0 102.8 108.9 140.6 140.6 140.6c8.217 0 16.16-3.731 22.03-9.594l182.4-182.4l-153 .002V166.1zM431.1 352c-44.25 0-80 35.75-80 79.1c0 44.25 35.75 79.1 80 79.1s80-35.75 80-79.1C511.1 387.8 476.2 352 431.1 352z"],
    "croissant": [512, 512, [129360], "f7f6", "M209.1 388l-99.14 77.75c20.5 19.13 44.51 34.13 70.64 44.13c10.75 4.125 22.88 2.125 31.63-5.125c8.876-7.25 13.25-18.75 11.38-30L209.1 388zM509.9 180.6c-10-26.13-25-50.13-44.13-70.63l-77.76 99.13l86.76 14.5c1.75 .25 3.5 .375 5.251 .375c10.5 0 20.38-5.125 26.38-13.88C512.3 201.5 513.7 190.5 509.9 180.6zM234.9 22.63c-5.001-16.25-21.88-25.75-38.38-21.63c-96.26 24-171.5 99.25-195.5 195.5C-3.163 213 6.338 229.9 22.59 234.9l208 64c11.25 3.5 23.63 .375 32-8L290.9 262.6c8.376-8.375 11.5-20.75 8.001-32L234.9 22.63zM447.8 65.63c-1.125-8.5-5.501-16.25-12.38-21.38C397.8 15.63 351.8 .125 304.5 0c-14.63 0-29.13 1.5-43.26 4.5c1.375 2.875 3.251 5.5 4.251 8.625l64.01 208c0 .25 0 .5 .125 .625c6.001-1.875 11.63-5 15.5-10l96.01-122.3C446.5 82.75 448.9 74.13 447.8 65.63zM221.7 329.6c-.125-.125-.375 0-.6251-.125L13.09 265.5c-2.875-1-5.751-2.25-8.501-3.625c-12.5 60.88 2 124.1 39.63 173.5c5.126 6.875 12.88 11.25 21.38 12.38c1.375 .125 2.75 .25 4.001 .25c7.251 0 14.13-2.375 19.75-6.875l122.4-96C216.9 341.1 219.9 335.6 221.7 329.6z"],
    "crop": [512, 512, [], "f125", "M448 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V173.3L173.3 384H352V448H128C92.65 448 64 419.3 64 384V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V338.7L338.7 128H160V64H402.7L457.4 9.372C469.9-3.124 490.1-3.124 502.6 9.372C515.1 21.87 515.1 42.13 502.6 54.63L448 109.3V384z"],
    "crop-simple": [512, 512, ["crop-alt"], "f565", "M128 384H352V448H128C92.65 448 64 419.3 64 384V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V384zM384 128H160V64H384C419.3 64 448 92.65 448 128V384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"],
    "cross": [384, 512, [128327, 10013], "f654", "M383.1 160v64c0 17.62-14.37 32-31.1 32h-96v224c0 17.62-14.38 32-31.1 32H160c-17.62 0-32-14.38-32-32V256h-96C14.37 256-.0008 241.6-.0008 224V160c0-17.62 14.38-32 32-32h96V32c0-17.62 14.38-32 32-32h64c17.62 0 31.1 14.38 31.1 32v96h96C369.6 128 383.1 142.4 383.1 160z"],
    "crosshairs": [512, 512, [], "f05b", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM256 0C273.7 0 288 14.33 288 32V42.35C381.7 56.27 455.7 130.3 469.6 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H469.6C455.7 381.7 381.7 455.7 288 469.6V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V469.6C130.3 455.7 56.27 381.7 42.35 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H42.35C56.27 130.3 130.3 56.27 224 42.35V32C224 14.33 238.3 0 256 0V0zM224 404.6V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V404.6C346.3 392.1 392.1 346.3 404.6 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H404.6C392.1 165.7 346.3 119.9 288 107.4V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V107.4C165.7 119.9 119.9 165.7 107.4 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H107.4C119.9 346.3 165.7 392.1 224 404.6z"],
    "crosshairs-simple": [512, 512, [], "e59f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM288 66.65V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V66.65C143.6 80.14 80.14 143.6 66.65 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H66.65C80.14 368.4 143.6 431.9 224 445.3V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V445.3C368.4 431.9 431.9 368.4 445.3 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H445.3C431.9 143.6 368.4 80.14 288 66.65z"],
    "crow": [640, 512, [], "f520", "M523.9 31.1H574C603.4 31.1 628.1 51.99 636.1 80.48L640 95.1L544 119.1V191.1C544 279.1 484.9 354.1 404.2 376.8L446.2 478.9C451.2 491.1 445.4 505.1 433.1 510.2C420.9 515.2 406.9 509.4 401.8 497.1L355.2 383.1C354.1 383.1 353.1 384 352 384H311.1L350.2 478.9C355.2 491.1 349.4 505.1 337.1 510.2C324.9 515.2 310.9 509.4 305.8 497.1L259.2 384H126.1L51.51 441.4C37.5 452.1 17.41 449.5 6.638 435.5C-4.138 421.5-1.517 401.4 12.49 390.6L368 117.2V88C368 39.4 407.4 0 456 0C483.3 0 507.7 12.46 523.9 32V31.1zM456 111.1C469.3 111.1 480 101.3 480 87.1C480 74.74 469.3 63.1 456 63.1C442.7 63.1 432 74.74 432 87.1C432 101.3 442.7 111.1 456 111.1z"],
    "crown": [576, 512, [128081], "f521", "M576 136c0 22.09-17.91 40-40 40c-.248 0-.4551-.1266-.7031-.1305l-50.52 277.9C482 468.9 468.8 480 453.3 480H122.7c-15.46 0-28.72-11.06-31.48-26.27L40.71 175.9C40.46 175.9 40.25 176 39.1 176c-22.09 0-40-17.91-40-40S17.91 96 39.1 96s40 17.91 40 40c0 8.998-3.521 16.89-8.537 23.57l89.63 71.7c15.91 12.73 39.5 7.544 48.61-10.68l57.6-115.2C255.1 98.34 247.1 86.34 247.1 72C247.1 49.91 265.9 32 288 32s39.1 17.91 39.1 40c0 14.34-7.963 26.34-19.3 33.4l57.6 115.2c9.111 18.22 32.71 23.4 48.61 10.68l89.63-71.7C499.5 152.9 496 144.1 496 136C496 113.9 513.9 96 536 96S576 113.9 576 136z"],
    "crutch": [512, 512, [], "f7f7", "M502.6 168.1l-159.6-159.5c-12.54-12.54-32.85-12.6-45.46-.1256c-12.68 12.54-12.73 33.1-.1256 45.71l159.6 159.5c12.6 12.59 33.03 12.57 45.59-.0628C515.1 201.9 515.1 181.5 502.6 168.1zM334.4 245.4l-67.88-67.87l55.13-55.12l-45.25-45.25L166.7 186.8C154.1 199.6 145.2 215.6 141.1 233.2L113.3 353.4l-108.6 108.6c-6.25 6.25-6.25 16.37 0 22.62l22.63 22.62c6.25 6.25 16.38 6.25 22.63 0l108.6-108.6l120.3-27.75c17.5-4.125 33.63-13 46.38-25.62l109.6-109.7l-45.25-45.25L334.4 245.4zM279.9 300.1C275.7 304.2 270.3 307.2 264.4 308.6l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L279.9 300.1z"],
    "crutches": [640, 512, [], "f7f8", "M438.6 393.4c-7.879 3.619-16.01 6.738-24.58 8.758l-46.44 10.72l94.49 94.49C465.2 510.4 469.3 512 473.4 512c4.094 0 8.188-1.562 11.31-4.687l22.63-22.62c3.125-3.125 4.687-7.219 4.687-11.31c0-4.094-1.563-8.187-4.688-11.31L438.6 393.4zM196.7 352.7l15.45-15.45l10.71-46.64L100.9 168.7L168.7 100.9l85.84 85.83c5.047-8.039 10.74-15.7 17.51-22.53l25.29-25.25L213.1 55.61l.5874-.5855c6.28-6.28 9.418-14.54 9.418-22.79C223.1 6.953 200.9 0 191.8 0C183.5 0 175.3 3.149 168.1 9.442L9.429 168.1C3.144 175.3 .0001 183.5 .0001 191.7c0 8.208 3.121 16.42 9.366 22.7c6.293 6.326 14.62 9.553 22.89 9.553c8.238 0 16.48-3.142 22.76-9.428l.5742-.5734l131.2 131.3C189.8 348.2 193.4 350.2 196.7 352.7zM222.9 290.7L222.9 290.7L222.9 290.7zM639.1 191.7c0-8.239-3.144-16.48-9.428-22.76l-159.6-159.5C464.7 3.149 456.5 0 448.2 0c-9.229 0-32.21 7.172-32.21 32.23c0 8.255 3.138 16.51 9.418 22.79l159.6 159.5c6.287 6.286 14.53 9.428 22.76 9.428c8.268 0 16.53-3.165 22.83-9.49C636.8 208.2 639.1 199.1 639.1 191.7zM462.4 245.4l-67.88-67.87l55.13-55.12l-45.25-45.25L294.7 186.8C282.1 199.6 273.2 215.6 269.1 233.2l-27.75 120.2L132.7 462.1c-3.125 3.125-4.688 7.219-4.688 11.31c0 4.094 1.564 8.187 4.689 11.31l22.63 22.62C158.4 510.4 162.5 512 166.6 512c4.094 0 8.188-1.562 11.31-4.687l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l109.6-109.7L517.6 190.3L462.4 245.4zM407.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L407.9 300.1z"],
    "cruzeiro-sign": [384, 512, [], "e152", "M159.1 402.7V256C159.1 238.3 174.3 224 191.1 224C199.7 224 206.8 226.7 212.3 231.3C223 226.6 234.8 224 247.3 224C264.5 224 281.3 229.1 295.7 238.7L305.8 245.4C320.5 255.2 324.4 275 314.6 289.8C304.8 304.5 284.1 308.4 270.2 298.6L260.2 291.9C256.3 289.4 251.9 288 247.3 288C234.4 288 224 298.4 224 311.3V416C264.1 416 302.3 400.6 330.7 375.3C343.8 363.5 364.1 364.6 375.8 377.8C387.6 390.9 386.5 411.2 373.3 422.1C333.7 458.4 281.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C281.4 32 333.7 53.59 373.3 89.04C386.5 100.8 387.6 121.1 375.8 134.2C364.1 147.4 343.8 148.5 330.7 136.7C302.3 111.4 264.1 96 224 96C135.6 96 63.1 167.6 63.1 256C63.1 321.6 103.5 377.1 159.1 402.7V402.7z"],
    "crystal-ball": [448, 512, [], "e362", "M376 416H71.35l-32.94 43.78c-4.426 6.199-6.424 13.05-6.424 19.68C31.99 496.4 45.07 512 64.04 512h320c18.96 0 32.05-15.61 32.05-32.22c0-6.49-1.998-13.16-6.424-19.09L376 416zM380.1 384C421.8 343.4 448 286.9 448 224.9c0-123.8-100.3-223.1-224-223.1S0 100.2 0 224c0 62.88 26.12 119.4 67.88 159.1L380.1 384zM227.7 202.9l49.41-20.62l.4062-.375l20.59-49.31C299.1 130.5 301.7 128.9 304 128.9c2.281 0 4.969 1.625 5.969 3.688l20.72 49.63l49.63 20.69C382.3 203.9 384 206.6 384 207.9c0 3.125-1.656 5.812-3.688 6l-49.63 20.75l-20.72 49.63C308.1 286.3 306.3 288 304 288c-2.312-.0625-4.906-.8125-5.906-2.812L277.4 235.5l-49.63-20.69c-2-1-3.656-3.688-3.656-5.938C224.1 206.7 225.7 203.9 227.7 202.9zM115.1 125.3l29.78-12.44l12.41-29.81c.5938-1.188 1.281-2.188 3.594-2.188c2.281 0 2.094 1 2.688 2.188l12.44 29.81l29.78 12.38C207 125.9 208 127.5 208 128.9c0 1.312-1 2.938-2.188 3.562l-28.91 11.5L164.5 173.8C163 175.9 161.4 176.9 160.9 176.9s-2.969-1-3.594-2.25L144.9 144.8L115.1 132.4C113.9 131.8 112.9 130.3 112.9 128.9S113.9 125.9 115.1 125.3z"],
    "cube": [512, 512, [], "f1b2", "M234.5 5.709C248.4 .7377 263.6 .7377 277.5 5.709L469.5 74.28C494.1 83.38 512 107.5 512 134.6V377.4C512 404.5 494.1 428.6 469.5 437.7L277.5 506.3C263.6 511.3 248.4 511.3 234.5 506.3L42.47 437.7C17 428.6 0 404.5 0 377.4V134.6C0 107.5 17 83.38 42.47 74.28L234.5 5.709zM256 65.98L82.34 128L256 190L429.7 128L256 65.98zM288 434.6L448 377.4V189.4L288 246.6V434.6z"],
    "cubes": [576, 512, [], "f1b3", "M172.1 40.16L268.1 3.76C280.9-1.089 295.1-1.089 307.9 3.76L403.9 40.16C425.6 48.41 440 69.25 440 92.52V204.7C441.3 205.1 442.6 205.5 443.9 205.1L539.9 242.4C561.6 250.6 576 271.5 576 294.7V413.9C576 436.1 562.9 456.2 542.5 465.1L446.5 507.3C432.2 513.7 415.8 513.7 401.5 507.3L288 457.5L174.5 507.3C160.2 513.7 143.8 513.7 129.5 507.3L33.46 465.1C13.13 456.2 0 436.1 0 413.9V294.7C0 271.5 14.39 250.6 36.15 242.4L132.1 205.1C133.4 205.5 134.7 205.1 136 204.7V92.52C136 69.25 150.4 48.41 172.1 40.16V40.16zM290.8 48.64C289 47.95 286.1 47.95 285.2 48.64L206.8 78.35L287.1 109.5L369.2 78.35L290.8 48.64zM392 210.6V121L309.6 152.6V241.8L392 210.6zM154.8 250.9C153 250.2 150.1 250.2 149.2 250.9L70.81 280.6L152 311.7L233.2 280.6L154.8 250.9zM173.6 455.3L256 419.1V323.2L173.6 354.8V455.3zM342.8 280.6L424 311.7L505.2 280.6L426.8 250.9C425 250.2 422.1 250.2 421.2 250.9L342.8 280.6zM528 413.9V323.2L445.6 354.8V455.3L523.2 421.2C526.1 419.9 528 417.1 528 413.9V413.9z"],
    "cubes-stacked": [448, 512, [], "e4e6", "M192 64C192 46.33 206.3 32 224 32H288C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64zM138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.6 111.8 321.4 102.1 306.1L70.96 250.7C62.12 235.4 67.37 215.8 82.67 206.1L138.1 174.1zM352 192C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224C256 206.3 270.3 192 288 192H352zM416 352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384C320 366.3 334.3 352 352 352H416zM160 384C160 366.3 174.3 352 192 352H256C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384zM96 352C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H96z"],
    "cucumber": [512, 512, [129362], "e401", "M474.7 37.48c-49.96-49.97-131.1-49.97-181.1 0L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9476 6.191 1.844 9.141L37.51 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.132 1.023 6.323 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9476-6.191-1.844-9.141l184.8-184.7c2.95 .8965 5.899 1.846 9.142 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9535-6.664-1.977-9.797C524.3 163.1 523.4 86.14 474.7 37.48zM144.1 323.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20s20.01 8.969 20.01 20S155.1 323.1 144.1 323.1zM304.1 291.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20c11.04 0 20.01 8.969 20.01 20S315.2 291.1 304.1 291.1zM400.2 131.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20c11.04 0 20.01 8.969 20.01 20S411.2 131.1 400.2 131.1z"],
    "cup-straw": [384, 512, [129380], "e363", "M60.84 483.5C62.64 499.7 76.34 512 92.64 512h198.7c16.3 0 30-12.26 31.8-28.47L352 224H32L60.84 483.5zM383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16L383.1 143.1z"],
    "cup-straw-swoosh": [384, 512, [], "e364", "M60.84 483.5C62.64 499.7 76.34 512 92.64 512h198.7c16.3 0 30-12.26 31.8-28.47L352 224H32L60.84 483.5zM180.8 353.6c34.54-46.05 82.82-72.64 132.8-73.44l-5.432 48.88c-33.15 2.588-64.54 20.83-88.93 53.37c-33.73 44.97-80.58 71.24-129.3 73.21l-5.299-47.69C120.5 407.7 154.6 388.5 180.8 353.6zM383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16L383.1 143.1z"],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", "M432 64H416l-23.12-46.25C387.4 6.875 376.4 0 364.3 0h-280.5C71.62 0 60.63 6.875 55.13 17.75L32 64H16C7.125 64 0 71.12 0 80v32C0 120.9 7.125 128 16 128h416C440.9 128 448 120.9 448 112v-32C448 71.12 440.9 64 432 64zM106.8 512h234.5c16.62 0 30.5-12.75 31.88-29.38L400 160h-352l26.88 322.6C76.25 499.2 90.12 512 106.8 512zM327.8 256l-13.25 160h-181L120.2 256H327.8z"],
    "cupcake": [448, 512, [129473], "e402", "M123.9 320L147.9 512H123.1C115.5 511.1 108.2 509.3 102.4 504.4C96.64 499.5 92.79 492.7 91.55 485.2L63.1 320H123.9zM156.1 320H291.9L267.9 512H180.1L156.1 320zM324.1 320H383.1L356.4 485.2C355.2 492.7 351.4 499.5 345.6 504.4C339.8 509.3 332.5 511.1 324.9 512H300.1L324.1 320zM437.2 175.1C446.4 190.2 449.8 208.1 446.1 225.5C444.2 242.1 435.2 258.8 421.8 270.3C408.3 281.7 391.3 287.1 373.6 288H74.4C56.74 287.1 39.66 281.7 26.22 270.3C12.77 258.8 3.834 242.1 1.002 225.5C-1.829 208.1 1.63 190.2 10.76 175.1C19.89 160 34.1 148.6 50.85 143L95.1 128C95.1 111 102.7 94.75 114.7 82.75C126.7 70.74 143 64 159.1 64H197.5C204.9 63.99 212.2 61.79 218.3 57.66C224.5 53.54 229.3 47.69 232.1 40.84C234.9 33.99 235.7 26.46 234.2 19.19C232.8 11.92 229.2 5.245 223.1 0C257.9 0 290.5 13.49 314.5 37.49C338.5 61.5 351.1 94.05 351.1 128L397.1 143C413.9 148.6 428.1 160 437.2 175.1H437.2z"],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", "M480 224c0-35.35-28.66-64-64-64H224V128c0-17.67 14.33-32 32-32h128C401.7 96 416 81.69 416 63.1S401.7 32 384 32H256C202.1 32 160 74.98 160 128v32C124.7 160 95.1 188.7 95.1 224c-53.02 0-96 42.98-96 96L0 336h576V320C576 266.1 533 224 480 224zM0 384c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-16H0L0 384z"],
    "custard": [576, 512, [127854], "e403", "M571.3 388.7C574.3 391.7 576 395.8 576 400C576 412.7 570.9 424.9 561.9 433.9C552.9 442.9 540.7 448 528 448H48C35.27 448 23.06 442.9 14.06 433.9C5.057 424.9 0 412.7 0 400C0 395.8 1.686 391.7 4.686 388.7C7.687 385.7 11.76 384 16 384H560C564.2 384 568.3 385.7 571.3 388.7zM175.3 160C152.4 160 130 166.3 110.6 178.2L101.3 183.9L119.6 101.6C122 90.95 127.9 81.43 136.4 74.6C144.9 67.76 155.5 64.02 166.4 64H409.6C420.5 64.05 431 67.79 439.5 74.63C447.1 81.46 453.9 90.97 456.3 101.6L474.6 183.1L465.3 178.2C445.8 166.3 423.4 159.1 400.6 159.1C377.7 159.1 355.3 166.3 335.8 178.2C321.4 187.1 304.8 191.7 287.9 191.7C271 191.7 254.4 187.1 240 178.2C220.5 166.3 198.1 160 175.3 160zM512 352H64L91.52 227.6L127.3 205.4C141.7 196.6 158.3 191.9 175.3 191.9C192.2 191.9 208.8 196.6 223.3 205.4C242.7 217.4 265.2 223.7 288 223.7C310.9 223.7 333.3 217.4 352.8 205.4C367.2 196.6 383.8 191.9 400.7 191.9C417.6 191.9 434.2 196.6 448.6 205.4L484.3 227.6L512 352z"],
    "d": [384, 512, [100], "44", "M160 32.01L32 32.01c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l128-.0073c123.5 0 224-100.5 224-224S283.5 32.01 160 32.01zM160 416H64v-320h96c88.22 0 160 71.78 160 159.1S248.2 416 160 416z"],
    "dagger": [384, 512, [], "f6cb", "M336 128H224V16C224 7.125 216.9 0 208 0h-32C167.1 0 160 7.125 160 16V128H48C21.5 128 0 149.5 0 176S21.5 224 48 224c20.88 0 38.5-13.38 45-32h198C297.5 210.6 315.1 224 336 224C362.5 224 384 202.5 384 176S362.5 128 336 128zM128 428.9l50.73 76c6.25 9.5 20.25 9.5 26.62 0L256 428.9V224H128V428.9z"],
    "dash": [512, 512, ["minus-large"], "e404", "M512 256c0 17.67-14.33 32-32 32H32C14.33 288 0 273.7 0 256s14.33-32 32-32h448C497.7 224 512 238.3 512 256z"],
    "database": [448, 512, [], "f1c0", "M448 80V128C448 172.2 347.7 208 224 208C100.3 208 0 172.2 0 128V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80zM393.2 214.7C413.1 207.3 433.1 197.8 448 186.1V288C448 332.2 347.7 368 224 368C100.3 368 0 332.2 0 288V186.1C14.93 197.8 34.02 207.3 54.85 214.7C99.66 230.7 159.5 240 224 240C288.5 240 348.3 230.7 393.2 214.7V214.7zM54.85 374.7C99.66 390.7 159.5 400 224 400C288.5 400 348.3 390.7 393.2 374.7C413.1 367.3 433.1 357.8 448 346.1V432C448 476.2 347.7 512 224 512C100.3 512 0 476.2 0 432V346.1C14.93 357.8 34.02 367.3 54.85 374.7z"],
    "deer": [576, 512, [129420], "f78e", "M272 .0006C280.8 .0006 288 7.164 288 16V40C288 53.26 298.7 64 312 64H328C341.3 64 352 53.26 352 40V16C352 7.164 359.2 .0006 368 .0006C376.8 .0006 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H448C461.3 64 472 53.26 472 40V16C472 7.164 479.2 .0006 488 .0006C496.8 .0006 504 7.164 504 16V40C504 61.66 491.7 80.44 473.7 89.76C474.3 90.3 474.8 90.85 475.4 91.4L530.7 146.7C539.2 155.2 544 166.7 544 178.7C544 203.7 523.7 224 498.7 224H442.7L416 304V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V368H283.7C254.9 368 228.4 358.2 207.4 341.6C205.3 358.5 197.6 374.3 185.5 386.4L174.9 396.1C170.3 401.6 168.7 408.5 170.9 414.6L190.2 469.4C197.6 490.2 182.1 512 160 512H126.1C112.5 512 100.4 503.4 95.92 490.6L80.37 446.6C68.93 414.2 72.1 378.8 90.39 350.3C97.02 339.4 97.03 324.9 88 315.9C85.04 312.9 82.33 309.8 79.88 306.4C78.58 319.3 67.18 328.9 54.16 327.9C40.94 326.9 31.06 315.4 32.07 302.2L34.39 272C38.56 217.8 83.74 176 138.1 176H224C224.6 176 225.2 176 225.7 176C226.6 176 227.4 176 228.3 176H334.4L344 144H305.1C296 144 288 135.1 288 126C288 117.8 293.6 110.6 301.6 108.6L352 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 0 272 0V.0006zM432 160C440.8 160 448 152.8 448 144C448 135.2 440.8 128 432 128C423.2 128 416 135.2 416 144C416 152.8 423.2 160 432 160z"],
    "deer-rudolph": [576, 512, [], "f78f", "M256 40C256 53.26 266.7 64 280 64H296C309.3 64 320 53.26 320 40V16C320 7.164 327.2 .0006 336 .0006C344.8 .0006 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H416C429.3 64 440 53.26 440 40V16C440 7.164 447.2 .0006 456 .0006C464.8 .0006 472 7.164 472 16V40C472 61.66 459.7 80.44 441.7 89.76C442.3 90.3 442.8 90.85 443.4 91.4L480.7 128.7C484.1 110.1 500.4 96 520 96C542.1 96 560 113.9 560 136C560 158.1 542.1 176 520 176C517.2 176 514.5 175.7 511.9 175.2C511.1 176.4 512 177.5 512 178.7C512 203.7 491.7 224 466.7 224H410.7L384 304V480C384 497.7 369.7 512 352 512H320C302.3 512 288 497.7 288 480V368H251.7C222.9 368 196.4 358.2 175.4 341.6C173.3 358.5 165.6 374.3 153.5 386.4L142.9 396.1C138.3 401.6 136.7 408.5 138.9 414.6L158.2 469.4C165.6 490.2 150.1 512 128 512H94.09C80.53 512 68.43 503.4 63.92 490.6L48.37 446.6C36.93 414.2 40.1 378.8 58.39 350.3C65.02 339.4 65.03 324.9 56 315.9C53.04 312.9 50.33 309.8 47.88 306.4C46.58 319.3 35.18 328.9 22.16 327.9C8.945 326.9-.9448 315.4 .072 302.2L2.39 272C6.558 217.8 51.74 176 106.1 176H192C192.6 176 193.2 176 193.7 176C194.6 176 195.4 176 196.3 176H302.4L312 144H273.1C264 144 256 135.1 256 126C256 117.8 261.6 110.6 269.6 108.6L320 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V40zM400 128C391.2 128 384 135.2 384 144C384 152.8 391.2 160 400 160C408.8 160 416 152.8 416 144C416 135.2 408.8 128 400 128z"],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", "M576 384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64H512C547.3 64 576 92.65 576 128V384zM271 208.1L318.1 256L271 303C261.7 312.4 261.7 327.6 271 336.1C280.4 346.3 295.6 346.3 304.1 336.1L352 289.9L399 336.1C408.4 346.3 423.6 346.3 432.1 336.1C442.3 327.6 442.3 312.4 432.1 303L385.9 256L432.1 208.1C442.3 199.6 442.3 184.4 432.1 175C423.6 165.7 408.4 165.7 399 175L352 222.1L304.1 175C295.6 165.7 280.4 165.7 271 175C261.7 184.4 261.7 199.6 271 208.1V208.1z"],
    "delete-right": [576, 512, [], "e154", "M0 128C0 92.65 28.65 64 64 64H370.7C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z"],
    "democrat": [640, 512, [], "f747", "M191.1 479.1C191.1 497.6 206.4 512 223.1 512h32c17.6 0 32-14.4 32-32v-64h160v64c0 17.6 14.41 32 32.01 32L511.1 512c17.6 0 32-14.4 32-32l.0102-128H192L191.1 479.1zM637.2 256.9l-19.5-29.38c-28.25-42.25-75.38-67.5-126.1-67.5H255.1L174.7 78.75c20.13-20 22.63-51 7.5-73.88C178.9-.2552 171.5-1.005 167.1 3.37L125.2 45.25L82.36 2.37C78.74-1.255 72.74-.6302 69.99 3.62c-12.25 18.63-10.25 44 6.125 60.38c3.25 3.25 7.25 5.25 11.25 7.5c-2.125 1.75-4.625 3.125-6.375 5.375l-74.63 99.38C-.8895 185.9-2.014 198.9 3.361 209.7l14.38 28.5c5.375 10.88 16.5 17.75 28.5 17.75H77.24c8.5 0 16.63-3.375 22.63-9.375l38.13-34.63l54.04 108h351.1l-.0102-77.75c16.25 12.13 18.25 17.5 40.13 50.25c4.875 7.375 14.75 9.25 22.13 4.375l26.63-17.63C640.2 274.2 642.2 264.2 637.2 256.9zM296.2 243.2L279.7 259.4l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L255.1 276.7L235.6 287.4C231.1 289.2 227.7 286.2 228.4 282.1l3.875-22.75L215.7 243.2c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C297.6 235.4 299.2 240.4 296.2 243.2zM408.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L367.1 276.7l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C409.6 235.4 411.2 240.4 408.2 243.2zM520.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25l-20.38-10.63l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C521.6 235.4 523.2 240.4 520.2 243.2z"],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 288H64V64h448V288z"],
    "desktop-arrow-down": [576, 512, [], "e155", "M191 135c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 174.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v150.1L224.1 135C220.3 130.3 214.2 128 208 128S195.7 130.3 191 135zM528 0H352v64h160v224H64V64h160V0H48C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0z"],
    "dharmachakra": [512, 512, [9784], "f655", "M495 225l-17.24 1.124c-5.25-39.5-20.76-75.63-43.89-105.9l12.1-11.37c6.875-6.125 7.25-16.75 .75-23.38L426.5 64.38c-6.625-6.5-17.25-6.125-23.38 .75l-11.37 12.1c-30.25-23.12-66.38-38.64-105.9-43.89L287 17C287.5 7.75 280.2 0 271 0h-30c-9.25 0-16.5 7.75-16 17l1.124 17.24c-39.5 5.25-75.63 20.76-105.9 43.89L108.9 65.13C102.8 58.25 92.13 57.88 85.63 64.38L64.38 85.5C57.88 92.12 58.25 102.8 65.13 108.9l12.1 11.37C54.1 150.5 39.49 186.6 34.24 226.1L17 225C7.75 224.5 0 231.8 0 241v30c0 9.25 7.75 16.5 17 16l17.24-1.124c5.25 39.5 20.76 75.63 43.89 105.9l-12.1 11.37c-6.875 6.125-7.25 16.75-.75 23.25l21.25 21.25c6.5 6.5 17.13 6.125 23.25-.75l11.37-12.1c30.25 23.12 66.38 38.64 105.9 43.89L225 495C224.5 504.2 231.8 512 241 512h30c9.25 0 16.5-7.75 16-17l-1.124-17.24c39.5-5.25 75.63-20.76 105.9-43.89l11.37 12.1c6.125 6.875 16.75 7.25 23.38 .75l21.12-21.25c6.5-6.5 6.125-17.13-.75-23.25l-12.1-11.37c23.12-30.25 38.64-66.38 43.89-105.9L495 287C504.3 287.5 512 280.2 512 271v-30C512 231.8 504.3 224.5 495 225zM281.9 98.68c24.75 4 47.61 13.59 67.24 27.71L306.5 174.6c-8.75-5.375-18.38-9.507-28.62-11.88L281.9 98.68zM230.1 98.68l3.996 64.06C223.9 165.1 214.3 169.2 205.5 174.6L162.9 126.4C182.5 112.3 205.4 102.7 230.1 98.68zM126.4 163l48.35 42.48c-5.5 8.75-9.606 18.4-11.98 28.65L98.68 230.1C102.7 205.4 112.2 182.5 126.4 163zM98.68 281.9l64.06-3.996C165.1 288.1 169.3 297.8 174.6 306.5l-48.23 42.61C112.3 329.5 102.7 306.6 98.68 281.9zM230.1 413.3c-24.75-4-47.61-13.59-67.24-27.71l42.58-48.33c8.75 5.5 18.4 9.606 28.65 11.98L230.1 413.3zM256 288C238.4 288 224 273.6 224 256s14.38-32 32-32s32 14.38 32 32S273.6 288 256 288zM281.9 413.3l-3.996-64.06c10.25-2.375 19.9-6.48 28.65-11.98l42.48 48.35C329.5 399.8 306.6 409.3 281.9 413.3zM385.6 349l-48.25-42.5c5.375-8.75 9.507-18.38 11.88-28.62l64.06 3.996C409.3 306.6 399.8 329.5 385.6 349zM349.3 234.1c-2.375-10.25-6.48-19.9-11.98-28.65L385.6 163c14.13 19.5 23.69 42.38 27.69 67.13L349.3 234.1z"],
    "diagram-cells": [512, 512, [], "e475", "M512 160C512 195.3 483.3 224 448 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160zM64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM448 416V352H64V416H448z"],
    "diagram-lean-canvas": [640, 512, [], "e156", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 304H576V96H512V304zM464 96H400V176H464V96zM352 96H288V304H352V96zM240 96H176V176H240V96zM128 96H64V304H128V96zM64 352V416H296V352H64zM344 416H576V352H344V416zM240 224H176V304H240V224zM400 224V304H464V224H400z"],
    "diagram-nested": [448, 512, [], "e157", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H128V320C128 337.7 142.3 352 160 352H256V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V416H160C106.1 416 64 373 64 320V224H48C21.49 224 0 202.5 0 176V80z"],
    "diagram-next": [512, 512, [], "e476", "M512 160C512 195.3 483.3 224 448 224H280V288H326.1C347.4 288 358.1 313.9 343 328.1L272.1 399C263.6 408.4 248.4 408.4 239 399L168.1 328.1C153.9 313.9 164.6 288 185.9 288H232V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160zM312.6 416H448V352H376.6L384.1 343.6C401 327.6 404.6 306.4 399 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H112.1C107.4 306.4 110.1 327.6 127 343.6L135.4 352H64V416H199.4L216.4 432.1C238.3 454.8 273.7 454.8 295.6 432.1L312.6 416z"],
    "diagram-predecessor": [512, 512, [], "e477", "M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM448 416V352H64V416H448zM288 160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160z"],
    "diagram-previous": [512, 512, [], "e478", "M448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H232V224H185.9C164.6 224 153.9 198.1 168.1 183L239 112.1C248.4 103.6 263.6 103.6 272.1 112.1L343 183C358.1 198.1 347.4 224 326.1 224H280V288H448zM64 352V416H448V352H64zM399 224C404.6 205.6 401 184.4 384.1 168.4L295.6 79.03C273.7 57.16 238.3 57.16 216.4 79.03L127 168.4C110.1 184.4 107.4 205.6 112.1 224H64C28.65 224 .0003 195.3 .0003 160V96C.0003 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H399z"],
    "diagram-project": [576, 512, ["project-diagram"], "f542", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V96H384V80C384 53.49 405.5 32 432 32H528C554.5 32 576 53.49 576 80V176C576 202.5 554.5 224 528 224H432C405.5 224 384 202.5 384 176V160H192V176C192 177.7 191.9 179.4 191.7 180.1L272 288H368C394.5 288 416 309.5 416 336V432C416 458.5 394.5 480 368 480H272C245.5 480 224 458.5 224 432V336C224 334.3 224.1 332.6 224.3 331L144 224H48C21.49 224 0 202.5 0 176V80z"],
    "diagram-sankey": [576, 512, [], "e158", "M294.4 44.8C300.4 36.74 309.9 32 320 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H336L249.6 211.2C243.6 219.3 234.1 224 224 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H208L294.4 44.8zM141.9 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H216.5L274.1 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C244.8 480 234.3 474.1 228.6 464.5L141.9 320z"],
    "diagram-subtask": [512, 512, [], "e479", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H160V320C160 337.7 174.3 352 192 352H224C224 316.7 252.7 288 288 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416H192C138.1 416 96 373 96 320V224H64C28.65 224 0 195.3 0 160V96zM448 352H288V416H448V352z"],
    "diagram-successor": [512, 512, [], "e47a", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224V224zM64 160H224V96H64V160z"],
    "diagram-venn": [640, 512, [], "e15a", "M320 458.4C290.9 472.3 258.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C258.4 32 290.9 39.73 320 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 320 458.4zM192 256C192 194.1 216.4 139.6 256 99.21C245.7 97.1 234.1 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C234.1 416 245.7 414.9 256 412.8C216.4 372.4 192 317 192 256V256zM269.3 192C262.8 206.9 258.5 223.1 256.8 240H383.2C381.5 223.1 377.2 206.9 370.7 192H269.3zM370.7 320C377.2 305.1 381.5 288.9 383.2 272H256.8C258.5 288.9 262.8 305.1 269.3 320H370.7zM287.1 352C297.1 364.1 307.9 374.9 320 384C332.1 374.9 342.9 364.1 352 352H287.1zM352 160C342.9 147.9 332.1 137.1 320 127.1C307.9 137.1 297.1 147.9 287.1 160H352z"],
    "dial": [576, 512, ["dial-med-high"], "e15b", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM175.1 174.2C231.9 117.5 320.6 112.2 383.2 158.5L271.3 270.4C261.9 279.7 261.9 294.9 271.3 304.3C280.7 313.7 295.9 313.7 305.3 304.3L417.1 192.4C463.4 255 458.1 343.7 401.4 400.5C338.9 462.9 237.6 462.9 175.1 400.5C112.7 337.1 112.7 236.7 175.1 174.2H175.1zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-high": [576, 512, [], "e15c", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM288.4 127.6C368.6 127.6 435 186.6 446.6 263.6H288.4C275.1 263.6 264.4 274.4 264.4 287.6C264.4 300.9 275.1 311.6 288.4 311.6H446.6C435 388.6 368.6 447.6 288.4 447.6C200 447.6 128.4 375.1 128.4 287.6C128.4 199.2 200 127.6 288.4 127.6H288.4zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-low": [576, 512, [], "e15d", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM287.6 447.6C207.4 447.6 140.1 388.6 129.4 311.6H287.6C300.9 311.6 311.6 300.9 311.6 287.6C311.6 274.4 300.9 263.6 287.6 263.6H129.4C140.1 186.6 207.4 127.6 287.6 127.6C375.1 127.6 447.6 199.2 447.6 287.6C447.6 375.1 375.1 447.6 287.6 447.6zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-max": [576, 512, [], "e15e", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM401.4 174.7C458.1 231.5 463.4 320.2 417.1 382.8L305.3 270.9C295.9 261.5 280.7 261.5 271.3 270.9C261.9 280.3 261.9 295.5 271.3 304.9L383.2 416.7C320.6 462.1 231.9 457.7 175.1 401C112.7 338.5 112.7 237.2 175.1 174.7C237.6 112.3 338.9 112.3 401.4 174.7V174.7zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med": [576, 512, [], "e15f", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM128 287.2C128 207 187 140.6 264 128.1V287.2C264 300.5 274.7 311.2 288 311.2C301.3 311.2 312 300.5 312 287.2V128.1C388.1 140.6 448 207 448 287.2C448 375.6 376.4 447.2 288 447.2C199.6 447.2 128 375.6 128 287.2zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med-low": [576, 512, [], "e160", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM174.6 400.5C117.9 343.7 112.6 255 158.9 192.4L270.8 304.3C280.1 313.7 295.3 313.7 304.7 304.3C314.1 294.9 314.1 279.7 304.7 270.4L192.8 158.5C255.4 112.2 344.1 117.5 400.9 174.2C463.3 236.7 463.3 337.1 400.9 400.5C338.4 462.9 237.1 462.9 174.6 400.5zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-min": [576, 512, [], "e161", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM400.9 401C344.1 457.7 255.4 462.1 192.8 416.7L304.7 304.9C314.1 295.5 314.1 280.3 304.7 270.9C295.3 261.5 280.1 261.5 270.8 270.9L158.9 382.8C112.6 320.2 117.9 231.5 174.6 174.7C237.1 112.3 338.4 112.3 400.9 174.7C463.3 237.2 463.3 338.5 400.9 401V401zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-off": [576, 512, [], "e162", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM448 288C448 368.2 388.1 434.6 312 446.2V288C312 274.7 301.3 264 288 264C274.7 264 264 274.7 264 288V446.2C187 434.6 128 368.2 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "diamond": [512, 512, [9830], "f219", "M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7z"],
    "diamond-exclamation": [512, 512, [], "e405", "M497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM232 151.1c0-13.25 10.75-24 24-24s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V151.1zM256 383.1c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S273.7 383.1 256 383.1z"],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", "M497.1 222.1l-208.1-208.1c-9.364-9.364-21.62-14.04-33.89-14.03C243.7 .0092 231.5 4.686 222.1 14.03L14.03 222.1C4.676 231.5 .0002 243.7 .0004 255.1c.0002 12.26 4.676 24.52 14.03 33.87l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26 0 24.52-4.677 33.87-14.03l208.1-208.1c9.352-9.353 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-13.85 16.39-20.99 26.53-12.03l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z"],
    "dice": [640, 512, [127922], "f522", "M447.1 224c0-12.56-4.781-25.13-14.35-34.76l-174.9-174.9C249.1 4.786 236.5 0 223.1 0C211.4 0 198.9 4.786 189.2 14.35L14.35 189.2C4.783 198.9-.0011 211.4-.0011 223.1c0 12.56 4.785 25.17 14.35 34.8l174.9 174.9c9.625 9.562 22.19 14.35 34.75 14.35s25.13-4.783 34.75-14.35l174.9-174.9C443.2 249.1 447.1 236.6 447.1 224zM96 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1S120 210.8 120 224S109.3 248 96 248zM224 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 376 224 376zM224 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1S248 210.8 248 224S237.3 248 224 248zM224 120c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 120 224 120zM352 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S365.3 248 352 248zM591.1 192l-118.7 0c4.418 10.27 6.604 21.25 6.604 32.23c0 20.7-7.865 41.38-23.63 57.14l-136.2 136.2v46.37C320 490.5 341.5 512 368 512h223.1c26.5 0 47.1-21.5 47.1-47.1V240C639.1 213.5 618.5 192 591.1 192zM479.1 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S493.2 376 479.1 376z"],
    "dice-d10": [512, 512, [], "f6cd", "M150.9 262.1l88.19 61.47v179.5c0 5.293-4.144 8.87-8.507 8.87c-1.897 0-3.836-.6764-5.493-2.182L2.907 307.6C.9169 305.8 .0006 303.4 .0006 300.1c0-3.952 2.508-7.81 6.812-8.706L150.9 262.1zM9.326 255.5c-4.839 0-8.385-4.309-8.385-8.914c0-1.941 .6301-3.935 2.059-5.68l191.8-233.9c1.799-2.2 4.072-3.146 6.297-3.146c4.402 0 8.618 3.702 8.618 8.716c0 .9458-.15 1.938-.4771 2.961L141.5 228L11.09 255.3C10.49 255.4 9.898 255.5 9.326 255.5zM337.4 236.1l-81.44 56.72L174.6 236.1l73.41-230.1C249.3 2.016 252.6 0 256 0s6.74 2.016 8.021 6.047L337.4 236.1zM512 300.1c0 2.389-.9163 4.813-2.906 6.638l-222.2 202.2C285.3 511.3 283.3 512 281.4 512c-4.362 0-8.504-3.592-8.504-8.884v-179.5l88.19-61.47l144.1 30.13C509.5 293.2 512 297 512 300.1zM302.7 15.52c-.3206-1.014-.4678-1.997-.4678-2.935c0-5.027 4.228-8.742 8.639-8.742c2.226 0 4.498 .9458 6.297 3.146l191.8 233.9c1.429 1.745 2.059 3.739 2.059 5.681c0 4.615-3.56 8.938-8.414 8.938c-.5633 0-1.144-.0582-1.739-.1809l-130.4-27.25L302.7 15.52z"],
    "dice-d12": [512, 512, [], "f6ce", "M113.1 328.5l55.01 172l-85.87-42.95c-10.53-5.281-23.38-18.09-28.62-28.62L6.75 333.5C2.313 324.6 0 314.8 0 304.9V214.6L113.1 328.5zM131.2 300.5L7.531 176.9l51.44-102.8L240 139.3v106.9L131.2 300.5zM256 111L89.72 51.13l88.77-44.37C187.4 2.313 197.2 0 207.1 0h97.78c8.344 0 21.17 3.031 28.61 6.75l88.78 44.37L256 111zM364.6 328.2L305.8 512H206.2l-58.81-183.8L256 273.9L364.6 328.2zM272 139.3l181-65.19l51.44 102.8l-123.6 123.6L272 246.1V139.3zM512 214.6V304.9c0 8.344-3.031 21.16-6.75 28.62l-47.73 95.38c-5.25 10.53-18.09 23.38-28.62 28.62l-85.87 42.95l55.01-172L512 214.6z"],
    "dice-d20": [512, 512, [], "f6cf", "M20.04 317.3C18 317.3 16 315.8 16 313.3V150.5c0-2.351 1.91-4.012 4.001-4.012c.6882 0 1.396 .18 2.062 .5748l76.62 45.1l-75.28 122.3C22.59 316.8 21.31 317.3 20.04 317.3zM231.4 405.2l-208.2-22.06c-4.27-.4821-7.123-4.117-7.123-7.995c0-1.401 .3725-2.834 1.185-4.161L122.7 215.1L231.4 405.2zM31.1 420.1c0-2.039 1.508-4.068 3.93-4.068c.1654 0 .3351 .0095 .5089 .0291l203.6 22.31v65.66C239.1 508.6 236.2 512 232 512c-1.113 0-2.255-.2387-3.363-.7565L34.25 423.6C32.69 422.8 31.1 421.4 31.1 420.1zM33.94 117.1c-1.289-.7641-1.938-2.088-1.938-3.417c0-1.281 .6019-2.567 1.813-3.364l150.8-98.59C185.1 10.98 187.3 10.64 188.6 10.64c4.32 0 8.003 3.721 8.003 8.022c0 1.379-.3788 2.818-1.237 4.214L115.5 165.8L33.94 117.1zM146.8 175.1l95.59-168.4C245.5 2.53 250.7 0 255.1 0s10.5 2.53 13.62 7.624l95.59 168.4H146.8zM356.4 207.1l-100.4 175.7L155.6 207.1H356.4zM476.1 415.1c2.422 0 3.93 2.029 3.93 4.068c0 1.378-.6893 2.761-2.252 3.524l-194.4 87.66c-1.103 .5092-2.241 .7443-3.35 .7443c-4.2 0-7.994-3.371-7.994-7.994v-65.69l203.6-22.28C475.7 416 475.9 415.1 476.1 415.1zM494.8 370.9C495.6 372.3 496 373.7 496 375.1c0 3.872-2.841 7.499-7.128 7.98l-208.2 22.06l108.6-190.1L494.8 370.9zM316.6 22.87c-.8581-1.395-1.237-2.834-1.237-4.214c0-4.301 3.683-8.022 8.003-8.022c1.308 0 2.675 .3411 4.015 1.11l150.8 98.59c1.211 .7973 1.813 2.076 1.813 3.353c0 1.325-.6488 2.649-1.938 3.429L396.5 165.8L316.6 22.87zM491.1 146.5c2.091 0 4.001 1.661 4.001 4.012v162.8c0 2.483-2.016 4.006-4.053 4.006c-1.27 0-2.549-.5919-3.353-1.912l-75.28-122.3l76.62-45.1C490.6 146.7 491.3 146.5 491.1 146.5z"],
    "dice-d4": [512, 512, [], "f6d0", "M231.6 0c4.143 0 8.185 3.31 8.185 8.524v494.9C239.8 508.5 235.9 512 231.7 512c-1.724 0-3.488-.5858-5.035-1.887l-223.6-188.8C1.037 319.6 0 317.2 0 314.7c0-1.816 .5498-3.647 1.682-5.201L225.3 3.337C226.1 1.031 229.3 0 231.6 0zM512 314.7c0 2.494-1.037 4.961-3.026 6.642l-223.6 188.8C283.8 511.4 282.1 512 280.3 512c-4.196 0-8.153-3.471-8.153-8.543V8.524C272.2 3.31 276.2 0 280.4 0c2.312 0 4.656 1.031 6.346 3.337l223.6 306.1C511.5 311 512 312.8 512 314.7z"],
    "dice-d6": [448, 512, [], "f6d1", "M7.994 153.5c1.326 0 2.687 .3508 3.975 1.119L208 271.5v223.8c0 9.741-7.656 16.71-16.01 16.71c-2.688 0-5.449-.7212-8.05-2.303l-152.2-92.47C12.13 405.3 0 383.3 0 359.5v-197.7C0 156.1 3.817 153.5 7.994 153.5zM426.2 117.2c0 2.825-1.352 5.647-4.051 7.248L224 242.6L25.88 124.4C23.19 122.8 21.85 119.1 21.85 117.2c0-2.8 1.32-5.603 3.965-7.221l165.1-100.9C201.7 3.023 212.9 0 224 0s22.27 3.023 32.22 9.07l165.1 100.9C424.8 111.6 426.2 114.4 426.2 117.2zM440 153.5C444.2 153.5 448 156.1 448 161.8v197.7c0 23.75-12.12 45.75-31.78 57.69l-152.2 92.5C261.5 511.3 258.7 512 256 512C247.7 512 240 505 240 495.3V271.5l196-116.9C437.3 153.8 438.7 153.5 440 153.5z"],
    "dice-d8": [512, 512, [], "f6d2", "M231.3 0c4.217 0 8.263 3.331 8.263 8.365v324.3L5.461 247.6C1.968 246.3 0 243 0 239.7c0-2.075 .7542-4.175 2.367-5.836L225.5 2.521C227.2 .779 229.3 0 231.3 0zM31.11 304.6c0-4.377 3.501-8.483 8.109-8.483c.9283 0 1.902 .1666 2.9 .5312l197.5 71.66v135.3C239.6 508.7 235.5 512 231.3 512c-2.038 0-4.116-.7791-5.795-2.52L33.52 310.4C31.84 308.6 31.11 306.6 31.11 304.6zM512 239.7c0 3.355-1.968 6.651-5.461 7.944l-234.1 85.03V8.396c0-5.057 4.049-8.395 8.268-8.395c2.038 0 4.116 .7791 5.795 2.52l223.2 231.3C511.2 235.5 512 237.6 512 239.7zM472.8 296.1c4.608 0 8.109 4.105 8.109 8.483c0 1.998-.7294 4.052-2.416 5.799l-192 199.1C284.8 511.2 282.7 512 280.7 512c-4.219 0-8.268-3.338-8.268-8.395V368.3l197.5-71.66C470.9 296.3 471.9 296.1 472.8 296.1z"],
    "dice-five": [448, 512, [9860], "f523", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-four": [448, 512, [9859], "f524", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-one": [448, 512, [9856], "f525", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z"],
    "dice-six": [448, 512, [9861], "f526", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 288C110.4 288 96 273.6 96 256s14.38-32 32-32s32 14.38 32 32S145.6 288 128 288zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 288 320 288zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-three": [448, 512, [9858], "f527", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z"],
    "dice-two": [448, 512, [9857], "f528", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z"],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", "M539.3 144h-66.1C477.5 134.2 480 123.4 480 112C480 68.15 444.3 32 400.5 32C367.7 32 345.5 47.08 320 78.95C294.5 47.08 272.3 32 239.5 32C195.7 32 160 68.15 160 112c0 11.4 2.506 22.19 6.844 32H96c-53.02 0-96 48.47-96 128S42.98 416 96 416l160-34.29V480l64-32.01L384 480v-97.99L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM256 316.3l-162.6 34.84C84.68 346 64 319.7 64 272c0-53.34 25.89-64 32-64h160V316.3zM239.5 143.5C222.1 143.5 208 129.4 208 112s14.12-31.53 31.53-31.53c15.69 0 27.27 2.598 67.86 63.06H239.5zM332.6 143.5c40.59-60.46 52.17-63.06 67.86-63.06C417.9 80.47 432 94.59 432 112s-14.11 31.53-31.53 31.53H332.6zM542.9 351.3L384 316.5V208h155.3C551.9 208 576 223.2 576 272C576 316.5 555.1 346.3 542.9 351.3z"],
    "disc-drive": [512, 512, [], "f8b5", "M496 416H480V96c0-35.38-28.62-64-64-64H96C60.62 32 32 60.62 32 96v320H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 15.1 480h480c8.875 0 16-7.125 16-16v-32C512 423.1 504.9 416 496 416zM256 416c-88.38 0-160-71.63-160-160s71.62-160 160-160s160 71.62 160 160S344.4 416 256 416zM256 224C238.4 224 224 238.4 224 256s14.38 32 32 32c17.62 0 32-14.38 32-32S273.6 224 256 224z"],
    "disease": [512, 512, [], "f7fa", "M472.2 195.9l-66.1-22.1c-19.25-6.624-33.5-20.87-38.13-38.24l-16-60.49c-11.62-43.74-76.63-57.11-110-22.62L194.1 99.3c-13.25 13.75-33.5 20.87-54.25 19.25L68.86 112.9c-52-3.999-86.88 44.99-59 82.86l38.63 52.49c11 14.1 12.75 33.74 4.625 50.12l-28.5 56.99c-20.62 41.24 22.88 84.86 73.5 73.86l69.1-15.25c20.12-4.499 41.38 .0001 57 11.62l54.38 40.87c39.38 29.62 101 7.623 104.5-37.24l4.625-61.86c1.375-17.75 12.88-33.87 30.62-42.99l61.1-31.62C526.1 269.8 520.9 212.5 472.2 195.9zM159.1 256c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1S177.6 256 159.1 256zM287.1 351.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C319.1 337.6 305.6 351.1 287.1 351.1zM303.1 224c-8.875 0-15.1-7.125-15.1-15.1c0-8.873 7.125-15.1 15.1-15.1s15.1 7.125 15.1 15.1C319.1 216.9 312.9 224 303.1 224z"],
    "display": [576, 512, [], "e163", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z"],
    "display-arrow-down": [576, 512, [], "e164", "M191 167c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 206.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v182.1L224.1 167C220.3 162.3 214.2 160 208 160S195.7 162.3 191 167zM528 0H352v64h160v288H64V64h156.9V0H48C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0z"],
    "display-code": [576, 512, ["desktop-code"], "e165", "M333.9 270.2C337.8 274.1 342.9 276 348 276s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31l-48-48c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84C326 249.7 326 262.4 333.9 270.2zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352zM213.9 270.2C217.8 274.1 222.9 276 228 276S238.2 274.1 242.1 270.2c7.812-7.812 7.812-20.5 0-28.31L208.3 208L242.1 174.2c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31L213.9 270.2z"],
    "display-medical": [576, 512, ["desktop-medical"], "e166", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352zM208 239.1H256v48C256 296.8 263.2 304 272 304h32c8.801 0 16-7.202 16-16v-48h48C376.8 239.1 384 232.8 384 224V191.1C384 183.2 376.8 176 368 176H320V128c0-8.801-7.199-16-16-16h-32C263.2 112 256 119.2 256 128v48H208C199.2 176 192 183.2 192 191.1V224C192 232.8 199.2 239.1 208 239.1z"],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", "M455.1 464h-72l-16-48h39.99l-81.65-64H95.1L95.1 171.5L31.1 121.3V368c0 26.5 21.5 48 47.1 48h191.1l-16 48H183.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h271.1c13.25 0 24-10.75 24-24S469.2 464 455.1 464zM630.8 469.1l-68.1-53.38c25.21-1.434 45.29-22.16 45.29-47.73v-320c0-26.5-21.5-48-48-48l-479.1 0c-12.3 0-23.41 4.77-31.9 12.38L38.81 5.113C34.41 1.676 29.19 0 24.03 0c-7.125 0-14.19 3.16-18.91 9.191c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM543.1 352h-62.59l-367.5-288h430L543.1 352z"],
    "distribute-spacing-horizontal": [448, 512, [], "e365", "M0 24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24zM128 144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144zM448 24V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V24C400 10.75 410.7 0 424 0C437.3 0 448 10.75 448 24z"],
    "distribute-spacing-vertical": [512, 512, [], "e366", "M0 56C0 42.75 10.75 32 24 32H488C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56zM96 208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"],
    "ditto": [320, 512, [], "22", "M14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C88.75 24.36 39.23 24.36 14.89 54.93zM305.1 54.93c-24.34-30.57-73.86-30.57-98.2 0c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93z"],
    "divide": [448, 512, [10135, 247], "f529", "M400 224h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.31 32-32S417.7 224 400 224zM224 144c26.47 0 48-21.53 48-48s-21.53-48-48-48s-48 21.53-48 48S197.5 144 224 144zM224 368c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S250.5 368 224 368z"],
    "dna": [448, 512, [129516], "f471", "M.1193 494.1c-1.125 9.5 6.312 17.87 15.94 17.87l32.06 .0635c8.125 0 15.21-5.833 16.21-13.83c.7501-4.875 1.869-11.17 3.494-18.17h312c1.625 6.875 2.904 13.31 3.529 18.18c1.125 7.1 7.84 13.94 15.97 13.82l32.46-.0625c9.625 0 17.12-8.374 15.99-17.87c-4.625-37.87-25.75-128.1-119.1-207.7c-17.5 12.37-36.98 24.37-58.48 35.49c6.25 4.625 11.56 9.405 17.06 14.15H159.7c21.25-18.12 47.03-35.63 78.65-51.38c172.1-85.5 203.7-218.8 209.5-266.7c1.125-9.5-6.297-17.88-15.92-17.88L399.6 .001c-8.125 0-14.84 5.832-15.96 13.83c-.7501 4.875-1.869 11.17-3.369 18.17H67.74C66.24 25 65.08 18.81 64.33 13.81C63.21 5.813 56.48-.124 48.36 .001L16.1 .1338c-9.625 0-17.09 8.354-15.96 17.85c5.125 42.87 31.29 153.8 159.9 238.1C31.55 340.3 5.245 451.2 .1193 494.1zM223.9 219.7C198.8 205.9 177.6 191.3 159.7 176h128.5C270.4 191.3 249 206.1 223.9 219.7zM355.1 96c-5.875 10.37-12.88 21.12-21 31.1H113.1c-8.25-10.87-15.3-21.63-21.05-32L355.1 96zM93 415.1c5.875-10.37 12.74-21.13 20.87-32h219.4c8.375 10.87 15.48 21.63 21.23 32H93z"],
    "do-not-enter": [512, 512, [], "f5ec", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM96 208C87.16 208 80 215.2 80 224V288C80 296.8 87.16 304 96 304H416C424.8 304 432 296.8 432 288V224C432 215.2 424.8 208 416 208H96z"],
    "dog": [576, 512, [128021], "f6d3", "M332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L421.6 222.5L309.6 158.5L332.7 19.85zM448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64zM416 256.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C295.1 377.1 268.8 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H303.8L416 256.1z"],
    "dog-leashed": [576, 512, [129454], "f6d4", "M282.7 148.1C289.3 154 289.8 164.1 283.9 170.7C277.1 177.3 267.9 177.8 261.3 171.9L101.3 27.89C94.73 21.98 94.2 11.86 100.1 5.297C106-1.272 116.1-1.804 122.7 4.108L282.7 148.1zM256 192V383.3C250.7 383.8 245.4 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1L256 192zM320 364.8C309.9 369.1 299.2 374.2 288 377.4V208.1L416 261.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8zM426.7 192L420.5 229.2L305.8 180.9L332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7zM448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96z"],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", "M160 0C177.7 0 192 14.33 192 32V67.68C193.6 67.89 195.1 68.12 196.7 68.35C207.3 69.93 238.9 75.02 251.9 78.31C268.1 82.65 279.4 100.1 275 117.2C270.7 134.3 253.3 144.7 236.1 140.4C226.8 137.1 198.5 133.3 187.3 131.7C155.2 126.9 127.7 129.3 108.8 136.5C90.52 143.5 82.93 153.4 80.92 164.5C78.98 175.2 80.45 181.3 82.21 185.1C84.1 189.1 87.79 193.6 95.14 198.5C111.4 209.2 136.2 216.4 168.4 225.1L171.2 225.9C199.6 233.6 234.4 243.1 260.2 260.2C274.3 269.6 287.6 282.3 295.8 299.9C304.1 317.7 305.9 337.7 302.1 358.1C295.1 397 268.1 422.4 236.4 435.6C222.8 441.2 207.8 444.8 192 446.6V480C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480V445.1C127.6 445.1 127.1 444.1 126.7 444.9L126.5 444.9C102.2 441.1 62.07 430.6 35 418.6C18.85 411.4 11.58 392.5 18.76 376.3C25.94 360.2 44.85 352.9 60.1 360.1C81.9 369.4 116.3 378.5 136.2 381.6C168.2 386.4 194.5 383.6 212.3 376.4C229.2 369.5 236.9 359.5 239.1 347.5C241 336.8 239.6 330.7 237.8 326.9C235.9 322.9 232.2 318.4 224.9 313.5C208.6 302.8 183.8 295.6 151.6 286.9L148.8 286.1C120.4 278.4 85.58 268.9 59.76 251.8C45.65 242.4 32.43 229.7 24.22 212.1C15.89 194.3 14.08 174.3 17.95 153C25.03 114.1 53.05 89.29 85.96 76.73C98.98 71.76 113.1 68.49 128 66.73V32C128 14.33 142.3 0 160 0V0z"],
    "dolly": [576, 512, ["dolly-box"], "f472", "M294.2 277.8c17.1 5 34.62 13.38 49.5 24.62l161.5-53.75c8.375-2.875 12.88-11.88 10-20.25L454.8 47.25c-2.748-8.502-11.88-13-20.12-10.12l-61.13 20.37l33.12 99.38l-60.75 20.13l-33.12-99.38L251.2 98.13c-8.373 2.75-12.87 11.88-9.998 20.12L294.2 277.8zM574.4 309.9c-5.594-16.75-23.67-25.91-40.48-20.23l-202.5 67.51c-17.22-22.01-43.57-36.41-73.54-36.97L165.7 43.75C156.9 17.58 132.5 0 104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C174.7 358.2 160 385.3 160 416c0 53.02 42.98 96 96 96c52.4 0 94.84-42.03 95.82-94.2l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-31.1 32-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "dolly-empty": [576, 512, [], "f473", "M574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51c-17.22-22.01-43.57-36.41-73.54-36.97L165.7 43.75C156.9 17.58 132.5 0 104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C174.7 358.2 160 385.3 160 416c0 53.02 42.98 96 96 96c52.4 0 94.84-42.03 95.82-94.2l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.32-31.1 31.1-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "dolphin": [512, 512, [], "e168", "M438.4 129.5l-13.9-11.92c9.016-24.25 26.23-54.14 52.31-89.89c5.311-7.332 3.281-15.04-.4336-19.82c-4.619-5.982-11.83-8.905-20.34-7.575c-51.75 8.119-93.62 24.63-123.9 40.08c-35.5-25.72-77.93-40.4-122.1-40.4L176 0C96.47 0 32 64.47 32 144c0 18.38 3.771 35.81 10.05 51.97L14.25 214.5C5.348 220.4 0 230.4 0 241.1V256c0 17.67 14.33 32 32 32L192.9 288l102.8 61.7C306.4 356.1 320 348.4 320 335.1V288h2.902c.834 0 1.59 .2139 2.412 .249C326.2 288.2 327.1 288 328 288C358.9 288 384 313.1 384 344s-25.07 56-56 56h-62.22l-13.07-21.31C248.3 372 240.8 368 232.7 368H171.1c-9.561 0-15.27 10.65-9.965 18.61l35.55 53.38l-35.53 53.36C156.7 501.3 162.4 512 172 512H232.7c8.064-.002 15.58-4.031 19.99-10.69L265.8 480H320c105.9 0 192.4-86.08 192-191.1C512 202.3 460.3 148.3 438.4 129.5zM128 148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24C139.3 176 129.8 167.1 128 155.7V148.3z"],
    "dong-sign": [384, 512, [], "e169", "M320 64C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128V384C320 401.7 305.7 416 288 416C275 416 263.9 408.3 258.8 397.2C239.4 409.1 216.5 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C215.3 160 237.2 166.2 256 177.1V128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H256C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V64zM256 288C256 252.7 227.3 224 192 224C156.7 224 128 252.7 128 288C128 323.3 156.7 352 192 352C227.3 352 256 323.3 256 288zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"],
    "donut": [512, 512, [127849, "doughnut"], "e406", "M488.5 313.4C496.8 309.8 504.7 305.2 512 299.7V304C512 392.4 397.4 464 256 464C114.6 464 .0009 392.4 .0009 304V299.7C7.32 305.2 15.24 309.8 23.62 313.4C30.33 315.8 36.17 320.2 40.35 325.9C52.73 343.8 69.57 358.2 89.22 367.7C108.9 377.1 130.6 381.2 152.4 379.6C165.7 379.5 178.1 382 191.4 387.1C211.9 395.6 233.9 400 256.1 400C278.3 400 300.3 395.6 320.8 387.1C333.1 382 346.4 379.5 359.8 379.6C381.5 381.2 403.3 377.1 422.9 367.7C442.6 358.2 459.4 343.8 471.8 325.9C475.1 320.2 481.8 315.8 488.5 313.4zM.0009 208C.0009 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208C512 208 512 234.8 512 240C512.5 257.1 499.4 273.7 475.5 284.1C462.2 289.2 450.1 298.6 443.5 310.8C433.7 323.5 420.9 333.5 406.3 339.9C391.6 346.3 375.6 348.1 359.6 347.6C341.8 347.5 324.2 350.9 307.8 357.8C274.5 371.4 237.3 371.4 204.1 357.8C187.7 350.9 170 347.5 152.2 347.6C136.3 348.1 120.2 346.3 105.6 339.9C90.93 333.5 78.13 323.5 68.35 310.8C60.9 298.6 49.66 289.2 36.35 284.1C12.8 273.7-.4791 257.1 .0009 240C.1609 234.8 .0009 208 .0009 208zM369.2 137.9C368.4 139.8 367.1 141.9 367.1 144C367.1 146.1 368.4 148.2 369.2 150.1C370 152.1 371.2 153.8 372.7 155.3L404.7 187.3C407.7 190.3 411.8 192 416 192C420.2 192 424.3 190.3 427.3 187.3C430.3 184.3 432 180.2 432 176C432 171.8 430.3 167.7 427.3 164.7L395.3 132.7C393.8 131.2 392.1 129.1 390.1 129.2C388.2 128.4 386.1 127.1 384 127.1C381.9 127.1 379.8 128.4 377.9 129.2C375.9 130 374.2 131.2 372.7 132.7C371.2 134.2 370 135.9 369.2 137.9zM369.2 233.9C368.4 235.8 367.1 237.9 367.1 240C367.1 242.1 368.4 244.2 369.2 246.1C370 248.1 371.2 249.8 372.7 251.3L404.7 283.3C407.7 286.3 411.8 288 416 288C420.2 288 424.3 286.3 427.3 283.3C430.3 280.3 432 276.2 432 272C432 267.8 430.3 263.7 427.3 260.7L395.3 228.7C393.8 227.2 392.1 225.1 390.1 225.2C388.2 224.4 386.1 223.1 384 223.1C381.9 223.1 379.8 224.4 377.9 225.2C375.9 226 374.2 227.2 372.7 228.7C371.2 230.2 370 231.9 369.2 233.9zM334.8 278.1C335.6 276.2 336 274.1 336 272C336 269.9 335.6 267.8 334.8 265.9C333.1 263.9 332.8 262.2 331.3 260.7C329.8 259.2 328.1 258 326.1 257.2C324.2 256.4 322.1 255.1 320 255.1C317.9 255.1 315.8 256.4 313.9 257.2C311.9 258 310.2 259.2 308.7 260.7L276.7 292.7C275.2 294.2 274 295.9 273.2 297.9C272.4 299.8 271.1 301.9 271.1 304C271.1 306.1 272.4 308.2 273.2 310.1C274 312.1 275.2 313.8 276.7 315.3C278.2 316.8 279.9 317.1 281.9 318.8C283.8 319.6 285.9 320 288 320C290.1 320 292.2 319.6 294.1 318.8C296.1 317.1 297.8 316.8 299.3 315.3L331.3 283.3C332.8 281.8 333.1 280.1 334.8 278.1zM241.2 105.9C240.4 107.8 239.1 109.9 239.1 112C239.1 114.1 240.4 116.2 241.2 118.1C242 120.1 243.2 121.8 244.7 123.3C246.2 124.8 247.9 125.1 249.9 126.8C251.8 127.6 253.9 128 256 128C258.1 128 260.2 127.6 262.1 126.8C264.1 125.1 265.8 124.8 267.3 123.3L283.3 107.3C286.3 104.3 288 100.2 288 96C288 91.75 286.3 87.68 283.3 84.67C280.3 81.67 276.2 79.98 272 79.98C267.8 79.98 263.7 81.67 260.7 84.67L244.7 100.7C243.2 102.2 242 103.9 241.2 105.9zM192 192C192 209.7 220.6 224 256 224C291.4 224 320 209.7 320 192C320 174.3 291.4 160 256 160C220.8 160 192 174.3 192 192zM190.8 294.1C191.6 292.2 192 290.1 192 288C192 285.9 191.6 283.8 190.8 281.9C190 279.9 188.8 278.2 187.3 276.7L155.3 244.7C152.3 241.7 148.2 239.1 144 239.1C139.8 239.1 135.7 241.7 132.7 244.7C129.7 247.7 127.1 251.8 127.1 256C127.1 260.2 129.7 264.3 132.7 267.3L164.7 299.3C166.2 300.8 167.9 302 169.9 302.8C171.8 303.6 173.9 304 176 304C178.1 304 180.2 303.6 182.1 302.8C184.1 302 185.8 300.8 187.3 299.3C188.8 297.8 190 296.1 190.8 294.1zM111.1 144C111.1 148.2 113.7 152.3 116.7 155.3C119.7 158.3 123.8 160 128 160C132.2 160 136.3 158.3 139.3 155.3L171.3 123.3C174.3 120.3 176 116.2 176 112C176 107.8 174.3 103.7 171.3 100.7C168.3 97.67 164.2 95.98 160 95.98C155.8 95.98 151.7 97.67 148.7 100.7L116.7 132.7C113.7 135.7 111.1 139.8 111.1 144zM52.69 196.7C49.69 199.7 48 203.8 48 208C48 212.2 49.69 216.3 52.69 219.3C55.69 222.3 59.76 224 64 224H96C100.2 224 104.3 222.3 107.3 219.3C110.3 216.3 112 212.2 112 208C112 203.8 110.3 199.7 107.3 196.7C104.3 193.7 100.2 192 96 192H64C59.76 192 55.69 193.7 52.69 196.7z"],
    "door-closed": [576, 512, [128682], "f52a", "M560 448H480V50.75C480 22.75 458.5 0 432 0h-288C117.5 0 96 22.75 96 50.75V448H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h544c8.875 0 16-7.125 16-16v-32C576 455.1 568.9 448 560 448zM384 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S401.6 288 384 288z"],
    "door-open": [576, 512, [], "f52b", "M560 448H512V113.5c0-27.25-21.5-49.5-48-49.5L352 64.01V128h96V512h112c8.875 0 16-7.125 16-15.1v-31.1C576 455.1 568.9 448 560 448zM280.3 1.007l-192 49.75C73.1 54.51 64 67.76 64 82.88V448H16c-8.875 0-16 7.125-16 15.1v31.1C0 504.9 7.125 512 16 512H320V33.13C320 11.63 300.5-4.243 280.3 1.007zM232 288c-13.25 0-24-14.37-24-31.1c0-17.62 10.75-31.1 24-31.1S256 238.4 256 256C256 273.6 245.3 288 232 288z"],
    "dove": [512, 512, [128330], "f4ba", "M288 167.2V139.1c-28.25-36.38-47.13-79.29-54.13-125.2C231.7 .4054 214.8-5.02 206.1 5.481C184.1 30.36 168.4 59.7 157.2 92.07C191.4 130.3 237.2 156.7 288 167.2zM400 63.97c-44.25 0-79.1 35.82-79.1 80.08l.0014 59.44c-104.4-6.251-193-70.46-233-161.7C81.48 29.25 63.76 28.58 58.01 40.83C41.38 75.96 32.01 115.2 32.01 156.6c0 70.76 34.11 136.9 85.11 185.9c13.12 12.75 26.13 23.27 38.88 32.77L12.12 411.2c-10.75 2.75-15.5 15.09-9.5 24.47c17.38 26.88 60.42 72.54 153.2 76.29c8 .25 15.99-2.633 22.12-7.883l65.23-56.12l76.84 .0561c88.38 0 160-71.49 160-159.9l.0013-160.2l31.1-63.99L400 63.97zM400 160.1c-8.75 0-16.01-7.259-16.01-16.01c0-8.876 7.261-16.05 16.01-16.05s15.99 7.136 15.99 16.01C416 152.8 408.8 160.1 400 160.1z"],
    "down": [384, 512, ["arrow-alt-down"], "f354", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-9.156-9.156-11.89-22.91-6.938-34.88C7.391 263.8 19.06 256 32 256h96V64c0-17.67 14.33-32 32-32h64c17.67 0 32 14.33 32 32v192h96c12.94 0 24.61 7.797 29.56 19.75C386.5 287.7 383.8 301.5 374.6 310.6z"],
    "down-from-dotted-line": [448, 512, [], "e407", "M64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM382 302.5C385.8 311.3 384 321.5 377.4 328.5L241.4 472.5C236.9 477.3 230.6 480 224 480C217.4 480 211.1 477.3 206.6 472.5L70.55 328.5C63.97 321.5 62.17 311.3 65.96 302.5C69.75 293.7 78.42 288 88 288H160V160C160 142.3 174.3 128 192 128H256C273.7 128 288 142.3 288 160V288H360C369.6 288 378.2 293.7 382 302.5V302.5zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64z"],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", "M328 288.2H256V160.1c0-17.69-14.33-32.04-32-32.04H160c-17.67 0-32 14.35-32 32.04v128.1H56c-9.578 0-18.25 5.709-22.05 14.51c-3.781 8.803-1.984 19.03 4.594 26l136 144.1c9.062 9.602 25.84 9.602 34.91 0l136-144.1c6.578-6.973 8.375-17.2 4.594-26C346.3 293.9 337.6 288.2 328 288.2zM351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z"],
    "down-left": [384, 512, [], "e16a", "M313.4 89.37l45.25 45.26c12.5 12.5 12.5 32.76 0 45.25l-129.6 129.6l67.88 67.88c9.148 9.148 11.89 22.92 6.938 34.87C298.9 424.2 287.2 432 274.3 432H47.1c-8.836 0-16.84-3.58-22.63-9.369c-5.789-5.791-9.371-13.79-9.371-22.63L16 173.7c0-12.95 7.789-24.61 19.75-29.57C47.71 139.2 61.48 141.1 70.62 151.1l67.88 67.88l129.6-129.6C280.6 76.87 300.9 76.88 313.4 89.37z"],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", "M215.1 272h-136c-12.94 0-24.63 7.797-29.56 19.75C45.47 303.7 48.22 317.5 57.37 326.6l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0013l78.06-78.07l30.06 30.06c6.125 6.125 14.31 9.367 22.63 9.367c4.125 0 8.279-.7891 12.25-2.43c11.97-4.953 19.75-16.62 19.75-29.56V296C239.1 282.7 229.3 272 215.1 272zM296 240h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.5 12.5-32.76 .0002-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-78.06 78.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C272 229.3 282.7 240 296 240z"],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", "M281.6 392.3l-104 112.1c-9.498 10.24-25.69 10.24-35.19 0l-104-112.1c-6.484-6.992-8.219-17.18-4.404-25.94c3.811-8.758 12.45-14.42 21.1-14.42H128V32c0-17.69 14.33-32 32-32S192 14.31 192 32v319.9h72c9.547 0 18.19 5.66 22 14.42C289.8 375.1 288.1 385.3 281.6 392.3z"],
    "down-right": [384, 512, [], "e16b", "M25.37 134.6l45.26-45.25c12.5-12.5 32.76-12.5 45.25 0l129.6 129.6l67.88-67.88c9.148-9.148 22.92-11.89 34.87-6.938C360.2 149.1 368 160.8 368 173.7l.0001 226.3c0 8.836-3.58 16.84-9.369 22.63C352.8 428.4 344.8 432 336 432H109.7c-12.95 0-24.61-7.789-29.57-19.75c-4.949-11.95-2.209-25.72 6.939-34.87l67.88-67.88L25.37 179.9C12.87 167.4 12.88 147.1 25.37 134.6z"],
    "down-to-bracket": [448, 512, [], "e4e7", "M206.5 344.7L70.55 200.6C63.97 193.7 62.17 183.4 65.95 174.6C69.75 165.8 78.42 160.1 88 160.1H160V32.02C160 14.33 174.3 0 192 0H256C273.7 0 288 14.33 288 32.02V160.1H360C369.6 160.1 378.2 165.8 382 174.6C385.8 183.4 384 193.7 377.5 200.6L241.5 344.7C232.4 354.3 215.6 354.3 206.5 344.7zM352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 319.1 32 319.1C49.67 319.1 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 319.1 416 319.1C433.7 319.1 448 334.3 448 352V416C448 469 405 512 352 512z"],
    "down-to-dotted-line": [448, 512, [], "e408", "M382 206.5C385.8 215.3 384 225.5 377.4 232.5L241.4 376.5C236.9 381.3 230.6 384 224 384C217.4 384 211.1 381.3 206.6 376.5L70.55 232.5C63.97 225.5 62.17 215.3 65.96 206.5C69.75 197.7 78.42 192 88 192H160V64C160 46.33 174.3 32 192 32H256C273.7 32 288 46.33 288 64V192H360C369.6 192 378.2 197.7 382 206.5V206.5zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", "M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416zM328 192.1L256 192.1V64.03c0-17.69-14.33-32.02-32-32.02H160c-17.67 0-32 14.34-32 32.02v128.1L56 192.1c-9.578 0-18.25 5.708-22.05 14.51C30.17 215.4 31.97 225.7 38.55 232.6l136 144.1c9.062 9.601 25.84 9.601 34.91 0l136-144.1c6.578-6.974 8.375-17.2 4.594-26C346.3 197.8 337.6 192.1 328 192.1z"],
    "download": [512, 512, [], "f019", "M480 352h-133.5l-45.25 45.25C289.2 409.3 273.1 416 256 416s-33.16-6.656-45.25-18.75L165.5 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456zM233.4 374.6C239.6 380.9 247.8 384 256 384s16.38-3.125 22.62-9.375l128-128c12.49-12.5 12.49-32.75 0-45.25c-12.5-12.5-32.76-12.5-45.25 0L288 274.8V32c0-17.67-14.33-32-32-32C238.3 0 224 14.33 224 32v242.8L150.6 201.4c-12.49-12.5-32.75-12.5-45.25 0c-12.49 12.5-12.49 32.75 0 45.25L233.4 374.6z"],
    "dragon": [640, 512, [128009], "f6d5", "M18.43 255.8L192 224L100.8 292.6C90.67 302.8 97.8 320 112 320h222.7c-9.499-26.5-14.75-54.5-14.75-83.38V194.2L200.3 106.8C176.5 90.88 145 92.75 123.3 111.2l-117.5 116.4C-6.562 238 2.436 258 18.43 255.8zM575.2 289.9l-100.7-50.25c-16.25-8.125-26.5-24.75-26.5-43V160h63.99l28.12 22.62C546.1 188.6 554.2 192 562.7 192h30.1c11.1 0 23.12-6.875 28.5-17.75l14.37-28.62c5.374-10.87 4.25-23.75-2.999-33.5l-74.49-99.37C552.1 4.75 543.5 0 533.5 0H296C288.9 0 285.4 8.625 290.4 13.62L351.1 64L292.4 88.75c-5.874 3-5.874 11.37 0 14.37L351.1 128l-.0011 108.6c0 72 35.99 139.4 95.99 179.4c-195.6 6.75-344.4 41-434.1 60.88c-8.124 1.75-13.87 9-13.87 17.38C.0463 504 8.045 512 17.79 512h499.1c63.24 0 119.6-47.5 122.1-110.8C642.3 354 617.1 310.9 575.2 289.9zM489.1 66.25l45.74 11.38c-2.75 11-12.5 18.88-24.12 18.25C497.7 95.25 484.8 83.38 489.1 66.25z"],
    "draw-circle": [512, 512, [], "f5ed", "M512 256C512 282.8 495.5 305.8 472.1 315.3C451.2 391.4 391.4 451.2 315.3 472.1C305.8 495.5 282.8 512 256 512C229.2 512 206.2 495.5 196.7 472.1C120.6 451.2 60.77 391.4 39.94 315.3C16.52 305.8 0 282.8 0 256C0 229.2 16.52 206.2 39.94 196.7C60.77 120.6 120.6 60.77 196.7 39.94C206.2 16.52 229.2 0 256 0C282.8 0 305.8 16.52 315.3 39.94C391.4 60.77 451.2 120.6 472.1 196.7C495.5 206.2 512 229.2 512 256zM408 206C392.2 157.9 354.1 119.8 305.1 103.1C294.3 118.6 276.2 127.1 255.1 127.1C235.8 127.1 217.7 118.6 206 103.1C157.9 119.8 119.8 157.9 103.1 206C118.6 217.7 127.1 235.8 127.1 256C127.1 276.2 118.6 294.3 103.1 305.1C119.8 354.1 157.9 392.2 206 408C217.7 393.4 235.8 384 255.1 384C276.2 384 294.3 393.4 305.1 408C354.1 392.2 392.2 354.1 408 305.1C393.4 294.3 384 276.2 384 256C384 235.8 393.4 217.7 408 206V206z"],
    "draw-polygon": [448, 512, [], "f5ee", "M384.3 352C419.5 352.2 448 380.7 448 416C448 451.3 419.3 480 384 480C360.3 480 339.6 467.1 328.6 448H119.4C108.4 467.1 87.69 480 64 480C28.65 480 0 451.3 0 416C0 392.3 12.87 371.6 32 360.6V151.4C12.87 140.4 0 119.7 0 96C0 60.65 28.65 32 64 32C87.69 32 108.4 44.87 119.4 64H328.6C339.6 44.87 360.3 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.5 159.8 384.3 159.1L345.5 227.9C349.7 236.4 352 245.9 352 256C352 266.1 349.7 275.6 345.5 284.1L384.3 352zM96 360.6C105.7 366.2 113.8 374.3 119.4 384H328.6C328.6 383.9 328.7 383.8 328.7 383.7L292.2 319.9C290.8 319.1 289.4 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C289.4 192 290.8 192 292.2 192.1L328.7 128.3L328.6 128H119.4C113.8 137.7 105.7 145.8 96 151.4L96 360.6z"],
    "draw-square": [448, 512, [], "f5ef", "M119.4 448C108.4 467.1 87.69 480 64 480C28.65 480 0 451.3 0 416C0 392.3 12.87 371.6 32 360.6V151.4C12.87 140.4 0 119.7 0 96C0 60.65 28.65 32 64 32C87.69 32 108.4 44.87 119.4 64H328.6C339.6 44.87 360.3 32 384 32C419.3 32 448 60.65 448 96C448 119.7 435.1 140.4 416 151.4V360.6C435.1 371.6 448 392.3 448 416C448 451.3 419.3 480 384 480C360.3 480 339.6 467.1 328.6 448H119.4zM96 360.6C105.7 366.2 113.8 374.3 119.4 384H328.6C334.2 374.3 342.3 366.2 352 360.6V151.4C342.3 145.8 334.2 137.7 328.6 128H119.4C113.8 137.7 105.7 145.8 96 151.4V360.6z"],
    "dreidel": [448, 512, [], "f792", "M19.62 223.1C7.001 236.5 0 253.5 0 271.3v141.9C0 450.1 29.87 480 66.87 480h141.9c17.62 0 34.64-6.1 47.26-19.63l58.9-58.85L78.53 165.1L19.62 223.1zM448 64c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375l-104.3 104.3L217.2 73.71c-6.561-6.5-15.12-9.737-23.68-9.737c-8.553 0-17.09 3.237-23.65 9.737l-68.63 68.74l236.4 236.4l68.63-68.63c6.562-6.564 9.813-15.13 9.813-23.69c0-8.562-3.25-17.13-9.813-23.69l-71.9-71.94l104.3-104.3C444.9 80.38 448 72.19 448 64z"],
    "drone": [512, 512, [], "f85f", "M171.6 88.73C162.3 64.89 139.1 48 112 48C76.65 48 48 76.65 48 112C48 139.1 64.89 162.3 88.73 171.6L127.2 222.1C122.2 223.7 117.2 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 .0003 112 .0003C173.9 .0003 224 50.14 224 112C224 117.2 223.7 122.3 222.1 127.2L171.6 88.73zM213.3 160H298.7L368.3 107.8C370.3 92.11 383.8 80 400 80C417.7 80 432 94.33 432 112C432 128.2 419.9 141.7 404.2 143.7L352 213.3V298.7L404.2 368.3C419.9 370.3 432 383.8 432 400C432 417.7 417.7 432 400 432C383.8 432 370.3 419.9 368.3 404.2L298.7 352H213.3L143.7 404.2C141.7 419.9 128.2 432 112 432C94.33 432 80 417.7 80 400C80 383.8 92.11 370.3 107.8 368.3L160 298.7V213.3L107.8 143.7C92.11 141.7 80 128.2 80 112C80 94.33 94.33 80 112 80C128.2 80 141.7 92.11 143.7 107.8L213.3 160zM112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C117.2 288 122.2 288.3 127.2 289L88.73 340.4C64.89 349.7 48 372.9 48 400C48 435.3 76.65 464 112 464C139.1 464 162.3 447.1 171.6 423.3L222.1 384.8C223.7 389.8 224 394.8 224 400C224 461.9 173.9 512 112 512L112 512zM289 127.2C288.3 122.2 288 117.2 288 112C288 50.14 338.1 0 400 0C461.9 0 512 50.14 512 112C512 173.9 461.9 224 400 224C394.8 224 389.8 223.7 384.8 222.1L423.3 171.6C447.1 162.3 464 139.1 464 111.1C464 76.65 435.3 47.1 400 47.1C372.9 47.1 349.7 64.89 340.4 88.73L289 127.2zM288 400C288 394.8 288.3 389.8 289 384.8L340.4 423.3C349.7 447.1 372.9 464 400 464C435.3 464 464 435.3 464 400C464 372.9 447.1 349.7 423.3 340.4L384.8 289C389.8 288.3 394.8 287.1 400 287.1C461.9 287.1 512 338.1 512 400C512 461.9 461.9 512 400 512C338.1 512 288 461.9 288 400L288 400z"],
    "drone-front": [640, 512, ["drone-alt"], "f860", "M264 112C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H24C10.75 160 0 149.3 0 136C0 122.7 10.75 112 24 112H100.3C105.8 102.4 116.2 96 128 96C139.8 96 150.2 102.4 155.7 112H264zM376 112H484.3C489.8 102.4 500.2 96 512 96C523.8 96 534.2 102.4 539.7 112H616C629.3 112 640 122.7 640 136C640 149.3 629.3 160 616 160H376C362.7 160 352 149.3 352 136C352 122.7 362.7 112 376 112zM160 192V235.2L177.8 243.1L218.4 219.5C249.3 201.5 284.3 192 320 192C355.7 192 390.7 201.5 421.6 219.5L462.2 243.1L480 235.2V192H544V256C544 268.6 536.6 280.1 524.1 285.2L468.5 310.3C486.3 331.8 496 358.9 496 386.8V392C496 405.3 485.3 416 472 416C458.7 416 448 405.3 448 392V386.8C448 369.9 442.1 353.6 431.3 340.7L422.9 330.6L380.1 349.2C376.9 351.1 372.5 352 368 352H272C267.5 352 263.1 351.1 259 349.2L217.1 330.6L208.7 340.7C197.9 353.6 192 369.9 192 386.8V392C192 405.3 181.3 416 168 416C154.7 416 144 405.3 144 392V386.8C144 358.9 153.7 331.8 171.5 310.3L115 285.2C103.4 280.1 96 268.6 96 256V192H160z"],
    "droplet": [384, 512, [128167, "tint"], "f043", "M16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1zM112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 381.9 130.1 432 192 432C200.8 432 208 424.8 208 416C208 407.2 200.8 400 192 400C147.8 400 112 364.2 112 319.1z"],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", "M133.4 51.36c-42.5 137.9-133.4 175.5-133.4 272.8C.0003 410.2 71.56 480 159.1 480s159.1-69.78 159.1-155.9c0-97.78-90.73-134.1-133.4-272.8C179.4 26.1 141.6 25 133.4 51.36zM368 32c-44.06 0-79.1 35.94-79.1 80S323.9 192 368 192s79.1-35.94 79.1-80S412.1 32 368 32zM368 144c-17.75 0-31.1-14.25-31.1-32s14.25-32 31.1-32c17.75 0 31.1 14.25 31.1 32S385.8 144 368 144z"],
    "droplet-percent": [320, 512, ["humidity"], "f750", "M186.6 51.36c-7.188-25.27-45-26.36-53.13 0C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z"],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", "M215.3 143.4C243.5 95.07 274.2 49.29 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3C393.7 89.43 496 245.9 496 319.1C496 333.7 494.4 347.1 491.5 359.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L215.3 143.4zM143.1 319.1C143.1 296.5 154.3 264.6 169.1 229.9L443.5 445.4C411.7 476.7 368.1 496 319.1 496C222.8 496 143.1 417.2 143.1 319.1V319.1zM239.1 319.1C239.1 311.2 232.8 303.1 223.1 303.1C215.2 303.1 207.1 311.2 207.1 319.1C207.1 381.9 258.1 432 319.1 432C328.8 432 336 424.8 336 416C336 407.2 328.8 400 319.1 400C275.8 400 239.1 364.2 239.1 319.1V319.1z"],
    "drum": [512, 512, [129345], "f569", "M431.1 122l70.02-45.91c11.09-7.273 14.19-22.14 6.906-33.25c-7.219-11.07-22.09-14.23-33.22-6.924l-106.4 69.73c-49.81-8.787-97.18-9.669-112.4-9.669c-.002 0 .002 0 0 0C219.5 96 0 100.6 0 208.3v160.1c0 30.27 27.5 57.68 71.1 77.85v-101.9c0-13.27 10.75-24.03 24-24.03s23.1 10.76 23.1 24.03v118.9C153 472.4 191.1 478.3 231.1 480v-103.6c0-13.27 10.75-24.03 24-24.03c.002 0-.002 0 0 0c13.25 0 24 10.76 24 24.03V480c40.93-1.668 78.95-7.615 111.1-16.72v-118.9c0-13.27 10.75-24.03 24-24.03s24 10.76 24 24.03v101.9c44.49-20.17 71.1-47.58 71.1-77.85V208.3C511.1 164.9 476.1 138.4 431.1 122zM255.1 272.5C255.1 272.5 255.1 272.5 255.1 272.5c-114.9 0-207.1-28.97-207.1-64.39s93.12-63.1 207.1-63.1c.002 0-.002 0 0 0c17.5 0 34.47 .7139 50.71 1.966L242.8 187.1c-11.09 7.273-14.19 22.14-6.906 33.25C240.5 228.3 248.2 232.1 256 232.1c4.5 0 9.062-1.265 13.12-3.923l109.3-71.67c51.77 11.65 85.5 30.38 85.5 51.67C463.1 243.6 370.9 272.5 255.1 272.5z"],
    "drum-steelpan": [576, 512, [], "f56a", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM205 190.4c-4.5 16.62-14.5 30.5-28.25 40.5C100.2 217.5 48 190.8 48 160c0-30.12 50.12-56.38 124-69.1l25.62 44.25C207.5 151.4 210.1 171.2 205 190.4zM288 240c-21.12 0-41.38-.1-60.88-2.75C235.1 211.1 259.2 192 288 192s52.88 19.12 60.88 45.25C329.4 239 309.1 240 288 240zM352 96c0 35.25-28.75 64-64 64S224 131.2 224 96V83C244.4 81.12 265.8 80 288 80s43.63 1.125 64 3V96zM398.9 230.9c-13.75-9.875-23.88-23.88-28.38-40.5c-5.125-19.13-2.5-39 7.375-56l25.62-44.5C477.8 103.5 528 129.8 528 160C528 190.9 475.6 217.5 398.9 230.9z"],
    "drumstick": [512, 512, [127831], "f6d6", "M511.1 169.2c0 43.27-16.51 86.6-49.49 119.6c-35.49 35.5-78.45 63.12-142.4 63.12L234.2 351.1l-40.48 40.58c-6.102 6.103-8.917 13.98-8.917 22.14c0 13.69 7.243 18.23 7.243 37.02c0 33.68-27.44 60.3-60.36 60.3c-15.58 0-31.04-6.024-42.7-17.69c-11.49-11.58-16.81-26.41-16.81-41.42c0-4.914 .5723-9.865 1.682-14.71c-4.84 1.11-9.793 1.683-14.72 1.683c-42.25 0-59.13-36.72-59.13-59.58c0-11.46 3.27-22.98 9.99-33.09c11.42-17.41 30.52-27.19 50.32-27.19c18.99 0 23.06 7.244 37.06 7.244c8.182 0 16.09-2.815 22.11-8.918l40.56-40.48l.0502-85.9c0-63.1 27.61-107 63.1-142.4c33.06-33.06 76.3-49.57 119.6-49.57s86.62 16.53 119.6 49.59C495.5 82.6 511.1 125.9 511.1 169.2z"],
    "drumstick-bite": [512, 512, [], "f6d7", "M512 168.9c0 1.766-.0229 3.398-.0768 5.164c-16.91-9.132-35.51-13.76-53.96-13.76c-82.65 0-105.5 74.17-105.5 105.4c0 27.04 9.923 54.43 29.63 76.25c-19.52 6.629-39.99 9.997-60.62 9.997l-87.18 .0038l-40.59 40.49c-6.104 6.103-8.921 14.01-8.921 22.17c0 13.98 7.244 17.1 7.244 37.03C192.1 485.4 164.6 512 131.7 512c-15.63 0-31.11-6.055-42.72-17.8c-11.55-11.46-16.82-26.31-16.82-41.26c0-4.948 .575-9.903 1.695-14.75c-4.842 1.11-9.793 1.681-14.72 1.681c-42.15 0-59.13-36.64-59.13-59.5c0-33.43 27.15-60.34 60.39-60.34c18.97 0 22.97 7.219 36.96 7.219c8.159 0 16.04-2.811 22.14-8.914l40.57-40.47L160.1 191.1c0-63.1 27.79-107 63.17-142.4c33.13-33.06 76.39-49.59 119.7-49.59s86.79 16.53 119.9 49.59C495.9 82.5 512 125.7 512 168.9z"],
    "dryer": [448, 512, [], "f861", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144C80.01 224.5 144.5 160 224 160c79.5 0 143.1 64.5 143.1 144C367.1 383.5 303.5 448 224 448zM224 192C167.6 192 121.5 233.8 113.6 288H184C188.4 288 192 291.6 192 296v16C192 316.4 188.4 320 184 320H113.6C121.5 374.2 167.6 416 224 416c61.83 0 111.1-50.17 111.1-112C335.1 242.2 285.8 192 224 192z"],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.2 64 208 74.75 208 88S197.2 112 184 112S160 101.2 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.2 112 88 112S64 101.2 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448zM216 272c0-22.62-12-34.62-20.75-43.38C189.5 222.9 186.1 219.2 184.8 214C183.9 210.5 180.6 208 177 208H160.8C158.4 208 156 209.1 154.5 210.9C153 212.8 152.2 215.1 152.8 217.5c2.75 16.62 12.5 26.38 19.87 33.88C180.5 259.1 184 263 184 272S180.5 284.9 172.8 292.8C164 301.5 152 313.4 152 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C184.1 397.5 187.4 400 191 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.625-1.875 2.25-4.25 1.875-6.625c-2.875-16.62-12.62-26.38-20-33.75C187.5 348.9 184 345 184 336c0-8.875 3.5-12.75 11.25-20.62C204 306.6 216 294.6 216 272zM296 272c0-22.62-12-34.62-20.75-43.38C269.5 222.9 266.1 219.2 264.8 214C263.9 210.5 260.6 208 257 208h-16.25C238.4 208 236 209.1 234.5 210.9C233 212.8 232.2 215.1 232.8 217.5c2.75 16.62 12.5 26.38 19.88 33.88C260.5 259.1 264 263 264 272s-3.5 12.87-11.25 20.75C244 301.5 232 313.4 232 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C264.1 397.5 267.4 400 271 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.5-1.875 2.125-4.25 1.75-6.625c-2.75-16.62-12.5-26.38-19.88-33.75C267.5 348.9 264 345 264 336c0-8.875 3.5-12.75 11.25-20.62C284 306.6 296 294.6 296 272z"],
    "duck": [512, 512, [129414], "f6d8", "M400.7 223.1C400.3 223.1 400 224.3 400 224.7V248.7C400 255.3 402.8 261.5 407.2 266.4C427.6 289.1 440 319.1 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 392.2 0 283.1V278.6C0 266.1 10.13 255.1 22.63 255.1C28.63 255.1 34.38 258.4 38.63 262.6L54.01 278C60.18 284.2 69.2 286.5 77.58 284.1L250.4 234.8C260.7 231.8 266.1 220.3 258.1 213C237.2 193.1 224 166.5 224 136C224 78.56 270.6 32 328 32C381.8 32 426.1 72.91 431.5 125.3C431.5 125.7 431.8 125.1 432.1 126C442.7 127.3 453.3 127.3 463.9 126L499.2 121.6C505.1 120.8 512 126 512 132.9C512 183.2 471.2 224 420.9 224L400.7 223.1zM344 111.1C330.7 111.1 320 122.7 320 135.1C320 149.3 330.7 159.1 344 159.1C357.3 159.1 368 149.3 368 135.1C368 122.7 357.3 111.1 344 111.1zM340.6 296.9C341.1 288.1 334.3 280.5 325.5 280C316.7 279.5 309.1 286.2 308.6 295.1C306.2 336.3 276 374.1 231.3 385.2C190.1 395.3 150.9 380.6 127.7 351.7C122.1 344.8 112 343.7 105.2 349.3C98.27 354.8 97.16 364.9 102.7 371.7C133.8 410.5 186.7 429.3 239.1 416.3C297 401.8 337.3 352.5 340.6 296.9H340.6z"],
    "dumbbell": [640, 512, [], "f44b", "M104 96h-48C42.75 96 32 106.8 32 120V224C14.33 224 0 238.3 0 256c0 17.67 14.33 32 31.1 32L32 392C32 405.3 42.75 416 56 416h48C117.3 416 128 405.3 128 392v-272C128 106.8 117.3 96 104 96zM456 32h-48C394.8 32 384 42.75 384 56V224H256V56C256 42.75 245.3 32 232 32h-48C170.8 32 160 42.75 160 56v400C160 469.3 170.8 480 184 480h48C245.3 480 256 469.3 256 456V288h128v168c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V56C480 42.75 469.3 32 456 32zM608 224V120C608 106.8 597.3 96 584 96h-48C522.8 96 512 106.8 512 120v272c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V288c17.67 0 32-14.33 32-32C640 238.3 625.7 224 608 224z"],
    "dumpster": [576, 512, [], "f793", "M560 160c10.38 0 17.1-9.75 15.5-19.88l-24-95.1C549.8 37 543.3 32 536 32h-98.88l25.62 128H560zM272 32H171.5L145.9 160H272V32zM404.5 32H304v128h126.1L404.5 32zM16 160h97.25l25.63-128H40C32.75 32 26.25 37 24.5 44.12l-24 95.1C-2.001 150.2 5.625 160 16 160zM560 224h-20L544 192H32l4 32H16C7.25 224 0 231.2 0 240v32C0 280.8 7.25 288 16 288h28L64 448v16C64 472.8 71.25 480 80 480h32C120.8 480 128 472.8 128 464V448h320v16c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V448l20-160H560C568.8 288 576 280.8 576 272v-32C576 231.2 568.8 224 560 224z"],
    "dumpster-fire": [640, 512, [], "f794", "M418.8 104.2L404.6 32H304.1L304 159.1h60.77C381.1 140.7 399.1 121.8 418.8 104.2zM272.1 32.12H171.5L145.9 160.1h126.1L272.1 32.12zM461.3 104.2c18.25 16.25 35.51 33.62 51.14 51.49c5.751-5.623 11.38-11.12 17.38-16.37l21.26-18.98l21.25 18.98c1.125 .9997 2.125 2.124 3.126 3.124c-.125-.7498 .2501-1.5 0-2.249l-24-95.97c-1.625-7.123-8.127-12.12-15.38-12.12H437.2l12.25 61.5L461.3 104.2zM16 160.1l97.26-.0223l25.64-127.9h-98.89c-7.251 0-13.75 4.999-15.5 12.12L.5001 140.2C-2.001 150.3 5.626 160.1 16 160.1zM340.6 192.1L32.01 192.1l4.001 31.99L16 224.1C7.252 224.1 0 231.3 0 240.1V272c0 8.748 7.251 15.1 16 15.1l28.01 .0177l20 159.1L64.01 464C64.01 472.8 71.26 480 80.01 480h32.01c8.752 0 16-7.248 16-15.1v-15.1l208.8-.002c-30.13-33.74-48.73-77.85-48.73-126.3C288.1 285.8 307.9 238.8 340.6 192.1zM551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.74-43.63-51.99-71.01-76.36c-70.14 62.73-120 144.2-120 193.6C319.1 409.1 391.6 480 479.1 480s160-70.87 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM532.6 392.6c-14.75 10.62-32.88 16.1-52.51 16.1c-49.01 0-88.89-33.49-88.89-87.98c0-27.12 16.5-50.99 49.38-91.85c4.751 5.498 67.14 87.98 67.14 87.98l39.76-46.99c2.876 4.874 5.375 9.497 7.75 13.1C573.9 321.5 565.1 368.4 532.6 392.6z"],
    "dungeon": [512, 512, [], "f6d9", "M336.6 156.5C327.3 148.1 322.6 136.5 327.1 125.3L357.6 49.18C362.7 36.27 377.8 30.36 389.7 37.63C410.9 50.63 430 66.62 446.5 85.02C455.7 95.21 452.9 110.9 441.5 118.5L373.9 163.5C363.6 170.4 349.8 168.1 340.5 159.9C339.2 158.7 337.9 157.6 336.6 156.5H336.6zM297.7 112.6C293.2 123.1 280.9 129.8 268.7 128.6C264.6 128.2 260.3 128 256 128C251.7 128 247.4 128.2 243.3 128.6C231.1 129.8 218.8 123.1 214.3 112.6L183.1 36.82C178.8 24.02 185.5 9.433 198.1 6.374C217.3 2.203 236.4 0 256 0C275.6 0 294.7 2.203 313 6.374C326.5 9.433 333.2 24.02 328 36.82L297.7 112.6zM122.3 37.63C134.2 30.36 149.3 36.27 154.4 49.18L184.9 125.3C189.4 136.5 184.7 148.1 175.4 156.5C174.1 157.6 172.8 158.7 171.5 159.9C162.2 168.1 148.4 170.4 138.1 163.5L70.52 118.5C59.13 110.9 56.32 95.21 65.46 85.02C81.99 66.62 101.1 50.63 122.3 37.63H122.3zM379.5 222.1C376.3 210.7 379.7 198.1 389.5 191.6L458.1 145.8C469.7 138.1 485.6 141.9 491.2 154.7C501.6 178.8 508.4 204.8 510.9 232C512.1 245.2 501.3 255.1 488 255.1H408C394.7 255.1 384.2 245.2 381.8 232.1C381.1 228.7 380.4 225.4 379.5 222.1V222.1zM122.5 191.6C132.3 198.1 135.7 210.7 132.5 222.1C131.6 225.4 130.9 228.7 130.2 232.1C127.8 245.2 117.3 256 104 256H24C10.75 256-.1184 245.2 1.107 232C3.636 204.8 10.43 178.8 20.82 154.7C26.36 141.9 42.26 138.1 53.91 145.8L122.5 191.6zM104 288C117.3 288 128 298.7 128 312V360C128 373.3 117.3 384 104 384H24C10.75 384 0 373.3 0 360V312C0 298.7 10.75 288 24 288H104zM488 288C501.3 288 512 298.7 512 312V360C512 373.3 501.3 384 488 384H408C394.7 384 384 373.3 384 360V312C384 298.7 394.7 288 408 288H488zM104 416C117.3 416 128 426.7 128 440V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V440C0 426.7 10.75 416 24 416H104zM488 416C501.3 416 512 426.7 512 440V488C512 501.3 501.3 512 488 512H408C394.7 512 384 501.3 384 488V440C384 426.7 394.7 416 408 416H488zM272 464C272 472.8 264.8 480 256 480C247.2 480 240 472.8 240 464V192C240 183.2 247.2 176 256 176C264.8 176 272 183.2 272 192V464zM208 464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V224C176 215.2 183.2 208 192 208C200.8 208 208 215.2 208 224V464zM336 464C336 472.8 328.8 480 320 480C311.2 480 304 472.8 304 464V224C304 215.2 311.2 208 320 208C328.8 208 336 215.2 336 224V464z"],
    "e": [320, 512, [101], "45", "M320 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256c17.67 0 32 14.33 32 32s-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.99s-14.33 32.01-32 32.01H64v128h224C305.7 416 320 430.3 320 448z"],
    "ear": [384, 512, [128066], "f5f0", "M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM280 208C266.8 208 256 197.2 256 184C256 153.1 230.9 128 200 128h-16C153.1 128 128 153.1 128 184v31.72l13.92 5.576c18.73 7.477 31.67 23.86 34.6 43.82c2.955 19.92-4.672 39.33-20.4 51.92l-37.15 29.71C114.6 350.2 109.5 352 104.2 352c-7.287 0-14.35-3.367-18.92-9.035C77 332.6 78.68 317.5 89 309.2l37.12-29.69c3.24-2.592 3.119-6.051 2.916-7.418C128.8 270.7 127.1 267.4 124.1 265.8L95.12 254.3C85.93 250.6 80 241.9 80 231.1V184c0-57.35 46.65-104 104-104h16c57.35 0 104 46.65 104 104C304 197.2 293.2 208 280 208z"],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", "M192 319.1C185.8 313.7 177.6 310.6 169.4 310.6S153 313.7 146.8 319.1l-137.4 137.4C3.124 463.6 0 471.8 0 480c0 18.3 14.96 31.1 31.1 31.1c8.188 0 16.38-3.124 22.62-9.371l137.4-137.4c6.247-6.247 9.371-14.44 9.371-22.62S198.3 326.2 192 319.1zM200 240c0-22.06 17.94-40 40-40s40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240zM511.1 31.1c0-8.188-3.124-16.38-9.371-22.62s-14.44-9.372-22.63-9.372s-16.38 3.124-22.62 9.372L416 50.75c-6.248 6.248-9.372 14.44-9.372 22.63c0 8.188 3.123 16.38 9.37 22.62c6.247 6.248 14.44 9.372 22.63 9.372s16.38-3.124 22.63-9.372l41.38-41.38C508.9 48.37 511.1 40.18 511.1 31.1zM415.1 241.6c0-57.78-42.91-177.6-175.1-177.6c-153.6 0-175.2 150.8-175.2 160.4c0 17.32 14.99 31.58 32.75 31.58c16.61 0 29.25-13.07 31.24-29.55c6.711-55.39 54.02-98.45 111.2-98.45c80.45 0 111.2 75.56 111.2 119.6c0 57.94-38.22 98.14-46.37 106.3L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 17.95 14.72 32.09 32.03 32.09c4.805 0 100.5-14.34 111.2-112.7C412.6 335.8 415.1 263.4 415.1 241.6z"],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", "M160.1 320c-17.64 0-32.02 14.37-32.02 31.1s14.38 31.1 32.02 31.1s32.02-14.37 32.02-31.1S177.8 320 160.1 320zM86.66 361.4c-12.51-12.49-32.77-12.49-45.27 0c-12.51 12.5-12.51 32.78 0 45.27l63.96 63.99c12.51 12.49 32.77 12.49 45.27 .002c12.51-12.5 12.51-32.78 0-45.27L86.66 361.4zM32.02 448C14.38 448 0 462.4 0 480S14.38 512 32.02 512c17.64 0 32.02-14.37 32.02-31.1S49.66 448 32.02 448zM287.7 70.31c-110.9-29.38-211.7 47.53-222.8 150.9C62.1 239.9 78.73 255.1 97.57 255.1c16.61 0 29.25-13.07 31.24-29.55c6.934-57.22 57.21-101.3 116.9-98.3c71.71 3.594 117.1 76.82 102.5 146.9c-6.551 29.65-21.4 56.87-43.38 78.87L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 19.78 17.88 34.94 37.38 31.64c55.92-9.443 99.63-55.28 105.9-112.2c40.11-40.68 62.89-93.95 64.65-150.9C418.4 166.4 365.8 91 287.7 70.31zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200zM397.8 3.125c-15.91-7.594-35.05-.8438-42.66 15.09c-7.594 15.97-.8281 35.06 15.12 42.66C417.5 83.41 448 134.9 448 192c0 17.69 14.33 32 32 32S512 209.7 512 192C512 110.3 467.2 36.19 397.8 3.125z"],
    "ear-muffs": [640, 512, [], "f795", "M151.1 224C140.1 224 129.7 229.4 122.3 237.8c-10.63-7-23.75-9.375-36.38-4.5C74.21 238.1 65.71 248 62.21 259.5C50.46 259.3 38.84 264.3 30.59 273.9C22.59 283.8 19.96 296 22.21 307.5c-10.13 5.125-18.44 14.86-20.94 26.98c-3 12.25 .1888 23.89 7.314 33.27c-7 9-10.15 20.91-7.649 33.16c2.875 12.25 10.77 21.84 21.27 27.34c-2.5 11.12 0 23.62 8 33.25c8 9.875 19.88 14.75 31.75 14.75c3.25 11.5 11.5 21 23.38 26.12c5.125 1.875 9.875 2.875 15 2.875c7.875 0 15.63-2.375 22.13-6.75C129.7 506.8 140.2 512 151.1 512c22.13 0 40-17.88 40-40c0-9.999-4-18.88-10.13-25.88c6.125-7 10.13-15.88 10.13-25.88S188.5 401 182.3 394C188.5 387 191.1 377.9 191.1 368.1c0-9.875-3.51-18.81-9.635-25.81c6.125-7 9.625-16 9.625-26c0-10.12-4.125-19-10.25-26c6.125-7 10.25-16 10.25-26C191.1 241.9 174.1 224 151.1 224zM639 335.1c-2.875-12.25-10.81-21.84-21.31-26.97c2.5-11.5 0-24-8-33.63c-8-9.875-19.88-14.75-31.75-14.75c-3.25-11.5-11.5-21.38-23.38-26.12c-12.75-5-26.13-2.5-36.88 4.5C510.5 229.8 499.1 224 487.8 224c-22.13 0-40 17.88-40 40c0 10.12 4.125 19 10.25 26c-6.125 6.999-10.25 15.87-10.25 26.12c0 9.876 3.5 18.88 9.625 25.88c-6.125 6.999-9.541 16.06-9.541 25.94c0 9.875 3.416 18.81 9.541 25.81c-6.125 7-9.625 16-9.625 26c0 10.12 4.125 19 10.25 26c-6.125 7-10.25 16-10.25 26c0 22.12 17.88 40 40 40c11.75 0 22-5.125 29.38-13.12c6.5 4.125 14 6.5 22 6.5c4.75 0 9.875-.625 14.63-2.875c11.88-4.5 20.25-14.5 23.38-26c11.88 .375 23.75-4.75 32-14.38c8-9.875 10.63-22.12 8.375-33.63c10.13-5 18.1-14.61 21.1-26.86c2.875-12.12-.3457-24.26-7.471-33.26C638.5 359.4 641.7 347.3 639 335.1zM487.8 192c12.26 0 24.23 3.279 34.84 9.336c5.924-1.545 11.99-2.336 18.08-2.336c.6016 0 1.188 .1523 1.789 .168C530.2 87.15 435.3 0 320 0C204.8 0 109.1 87.01 97.49 198.9c.7188-.0215 1.422-.1973 2.143-.1973c6.024 0 12.01 .7773 17.86 2.297C127.9 195.1 139.7 192 151.1 192c3.82 0 7.496 .5547 11.16 1.133C177.6 119.6 242.3 64 320 64c77.65 0 142.4 55.63 156.9 129.1C480.5 192.6 484.1 192 487.8 192z"],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM177.8 63.19L187.8 80.62C190.5 85.46 192 90.93 192 96.5V137.9C192 141.8 193.6 145.6 196.3 148.3C202.6 154.6 212.8 153.1 218.3 147.1L231.9 130.1C236.6 124.2 244.8 122.4 251.6 125.8L266.8 133.4C270.2 135.1 273.1 136 277.8 136C284.3 136 290.6 133.4 295.2 128.8L299.1 124.9C302 121.1 306.5 121.2 310.1 123.1L339.4 137.7C347.1 141.6 352 149.5 352 158.1C352 168.6 344.9 177.8 334.7 180.3L299.3 189.2C291.9 191 284.2 190.7 276.1 188.3L244.1 177.7C241.7 176.6 238.2 176 234.8 176C227.8 176 220.1 178.3 215.4 182.5L176 212C165.9 219.6 160 231.4 160 244V272C160 298.5 181.5 320 208 320H240C248.8 320 256 327.2 256 336V384C256 401.7 270.3 416 288 416C298.1 416 307.6 411.3 313.6 403.2L339.2 369.1C347.5 357.1 352 344.5 352 330.7V318.6C352 314.7 354.6 311.3 358.4 310.4L363.7 309.1C375.6 306.1 384 295.4 384 283.1C384 275.1 381.2 269.2 376.2 264.2L342.7 230.7C338.1 226.1 338.1 221 342.7 217.3C348.4 211.6 356.8 209.6 364.5 212.2L378.6 216.9C390.9 220.1 404.3 215.4 410.1 203.8C413.6 196.8 421.3 193.1 428.1 194.6L456.4 200.1C431.1 112.4 351.5 48 256 48C228.3 48 201.1 53.4 177.8 63.19L177.8 63.19z"],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM57.71 192.1L67.07 209.4C75.36 223.9 88.99 234.6 105.1 239.2L162.1 255.7C180.2 260.6 192 276.3 192 294.2V334.1C192 345.1 198.2 355.1 208 359.1C217.8 364.9 224 374.9 224 385.9V424.9C224 440.5 238.9 451.7 253.9 447.4C270.1 442.8 282.5 429.1 286.6 413.7L289.4 402.5C293.6 385.6 304.6 371.1 319.7 362.4L327.8 357.8C342.8 349.3 352 333.4 352 316.1V307.9C352 295.1 346.9 282.9 337.9 273.9L334.1 270.1C325.1 261.1 312.8 255.1 300.1 255.1H256.1C245.9 255.1 234.9 253.1 225.2 247.6L190.7 227.8C186.4 225.4 183.1 221.4 181.6 216.7C178.4 207.1 182.7 196.7 191.7 192.1L197.7 189.2C204.3 185.9 211.9 185.3 218.1 187.7L242.2 195.4C250.3 198.1 259.3 195 264.1 187.9C268.8 180.8 268.3 171.5 262.9 165L249.3 148.8C239.3 136.8 239.4 119.3 249.6 107.5L265.3 89.12C274.1 78.85 275.5 64.16 268.8 52.42L266.4 48.26C262.1 48.09 259.5 48 256 48C163.1 48 84.4 108.9 57.71 192.1L57.71 192.1zM437.6 154.5L412 164.8C396.3 171.1 388.2 188.5 393.5 204.6L410.4 255.3C413.9 265.7 422.4 273.6 433 276.3L462.2 283.5C463.4 274.5 464 265.3 464 256C464 219.2 454.4 184.6 437.6 154.5H437.6z"],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM51.68 295.1L83.41 301.5C91.27 303.1 99.41 300.6 105.1 294.9L120.5 279.5C132 267.1 151.6 271.1 158.9 285.8L168.2 304.3C172.1 313.9 182.8 319.1 193.5 319.1C208.7 319.1 219.6 305.4 215.2 290.8L209.3 270.9C204.6 255.5 216.2 240 232.3 240H234.6C247.1 240 260.5 233.3 267.9 222.2L278.6 206.1C284.2 197.7 283.9 186.6 277.8 178.4L261.7 156.9C251.4 143.2 258.4 123.4 275.1 119.2L292.1 114.1C299.6 113.1 305.7 107.8 308.6 100.6L324.9 59.69C303.4 52.12 280.2 48 255.1 48C141.1 48 47.1 141.1 47.1 256C47.1 269.4 49.26 282.5 51.68 295.1L51.68 295.1zM450.4 300.4L434.6 304.9C427.9 306.7 420.8 304 417.1 298.2L415.1 295.1C409.1 285.7 398.7 279.1 387.5 279.1C376.4 279.1 365.1 285.7 359.9 295.1L353.8 304.6C352.4 306.8 350.5 308.7 348.2 309.1L311.1 330.1C293.9 340.2 286.5 362.5 294.1 381.4L300.5 393.8C309.1 413 331.2 422.3 350.1 414.9L353.5 413.1C363.6 410.2 374.8 411.8 383.5 418.1L385 419.2C422.2 389.7 449.1 347.8 459.4 299.7C456.4 299.4 453.4 299.6 450.4 300.4H450.4zM156.1 367.5L188.1 375.5C196.7 377.7 205.4 372.5 207.5 363.9C209.7 355.3 204.5 346.6 195.9 344.5L163.9 336.5C155.3 334.3 146.6 339.5 144.5 348.1C142.3 356.7 147.5 365.4 156.1 367.5V367.5zM236.5 328.1C234.3 336.7 239.5 345.4 248.1 347.5C256.7 349.7 265.4 344.5 267.5 335.9L275.5 303.9C277.7 295.3 272.5 286.6 263.9 284.5C255.3 282.3 246.6 287.5 244.5 296.1L236.5 328.1zM321.7 120.8L305.7 152.8C301.7 160.7 304.9 170.4 312.8 174.3C320.7 178.3 330.4 175.1 334.3 167.2L350.3 135.2C354.3 127.3 351.1 117.6 343.2 113.7C335.3 109.7 325.6 112.9 321.7 120.8V120.8z"],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM266.3 48.25L232.5 73.6C227.2 77.63 224 83.95 224 90.67V99.72C224 106.5 229.5 112 236.3 112C238.7 112 241.1 111.3 243.1 109.9L284.9 82.06C286.9 80.72 289.3 80 291.7 80H292.7C298.9 80 304 85.07 304 91.31C304 94.31 302.8 97.19 300.7 99.31L280.8 119.2C275 124.1 267.9 129.4 260.2 131.9L233.6 140.8C227.9 142.7 224 148.1 224 154.2C224 157.9 222.5 161.5 219.9 164.1L201.9 182.1C195.6 188.4 192 197.1 192 206.1V210.3C192 226.7 205.6 240 221.9 240C232.9 240 243.1 233.8 248 224L252 215.9C254.5 211.1 259.4 208 264.8 208C269.4 208 273.6 210.1 276.3 213.7L292.6 235.5C294.7 238.3 298.1 240 301.7 240C310.1 240 315.6 231.1 311.8 223.6L310.7 221.3C307.1 214.3 310.7 205.8 318.1 203.3L339.3 196.2C346.9 193.7 352 186.6 352 178.6C352 168.3 360.3 160 370.6 160H400C408.8 160 416 167.2 416 176C416 184.8 408.8 192 400 192H379.3C372.1 192 365.1 194.9 360 200L355.3 204.7C353.2 206.8 352 209.7 352 212.7C352 218.9 357.1 224 363.3 224H374.6C380.6 224 386.4 226.4 390.6 230.6L397.2 237.2C398.1 238.1 400 241.4 400 244C400 246.6 398.1 249 397.2 250.8L389.7 258.3C386 261.1 384 266.9 384 272C384 277.1 386 282 389.7 285.7L408 304C418.2 314.2 432.1 320 446.6 320H453.1C460.5 299.8 464 278.3 464 256C464 144.6 376.4 53.64 266.3 48.25V48.25zM438.4 356.1C434.7 353.5 430.2 352 425.4 352C419.4 352 413.6 349.6 409.4 345.4L395.1 331.1C388.3 324.3 377.9 320 367.1 320C357.4 320 347.9 316.5 340.5 310.2L313.1 287.4C302.4 277.5 287.6 271.1 272.3 271.1H251.4C238.7 271.1 226.4 275.7 215.9 282.7L188.5 301C170.7 312.9 160 332.9 160 354.3V357.5C160 374.5 166.7 390.7 178.7 402.7L194.7 418.7C203.2 427.2 214.7 432 226.7 432H248C261.3 432 272 442.7 272 456C272 458.5 272.4 461 273.1 463.3C344.5 457.5 405.6 415.7 438.4 356.1L438.4 356.1zM164.7 100.7L132.7 132.7C126.4 138.9 126.4 149.1 132.7 155.3C138.9 161.6 149.1 161.6 155.3 155.3L187.3 123.3C193.6 117.1 193.6 106.9 187.3 100.7C181.1 94.44 170.9 94.44 164.7 100.7V100.7z"],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM215.5 360.6L240.9 377C247.1 381.6 256.2 384 264.6 384C278 384 290.7 377.8 298.1 367.2L311 351.8C316.8 344.4 320 335.2 320 325.8C320 316.4 316.8 307.2 311 299.8L293.1 276.9C288.3 270.7 284.4 263.1 281.6 256.7L271.5 230.8C269.9 226.7 265.9 224 261.5 224C258 224 254.8 225.6 252.8 228.4L242.4 242.6C237.7 248.1 229.7 252.1 221.9 250.5C218.7 249.8 215.8 247.1 213.8 245.4L209.3 239.3C202.1 229.7 190.7 224 178.7 224C166.7 224 155.3 229.7 148.1 239.3L142.8 246.3C141.3 248.4 139.2 250 136.9 251.1L101.6 267.9C81.08 277.7 72.8 302.6 83.37 322.7L86.65 328.9C95.67 346.1 115.7 354.3 134.1 348.4L149.5 343.6C156 341.5 163.1 341.6 169.6 343.8L208.6 357.3C211 358.1 213.4 359.2 215.5 360.6H215.5zM273.8 142.5C264.3 132.1 250.8 128.9 237.6 131.5L199.1 139.2C183.8 142.3 181.5 163.2 195.7 169.5L238.5 188.6C243.7 190.8 249.2 192 254.8 192H284.7C298.9 192 306.1 174.8 296 164.7L273.8 142.5zM264 448H280C288.8 448 296 440.8 296 432C296 423.2 288.8 416 280 416H264C255.2 416 248 423.2 248 432C248 440.8 255.2 448 264 448zM431.2 298.9C428.4 290.6 419.3 286 410.9 288.8C402.6 291.6 398 300.7 400.8 309.1L408.8 333.1C411.6 341.4 420.7 345.1 429.1 343.2C437.4 340.4 441.1 331.3 439.2 322.9L431.2 298.9zM411.3 379.3C417.6 373.1 417.6 362.9 411.3 356.7C405.1 350.4 394.9 350.4 388.7 356.7L356.7 388.7C350.4 394.9 350.4 405.1 356.7 411.3C362.9 417.6 373.1 417.6 379.3 411.3L411.3 379.3z"],
    "eclipse": [640, 512, [], "f749", "M464 80.02c-97.25 0-175.1 78.76-175.1 175.1s78.75 175.1 175.1 175.1S640 353.3 640 256S561.3 80.02 464 80.02zM165.5 346.5c-49.87-49.87-49.87-131.1 0-180.1C200.6 130.4 251 120.5 295.3 134.8c7.5-10.37 15.87-19.1 25.12-28.87L271.5 9.655c-6.375-12.87-24.62-12.87-30.1 0l-47.25 94.61L92.78 70.77C79.15 66.27 66.28 79.27 70.78 92.77l33.5 100.4L9.656 240.5c-12.87 6.374-12.87 24.62 0 30.1l94.62 47.24l-33.5 100.5c-4.5 13.62 8.5 26.5 21.1 21.1l100.4-33.5l47.25 94.61c6.375 12.87 24.62 12.87 30.1 0l47.37-94.61l5.25 1.75c-10.75-9.749-20.25-20.5-28.75-32.25C251 391.5 200.6 381.6 165.5 346.5zM256 160C203.1 160 160 203.1 160 256s43.12 95.99 95.1 95.99c7.75 0 15.12-1.25 22.25-2.875c-14.12-27.1-22.26-59.6-22.26-93.09S264.1 190.9 278.3 162.9C271.1 161.3 263.8 160 256 160z"],
    "egg": [384, 512, [129370], "f7fb", "M192 16c-106 0-192 182-192 288c0 106 85.1 192 192 192c105.1 0 192-85.1 192-192C384 198 297.1 16 192 16zM160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z"],
    "egg-fried": [512, 512, [], "f7fc", "M215.1 159.1c-39.75 0-72.01 32.25-72.01 72c0 8.876 7.126 16 16 16c8.876 0 16-7.126 16-16c0-22.13 17.88-40 40-40c8.876 0 16-7.126 16-16S224.8 159.1 215.1 159.1zM478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25c-49.76-41-88.13-77.5-158.5-66.13c-86.76 14-111.8 80-125 157.1c-11.13 64.38-54.38 127-50 192.9s52.88 128.5 115 150.8c93.01 33.38 146.9-31.75 204.6-86.38c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM223.1 352.4c-61.76 0-112-50.25-112-112.1c0-61.75 50.26-112.1 112-112.1s112 50.38 112 112.1C335.1 302.1 285.7 352.4 223.1 352.4z"],
    "eggplant": [512, 512, [], "e16c", "M404.1 171.9c-30.56-9.289-54.71-33.44-64-64c-22.41-6.814-41.14-21.79-53.32-41.26C190.3 144.5 124.7 176.7 100.8 186.1C31.93 214.6 .0005 275.1 .0005 337.4c0 141.1 129.2 174.7 172.6 174.7c62.28 0 112.1-19.21 213.2-172.9c23.94-36.67 44.8-73.65 64.42-110.8C428.3 216.3 411.5 196.2 404.1 171.9zM512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031l-14.04 14.04C449.3 17.81 440.9 16 432 16h-128c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64v-128c0-8.871-1.812-17.31-5.074-24.99l14.04-14.04C509.7 36.28 512 30.14 512 24z"],
    "eject": [448, 512, [9167], "f052", "M48.01 319.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1c-19-20.62-51.75-20.62-70.75 0L12.64 239.6C-15.48 270.2 6.393 319.1 48.01 319.1zM399.1 384H48.01c-26.39 0-47.99 21.59-47.99 47.98C.0117 458.4 21.61 480 48.01 480h351.1c26.39 0 47.99-21.6 47.99-47.99C447.1 405.6 426.4 384 399.1 384z"],
    "elephant": [640, 512, [128024], "f6da", "M382.4 32H383.1C472.4 32 543.1 103.6 543.1 192V311.4C534.6 316.9 523.7 320 511.1 320C491.1 320 472.5 309.1 460.8 294.4C455.5 287.3 445.4 285.9 438.4 291.2C431.3 296.5 429.9 306.5 435.2 313.6C441.8 322.3 449.8 329.9 458.9 336C465.4 340.3 472.5 343.9 479.1 346.5C490 350.1 500.8 352 512 352C523.2 352 533.1 350.1 543.1 346.5C554.2 342.9 563.7 337.6 572 330.9C573.6 329.7 575.2 328.3 576.7 326.1C578 325.7 579.4 324.4 580.7 323.1C586.9 316.9 596.9 316.8 603.2 322.1C609.5 329.1 609.6 339.3 603.4 345.6C587.4 361.1 566.9 374.1 543.1 379.1V398.6C543.1 408.2 551.8 416 561.4 416C568 416 574.1 412.3 577 406.4L579.4 401.7C587.3 385.9 606.5 379.5 622.3 387.4C638.1 395.3 644.5 414.5 636.6 430.3L634.3 434.1C620.5 462.6 592.3 480 561.4 480C516.5 480 479.1 443.5 479.1 398.6V379.1C454.8 373.5 432.7 359.6 415.1 340.7V480C415.1 497.7 401.7 512 383.1 512H319.1C302.3 512 287.1 497.7 287.1 480V409.1C272.7 413.9 256.6 416 239.1 416C223.4 416 207.3 413.9 191.1 409.1V480C191.1 497.7 177.7 512 159.1 512H95.1C78.32 512 63.1 497.7 63.1 480V344.7C61.44 349.4 58.54 353.9 55.32 358.2L43.2 374.4C35.24 385 20.2 387.2 9.598 379.2C-1.006 371.2-3.155 356.2 4.798 345.6L16.92 329.4C22.59 321.9 26.49 313.1 28.35 303.9C30.77 291.7 31.1 279.4 31.1 267V248C31.1 175.8 67.43 111.9 121.9 72.64C138.6 59.57 157.5 49.22 178 42.23C166.5 62.9 159.1 86.69 159.1 112C159.1 191.5 224.5 256 303.1 256C312.8 256 319.1 248.8 319.1 240C319.1 231.2 312.8 224 303.1 224C242.1 224 191.1 173.9 191.1 112C191.1 50.14 242.1 .0013 303.1 0C334.5 0 362.2 12.21 382.4 32V32zM464 224C472.8 224 480 216.8 480 208C480 199.2 472.8 192 464 192C455.2 192 448 199.2 448 208C448 216.8 455.2 224 464 224z"],
    "elevator": [512, 512, [], "e16d", "M79 96h130c5.967 0 11.37-3.402 13.75-8.662c2.385-5.262 1.299-11.39-2.754-15.59l-65-67.34c-5.684-5.881-16.31-5.881-21.99 0l-65 67.34C63.95 75.95 62.87 82.08 65.25 87.34C67.63 92.6 73.03 96 79 96zM357 91.59c5.686 5.881 16.31 5.881 21.99 0l65-67.34c4.053-4.199 5.137-10.32 2.754-15.59C444.4 3.402 438.1 0 433 0h-130c-5.967 0-11.37 3.402-13.75 8.662c-2.385 5.262-1.301 11.39 2.752 15.59L357 91.59zM448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM352 224C378.5 224.1 400 245.5 400 272c0 26.46-21.47 47.9-48 48C325.5 319.9 304 298.5 304 272C304 245.5 325.5 224.1 352 224zM160 224C186.5 224.1 208 245.5 208 272c0 26.46-21.47 47.9-48 48C133.5 319.9 112 298.5 112 272C112 245.5 133.5 224.1 160 224zM240 448h-160v-48C80 373.5 101.5 352 128 352h64c26.51 0 48 21.49 48 48V448zM432 448h-160v-48c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48V448z"],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", "M120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200C94.93 200 120 225.1 120 256zM280 256C280 286.9 254.9 312 224 312C193.1 312 168 286.9 168 256C168 225.1 193.1 200 224 200C254.9 200 280 225.1 280 256zM328 256C328 225.1 353.1 200 384 200C414.9 200 440 225.1 440 256C440 286.9 414.9 312 384 312C353.1 312 328 286.9 328 256z"],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", "M488 256C488 295.8 455.8 328 416 328C376.2 328 344 295.8 344 256C344 216.2 376.2 184 416 184C455.8 184 488 216.2 488 256zM416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232zM328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184C295.8 184 328 216.2 328 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232zM24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328C56.24 328 24 295.8 24 256zM96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280z"],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", "M96 488C56.24 488 24 455.8 24 416C24 376.2 56.24 344 96 344C135.8 344 168 376.2 168 416C168 455.8 135.8 488 96 488zM120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416zM96 328C56.24 328 24 295.8 24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328zM120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256zM96 24C135.8 24 168 56.24 168 96C168 135.8 135.8 168 96 168C56.24 168 24 135.8 24 96C24 56.24 56.24 24 96 24zM72 96C72 109.3 82.75 120 96 120C109.3 120 120 109.3 120 96C120 82.75 109.3 72 96 72C82.75 72 72 82.75 72 96z"],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", "M64 360C94.93 360 120 385.1 120 416C120 446.9 94.93 472 64 472C33.07 472 8 446.9 8 416C8 385.1 33.07 360 64 360zM64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200zM64 152C33.07 152 8 126.9 8 96C8 65.07 33.07 40 64 40C94.93 40 120 65.07 120 96C120 126.9 94.93 152 64 152z"],
    "empty-set": [512, 512, [8709, 216], "f656", "M502.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-67.44 67.44C352.5 48.79 306.2 32 256 32C132.5 32 32 132.5 32 256c0 50.23 16.79 96.53 44.82 133.9l-67.44 67.44c-12.5 12.5-12.5 32.75 0 45.25C15.63 508.9 23.81 512 32 512s16.38-3.125 22.62-9.375l67.44-67.44C159.5 463.2 205.8 480 256 480c123.5 0 224-100.5 224-224c0-50.23-16.79-96.53-44.82-133.9l67.44-67.44C515.1 42.13 515.1 21.88 502.6 9.375zM96 256c0-88.22 71.78-160 160-160c32.55 0 62.8 9.889 88.09 26.66l-221.4 221.4C105.9 318.8 96 288.6 96 256zM416 256c0 88.22-71.78 160-160 160c-32.55 0-62.8-9.889-88.09-26.66l221.4-221.4C406.1 193.2 416 223.4 416 256z"],
    "engine": [640, 512, [], "e16e", "M328 112V144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H127.1C110.3 384 95.1 369.7 95.1 352V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H95.1V176C95.1 158.3 110.3 144 127.1 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88C424 101.3 413.3 112 400 112H328zM287.1 288C305.7 288 319.1 273.7 319.1 256C319.1 238.3 305.7 224 287.1 224C270.3 224 255.1 238.3 255.1 256C255.1 273.7 270.3 288 287.1 288zM191.1 224C174.3 224 159.1 238.3 159.1 256C159.1 273.7 174.3 288 191.1 288C209.7 288 223.1 273.7 223.1 256C223.1 238.3 209.7 224 191.1 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", "M424 88C424 101.3 413.3 112 400 112H328V144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H96V176C96 158.3 110.3 144 128 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM324 208C324 196.1 315 188 304 188C292.1 188 284 196.1 284 208V296C284 307 292.1 316 304 316C315 316 324 307 324 296V208zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464zM217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2L512 176V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2z"],
    "envelope-circle-check": [640, 512, [], "e4e8", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L478.9 160.8C412.3 167.2 356.5 210.8 332.6 270.6L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464zM294.4 339.2L320.8 319.4C320.3 324.9 320 330.4 320 336C320 378.5 335.1 417.6 360.2 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2zM640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336zM540.7 292.7L480 353.4L451.3 324.7C445.1 318.4 434.9 318.4 428.7 324.7C422.4 330.9 422.4 341.1 428.7 347.3L468.7 387.3C474.9 393.6 485.1 393.6 491.3 387.3L563.3 315.3C569.6 309.1 569.6 298.9 563.3 292.7C557.1 286.4 546.9 286.4 540.7 292.7H540.7z"],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", "M512 0c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S547.3 0 512 0zM48.29 145.3l212.2 165.1c16.19 12.6 38.87 12.6 55.06 0l193.7-150.6C457.5 158.2 416 116.1 416 64H80C53.49 64 32 85.49 32 112C32 125 38.01 137.3 48.29 145.3zM288 352c-16.53 0-33.07-5.318-47.17-16.3L32 173.3V400C32 426.5 53.49 448 80 448h416c26.51 0 48-21.49 48-48V173.3l-208.8 162.5C321.1 346.7 304.5 352 288 352z"],
    "envelope-open": [512, 512, [62135], "f2b6", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38c-118.8 86.25-139.4 101.1-164.3 121.6C6.75 172 0 186 0 200.8v263.2C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V200.8C512 186 505.3 172 493.6 163zM303.2 367.5C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5v46.32L303.2 367.5z"],
    "envelope-open-dollar": [512, 512, [], "f657", "M256 417.1c-16.38 0-32.88-5-46.88-15.12L0 250.9V464C0 490.5 21.5 512 48 512h416c26.5 0 48-21.5 48-48V250.9l-209.1 151.1C288.9 412 272.4 417.1 256 417.1zM493.6 163C484.8 156 476.4 149.5 464 140.1V96c0-26.5-21.5-48-48-48L338.5 48c-3.125-2.25-5.875-4.25-9.125-6.5C312.6 29.13 279.3-.373 256 .002C232.8-.373 199.4 29.13 182.6 41.5c-3.25 2.25-6 4.25-9.125 6.5L96 48c-26.5 0-48 21.5-48 48v44.13C35.63 149.5 27.25 156 18.38 163C6.75 172 0 186 0 200.8v10.62l96 69.38V96h320v184.8l96-69.38V200.8C512 186 505.3 172 493.6 163zM247.7 285.1c-7.203-1.062-16.39-4.375-24.5-7.312L218.7 276.2C208.2 272.5 196.9 277.9 193.2 288.3s1.75 21.84 12.16 25.53l4.359 1.562c8.164 2.949 17.25 5.922 26.38 7.883V336c0 11.03 8.953 20 20 20s20-8.969 20-20v-12.25c23.04-4.814 39.39-18.82 43.09-40.22c7.625-44.13-33.25-55.81-57.67-62.81L255.8 219.1C230.8 211.8 231.4 208.2 232.3 203.3c1.484-8.562 17.14-10.69 31.83-8.406c5.844 .9375 12.27 2.906 18.38 5.031c10.39 3.594 21.83-1.938 25.44-12.38s-1.938-21.81-12.38-25.44c-7.506-2.584-13.7-4.24-19.48-5.482V144c0-11.03-8.953-20-20-20s-20 8.969-20 20v11.88C212.8 160.6 196.6 174.1 192.9 196.5c-7.547 43.66 33.95 55.81 51.66 61l5.953 1.719C280 267.6 280.8 270.7 279.7 276.7C278.3 285.3 262.6 287.4 247.7 285.1z"],
    "envelope-open-text": [512, 512, [], "f658", "M256 417.1c-16.38 0-32.88-4.1-46.88-15.12L0 250.9v213.1C0 490.5 21.5 512 48 512h416c26.5 0 48-21.5 48-47.1V250.9l-209.1 151.1C288.9 412 272.4 417.1 256 417.1zM493.6 163C484.8 156 476.4 149.5 464 140.1v-44.12c0-26.5-21.5-48-48-48l-77.5 .0016c-3.125-2.25-5.875-4.25-9.125-6.5C312.6 29.13 279.3-.3732 256 .0018C232.8-.3732 199.4 29.13 182.6 41.5c-3.25 2.25-6 4.25-9.125 6.5L96 48c-26.5 0-48 21.5-48 48v44.12C35.63 149.5 27.25 156 18.38 163C6.75 172 0 186 0 200.8v10.62l96 69.37V96h320v184.7l96-69.37V200.8C512 186 505.3 172 493.6 163zM176 255.1h160c8.836 0 16-7.164 16-15.1c0-8.838-7.164-16-16-16h-160c-8.836 0-16 7.162-16 16C160 248.8 167.2 255.1 176 255.1zM176 191.1h160c8.836 0 16-7.164 16-16c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 184.8 167.2 191.1 176 191.1z"],
    "envelopes": [640, 512, [], "e170", "M560 32h-384C149.5 32 128 53.49 128 80v1.311l212.5 164.1c16.2 12.6 38.87 12.6 55.06 0L608 81.31V80C608 53.49 586.5 32 560 32zM368 288c-16.53 0-33.06-5.484-47.16-16.47L128 121.3V336C128 362.5 149.5 384 176 384h384c26.51 0 48-21.49 48-48V121.3l-192.8 150.2C401.1 282.5 384.5 288 368 288zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", "M191.9 448.6c-9.766 0-19.48-2.969-27.78-8.891L32 340.2V480c0 17.62 14.38 32 32 32h256c17.62 0 32-14.38 32-32v-139.8L220.2 439.5C211.7 445.6 201.8 448.6 191.9 448.6zM192 192c0-35.25 28.75-64 64-64h224V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v192h96V192zM320 256H64C46.38 256 32 270.4 32 288v12.18l151 113.8c5.25 3.719 12.7 3.734 18.27-.25L352 300.2V288C352 270.4 337.6 256 320 256zM576 160H256C238.4 160 224 174.4 224 192v32h96c33.25 0 60.63 25.38 63.75 57.88L384 416h192c17.62 0 32-14.38 32-32V192C608 174.4 593.6 160 576 160zM544 288h-64V224h64V288z"],
    "equals": [448, 512, [62764], "3d", "M48 192h352c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1h-352c-17.69 0-32 14.31-32 31.1S30.31 192 48 192zM400 320h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.32 32-32S417.7 320 400 320z"],
    "eraser": [512, 512, [], "f12d", "M480 416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H150.6C133.7 480 117.4 473.3 105.4 461.3L25.37 381.3C.3786 356.3 .3786 315.7 25.37 290.7L258.7 57.37C283.7 32.38 324.3 32.38 349.3 57.37L486.6 194.7C511.6 219.7 511.6 260.3 486.6 285.3L355.9 416H480zM265.4 416L332.7 348.7L195.3 211.3L70.63 336L150.6 416L265.4 416z"],
    "escalator": [640, 512, [], "e171", "M240 128c-35.35 0-64 28.65-64 64v105.2l127.4-111.4C300.2 153.4 273.2 128 240 128zM240 96C266.5 95.9 288 74.46 288 48C288 21.54 266.5 .0996 240 0C213.5 .0996 192 21.54 192 48C192 74.46 213.5 95.9 240 96zM560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128z"],
    "ethernet": [512, 512, [], "f796", "M512 208v224c0 8.75-7.25 16-16 16H416v-128h-32v128h-64v-128h-32v128H224v-128H192v128H128v-128H96v128H16C7.25 448 0 440.8 0 432v-224C0 199.2 7.25 192 16 192H64V144C64 135.2 71.25 128 80 128H128V80C128 71.25 135.2 64 144 64h224C376.8 64 384 71.25 384 80V128h48C440.8 128 448 135.2 448 144V192h48C504.8 192 512 199.2 512 208z"],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", "M64 240C46.33 240 32 225.7 32 208C32 190.3 46.33 176 64 176H92.29C121.9 92.11 201.1 32 296 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H296C238.1 96 187.8 128.4 162.1 176H288C305.7 176 320 190.3 320 208C320 225.7 305.7 240 288 240H144.2C144.1 242.6 144 245.3 144 248V264C144 266.7 144.1 269.4 144.2 272H288C305.7 272 320 286.3 320 304C320 321.7 305.7 336 288 336H162.1C187.8 383.6 238.1 416 296 416H320C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480H296C201.1 480 121.9 419.9 92.29 336H64C46.33 336 32 321.7 32 304C32 286.3 46.33 272 64 272H80.15C80.05 269.3 80 266.7 80 264V248C80 245.3 80.05 242.7 80.15 240H64z"],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", "M64 352c17.69 0 32-14.32 32-31.1V64.01c0-17.67-14.31-32.01-32-32.01S32 46.34 32 64.01v255.1C32 337.7 46.31 352 64 352zM64 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S86.09 400 64 400z"],
    "expand": [448, 512, [], "f065", "M128 32H32C14.31 32 0 46.31 0 64v96c0 17.69 14.31 32 32 32s32-14.31 32-32V96h64c17.69 0 32-14.31 32-32S145.7 32 128 32zM416 32h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 46.31 433.7 32 416 32zM128 416H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 416 128 416zM416 320c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C448 334.3 433.7 320 416 320z"],
    "expand-wide": [512, 512, [], "f320", "M128 64H32C14.31 64 0 78.31 0 96v96c0 17.69 14.31 32 32 32s32-14.31 32-32V128h64c17.69 0 32-14.31 32-32S145.7 64 128 64zM480 64h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V96C512 78.31 497.7 64 480 64zM128 384H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 384 128 384zM480 288c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C512 302.3 497.7 288 480 288z"],
    "explosion": [576, 512, [], "e4e9", "M499.6 11.32C506.3 .5948 520.1-3.127 531.3 2.814C542.4 8.754 547.1 22.32 541.9 33.84L404.8 338.6C406.9 340.9 409 343.3 411.1 345.7L508.2 291.1C518.7 285.2 531.9 287.9 539.1 297.5C546.4 307 545.4 320.5 536.1 328.1L449.9 415.1H378.5C365.4 378.7 329.8 351.1 288 351.1C246.2 351.1 210.6 378.7 197.5 415.1H117.8L42.34 363.7C32.59 356.1 29.23 344.1 34.43 333.5C39.64 322.8 51.84 317.6 63.16 321.1L160.4 351.5C163.3 347.6 166.5 343.8 169.7 340.2L107.4 236.3C101.4 226.3 103.5 213.3 112.5 205.7C121.5 198.1 134.7 198.1 143.6 205.8L246 293.6C247.5 293.2 249 292.8 250.5 292.4L264.1 149.7C265.3 137.4 275.6 127.1 288 127.1C300.4 127.1 310.7 137.4 311.9 149.7L325.4 291.6L499.6 11.32zM544 447.1C561.7 447.1 576 462.3 576 479.1C576 497.7 561.7 511.1 544 511.1H32C14.33 511.1 0 497.7 0 479.1C0 462.3 14.33 447.1 32 447.1H544zM288-.0046C301.3-.0046 312 10.74 312 23.1V71.1C312 85.25 301.3 95.1 288 95.1C274.7 95.1 264 85.25 264 71.1V23.1C264 10.74 274.7-.0046 288-.0046V-.0046z"],
    "eye": [576, 512, [128065], "f06e", "M279.6 160.4C282.4 160.1 285.2 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 253.2 192.1 250.4 192.4 247.6C201.7 252.1 212.5 256 224 256C259.3 256 288 227.3 288 192C288 180.5 284.1 169.7 279.6 160.4zM480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6V112.6zM288 112C208.5 112 144 176.5 144 256C144 335.5 208.5 400 288 400C367.5 400 432 335.5 432 256C432 176.5 367.5 112 288 112z"],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM55.43 323.3L176.1 202.6L221.4 247.9L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L264.1 290.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L55.43 323.3z"],
    "eye-dropper-full": [512, 512, [], "e172", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM55.43 323.3L176.1 202.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L55.43 323.3z"],
    "eye-dropper-half": [512, 512, [], "e173", "M240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8zM221.4 247.9L149.3 320H234.7L264.1 290.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L176.1 202.6L221.4 247.9z"],
    "eye-evil": [640, 512, [], "f6db", "M640 256c0-7.28-4.334-14.58-13.02-16.89l-111.1-30.35c-4.75-6.499-10.04-13.36-16.04-20.36c1.375-2.125 55.22-88.04 55.22-88.04c1.827-2.958 2.658-6.025 2.658-8.984c0-9.414-8.238-17.68-18.43-17.68c-2.165 0-4.422 .3792-6.702 1.197l-119.7 43.37c-9.624-4.749-19.96-8.972-30.71-12.35l-44.45-95.17C333.6 3.568 326.8 0 319.1 0s-13.56 3.568-16.88 10.75L258.7 105.9C247.9 109.3 237.6 113.5 227.1 118.3L108.2 74.92C105.1 74.1 103.7 73.73 101.5 73.73c-10.19 0-18.4 8.241-18.4 17.65c0 2.958 .8233 6.036 2.65 8.994c0 0 53.85 85.91 55.22 88.04C135.4 195 130.1 201.8 124.1 208.8L13.01 239.1c-8.687 2.312-13.01 9.606-13.01 16.89c0 7.28 4.323 14.58 13.01 16.89l111.1 30.35c4.75 6.499 10.11 13.21 15.98 20.33c-1.375 1.1-55.16 88.06-55.16 88.06c-1.827 2.958-2.656 6.044-2.656 9.003c0 9.414 8.229 17.67 18.42 17.67c2.165 0 4.433-.3813 6.712-1.199l119.7-43.37c9.624 4.749 19.97 8.972 30.72 12.35l44.45 95.16C306.4 508.4 313.2 512 319.1 512s13.56-3.568 16.87-10.75l44.45-95.16c10.75-3.375 21.09-7.597 30.71-12.35l119.7 43.37c2.279 .8178 4.543 1.195 6.709 1.195c10.19 0 18.43-8.27 18.43-17.68c0-2.958-.8291-6.029-2.656-8.987c0 0-53.79-86.06-55.16-88.06c5.874-7.124 11.23-13.84 15.98-20.33l111.1-30.35C635.7 270.6 640 263.3 640 256zM319.1 352c-52.99 0-96.01-43-96.01-95.1c0-19.75 6.02-38 16.27-53.25C256.1 212.3 274.9 219.1 295.7 222.1C291.3 231.4 287.1 242.4 287.1 256c0 42.62 31.1 64 31.1 64s32-21.38 32-64c0-13.62-3.34-24.62-7.715-33.87c20.75-2.1 39.72-9.79 55.59-19.29c10.25 15.25 16.13 33.37 16.13 53.12C415.1 308.1 372.1 352 319.1 352z"],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM223.1 149.5L313.4 220.3C317.6 211.8 320 202.2 320 191.1C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 159.1 320 159.1C373 159.1 416 202.1 416 255.1C416 269.7 413.1 282.7 407.1 294.5L446.6 324.7C457.7 304.3 464 280.9 464 255.1C464 176.5 399.5 111.1 320 111.1C282.7 111.1 248.6 126.2 223.1 149.5zM393.6 469.4L54.65 203.7C62.6 190.1 72.08 175.8 83.09 161.5L446.2 447.5C429.8 456.4 412.3 463.8 393.6 469.4V469.4zM34.46 268.3C31.74 261.8 31.27 254.5 33.08 247.8L329.2 479.8C326.1 479.9 323.1 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3H34.46z"],
    "eye-slash": [640, 512, [], "f070", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM223.1 149.5L313.4 220.3C317.6 211.8 320 202.2 320 191.1C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 159.1 320 159.1C373 159.1 416 202.1 416 255.1C416 269.7 413.1 282.7 407.1 294.5L446.6 324.7C457.7 304.3 464 280.9 464 255.1C464 176.5 399.5 111.1 320 111.1C282.7 111.1 248.6 126.2 223.1 149.5zM320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44 220.8 60.29 191.2 83.09 161.5L177.4 235.8C176.5 242.4 176 249.1 176 255.1C176 335.5 240.5 400 320 400C338.7 400 356.6 396.4 373 389.9L446.2 447.5C409.9 467.1 367.8 480 320 480H320z"],
    "eyes": [640, 512, [], "e367", "M464 32c-59.59 0-112.2 37.79-144 95.46C288.2 69.79 235.6 32 176 32C78.8 32 0 132.3 0 256s78.8 224 176 224c59.59 0 112.2-37.79 144-95.46C351.8 442.2 404.4 480 464 480c97.2 0 176-100.3 176-224S561.2 32 464 32zM176 416c-35.91 0-68.22-25.1-88.88-64.89C90.05 351.5 92.96 352 96 352c35.35 0 64-28.65 64-64S131.3 224 96 224C84.1 224 74.8 227 65.76 231.9C74.21 156.2 121 96 176 96C236.7 96 288 169.3 288 256S236.7 416 176 416zM464 416c-35.91 0-68.22-25.1-88.88-64.89C378.1 351.5 380.1 352 384 352c35.35 0 64-28.65 64-64s-28.65-64-64-64c-11 0-21.2 3.031-30.24 7.922C362.2 156.2 409 96 464 96C524.7 96 576 169.3 576 256S524.7 416 464 416z"],
    "f": [320, 512, [102], "46", "M320 64.01c0 17.67-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.1s-14.33 32-32 32H64v160c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256C305.7 32.01 320 46.34 320 64.01z"],
    "face-angry": [512, 512, [128544, "angry"], "f556", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM339.9 373.3C323.8 355.4 295.7 336 256 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3H339.9zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z"],
    "face-angry-horns": [640, 512, [], "e368", "M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256V256zM403.9 389.3C387.8 371.4 359.7 352 320 352C280.3 352 252.2 371.4 236.1 389.3C230.2 395.9 230.7 405.1 237.3 411.9C243.9 417.8 253.1 417.3 259.9 410.7C271.6 397.7 291.5 384 319.1 384C348.5 384 368.4 397.7 380.1 410.7C386 417.3 396.1 417.8 402.7 411.9C409.3 405.1 409.8 395.9 403.9 389.3H403.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304L240.4 304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z"],
    "face-anguished": [512, 512, [], "e369", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z"],
    "face-anxious-sweat": [576, 512, [], "e36a", "M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM224 416H352C360.8 416 368 408.8 368 400C368 355.8 332.2 319.1 288 319.1C243.8 319.1 208 355.8 208 400C208 408.8 215.2 416 224 416zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7zM48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 47.1 416H48z"],
    "face-astonished": [512, 512, [], "e36b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384V352C304 325.5 282.5 304 256 304zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z"],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", "M322.3 336C342.1 336 360.4 343 374.6 354.7C348.1 392.1 306.1 416 258.4 416H253.6C249 416 244.5 415.8 240.1 415.4C241.6 371.3 277.8 336 322.3 336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM203.5 160.4C197.9 169.7 187.7 176 176 176C158.3 176 144 161.7 144 144C144 134.9 147.8 126.6 153.1 120.8C150.7 120.3 147.4 120 144 120C108.7 120 80 148.7 80 184V194.3C80 210.7 93.3 224 109.7 224H178.3C194.7 224 208 210.7 208 194.3V184C208 175.7 206.4 167.7 203.5 160.4zM352 144C352 135.5 355.3 127.7 360.8 121.1C355.4 120.7 349.8 120 344 120C304.2 120 272 152.2 272 192V199.5C272 213 282.1 224 296.5 224H391.5C405 224 416 213 416 199.5V192C416 181.6 413.8 171.8 409.9 162.9C404 170.8 394.6 176 384 176C366.3 176 352 161.7 352 144H352zM253.6 448H258.4C313.6 448 363.5 421.1 395.4 380.5C395.4 380.5 395.4 380.5 395.4 380.5C411.1 360.1 422.4 335.9 427.8 309.2C429.1 298.2 421.6 288 410.4 288H101.6C90.43 288 82.05 298.2 84.24 309.2C99.85 387.2 166.6 444.1 245.5 447.8C248.1 447.9 250.8 448 253.6 448L253.6 448z"],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", "M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-clouds": [640, 512, [], "e47d", "M188.4 42.8C198.6 35.98 210.8 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H72.56C83.63 12.87 104.3 0 128 0C155.9 0 179.7 17.87 188.4 42.8zM212.7 192C209.9 196.7 208.4 202.2 208.4 208C208.4 225.7 222.7 240 240.4 240C258 240 272.4 225.7 272.4 208C272.4 198.6 268.3 190.1 261.8 184.3C296 169.6 320 135.6 320 96C320 55.77 295.2 21.31 260.1 7.036C279.3 2.436 299.4 0 320 0C461.4 0 576 114.6 576 256C576 270.8 574.7 285.3 572.3 299.5C558.3 287.3 540 280 520 280C509.1 280 500.3 281.9 491.5 285.2C471.6 267.1 445.1 256 416 256C364.6 256 321.2 290.7 308.1 337.9C260.2 347.2 224 389.4 224 440C224 462.5 231.1 483.3 243.3 500.3C139.4 467.7 64 370.6 64 256C64 233.9 66.8 212.5 72.06 192H212.7zM400.4 240C418 240 432.4 225.7 432.4 208C432.4 190.3 418 176 400.4 176C382.7 176 368.4 190.3 368.4 208C368.4 225.7 382.7 240 400.4 240zM336 368C336 323.8 371.8 288 416 288C445.3 288 470.9 303.8 484.9 327.3C493.6 317.9 506.1 312 520 312C546.5 312 568 333.5 568 360C568 362.7 567.8 365.4 567.3 368H568C607.8 368 640 400.2 640 440C640 479.8 607.8 512 568 512H328C288.2 512 256 479.8 256 440C256 400.2 288.2 368 328 368H336z"],
    "face-confounded": [512, 512, [], "e36c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM118.8 212.8L154.8 256L118.8 299.2C116.1 301.4 116 304.1 116 306.9C116 315.8 125.6 321.6 133.5 317.3L223.4 269.4C234.1 263.7 234.1 248.3 223.4 242.6L133.5 194.7C125.6 190.4 116 196.2 116 205.1C116 207.9 116.1 210.6 118.8 212.8V212.8zM288.6 242.6C277.9 248.3 277.9 263.7 288.6 269.4L378.5 317.3C386.4 321.6 396 315.8 396 306.9C396 304.1 395 301.4 393.2 299.2L357.2 256L393.2 212.8C395 210.6 396 207.9 396 205.1C396 196.2 386.4 190.4 378.5 194.7L288.6 242.6zM216.9 354.7C211.5 351.1 204.5 351.1 199.1 354.7L158.9 381.5L135.2 369.7C127.3 365.7 117.6 368.9 113.7 376.8C109.7 384.7 112.9 394.4 120.8 398.3L152.8 414.3C157.1 416.9 164.1 416.5 168.9 413.3L208 387.2L247.1 413.3C252.5 416.9 259.5 416.9 264.9 413.3L304 387.2L343.1 413.3C347.9 416.5 354 416.9 359.2 414.3L391.2 398.3C399.1 394.4 402.3 384.7 398.3 376.8C394.4 368.9 384.7 365.7 376.8 369.7L353.1 381.5L312.9 354.7C307.5 351.1 300.5 351.1 295.1 354.7L256 380.8L216.9 354.7z"],
    "face-confused": [512, 512, [], "e36d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM171.1 395.6C219.3 357 279.3 336 341 336H352C360.8 336 368 328.8 368 320C368 311.2 360.8 304 352 304H341C271.1 304 205 327.5 151.1 370.6L150 371.5C143.1 377 141.1 387.1 147.5 393.1C153 400.9 163.1 402 169.1 396.5L171.1 395.6zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-cowboy-hat": [512, 512, [], "e36e", "M242.1 10.71C250.1 17.16 261.9 17.16 269.9 10.71C278.1 4.003 286.9 0 296 0C332.8 0 363.4 64.93 378.4 109.8C411.1 99.32 441.1 84.62 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.04 84.62 100 99.32 133.6 109.8C148.6 64.93 179.2 0 215.1 0C225.1 0 233.9 4.003 242.1 10.71H242.1zM48 303.1C48 266.1 58.12 230.6 75.81 200C124.6 235.4 188.3 255.1 256 255.1C323.7 255.1 387.4 235.4 436.2 200C453.9 230.6 464 266.1 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1H48zM256.2 376.8C223.5 376.8 192.5 372.5 164.6 364.7C152.2 361.2 140.3 371.1 146 383.5C166.2 424.1 207.1 452 256.2 452C304.5 452 346.2 424.1 366.4 383.5C372.1 371.1 360.2 361.2 347.8 364.7C319.9 372.5 288.9 376.8 256.2 376.8zM192 279.1C178.7 279.1 168 290.7 168 303.1C168 317.3 178.7 328 192 328C205.3 328 216 317.3 216 303.1C216 290.7 205.3 279.1 192 279.1zM320 328C333.3 328 344 317.3 344 303.1C344 290.7 333.3 279.1 320 279.1C306.7 279.1 296 290.7 296 303.1C296 317.3 306.7 328 320 328z"],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM372.4 319.4C380.9 316.1 385.8 308.1 383.4 299.6C380.1 291.1 372.1 286.2 363.6 288.6L139.6 352.6C131.1 355 126.2 363.9 128.6 372.4C131 380.9 139.9 385.8 148.4 383.4L372.4 319.4zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-disappointed": [512, 512, [], "e36f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM211.3 244.7C205.1 238.4 194.9 238.4 188.7 244.7L181.3 252.1C162.5 270.9 138.2 283.4 111.9 287.8L109.4 288.2C100.7 289.7 94.76 297.9 96.22 306.6C97.67 315.3 105.9 321.2 114.6 319.8L117.1 319.4C150 313.9 180.4 298.3 203.9 274.7L211.3 267.3C217.6 261.1 217.6 250.9 211.3 244.7V244.7zM308.1 274.7C331.6 298.3 361.1 313.9 394.9 319.4L397.4 319.8C406.1 321.2 414.3 315.3 415.8 306.6C417.2 297.9 411.3 289.7 402.6 288.2L400.2 287.8C373.8 283.4 349.5 270.9 330.7 252.1L323.3 244.7C317.1 238.4 306.9 238.4 300.7 244.7C294.4 250.9 294.4 261.1 300.7 267.3L308.1 274.7z"],
    "face-disguise": [576, 512, [], "e370", "M32 256C32 239.6 33.54 223.5 36.49 208H104C104 258.1 142.4 299.2 191.3 303.6C181.7 311.5 176 323.3 176 336C176 351.9 184.1 366.4 199.1 373.5L179.5 398C173.1 404.9 175.1 414.1 182 420.5C188.9 426 198.1 424.9 204.5 417.1L228.4 388.1L235.7 391.7L225.1 418.1C221.9 426.3 225.9 435.6 234.1 438.9C242.3 442.1 251.6 438.1 254.9 429.9L264.8 405C267.2 405.7 269.6 406.3 272 406.8V432C272 440.8 279.2 448 288 448C296.8 448 304 440.8 304 432V406.8C306.4 406.3 308.8 405.7 311.2 405L321.1 429.9C324.4 438.1 333.7 442.1 341.9 438.9C350.1 435.6 354.1 426.3 350.9 418.1L340.3 391.7L347.6 388.1L371.5 417.1C377 424.9 387.1 426 393.1 420.5C400.9 414.1 402 404.9 396.5 398L376.9 373.5C391 366.4 400 351.9 400 336C400 323.3 394.3 311.5 384.7 303.6C433.6 299.2 472 258.1 472 208H539.5C542.5 223.5 544 239.6 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256H32zM349.9 266.5C349.3 266.2 348.4 265.7 347.3 265.1L325.1 229.5C322.5 223.7 317.8 218.9 312.4 215.3C312.1 212.9 312 210.5 312 208C312 172.7 340.7 144 376 144C411.3 144 440 172.7 440 208C440 243.3 411.3 272 376 272C366.7 272 357.9 270 349.9 266.5zM376 240C389.3 240 400 229.3 400 216C400 202.7 389.3 192 376 192C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240zM264 208C264 210.5 263.9 212.9 263.6 215.3C258.2 218.9 253.5 223.7 250 229.5L228.7 265.1C227.6 265.7 226.7 266.2 226.1 266.5C218.1 270 209.3 272 200 272C164.7 272 136 243.3 136 208C136 172.7 164.7 144 200 144C235.3 144 264 172.7 264 208zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240C213.3 240 224 229.3 224 216C224 202.7 213.3 192 200 192zM44.75 176C78.34 73.79 174.6 0 288 0C401.4 0 497.7 73.79 531.3 176H466.5C461.3 161.1 452.5 147.1 441.1 137.5L446.3 127.2C450.3 119.3 447.1 109.6 439.2 105.7C431.3 101.7 421.6 104.9 417.7 112.8L414.2 119.9C409.6 117.9 404.9 116.3 400 115V96C400 87.16 392.8 80 384 80C375.2 80 368 87.16 368 96V112.3C363.6 112.7 359.3 113.4 355 114.3L350.3 104.8C346.4 96.94 336.7 93.74 328.8 97.69C320.9 101.6 317.7 111.3 321.7 119.2L325.3 126.4C308.9 136.7 295.8 151.7 288 169.6C280.2 151.7 267.1 136.7 250.7 126.4L254.3 119.2C258.3 111.3 255.1 101.6 247.2 97.69C239.3 93.74 229.6 96.94 225.7 104.8L220.1 114.3C216.7 113.4 212.4 112.7 208 112.3V96C208 87.16 200.8 80 192 80C183.2 80 176 87.16 176 96V115C171.1 116.3 166.4 117.9 161.8 119.9L158.3 112.8C154.4 104.9 144.7 101.7 136.8 105.7C128.9 109.6 125.7 119.3 129.7 127.2L134.9 137.5C123.5 147.1 114.7 161.1 109.5 176H44.75zM298.5 245.1L340.7 316.2L362.5 327.2C365.9 328.8 368 332.3 368 336C368 339.7 365.9 343.2 362.5 344.8L309.5 371.4C295.1 378.1 280 378.1 266.5 371.4L213.5 344.8C210.1 343.2 208 339.7 208 336C208 332.3 210.1 328.8 213.5 327.2L235.3 316.2L277.5 245.1C279.7 242.3 283.7 239.1 288 239.1C292.3 239.1 296.3 242.3 298.5 245.1V245.1z"],
    "face-dizzy": [512, 512, ["dizzy"], "f567", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416zM100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3zM292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3z"],
    "face-dotted": [512, 512, [129765], "e47f", "M215.1 3.115C229 1.062 242.4 0 255.1 0C269.6 0 282.1 1.062 296 3.115C313.5 5.858 325.4 22.24 322.7 39.69C319.9 57.15 303.5 69.08 286.1 66.34C276.3 64.8 266.3 64 255.1 64C245.7 64 235.7 64.8 225.9 66.34C208.5 69.08 192.1 57.15 189.3 39.69C186.6 22.24 198.5 5.858 215.1 3.115V3.115zM150.2 55.94C160.6 70.23 157.4 90.24 143.2 100.6C126.9 112.5 112.5 126.9 100.6 143.2C90.24 157.4 70.22 160.6 55.94 150.2C41.65 139.8 38.49 119.8 48.89 105.5C64.68 83.8 83.8 64.68 105.5 48.89C119.8 38.49 139.8 41.65 150.2 55.94V55.94zM361.8 55.94C372.2 41.65 392.2 38.49 406.5 48.89C428.2 64.68 447.3 83.8 463.1 105.5C473.5 119.8 470.4 139.8 456.1 150.2C441.8 160.6 421.8 157.4 411.4 143.2C399.5 126.9 385.1 112.5 368.8 100.6C354.6 90.24 351.4 70.23 361.8 55.94V55.94zM472.3 189.3C489.8 186.6 506.1 198.5 508.9 215.1C510.9 229 512 242.4 512 256C512 269.6 510.9 282.1 508.9 296C506.1 313.5 489.8 325.4 472.3 322.7C454.8 319.9 442.9 303.5 445.7 286.1C447.2 276.3 448 266.3 448 256C448 245.7 447.2 235.7 445.7 225.9C442.9 208.5 454.8 192.1 472.3 189.3V189.3zM39.69 189.3C57.15 192.1 69.08 208.5 66.34 225.9C64.8 235.7 64 245.7 64 256C64 266.3 64.8 276.3 66.34 286.1C69.08 303.5 57.15 319.9 39.69 322.7C22.24 325.4 5.858 313.5 3.115 296C1.062 282.1 0 269.6 0 256C0 242.4 1.062 229 3.115 215.1C5.858 198.5 22.24 186.6 39.69 189.3V189.3zM55.94 361.8C70.23 351.4 90.24 354.6 100.6 368.8C112.5 385.1 126.9 399.5 143.2 411.4C157.4 421.8 160.6 441.8 150.2 456.1C139.8 470.4 119.8 473.5 105.5 463.1C83.8 447.3 64.68 428.2 48.89 406.5C38.49 392.2 41.65 372.2 55.94 361.8V361.8zM456.1 361.8C470.4 372.2 473.5 392.2 463.1 406.5C447.3 428.2 428.2 447.3 406.5 463.1C392.2 473.5 372.2 470.4 361.8 456.1C351.4 441.8 354.6 421.8 368.8 411.4C385.1 399.5 399.5 385.1 411.4 368.8C421.8 354.6 441.8 351.4 456.1 361.8V361.8zM189.3 472.3C192.1 454.8 208.5 442.9 225.9 445.7C235.7 447.2 245.7 448 255.1 448C266.3 448 276.3 447.2 286.1 445.7C303.5 442.9 319.9 454.8 322.7 472.3C325.4 489.8 313.5 506.1 296 508.9C282.1 510.9 269.6 512 255.1 512C242.4 512 229 510.9 215.1 508.9C198.5 506.1 186.6 489.8 189.3 472.3zM144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H183.1C170.7 376 159.1 365.3 159.1 352C159.1 338.7 170.7 328 183.1 328H328z"],
    "face-downcast-sweat": [512, 512, [], "e371", "M35.23 126.3C14.94 120.8 0 102.7 0 81.01C0 61.02 28.55 20.65 41.6 3.281C44.8-1.094 51.2-1.094 54.4 3.281C63.94 15.86 81.49 40.51 90.43 60.74C90.75 61.46 91.06 62.17 91.35 62.87C94.22 69.74 95.1 76.01 95.1 81.01C95.1 107 74.46 128 47.1 128C43.58 128 39.3 127.4 35.23 126.3L35.23 126.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 220.2 7.341 186.1 20.6 155.2C29.19 158.3 38.43 160 48 160C91.45 160 128 125.4 128 81.01C128 69.58 124.2 58.57 120.9 50.53C119.6 47.43 118.1 44.32 116.6 41.23C156.7 15.15 204.6 .0008 256 .0008C397.4 .0008 512 114.6 512 256V256zM256 384C284.5 384 304.4 397.7 316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384H256zM112 288H208C216.8 288 224 280.8 224 272C224 263.2 216.8 256 208 256H112C103.2 256 96 263.2 96 272C96 280.8 103.2 288 112 288zM304 256C295.2 256 288 263.2 288 272C288 280.8 295.2 288 304 288H400C408.8 288 416 280.8 416 272C416 263.2 408.8 256 400 256H304z"],
    "face-drooling": [512, 512, [], "e372", "M384 344.2C388.6 339.5 392.7 334.7 396.5 329.1C402 323.1 400.9 313 393.1 307.5C387.1 301.1 377 303.1 371.5 310C348.7 338.5 310.2 368 256 368C201.8 368 163.3 338.5 140.5 310C134.1 303.1 124.9 301.1 118 307.5C111.1 313 109.1 323.1 115.5 329.1C142.2 363.3 189 400 256 400C267.2 400 277.9 398.1 288 397.1V448C288 456.8 295.2 464 304 464C312.8 464 320 456.8 320 448V387.8C331.7 383.1 342.3 377.4 352 370.9V493.4C322.4 505.4 289.9 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8L384 344.2zM192 176C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144C167.9 144 149.5 154.2 136.6 166.4C123.1 178.4 116.2 192.7 112.8 202.9C110 211.3 114.6 220.4 122.9 223.2C131.3 225.1 140.4 221.4 143.2 213.1C145.1 207.3 150.2 197.6 158.6 189.6C166.8 181.8 177.7 176 192 176L192 176zM389.1 223.2C397.4 220.4 401.1 211.3 399.2 202.9C395.8 192.7 388 178.4 375.4 166.4C362.5 154.2 344.1 143.1 320 143.1C311.2 143.1 304 151.2 304 159.1C304 168.8 311.2 175.1 320 175.1C334.3 175.1 345.2 181.8 353.4 189.6C361.8 197.6 366.9 207.3 368.8 213.1C371.6 221.4 380.7 225.1 389.1 223.2V223.2z"],
    "face-exhaling": [576, 512, [], "e480", "M32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 258.8 543.1 261.6 543.9 264.5C541.2 264.2 538.5 264 535.8 264C514.4 264 495.2 273.3 482.1 288C481.4 288 480.7 288 480 288C448.5 288 422.3 310.7 416.1 340.7L374.8 353.4C361.3 357.4 352 369.9 352 384C352 398.1 361.3 410.6 374.8 414.6L416.1 427.3C419.6 441.7 426.1 454.5 437.5 463.8C395.4 494.1 343.8 512 288 512C146.6 512 32 397.4 32 256V256zM227.2 238.4C209.6 261.9 174.4 261.9 156.8 238.4C151.5 231.3 141.5 229.9 134.4 235.2C127.3 240.5 125.9 250.5 131.2 257.6C161.6 298.1 222.4 298.1 252.8 257.6C258.1 250.5 256.7 240.5 249.6 235.2C242.5 229.9 232.5 231.3 227.2 238.4zM326.4 235.2C319.3 240.5 317.9 250.5 323.2 257.6C353.6 298.1 414.4 298.1 444.8 257.6C450.1 250.5 448.7 240.5 441.6 235.2C434.5 229.9 424.5 231.3 419.2 238.4C401.6 261.9 366.4 261.9 348.8 238.4C343.5 231.3 333.5 229.9 326.4 235.2V235.2zM288 424C310.1 424 328 406.1 328 384C328 361.9 310.1 344 288 344C265.9 344 248 361.9 248 384C248 406.1 265.9 424 288 424zM608 383.1C608 405.1 594.4 423.1 575.4 429.5C575.5 430.3 575.5 431.2 575.5 432C575.5 454.1 557.6 472 535.5 472C521.4 472 508.9 464.6 501.8 453.5C497.5 455.1 492.8 456 487.8 456C465.8 456 447.9 438.1 447.9 416C447.9 411.7 448.6 407.6 449.8 403.8L384 384L448.2 364.7C447.1 363.2 447.9 361.6 447.9 360C447.9 337.9 465.8 320 487.8 320C491.5 320 494.1 320.5 498.3 321.4C504.2 306.5 518.6 296 535.5 296C557.6 296 575.5 313.9 575.5 336C575.5 336.8 575.5 337.7 575.4 338.5C594.4 344.9 608 362.9 608 383.1V383.1z"],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", "M320 196.5C320 204.3 322.5 211.9 327 218C312.5 211.4 295.5 212.4 281.8 221L264.5 231.8C259.3 235.1 252.7 235.1 247.5 231.8L230.2 221C216.5 212.4 199.5 211.4 184.1 218C189.5 211.9 191.1 204.3 191.1 196.5V192C191.1 174.3 177.7 160 159.1 160H119.1C89.07 160 63.1 134.9 63.1 104C63.1 73.07 89.07 48 119.1 48C128.9 48 137.3 50.08 144.8 53.78C149.7 23.29 176.1 0 207.1 0C227.1 0 244.3 8.38 255.1 21.67C267.7 8.38 284.9 0 304 0C335.9 0 362.3 23.29 367.2 53.78C374.7 50.08 383.1 48 392 48C422.9 48 448 73.07 448 104C448 134.9 422.9 160 392 160H352C334.3 160 320 174.3 320 192V196.5zM298.1 248C304 244.1 310.4 244.1 315.4 248C315.5 248.1 315.6 248.1 315.7 248.2L332.1 258.1C348.5 268.7 368.3 268.7 383.8 258.1L401.1 248.2C406.3 244.9 412.9 244.9 418.1 248.2L438.8 261.1C451.6 269.1 467.4 270.6 481.4 265.2L511.1 253.5C511.1 254.3 512 255.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 255.2 .0042 254.3 .0125 253.5L30.55 265.2C44.63 270.6 60.43 269.1 73.22 261.1L93.92 248.2C99.11 244.9 105.7 244.9 110.9 248.2L128.2 258.1C143.7 268.7 163.5 268.7 179 258.1L196.3 248.2C196.4 248.1 196.5 248.1 196.6 248C201.6 244.1 207.1 244.1 213 248C213.1 248.1 213.2 248.1 213.3 248.2L230.6 258.1C246.1 268.7 265.9 268.7 281.4 258.1L298.7 248.2C298.8 248.1 298.9 248.1 298.1 248L298.1 248zM176.4 304C158.7 304 144.4 318.3 144.4 336C144.4 353.7 158.7 368 176.4 368C194 368 208.4 353.7 208.4 336C208.4 318.3 194 304 176.4 304zM336.4 368C354 368 368.4 353.7 368.4 336C368.4 318.3 354 304 336.4 304C318.7 304 304.4 318.3 304.4 336C304.4 353.7 318.7 368 336.4 368zM202.7 448H309.3C315.2 448 320 443.2 320 437.3C320 407.9 296.1 384 266.7 384H245.3C215.9 384 191.1 407.9 191.1 437.3C191.1 443.2 196.8 448 202.7 448H202.7z"],
    "face-expressionless": [512, 512, [], "e373", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160zM144 224H208C216.8 224 224 216.8 224 208C224 199.2 216.8 192 208 192H144C135.2 192 128 199.2 128 208C128 216.8 135.2 224 144 224zM304 192C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224H368C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192H304z"],
    "face-eyes-xmarks": [512, 512, [], "e374", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7zM315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7zM256 304C211.8 304 176 339.8 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 339.8 300.2 304 256 304z"],
    "face-fearful": [512, 512, [], "e375", "M192.4 224C192.4 241.7 178 256 160.4 256C142.7 256 128.4 241.7 128.4 224C128.4 206.3 142.7 192 160.4 192C178 192 192.4 206.3 192.4 224zM320.4 224C320.4 206.3 334.7 192 352.4 192C370 192 384.4 206.3 384.4 224C384.4 241.7 370 256 352.4 256C334.7 256 320.4 241.7 320.4 224zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288zM192 96C192 87.16 184.8 80 176 80C170.2 80 164.4 80.38 158.8 81.13C130.6 84.85 105.1 97.58 85.08 116.3C78.62 122.3 78.28 132.5 84.31 138.9C90.34 145.4 100.5 145.7 106.9 139.7C122.4 125.2 141.8 115.7 162.1 112.9C167.2 112.3 171.6 112 176 112C184.8 112 192 104.8 192 96V96zM405.1 139.7C411.5 145.7 421.7 145.4 427.7 138.9C433.7 132.5 433.4 122.3 426.9 116.3C406.9 97.58 381.4 84.85 353.2 81.13C347.6 80.38 341.8 80 336 80C327.2 80 320 87.16 320 96C320 104.8 327.2 112 336 112C340.4 112 344.8 112.3 349 112.9C370.2 115.7 389.6 125.2 405.1 139.7z"],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", "M184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224zM376 224C376 237.3 365.3 248 352 248C338.7 248 328 237.3 328 224C328 210.7 338.7 200 352 200C365.3 200 376 210.7 376 224zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400zM160 296C199.8 296 232 263.8 232 224C232 184.2 199.8 152 160 152C120.2 152 88 184.2 88 224C88 263.8 120.2 296 160 296zM352 152C312.2 152 280 184.2 280 224C280 263.8 312.2 296 352 296C391.8 296 424 263.8 424 224C424 184.2 391.8 152 352 152z"],
    "face-frown": [512, 512, [9785, "frown"], "f119", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM159.3 388.7C171.5 349.4 209.9 320 256 320C302.1 320 340.5 349.4 352.7 388.7C355.3 397.2 364.3 401.9 372.7 399.3C381.2 396.7 385.9 387.7 383.3 379.3C366.8 326.1 315.8 287.1 256 287.1C196.3 287.1 145.2 326.1 128.7 379.3C126.1 387.7 130.8 396.7 139.3 399.3C147.7 401.9 156.7 397.2 159.3 388.7H159.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM259.9 369.4C288.8 369.4 316.2 375.2 340.6 385.5C352.9 390.7 366.7 381.3 361.4 369.1C344.8 330.9 305.6 303.1 259.9 303.1C214.3 303.1 175.1 330.8 158.4 369.1C153.1 381.3 166.1 390.6 179.3 385.4C203.7 375.1 231 369.4 259.9 369.4L259.9 369.4z"],
    "face-frown-slight": [512, 512, [], "e376", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM347.9 394.5C353.7 401.2 363.8 401.9 370.5 396.1C377.2 390.3 377.9 380.2 372.1 373.5C349.8 347.9 311.1 320 256 320C200.9 320 162.2 347.9 139.9 373.5C134.1 380.2 134.8 390.3 141.5 396.1C148.2 401.9 158.3 401.2 164.1 394.5C182 373.8 212.6 352 256 352C299.4 352 329.1 373.8 347.9 394.5H347.9zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-glasses": [512, 512, [], "e377", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.9 2.8 212.5 8.065 192H48V248C48 278.9 73.07 304 104 304H184C214.9 304 240 278.9 240 248V192H272V248C272 278.9 297.1 304 328 304H408C438.9 304 464 278.9 464 248V192H503.9C509.2 212.5 512 233.9 512 256zM139.9 362.5C162.2 388.1 200.9 416 256 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.1 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5H139.9zM493.4 160H458.6C449.6 141.1 430.3 128 408 128H328C305.7 128 286.4 141.1 277.4 160H234.6C225.6 141.1 206.3 128 184 128H104C81.66 128 62.38 141.1 53.39 160H18.61C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160zM80 184C80 170.7 90.75 160 104 160H184C197.3 160 208 170.7 208 184V248C208 261.3 197.3 272 184 272H104C90.75 272 80 261.3 80 248V184zM160.4 200C147.1 200 136.4 210.7 136.4 224C136.4 237.3 147.1 248 160.4 248C173.6 248 184.4 237.3 184.4 224C184.4 210.7 173.6 200 160.4 200zM304 184C304 170.7 314.7 160 328 160H408C421.3 160 432 170.7 432 184V248C432 261.3 421.3 272 408 272H328C314.7 272 304 261.3 304 248V184zM352.4 248C365.6 248 376.4 237.3 376.4 224C376.4 210.7 365.6 200 352.4 200C339.1 200 328.4 210.7 328.4 224C328.4 237.3 339.1 248 352.4 248z"],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM399.3 360H344V400H352C375.8 400 395.5 382.7 399.3 360zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400H328zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-grin": [512, 512, [128512, "grin"], "f580", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", "M464 128C437.5 128 416 107 416 81.01C416 76.01 417.8 69.74 420.6 62.87C420.9 62.17 421.2 61.46 421.6 60.74C430.5 40.51 448.1 15.86 457.6 3.282C460.8-1.093 467.2-1.094 470.4 3.281C483.4 20.65 512 61.02 512 81.01C512 102.7 497.1 120.8 476.8 126.3C472.7 127.4 468.4 128 464 128L464 128zM256 .0003C307.4 .0003 355.3 15.15 395.4 41.23C393.9 44.32 392.4 47.43 391.1 50.53C387.8 58.57 384 69.57 384 81.01C384 125.4 420.6 160 464 160C473.6 160 482.8 158.3 491.4 155.2C504.7 186.1 512 220.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V.0003zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM199.3 129.1C181.5 124.4 163.2 134.9 158.4 152.7L154.1 168.8L137.1 164.5C120.2 159.7 101.9 170.3 97.14 188.1C92.38 205.8 102.9 224.1 120.7 228.9L185.8 246.3C194.4 248.6 203.1 243.6 205.4 235L222.9 169.1C227.6 152.2 217.1 133.9 199.3 129.1H199.3zM353.6 152.7C348.8 134.9 330.5 124.4 312.7 129.1C294.9 133.9 284.4 152.2 289.1 169.1L306.6 235C308.9 243.6 317.6 248.6 326.2 246.3L391.3 228.9C409.1 224.1 419.6 205.8 414.9 188.1C410.1 170.3 391.8 159.7 374 164.5L357.9 168.8L353.6 152.7z"],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z"],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", "M426.8 14.18C446-5.046 477.5-4.645 497.1 14.92C516.6 34.49 517 65.95 497.8 85.18C490.1 92.02 476.4 97.59 460.5 101.9C444.1 106.3 426.4 109.4 414.1 111.2C412.5 111.5 410.1 111.7 409.6 111.9C403.1 112.8 399.2 108 400.1 102.4C401.7 91.19 404.7 72.82 409.1 55.42C409.4 54.12 409.8 52.84 410.1 51.56C414.4 35.62 419.1 21.02 426.8 14.18L426.8 14.18zM382.2 33.17C380.6 37.96 379.3 42.81 378.1 47.52C373.3 66.46 370.1 86.05 368.4 97.79C364.5 124.6 387.4 147.5 414.1 143.6C426 141.9 445.6 138.8 464.5 133.9C469.2 132.7 474.1 131.4 478.8 129.9C534.2 227.5 520.2 353.8 437 437C353.8 520.3 227.5 534.2 129.8 478.8C131.3 474 132.7 469.2 133.9 464.5C138.7 445.5 141.9 425.1 143.6 414.2C147.5 387.4 124.6 364.5 97.89 368.4C85.97 370.1 66.39 373.2 47.46 378.1C42.76 379.3 37.93 380.6 33.15 382.1C-22.19 284.5-8.245 158.2 74.98 74.98C158.2-8.253 284.5-22.19 382.2 33.17V33.17zM416.4 202.3C411.6 190.4 395.6 191.4 389.6 202.7C370.1 239.4 343.3 275.9 309.8 309.4C276.3 342.9 239.8 369.7 203.1 389.2C191.8 395.2 190.8 411.2 202.7 416C262.1 440.2 332.6 428.3 380.7 380.3C428.7 332.2 440.6 261.7 416.4 202.3H416.4zM94.43 288.5L150.5 293.6L155.6 349.7C155.8 352.5 157.1 355 159 357C165.4 363.4 176.2 360.7 178.8 352.1L208.5 254.6C211.1 242.1 201.1 232.1 189.5 235.7L92.05 265.3C83.46 267.9 80.76 278.7 87.1 285.1C89.07 287.1 91.66 288.3 94.43 288.5V288.5zM235.7 189.5C232.1 201.1 242.1 211.1 254.6 208.5L352.1 178.8C360.7 176.2 363.4 165.4 357 159C355 157.1 352.5 155.8 349.7 155.6L293.6 150.5L288.5 94.43C288.3 91.66 287.1 89.07 285.1 87.1C278.7 80.76 267.9 83.46 265.3 92.05L235.7 189.5zM51.53 410.1C70.01 405.1 90.3 401.8 102.4 400.1C108 399.2 112.8 403.1 111.9 409.6C110.2 421.7 106.9 441.9 101.9 460.4C97.57 476.4 92.02 490.1 85.18 497.8C65.95 517 34.49 516.6 14.92 497.1C-4.645 477.5-5.046 446 14.18 426.8C21.02 419.1 35.6 414.4 51.53 410.1V410.1z"],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5H407.4zM152.8 124.6L136.2 159.3L98.09 164.3C95.03 164.7 92.48 166.8 91.52 169.8C90.57 172.7 91.39 175.9 93.62 178L121.5 204.5L114.5 242.3C113.1 245.4 115.2 248.4 117.7 250.2C120.2 252.1 123.5 252.3 126.2 250.8L159.1 232.5L193.8 250.8C196.5 252.3 199.8 252.1 202.3 250.2C204.8 248.4 206 245.4 205.5 242.3L198.5 204.5L226.4 178C228.6 175.9 229.4 172.7 228.5 169.8C227.5 166.8 224.1 164.7 221.9 164.3L183.8 159.3L167.2 124.6C165.9 121.8 163.1 120 159.1 120C156.9 120 154.1 121.8 152.8 124.6V124.6zM344.8 124.6L328.2 159.3L290.1 164.3C287 164.7 284.5 166.8 283.5 169.8C282.6 172.7 283.4 175.9 285.6 178L313.5 204.5L306.5 242.3C305.1 245.4 307.2 248.4 309.7 250.2C312.2 252.1 315.5 252.3 318.2 250.8L352 232.5L385.8 250.8C388.5 252.3 391.8 252.1 394.3 250.2C396.8 248.4 398 245.4 397.5 242.3L390.5 204.5L418.4 178C420.6 175.9 421.4 172.7 420.5 169.8C419.5 166.8 416.1 164.7 413.9 164.3L375.8 159.3L359.2 124.6C357.9 121.8 355.1 120 352 120C348.9 120 346.1 121.8 344.8 124.6H344.8z"],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", "M548.6 371.4C506.4 454.8 419.9 512 319.1 512C220.1 512 133.6 454.8 91.4 371.4C95.87 368.4 100.1 365 104.1 361.1C112.2 352.1 117.3 342.5 120.6 334.4C124.2 325.7 127.1 316 129.4 306.9C134 288.7 137 269.1 138.6 258.7C142.6 232.2 119.9 209.5 93.4 213.3C86.59 214.3 77.18 215.7 66.84 217.7C85.31 94.5 191.6 0 319.1 0C448.4 0 554.7 94.5 573.2 217.7C562.8 215.7 553.4 214.3 546.6 213.3C520.1 209.5 497.4 232.2 501.4 258.7C502.1 269.1 505.1 288.7 510.6 306.9C512.9 316 515.8 325.7 519.4 334.4C522.7 342.5 527.8 352.1 535.9 361.1C539.9 365 544.1 368.4 548.6 371.4V371.4zM471.4 331.5C476.4 319.7 464.4 309 452.1 312.8C412.4 324.9 367.7 331.8 320.3 331.8C272.9 331.8 228.1 324.9 188.5 312.8C176.2 309 164.2 319.7 169.2 331.5C194.1 390.6 252.4 432 320.3 432C388.2 432 446.4 390.6 471.4 331.5H471.4zM281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8zM450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6V231.6zM106.1 254.1C103.9 275.6 95.58 324.3 81.43 338.4C80.49 339.4 79.51 340.3 78.5 341.1C59.98 356.7 32.01 355.5 14.27 337.7C-4.442 319-4.825 288.9 13.55 270.6C22.19 261.9 43.69 255.4 64.05 250.1C77.02 248.2 89.53 246.2 97.94 245C103.3 244.2 107.8 248.7 106.1 254.1V254.1zM561.5 341.1C560.7 340.5 559.1 339.8 559.2 339.1C559 338.9 558.8 338.7 558.6 338.4C544.4 324.3 536.1 275.6 533 254.1C532.2 248.7 536.7 244.2 542.1 245C543.1 245.2 544.2 245.3 545.4 245.5C553.6 246.7 564.6 248.5 575.1 250.1C596.3 255.4 617.8 261.9 626.4 270.6C644.8 288.9 644.4 319 625.7 337.7C607.1 355.5 580 356.7 561.5 341.1L561.5 341.1z"],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", "M256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 160 400.7V448C160 466.6 165.3 484 174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", "M256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 160 400.7V448C160 466.6 165.3 484 174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM118.8 148.8L154.8 192L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8V148.8zM288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 192L393.2 148.8C395 146.6 396 143.9 396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", "M312 208C312 194.7 322.7 184 336 184C349.3 184 360 194.7 360 208C360 221.3 349.3 232 336 232C322.7 232 312 221.3 312 208zM174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM336 272C371.3 272 400 243.3 400 208C400 172.7 371.3 144 336 144C300.7 144 272 172.7 272 208C272 243.3 300.7 272 336 272zM320 402.6V448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V402.6z"],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176 128C158.3 128 144 156.7 144 192C144 227.3 158.3 256 176 256C193.7 256 208 227.3 208 192C208 156.7 193.7 128 176 128zM336 256C353.7 256 368 227.3 368 192C368 156.7 353.7 128 336 128C318.3 128 304 156.7 304 192C304 227.3 318.3 256 336 256z"],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240z"],
    "face-hand-over-mouth": [512, 512, [129762], "e378", "M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-hand-peeking": [640, 512, [129763], "e481", "M485.2 170.5L447.2 143.5C436.4 135.7 422.1 134.1 411.2 138.1C405 136.7 398.6 136 392 136C343.4 136 304 175.4 304 224C304 264.3 331.1 298.3 368.1 308.7C368 309.8 368 310.9 368 311.1C368 334.1 385.9 352 408 352H416C416 352.3 416 352.6 416 352.9C416 374.1 433.9 392.9 456 392.9H520.8C526.3 392.9 531.7 392.5 537.1 391.8C491.8 463.1 411.5 512 319.1 512C210.4 512 116.1 443.2 80.43 346.4C92.79 350.7 105.9 352.9 119.2 352.9H183.1C206.1 352.9 223.1 334.1 223.1 312.9C223.1 312.6 223.1 312.3 223.1 312H232C254.1 312 272 294.1 272 272C272 269.4 271.8 266.9 271.3 264.5C281.4 257.3 288 245.4 288 231.1C288 218.6 281.4 206.7 271.3 199.5C271.8 197.1 272 194.6 272 192C272 169.9 254.1 152 232 152H156.8L158.2 150.5C175.4 133.4 175.4 105.5 158.2 88.32C152.3 82.35 144.1 78.45 137.3 76.63C183.8 29.34 248.5 0 319.1 0C417.5 0 502.2 54.49 545.5 134.7C529.6 128.2 510.7 131.4 497.8 144.3C490.4 151.7 486.2 160.1 485.2 170.5V170.5zM319.1 448C355.3 448 384 426.5 384 400C384 373.5 355.3 352 319.1 352C284.7 352 255.1 373.5 255.1 400C255.1 426.5 284.7 448 319.1 448zM374.5 240C370.7 235.8 368.4 230.1 368.4 224C368.4 210.7 379.1 200 392.4 200C405.6 200 416.4 210.7 416.4 224C416.4 230.1 414.1 235.8 410.3 240H374.5zM248 192C248 200.8 240.8 208 232 208H169.6C167.4 208 165.6 209.8 165.6 212C165.6 214.2 167.4 216 169.6 216H248C256.8 216 264 223.2 264 232C264 240.8 256.8 248 248 248H169.6C167.4 248 165.6 249.8 165.6 252C165.6 254.2 167.4 256 169.6 256H232C240.8 256 248 263.2 248 272C248 280.8 240.8 288 232 288H170C167.6 288 165.6 289.1 165.6 292.5C165.6 294.9 167.6 296.9 170 296.9H183.1C192.8 296.9 199.1 304.1 199.1 312.9C199.1 321.7 192.8 328.9 183.1 328.9H119.2C93.95 328.9 69.73 318.9 51.88 301C14.98 264.1 14.71 204.4 51.08 167.2L51.88 166.4L112.1 105.3C120.8 97.48 133.5 97.48 141.3 105.3C149.1 113.1 149.1 125.8 141.3 133.6L112.5 162.3C107.5 167.4 111 176 118.2 176H232C240.8 176 248 183.2 248 192L248 192zM433.3 162.1L515.1 221.4C517.3 223 520.1 223.7 522.9 223.4C532.2 222.3 536.1 210.1 529.5 204.4L514.7 189.6C506.9 181.8 506.9 169.1 514.7 161.3C522.5 153.5 535.2 153.5 543 161.3L588.1 206.4L588.9 207.2C625.3 244.4 625 304.1 588.1 341C570.3 358.9 546.1 368.9 520.8 368.9H456C447.2 368.9 440 361.7 440 352.9C440 344.1 447.2 336.9 456 336.9H475.5C478 336.9 480 334.9 480 332.5C480 329.1 478 328 475.5 328H408C399.2 328 392 320.8 392 311.1C392 303.2 399.2 295.1 408 295.1H476C478.2 295.1 480 294.2 480 291.1C480 289.8 478.2 287.1 476 287.1H392C383.2 287.1 376 280.8 376 271.1C376 263.2 383.2 255.1 392 255.1H466.6C473.1 255.1 480 249.1 480 242.6C480 238.2 477.9 234.2 474.4 231.6L414.7 189C407.5 183.9 405.8 173.9 410.1 166.7C416.1 159.5 426.1 157.8 433.3 162.1H433.3z"],
    "face-hand-yawn": [512, 512, [], "e379", "M385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C358.6 258.7 342.9 254.2 328.1 256.6C310.5 236.6 284.7 223.1 256 223.1C217.8 223.1 184.8 246.3 169.3 278.7C167.6 278.5 165.8 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9zM182 99.51L102 163.5C95.1 169 93.99 179.1 99.51 185.1C105 192.9 115.1 194 121.1 188.5L201.1 124.5C208.9 118.1 210 108.9 204.5 102C198.1 95.1 188.9 93.99 182 99.51V99.51zM390 188.5C396.9 194 406.1 192.9 412.5 185.1C418 179.1 416.9 169 409.1 163.5L329.1 99.51C323.1 93.99 313 95.1 307.5 102C301.1 108.9 303.1 118.1 310 124.5L390 188.5zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-head-bandage": [576, 512, [], "e37a", "M368.1 12.79C383.9 9.583 399.1 6.958 416.2 4.94C423.3 4.053 430.5 5.589 436.7 9.302C465.9 26.93 491.7 49.58 512.9 76.06C516.8 80.97 519.1 86.82 519.7 92.85C525.3 95.47 529.1 99.66 533.3 104.9C549.1 130.6 560.1 158.9 568.2 189C570.8 200.1 567.3 211.8 558.1 219.7C554.3 224.1 548.6 226.9 542.5 227.1C543.5 237.2 544 246.5 544 256C544 397.4 429.4 512 288 512C185.9 512 97.76 452.2 56.66 365.8C51.59 367.8 45.99 368.5 40.37 367.8C28.27 366.1 18.19 357.7 14.37 346.1C5.037 317.7 0 287.4 0 256C0 252.6 .0595 249.2 .1779 245.8C.4291 238.6 3.099 231.7 7.756 226.2C10.17 223.4 12.61 220.5 15.08 217.7C8.155 209.1 5.4 199.2 7.839 189C15.02 158.9 26.94 130.6 42.75 104.9C47.18 97.76 54.28 92.62 62.49 90.64C74.84 87.67 87.28 84.94 99.81 82.44C146.6 31.75 213.6 0 288 0C315.1 0 342.9 4.491 368.1 12.79V12.79zM143.1 107.2C142.3 107.4 141.5 107.5 140.7 107.6C116.8 111.4 93.22 116.2 69.98 121.8C62.55 133.8 56.09 146.5 50.7 159.8C46.67 169.7 43.24 179.1 40.46 190.5C39.94 192.4 39.44 194.4 38.97 196.4C50.87 192.9 62.88 189.5 74.1 186.5C81.92 184.7 88.87 183 95.85 181.4C141.6 171 188.8 164.3 237 161.5C253.9 160.5 270.9 159.1 287.1 159.1C297.2 159.1 306.3 160.1 315.5 160.4C315.7 160.4 315.1 160.4 316.2 160.5C379.8 162.5 441.6 171.4 501 186.5C513.1 189.5 525.1 192.9 537 196.4C534 183.8 530.1 171.6 525.3 159.8C519.1 146.7 513.6 134.1 506.3 122.2C506.2 122.1 506.1 121.9 506 121.8C475.4 114.4 444.2 108.5 412.6 104.3C410.4 103.1 408.2 103.7 405.1 103.4C367.3 98.53 327.1 95.1 287.1 95.1C264.9 95.1 241.9 96.85 219.2 98.51C193.6 100.4 168.2 103.3 143.1 107.2H143.1zM50.33 226.4C44.12 233.1 38.06 239.9 32.16 246.9C32.05 249.9 32 252.1 32 256C32 269.2 32.99 282.1 34.91 294.7C37.07 308.9 40.39 322.7 44.77 336.1C52.41 324.7 60.48 313.7 68.93 303C99.99 263.7 136.4 228.8 176.1 199.3C133.6 205.1 91.29 214.2 50.33 226.4H50.33zM208.4 271.1C226 271.1 240.4 257.7 240.4 239.1C240.4 225.9 231.2 213.9 218.5 209.6C203.9 219.1 189.9 229.2 176.4 240C176.4 257.7 190.7 271.1 208.4 271.1V271.1zM458.7 65.2C446.8 54.55 433.9 44.99 420.1 36.7C378.9 41.83 338.9 51.1 300.6 64.08C360.6 64.85 419.3 71.13 476.2 82.44C470.6 76.42 464.8 70.67 458.7 65.2L458.7 65.2zM373.2 397.5C379.8 403.5 389.9 402.1 395.8 396.5C401.8 389.9 401.3 379.8 394.8 373.8C373.2 354.3 340.2 336 296 336C279.6 336 264.6 338.5 251.2 342.8C242.8 345.4 238.1 354.4 240.7 362.8C243.4 371.2 252.4 375.9 260.8 373.3C271.2 370 282.9 368 296 368C330.8 368 356.4 382.2 373.2 397.5zM368.4 271.1C386 271.1 400.4 257.7 400.4 239.1C400.4 222.3 386 207.1 368.4 207.1C350.7 207.1 336.4 222.3 336.4 239.1C336.4 257.7 350.7 271.1 368.4 271.1z"],
    "face-holding-back-tears": [512, 512, [129401], "e482", "M128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.8 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM344.5 367.9C337.8 362.1 327.7 362.8 321.9 369.5C308.1 384.4 287.1 400 256 400C224.9 400 203 384.4 190.1 369.5C184.3 362.8 174.2 362.1 167.5 367.9C160.8 373.7 160.1 383.8 165.9 390.5C183.1 410.3 213.2 432 256 432C298.8 432 328.9 410.3 346.1 390.5C351.9 383.8 351.2 373.7 344.5 367.9zM240 240C240 198.5 208.5 164.4 168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 258 85.95 274.6 96 288V320C96 328.8 103.2 336 112 336C120.8 336 128 328.8 128 320V313.3C137.8 317.6 148.6 320 160 320C178 320 194.6 314 208 304C208 312.8 215.2 320 224 320C232.8 320 240 312.8 240 304V240zM384 320C384 328.8 391.2 336 400 336C408.8 336 416 328.8 416 320V288C426 274.6 432 258 432 240C432 221.1 426 205.4 416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C363.4 320 374.2 317.6 384 313.3V320z"],
    "face-hushed": [512, 512, [], "e37b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 288C194 288 208.4 273.7 208.4 256C208.4 238.3 194 224 176.4 224C158.7 224 144.4 238.3 144.4 256C144.4 273.7 158.7 288 176.4 288zM336.4 224C318.7 224 304.4 238.3 304.4 256C304.4 273.7 318.7 288 336.4 288C354 288 368.4 273.7 368.4 256C368.4 238.3 354 224 336.4 224zM178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9zM320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160zM256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432z"],
    "face-icicles": [512, 512, [], "e37c", "M512 256C512 264.3 511.6 272.6 510.8 280.7C510.8 281.2 510.8 281.8 510.7 282.3L495.9 482.4C494.7 499.1 480.8 512 464 512C447.2 512 433.3 499.1 432.1 482.4L429.3 444.4C424.3 449 419.1 453.5 413.7 457.7L402.2 490.6C397.7 503.4 385.6 512 372 512C360.5 512 350.1 505.9 344.5 496.3C316.9 506.5 287.1 512 256 512C186.6 512 123.7 484.4 77.6 439.6C71.87 444.9 64.26 448 56 448C40.36 448 27.01 436.7 24.44 421.3L6.455 313.4C2.231 294.9 0 275.7 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256H512zM56 416L76.05 295.7C78.12 283.3 68.56 272 56 272C43.44 272 33.88 283.3 35.95 295.7L56 416zM372 480L400 400V360H344V400L372 480zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400L296 448L328 400zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM464 480L485.8 247.9C486.1 235.1 476.9 224 464 224C451.1 224 441 235.1 442.2 247.9L464 480z"],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", "M461.8 334.6C448.1 300.8 411.5 280.3 374.3 290.7C334.2 301.9 312.4 343.8 322.4 382.8L345.3 472.1C347.3 479.7 350.9 486.4 355.7 491.8C325.1 504.8 291.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 285.3 507.1 313.4 498 339.7C486.9 334.1 474.5 333.1 461.8 334.6L461.8 334.6zM296 332C296 325.1 292.9 318.8 288.7 313.7C284.4 308.5 278.5 303.1 271.9 300.3C258.7 292.9 241.4 288 224 288C220.4 288 217.2 290.5 216.3 293.1C215.3 297.5 216.9 301.2 220.1 302.1L220.1 302.1L220.3 303.1C220.5 303.2 220.8 303.4 221.2 303.7C222 304.1 223.2 304.9 224.6 305.8C227.4 307.6 231.2 310.3 234.8 313.4C238.6 316.5 242 319.1 244.5 323.4C246.1 326.1 248 329.8 248 332C248 334.2 246.1 337 244.5 340.6C242 344 238.6 347.5 234.8 350.6C231.2 353.7 227.4 356.4 224.6 358.2C223.2 359.1 222 359.9 221.2 360.3C220.8 360.6 220.5 360.8 220.3 360.9L220.1 361L220.1 361C217.6 362.4 216 365.1 216 368C216 370.9 217.6 373.6 220.1 374.1L220.1 374.1L220.3 375.1L220.6 375.3L221.2 375.7C222 376.1 223.2 376.9 224.6 377.8C227.4 379.6 231.2 382.3 234.8 385.4C238.6 388.5 242 391.9 244.5 395.4C246.1 398.1 248 401.8 248 404C248 406.2 246.1 409 244.5 412.6C242 416 238.6 419.5 234.8 422.6C231.2 425.7 227.4 428.4 224.6 430.2C223.2 431.1 222 431.9 221.2 432.3C220.8 432.6 220.5 432.8 220.3 432.9L220.1 433L220.1 433C216.9 434.8 215.3 438.5 216.3 442C217.2 445.5 220.4 447.1 224 447.1C241.4 447.1 258.7 443.1 271.9 435.7C278.5 432 284.4 427.5 288.7 422.3C292.9 417.2 296 410.9 296 403.1C296 397.1 292.9 390.8 288.7 385.7C284.4 380.5 278.5 375.1 271.9 372.3C269.2 370.7 266.3 369.3 263.2 367.1C266.3 366.7 269.2 365.3 271.9 363.7C278.5 360 284.4 355.5 288.7 350.3C292.9 345.2 296 338.9 296 331.1V332zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM439.4 373.3L459.5 367.6C481.7 361.4 504.6 375.2 510.6 398.4C516.5 421.7 503.3 445.6 481.1 451.8L396.1 475.6C387.5 478 378.6 472.9 376.3 464.2L353.4 374.9C347.5 351.6 360.7 327.7 382.9 321.5C405.2 315.3 428 329.1 433.1 352.3L439.4 373.3z"],
    "face-laugh": [512, 512, ["laugh"], "f599", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z"],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z"],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM133.5 114.7C125.6 110.4 116 116.2 116 125.1C116 127.9 116.1 130.6 118.8 132.8L154.8 176L118.8 219.2C116.1 221.4 116 224.1 116 226.9C116 235.8 125.6 241.6 133.5 237.3L223.4 189.4C234.1 183.7 234.1 168.3 223.4 162.6L133.5 114.7zM396 125.1C396 116.2 386.4 110.4 378.5 114.7L288.6 162.6C277.9 168.3 277.9 183.7 288.6 189.4L378.5 237.3C386.4 241.6 396 235.8 396 226.9C396 224.1 395 221.4 393.2 219.2L357.2 176L393.2 132.8C395 130.6 396 127.9 396 125.1V125.1z"],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM300.8 217.6C318.4 194.1 353.6 194.1 371.2 217.6C376.5 224.7 386.5 226.1 393.6 220.8C400.7 215.5 402.1 205.5 396.8 198.4C366.4 157.9 305.6 157.9 275.2 198.4C269.9 205.5 271.3 215.5 278.4 220.8C285.5 226.1 295.5 224.7 300.8 217.6z"],
    "face-lying": [512, 512, [], "e37e", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C389.3 0 498.8 101.8 510.9 231.9C501.7 226.9 491.2 224 480 224H288C279.2 224 272 231.2 272 240C272 248.8 279.2 256 288 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H352C343.2 320 336 327.2 336 336C336 344.8 343.2 352 352 352H480C484.8 352 489.5 351.5 494 350.5C456.4 445.1 364 512 256 512V512zM176.4 144C158.7 144 144.4 158.3 144.4 176C144.4 193.7 158.7 208 176.4 208C194 208 208.4 193.7 208.4 176C208.4 158.3 194 144 176.4 144zM336.4 144C318.7 144 304.4 158.3 304.4 176C304.4 193.7 318.7 208 336.4 208C354 208 368.4 193.7 368.4 176C368.4 158.3 354 144 336.4 144zM188.8 393.6C200.5 378 219.1 368 239.1 368C249.1 368 257.8 369.9 265.6 373.3C273.7 376.9 283.1 373.2 286.7 365.1C290.2 356.1 286.5 347.5 278.4 343.1C266.6 338.8 253.6 336 239.1 336C208.6 336 180.7 351.1 163.2 374.4C157.9 381.4 159.3 391.5 166.4 396.8C173.5 402.1 183.5 400.7 188.8 393.6H188.8z"],
    "face-mask": [576, 512, [], "e37f", "M368 255.1H207.1C189.6 255.1 173.5 266.4 165.5 281.7L34.24 221.1C50.87 96.68 158.1 0 288 0C417.9 0 525.1 96.68 541.8 221.1L410.5 281.7C402.5 266.4 386.4 255.1 368 255.1V255.1zM155.3 203.3C162.9 195.7 192.1 176 240 176C248.8 176 256 168.8 256 160C256 151.2 248.8 144 240 144C184.6 144 146.4 166.1 132.7 180.7C126.4 186.9 126.4 197.1 132.7 203.3C138.9 209.6 149.1 209.6 155.3 203.3L155.3 203.3zM336 176C383 176 413.1 195.7 420.7 203.3C426.9 209.6 437.1 209.6 443.3 203.3C449.6 197.1 449.6 186.9 443.3 180.7C429.6 166.1 391.4 144 336 144C327.2 144 320 151.2 320 160C320 168.8 327.2 176 336 176L336 176zM416 314.3L544 256.1C543.1 302.7 531.5 346.4 509.8 384H416V314.3zM413.3 416H487.9C440.9 474.5 368.8 512 288 512C207.2 512 135.1 474.5 88.15 416H162.7C169.3 434.6 187.1 448 207.1 448H368C388.9 448 406.7 434.6 413.3 416zM159.1 384H66.25C44.49 346.4 32.02 302.7 32 256.1L159.1 314.3V384zM368 304C376.8 304 384 311.2 384 320C384 328.8 376.8 336 368 336H208C199.2 336 192 328.8 192 320C192 311.2 199.2 304 208 304H368zM368 368C376.8 368 384 375.2 384 384C384 392.8 376.8 400 368 400H208C199.2 400 192 392.8 192 384C192 375.2 199.2 368 208 368H368z"],
    "face-meh": [512, 512, [128528, "meh"], "f11a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160z"],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-melting": [640, 512, [129760], "e483", "M567.3 322.3C563.4 336.8 573.7 352 588.7 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H560C551.2 416 544 423.2 544 432C544 440.8 551.2 448 560 448H576C593.7 448 608 462.3 608 480C608 497.7 593.7 512 576 512H325.8C322.1 512.1 318.3 512.1 314.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H44.92C81.76 448 103.4 397.3 87.84 363.9C63.37 311.3 56.54 250.2 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3L567.3 322.3zM247.2 219.9C264.3 224.5 281.8 214.4 286.4 197.3C290.1 180.2 280.9 162.7 263.8 158.1C246.7 153.5 229.2 163.7 224.6 180.7C220 197.8 230.2 215.4 247.2 219.9zM418.3 199.5C401.3 194.1 383.7 205.1 379.1 222.2C374.6 239.2 384.7 256.8 401.8 261.3C418.8 265.9 436.4 255.8 440.1 238.7C445.5 221.6 435.4 204.1 418.3 199.5V199.5zM213.2 299.4C209.4 291.4 199.8 288.1 191.8 291.1C183.9 295.8 180.6 305.4 184.4 313.3C199.3 343.9 229.5 380.8 282.7 395.1C335.9 409.4 380.6 392.5 408.7 373.4C416 368.5 417.1 358.5 413 351.2C408 343.9 398.1 341.1 390.8 346.9C368.1 362.3 332.9 375.4 291 364.2C249.1 352.1 225.2 324 213.2 299.4H213.2z"],
    "face-monocle": [512, 512, [], "e380", "M427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C449.3 412.2 448 403.2 448 393.9V224C448 162.1 397.9 112 336 112C274.1 112 224 162.1 224 224C224 285.9 274.1 336 336 336C367.3 336 395.7 323.1 416 302.4V393.9C416 412.3 419.9 430.1 427.2 446.3V446.3zM144.4 160C126.7 160 112.4 174.3 112.4 192C112.4 209.7 126.7 224 144.4 224C162 224 176.4 209.7 176.4 192C176.4 174.3 162 160 144.4 160zM160 368C174.3 368 197.9 370.9 220.6 379.7C243.4 388.5 263.3 402.5 273.7 423.2C277.6 431.1 287.3 434.3 295.2 430.3C303.1 426.4 306.3 416.7 302.3 408.8C287.1 378.3 258.1 360.3 232.2 349.9C205.3 339.5 177.7 336 159.1 336C151.2 336 143.1 343.2 143.1 352C143.1 360.8 151.2 368 159.1 368L160 368zM305.2 89.91C313.2 83.49 323.2 80 333.5 80C342.4 80 351.1 82.64 358.5 87.59L367.1 93.31C374.5 98.21 384.4 96.23 389.3 88.88C394.2 81.52 392.2 71.59 384.9 66.69L376.3 60.97C363.6 52.51 348.7 48 333.5 48C315.9 48 298.9 53.97 285.2 64.92L262 83.51C255.1 89.03 253.1 99.1 259.5 105.1C265 112.9 275.1 114 281.1 108.5L305.2 89.91zM416 224C416 268.2 380.2 304 336 304C291.8 304 256 268.2 256 224C256 179.8 291.8 144 336 144C380.2 144 416 179.8 416 224zM320.4 256C338 256 352.4 241.7 352.4 224C352.4 206.3 338 192 320.4 192C302.7 192 288.4 206.3 288.4 224C288.4 241.7 302.7 256 320.4 256z"],
    "face-nauseated": [512, 512, [], "e381", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208zM143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208zM195.3 123.3C201.6 117.1 201.6 106.9 195.3 100.7C189.1 94.44 178.9 94.44 172.7 100.7L165.3 108.1C146.5 126.9 122.2 139.4 95.85 143.8L93.37 144.2C84.65 145.7 78.76 153.9 80.22 162.6C81.67 171.3 89.91 177.2 98.63 175.8L101.1 175.4C134 169.9 164.4 154.3 187.9 130.7L195.3 123.3zM316.7 100.7C310.4 106.9 310.4 117.1 316.7 123.3L324.1 130.7C347.6 154.3 377.1 169.9 410.9 175.4L413.4 175.8C422.1 177.2 430.3 171.3 431.8 162.6C433.2 153.9 427.3 145.7 418.6 144.2L416.2 143.8C389.8 139.4 365.5 126.9 346.7 108.1L339.3 100.7C333.1 94.44 322.9 94.44 316.7 100.7zM168 282.7C160.4 278.3 150.6 280.9 146.2 288.6C141.7 296.2 144.3 305.1 151.1 310.4C166.4 318.7 175.1 334.3 175.1 352C175.1 369.7 166.4 385.3 151.1 393.6C144.3 398 141.7 407.8 146.2 415.4C150.6 423.1 160.4 425.7 168 421.3C187.5 410 201.8 390.8 206.4 368H305.6C310.2 390.8 324.5 410 343.1 421.3C351.6 425.7 361.4 423.1 365.8 415.4C370.3 407.8 367.7 398 360 393.6C345.6 385.3 336 369.7 336 352C336 334.3 345.6 318.7 360 310.4C367.7 305.1 370.3 296.2 365.8 288.6C361.4 280.9 351.6 278.3 343.1 282.7C324.5 293.1 310.2 313.2 305.6 336H206.4C201.8 313.2 187.5 293.1 168 282.7H168z"],
    "face-nose-steam": [576, 512, [], "e382", "M513.9 336C512.7 334.7 511.5 333.3 510.2 332C486.9 308.7 450.1 307.1 424.9 327.3L368.5 293.4C355.9 285.9 339.8 287.9 329.4 298.3C318.1 308.6 317 324.8 324.6 337.3L358.5 393.8C338.3 418.1 339.8 455.8 363.1 479.1C364.4 480.4 365.8 481.6 367.1 482.8C367.4 488.1 368.4 493.4 370 498.6C344.3 507.3 316.7 512 288 512C258.6 512 230.4 507 204.1 497.9C205.8 492.7 206.8 487.3 207.1 481.9C208.5 480.7 209.8 479.5 211.1 478.2C234.4 454.9 235.1 418.1 215.8 392.1L249.7 336.5C257.2 323.9 255.2 307.8 244.8 297.4C234.5 286.1 218.3 285 205.8 292.6L149.3 326.5C124.1 306.3 87.31 307.8 63.1 331.1C62.71 332.4 61.49 333.8 60.33 335.1C55.27 335.4 50.24 336.3 45.35 337.8C36.69 312.1 32 284.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 285.1 539.1 313 530.2 339.1C524.9 337.4 519.4 336.3 513.9 336L513.9 336zM143.1 224C135.2 224 127.1 231.2 127.1 240C127.1 248.8 135.2 256 143.1 256H239.1C248.8 256 255.1 248.8 255.1 240C255.1 231.2 248.8 224 239.1 224H143.1zM336 256H432C440.8 256 448 248.8 448 240C448 231.2 440.8 224 432 224H336C327.2 224 320 231.2 320 240C320 248.8 327.2 256 336 256zM410.9 112.8C369.7 126.6 336.7 152.7 324.7 164.7C318.4 170.9 318.4 181.1 324.7 187.3C330.9 193.6 341.1 193.6 347.3 187.3C356.6 177.1 385.5 155 421.1 143.2C429.4 140.4 433.1 131.3 431.2 122.9C428.4 114.6 419.3 110 410.9 112.8H410.9zM144.8 122.9C142 131.3 146.6 140.4 154.9 143.2C190.5 155 219.4 177.1 228.7 187.3C234.9 193.6 245.1 193.6 251.3 187.3C257.6 181.1 257.6 170.9 251.3 164.7C239.3 152.7 206.3 126.6 165.1 112.8C156.7 110 147.6 114.6 144.8 122.9zM532.8 377.3C545.3 389.8 545.3 410 532.8 422.5C530.8 424.6 528.5 426.3 526.1 427.7C540.6 446.5 539.2 473.6 521.9 490.8C504.7 508.1 477.6 509.4 458.8 494.1C457.4 497.4 455.7 499.7 453.7 501.7C441.2 514.2 420.9 514.2 408.4 501.7C402.1 496.3 399.9 489.4 399.2 482.3C399.1 481.8 399.1 481.4 399.1 480.9C398.1 479.1 399 477.2 399.2 475.4C399.6 471.9 400.6 468.5 402.2 465.2C397 464.2 392 461.9 387.8 458.3C387.1 457.8 386.4 457.1 385.8 456.5C379.8 450.5 376.6 442.7 376.4 434.8C376.3 432.4 376.5 429.1 377 427.6C378.2 421.6 381.1 415.9 385.8 411.2C390.1 406.9 395.5 404 401.1 402.7L352 320.9L433.8 369.1C435.1 364.4 437.1 359 442.3 354.7C442.8 354.2 443.3 353.7 443.8 353.2C456.4 342.2 475.6 342.6 487.6 354.7C488.2 355.3 488.9 355.1 489.4 356.7C493 360.9 495.3 365.9 496.4 371.1C501.3 368.7 506.7 367.7 512.1 367.1C514 368.1 515.9 368.4 517.9 368.8C523.4 370.2 528.6 372.1 532.8 377.3V377.3zM165.8 500.9C153.3 513.4 133.1 513.4 120.6 500.9C118.5 498.8 116.8 496.5 115.4 494.1C96.59 508.6 69.51 507.2 52.28 489.9C35.05 472.7 33.66 445.6 48.11 426.8C45.7 425.4 43.43 423.7 41.37 421.7C28.88 409.2 28.88 388.9 41.37 376.4C45.98 371.8 51.64 368.9 57.58 367.7C59.1 367.4 60.63 367.2 62.17 367.1C67.52 366.8 72.93 367.8 77.86 370.2C78.88 365 81.19 360 84.78 355.8C85.36 355.1 85.98 354.4 86.63 353.8C98.63 341.8 117.8 341.3 130.4 352.4C130.7 352.6 130.9 352.9 131.2 353.1C131.4 353.3 131.7 353.6 131.9 353.8C135.1 357.9 138.7 362.8 140.1 368C140.2 368.4 140.3 368.7 140.4 369.1L222.2 320L173.1 401.8C178.7 403.1 184.1 405.1 188.4 410.3C188.9 410.8 189.4 411.3 189.9 411.9C199.5 422.9 200.4 438.9 192.4 450.8C191.3 452.5 189.1 454.1 188.4 455.6C187.8 456.2 187.1 456.9 186.4 457.4C182.2 461 177.2 463.3 172 464.4C174.4 469.3 175.4 474.7 175.1 480.1C175 481.9 174.8 483.7 174.4 485.5C173.1 491.1 170.2 496.5 165.8 500.9V500.9zM63.1 331.1L68.01 335.2z"],
    "face-party": [640, 512, [], "e383", "M531.7 400C485.6 467.6 407.1 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C433.4 0 529.7 73.79 563.3 176H560C515.8 176 480 211.8 480 256C480 274 485.1 290.6 495.1 304H416C414.1 304 413.1 304 412.1 304.1C411.8 301.8 410.3 299.7 408.7 297.7C404.4 292.5 398.5 287.1 391.9 284.3C378.7 276.9 361.4 272 344 272C340.4 272 337.2 274.5 336.3 277.1C335.3 281.5 336.9 285.2 340.1 286.1L340.1 286.1L340.3 287.1C340.5 287.2 340.8 287.4 341.2 287.7C342 288.1 343.2 288.9 344.6 289.8C347.4 291.6 351.2 294.3 354.8 297.4C358.6 300.5 362 303.1 364.5 307.4C366.1 310.1 368 313.8 368 315.1C368 318.2 366.1 321 364.5 324.6C362 328 358.6 331.5 354.8 334.6C351.2 337.7 347.4 340.4 344.6 342.2C343.2 343.1 342 343.9 341.2 344.3C340.8 344.6 340.5 344.8 340.3 344.9L340.1 345L340.1 345C337.6 346.4 336 349.1 336 352C336 354.9 337.6 357.6 340.1 358.1L340.1 358.1L340.3 359.1C340.5 359.2 340.8 359.4 341.2 359.7C342 360.1 343.2 360.9 344.6 361.8C347.4 363.6 351.2 366.3 354.8 369.4C358.6 372.5 362 375.9 364.5 379.4C366.1 382.1 368 385.8 368 388C368 390.2 366.1 393 364.5 396.6C362 400 358.6 403.5 354.8 406.6C351.2 409.7 347.4 412.4 344.6 414.2C343.2 415.1 342 415.9 341.2 416.3C340.8 416.6 340.5 416.8 340.3 416.9L340.1 417L340.1 417C336.9 418.8 335.3 422.5 336.3 426C337.2 429.5 340.4 431.1 344 431.1C361.4 431.1 378.7 427.1 391.9 419.7C398.5 416 404.4 411.5 408.7 406.3C410.3 404.3 411.8 402.2 412.1 399.9C413.1 399.1 414.1 399.1 416 399.1L531.7 400zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6zM512 256C512 229.5 533.5 208 560 208H592C618.5 208 640 229.5 640 256V320C640 346.5 618.5 368 592 368H400C391.2 368 384 360.8 384 352C384 343.2 391.2 336 400 336H592C600.8 336 608 328.8 608 320V256C608 247.2 600.8 240 592 240H560C551.2 240 544 247.2 544 256C544 264.8 551.2 272 560 272H576C584.8 272 592 279.2 592 288C592 296.8 584.8 304 576 304H560C533.5 304 512 282.5 512 256zM51.26 152.2L31.26 100.3C46.62 71.85 66.04 45.97 88.75 23.39L132 37.81C96.46 68.47 68.47 107.7 51.26 152.2zM55.14 12.18C40.89 27.64 27.99 44.36 16.6 62.14L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4704 15.19-1.136 21.06 .8218L55.14 12.18z"],
    "face-pensive": [512, 512, [], "e384", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 384C199.2 384 192 391.2 192 400C192 408.8 199.2 416 208 416H304C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384H208zM387.2 270.4C369.6 293.9 334.4 293.9 316.8 270.4C311.5 263.3 301.5 261.9 294.4 267.2C287.3 272.5 285.9 282.5 291.2 289.6C321.6 330.1 382.4 330.1 412.8 289.6C418.1 282.5 416.7 272.5 409.6 267.2C402.5 261.9 392.5 263.3 387.2 270.4zM102.4 267.2C95.33 272.5 93.9 282.5 99.2 289.6C129.6 330.1 190.4 330.1 220.8 289.6C226.1 282.5 224.7 272.5 217.6 267.2C210.5 261.9 200.5 263.3 195.2 270.4C177.6 293.9 142.4 293.9 124.8 270.4C119.5 263.3 109.5 261.9 102.4 267.2V267.2zM87.16 222.3L110 210.9C128.6 201.6 145 188.3 158.1 172L172.5 153.1C178 147.1 176.9 137 169.1 131.5C163.1 125.1 153 127.1 147.5 134L133.1 152.1C122.9 164.7 110.2 175 95.7 182.3L72.84 193.7C64.94 197.6 61.74 207.3 65.69 215.2C69.64 223.1 79.25 226.3 87.16 222.3V222.3zM416.3 182.3C401.8 175 389.1 164.7 378.9 152.1L364.5 134C358.1 127.1 348.9 125.1 342 131.5C335.1 137 333.1 147.1 339.5 153.1L353.9 172C366.1 188.3 383.4 201.6 401.1 210.9L424.8 222.3C432.7 226.3 442.4 223.1 446.3 215.2C450.3 207.3 447.1 197.6 439.2 193.7L416.3 182.3z"],
    "face-persevering": [512, 512, [], "e385", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM188.7 100.7L181.3 108.1C162.5 126.9 138.2 139.4 111.9 143.8L109.4 144.2C100.7 145.7 94.77 153.9 96.22 162.6C97.67 171.3 105.9 177.2 114.6 175.8L117.1 175.4C150 169.9 180.4 154.3 203.9 130.7L211.3 123.3C217.6 117.1 217.6 106.9 211.3 100.7C205.1 94.44 194.9 94.44 188.7 100.7V100.7zM308.1 130.7C331.6 154.3 361.1 169.9 394.9 175.4L397.4 175.8C406.1 177.2 414.3 171.3 415.8 162.6C417.2 153.9 411.3 145.7 402.6 144.2L400.2 143.8C373.8 139.4 349.5 126.9 330.7 108.1L323.3 100.7C317.1 94.44 306.9 94.44 300.7 100.7C294.4 106.9 294.4 117.1 300.7 123.3L308.1 130.7zM133.5 210.7C125.6 206.4 116 212.2 116 221.1C116 223.9 116.1 226.6 118.8 228.8L154.8 272L118.8 315.2C116.1 317.4 116 320.1 116 322.9C116 331.8 125.6 337.6 133.5 333.3L223.4 285.4C234.1 279.7 234.1 264.3 223.4 258.6L133.5 210.7zM396 221.1C396 212.2 386.4 206.4 378.5 210.7L288.6 258.6C277.9 264.3 277.9 279.7 288.6 285.4L378.5 333.3C386.4 337.6 396 331.8 396 322.9C396 320.1 395 317.4 393.2 315.2L357.2 272L393.2 228.8C395 226.6 396 223.9 396 221.1V221.1z"],
    "face-pleading": [512, 512, [], "e386", "M128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.8 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM303.9 405.3C294.7 395.1 278.7 384 256 384C233.3 384 217.3 395.1 208.1 405.3C202.2 411.9 202.7 421.1 209.3 427.9C215.9 433.8 225.1 433.3 231.9 426.7C236.6 421.4 244.6 416 255.1 416C267.4 416 275.4 421.4 280.1 426.7C286 433.3 296.1 433.8 302.7 427.9C309.3 421.1 309.8 411.9 303.9 405.3H303.9zM168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 284.2 115.8 320 160 320C204.2 320 240 284.2 240 240C240 198.5 208.5 164.4 168 160.4zM416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C396.2 320 432 284.2 432 240C432 221.1 426 205.4 416 192z"],
    "face-pouting": [512, 512, [], "e387", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM161.3 382.1C155.9 394.4 170 403.7 182.4 398.5C204.8 389 229.7 383.7 256.1 383.7C282.4 383.7 307.3 389 329.7 398.5C342.1 403.7 356.2 394.4 350.8 382.1C334.9 345.5 298.4 319.1 256.1 319.1C213.7 319.1 177.2 345.5 161.3 382.1V382.1zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z"],
    "face-raised-eyebrow": [512, 512, [], "e388", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 208C158.7 208 144.4 222.3 144.4 240C144.4 257.7 158.7 272 176.4 272C194 272 208.4 257.7 208.4 240C208.4 222.3 194 208 176.4 208zM336.4 272C354 272 368.4 257.7 368.4 240C368.4 222.3 354 208 336.4 208C318.7 208 304.4 222.3 304.4 240C304.4 257.7 318.7 272 336.4 272zM160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM328.8 141.8C339.5 131.1 357.4 132.9 365.8 145.5L370.7 152.9C375.6 160.2 385.5 162.2 392.9 157.3C400.2 152.4 402.2 142.5 397.3 135.1L392.4 127.7C372.8 98.32 331.2 94.2 306.2 119.2L276.7 148.7C270.4 154.9 270.4 165.1 276.7 171.3C282.9 177.6 293.1 177.6 299.3 171.3L328.8 141.8zM128 144C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176H192C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144H128z"],
    "face-relieved": [512, 512, [], "e389", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM187.3 356.7C181.1 350.4 170.9 350.4 164.7 356.7C158.4 362.9 158.4 373.1 164.7 379.3C182.6 397.2 213.1 416 255.1 416C298.9 416 329.4 397.2 347.3 379.3C353.6 373.1 353.6 362.9 347.3 356.7C341.1 350.4 330.9 350.4 324.7 356.7C311.6 369.7 288.9 384 255.1 384C223.1 384 200.4 369.7 187.3 356.7H187.3zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM186.9 64.82L180.6 66.93C150.2 77.06 124.1 97.02 106.3 123.7L98.69 135.1C93.79 142.5 95.77 152.4 103.1 157.3C110.5 162.2 120.4 160.2 125.3 152.9L132.1 141.4C146.8 120.7 167.1 105.2 190.7 97.29L197.1 95.18C205.4 92.38 209.1 83.32 207.2 74.94C204.4 66.56 195.3 62.03 186.9 64.82L186.9 64.82zM321.3 97.29C344.9 105.2 365.2 120.7 379 141.4L386.7 152.9C391.6 160.2 401.5 162.2 408.9 157.3C416.2 152.4 418.2 142.5 413.3 135.1L405.7 123.7C387.9 97.02 361.8 77.06 331.4 66.93L325.1 64.82C316.7 62.03 307.6 66.56 304.8 74.94C302 83.33 306.6 92.39 314.9 95.18L321.3 97.29z"],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM186.2 165.6C189.8 170.8 192 177.1 192 184C192 201.7 177.7 216 160 216C142.3 216 128 201.7 128 184C128 177.1 130.2 170.8 133.8 165.6C111.5 175.6 96 197.1 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 197.1 208.5 175.6 186.2 165.6zM352 288C387.3 288 416 259.3 416 224C416 197.1 400.5 175.6 378.2 165.6C381.8 170.8 384 177.1 384 184C384 201.7 369.7 216 352 216C334.3 216 320 201.7 320 184C320 177.1 322.2 170.8 325.8 165.6C303.5 175.6 288 197.1 288 224C288 259.3 316.7 288 352 288z"],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", "M352 493.4C322.4 505.4 289.9 512 256 512C222.1 512 189.6 505.4 160 493.4V288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288V477.8C51.48 433.5 0 350.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8V288C384 279.2 376.8 272 368 272C359.2 272 352 279.2 352 288V493.4zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM316.8 233.6C334.4 210.1 369.6 210.1 387.2 233.6C392.5 240.7 402.5 242.1 409.6 236.8C416.7 231.5 418.1 221.5 412.8 214.4C382.4 173.9 321.6 173.9 291.2 214.4C285.9 221.5 287.3 231.5 294.4 236.8C301.5 242.1 311.5 240.7 316.8 233.6zM208 368C208 394.5 229.5 416 256 416C282.5 416 304 394.5 304 368V336C304 309.5 282.5 288 256 288C229.5 288 208 309.5 208 336V368z"],
    "face-sad-sweat": [576, 512, [], "e38a", "M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM371.9 389.3C355.8 371.4 327.7 352 288 352C248.3 352 220.2 371.4 204.1 389.3C198.2 395.9 198.7 405.1 205.3 411.9C211.9 417.8 221.1 417.3 227.9 410.7C239.6 397.7 259.5 384 287.1 384C316.5 384 336.4 397.7 348.1 410.7C354 417.3 364.1 417.8 370.7 411.9C377.3 405.1 377.8 395.9 371.9 389.3H371.9zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7zM48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 47.1 416H48z"],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 352C290.9 352 323.2 367.8 348.3 394.9C354.3 401.4 364.4 401.7 370.9 395.7C377.4 389.7 377.7 379.6 371.7 373.1C341.6 340.5 301 320 256 320C247.2 320 240 327.2 240 336C240 344.8 247.2 352 256 352H256zM208 369C208 349 179.6 308.6 166.4 291.3C163.2 286.9 156.8 286.9 153.6 291.3C140.6 308.6 112 349 112 369C112 395 133.5 416 160 416C186.5 416 208 395 208 369H208zM303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208zM207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208z"],
    "face-saluting": [640, 512, [129761], "e484", "M258.1 58.48L127.1 146.8V185.8L173.2 152.1C177.7 149.7 182.7 147.8 187.8 147.1C191.5 146.6 195.1 146.8 198.7 147.5C206.1 149.1 213.1 153.4 217.9 160C228.3 174.3 225.2 194.3 210.9 204.7L128.5 264.6C123.5 268.2 118.1 271.2 112.6 273.6C112 273.8 111.5 274 111 274.2C110.7 274.3 110.4 274.5 110 274.6C105.8 276.2 101.4 277.5 96.96 278.4C74.16 282.8 49.88 277.3 30.98 261.9L29.49 260.7C-12.06 226.9-9.257 162.5 35.09 132.5L222.2 5.523C236.8-4.399 256.7-.5872 266.6 14.04C266.7 14.18 266.8 14.33 266.9 14.48C266.9 14.48 266.9 14.48 266.9 14.48C276.5 29.06 272.6 48.66 258.1 58.48L258.1 58.48zM607.1 256C607.1 397.4 493.4 512 351.1 512C229.1 512 126.5 425.5 101.7 310C117.8 307.1 133.4 300.6 147.3 290.5L229.7 230.6C234.5 227.1 238.7 223.1 242.2 218.6C246.6 231.1 258.4 240 272.4 240C290 240 304.4 225.7 304.4 208C304.4 190.3 290 176 272.4 176C266.4 176 260.8 177.6 256 180.5C256.4 166.9 252.4 153.1 243.8 141.2C237.8 132.9 230.1 126.4 221.5 121.1L276.1 84.96C302.2 67.21 311.1 33.47 298.5 5.608C315.7 1.933 333.6 0 351.1 0C493.4 0 607.1 114.6 607.1 256H607.1zM257.4 341C250.2 335.9 240.2 337.5 235 344.6C229.9 351.8 231.5 361.8 238.6 366.1C261.4 383.4 299.3 400 351.1 400C404.7 400 442.6 383.4 465.4 366.1C472.5 361.8 474.1 351.8 468.1 344.6C463.8 337.5 453.8 335.9 446.6 341C429.2 353.6 397.8 368 351.1 368C306.2 368 274.8 353.6 257.4 341H257.4zM432.4 240C450 240 464.4 225.7 464.4 208C464.4 190.3 450 176 432.4 176C414.7 176 400.4 190.3 400.4 208C400.4 225.7 414.7 240 432.4 240z"],
    "face-scream": [640, 512, [], "e38b", "M516.2 305.5C458.6 353.5 428.4 423.5 418.2 492.5C387.1 505.1 354.8 512 320 512C285.2 512 252.1 505.1 221.9 492.5C211.7 423.5 181.4 353.5 123.9 305.5C107.8 292.1 86.67 286 66.05 288.6C64.7 277.9 64 267 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256C576 267 575.3 277.9 573.1 288.5C553.3 286.1 532.3 292.1 516.2 305.5H516.2zM320 320C293.5 320 272 341.5 272 368V400C272 426.5 293.5 448 320 448C346.5 448 368 426.5 368 400V368C368 341.5 346.5 320 320 320zM264.7 149.3C237.5 134.4 197.1 152.2 174.6 189C152.1 225.9 156 267.8 183.3 282.7C210.5 297.6 250.9 279.8 273.4 242.1C295.9 206.1 291.1 164.2 264.7 149.3zM465.4 189C442.9 152.2 402.5 134.4 375.3 149.3C348 164.2 344.1 206.1 366.6 242.1C389.1 279.8 429.5 297.6 456.7 282.7C483.1 267.8 487.9 225.9 465.4 189zM192 512L82.29 511.1C82.73 461.5 65.56 426.2 39.12 386.2C25.99 366.5 31.53 339.1 51.55 326.1C67.97 316.4 89.12 318.2 103.4 330.1C157.2 374.1 185 443.6 192 512L192 512zM600.9 386.2C574.5 426.2 557.3 461.5 557.8 511.1L448 512C455 443.6 482.8 374.1 536.7 330.1C550.9 318.2 572.1 316.4 588.5 326.1C608.5 339.1 614.1 366.5 600.9 386.3L600.9 386.2z"],
    "face-shush": [512, 512, [], "e38c", "M256 0C397.4 0 512 114.6 512 256C512 338.2 473.2 411.4 412.1 458.3C420.3 436.9 414.2 412.3 395.8 396.1C382.3 385.7 365 381.9 348.1 385.1C343.3 363.9 329.9 345.9 312 334.2V275.9C326.8 269 338.6 260.1 347.3 251.3C353.6 245.1 353.6 234.9 347.3 228.7C341.1 222.4 330.9 222.4 324.7 228.7C321 232.4 316.6 236.1 311.4 239.6C307.3 212.7 284.1 192 256 192C227.9 192 204.7 212.7 200.6 239.6C195.4 236.1 190.1 232.4 187.3 228.7C181.1 222.4 170.9 222.4 164.7 228.7C158.4 234.9 158.4 245.1 164.7 251.3C173.4 260.1 185.2 269 200 275.9V326C167.2 338.8 144 370.7 144 408V456C144 467.8 146.3 479.1 150.5 489.3C61.76 449.1 0 359.8 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 160C194 160 208.4 145.7 208.4 128C208.4 110.3 194 96 176.4 96C158.7 96 144.4 110.3 144.4 128C144.4 145.7 158.7 160 176.4 160zM336.4 96C318.7 96 304.4 110.3 304.4 128C304.4 145.7 318.7 160 336.4 160C354 160 368.4 145.7 368.4 128C368.4 110.3 354 96 336.4 96zM280 320H232V248C232 234.7 242.7 224 256 224C269.3 224 280 234.7 280 248V320zM224 419.5L287.6 464H297.5C304.6 464 311.4 460.8 315.1 455.4L341.6 424.6C350 414.5 365.2 413.1 375.4 421.6C385.5 430 386.9 445.2 378.4 455.4L352.8 486.1C339.2 502.5 318.9 512 297.5 512H232C201.1 512 176 486.9 176 456V408C176 377.1 201.1 352 232 352H264C294.9 352 320 377.1 320 408V416C320 429.3 309.3 440 296 440C282.7 440 272 429.3 272 416V408C272 403.6 268.4 400 264 400H232C227.6 400 224 403.6 224 408V419.5z"],
    "face-sleeping": [512, 512, [], "e38d", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C304.7 0 350.2 13.58 388.9 37.16C390.8 41.11 393.3 44.75 396.2 48C383.1 61.68 380.6 81.26 387.7 98.37C395.1 116.3 412.6 127.1 432 127.1H477.8C499.5 165.7 512 209.4 512 255.1C512 397.4 397.4 512 255.1 512L256 512zM297.4 96L260.7 132.7C256.1 137.3 254.7 144.1 257.2 150.1C259.7 156.1 265.5 160 272 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H310.6L347.3 91.31C351.9 86.74 353.3 79.86 350.8 73.88C348.3 67.9 342.5 64 336 64H272C263.2 64 256 71.16 256 80C256 88.84 263.2 96 272 96H297.4zM256 344C233.9 344 216 361.9 216 384C216 406.1 233.9 424 256 424C278.1 424 296 406.1 296 384C296 361.9 278.1 344 256 344zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM432 0H496C502.5 0 508.3 3.898 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0003 432 .0003V0z"],
    "face-sleepy": [512, 512, [], "e38e", "M385.1 477.1C347.2 499.3 303.1 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 292.1 504.2 328.1 490 359.9C482.7 353.6 474.1 348.1 467.4 343.1C429.6 318.7 383.6 304 352 304C336.7 304 323.5 314.9 320.6 329.9C317.7 345 325.9 360 340.1 365.7C361.1 374.1 371.7 389.2 377.5 407.4C383.8 426.8 384 447.7 384 464C384 468.5 384.4 472.9 385.1 477.1V477.1zM175.1 389.5C169.2 400.6 181.1 410.2 194.3 405.9C213.2 399.4 234.1 395.8 256 395.8C278 395.8 298.9 399.4 317.8 405.9C330.1 410.2 342.9 400.6 336.1 389.5C320.1 364.8 290.8 347.1 256 347.1C221.3 347.1 191.1 364.8 175.1 389.5V389.5zM294.4 243.2C287.3 248.5 285.9 258.5 291.2 265.6C321.6 306.1 382.4 306.1 412.8 265.6C418.1 258.5 416.7 248.5 409.6 243.2C402.5 237.9 392.5 239.3 387.2 246.4C369.6 269.9 334.4 269.9 316.8 246.4C311.5 239.3 301.5 237.9 294.4 243.2V243.2zM195.2 246.4C177.6 269.9 142.4 269.9 124.8 246.4C119.5 239.3 109.5 237.9 102.4 243.2C95.33 248.5 93.9 258.5 99.2 265.6C129.6 306.1 190.4 306.1 220.8 265.6C226.1 258.5 224.7 248.5 217.6 243.2C210.5 237.9 200.5 239.3 195.2 246.4zM464 512C437.5 512 416 490.5 416 464C416 432 416 361.6 352 336C400 336 512 384 512 464C512 490.5 490.5 512 464 512z"],
    "face-smile": [512, 512, [128578, "smile"], "f118", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-smile-halo": [512, 512, [], "e38f", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM256 48C149.1 48 64 62.33 64 80C64 97.67 149.1 112 256 112C362 112 448 97.67 448 80C448 62.33 362 48 256 48zM16 272C16 230.1 26.73 190.7 45.58 156.5C98.14 178.3 172.1 192 256 192C339 192 413.9 178.3 466.4 156.5C485.3 190.7 496 230.1 496 272C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 272zM164.1 357.5C158.3 350.8 148.2 350.1 141.5 355.9C134.8 361.7 134.1 371.8 139.9 378.5C162.1 404.1 200.9 432 255.1 432C311.1 432 349.8 404.1 372.1 378.5C377.9 371.8 377.2 361.7 370.5 355.9C363.8 350.1 353.7 350.8 347.9 357.5C329.9 378.2 299.4 400 255.1 400C212.6 400 182 378.2 164.1 357.5H164.1zM226.5 303.6C229.8 302.5 232 299.4 232 296C232 278.1 225.3 260.4 215.4 247.2C205.6 234.2 191.5 224 176 224C160.5 224 146.4 234.2 136.6 247.2C126.7 260.4 120 278.1 120 296C120 299.4 122.2 302.5 125.5 303.6C128.7 304.7 132.3 303.6 134.4 300.8L134.4 300.8L134.6 300.5C134.8 300.3 134.1 300 135.3 299.6C135.1 298.8 136.9 297.7 138.1 296.3C140.6 293.4 144.1 289.7 148.3 285.1C157.1 278.2 167.2 272 176 272C184.8 272 194.9 278.2 203.7 285.1C207.9 289.7 211.4 293.4 213.9 296.3C215.1 297.7 216 298.8 216.7 299.6C217 300 217.2 300.3 217.4 300.5L217.6 300.8L217.6 300.8C219.7 303.6 223.3 304.7 226.5 303.6V303.6zM377.6 300.8C379.7 303.6 383.3 304.7 386.5 303.6C389.8 302.5 392 299.4 392 296C392 278.1 385.3 260.4 375.4 247.2C365.6 234.2 351.5 224 336 224C320.5 224 306.4 234.2 296.6 247.2C286.7 260.4 280 278.1 280 296C280 299.4 282.2 302.5 285.5 303.6C288.7 304.7 292.3 303.6 294.4 300.8L294.4 300.8L294.6 300.5C294.8 300.3 294.1 300 295.3 299.6C295.1 298.8 296.9 297.7 298.1 296.3C300.6 293.4 304.1 289.7 308.3 285.1C317.1 278.2 327.2 272 336 272C344.8 272 354.9 278.2 363.7 285.1C367.9 289.7 371.4 293.4 373.9 296.3C375.1 297.7 376 298.8 376.7 299.6C377 300 377.2 300.3 377.4 300.5L377.6 300.8L377.6 300.8z"],
    "face-smile-hearts": [640, 512, [], "e390", "M448.2 34.34C446.9 54.04 453.7 74.18 468.7 89.25L524.2 145.1C533.4 154.3 545.3 159.3 557.4 159.9C569.4 189.6 576 222 576 256C576 293.4 567.1 329 553.5 361.1C526.5 345.8 491.6 349.8 468.7 372.9C442.8 398.9 441.2 439.9 463.8 467.8C422.8 495.7 373.3 512 320 512C258.7 512 202.4 490.4 158.3 454.4L171.3 441.3C198.9 413.6 198.9 368.7 171.3 340.9C146.5 315.1 107.7 313.4 80.04 333.3C78.34 332 76.59 330.9 74.81 329.8C67.78 306.5 64 281.7 64 256C64 114.6 178.6 .0006 320 .0006C366.7 .0006 410.5 12.5 448.2 34.34V34.34zM203.9 346.5C226.2 372.1 264.9 400 320 400C375.1 400 413.8 372.1 436.1 346.5C441.9 339.8 441.2 329.7 434.5 323.9C427.8 318.1 417.7 318.8 411.9 325.5C393.1 346.2 363.4 368 320 368C276.6 368 246 346.2 228.1 325.5C222.3 318.8 212.2 318.1 205.5 323.9C198.8 329.7 198.1 339.8 203.9 346.5H203.9zM204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6zM457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8zM573.7 11.5C588.9-3.757 613.5-3.757 628.6 11.5C643.8 26.76 643.8 51.49 628.6 66.75L573.2 122.5C565.9 129.8 554.1 129.8 546.9 122.5L491.4 66.69C476.2 51.43 476.2 26.7 491.4 11.44C506.5-3.814 531.1-3.814 546.3 11.44L560 25.27L573.7 11.5zM628.6 450.7L573.2 506.5C565.9 513.8 554.1 513.8 546.9 506.5L491.4 450.7C476.2 435.4 476.2 410.7 491.4 395.4C506.5 380.2 531.1 380.2 546.3 395.4L560 409.3L573.7 395.5C588.9 380.2 613.5 380.2 628.6 395.5C643.8 410.8 643.8 435.5 628.6 450.7L628.6 450.7zM93.71 363.5C108.9 348.2 133.5 348.2 148.6 363.5C163.8 378.8 163.8 403.5 148.6 418.7L93.2 474.5C85.93 481.8 74.13 481.8 66.86 474.5L11.37 418.7C-3.791 403.4-3.791 378.7 11.37 363.4C26.54 348.2 51.12 348.2 66.29 363.4L80.03 377.3L93.71 363.5z"],
    "face-smile-horns": [640, 512, [], "e391", "M64 256C64 231.4 67.47 207.6 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM228.1 349.5C222.3 342.8 212.2 342.1 205.5 347.9C198.8 353.7 198.1 363.8 203.9 370.5C226.2 396.1 264.9 424 320 424C375.1 424 413.8 396.1 436.1 370.5C441.9 363.8 441.2 353.7 434.5 347.9C427.8 342.1 417.7 342.8 411.9 349.5C393.1 370.2 363.4 392 320 392C276.6 392 246 370.2 228.1 349.5H228.1zM272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L272.1 267.6zM400.4 304C418 304 432.4 289.7 432.4 272C432.4 263.1 428.7 255 422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1L400.4 304z"],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", "M544 0C557.3 0 568 10.75 568 24V72H616C629.3 72 640 82.75 640 96C640 109.3 629.3 120 616 120H568V168C568 181.3 557.3 192 544 192C530.7 192 520 181.3 520 168V120H472C458.7 120 448 109.3 448 96C448 82.75 458.7 72 472 72H520V24C520 10.75 530.7 0 544 0zM0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288zM144.4 272C162 272 176.4 257.7 176.4 240C176.4 222.3 162 208 144.4 208C126.7 208 112.4 222.3 112.4 240C112.4 257.7 126.7 272 144.4 272zM304.4 208C286.7 208 272.4 222.3 272.4 240C272.4 257.7 286.7 272 304.4 272C322 272 336.4 257.7 336.4 240C336.4 222.3 322 208 304.4 208zM139.1 346.1C134.1 339.5 124 338.8 117.4 344.7C110.8 350.5 110.2 360.6 116 367.3C142.4 397.1 180.1 416 224 416C267 416 305.6 397.1 331.1 367.3C337.8 360.6 337.2 350.5 330.6 344.7C323.1 338.8 313.9 339.5 308 346.1C287.5 369.4 257.4 384 224 384C190.6 384 160.5 369.4 139.1 346.1V346.1z"],
    "face-smile-relaxed": [512, 512, [], "e392", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-smile-tear": [512, 512, [], "e393", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM139.9 346.5C162.2 372.1 200.9 400 256 400C264.8 400 272 392.8 272 384C272 375.2 264.8 368 256 368C212.6 368 182 346.2 164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5L139.9 346.5zM352 416C378.5 416 400 395 400 369C400 349 371.4 308.6 358.4 291.3C355.2 286.9 348.8 286.9 345.6 291.3C332.4 308.6 304 349 304 369C304 395 325.5 416 352 416H352zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-smile-tongue": [512, 512, [], "e394", "M489.7 312.1L424.3 274.3C423 273.6 421.6 272.9 420.1 272.5C411.6 270.3 402.8 275.3 400.5 283.9C382.5 351.5 324.1 400 255.1 400C187.9 400 129.5 351.5 111.5 283.9C109.2 275.3 100.4 270.3 91.87 272.5C83.33 274.8 78.26 283.6 80.54 292.1C101.1 372.3 171.9 432 256 432C287.1 432 316.3 423.8 341.8 409.4L409.9 449.9C412.6 451.5 415.4 452.9 418.1 454.1C373.1 490.3 317.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 278.8 509 300.1 503.4 322C499.3 318.3 494.7 314.1 489.7 312.1L489.7 312.1zM226.5 231.6C229.8 230.5 232 227.4 232 223.1C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 151.1 176 151.1C160.5 151.1 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 223.1C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 223.1C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 151.1 336 151.1C320.5 151.1 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 223.1C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8zM425.1 311.7L473.7 339.8C496.7 353.1 504.5 382.4 491.3 405.4C478.1 428.1 448.9 435.8 426.3 422.4L370.6 389.3C394.6 368.8 413.5 342.2 425.1 311.7V311.7z"],
    "face-smile-upside-down": [512, 512, [], "e395", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM347.9 186.5C353.7 193.2 363.8 193.9 370.5 188.1C377.2 182.3 377.9 172.2 372.1 165.5C349.8 139.9 311.1 112 256 112C200.9 112 162.2 139.9 139.9 165.5C134.1 172.2 134.8 182.3 141.5 188.1C148.2 193.9 158.3 193.2 164.1 186.5C182 165.8 212.6 143.1 256 143.1C299.4 143.1 329.1 165.8 347.9 186.5L347.9 186.5zM335.6 336C353.3 336 367.6 321.7 367.6 304C367.6 286.3 353.3 272 335.6 272C317.1 272 303.6 286.3 303.6 304C303.6 321.7 317.1 336 335.6 336zM175.6 272C157.1 272 143.6 286.3 143.6 304C143.6 321.7 157.1 336 175.6 336C193.3 336 207.6 321.7 207.6 304C207.6 286.3 193.3 272 175.6 272z"],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-smiling-hands": [640, 512, [], "e396", "M411.1 495.3C382.8 506.1 352.1 512 319.1 512C287.9 512 257.2 506.1 228.9 495.3C245.9 473.7 255.1 446.4 255.1 416.8V386C274.1 394.4 295.4 400 319.1 400C344.6 400 365.9 394.4 384 386V416.8C384 446.4 394.1 473.7 411.1 495.3V495.3zM575.7 242.6C558.8 236.8 539.5 240.6 526.1 254.1L478.1 301.1C469.6 287.4 453.9 278.4 436 278.4C407.3 278.4 384 301.7 384 330.4V349.6C367.2 360.3 345.9 368 319.1 368C294.1 368 272.8 360.3 255.1 349.6V330.4C255.1 301.7 232.7 278.4 203.1 278.4C186.1 278.4 170.4 287.4 161 301.1L113.9 254.1C100.5 240.6 81.15 236.8 64.34 242.6C71.31 107.5 183.1 0 319.1 0C456.9 0 568.7 107.5 575.7 242.6V242.6zM281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8zM450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6V231.6zM68.69 299.3C62.44 293.1 62.44 282.9 68.69 276.7C74.93 270.4 85.06 270.4 91.31 276.7L170.3 355.7C175.4 360.8 184 357.2 184 350.1V330.4C184 319.4 192.1 310.4 204 310.4C215 310.4 224 319.4 224 330.4V416.8C224 469.4 181.4 512 128.8 512C103.6 512 79.34 501.1 61.49 484.1L4.686 427.3C-1.562 421.1-1.562 410.9 4.686 404.7C10.93 398.4 21.07 398.4 27.31 404.7L46.63 424C49.22 426.6 53.41 426.6 55.1 424C58.59 421.4 58.59 417.2 55.1 414.6L4.686 363.3C-1.562 357.1-1.562 346.9 4.686 340.7C10.93 334.4 21.07 334.4 27.31 340.7L78.63 392C81.22 394.6 85.41 394.6 87.1 392C90.59 389.4 90.59 385.2 87.1 382.6L20.69 315.3C14.44 309.1 14.44 298.9 20.69 292.7C26.93 286.4 37.06 286.4 43.31 292.7L110.6 360C113.2 362.6 117.4 362.6 119.1 360C122.6 357.4 122.6 353.2 119.1 350.6L68.69 299.3zM520 350.6C517.4 353.2 517.4 357.4 520 360C522.6 362.6 526.8 362.6 529.4 360L596.7 292.7C602.9 286.4 613.1 286.4 619.3 292.7C625.6 298.9 625.6 309.1 619.3 315.3L552 382.6C549.4 385.2 549.4 389.4 552 392C554.6 394.6 558.8 394.6 561.4 392L612.7 340.7C618.9 334.4 629.1 334.4 635.3 340.7C641.6 346.9 641.6 357.1 635.3 363.3L584 414.6C581.4 417.2 581.4 421.4 584 424C586.6 426.6 590.8 426.6 593.4 424L612.7 404.7C618.9 398.4 629.1 398.4 635.3 404.7C641.6 410.9 641.6 421.1 635.3 427.3L578.5 484.1C560.7 501.1 536.4 512 511.2 512C458.6 512 416 469.4 416 416.8V330.4C416 319.4 424.1 310.4 436 310.4C447 310.4 456 319.4 456 330.4V350.1C456 357.2 464.6 360.8 469.7 355.7L548.7 276.7C554.9 270.4 565.1 270.4 571.3 276.7C577.6 282.9 577.6 293.1 571.3 299.3L520 350.6z"],
    "face-smirking": [512, 512, [], "e397", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224zM375.8 338.6C377.2 329.9 371.3 321.7 362.6 320.2C353.9 318.8 345.7 324.7 344.2 333.4L344 334.6C340.8 353.9 324.1 368 304.6 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H304.6C339.8 400 369.8 374.6 375.6 339.8L375.8 338.6zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z"],
    "face-spiral-eyes": [512, 512, [], "e485", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM312.9 374.9C307.5 378.4 300.5 378.4 295.1 374.9L282.6 366.5C266.5 355.8 245.5 355.8 229.4 366.5L216.9 374.9C211.5 378.4 204.5 378.4 199.1 374.9L184.3 364.1C169.1 355.4 151.6 354.3 136.2 361.1L120.8 369.7C112.9 373.6 109.7 383.3 113.7 391.2C117.6 399.1 127.3 402.3 135.2 398.3L150.5 390.6C155.7 388 161.8 388.4 166.6 391.6L181.4 401.5C197.5 412.2 218.5 412.2 234.6 401.5L247.1 393.1C252.5 389.6 259.5 389.6 264.9 393.1L277.4 401.5C293.5 412.2 314.5 412.2 330.6 401.5L345.4 391.6C350.2 388.4 356.3 388 361.5 390.6L376.8 398.3C384.7 402.3 394.4 399.1 398.3 391.2C402.3 383.3 399.1 373.6 391.2 369.7L375.8 361.1C360.4 354.3 342 355.4 327.7 364.1L312.9 374.9zM153.4 100C93.53 102.4 46.93 156.7 52.44 210.5C55.3 264.4 106.1 304.8 154.9 299.5C204 296.6 240.9 251.6 235.5 208.3C232.2 164.9 190.8 133.9 152.6 139.1C114.2 142.5 86.91 178.2 92.3 211.2C96.14 244.2 128.2 265.7 155.9 260.4C183.6 256.3 201.3 229.6 195.4 206.8C193 195.3 185.9 186.9 177.6 181.1C169.5 177.3 159.3 175.4 150.1 178.7C141.2 181.4 135.2 187.6 132.3 194.6C129.7 200.9 129.2 209.6 134.1 216.4C138.4 222.7 145.2 225.6 151.8 224.9C157 224.3 166.9 219.6 165.9 208.5C165.6 205.8 164.5 203.4 162.9 201.5C163.7 201.8 164.5 202.2 165.5 202.7C168.6 204.5 171.1 207.6 171.1 211.9L172.1 212.3L172.2 212.6C174.2 220.3 167.4 234.6 152.3 236.7L151.9 236.7L151.6 236.8C137.6 239.6 118.3 227.7 116.1 208.2L116.1 207.9L116 207.5C112.9 189.2 129.2 165.1 154.9 162.1L155.3 162.9L155.6 162.9C180.3 159.4 209.4 180.6 211.6 210.4L211.6 210.7L211.6 211.1C215.4 239.9 189.5 273.6 153.2 275.6L152.9 275.6L152.6 275.7C117.2 279.6 78.38 249.2 76.39 208.1L76.38 208.6L76.34 208.3C72.15 168.9 107.5 125.9 154.4 123.1C161 123.7 166.2 118.1 165.9 111.5C165.6 104.9 160.1 99.74 153.4 100L153.4 100zM357.6 292C350.1 292.3 345.8 297.9 346.1 304.5C346.4 311.1 351.9 316.3 358.6 315.1C418.5 313.6 465.1 259.3 459.6 205.5C456.7 151.6 405.9 111.2 357.1 116.5C307.1 119.4 271.1 164.4 276.5 207.7C279.8 251.1 321.2 282.1 359.4 276.9C397.8 273.5 425.1 237.8 419.7 204.8C415.9 171.8 383.8 150.3 356.1 155.6C328.4 159.7 310.7 186.4 316.6 209.2C318.1 220.7 326.1 229.1 334.4 234C342.5 238.7 352.7 240.6 361.9 237.3C370.8 234.6 376.8 228.4 379.7 221.4C382.3 215.1 382.8 206.4 377.9 199.6C373.6 193.3 366.8 190.4 360.2 191.1C354.1 191.7 345.1 196.4 346.1 207.5C346.4 210.2 347.5 212.6 349.1 214.5C348.3 214.2 347.5 213.8 346.5 213.3C343.4 211.5 340.9 208.4 340 204.1L339.9 203.7L339.8 203.4C337.8 195.7 344.6 181.4 359.7 179.3L360.1 179.3L360.4 179.2C374.4 176.4 393.7 188.3 395.9 207.8L395.9 208.1L395.1 208.5C399.1 226.8 382.8 250.9 357.1 253L356.7 253.1L356.4 253.1C331.7 256.6 302.6 235.4 300.4 205.6L300.4 205.3L300.4 204.9C296.6 176.1 322.5 142.4 358.8 140.4L359.1 140.4L359.4 140.3C394.8 136.4 433.6 166.8 435.6 207L435.6 207.4L435.7 207.7C439.8 247.1 404.5 290.1 357.6 292L357.6 292z"],
    "face-sunglasses": [512, 512, [], "e398", "M0 256C0 239.4 1.577 223.2 4.588 207.5L1.969 191.8C-5.969 144.2 22.45 100 65.28 85.22C112.2 32.91 180.2 0 256 0C331.8 0 399.8 32.91 446.7 85.22C489.6 100 517.1 144.2 510 191.8L507.4 207.5C510.4 223.2 512 239.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256V256zM230.7 231.9L238.7 183.9C239.1 181.2 239.3 178.6 239.4 176H272.6C272.7 178.6 272.9 181.2 273.3 183.9L281.3 231.9C285.2 255 305.2 272 328.7 272H407.3C430.8 272 450.8 255 454.7 231.9L462.7 183.9C467.6 154.6 444.1 128 415.3 128H320.7C306.3 128 293.6 134.2 284.9 144H227.1C218.4 134.2 205.7 128 191.3 128H96.66C67 128 44.44 154.6 49.32 183.9L57.32 231.9C61.17 255 81.2 272 104.7 272H183.3C206.8 272 226.8 255 230.7 231.9zM164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5C162.1 388.1 200.9 416 255.1 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.9 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5H164.1z"],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416z"],
    "face-swear": [640, 512, [], "e399", "M320 0C461.4 0 576 114.6 576 256H64C64 114.6 178.6 0 320 0zM240.4 224C258 224 272.4 209.7 272.4 192C272.4 190.5 272.3 189 272.1 187.6L282.9 191.2C291.3 193.1 300.4 189.4 303.2 181.1C305.1 172.7 301.4 163.6 293.1 160.8L197.1 128.8C188.7 126 179.6 130.6 176.8 138.9C174 147.3 178.6 156.4 186.9 159.2L217.7 169.4C211.9 175.2 208.4 183.2 208.4 192C208.4 209.7 222.7 224 240.4 224H240.4zM422.9 169.2L453.1 159.2C461.4 156.4 465.1 147.3 463.2 138.9C460.4 130.6 451.3 126 442.9 128.8L346.9 160.8C338.6 163.6 334 172.7 336.8 181.1C339.6 189.4 348.7 193.1 357.1 191.2L368.7 187.3C368.5 188.8 368.4 190.4 368.4 192C368.4 209.7 382.7 224 400.4 224C418 224 432.4 209.7 432.4 192C432.4 183.1 428.7 175 422.9 169.2H422.9zM320 384H352V416H320V384zM592 288C618.5 288 640 309.5 640 336V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H592zM400 384C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352H384V336C384 327.2 376.8 320 368 320C359.2 320 352 327.2 352 336V352H320V336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352H272C263.2 352 256 359.2 256 368C256 376.8 263.2 384 272 384H288V416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448H288V464C288 472.8 295.2 480 304 480C312.8 480 320 472.8 320 464V448H352V464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464V448H400C408.8 448 416 440.8 416 432C416 423.2 408.8 416 400 416H384V384H400zM547.9 333.6L451.9 445.6C446.1 452.3 446.9 462.4 453.6 468.1C460.3 473.9 470.4 473.1 476.1 466.4L572.1 354.4C577.9 347.7 577.1 337.6 570.4 331.9C563.7 326.1 553.6 326.9 547.9 333.6zM472 328C458.7 328 448 338.7 448 352C448 365.3 458.7 376 472 376C485.3 376 496 365.3 496 352C496 338.7 485.3 328 472 328zM552 472C565.3 472 576 461.3 576 448C576 434.7 565.3 424 552 424C538.7 424 528 434.7 528 448C528 461.3 538.7 472 552 472zM192 336V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V336C224 327.2 216.8 320 208 320C199.2 320 192 327.2 192 336zM208 432C194.7 432 184 442.7 184 456C184 469.3 194.7 480 208 480C221.3 480 232 469.3 232 456C232 442.7 221.3 432 208 432zM128 336C128 327.2 120.8 320 112 320C103.2 320 96 327.2 96 336V337.5C90.36 338.7 84.45 340.8 79.15 344.5C71.63 349.9 66.4 357.8 64.64 368C63.39 375.3 64.04 382.4 67.13 388.9C70.16 395.3 74.89 399.8 79.58 403C87.66 408.5 98.25 411.7 105.1 414L107.5 414.5C116.9 417.3 122.7 419.3 126.2 421.9C127.6 422.8 127.8 423.4 127.8 423.5C127.9 423.5 127.9 423.7 127.1 424.1C128 424.5 128 425.2 127.8 426.4C127.3 429.6 126.3 430.1 125.9 430.4L125.8 430.4C124.7 431.1 122 431.1 117.1 431.9C106.9 431.8 94.52 427.1 85.06 424.8C76.68 422 67.62 426.6 64.82 434.9C62.03 443.3 66.56 452.4 74.94 455.2C79.82 456.8 87.02 459.2 95.11 461V464C95.11 472.8 102.3 480 111.1 480C119.9 480 127.1 472.8 127.1 464V463.2C132.2 462.4 137.5 460.8 142.4 457.8C151.5 452.3 157.4 443.4 159.4 431.9C160.6 424.5 160.1 417.4 157.2 410.7C154.4 404.2 149.8 399.4 145.1 395.1C136.6 389.8 125.4 386.5 117.5 384L116.8 383.8C107.2 380.9 101.2 379 97.56 376.5C96.55 375.9 96.18 375.4 96.07 375.3C96.03 375.1 95.1 374.5 96.18 373.5C96.51 371.6 97.1 371 97.7 370.6C98.76 369.9 101 368.9 105.1 368.4C113.4 367.5 123.1 369.3 131.9 371.4C140.4 373.6 149.2 368.6 151.5 360C153.7 351.5 148.7 342.7 140.1 340.4C136.7 339.5 132.6 338.6 128 337.8L128 336zM96.1 375.4C96.1 375.4 96.08 375.3 96.07 375.3z"],
    "face-thermometer": [576, 512, [], "e39a", "M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C400 0 495.2 71.96 529.1 172.2C515.9 168.1 500.2 171.5 488.1 182.4L338.2 328.4C323.3 323.2 306.6 320 288 320C232.9 320 194.2 347.9 171.9 373.5C166.1 380.2 166.8 390.3 173.5 396.1C180.2 401.9 190.3 401.2 196.1 394.5C214 373.8 244.6 352 288 352C331.4 352 361.1 373.8 379.9 394.5C385.7 401.2 395.8 401.9 402.5 396.1C407.7 391.6 409.3 384.4 406.1 378.4L416.3 369.3L391.5 344.5C386.8 339.8 386.8 332.2 391.5 327.5C396.2 322.8 403.8 322.8 408.5 327.5L433.6 352.6L448.9 337.9L423.5 312.5C418.8 307.8 418.8 300.2 423.5 295.5C428.2 290.8 435.8 290.8 440.5 295.5L466.2 321.2L481.5 306.5L455.5 280.5C450.8 275.8 450.8 268.2 455.5 263.5C460.2 258.8 467.8 258.8 472.5 263.5L498.8 289.8L514.1 275L487.5 248.5C482.8 243.8 482.8 236.2 487.5 231.5C492.2 226.8 499.8 226.8 504.5 231.5L531.4 258.4L543.8 246.4C543.9 249.6 544 252.8 544 255.1L544 256zM208.4 176C190.7 176 176.4 190.3 176.4 208C176.4 225.7 190.7 240 208.4 240C226 240 240.4 225.7 240.4 208C240.4 190.3 226 176 208.4 176zM368.4 240C386 240 400.4 225.7 400.4 208C400.4 190.3 386 176 368.4 176C350.7 176 336.4 190.3 336.4 208C336.4 225.7 350.7 240 368.4 240z"],
    "face-thinking": [512, 512, [], "e39b", "M512 255.1C512 397.4 397.4 512 256 512C245.4 512 234.9 511.4 224.6 510.1C228.6 504.4 231.9 498.1 234.4 491.3L255.4 433.6L291.1 420.6C315 411.9 329.4 388.6 327.9 364.5C326.6 340.1 311.4 318.4 288.7 308.8L166.2 257.3C158.1 253.8 148.7 257.6 145.3 265.8C141.8 273.9 145.6 283.3 153.8 286.7L236.2 321.4L144 354.1V352C144 321.1 118.9 296 88 296C57.07 296 32 321.1 32 352V380C11.61 343.3 0 301 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 255.1zM176.4 143.1C158.7 143.1 144.4 158.3 144.4 175.1C144.4 193.7 158.7 207.1 176.4 207.1C194 207.1 208.4 193.7 208.4 175.1C208.4 158.3 194 143.1 176.4 143.1zM336.4 223.1C354 223.1 368.4 209.7 368.4 191.1C368.4 174.3 354 159.1 336.4 159.1C318.7 159.1 304.4 174.3 304.4 191.1C304.4 209.7 318.7 223.1 336.4 223.1zM142.1 121.9C166.5 108.4 195.9 111.2 216.4 128.8L229.6 140.1C236.3 145.9 246.4 145.1 252.1 138.4C257.9 131.7 257.1 121.6 250.4 115.9L237.2 104.5C206.4 78.14 162.3 73.95 127.1 94.08L120.1 98.11C112.4 102.5 109.7 112.3 114.1 119.9C118.5 127.6 128.3 130.3 135.9 125.9L142.1 121.9zM112 400.6L263.8 345.4C276.3 340.9 290 347.3 294.6 359.8C299.1 372.3 292.7 386 280.2 390.6L230.4 408.7L204.3 480.4C197.4 499.4 179.4 512 159.2 512H112C85.49 512 64 490.5 64 464V352C64 338.7 74.75 328 88 328C101.3 328 112 338.7 112 352L112 400.6z"],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z"],
    "face-tissue": [512, 512, [], "e39c", "M512 255.1C512 397.4 397.4 512 256 512C244.5 512 233.1 511.2 221.1 509.8C222.6 507.9 223 505.9 223.3 503.9L241.7 393.7L247.1 397.3C252.5 400.9 259.5 400.9 264.9 397.3L304 371.2L343.1 397.3C347.9 400.5 354 400.9 359.2 398.3L391.2 382.3C399.1 378.4 402.3 368.7 398.3 360.8C394.4 352.9 384.7 349.7 376.8 353.7L353.2 365.5L312.9 338.7C307.5 335.1 300.5 335.1 295.1 338.7L256 364.8L247.5 359.1L255.3 311.9C257.9 296.6 252.9 281 241.9 270.1C230.1 259.1 215.4 254.1 200.1 256.7L8.11 288.7C6.109 288.1 4.15 289.4 2.241 290C.7642 278.9 .0016 267.5 .0016 256C.0016 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 255.1zM133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8L154.8 191.1L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7zM396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 191.1L393.2 148.8C395 146.6 396 143.9 396 141.1V141.1zM219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7L219.3 292.7z"],
    "face-tongue-money": [512, 512, [], "e39d", "M255.1 0C397.4 0 512 114.6 512 256C512 364.6 444.3 457.5 348.9 494.6C360.9 476.8 368 455.2 368 432V421.5C390.4 401.4 407 375.4 415.2 346.1C419.1 332.4 407.8 320 393.6 320H118.4C104.2 320 92.92 332.4 96.76 346.1C104.1 375.4 121.6 401.4 144 421.5V432C144 455.2 151.1 476.8 163.1 494.6C67.66 457.5 0 364.6 0 256C0 114.6 114.6 0 256 0H255.1zM192 104C192 95.16 184.8 88 176 88C167.2 88 160 95.16 160 104V113.3C154.3 114.5 148.4 116.6 143 120.5C135.5 125.9 130.4 133.1 128.6 144.1C127.4 151.4 127.9 158.6 130.9 165.3C133.8 171.9 138.5 176.5 143.3 179.9C151.6 185.7 162.6 188.8 170.5 191.1L171.6 191.4C181.2 194.1 186.1 195.1 190.4 198.4C193 200.2 192.6 204.8 189.9 206.4L189.8 206.4C188.7 207.1 186 207.1 181.1 207.9C170.9 207.8 158.5 203.1 149.1 200.8C140.7 198 131.6 202.6 128.8 210.9C126 219.3 130.6 228.4 138.9 231.2C144 232.9 151.6 235.3 160 237.2V248C160 256.8 167.2 264 176 264C184.8 264 192 256.8 192 248V239.1C196.8 238.2 201.8 236.6 206.4 233.8C215.5 228.3 221.4 219.4 223.4 207.9C224.6 200.6 224.1 193.4 221.1 186.7C218.2 180.1 213.5 175.5 208.7 172.1C201.6 167.2 193.2 164.9 184.8 162.7C176.6 160.6 168.4 158.4 161.6 153.6C159.2 151.1 159.2 148.3 161.8 146.4C162.8 145.7 164.9 144.7 168.9 144.3C177.1 143.4 187.6 145.3 195.9 147.5C204.4 149.7 213.2 144.7 215.5 136.1C217.7 127.6 212.7 118.8 204.1 116.5C200.7 115.6 196.6 114.7 192 113.8L192 104zM320 104V113.3C314.3 114.5 308.4 116.6 303 120.5C295.5 125.9 290.4 133.1 288.6 144.1C287.4 151.4 287.9 158.6 290.9 165.3C293.8 171.9 298.5 176.5 303.3 179.9C311.6 185.7 322.6 188.8 330.5 191.1L331.6 191.4C341.2 194.1 346.1 195.1 350.4 198.4C353 200.2 352.6 204.8 349.9 206.4L349.8 206.4C348.7 207.1 346 207.1 341.1 207.9C330.9 207.8 318.5 203.1 309.1 200.8C300.7 198 291.6 202.6 288.8 210.9C286 219.3 290.6 228.4 298.1 231.2C304 232.9 311.6 235.3 320 237.2V248C320 256.8 327.2 264 336 264C344.8 264 352 256.8 352 248V239.1C356.8 238.2 361.8 236.6 366.4 233.8C375.5 228.3 381.4 219.4 383.4 207.9C384.6 200.6 384.1 193.4 381.1 186.7C378.2 180.1 373.5 175.5 368.7 172.1C361.6 167.2 353.2 164.9 344.8 162.7C336.6 160.6 328.4 158.4 321.6 153.6C319.2 151.1 319.2 148.3 321.8 146.4C322.8 145.7 324.9 144.7 328.9 144.3C337.1 143.4 347.6 145.3 355.9 147.5C364.4 149.7 373.2 144.7 375.5 136.1C377.7 127.6 372.7 118.8 364.1 116.5C360.7 115.6 356.6 114.7 352 113.8V104C352 95.16 344.8 88 336 88C327.2 88 320 95.16 320 104L320 104zM336 352V432C336 476.2 300.2 512 255.1 512C211.8 512 175.1 476.2 175.1 432V352H336zM245.3 378.9V385.3C241.5 386.1 237.6 387.5 234 390.1C229 393.9 225.6 399.3 224.4 406.2C223.6 411.2 223.9 416.2 225.9 420.7C227.9 425.2 230.1 428.4 234.2 430.6C239.8 434.6 247.1 436.7 252.3 438.3L253.1 438.5C259.4 440.4 263.3 441.6 265.6 443.3C267.4 444.5 267.1 447.6 265.2 448.7C264.5 449.2 262.7 449.8 259.4 449.8C252.6 449.7 244.3 447.1 238 444.9C232.4 443 226.4 446.1 224.5 451.8C222.7 457.5 225.7 463.7 231.3 465.6C234.7 466.8 239.7 468.5 245.3 469.7V477.1C245.3 483.1 250.1 488 256 488C261.9 488 266.7 483.1 266.7 477.1V470.1C269.9 470.4 273.2 469.3 276.2 467.4C282.3 463.7 286.2 457.6 287.6 449.8C288.4 444.8 288.1 439.8 286.1 435.3C284.1 430.8 281 427.6 277.8 425.4C273.1 421.1 267.5 420.5 261.9 418.1C256.4 417.5 250.1 415.1 246.4 412.7C244.8 411.6 244.8 409.1 246.5 407.8C247.2 407.3 248.6 406.7 251.3 406.4C256.7 405.8 263.7 407 269.3 408.5C274.1 410.1 280.8 406.6 282.3 400.8C283.8 394.1 280.4 389 274.7 387.5C272.5 386.8 269.7 386.2 266.7 385.6V378.9C266.7 372.9 261.9 368 256 368C250.1 368 245.3 372.9 245.3 378.9L245.3 378.9z"],
    "face-tongue-sweat": [576, 512, [], "e39e", "M544 255.1C544 368.9 470.9 464.7 369.5 498.8C378.7 484 384 466.6 384 448V416.7C394.2 409.5 400 401 400 392C400 365.5 349.9 344 288 344C226.1 344 176 365.5 176 392C176 401 181.8 409.5 192 416.7V448C192 466.6 197.3 484 206.5 498.8C165.1 484.9 128.5 460.7 99.62 429.3C116.9 414.1 127.1 393.5 127.1 369C127.1 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 31.1 257.1 31.1 256C31.1 114.6 146.6 0 287.1 0C429.4 0 544 114.6 544 256L544 255.1zM335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1zM239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7zM96 369C96 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369H96zM352 402.6V448C352 483.3 323.3 512 288 512C252.7 512 224 483.3 224 448V402.6C224 387.9 235.9 376 250.6 376H252.6C263.9 376 273.7 383.9 276.2 394.9C279 407.5 296.1 407.5 299.8 394.9C302.3 383.9 312.1 376 323.4 376H325.4C340.1 376 352 387.9 352 402.6V402.6z"],
    "face-unamused": [512, 512, [], "e39f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3C323.8 355.4 295.7 336 255.1 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7H316.1zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z"],
    "face-viewfinder": [512, 512, [], "e2ff", "M136 464H48v-88C48 362.7 37.25 352 24 352S0 362.7 0 376V480c0 17.67 14.33 32 32 32h104C149.3 512 160 501.3 160 488S149.3 464 136 464zM24 160C37.25 160 48 149.3 48 136V48h88C149.3 48 160 37.25 160 24S149.3 0 136 0H32C14.33 0 0 14.33 0 32v104C0 149.3 10.75 160 24 160zM416 256c0-88.37-71.63-160-160-160S96 167.6 96 256s71.63 160 160 160S416 344.4 416 256zM312 192c13.25 0 24 10.75 24 24S325.3 240 312 240S288 229.3 288 216S298.7 192 312 192zM200 192C213.3 192 224 202.7 224 216S213.3 240 200 240S176 229.3 176 216S186.7 192 200 192zM339.5 314.7C318.2 338.4 287.8 352 256 352s-62.22-13.59-83.47-37.3C166.6 308.1 167.2 298 173.8 292.1c6.562-5.922 16.66-5.359 22.59 1.219c30.38 33.91 88.94 33.91 119.3 0c5.906-6.562 16.03-7.109 22.59-1.219S345.4 308.1 339.5 314.7zM480 0h-104C362.7 0 352 10.75 352 24s10.75 24 24 24h88v88C464 149.3 474.7 160 488 160S512 149.3 512 136V32C512 14.33 497.7 0 480 0zM488 352c-13.25 0-24 10.75-24 24v88h-88c-13.25 0-24 10.75-24 24S362.7 512 376 512H480c17.67 0 32-14.33 32-32v-104C512 362.7 501.3 352 488 352z"],
    "face-vomit": [576, 512, [], "e3a0", "M544 256C544 328.5 513.9 393.9 465.5 440.5L448.8 434.9C436.9 430.1 427.3 422.6 421.6 412C438.3 399.4 448 384.3 448 368C448 323.8 376.4 288 288 288C199.6 288 128 323.8 128 368C128 384.3 137.7 399.4 154.4 412C148.7 422.6 139.1 430.1 127.2 434.9L110.5 440.5C62.12 393.9 32 328.5 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256V256zM150.8 148.8L186.8 192L150.8 235.2C148.1 237.4 148 240.1 148 242.9C148 251.8 157.6 257.6 165.5 253.3L255.4 205.4C266.1 199.7 266.1 184.3 255.4 178.6L165.5 130.7C157.6 126.4 148 132.2 148 141.1C148 143.9 148.1 146.6 150.8 148.8V148.8zM320.6 178.6C309.9 184.3 309.9 199.7 320.6 205.4L410.5 253.3C418.4 257.6 428 251.8 428 242.9C428 240.1 427 237.4 425.2 235.2L389.2 192L425.2 148.8C427 146.6 428 143.9 428 141.1C428 132.2 418.4 126.4 410.5 130.7L320.6 178.6zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM576 448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448C512 430.3 526.3 416 544 416C561.7 416 576 430.3 576 448zM192 396.1V338.7C215.6 327.6 249.3 320 287.1 320C326.7 320 360.4 327.6 384 338.7V396.1C384 427.1 403.8 454.6 433.2 464.4L467.3 475.8C474.9 478.3 480 485.4 480 493.4C480 503.7 471.7 512 461.4 512H114.6C104.3 512 96 503.7 96 493.4C96 485.4 101.1 478.3 108.7 475.8L142.8 464.4C172.2 454.6 192 427.1 192 396.1H192zM288 400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384C295.2 384 288 391.2 288 400zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416z"],
    "face-weary": [512, 512, [], "e3a1", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM188.7 164.7L181.3 172.1C162.5 190.9 138.2 203.4 111.9 207.8L109.4 208.2C100.7 209.7 94.77 217.9 96.22 226.6C97.67 235.3 105.9 241.2 114.6 239.8L117.1 239.4C150 233.9 180.4 218.3 203.9 194.7L211.3 187.3C217.6 181.1 217.6 170.9 211.3 164.7C205.1 158.4 194.9 158.4 188.7 164.7zM308.1 194.7C331.6 218.3 361.1 233.9 394.9 239.4L397.4 239.8C406.1 241.2 414.3 235.3 415.8 226.6C417.2 217.9 411.3 209.7 402.6 208.2L400.2 207.8C373.8 203.4 349.5 190.9 330.7 172.1L323.3 164.7C317.1 158.4 306.9 158.4 300.7 164.7C294.4 170.9 294.4 181.1 300.7 187.3L308.1 194.7z"],
    "face-woozy": [512, 512, [], "e3a2", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM411.3 347.3C417.6 341.1 417.6 330.9 411.3 324.7C405.1 318.4 394.9 318.4 388.7 324.7L349.4 363.1C341.7 371.7 331.3 376 320.4 376C312.7 376 305.1 373.8 298.6 369.8L284.4 360.9C257.5 344.1 224.2 341.1 194.8 352.9C174.2 361.1 150.8 358.7 132.4 346.4L120.9 338.7C113.5 333.8 103.6 335.8 98.69 343.1C93.78 350.5 95.77 360.4 103.1 365.3L114.6 372.1C141.9 391.1 176.3 394.7 206.7 382.6C226.6 374.6 249.2 376.6 267.4 387.1L281.6 396.9C293.3 404.2 306.7 408 320.4 408C339.7 408 358.3 400.3 372 386.6L411.3 347.3zM178.7 103.1C155.5 137.1 120.3 156.4 106.9 160.8C98.56 163.6 94.03 172.7 96.82 181.1C99.62 189.4 108.7 193.1 117.1 191.2C135.7 184.1 177.3 162.8 205.3 120.9C210.2 113.5 208.2 103.6 200.9 98.69C193.5 93.79 183.6 95.77 178.7 103.1V103.1zM204.1 208.5L140.1 224.5C131.5 226.6 126.3 235.3 128.5 243.9C130.6 252.5 139.3 257.7 147.9 255.5L211.9 239.5C220.5 237.4 225.7 228.7 223.5 220.1C221.4 211.5 212.7 206.3 204.1 208.5zM336 272C353.7 272 368 243.3 368 208C368 172.7 353.7 144 336 144C318.3 144 304 172.7 304 208C304 243.3 318.3 272 336 272z"],
    "face-worried": [512, 512, [], "e3a3", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.1 399.7C282.4 399.7 307.3 405 329.7 414.5C342.1 419.7 356.2 410.4 350.8 398.1C334.9 361.5 298.4 335.1 256.1 335.1C213.7 335.1 177.2 361.5 161.3 398.1C155.9 410.4 170 419.7 182.4 414.5C204.8 405 229.7 399.7 256.1 399.7V399.7zM176.4 240C158.7 240 144.4 254.3 144.4 272C144.4 289.7 158.7 304 176.4 304C194 304 208.4 289.7 208.4 272C208.4 254.3 194 240 176.4 240zM336.4 304C354 304 368.4 289.7 368.4 272C368.4 254.3 354 240 336.4 240C318.7 240 304.4 254.3 304.4 272C304.4 289.7 318.7 304 336.4 304zM208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144zM389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7z"],
    "face-zany": [576, 512, [], "e3a4", "M183.1 224C183.1 237.3 173.3 248 159.1 248C146.7 248 135.1 237.3 135.1 224C135.1 210.7 146.7 200 159.1 200C173.3 200 183.1 210.7 183.1 224zM296 136C296 118.3 310.3 104 328 104C345.7 104 360 118.3 360 136C360 153.7 345.7 168 328 168C310.3 168 296 153.7 296 136zM389.1 490.9C396.4 477.1 400.1 463.4 400.1 448V391.7C449.1 350.8 470.2 286.1 455 226.7C451.5 212.9 435.6 207.8 423.2 214.9L184.9 352.5C172.6 359.6 169 375.1 179.2 385.9C187.1 394.5 197.7 401.9 208.1 408.2V448C208.1 469.1 214.9 488.6 226.4 504.5C161.3 488.3 102.6 446.7 66.36 384C-4.331 261.6 37.62 104.1 160.1 34.3C282.5-36.39 439.1 5.557 509.8 128C580.5 250.4 538.5 407 416.1 477.7C407.5 482.6 398.8 487 389.1 490.9H389.1zM160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288zM344 80C304.2 80 271.1 112.2 271.1 152C271.1 191.8 304.2 224 344 224C383.8 224 416 191.8 416 152C416 112.2 383.8 80 344 80zM304.1 512C268.7 512 240.1 483.3 240.1 448V402.6C240.1 387.9 251.1 376 266.7 376H268.7C280 376 289.8 383.9 292.3 394.9C295.1 407.5 313.1 407.5 315.9 394.9C318.3 383.9 328.1 376 339.4 376H341.4C356.1 376 368.1 387.9 368.1 402.6V448C368.1 483.3 339.4 512 304.1 512V512z"],
    "face-zipper": [512, 512, [], "e3a5", "M440.6 328.5C422.1 319.3 399.8 322.9 385.2 337.5L369.5 353.2C354.9 367.8 351.3 390.1 360.5 408.6L389.6 466.7C390.6 468.7 391.6 470.6 392.7 472.5C353.2 497.5 306.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 290.9 505 324.1 492.4 354.4L440.6 328.5zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM144 336C144 327.2 136.8 320 128 320C119.2 320 112 327.2 112 336V368C112 376.8 119.2 384 128 384C136.8 384 144 376.8 144 368V336zM176 336V368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V336C208 327.2 200.8 320 192 320C183.2 320 176 327.2 176 336zM272 336C272 327.2 264.8 320 256 320C247.2 320 240 327.2 240 336V368C240 376.8 247.2 384 256 384C264.8 384 272 376.8 272 368V336zM304 336V368C304 376.8 311.2 384 320 384C328.8 384 336 376.8 336 368V336C336 327.2 328.8 320 320 320C311.2 320 304 327.2 304 336zM418.2 452.4L389.2 394.3C386.1 388.2 387.3 380.7 392.2 375.8L407.8 360.2C412.7 355.3 420.2 354.1 426.3 357.2L484.4 386.2C513.7 400.9 520.1 439.9 496.9 463.1L495.1 464.9C471.9 488.1 432.9 481.7 418.2 452.4L418.2 452.4zM463.5 415.5L447.5 431.5C442.8 436.2 442.8 443.8 447.5 448.5C452.2 453.2 459.8 453.2 464.5 448.5L480.5 432.5C485.2 427.8 485.2 420.2 480.5 415.5C475.8 410.8 468.2 410.8 463.5 415.5z"],
    "falafel": [576, 512, [129478], "e40a", "M250.7 282.1C244.2 273.6 242.5 260.2 234.4 253.6C226.2 246.9 213.1 248 203.6 243.3C194.3 238.6 187.1 227.3 176.8 224.8C166.8 222.4 155.4 229.3 144.8 229.2C134.5 229.2 123.2 222.1 112.8 224.5C102.3 226.9 95 238.1 85.71 242.6C76.13 247.3 62.98 245.1 54.84 252.5c-8.264 6.664-10.07 20.06-16.61 28.35C31.66 289.2 19.24 293.9 14.63 303.5c-4.58 9.561-.5645 22.42-2.973 32.88C9.295 346.6 .0508 356.3 0 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.438 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c5.461-6.92 14.72-11.46 20.41-18.25c-2.727-9.602-2.496-18.58-2.211-25.52c.0918-2.211 .2285-5.553 .168-6.225c-.3184-1.07-1.818-4.016-2.811-5.965C261.4 391.4 255.9 380.7 256 367c.0664-14.06 5.955-25.26 9.852-32.67c.9824-1.867 2.1-3.658 2.566-4.873c.2988-2.068 .0625-4.271-.002-6.471C268.2 316.6 268 308.4 270.3 299.6C264.5 293.1 255.8 288.7 250.7 282.1zM80 384C71.16 384 64 376.8 64 368C64 359.2 71.17 352 80 352S96 359.2 96 368C96 376.8 88.84 384 80 384zM112 448C103.2 448 96 440.8 96 432S103.2 416 112 416S128 423.2 128 432S120.8 448 112 448zM144 384C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352S160 359.2 160 368C160 376.8 152.8 384 144 384zM536.7 416c-33.38 0-71.88-18.58-102.1-49.69c-22.43-22.42-38.67-49.04-45.73-74.94c-6.365-23.34-4.758-45.13 3.967-62.53c-6.244 4.406-11.78 10.67-18.21 13.78c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.561-.5645 22.42-2.973 32.88C297.3 346.6 288.1 356.3 288 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.438 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c6.572-8.33 18.99-12.98 23.6-22.59c2.965-6.186 2.371-13.74 2.205-21.15C555.3 414.3 546.4 416 536.7 416zM368 384c-8.836 0-16-7.164-16-15.1C352 359.2 359.2 352 368 352S384 359.2 384 368C384 376.8 376.8 384 368 384zM400 448c-8.836 0-16-7.164-16-16s7.166-16 16-16S416 423.2 416 432S408.8 448 400 448zM300.9 261.4c1.086-1.688 1.791-3.705 2.637-5.662c3.527-8.154 8.357-19.32 19.26-28.11c10.9-8.789 23.24-11.12 31.4-12.66c2.037-.3848 4.117-.6172 5.105-.8711c1.596-1.006 3.018-2.424 4.537-3.744c6.369-5.539 15.99-13.91 29.89-17.06C397.4 192.4 401.4 192 405.3 192c9.029 0 16.92 2.215 22.69 3.834c1.889 .5293 3.734 1.184 4.5 1.393c1.004-.0938 2.021-.4473 3.031-.7168c.1387-6.984-.707-14.36 .7891-20.86C438.7 165.4 447.9 155.7 448 144.8c.0488-10.49-9.027-20.27-11.35-30.95c-2.322-10.68 1.84-23.47-2.561-32.95c-4.539-9.791-16.93-14.57-23.35-22.87c-6.525-8.438-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49c-10.08-2.42-21.46 4.436-32.06 4.383C294.5 5.162 283.2-1.883 272.8 .4863C262.3 2.859 255 14.13 245.7 18.62C236.1 23.26 222.1 21.97 214.8 28.53c-8.264 6.664-10.07 20.06-16.61 28.35C191.7 65.2 179.2 69.86 174.6 79.46C170.1 89.03 174.1 101.9 171.7 112.3C169.3 122.6 160.1 132.3 160 143.2c-.0488 10.49 9.027 20.27 11.35 30.95c1.252 5.76 .6797 12.11 .5215 18.25c.127 0 .2266-.0352 .3535-.0352c4.146 0 8.211 .4707 12.09 1.4c13.71 3.291 23.18 11.73 29.45 17.32C215.3 212.4 216.7 213.9 217.5 214.5c1.812 .6777 3.84 .9316 5.834 1.33C231.5 217.5 243.9 219.9 254.7 228.9c10.73 8.824 15.45 19.98 18.89 28.13c.8438 1.998 1.541 4.068 2.152 5.166c1.334 1.402 3.049 2.523 4.678 3.764c2.107 1.605 4.654 3.686 7.199 5.902c3.188-2.854 6.324-5.332 8.916-7.266C298.2 263.3 299.1 262.2 300.9 261.4zM240 160C231.2 160 224 152.8 224 144C224 135.2 231.2 128 240 128S256 135.2 256 144C256 152.8 248.8 160 240 160zM535.7 264.3c-38.35-38.35-87.21-51.68-109.1-29.76c-21.92 21.92-8.592 70.78 29.76 109.1c38.35 38.36 87.21 51.68 109.1 29.76C587.4 351.5 574 302.7 535.7 264.3z"],
    "family": [512, 512, [], "e300", "M176 407.4C156.9 396.3 144 375.6 144 352V304c0-34.31 21.72-63.65 52.13-74.99C183.6 214.9 176 196.3 176 176c0-4.561 .6107-8.965 1.347-13.32C171.8 161.1 166.1 160 160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480V407.4zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM336 304C336 277.5 314.5 256 288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304zM256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224z"],
    "family-dress": [512, 512, [], "e301", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM176 407.4C156.9 396.3 144 375.6 144 352V304c0-34.31 21.72-63.65 52.13-74.99C183.6 214.9 176 196.3 176 176c0-4.447 .6133-8.734 1.314-12.99C172.2 161.1 166.7 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-42.4 148.4C.6119 363.7 15.96 384 37.22 384H64v96c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480V407.4zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM336 304C336 277.5 314.5 256 288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304zM256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224z"],
    "family-pants": [448, 512, [], "e302", "M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM144 407.4C124.9 396.3 112 375.6 112 352V304c0-34.31 21.72-63.65 52.13-74.99C151.6 214.9 144 196.3 144 176c0-4.561 .6107-8.965 1.347-13.32C139.8 161.1 134.1 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C145.7 496.5 144 488.5 144 480V407.4zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM384 160h-64c-6.055 0-11.8 1.111-17.35 2.682C303.4 167 304 171.4 304 176c0 20.31-7.609 38.88-20.13 53.01C314.3 240.3 336 269.7 336 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C304.9 508.8 311.1 512 320 512h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM224 224c26.53 0 48-21.47 48-48S250.5 128 224 128S176 149.5 176 176S197.5 224 224 224zM304 304C304 277.5 282.5 256 256 256H192C165.5 256 144 277.5 144 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304z"],
    "fan": [512, 512, [], "f863", "M352.6 127.1c-28.12 0-54.13 4.5-77.13 12.88l12.38-123.1c1.125-10.5-8.125-18.88-18.5-17.63C189.6 10.12 127.1 77.62 127.1 159.4c0 28.12 4.5 54.13 12.88 77.13L17.75 224.1c-10.5-1.125-18.88 8.125-17.63 18.5c9.1 79.75 77.5 141.4 159.3 141.4c28.12 0 54.13-4.5 77.13-12.88l-12.38 123.1c-1.125 10.38 8.125 18.88 18.5 17.63c79.75-10 141.4-77.5 141.4-159.3c0-28.12-4.5-54.13-12.88-77.13l123.1 12.38c10.5 1.125 18.88-8.125 17.63-18.5C501.9 189.6 434.4 127.1 352.6 127.1zM255.1 287.1c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z"],
    "fan-table": [448, 512, [], "e004", "M224 192C215.1 192 208 199.1 208 208S215.1 224 224 224s16-7.125 16-16S232.9 192 224 192zM320 448h-64v-34.8C355.6 397.8 432 311.1 432 208C432 93.13 338.9 0 224 0S16 93.13 16 208c0 103.1 76.42 189.8 176 205.2V448H128c-28.38 0-55 18.5-63.25 44.13C61.5 502 69.79 512 80.17 512h287.7c10.38 0 18.67-9.999 15.42-19.88C375 466.5 348.4 448 320 448zM119.6 334.8c-7-4-14.5-16.75-5.125-28.25l67.5-82c-57.12-20.25-69.12-77.25-59.62-113c6.375-24.25 22.25-44.88 44-57.38c13-7.375 24.25 2.375 27 9.75l37.13 99c28-23.88 67.38-29.25 100.9-13.75c33.38 15.5 54.75 49 54.62 85.88c0 5.5-2.375 10.75-6.625 14.38S369.5 254.5 364.1 253.6l-104.8-17.5c4.25 22 .5 44.75-10.62 64.13C222.6 345.4 164.9 360.9 119.6 334.8z"],
    "farm": [576, 512, ["barn-silo"], "f864", "M0 96C0 42.98 42.98 0 96 0C149 0 192 42.98 192 96V110.3C187.7 115.3 184.3 121.1 181.7 127.3L181.4 127.1H0V96zM132.8 245.1C129.6 253.7 128 261.1 128 270.3V480C128 491.7 131.1 502.6 136.6 512H48C21.49 512 0 490.5 0 464V160H168.2L132.8 245.1zM160 480V270.3C160 266.2 160.8 262 162.4 258.1L211.3 139.4C214.3 132.1 219.1 126.1 227.2 122.7L354.3 62.49C362.1 58.38 373 58.38 381.7 62.49L508.8 122.7C516 126.1 521.7 132.1 524.7 139.4L573.6 258.1C575.2 262 576 266.2 576 270.3V480C576 497.7 561.7 512 544 512H432V448C432 421.5 410.5 400 384 400H352C325.5 400 304 421.5 304 448V512H191.1C174.3 512 159.1 497.7 159.1 480H160zM320 296C320 309.3 330.7 320 344 320H392C405.3 320 416 309.3 416 296V248C416 234.7 405.3 224 392 224H344C330.7 224 320 234.7 320 248V296z"],
    "faucet": [512, 512, [], "e005", "M352 256h-38.54C297.7 242.5 277.9 232.9 256 228V180.5L224 177L192 180.5V228C170.1 233 150.3 242.6 134.5 256H16C7.125 256 0 263.1 0 272v96C0 376.9 7.125 384 16 384h92.78C129.4 421.8 173 448 224 448s94.59-26.25 115.2-64H352c17.62 0 32 14.29 32 31.91S398.4 448 416 448h64c17.62 0 32-14.31 32-31.94C512 327.7 440.4 256 352 256zM81.63 159.9L224 144.9l142.4 15C375.9 160.9 384 153.1 384 143.1V112.9c0-10-8.125-17.74-17.62-16.74L256 107.8V80C256 71.12 248.9 64 240 64h-32C199.1 64 192 71.12 192 80v27.75L81.63 96.14C72.13 95.14 64 102.9 64 112.9v30.24C64 153.1 72.13 160.9 81.63 159.9z"],
    "faucet-drip": [512, 512, [128688], "e006", "M416 480c0 17.62 14.38 32 32 32s32-14.38 32-32s-32-64-32-64S416 462.4 416 480zM352 192h-38.54C297.7 178.5 277.9 168.9 256 164V116.5L224 113L192 116.5V164C170.1 169 150.3 178.6 134.5 192H16C7.125 192 0 199.1 0 208v96C0 312.9 7.125 320 16 320h92.78C129.4 357.8 173 384 224 384s94.59-26.25 115.2-64H352c17.62 0 32 14.29 32 31.91S398.4 384 416 384h64c17.62 0 32-14.38 32-32C512 263.6 440.4 192 352 192zM81.63 95.88L224 80.88l142.4 15C375.9 96.88 384 89.12 384 79.12V48.89c0-10-8.125-17.74-17.62-16.74L256 43.75V16C256 7.125 248.9 0 240 0h-32C199.1 0 192 7.125 192 16v27.75L81.63 32.14C72.13 31.14 64 38.89 64 48.89V79.12C64 89.12 72.13 96.88 81.63 95.88z"],
    "fax": [512, 512, [128439, 128224], "f1ac", "M192 64h197.5L416 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C419.4 3.375 411.2 0 402.8 0H160C142.3 0 128 14.33 128 32v128h64V64zM64 128H32C14.38 128 0 142.4 0 160v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C96 142.4 81.63 128 64 128zM480 192H128v288c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V224C512 206.4 497.6 192 480 192zM288 432c0 8.875-7.125 16-16 16h-32C231.1 448 224 440.9 224 432v-32C224 391.1 231.1 384 240 384h32c8.875 0 16 7.125 16 16V432zM288 304c0 8.875-7.125 16-16 16h-32C231.1 320 224 312.9 224 304v-32C224 263.1 231.1 256 240 256h32C280.9 256 288 263.1 288 272V304zM416 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM416 304c0 8.875-7.125 16-16 16h-32C359.1 320 352 312.9 352 304v-32C352 263.1 359.1 256 368 256h32C408.9 256 416 263.1 416 272V304z"],
    "feather": [512, 512, [129718], "f52d", "M483.4 244.2L351.9 287.1h97.74c-9.874 10.62 3.75-3.125-46.24 46.87l-147.6 49.12h98.24c-74.99 73.12-194.6 70.62-246.8 54.1l-66.14 65.99c-9.374 9.374-24.6 9.374-33.98 0s-9.374-24.6 0-33.98l259.5-259.2c6.249-6.25 6.249-16.37 0-22.62c-6.249-6.249-16.37-6.249-22.62 0l-178.4 178.2C58.78 306.1 68.61 216.7 129.1 156.3l85.74-85.68c90.62-90.62 189.8-88.27 252.3-25.78C517.8 95.34 528.9 169.7 483.4 244.2z"],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", "M467.1 241.1L351.1 288h94.34c-7.711 14.85-16.29 29.28-25.87 43.01l-132.5 52.99h85.65c-59.34 52.71-144.1 80.34-264.5 52.82l-68.13 68.13c-9.38 9.38-24.56 9.374-33.94 0c-9.375-9.375-9.375-24.56 0-33.94l253.4-253.4c4.846-6.275 4.643-15.19-1.113-20.95c-6.25-6.25-16.38-6.25-22.62 0l-168.6 168.6C24.56 58 366.9 8.118 478.9 .0846c18.87-1.354 34.41 14.19 33.05 33.05C508.7 78.53 498.5 161.8 467.1 241.1z"],
    "fence": [512, 512, [], "e303", "M121.6 98.13C125.8 103.7 128 110.4 128 117.3V160H160V224H128V352H160V416H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V117.3C0 110.4 2.246 103.7 6.4 98.13L51.2 38.4C54.22 34.37 58.96 32 64 32C69.04 32 73.78 34.37 76.8 38.4L121.6 98.13zM313.6 98.13C317.8 103.7 320 110.4 320 117.3V160H352V224H320V352H352V416H320V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V117.3C192 110.4 194.2 103.7 198.4 98.13L243.2 38.4C246.2 34.37 250.1 32 256 32C261 32 265.8 34.37 268.8 38.4L313.6 98.13zM448 32C453 32 457.8 34.37 460.8 38.4L505.6 98.13C509.8 103.7 512 110.4 512 117.3V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V117.3C384 110.4 386.2 103.7 390.4 98.13L435.2 38.4C438.2 34.37 442.1 32 448 32V32z"],
    "ferris-wheel": [512, 512, [], "e174", "M302.7 36.88C330.4 42.75 356.2 53.73 379.1 68.8C385.4 65.72 392.5 64 400 64C426.5 64 448 85.49 448 112C448 119.5 446.3 126.6 443.2 132.9C458.3 155.8 469.3 181.6 475.1 209.3C496.3 214.3 512 233.3 512 256C512 278.7 496.3 297.7 475.1 302.7C469.3 330.4 458.3 356.2 443.2 379.1C446.3 385.4 448 392.5 448 400C448 425.6 428 446.4 402.9 447.9L364.3 367.9C368.9 362.8 374.6 358.7 380.1 355.9C398.2 334.4 409.9 308.5 414.2 280H332.3C334.7 272.4 336 264.4 336 256C336 247.6 334.7 239.6 332.3 232H414.2C410.3 205.7 399.9 181.6 384.8 161.1L326.9 218.1C319.4 204.5 307.5 192.6 293 185.1L350.9 127.2C330.4 112.1 306.3 101.7 280 97.79V179.7C272.4 177.3 264.4 176 256 176C247.6 176 239.6 177.3 232 179.7V97.79C205.7 101.7 181.6 112.1 161.1 127.2L218.1 185.1C204.5 192.6 192.6 204.5 185.1 218.1L127.2 161.1C112.1 181.6 101.7 205.7 97.79 232H179.7C177.3 239.6 176 247.6 176 256C176 264.4 177.3 272.4 179.7 280H97.79C102.1 308.5 113.8 334.4 131 355.9C137.4 358.7 143.1 362.8 147.7 367.9L109.1 447.9C83.97 446.4 64 425.6 64 400C64 392.5 65.72 385.4 68.8 379.1C53.73 356.2 42.75 330.4 36.88 302.7C15.73 297.7 0 278.7 0 256C0 233.3 15.73 214.3 36.88 209.3C42.75 181.6 53.73 155.8 68.8 132.9C65.72 126.6 64 119.5 64 112C64 85.49 85.49 64 112 64C119.5 64 126.6 65.72 132.9 68.8C155.8 53.73 181.6 42.75 209.3 36.88C214.3 15.73 233.3 0 256 0C278.7 0 297.7 15.73 302.7 36.88V36.88zM304 256C304 267.6 299.9 278.3 292.1 286.6L381.8 477.9C385.2 485.3 384.6 494 380.2 500.9C375.8 507.8 368.2 512 360 512H152C143.8 512 136.2 507.8 131.8 500.9C127.4 494 126.8 485.3 130.2 477.9L219 286.6C212.1 278.3 208 267.6 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256z"],
    "ferry": [576, 512, [], "e4ea", "M352 0C369.7 0 384 14.33 384 32H459.1C479.7 32 490.7 56.29 477.2 71.8L456 96H119.1L98.83 71.8C85.25 56.29 96.27 32 116.9 32H191.1C191.1 14.33 206.3 0 223.1 0L352 0zM95.1 128H480C497.7 128 512 142.3 512 160V283.5C512 296.8 507.8 309.8 500.1 320.7L448.7 392.6C446.8 393.7 444.1 394.9 443.2 396.1C427.7 406.8 409.1 414.2 392.1 416H375.6C358.5 414.2 340.6 406.1 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C236.3 406.3 218.7 414.1 200.5 416H183.9C166.9 414.2 148.3 406.8 132.9 396.1C131.1 394.8 129.2 393.7 127.3 392.6L75.92 320.7C68.17 309.8 64 296.8 64 283.5V160C64 142.3 78.33 128 96 128H95.1zM127.1 288H448V192H127.1V288zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", "M432.1 351.9c-44.2 0-80.05 35.85-80.05 80.01c0 44.16 35.86 80.01 80.05 80.01s79.95-35.85 79.95-80.01C511.1 387.8 476.2 351.9 432.1 351.9zM351.3 125.5l-184.7 271.9c-8.323 11.88-21.91 18.69-34.9 18.69c-26.57 0-35.85-24.89-35.85-37.5c0-4.547 .8872-12.99 6.778-21.41l9.824-14.07c5.846-8.383 8.653-17.99 8.653-27.49c0-22.67-17.96-48.09-47.93-48.09c-15.12 0-29.99 7.178-39.3 20.56L24.09 302.1c-9.392 13.46-24.09 39.81-24.09 76.91C.0009 457.4 64.04 512 131.3 512c67.4 0 104.6-46.44 114.3-60.29l185.5-273.1L351.3 125.5zM503.7 74.96c5.601-8.245 8.291-17.63 8.291-26.91C512 21.12 490.2 0 464.1 0c-15.34 0-30.41 7.358-39.67 20.99l-55.15 78.02l79.84 53.16L503.7 74.96z"],
    "file": [384, 512, [128459, 61462, 128196], "f15b", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256z"],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM255 295L216 334.1V232c0-13.25-10.75-24-24-24S168 218.8 168 232v102.1L128.1 295C124.3 290.3 118.2 288 112 288S99.72 290.3 95.03 295c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S264.4 285.7 255 295z"],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM288.1 344.1C284.3 349.7 278.2 352 272 352s-12.28-2.344-16.97-7.031L216 305.9V408c0 13.25-10.75 24-24 24s-24-10.75-24-24V305.9l-39.03 39.03c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C298.3 320.4 298.3 335.6 288.1 344.1z"],
    "file-audio": [384, 512, [], "f1c7", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM176 404c0 10.75-12.88 15.98-20.5 8.484L120 376H76C69.38 376 64 370.6 64 364v-56C64 301.4 69.38 296 76 296H120l35.5-36.5C163.1 251.9 176 257.3 176 268V404zM224 387.8c-4.391 0-8.75-1.835-11.91-5.367c-5.906-6.594-5.359-16.69 1.219-22.59C220.2 353.7 224 345.2 224 336s-3.797-17.69-10.69-23.88c-6.578-5.906-7.125-16-1.219-22.59c5.922-6.594 16.05-7.094 22.59-1.219C248.2 300.5 256 317.8 256 336s-7.766 35.53-21.31 47.69C231.6 386.4 227.8 387.8 224 387.8zM320 336c0 41.81-20.5 81.11-54.84 105.1c-2.781 1.938-5.988 2.875-9.145 2.875c-5.047 0-10.03-2.375-13.14-6.844c-5.047-7.25-3.281-17.22 3.969-22.28C272.6 396.9 288 367.4 288 336s-15.38-60.84-41.14-78.8c-7.25-5.062-9.027-15.03-3.98-22.28c5.047-7.281 14.99-9.062 22.27-3.969C299.5 254.9 320 294.2 320 336zM256 0v128h128L256 0z"],
    "file-binary": [384, 512, [], "e175", "M256 0v128h128L256 0zM144 288h-32C103.2 288 96 295.2 96 304v64C96 376.8 103.2 384 112 384h32C152.8 384 160 376.8 160 368v-64C160 295.2 152.8 288 144 288zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM192 368c0 26.47-21.53 48-48 48h-32C85.53 416 64 394.5 64 368v-64C64 277.5 85.53 256 112 256h32C170.5 256 192 277.5 192 304V368zM288 272V384h16c8.844 0 16 7.156 16 16S312.8 416 304 416h-64c-8.844 0-16-7.156-16-16s7.156-16 16-16H256V288h-16C231.2 288 224 280.8 224 272S231.2 256 240 256h32C280.8 256 288 263.2 288 272z"],
    "file-certificate": [512, 512, ["file-award"], "f5f3", "M352 128L352 0H176C149.5 0 128 21.49 128 48l.0007 84.94c1.732-.3867 3.804-1.012 6.679-1.793l3.795-1.031c5.186-1.406 10.54-2.121 15.9-2.121c16.23 0 32.1 6.676 43.55 18.32l2.742 2.793c2.17 2.219 3.688 3.867 5.027 5.102c1.691 .5547 3.809 1.066 6.703 1.855l3.85 1.055c21.2 5.762 37.75 22.53 43.14 43.57l1.124 4.252c.791 3.008 1.293 5.18 1.854 6.91c1.24 1.41 2.92 3.004 5.209 5.324l2.412 2.445c15.48 15.48 21.55 38.49 15.88 59.88l-.852 3.175c-.8926 3.328-1.596 5.645-1.984 7.559C283.4 292 284 294.1 284.8 297.1l1.084 4.125c5.711 21.29-.3828 44.15-15.72 59.48l-2.875 2.914c-2.154 2.18-3.754 3.703-4.949 5.047c-.5605 1.746-1.066 3.941-1.861 6.977l-.9824 3.727c-4.748 18.77-18.02 34.06-35.52 41.47L223.1 512H464c26.51 0 48-21.49 48-48V160h-127.1C366.3 160 352 145.7 352 128zM384 0v128h128L384 0zM228.5 371.5c1.375-5.188 2.303-8.914 3.169-11.82c2.594-8.727 4.549-10.09 15.7-21.43c7.5-7.5 10.38-18.5 7.625-28.75c-5.375-20.62-5.5-17.75 0-38.38c2.75-10.38-.125-21.38-7.625-28.88C236.2 230.9 234.3 229.5 231.7 220.8C230.8 217.9 229.9 214.2 228.5 209C227.8 206.4 226.9 204 225.6 201.8C221.8 195.1 215.5 190.1 207.9 188C195.1 184.5 191.3 183.8 186.6 180C184.8 178.5 182.8 176.5 179.1 173.7C178.6 172.3 176.1 170.6 175.1 168.8C172.6 166.2 169.7 164.4 166.6 162.1C165.8 162.6 165.1 162.3 164.3 162C161.2 160.8 157.8 160 154.4 160c-.0176 0 .0176 0 0 0c-.002 0 .002 0 0 0s.002 0 0 0C151.9 160 149.4 160.3 146.9 161c.2441-.0664 .4809-.0391 .725-.0938C147.4 160.1 147.1 160.9 146.9 161C136.7 163.8 132.3 165.1 127.1 165.1c-4.359 0-8.697-1.375-18.82-4.125C106.7 160.3 104.1 160 101.6 160c-.0176 0 .0176 0 0 0C98.18 160 94.86 160.8 91.68 162C90.89 162.3 90.16 162.6 89.4 162.1C86.31 164.4 83.37 166.2 80.89 168.8C65.89 183.9 68.39 182.4 48.14 188C38.02 190.8 30.1 198.8 27.48 209C25.42 216.8 24.38 221.3 23.05 224.6C20.84 230.3 17.9 232.8 8.606 242.3C6.731 244.1 5.188 246.2 3.906 248.5C.0625 255.2-1.038 263.3 1.024 271.1c5.5 20.62 5.375 17.75 0 38.38c-2.062 7.688-.9616 15.8 2.882 22.54c1.281 2.246 2.825 4.34 4.7 6.215c11.06 11.34 13.09 12.77 15.72 21.48c.875 2.902 1.78 6.613 3.155 11.77c2.625 10.38 10.54 18.38 20.67 21.12c7.188 1.938 10.06 2.688 11.68 3.203s2.003 .7969 4.188 1.797V512l63.99-32l63.99 32v-114.4c4.25-2 1.501-1.125 15.87-5c7.592-2.062 13.91-7.078 17.71-13.84C226.9 376.5 227.8 374.1 228.5 371.5zM128 352c-4.422 0-8.741-.4453-12.91-1.297c-8.336-1.703-16.08-5.027-22.89-9.625c-6.807-4.602-12.68-10.47-17.28-17.28C68.04 313.6 64.02 301.3 64.02 288s4.021-25.58 10.92-35.8c4.596-6.809 10.47-12.68 17.28-17.28c6.809-4.598 14.55-7.922 22.89-9.625C119.3 224.4 123.6 224 128 224c35.37 0 63.99 28.62 63.99 64S163.4 352 128 352z"],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM128 435.3C128 441.6 121.6 448 115.3 448h-38.5C70.38 448 64 441.6 64 435.3v-70.5C64 358.4 70.38 352 76.75 352h38.5C121.6 352 128 358.4 128 364.8V435.3zM224 435.3C224 441.6 217.6 448 211.3 448h-38.5C166.4 448 160 441.6 160 435.3v-198.5C160 230.4 166.4 224 172.8 224h38.5C217.6 224 224 230.4 224 236.8V435.3zM268.8 288h38.5C313.6 288 320 294.4 320 300.8v134.5C320 441.6 313.6 448 307.3 448h-38.5C262.4 448 256 441.6 256 435.3v-134.5C256 294.4 262.4 288 268.8 288z"],
    "file-chart-pie": [384, 512, [], "f65a", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM136.5 438.5c-28.75-11.12-51.88-34.25-63-63C43.38 298.1 90.88 224.8 160 210.6V352h141.4C287.3 421.1 213.9 468.6 136.5 438.5zM312.1 320H192V199.9C258.4 199.9 312.1 253.6 312.1 320zM256 0v128h128L256 0z"],
    "file-check": [384, 512, [], "f316", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM245.8 264.4l-79.13 92.34l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48c4.5 4.5 10.62 7.031 16.97 7.031c.3125 0 .625 0 .9062-.0313c6.688-.25 12.97-3.281 17.31-8.344l96-112c8.625-10.06 7.469-25.22-2.594-33.84C269.6 253.2 254.4 254.3 245.8 264.4z"],
    "file-circle-check": [576, 512, [], "e5a0", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "file-circle-exclamation": [576, 512, [], "e4eb", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "file-circle-info": [576, 512, [58604], "e493", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "file-circle-minus": [576, 512, [], "e4ed", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "file-circle-plus": [576, 512, [58606], "e494", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "file-circle-question": [576, 512, [], "e4ef", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "file-circle-xmark": [576, 512, [], "e5a1", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "file-code": [384, 512, [], "f1c9", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM154.1 353.8c7.812 7.812 7.812 20.5 0 28.31C150.2 386.1 145.1 388 140 388s-10.23-1.938-14.14-5.844l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L120.3 320L154.1 353.8zM306.1 305.8c7.812 7.812 7.812 20.5 0 28.31l-48 48C254.2 386.1 249.1 388 244 388s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31L263.7 320l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0L306.1 305.8zM256 0v128h128L256 0z"],
    "file-contract": [384, 512, [], "f56c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM304 384c8.875 0 16 7.125 16 16S312.9 416 304 416h-47.25c-16.38 0-31.25-9.125-38.63-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.75 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12-4.75-14-11L144 354.6L133.4 386.5C127.5 404.1 111 416 92.38 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12c2 4 6 6.5 10.12 6.5H304z"],
    "file-csv": [384, 512, [], "f6dd", "M224 0V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224zM80 224C57.91 224 40 241.9 40 264V344C40 366.1 57.91 384 80 384H96C118.1 384 136 366.1 136 344V336C136 327.2 128.8 320 120 320C111.2 320 104 327.2 104 336V344C104 348.4 100.4 352 96 352H80C75.58 352 72 348.4 72 344V264C72 259.6 75.58 256 80 256H96C100.4 256 104 259.6 104 264V272C104 280.8 111.2 288 120 288C128.8 288 136 280.8 136 272V264C136 241.9 118.1 224 96 224H80zM175.4 310.6L200.8 325.1C205.2 327.7 208 332.5 208 337.6C208 345.6 201.6 352 193.6 352H168C159.2 352 152 359.2 152 368C152 376.8 159.2 384 168 384H193.6C219.2 384 240 363.2 240 337.6C240 320.1 231.1 305.6 216.6 297.4L191.2 282.9C186.8 280.3 184 275.5 184 270.4C184 262.4 190.4 256 198.4 256H216C224.8 256 232 248.8 232 240C232 231.2 224.8 224 216 224H198.4C172.8 224 152 244.8 152 270.4C152 287 160.9 302.4 175.4 310.6zM280 240C280 231.2 272.8 224 264 224C255.2 224 248 231.2 248 240V271.6C248 306.3 258.3 340.3 277.6 369.2L282.7 376.9C285.7 381.3 290.6 384 296 384C301.4 384 306.3 381.3 309.3 376.9L314.4 369.2C333.7 340.3 344 306.3 344 271.6V240C344 231.2 336.8 224 328 224C319.2 224 312 231.2 312 240V271.6C312 294.6 306.5 317.2 296 337.5C285.5 317.2 280 294.6 280 271.6V240zM256 0L384 128H256V0z"],
    "file-dashed-line": [576, 512, ["page-break"], "f877", "M96 64C96 28.65 124.7 0 160 0H320V128C320 145.7 334.3 160 352 160H480V256H96V64zM96 368H480V448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V368zM352 128V0L480 128H352zM136 288C149.3 288 160 298.7 160 312C160 325.3 149.3 336 136 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H136zM328 288C341.3 288 352 298.7 352 312C352 325.3 341.3 336 328 336H248C234.7 336 224 325.3 224 312C224 298.7 234.7 288 248 288H328zM552 288C565.3 288 576 298.7 576 312C576 325.3 565.3 336 552 336H440C426.7 336 416 325.3 416 312C416 298.7 426.7 288 440 288H552z"],
    "file-excel": [384, 512, [], "f1c3", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272.1 264.4L224 344l48.99 79.61C279.6 434.3 271.9 448 259.4 448h-26.43c-5.557 0-10.71-2.883-13.63-7.617L192 396l-27.31 44.38C161.8 445.1 156.6 448 151.1 448H124.6c-12.52 0-20.19-13.73-13.63-24.39L160 344L111 264.4C104.4 253.7 112.1 240 124.6 240h26.43c5.557 0 10.71 2.883 13.63 7.613L192 292l27.31-44.39C222.2 242.9 227.4 240 232.9 240h26.43C271.9 240 279.6 253.7 272.1 264.4zM256 0v128h128L256 0z"],
    "file-exclamation": [384, 512, [], "f31a", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM168 216C168 202.8 178.8 192 192 192s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V216zM224 415.1C224 433.7 209.7 448 192 448s-32-14.33-32-32c0-.1777 .1016-.3262 .1016-.502c.2734-16.55 13.14-29.68 29.42-30.1C190.4 384.4 191.1 383.1 192 383.1s1.617 .4303 2.477 .5006c16.28 1.314 29.15 14.45 29.42 30.1C223.9 415.7 224 415.8 224 415.1zM256 0v128h128L256 0z"],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", "M192 312C192 298.8 202.8 288 216 288H384V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-128H216C202.8 336 192 325.3 192 312zM256 0v128h128L256 0zM568.1 295l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L494.1 288H384v48h110.1l-39.03 39.03C450.3 379.7 448 385.8 448 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C578.3 319.6 578.3 304.4 568.1 295z"],
    "file-heart": [384, 512, [], "e176", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM284.7 342.3l-82.99 85.56c-5.387 5.504-13.95 5.504-19.34 0l-82.99-85.56c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754l8.445-8.754c21.55-22.14 56.55-25.77 79.93-5.754C307.3 276.1 308.8 317.3 284.7 342.3z"],
    "file-image": [384, 512, [128443], "f1c5", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM96 224c17.67 0 32 14.33 32 32S113.7 288 96 288S64 273.7 64 256S78.33 224 96 224zM318.1 439.5C315.3 444.8 309.9 448 304 448h-224c-5.9 0-11.32-3.248-14.11-8.451c-2.783-5.201-2.479-11.52 .7949-16.42l53.33-80C122.1 338.7 127.1 336 133.3 336s10.35 2.674 13.31 7.125L160 363.2l45.35-68.03C208.3 290.7 213.3 288 218.7 288s10.35 2.674 13.31 7.125l85.33 128C320.6 428 320.9 434.3 318.1 439.5zM256 0v128h128L256 0z"],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", "M384 0v128h128L384 0zM352 128L352 0H176C149.5 0 128 21.49 128 48V288h174.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 404.3 256 398.2 256 392s2.344-12.28 7.031-16.97L302.1 336H128v128C128 490.5 149.5 512 176 512h288c26.51 0 48-21.49 48-48V160h-127.1C366.3 160 352 145.7 352 128zM24 288C10.75 288 0 298.7 0 312c0 13.25 10.75 24 24 24H128V288H24z"],
    "file-invoice": [384, 512, [], "f570", "M256 0v128h128L256 0zM288 256H96v64h192V256zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM320 440c0 4.375-3.625 8-8 8h-80C227.6 448 224 444.4 224 440v-16c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V440zM320 240v96c0 8.875-7.125 16-16 16h-224C71.13 352 64 344.9 64 336v-96C64 231.1 71.13 224 80 224h224C312.9 224 320 231.1 320 240z"],
    "file-invoice-dollar": [384, 512, [], "f571", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM64 88C64 92.38 67.63 96 72 96h80C156.4 96 160 92.38 160 88v-16C160 67.63 156.4 64 152 64h-80C67.63 64 64 67.63 64 72V88zM72 160h80C156.4 160 160 156.4 160 152v-16C160 131.6 156.4 128 152 128h-80C67.63 128 64 131.6 64 136v16C64 156.4 67.63 160 72 160zM197.5 316.8L191.1 315.2C168.3 308.2 168.8 304.1 169.6 300.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V248c0-11.03-8.953-20-20-20s-20 8.969-20 20v5.992C149.6 258.8 133.8 272.8 130.2 293.7c-7.406 42.84 33.19 54.75 50.52 59.84l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625c-6.938-1.031-15.81-4.219-23.66-7.031l-4.469-1.625c-10.41-3.594-21.83 1.812-25.52 12.22c-3.672 10.41 1.781 21.84 12.2 25.53l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V424c0 11.03 8.953 20 20 20s20-8.969 20-20v-6.254c22.36-4.793 38.21-18.53 41.83-39.43C261.3 335 219.8 323.1 197.5 316.8z"],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272 416h-160C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384h160c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 352h-160C103.2 352 96 344.8 96 336C96 327.2 103.2 320 112 320h160c8.836 0 16 7.162 16 16C288 344.8 280.8 352 272 352zM288 272C288 280.8 280.8 288 272 288h-160C103.2 288 96 280.8 96 272C96 263.2 103.2 256 112 256h160C280.8 256 288 263.2 288 272z"],
    "file-lock": [576, 512, [], "e3a6", "M256 0v128h128L256 0zM543.1 320L544 272C544 227.9 508.1 192 464 192S384 227.9 384 272V320c-17.68 0-32 14.33-32 32.01v127.1C352 497.7 366.3 512 384 512h159.1C561.7 512 576 497.7 576 479.1v-127.1C576 334.3 561.7 320 543.1 320zM496 320h-64V272c0-17.64 14.34-32 32-32s32 14.36 32 32V320zM352 296.6V272c0-30.4 12.27-57.94 32-78.14V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h280.9C323.4 502.5 320 491.7 320 479.1v-127.1C320 328.4 332.9 307.7 352 296.6z"],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM312.1 407c9.375 9.375 9.375 24.56 0 33.94C308.3 445.7 302.2 448 296 448s-12.28-2.344-16.97-7.031l-48.67-48.67C214.5 402.1 195.1 408 176 408c-57.44 0-104-46.56-104-104S118.6 200 176 200s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36L312.1 407zM256 0v128h128L256 0zM176 248c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C232 273.1 206.9 248 176 248z"],
    "file-medical": [384, 512, [], "f477", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM288 301.7v36.57C288 345.9 281.9 352 274.3 352L224 351.1v50.29C224 409.9 217.9 416 210.3 416H173.7C166.1 416 160 409.9 160 402.3V351.1L109.7 352C102.1 352 96 345.9 96 338.3V301.7C96 294.1 102.1 288 109.7 288H160V237.7C160 230.1 166.1 224 173.7 224h36.57C217.9 224 224 230.1 224 237.7V288h50.29C281.9 288 288 294.1 288 301.7z"],
    "file-minus": [384, 512, [], "f318", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM296 336c0 13.26-10.74 23.1-24 23.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H272C285.3 312 296 322.7 296 336z"],
    "file-music": [384, 512, [], "f8b6", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM281.5 211.1C285.6 214.1 288 218.9 288 224v160c0 17.62-21.5 32-48 32S192 401.6 192 384s21.5-32 48-32c5.375 0 10.75 .7498 16 2V277.6l-96 37.5V416c0 17.62-21.5 32-48 32S64 433.6 64 416s21.5-32 48-32c5.375 0 10.75 .7498 16 2V271.3C128 264.3 132.5 258.1 139.3 256l128-47.25C272 207.3 277.4 208.1 281.5 211.1zM256 0v128h128L256 0z"],
    "file-pdf": [384, 512, [], "f1c1", "M88 304H80V256H88C101.3 256 112 266.7 112 280C112 293.3 101.3 304 88 304zM192 256H200C208.8 256 216 263.2 216 272V336C216 344.8 208.8 352 200 352H192V256zM224 0V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224zM64 224C55.16 224 48 231.2 48 240V368C48 376.8 55.16 384 64 384C72.84 384 80 376.8 80 368V336H88C118.9 336 144 310.9 144 280C144 249.1 118.9 224 88 224H64zM160 368C160 376.8 167.2 384 176 384H200C226.5 384 248 362.5 248 336V272C248 245.5 226.5 224 200 224H176C167.2 224 160 231.2 160 240V368zM288 224C279.2 224 272 231.2 272 240V368C272 376.8 279.2 384 288 384C296.8 384 304 376.8 304 368V320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H304V256H336C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224H288zM256 0L384 128H256V0z"],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V299.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "file-plus": [384, 512, [], "f319", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM296 336c0 13.26-10.74 23.1-24 23.1h-56v56C215.1 429.3 205.3 440 192 440c-13.27 0-24-10.74-24-23.1V359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H168V255.1C168 242.7 178.7 232 192 232s23.1 10.74 23.1 23.1V312H272C285.3 312 296 322.7 296 336z"],
    "file-plus-minus": [384, 512, [], "e177", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM256 432H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h128c8.844 0 16 7.156 16 16S264.8 432 256 432zM272 272C272 280.8 264.8 288 256 288h-48v48c0 8.844-7.156 16-16 16s-16-7.156-16-16V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h48V208C176 199.2 183.2 192 192 192s16 7.156 16 16V256H256C264.8 256 272 263.2 272 272z"],
    "file-powerpoint": [384, 512, [], "f1c4", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM279.6 308.1C284.2 353.5 248.5 392 204 392H160v40C160 440.8 152.8 448 144 448H128c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h71.51C239.3 240 275.6 268.5 279.6 308.1zM160 344h44c15.44 0 28-12.56 28-28S219.4 288 204 288H160V344z"],
    "file-prescription": [384, 512, [], "f572", "M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM292.5 315.5l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-29.88 30L304 409.4c6.25 6.25 6.25 16.38 0 22.62l-11.25 11.38c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.249 6.25-16.48 6.266-22.73 .0156L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128l.0078 48.01c0 8.875-7.125 16-16 16L96 384c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88C276.1 309.3 286.3 309.3 292.5 315.5z"],
    "file-shield": [576, 512, [], "e4f0", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V207L291.2 244.2C269.9 252.7 256 273.3 256 296.2C256 352.7 274.9 444.2 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"],
    "file-signature": [576, 512, [], "f573", "M292.7 342.3C289.7 345.3 288 349.4 288 353.7V416h62.34c4.264 0 8.35-1.703 11.35-4.727l156.9-158l-67.88-67.88L292.7 342.3zM568.5 167.4L536.6 135.5c-9.875-10-26-10-36 0l-27.25 27.25l67.88 67.88l27.25-27.25C578.5 193.4 578.5 177.3 568.5 167.4zM256 0v128h128L256 0zM256 448c-16.07-.2852-30.62-9.359-37.88-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.749 15.38C187.6 444.6 181.1 448 176 448H174.9c-6.5-.5-12-4.75-14-11L144 386.6L133.4 418.5C127.5 436.1 111 448 92.45 448H80C71.13 448 64 440.9 64 432S71.13 416 80 416h12.4c4.875 0 9.102-3.125 10.6-7.625l18.25-54.63C124.5 343.9 133.6 337.3 144 337.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12C248.5 413.2 252.2 415.6 256 415.9V347c0-8.523 3.402-16.7 9.451-22.71L384 206.5V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V448H256z"],
    "file-slash": [640, 512, [], "e3a7", "M384 0v128h128L384 0zM128 464C128 490.5 149.5 512 176 512h288c16.36 0 30.78-8.221 39.44-20.72L128 197L128 464zM639.1 487.1c0-7.119-3.153-14.16-9.191-18.89l-118.8-93.12L512 160l-127.1-.0007c-17.67 0-31.1-14.33-31.1-31.1L352 0H176C149.5 0 128 21.49 128 48l.002 27.01L38.82 5.11C34.41 1.672 29.19 0 24.04 0C10.15 0-.0002 11.33-.0002 23.1c0 7.119 3.154 14.16 9.192 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"],
    "file-spreadsheet": [384, 512, [], "f65b", "M296 368h-48V416h48V368zM256 0v128h128L256 0zM296 288h-48v48h48V288zM216 288h-48v48h48V288zM216 368h-48V416h48V368zM136 368h-48V416h48V368zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM328 240v192c0 8.875-7.125 16-16 16h-240c-8.875 0-16-7.125-16-16v-192c0-8.875 7.125-16 16-16h240C320.9 224 328 231.1 328 240zM136 288h-48v48h48V288z"],
    "file-user": [384, 512, [], "f65c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM192 192c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S156.7 192 192 192zM304 432c0 8.836-7.164 16-16 16H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64C268.2 352 304 387.8 304 432z"],
    "file-video": [384, 512, [], "f1c8", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM224 384c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V288c0-17.67 14.33-32 32-32h96c17.67 0 32 14.33 32 32V384zM320 284.9v102.3c0 12.57-13.82 20.23-24.48 13.57L256 376v-80l39.52-24.7C306.2 264.6 320 272.3 320 284.9z"],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", "M320 0v128h128L320 0zM288 128L288 0H112C85.49 0 64 21.49 64 48V224H16C7.164 224 0 231.2 0 240v32C0 280.8 7.164 288 16 288h128c6.062 0 11.59 3.438 14.31 8.844L176 332.2l49.69-99.38c5.438-10.81 23.19-10.81 28.62 0L281.9 288H352c8.844 0 16 7.156 16 16S360.8 320 352 320h-80c-6.062 0-11.59-3.438-14.31-8.844L240 275.8l-49.69 99.38C187.6 380.6 182.1 384 176 384s-11.59-3.438-14.31-8.844L134.1 320H64v144C64 490.5 85.49 512 112 512h288c26.51 0 48-21.49 48-48V160h-127.1C302.3 160 288 145.7 288 128z"],
    "file-word": [384, 512, [], "f1c2", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM281.5 240h23.37c7.717 0 13.43 7.18 11.69 14.7l-42.46 184C272.9 444.1 268 448 262.5 448h-29.26c-5.426 0-10.18-3.641-11.59-8.883L192 329.1l-29.61 109.1C160.1 444.4 156.2 448 150.8 448H121.5c-5.588 0-10.44-3.859-11.69-9.305l-42.46-184C65.66 247.2 71.37 240 79.08 240h23.37c5.588 0 10.44 3.859 11.69 9.301L137.8 352L165.6 248.9C167 243.6 171.8 240 177.2 240h29.61c5.426 0 10.18 3.641 11.59 8.883L246.2 352l23.7-102.7C271.1 243.9 275.1 240 281.5 240zM256 0v128h128L256 0z"],
    "file-xmark": [384, 512, ["file-times"], "f317", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272.1 272.1L225.9 320l47.03 47.03c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L192 353.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L158.1 320L111 272.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L192 286.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0S282.3 263.6 272.1 272.1z"],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM96 32h64v32H96V32zM96 96h64v32H96V96zM96 160h64v32H96V160zM128.3 415.1c-40.56 0-70.76-36.45-62.83-75.45L96 224h64l30.94 116.9C198.7 379.7 168.5 415.1 128.3 415.1zM144 336h-32C103.2 336 96 343.2 96 352s7.164 16 16 16h32C152.8 368 160 360.8 160 352S152.8 336 144 336z"],
    "files": [448, 512, [], "e178", "M352 0v96h96L352 0zM320 96V0H144C117.5 0 96 21.49 96 48v320C96 394.5 117.5 416 144 416h256c26.51 0 48-21.49 48-48V128h-96C334.4 128 320 113.6 320 96zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "files-medical": [448, 512, [], "f7fd", "M352 0v96h96L352 0zM352 128h96v240c0 26.51-21.49 48-48 48h-256C117.5 416 96 394.5 96 368v-320C96 21.49 117.5 0 144 0H320v96C320 113.6 334.4 128 352 128zM354.3 224H304V173.7C304 166.1 297.9 160 290.3 160h-36.57C246.1 160 240 166.1 240 173.7V224H189.7C182.1 224 176 230.1 176 237.7v36.57C176 281.9 182.1 288 189.7 288H240v50.29C240 345.9 246.1 352 253.7 352h36.57C297.9 352 304 345.9 304 338.3V288h50.29C361.9 288 368 281.9 368 274.3V237.7C368 230.1 361.9 224 354.3 224zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "fill": [512, 512, [], "f575", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C71.69 277.6 68.9 282.6 67.52 287.1H386.7L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 136L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"],
    "fill-drip": [576, 512, [], "f576", "M41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372V9.372zM217.4 230.6L168 181.3L75.88 273.4C71.69 277.6 68.9 282.6 67.52 288H386.7L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 136L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L217.4 230.6zM448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448H448z"],
    "film": [512, 512, [127902], "f008", "M463.1 32h-416C21.49 32-.0001 53.49-.0001 80v352c0 26.51 21.49 48 47.1 48h416c26.51 0 48-21.49 48-48v-352C511.1 53.49 490.5 32 463.1 32zM111.1 408c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 408zM111.1 280c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM111.1 152c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 152zM351.1 400c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.838 7.164-16 16-16h160c8.836 0 16 7.162 16 16V400zM351.1 208c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.838 7.164-16 16-16h160c8.836 0 16 7.162 16 16V208zM463.1 408c0 4.418-3.582 8-8 8h-47.1c-4.418 0-7.1-3.582-7.1-8l0-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V408zM463.1 280c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM463.1 152c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8l0-48c0-4.418 3.582-8 7.1-8h47.1c4.418 0 8 3.582 8 8V152z"],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", "M544 128h-192v288h128c17.62 0 32-14.38 32-32v-32c0-17.62 14.38-32 32-32s32-14.38 32-32V160C576 142.4 561.6 128 544 128zM440 360c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V360zM440 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM536 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM336 448H320V96h16C344.9 96 352 88.88 352 80v-32C352 39.12 344.9 32 336 32H256V16C256 7.125 248.9 0 240 0h-128C103.1 0 96 7.125 96 16V32H16C7.125 32 0 39.12 0 48v32C0 88.88 7.125 96 16 96H32v352H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h320c8.875 0 16-7.125 16-16v-32C352 455.1 344.9 448 336 448z"],
    "film-simple": [512, 512, ["film-alt"], "f3a0", "M464 32v56C464 92.42 460.4 96 456 96h-48c-4.418 0-8-3.582-8-8V32h-288v56C112 92.42 108.4 96 104 96h-48C51.58 96 48 92.42 48 88V32C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480v-56C48 419.6 51.58 416 56 416h48c4.418 0 8 3.582 8 8V480h288v-56c0-4.418 3.582-8 8-8h48c4.418 0 8 3.582 8 8V480c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM112 344C112 348.4 108.4 352 104 352h-48c-4.418 0-8-3.582-8-8v-48C48 291.6 51.58 288 56 288h48C108.4 288 112 291.6 112 296V344zM112 216C112 220.4 108.4 224 104 224h-48C51.58 224 48 220.4 48 216v-48C48 163.6 51.58 160 56 160h48C108.4 160 112 163.6 112 168V216zM464 344c0 4.418-3.582 8-8 8h-48c-4.418 0-8-3.582-8-8v-48C400 291.6 403.6 288 408 288h48c4.418 0 8 3.582 8 8V344zM464 216C464 220.4 460.4 224 456 224h-48c-4.418 0-8-3.582-8-8v-48C400 163.6 403.6 160 408 160h48c4.418 0 8 3.582 8 8V216z"],
    "film-slash": [640, 512, [], "e179", "M630.8 469.1L576 426.1V80C576 53.49 554.5 32 528 32h-416C101.7 32 92.21 35.31 84.39 40.84L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM416 208C416 216.8 408.8 224 400 224H318.1L224 150.3V112C224 103.2 231.2 96 240 96h160C408.8 96 416 103.2 416 112V208zM528 388.5L481.4 352H520c4.418 0 8 3.582 8 8V388.5zM528 280C528 284.4 524.4 288 520 288h-48c-4.418 0-8-3.582-8-8v-48C464 227.6 467.6 224 472 224h48c4.418 0 8 3.582 8 8V280zM528 152C528 156.4 524.4 160 520 160h-48c-4.418 0-8-3.582-8-8v-48C464 99.58 467.6 96 472 96h48c4.418 0 8 3.582 8 8V152zM400 416h-160C231.2 416 224 408.8 224 400v-96C224 295.2 231.2 288 240 288h4.082L176 234.6V280C176 284.4 172.4 288 168 288h-48C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224h42.43L64 146.9V432C64 458.5 85.49 480 112 480h377l-83.17-65.19C404.1 415.5 402.1 416 400 416zM176 408C176 412.4 172.4 416 168 416h-48c-4.418 0-8-3.582-8-8v-48C112 355.6 115.6 352 120 352h48c4.418 0 8 3.582 8 8V408z"],
    "films": [576, 512, [], "e17a", "M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM200 327C200 331.1 195.1 336 191 336h-30C156 336 152 331.1 152 327v-30C152 292 156 288 161 288h30C195.1 288 200 292 200 297V327zM200 223C200 227.1 195.1 232 191 232h-30C156 232 152 227.1 152 223v-30C152 188 156 184 161 184h30C195.1 184 200 188 200 193V223zM200 119C200 123.1 195.1 128 191 128h-30C156 128 152 123.1 152 119v-30C152 84.03 156 80 161 80h30C195.1 80 200 84.03 200 89V119zM416 320c0 8.836-7.164 16-16 16h-128C263.2 336 256 328.8 256 320V240C256 231.2 263.2 224 272 224h128C408.8 224 416 231.2 416 240V320zM416 176C416 184.8 408.8 192 400 192h-128C263.2 192 256 184.8 256 176V96c0-8.838 7.164-16 16-16h128C408.8 80 416 87.16 416 96V176zM520 327c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C472 292 476 288 481 288h30C515.1 288 520 292 520 297V327zM520 223c0 4.969-4.031 9-9 9h-30C476 232 472 227.1 472 223v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V223zM520 119C520 123.1 515.1 128 511 128h-30C476 128 472 123.1 472 119v-30C472 84.03 476 80 481 80h30C515.1 80 520 84.03 520 89V119zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "filter": [512, 512, [], "f0b0", "M3.853 54.87C10.47 40.9 24.54 32 40 32H472C487.5 32 501.5 40.9 508.1 54.87C514.8 68.84 512.7 85.37 502.1 97.33L320 320.9V448C320 460.1 313.2 471.2 302.3 476.6C291.5 482 278.5 480.9 268.8 473.6L204.8 425.6C196.7 419.6 192 410.1 192 400V320.9L9.042 97.33C-.745 85.37-2.765 68.84 3.854 54.87L3.853 54.87z"],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", "M3.853 22.87C10.47 8.904 24.54 0 40 0H472C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87H3.853zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM413 331.1C418.1 329.3 425.6 327.9 431.8 328C439.1 328.1 448.9 329.8 458.1 332.1C466.7 334.2 475.4 328.1 477.5 320.4C479.7 311.8 474.4 303.2 465.9 301C460.3 299.6 454.3 298.3 448 297.4V288C448 279.2 440.8 272 432 272C423.2 272 416 279.2 416 288V297.5C409.9 298.7 403.7 300.7 397.1 303.8C386.1 310.1 374.9 322.2 376.1 341C377.1 357 387.8 366.4 397.7 371.7C406.6 376.4 417.5 379.5 426.3 381.1L428.1 382.5C438.3 385.4 445.1 387.7 451.2 390.8C455.8 393.5 455.1 395.1 455.1 396.5C456.1 398.9 455.5 400.2 454.1 401C454.3 401.1 453.2 403.2 450.1 404.4C446.3 406.9 439.2 408.2 432.5 407.1C422.1 407.7 414 404.8 402.6 401.2C400.7 400.6 398.8 400 396.8 399.4C388.3 396.8 379.3 401.5 376.7 409.9C374.1 418.3 378.8 427.3 387.2 429.9C388.9 430.4 390.5 430.1 392.3 431.5C399.3 433.8 407.4 436.4 416 438.1V449.5C416 458.4 423.2 465.5 432 465.5C440.8 465.5 448 458.4 448 449.5V438.7C454.2 437.6 460.5 435.6 466.3 432.5C478.3 425.9 488.5 413.8 487.1 395.5C487.5 379.4 477.7 369.3 467.5 363.3C458.1 357.7 446.2 354.4 436.9 351.7L436.8 351.7C426.3 348.7 418.5 346.5 412.9 343.5C408.1 340.9 408.1 339.5 408.1 339.1L408.1 338.1C407.9 337 408.4 336.1 408.8 335.4C409.4 334.5 410.6 333.3 413 331.1L413 331.1z"],
    "filter-circle-xmark": [576, 512, [], "e17b", "M3.853 22.87C10.47 8.904 24.54 0 40 0H472C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87H3.853zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "filter-list": [512, 512, [], "e17c", "M312 64C327.8 64 342.1 73.3 348.5 87.73C354.1 102.2 352.3 119 341.7 130.8L240 243.8V416C240 428.1 233.2 439.2 222.3 444.6C211.5 450 198.5 448.9 188.8 441.6L124.8 393.6C116.7 387.6 112 378.1 112 368V243.8L10.27 130.8C-.3002 119-2.968 102.2 3.459 87.73C9.885 73.3 24.2 64 39.1 64H312zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H352C334.3 448 320 433.7 320 416C320 398.3 334.3 384 352 384H480zM320 256C320 238.3 334.3 224 352 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H352C334.3 288 320 273.7 320 256zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H416C398.3 128 384 113.7 384 96C384 78.33 398.3 64 416 64H480z"],
    "filter-slash": [640, 512, [], "e17d", "M81.74 38.77C88.18 34.45 95.88 32 104 32H536C551.5 32 565.5 40.91 572.1 54.87C578.8 68.84 576.7 85.37 566.1 97.33L406.6 293.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L81.74 38.77zM256 400V297.7L384 398.6V448C384 460.1 377.2 471.2 366.3 476.6C355.5 482 342.5 480.9 332.8 473.6L268.8 425.6C260.7 419.6 256 410.1 256 400V400z"],
    "filters": [640, 512, [], "e17e", "M600 32C615.9 32 630.2 41.39 636.6 55.93C643 70.46 640.2 87.4 629.4 99.08L480 261.5V416C480 428.1 473.2 439.2 462.3 444.6C451.5 450 438.5 448.9 428.8 441.6L364.8 393.6C356.7 387.6 352 378.1 352 368V261.5L202.6 99.08C191.8 87.4 188.1 70.46 195.4 55.93C201.7 41.39 216.1 32 231.1 32H600zM39.99 96H164.1C167.3 105 172.3 113.4 179 120.7L320 273.1V290.7L288 325.5V448C288 460.1 281.2 471.2 270.3 476.6C259.5 482 246.5 480.9 236.8 473.6L172.8 425.6C164.7 419.6 160 410.1 160 400V325.5L10.55 163.1C-.197 151.4-3.019 134.5 3.36 119.9C9.74 105.4 24.11 96 39.99 96V96z"],
    "fingerprint": [512, 512, [], "f577", "M256.1 246c-13.25 0-23.1 10.75-23.1 23.1c1.125 72.25-8.124 141.9-27.75 211.5C201.7 491.3 206.6 512 227.5 512c10.5 0 20.12-6.875 23.12-17.5c13.5-47.87 30.1-125.4 29.5-224.5C280.1 256.8 269.4 246 256.1 246zM255.2 164.3C193.1 164.1 151.2 211.3 152.1 265.4c.75 47.87-3.75 95.87-13.37 142.5c-2.75 12.1 5.624 25.62 18.62 28.37c12.1 2.625 25.62-5.625 28.37-18.62c10.37-50.12 15.12-101.6 14.37-152.1C199.7 238.6 219.1 212.1 254.5 212.3c31.37 .5 57.24 25.37 57.62 55.5c.8749 47.1-2.75 96.25-10.62 143.5c-2.125 12.1 6.749 25.37 19.87 27.62c19.87 3.25 26.75-15.12 27.5-19.87c8.249-49.1 12.12-101.1 11.25-151.1C359.2 211.1 312.2 165.1 255.2 164.3zM144.6 144.5C134.2 136.1 119.2 137.6 110.7 147.9C85.25 179.4 71.38 219.3 72 259.9c.6249 37.62-2.375 75.37-8.999 112.1c-2.375 12.1 6.249 25.5 19.25 27.87c20.12 3.5 27.12-14.87 27.1-19.37c7.124-39.87 10.5-80.62 9.749-121.4C119.6 229.3 129.2 201.3 147.1 178.3C156.4 167.9 154.9 152.9 144.6 144.5zM253.1 82.14C238.6 81.77 223.1 83.52 208.2 87.14c-12.87 2.1-20.87 15.1-17.87 28.87c3.125 12.87 15.1 20.75 28.1 17.75C230.4 131.3 241.7 130 253.4 130.1c75.37 1.125 137.6 61.5 138.9 134.6c.5 37.87-1.375 75.1-5.624 113.6c-1.5 13.12 7.999 24.1 21.12 26.5c16.75 1.1 25.5-11.87 26.5-21.12c4.625-39.75 6.624-79.75 5.999-119.7C438.6 165.3 355.1 83.64 253.1 82.14zM506.1 203.6c-2.875-12.1-15.51-21.25-28.63-18.38c-12.1 2.875-21.12 15.75-18.25 28.62c4.75 21.5 4.875 37.5 4.75 61.62c-.1249 13.25 10.5 24.12 23.75 24.25c13.12 0 24.12-10.62 24.25-23.87C512.1 253.8 512.3 231.8 506.1 203.6zM465.1 112.9c-48.75-69.37-128.4-111.7-213.3-112.9c-69.74-.875-134.2 24.84-182.2 72.96c-46.37 46.37-71.34 108-70.34 173.6l-.125 21.5C-.3651 281.4 10.01 292.4 23.26 292.8C23.51 292.9 23.76 292.9 24.01 292.9c12.1 0 23.62-10.37 23.1-23.37l.125-23.62C47.38 193.4 67.25 144 104.4 106.9c38.87-38.75 91.37-59.62 147.7-58.87c69.37 .1 134.7 35.62 174.6 92.37c7.624 10.87 22.5 13.5 33.37 5.875C470.1 138.6 473.6 123.8 465.1 112.9z"],
    "fire": [448, 512, [128293], "f06d", "M323.5 51.25C302.8 70.5 284 90.75 267.4 111.1C240.1 73.62 206.2 35.5 168 0C69.75 91.12 0 210 0 281.6C0 408.9 100.2 512 224 512s224-103.1 224-230.4C448 228.4 396 118.5 323.5 51.25zM304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z"],
    "fire-burner": [640, 512, [], "e4f1", "M349 61.49C356.9 51.61 365.8 40.76 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C313.3 21.55 331.8 40.74 349 61.49V61.49zM390 176.1C388 172.1 386 168.1 383 164.1L347 206.1C347 206.1 289 132.1 285 127.1C255 164.1 240 185.1 240 209.1C240 258.1 276 287.1 320.1 287.1C339 287.1 355 282.1 370 272.1C400 251.1 408 209.1 390 176.1zM32 287.1C32 270.3 46.33 255.1 64 255.1H96C113.7 255.1 128 270.3 128 287.1C128 305.7 113.7 319.1 96 319.1V384H544V319.1C526.3 319.1 512 305.7 512 287.1C512 270.3 526.3 255.1 544 255.1H576C593.7 255.1 608 270.3 608 287.1V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V287.1zM320 480C337.7 480 352 465.7 352 448C352 430.3 337.7 416 320 416C302.3 416 288 430.3 288 448C288 465.7 302.3 480 320 480zM448 416C430.3 416 416 430.3 416 448C416 465.7 430.3 480 448 480C465.7 480 480 465.7 480 448C480 430.3 465.7 416 448 416zM192 480C209.7 480 224 465.7 224 448C224 430.3 209.7 416 192 416C174.3 416 160 430.3 160 448C160 465.7 174.3 480 192 480z"],
    "fire-extinguisher": [512, 512, [129519], "f134", "M64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l-.0001-32H64L64 480zM503.4 5.56c-5.453-4.531-12.61-6.406-19.67-5.188l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63L224 56L224 32c0-17.67-14.33-32-31.1-32H160C142.3 0 128 14.33 128 32l.0002 26.81C69.59 69.32 20.5 110.6 1.235 168.4C-2.952 181 3.845 194.6 16.41 198.8C18.94 199.6 21.48 200 24 200c10.05 0 19.42-6.344 22.77-16.41C59.45 145.5 90.47 117.8 128 108L128 139.2C90.27 157.2 64 195.4 64 240L64 416h223.1l.0001-176c0-44.6-26.27-82.79-63.1-100.8L224 104l63.1-.002c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM176 96C167.2 96 160 88.84 160 80S167.2 64 176 64s15.1 7.164 15.1 16S184.8 96 176 96z"],
    "fire-flame": [384, 512, ["flame"], "f6df", "M203.1 4.364c-6.179-5.822-16.06-5.818-22.24 .005C74.52 104.6 0 220.2 0 298C0 423.1 79 512 192 512s192-88.01 192-213.1C384 219.9 309 104.2 203.1 4.364zM192 448c-70.62 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.8 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 54.1 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z"],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", "M384 319.1C384 425.9 297.9 512 192 512s-192-86.13-192-192c0-58.67 27.82-106.8 54.57-134.1C69.54 169.3 96 179.8 96 201.5v85.5c0 35.17 27.97 64.5 63.16 64.94C194.9 352.5 224 323.6 224 288c0-88-175.1-96.12-52.15-277.2c13.5-19.72 44.15-10.77 44.15 13.03C215.1 127 384 149.7 384 319.1z"],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", "M203.1 4.365c-6.177-5.82-16.06-5.819-22.23-.0007C74.52 104.5 0 234.1 0 312C0 437.9 79 512 192 512s192-74.05 192-200C384 233.9 309 104.2 203.1 4.365zM192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z"],
    "fire-hydrant": [384, 512, [], "e17f", "M336 272H320v-64H64v64H48C39.16 272 32 279.2 32 288v96c0 8.836 7.164 16 16 16H64v64H48C39.16 464 32 471.2 32 480v16C32 504.8 39.16 512 48 512h288c8.836 0 16-7.164 16-16V480c0-8.838-7.164-16-16-16H320v-64h16c8.836 0 16-7.164 16-16V288C352 279.2 344.8 272 336 272zM192 400c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C256 371.3 227.3 400 192 400zM56 176h272C341.3 176 352 165.3 352 152C352 138.7 341.3 128 328 128h-12.53C303.9 83.17 268.8 48.13 224 36.53V32c0-17.69-14.31-32-32-32S160 14.31 160 32v4.525C115.2 48.13 80.13 83.17 68.53 128H56C42.75 128 32 138.7 32 152C32 165.3 42.75 176 56 176z"],
    "fire-smoke": [640, 512, [], "f74b", "M528 288c-37.13 0-69.75 18.25-90.13 46.13C418.4 288.2 373 255.1 320 255.1s-98.38 32.25-117.9 78.13C181.8 306.2 149.1 288 112 288C50.12 288 0 338.1 0 400S50.12 512 112 512h416c61.88 0 112-50.13 112-112S589.9 288 528 288zM195.8 283.2c9.625-12 21.2-22.29 33.83-30.92C224.9 240.6 222.2 227.5 222.2 212.9c0-29.75 18.13-56.13 54.38-101.1c5.125 6.251 73.75 97 73.75 97l43.87-51.75c3 5.25 5.875 10.5 8.375 15.38C415 196.9 416.5 225.5 407.8 250.2c13.62 8.1 25.95 20.04 36.45 32.79c13.5-9.75 28.55-16.79 44.55-21.29c4.5-15.5 7.187-31.88 7.187-48.88c0-40.25-40.75-123.4-97.75-174.2c-16.37 14.62-31.13 29.94-44.25 45.44C332.7 55.88 306.1 26.88 276 0C198.8 68.88 144 158.8 144 213c0 17 2.625 33.38 7.25 48.88C167.1 266.5 182.3 273.4 195.8 283.2z"],
    "fireplace": [640, 512, [], "f79a", "M592 0h-544C39.25 0 32 7.25 32 16v64C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-64C608 7.25 600.8 0 592 0zM64 512h96v-160c0-88.37 71.63-160 160-160s160 71.63 160 160v160h96V128H64V512zM342.3 311.6C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3c0-26.5-26.75-81.5-64-115.1C360.5 291.3 350.8 301.4 342.3 311.6zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z"],
    "fish": [576, 512, [128031], "f578", "M180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.8133 364.5-2.97 348.7 4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5L180.5 141.5zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "fish-bones": [576, 512, [], "e304", "M576 256c0 29.08-55.17 111.3-135.6 157.8c-10.78 6.22-24.36-1.27-24.36-13.67l.0001-120.1h-40v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1h-48v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1h-48v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1L96.01 279.1v54.78c0 9.003-3.793 17.59-10.45 23.65L27.45 411.3c-12.04 11.92-30.15-.8124-27.11-19.09L28.8 256L.338 119.7c-3.037-18.28 15.08-31.01 27.23-18.96L85.54 153.5c6.664 6.064 10.46 14.66 10.46 23.67v54.85l40 .0126V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h48V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h48V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h40L416 111.9c0-12.4 13.59-19.89 24.36-13.67C520.8 144.7 576 226.9 576 256z"],
    "fish-cooked": [576, 512, [], "f7fe", "M327.1 64C237.2 64 158.5 129.7 114.9 185.1L27.56 112.7C15.41 101.5-2.699 113.3 .338 130.2L28.8 256l-28.46 125.8c-3.037 16.88 15.07 28.63 27.11 17.62l87.3-73.41C158.5 382.2 237.2 448 327.1 448c137.4 0 248.8-153.6 248.8-192C575.1 217.6 464.5 64 327.1 64zM228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z"],
    "fish-fins": [576, 512, [], "e4f2", "M352.8 96.61C407.7 100.6 454.3 123.6 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C454.3 388.4 407.7 411.4 352.8 415.4L275.2 473.6C264.6 481.6 250.2 482.1 238.9 475.1C227.7 468 222 454.7 224.6 441.7L234.3 393.1C214.1 384.1 197.5 373.2 181.1 361.6C166.6 350.1 152.1 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 256L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4C197.5 138.8 214.1 127.9 234.3 118.9L224.6 70.28C222 57.27 227.7 44 238.9 36.93C250.2 29.85 264.6 30.44 275.2 38.4L352.8 96.61zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "fishing-rod": [512, 512, [], "e3a8", "M320.1 48.02C333.9 48.02 360 58.74 360 88.04v71.97h48V88.04C408 23.46 351.1 0 320.2 0c-7.166 0-14.39 .8792-21.55 2.668L235.6 18.45C139.3 42.51 72 128.7 72 227.1v60.03H64c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1v-159.1c0-17.67-14.33-31.1-32-31.1H120V227.1c0-77.25 52.31-144.2 127.3-162.1l63-15.78C313.5 48.42 316.8 48.02 320.1 48.02zM416.5 453.4C444.4 427.3 480 384.5 480 336c0-79.53-96-143.1-96-143.1s-96 64.46-96 143.1c0 48.47 35.63 91.26 63.48 117.4l-27.63 32.24c-2.531 2.959-3.848 6.657-3.848 10.4C319.1 506.5 328.9 512 336 512h96c6.969 0 16-5.462 16-16.01c0-3.742-1.317-7.44-3.848-10.4L416.5 453.4zM384 336c-13.25 0-24-10.75-24-23.1c0-13.26 10.75-23.1 24-23.1s24 10.74 24 23.1C408 325.3 397.3 336 384 336z"],
    "flag": [512, 512, [61725, 127988], "f024", "M64 496C64 504.8 56.75 512 48 512h-32C7.25 512 0 504.8 0 496V32c0-17.75 14.25-32 32-32s32 14.25 32 32V496zM476.3 0c-6.365 0-13.01 1.35-19.34 4.233c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.81-31.86-163.9-31.87C160.9 .3055 131.6 4.867 96 15.75v350.5c32-9.984 59.87-14.1 84.85-14.1c73.63 0 124.9 31.78 198.6 31.78c31.91 0 68.02-5.971 111.1-23.09C504.1 355.9 512 344.4 512 332.1V30.73C512 11.1 495.3 0 476.3 0z"],
    "flag-checkered": [576, 512, [127937], "f11e", "M509.5 .0234c-6.145 0-12.53 1.344-18.64 4.227c-44.11 20.86-76.81 27.94-104.1 27.94c-57.89 0-91.53-31.86-158.2-31.87C195 .3203 153.3 8.324 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 16 16H80C88.75 512 96 504.8 96 496V384c51.74-23.86 92.71-31.82 128.3-31.82c71.09 0 120.6 31.78 191.7 31.78c30.81 0 65.67-5.969 108.1-23.09C536.3 355.9 544 344.4 544 332.1V30.74C544 12.01 527.8 .0234 509.5 .0234zM480 141.8c-31.99 14.04-57.81 20.59-80 22.49v80.21c25.44-1.477 51.59-6.953 80-17.34V308.9c-22.83 7.441-43.93 11.08-64.03 11.08c-5.447 0-10.71-.4258-15.97-.8906V244.5c-4.436 .2578-8.893 .6523-13.29 .6523c-25.82 0-47.35-4.547-66.71-10.08v66.91c-23.81-6.055-50.17-11.41-80-12.98V213.1C236.2 213.7 232.5 213.3 228.5 213.3C208.8 213.3 185.1 217.7 160 225.1v69.1C139.2 299.4 117.9 305.8 96 314.4V250.7l24.77-10.39C134.8 234.5 147.6 229.9 160 225.1V143.4C140.9 148.5 120.1 155.2 96 165.3V101.8l24.77-10.39C134.8 85.52 147.6 80.97 160 77.02v66.41c26.39-6.953 49.09-10.17 68.48-10.16c4.072 0 7.676 .4453 11.52 .668V65.03C258.6 66.6 274.4 71.55 293.2 77.83C301.7 80.63 310.7 83.45 320 86.12v66.07c20.79 6.84 41.45 12.96 66.71 12.96c4.207 0 8.781-.4766 13.29-.8594V95.54c25.44-1.477 51.59-6.953 80-17.34V141.8zM240 133.9v80.04c18.61 1.57 34.37 6.523 53.23 12.8C301.7 229.6 310.7 232.4 320 235.1V152.2C296.1 144.3 271.6 135.8 240 133.9z"],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", "M64 496C64 504.8 56.84 512 48 512h-32C7.164 512 0 504.8 0 496V32c0-17.67 14.33-32 32-32s32 14.33 32 32V496zM62.74 25.73C63.17 27.83 64 29.78 64 32V26.2L62.74 25.73zM496.3 185.5L96 37.99v340l400.3-147.5C505.7 227 512 218.1 512 208S505.7 188.1 496.3 185.5z"],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", "M64 496C64 504.8 56.75 512 48 512h-32C7.25 512 0 504.8 0 496V32c0-17.75 14.25-32 32-32s32 14.25 32 32V496zM391.4 208l114.1-136.5c6.016-7.156 7.344-17.12 3.406-25.59S497.3 32 487.1 32H96v352h391.1c9.326 0 17.83-5.406 21.76-13.88s2.609-18.44-3.406-25.59L391.4 208z"],
    "flag-usa": [576, 512, [], "f74d", "M544 61.63V30.74c0-25-28.81-37.99-53.17-26.49C306.3 91.5 321.5-62.25 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 15.1 16H80C88.75 512 96 504.8 96 496V384c200-92.25 238.8 53.25 428.1-23.12C536.3 355.9 544 344.4 544 332.1V296.1c-46.98 17.25-86.42 24.12-120.8 24.12c-40.25-.125-74.17-8.5-107.7-16.62C254 288.5 195.3 274.8 96 314.8v-34.5c102-37.63 166.5-22.75 228.4-7.625C385.1 287.8 444.7 301.4 544 261.5V200c-46.98 17.25-86.42 24.12-120.8 24.12c-40.25 0-74.17-8.375-107.7-16.5C254 192.5 195.3 178.8 96 218.8v-34.5c102-37.5 166.5-22.62 228.4-7.5C385.1 191.8 444.7 205.4 544 165.6V96.75c-57.75 23.5-100.4 31.38-135.8 31.38c-62.96 0-118.9-27.09-120.2-27.38V67.5C331.9 78.94 390.1 128.3 544 61.63zM160 136c-8.75 0-16-7.125-16-16s7.25-16 16-16s16 7.125 16 16S168.8 136 160 136zM160 72c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S168.8 72 160 72zM224 128C215.3 128 208 120.9 208 112S215.3 96 224 96s16 7 16 16C240 120.8 232.8 128 224 128zM224 64.25c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S232.8 64.25 224 64.25z"],
    "flashlight": [640, 512, [128294], "f8b8", "M383.1 160H31.1c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h352l16.12 10.75C443.2 391.5 492.8 408.4 544 413.6V98.38c-51.25 5.25-100.8 22.12-143.9 50.87L383.1 160zM287.1 288h-32c-17.62 0-32-14.38-32-32s14.38-32 32-32h32c17.62 0 32 14.38 32 32S305.6 288 287.1 288zM607.1 96h-32v320h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96z"],
    "flask": [448, 512, [], "f0c3", "M437.2 403.5L319.1 215L319.1 64h7.1c13.25 0 23.1-10.75 23.1-24l-.0002-16c0-13.25-10.75-24-23.1-24H120C106.8 0 96.01 10.75 96.01 24l-.0002 16c0 13.25 10.75 24 23.1 24h7.1L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM137.1 320l48.15-77.63C189.8 237.3 191.9 230.8 191.9 224l.0651-160h63.99l-.06 160c0 6.875 2.25 13.25 5.875 18.38L309.9 320H137.1z"],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", "M183.1 288C170.7 288 159.1 298.8 159.1 312s10.75 24 23.1 24s23.1-10.75 23.1-24S197.2 288 183.1 288zM319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1zM263.1 288c-13.25 0-23.99 10.75-23.99 24s10.75 24 23.99 24c13.25 0 24-10.75 24-24S277.2 288 263.1 288z"],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", "M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM262.9 331.5c-54.24-27.12-115.9-29-181.7 3.875c10.5-89.75 90.62-117.9 110.9-128.5V64h63.99v143.3C292.5 226.9 367.5 260.1 367.8 352C344.3 352 307.9 354 262.9 331.5z"],
    "flask-vial": [640, 512, [], "e4f3", "M160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H224C241.7 0 256 14.33 256 32C256 49.67 241.7 64 224 64V309.9L175 389.4C165.2 405.4 160 423.8 160 442.5zM96 160H160V64H96V160zM512 0C529.7 0 544 14.33 544 32C544 49.67 529.7 64 512 64V214.9L629.7 406.2C636.4 417.2 640 429.7 640 442.6C640 480.9 608.9 512 570.6 512H261.4C223.1 512 191.1 480.9 191.1 442.6C191.1 429.7 195.6 417.2 202.3 406.2L319.1 214.9V64C302.3 64 287.1 49.67 287.1 32C287.1 14.33 302.3 0 319.1 0L512 0zM384 64V224C384 229.9 382.4 235.7 379.3 240.8L330.5 320H501.5L452.7 240.8C449.6 235.7 448 229.9 448 224V64H384z"],
    "flatbread": [512, 512, [129747], "e40b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM112 248c-2.062 0-4.125-.7969-5.656-2.344C103.8 243.1 103.3 239 105.1 235.9c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.891 7.188-1.422 9.781 1.203C248.3 108.9 248.8 112.1 246.9 116.1C214.3 170.3 170.3 214.3 116.1 246.9C114.8 247.6 113.4 248 112 248zM164.7 358.5C163.3 359.5 161.6 360 160 360c-2.062 0-4.094-.7969-5.656-2.344c-2.781-2.766-3.125-7.125-.8438-10.31c53.59-75.03 118.8-140.3 193.8-193.9c3.156-2.297 7.531-1.922 10.31 .8594c2.781 2.766 3.125 7.125 .8438 10.31C304.9 239.7 239.7 304.9 164.7 358.5zM406.9 276.1c-32.56 54.23-76.53 98.22-130.8 130.8C274.8 407.6 273.4 408 272 408c-2.062 0-4.125-.7969-5.656-2.344c-2.594-2.594-3.094-6.625-1.219-9.766c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.875 7.219-1.375 9.781 1.203C408.3 268.9 408.8 272.1 406.9 276.1z"],
    "flatbread-stuffed": [512, 512, [129369], "e40c", "M137.1 201.1C107.6 230.6 104.2 276.3 126.7 309.6L245.6 190.7C231.2 180.9 214.5 176 197.8 176C175.8 176 153.9 184.4 137.1 201.1zM80 261.8c0-31.46 12.25-61.03 34.5-83.28C136.7 156.3 166.3 144 197.8 144c25.87 0 50.22 8.688 70.52 24.01l117.1-117.1c2.877-2.875 6.014-5.393 9.301-7.641C376.9 35.74 357.9 40.47 341.2 44.9c-10.54 2.701-21.43 5.576-28.83 4.27c-7.926-1.307-18.03-7.75-27.79-14.02C269.4 25.3 251.9 14.1 232.9 16.27C213.4 18.54 200.1 33.76 188.5 47.17C181.5 55.18 174.2 63.54 167.4 66.68C160.8 69.82 149.8 70.17 139.2 70.52C100 71.82 72.87 74.79 70.6 139.1C70.17 149.6 69.82 160.8 66.77 167.3C63.46 174.1 55.19 181.3 47.08 188.4C33.67 200 18.54 213.2 16.28 232.9C14.1 251.8 25.31 269.2 35.15 284.6c6.27 9.756 12.71 19.69 14.11 27.7c1.307 7.402-1.568 18.29-4.355 28.74c-4.352 16.8-9.193 35.77-1.553 53.72c2.242-3.289 4.662-6.479 7.52-9.336l53.14-53.14C88.69 311.1 80 287.6 80 261.8zM456.7 76.63c-11.83-15.53-34.88-16.94-48.68-3.139L73.49 408.1c-13.8 13.8-12.38 36.85 3.141 48.68c106.3 81.02 258.8 72.96 355.9-24.18C529.7 335.4 537.8 182.9 456.7 76.63zM240 448C231.2 448 224 440.8 224 432c0-8.838 7.165-16 16-16S256 423.2 256 432C256 440.8 248.8 448 240 448zM272 384c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S288 359.2 288 368C288 376.8 280.8 384 272 384zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S320 423.2 320 432C320 440.8 312.8 448 304 448z"],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", "M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z"],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", "M224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416zM64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112v96C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208zM432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM507.3 379.3l-56 56C448.2 438.4 444.1 440 439.1 440s-8.187-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 384h-89.38c-8.836 0-15.1-7.164-15.1-16s7.163-16 15.1-16h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C513.6 362.9 513.6 373.1 507.3 379.3z"],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", "M432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM488.5 401.9c6.242 6.242 6.252 16.37 .0098 22.62c-6.24 6.242-16.37 6.231-22.62-.0113l-33.91-33.91l-33.91 33.91c-6.242 6.242-16.37 6.253-22.62 .0106s-6.232-16.37 .0098-22.62l33.91-33.91l-33.91-33.91c-6.242-6.242-6.251-16.37-.009-22.62s16.37-6.232 22.62 .0106l33.91 33.91l33.91-33.91c6.242-6.242 16.37-6.254 22.61-.0113s6.233 16.37-.009 22.62l-33.91 33.91L488.5 401.9zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416zM64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112v96C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208z"],
    "floppy-disk-pen": [576, 512, [], "e182", "M565.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.13l72.01 72.01l38.13-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM448 163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.29-56.47c1.906-9.609 6.594-18.45 13.59-25.48L448 234.7V163.9zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208zM307.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L307.4 420.6z"],
    "floppy-disks": [512, 512, [], "e183", "M497.9 97.94l-83.88-83.88C406.3 6.294 391.1 0 380.1 0H144C117.5 0 96 21.48 96 48v320C96 394.5 117.5 416 144 416h320c26.5 0 48-21.48 48-48V131.9C512 120.9 505.7 105.7 497.9 97.94zM288 352c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S323.3 352 288 352zM384 144C384 152.8 376.8 160 368 160h-192C167.2 160 160 152.8 160 144v-64C160 71.16 167.2 64 176 64h192C376.8 64 384 71.16 384 80V144zM392 512h-272C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h272c13.25 0 24 10.75 24 24S405.3 512 392 512z"],
    "florin-sign": [384, 512, [], "e184", "M352 32C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H314.7C301.7 96 290.1 103.8 285.1 115.7L240 224H320C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H213.3L157.9 420.9C143 456.7 108.1 480 69.33 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H69.33C82.25 416 93.9 408.2 98.87 396.3L144 288H64C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224H170.7L226.1 91.08C240.1 55.3 275.9 32 314.7 32H352z"],
    "flower": [512, 512, [127804, 10047], "f7ff", "M480 160c0-70.75-57.25-128-128-128c-38.5 0-72.5 17.25-96 44.12C232.5 49.25 198.5 32 160 32C89.25 32 32 89.25 32 160c0 38.5 17.25 72.5 44.13 96C49.25 279.5 32 313.5 32 352c0 70.75 57.25 128 128 128c38.5 0 72.5-17.25 96-44.13C279.5 462.8 313.5 480 352 480c70.75 0 128-57.25 128-128c0-38.5-17.25-72.5-44.13-96C462.8 232.5 480 198.5 480 160zM256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z"],
    "flower-daffodil": [512, 512, [9880], "f800", "M495.9 319.1l-47.26 .0011c-63.01 0-119.9 22.25-160.6 57.88l-.0005-96.63c37.26 16.38 80.89 2.25 101.3-33c20.38-35.25 11.16-80.12-21.72-104.2c25.25-18.63 37.23-50.25 30.72-81c-6.626-30.63-30.63-54.63-61.26-61.25C306.3-4.758 274.6 7.206 256 32.46C237.4 7.206 205.7-4.758 174.1 1.742C144.4 8.368 120.4 32.37 113.7 62.99c-6.501 30.75 5.47 62.38 30.72 81C111.7 168.1 102.4 212.1 122.7 248.2c20.5 35.13 64.01 49.38 101.3 33l-.0005 96.63c-40.76-35.63-97.64-57.88-160.6-57.88L16.09 319.1c-9.126 0-17 7.75-16 16.88C9.962 434.1 106.4 512 223.9 512h64.26c117.5 0 213.9-77 223.8-175.1C512.9 327.7 505 319.1 495.9 319.1zM256 191.1c-26.5 0-48.01-21.5-48.01-48S229.5 95.1 256 95.1s48.01 21.5 48.01 48S282.5 191.1 256 191.1z"],
    "flower-tulip": [512, 512, [127799], "f801", "M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-77-223.8-175.1C-.9142 327.8 6.962 320 16.09 320h47.26c63.01 0 119.9 22.25 160.6 57.88L223.1 256C153.2 256 95.98 198.8 95.98 128V32l80.01 48L257.1 0l78.89 80L416 32v96c0 70.75-57.26 128-128 128l.0002 121.9C328.8 342.2 385.6 320 448.7 320h47.26C505 320 512.9 327.8 511.9 336.9z"],
    "flute": [640, 512, [], "f8b9", "M0 192v128c0 17.62 14.38 32 32 32h64V160H32C14.38 160 0 174.4 0 192zM608 160H128v192h480c17.62 0 32-14.38 32-32V192C640 174.4 625.6 160 608 160zM320 280C306.8 280 296 269.3 296 256S306.8 232 320 232S344 242.8 344 256S333.3 280 320 280zM416 280c-13.25 0-24-10.75-24-24S402.8 232 416 232S440 242.8 440 256S429.3 280 416 280zM512 280c-13.25 0-24-10.75-24-24S498.8 232 512 232S536 242.8 536 256S525.3 280 512 280z"],
    "flux-capacitor": [448, 512, [], "f8ba", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM99.72 188.3C84.09 172.7 84.09 147.3 99.72 131.7C115.3 116.1 140.7 116.1 156.3 131.7L205.3 180.7C207.1 174.1 208 167.2 208 160C208 115.8 172.2 80 128 80C83.82 80 48 115.8 48 160C48 204.2 83.82 240 128 240C135.2 240 142.1 239.1 148.7 237.3L99.72 188.3zM184 282.7C160.1 296.5 144 322.4 144 352C144 396.2 179.8 432 224 432C268.2 432 304 396.2 304 352C304 322.4 287.9 296.5 264 282.7V352C264 374.1 246.1 392 224 392C201.9 392 184 374.1 184 352V282.7zM299.3 237.3C305.9 239.1 312.8 240 320 240C364.2 240 400 204.2 400 160C400 115.8 364.2 80 320 80C275.8 80 240 115.8 240 160C240 167.2 240.9 174.1 242.7 180.7L291.7 131.7C307.3 116.1 332.7 116.1 348.3 131.7C363.9 147.3 363.9 172.7 348.3 188.3L299.3 237.3zM139.3 148.7C133.1 142.4 122.9 142.4 116.7 148.7C110.4 154.9 110.4 165.1 116.7 171.3L207.1 262.6V352C207.1 360.8 215.2 368 223.1 368C232.8 368 240 360.8 240 352V262.6L331.3 171.3C337.6 165.1 337.6 154.9 331.3 148.7C325.1 142.4 314.9 142.4 308.7 148.7L223.1 233.4L139.3 148.7z"],
    "flying-disc": [448, 512, [], "e3a9", "M83.41 364.4c94.89 0 250.3-156.1 250.3-249.7c0-33.99-21.9-46.18-46.28-46.18c-94.89 0-250.3 156.1-250.3 249.7C37.13 352.2 59.01 364.4 83.41 364.4zM447.1 126.9C447.1 66.23 408 32 352.9 32c-14 0-29.21 2.584-44.94 6.73c7.579 1.675 58.01 13.89 58.01 75.62c0 111.4-169.8 282.1-282.6 282.1c-.1217 0-.4522 .0067-.9691 .0067c-8.227 0-63.66-1.682-75.59-58.57c-4.518 16.74-6.846 32.69-6.846 47.49C.0001 445.4 39.44 480 94.95 480C234.8 480 447.1 270.8 447.1 126.9z"],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", "M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z"],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z"],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z"],
    "folder-bookmark": [512, 512, [], "e186", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM448 335.1c0 13.42-15.52 20.88-25.1 12.49L368 305.3l-54 43.2C303.5 356.8 288 349.4 288 335.1V160h160V335.1z"],
    "folder-closed": [512, 512, [], "e185", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80V160h512V144C512 117.5 490.5 96 464 96zM0 432C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48V192H0V432z"],
    "folder-gear": [512, 512, ["folder-cog"], "e187", "M256 248C233.9 248 216 265.9 216 288s17.91 40 40 40S296 310.1 296 288S278.1 248 256 248zM464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM366.9 352c-4.457 7.719-9.781 14.55-15.56 20.86c-2.506 2.738-6.633 3.281-9.846 1.422l-23.46-13.54C309.2 368.3 299.1 374.2 288 378.1v27.02c0 3.711-2.531 7.016-6.154 7.812C273.5 414.8 264.9 416 256 416c-8.912 0-17.49-1.195-25.84-3.047C226.5 412.2 224 408.9 224 405.1v-27.02c-11.12-3.957-21.19-9.867-29.99-17.38L170.6 374.3c-3.215 1.859-7.34 1.316-9.848-1.422C154.9 366.6 149.6 359.7 145.1 352c-4.455-7.719-7.709-15.75-10.29-23.91C133.7 324.6 135.3 320.7 138.6 318.9l23.21-13.4C160.7 299.8 160 293.1 160 288s.7129-11.78 1.76-17.46L138.6 257.1C135.3 255.3 133.7 251.4 134.9 247.9C137.4 239.7 140.7 231.7 145.1 224c4.457-7.719 9.783-14.55 15.56-20.86C163.2 200.4 167.3 199.9 170.6 201.7l23.45 13.54C202.8 207.7 212.9 201.8 224 197.9V170.9c0-3.711 2.531-7.016 6.156-7.816C238.5 161.2 247.1 160 256 160c8.914 0 17.49 1.195 25.85 3.043C285.5 163.8 288 167.1 288 170.9v27.02c11.12 3.957 21.19 9.867 29.99 17.38l23.46-13.54c3.213-1.859 7.34-1.316 9.846 1.422C357.1 209.4 362.4 216.3 366.9 224s7.711 15.75 10.29 23.91c1.119 3.539-.4766 7.383-3.689 9.234l-23.21 13.4C351.3 276.2 352 282 352 288s-.7129 11.78-1.76 17.46l23.21 13.4c3.213 1.852 4.809 5.695 3.691 9.234C374.6 336.3 371.3 344.3 366.9 352z"],
    "folder-grid": [512, 512, [], "e188", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 320c0 8.836-7.162 16-16 16H96c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM304 320c0 8.836-7.162 16-16 16H224c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM432 320c0 8.836-7.162 16-16 16h-64c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320z"],
    "folder-heart": [512, 512, [], "e189", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z"],
    "folder-image": [512, 512, [], "e18a", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM127.1 192c17.67 0 32 14.33 32 32s-14.33 32-32 32s-32-14.33-32-32S110.3 192 127.1 192zM414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.216-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288S191.9 290.4 194.9 294.6l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224s10.35 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z"],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", "M240 216c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C296 241.1 270.9 216 240 216zM464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM376.1 408.1C372.3 413.7 366.2 416 360 416s-12.28-2.344-16.97-7.031l-48.67-48.67C278.5 370.1 259.1 376 240 376c-57.44 0-104-46.56-104-104S182.6 168 240 168s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C386.3 384.4 386.3 399.6 376.1 408.1z"],
    "folder-medical": [512, 512, [], "e18c", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z"],
    "folder-minus": [512, 512, [], "f65d", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z"],
    "folder-music": [512, 512, [], "e18d", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z"],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", "M147.8 192H480V144C480 117.5 458.5 96 432 96h-160l-64-64h-160C21.49 32 0 53.49 0 80v328.4l90.54-181.1C101.4 205.6 123.4 192 147.8 192zM543.1 224H147.8C135.7 224 124.6 230.8 119.2 241.7L0 480h447.1c12.12 0 23.2-6.852 28.62-17.69l96-192C583.2 249 567.7 224 543.1 224z"],
    "folder-plus": [512, 512, [], "f65e", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z"],
    "folder-tree": [576, 512, [], "f802", "M544 32h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32V64C576 46.38 561.6 32 544 32zM544 320h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32v-128C576 334.4 561.6 320 544 320zM64 16C64 7.125 56.88 0 48 0h-32C7.125 0 0 7.125 0 16V416c0 17.62 14.38 32 32 32h224v-64H64V160h192V96H64V16z"],
    "folder-user": [512, 512, [], "e18e", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM256 192c35.35 0 64 28.66 64 64s-28.65 64-64 64S192 291.3 192 256S220.7 192 256 192zM352 416H160c-8.836 0-16-7.164-16-16C144 373.5 165.5 352 192 352h128c26.51 0 48 21.49 48 48C368 408.8 360.8 416 352 416z"],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z"],
    "folders": [640, 512, [], "f660", "M560 96H368l-64-64H176c-26.5 0-48 21.5-48 48v256c0 26.5 21.5 48 48 48h384c26.5 0 48-21.5 48-48v-192C608 117.5 586.5 96 560 96zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "fondue-pot": [512, 512, [129749], "e40d", "M480 223.1H160v48c0 8.846-7.156 16-16 16S128 280.8 128 271.1c0-8.838-7.164-16-16-16s-16 7.162-16 16v32c0 8.844-7.156 16-16 16s-16-7.156-16-16v-80H32c-17.69 0-32 14.33-32 32v64c0 52.13 25.43 98.07 64.14 127.3C64.13 447.5 64 447.8 64 447.1V480c0 17.67 14.31 32 32 32s32-14.33 32-32v-3.234C138.3 478.9 149 480 160 480h128c10.96 0 21.66-1.125 32-3.234V480c0 17.67 14.31 32 32 32s32-14.33 32-32v-32c0-.248-.1348-.4531-.1406-.7012C422.6 418.1 448 372.1 448 319.1v-32h32c17.69 0 32-14.33 32-32C512 238.3 497.7 223.1 480 223.1zM365.2 191.1l20.47-32.18c.418 .0156 .832 .1758 1.25 .1758c10.56 0 20.94-5.234 27.03-14.81l61.09-96c9.5-14.92 5.094-34.7-9.812-44.19C450.3-4.475 430.5-.084 421 14.81l-61.09 96c-6.299 9.893-5.984 21.72-1.051 31.46l-31.64 49.72H365.2zM260.9 191.1l9.092-33.34c10.62-2.859 19.55-10.86 22.65-22.24l26.19-96c4.656-17.05-5.406-34.64-22.47-39.3c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96c-3.088 11.3 .7109 22.5 8.314 30.35L227.8 191.1H260.9z"],
    "font": [448, 512, [], "f031", "M416 416h-25.81L253.1 52.76c-4.688-12.47-16.57-20.76-29.91-20.76s-25.34 8.289-30.02 20.76L57.81 416H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H126.2l17.1-48h159.6l17.1 48H320c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32S433.7 416 416 416zM168.2 304L224 155.1l55.82 148.9H168.2z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32C158.6 384 142.6 387.6 128 392.2v-64C142.6 323.6 158.6 320 179.2 320c62.73 0 86.51 32 149.3 32C348.9 352 364.1 349 384 342.7v-208C364.1 141 348.9 144 328.5 144c-62.82 0-86.6-32-149.3-32C128.4 112 104.3 132.6 64 140.7v307.3C64 465.7 49.67 480 32 480S0 465.7 0 448V63.1C0 46.33 14.33 32 31.1 32S64 46.33 64 63.1V76.66C104.3 68.63 128.4 48 179.2 48c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z"],
    "font-case": [640, 512, [], "f866", "M205.1 52.76C201.3 40.3 189.3 32.01 176 32.01S150.7 40.3 146 52.76l-144 384c-6.203 16.56 2.188 35 18.73 41.22c16.55 6.125 34.98-2.156 41.2-18.72l28.21-75.25h171.6l28.21 75.25C294.9 472.1 307 480 320 480c3.734 0 7.531-.6562 11.23-2.031c16.55-6.219 24.94-24.66 18.73-41.22L205.1 52.76zM114.2 320L176 155.1l61.82 164.9H114.2zM608 160c-13.14 0-24.37 7.943-29.3 19.27C559.2 167.3 536.5 160 512 160c-70.58 0-128 57.41-128 128l.0007 63.93c0 70.59 57.42 128.1 127.1 128.1c24.51 0 47.21-7.266 66.7-19.26C583.6 472.1 594.9 480 608 480c17.67 0 32-14.31 32-32V192C640 174.3 625.7 160 608 160zM576 352c0 35.28-28.7 64-64 64s-64-28.72-64-64v-64c0-35.28 28.7-63.1 64-63.1s64 28.72 64 63.1V352z"],
    "football": [512, 512, [127944, "football-ball"], "f44e", "M16.17 337.5c0 44.98 7.565 83.54 13.98 107.9C35.22 464.3 50.46 496 174.9 496c9.566 0 19.59-.4707 29.84-1.271L17.33 307.3C16.53 317.6 16.17 327.7 16.17 337.5zM495.8 174.5c0-44.98-7.565-83.53-13.98-107.9c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-9.564 0-19.59 .4707-29.84 1.271l187.5 187.5C495.5 194.4 495.8 184.3 495.8 174.5zM26.77 248.8l236.3 236.3c142-36.1 203.9-150.4 222.2-221.1L248.9 26.87C106.9 62.96 45.07 177.2 26.77 248.8zM256 335.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l64.01 64C254.4 327.8 256 331.9 256 335.1zM304 287.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01C302.5 279.8 304 283.9 304 287.1zM256 175.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688l-64.01-64.01C257.6 184.2 256 180.1 256 175.1z"],
    "football-helmet": [512, 512, [], "f44f", "M496 320H354.3l-14.2-75.98l137-17.82c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c25.12 12.62 55.62 7.714 75.62-12.29C317.6 412.5 292.3 366.8 286.4 352h41.36l9.875 52.66C347.5 457.6 393.8 496 447.7 496h48.31c8.844 0 16-7.156 16-16v-144C512 327.2 504.8 320 496 320zM175.1 359.1c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S189.2 359.1 175.1 359.1zM273.6 320l-10.34-25.79c-7.75-19.38 4.996-40.89 25.62-43.51l19.48-2.538L321.7 320H273.6zM479.1 464h-32.31c-32.28 0-60.54-19.45-73.07-48h105.4V464zM479.1 384h-113.7l-5.992-32h119.7V384z"],
    "fork": [512, 512, ["utensil-fork"], "f2e3", "M434.5 232.7C427.7 243.8 418.5 253.2 407.5 260.3C396.5 267.3 384.1 271.7 371.2 273.2C349.9 275.2 328.5 269.8 310.8 257.8L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L254.2 201.1C242.2 183.4 236.7 162.1 238.8 140.8C240.3 127.9 244.7 115.4 251.7 104.5C258.8 93.51 268.2 84.3 279.3 77.54L397.1 2.563C400.4 .4423 404.4-.3746 408.3 .2692C412.2 .9131 415.7 2.972 418.1 6.051C420.6 9.126 421.8 13 421.6 16.93C421.4 20.87 419.7 24.58 416.1 27.36L315.2 129.3L327.5 141.6L444.3 48.83C446.8 46.78 450.1 45.75 453.4 45.94C456.7 46.13 459.8 47.53 462.2 49.87C464.5 52.21 465.9 55.33 466.1 58.63C466.3 61.94 465.2 65.19 463.2 67.78L370.5 184.5L382.8 196.8L484.6 95.04C487.4 92.27 491.1 90.62 495.1 90.41C499 90.2 502.9 91.45 505.9 93.91C509 96.37 511.1 99.88 511.7 103.8C512.4 107.6 511.5 111.6 509.4 114.9L434.5 232.7z"],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", "M152.8 321.4L54.11 222.8C28.01 196.7 10.32 163.4 3.341 127.1C-3.641 90.86 .4013 53.35 14.95 19.42C17.01 14.62 20.21 10.39 24.29 7.114C28.36 3.835 33.17 1.604 38.31 .6159C43.44-.3722 48.74-.0877 53.74 1.445C58.73 2.978 63.28 5.712 66.98 9.408L265.9 208.3L152.8 321.4zM500.3 443.8C507.8 451.3 512 461.5 512 472.1C512 482.7 507.8 492.8 500.3 500.4C492.8 507.9 482.6 512.1 472 512.1C461.4 512.1 451.2 507.9 443.7 500.4L310.6 367.3L367.2 310.7L500.3 443.8zM569.1 93.86C573 96.32 575.1 99.84 575.7 103.7C576.4 107.6 575.6 111.6 573.4 114.9L498.5 232.7C491.7 243.8 482.5 253.2 471.5 260.3C460.5 267.3 448.1 271.7 435.2 273.2C413.9 275.2 392.5 269.8 374.8 257.8L132.3 500.3C124.8 507.8 114.6 512 104 512C93.39 512 83.22 507.8 75.71 500.3C68.21 492.8 63.1 482.6 63.1 472C63.1 461.4 68.21 451.2 75.71 443.7L318.2 201.1C306.2 183.4 300.7 162.1 302.8 140.8C304.3 127.9 308.7 115.4 315.7 104.5C322.8 93.51 332.2 84.3 343.3 77.54L461.1 2.56C464.4 .439 468.4-.378 472.3 .2659C476.2 .9097 479.7 2.969 482.1 6.048C484.6 9.123 485.8 12.1 485.6 16.93C485.4 20.86 483.7 24.58 480.1 27.36L379.2 129.3L391.5 141.6L508.3 48.83C510.9 46.78 514.1 45.75 517.4 45.94C520.7 46.13 523.8 47.53 526.2 49.87C528.5 52.21 529.9 55.33 530.1 58.63C530.3 61.93 529.2 65.19 527.2 67.78L434.5 184.5L446.8 196.8L548.6 95.1C551.4 92.32 555.1 90.66 559.1 90.44C563 90.22 566.9 91.46 569.1 93.92V93.86z"],
    "forklift": [640, 512, [], "f47a", "M48 160H96V48C96 21.49 117.5 0 144 0H292.7C313 0 331.1 12.75 337.9 31.86L413.2 242.6C415.1 247.8 416 253.3 416 258.8V344.4C435.6 362 448 387.6 448 416C448 469 405 512 352 512C298.1 512 256 469 256 416H192C192 469 149 512 96 512C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160V160zM350 256L281.4 64H160V160L256 256H350zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464zM352 464C378.5 464 400 442.5 400 416C400 389.5 378.5 368 352 368C325.5 368 304 389.5 304 416C304 442.5 325.5 464 352 464zM544 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H512C494.3 448 480 433.7 480 416V32C480 14.33 494.3 0 512 0C529.7 0 544 14.33 544 32V384z"],
    "fort": [640, 512, [], "e486", "M0 16C0 7.164 7.164 0 16 0H48C56.84 0 64 7.164 64 16V64H96V16C96 7.164 103.2 0 112 0H144C152.8 0 160 7.164 160 16V64H192V16C192 7.164 199.2 0 208 0H240C248.8 0 256 7.164 256 16V160H384V16C384 7.164 391.2 0 400 0H432C440.8 0 448 7.164 448 16V64H480V16C480 7.164 487.2 0 496 0H528C536.8 0 544 7.164 544 16V64H576V16C576 7.164 583.2 0 592 0H624C632.8 0 640 7.164 640 16V176C640 196.9 626.6 214.7 608 221.3V464C608 490.5 586.5 512 560 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H80C53.49 512 32 490.5 32 464V221.3C13.36 214.7 0 196.9 0 176V16z"],
    "forward": [512, 512, [9193], "f04e", "M52.51 440.6l171.5-142.9V214.3L52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6zM308.5 440.6l192-159.1c15.25-12.87 15.25-36.37 0-49.24l-192-159.1c-20.63-17.12-52.51-2.749-52.51 24.62v319.9C256 443.3 287.9 457.7 308.5 440.6z"],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", "M512 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C462.3 447.1 448 433.6 448 415.1V284.1l-171.5 156.5C255.9 457.7 224 443.3 224 415.1V284.1l-171.5 156.5C31.88 457.7 0 443.3 0 415.1V96.03c0-27.37 31.88-41.74 52.5-24.62L224 226.8V96.03c0-27.37 31.88-41.74 52.5-24.62L448 226.8V96.03c0-17.67 14.33-31.1 31.1-31.1C497.7 64.03 512 78.36 512 96.03z"],
    "forward-step": [320, 512, ["step-forward"], "f051", "M287.1 447.1c17.67 0 31.1-14.33 31.1-32V96.03c0-17.67-14.33-32-32-32c-17.67 0-31.1 14.33-31.1 31.1v319.9C255.1 433.6 270.3 447.1 287.1 447.1zM52.51 440.6l192-159.1c7.625-6.436 11.43-15.53 11.43-24.62c0-9.094-3.809-18.18-11.43-24.62l-192-159.1C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z"],
    "frame": [448, 512, [], "e495", "M416 160H384V352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H384V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H64V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V96H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V96H416C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160zM128 352H320V160H128V352z"],
    "franc-sign": [320, 512, [], "e18f", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H112V192H256C273.7 192 288 206.3 288 224C288 241.7 273.7 256 256 256H112V320H192C209.7 320 224 334.3 224 352C224 369.7 209.7 384 192 384H112V448C112 465.7 97.67 480 80 480C62.33 480 48 465.7 48 448V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H48V64C48 46.33 62.33 32 80 32H288z"],
    "french-fries": [384, 512, [127839], "f803", "M368 223.1l-34-.0027c-6.875 0-13.75 4.25-15.25 11c-8.5 39-62 69-126.8 69c-64.62 0-118.1-30-126.8-69C63.75 228.2 56.1 223.1 49.1 223.1l-34 .0027c-4.875 0-9.522 2.281-12.52 6.031C.4768 233.8-.6266 238.7 .3734 243.5l54.13 243.5c3.25 14.63 16.25 25 31.25 25h212.5c14.1 0 28-10.37 31.25-25l54.13-243.5c.1-4.75-.1035-9.716-3.103-13.47C377.5 226.3 372.9 223.1 368 223.1zM287.5 228.1c.5-1.75 1.5-3.25 2.125-4.875l30.12-172.5c1-5.5-.9999-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-34.25 10.25c-4.25 1.25-7.125 4.5-9.125 8.25v207.3C273.5 250.1 285.1 238.1 287.5 228.1zM367.5 191.1l16.25-93.26c1-5.5-.1-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-17.25 5.125l-18.75 107.3c2.25-.375 4.25-1.125 6.625-1.125H367.5zM223.1 268.7V31.97c0-6-3.375-11.63-8.875-14.25L183.1 1.722C178.3-.7781 172.3-.5281 167.6 2.347C162.9 5.222 160 10.47 160 15.97v252.8C181.1 273.1 202.9 273.1 223.1 268.7zM50 191.1c3.625 0 6.1 1 10.37 1.75L40.38 86.6L20.63 80.73C15.25 79.1 9.504 80.35 5.379 83.98C1.254 87.73-.7458 93.23 .2542 98.73l16.25 93.26H50zM128 258.5V33.1L124.3 13.1c-.1-5.5-4.75-10-9.1-12C109.1-.9031 103.3-.1531 98.88 3.222L70.38 24.85C65.5 28.47 63.13 34.6 64.25 40.6l36.87 197.1C106.5 245.4 115.6 252.6 128 258.5z"],
    "frog": [576, 512, [], "f52e", "M528 416h-32.07l-90.32-96.34l140.6-79.03c18.38-10.25 29.75-29.62 29.75-50.62c0-21.5-11.75-41-30.5-51.25c-40.5-22.25-99.07-41.43-99.07-41.43C439.6 60.19 407.3 32 368 32s-71.77 28.25-78.52 65.5C126.7 113-.4999 250.1 .0001 417C.1251 451.9 29.13 480 64 480h304c8.875 0 16-7.125 16-16c0-26.51-21.49-48-47.1-48H284.3l23.93-32.38c24.25-36.13 10.38-88.25-33.63-106.5C250.8 267.1 223 272.4 202.4 288L169.6 312.5c-7.125 5.375-17.12 4-22.38-3.125c-5.375-7.125-4-17.12 3.125-22.38l34.75-26.12c36.87-27.62 88.37-27.62 125.1 0c10.88 8.125 45.88 39 40.88 93.13L469.6 480h90.38c8.875 0 16-7.125 16-16C576 437.5 554.5 416 528 416zM344 112c0-13.25 10.75-24 24-24s24 10.75 24 24s-10.75 24-24 24S344 125.3 344 112z"],
    "function": [640, 512, [], "f661", "M510.6 241.4c-12.5-12.5-32.75-12.5-45.25 0L432 274.8l-33.38-33.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l33.38 33.38l-33.38 33.38c-12.5 12.5-12.5 32.75 0 45.25c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375L432 365.3l33.38 33.38c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-33.38-33.38l33.38-33.38C523.1 274.1 523.1 253.9 510.6 241.4zM192 .0146L160 .0098c-52.94 0-96 43.07-96 96v96H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h32v128c0 17.66-14.36 31.1-32 31.1c-17.67 0-32 14.32-32 32s14.33 32 32 32c52.94 0 96-43.06 96-96v-128h32c17.67 0 32-14.31 32-32s-14.33-32-32-32H128v-96C128 78.36 142.4 64.01 160 64.01l32 .0049c17.67 0 32-14.31 32-32S209.7 .0146 192 .0146zM321.2 133C306.3 123.5 286.5 127.1 276.1 142.9c-70.48 110.9-70.48 243.4 0 354.3c6.109 9.594 16.47 14.84 27.05 14.84c5.875 0 11.81-1.625 17.12-5c14.92-9.469 19.33-29.25 9.859-44.16c-57.69-90.78-57.69-194.9 0-285.7C340.5 162.3 336.1 142.5 321.2 133zM587 142.9c-9.516-14.91-29.28-19.31-44.17-9.844c-14.92 9.469-19.33 29.25-9.859 44.16c57.69 90.78 57.69 194.9 0 285.7c-9.469 14.91-5.062 34.69 9.859 44.16c5.312 3.406 11.25 5 17.12 5c10.58 0 20.94-5.25 27.05-14.84C657.5 386.2 657.5 253.8 587 142.9z"],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", "M177.1 228.6L207.9 320h96.5l29.62-91.38L256 172.1L177.1 228.6zM255.1 0C114.6 0 .0001 114.6 .0001 256S114.6 512 256 512s255.1-114.6 255.1-255.1S397.4 0 255.1 0zM416.6 360.9l-85.4-1.297l-25.15 81.59C290.1 445.5 273.4 448 256 448s-34.09-2.523-50.09-6.859L180.8 359.6l-85.4 1.297c-18.12-27.66-29.15-60.27-30.88-95.31L134.3 216.4L106.6 135.6c21.16-26.21 49.09-46.61 81.06-58.84L256 128l68.29-51.22c31.98 12.23 59.9 32.64 81.06 58.84L377.7 216.4l69.78 49.1C445.8 300.6 434.8 333.2 416.6 360.9z"],
    "g": [448, 512, [103], "47", "M448 256c0 143.4-118.6 222.3-225 222.3c-132.3 0-222.1-106.2-222.1-222.4c0-124.4 100.9-223.9 223.1-223.9c84.84 0 167.8 55.28 167.8 88.2c0 18.28-14.95 32-32 32c-31.04 0-46.79-56.16-135.8-56.16c-87.66 0-159.1 70.66-159.1 159.8c0 34.81 27.19 158.8 159.1 158.8c79.45 0 144.6-55.1 158.1-126.7h-134.1c-17.67 0-32-14.33-32-32s14.33-31.1 32-31.1H416C433.7 224 448 238.3 448 256z"],
    "galaxy": [512, 512, [], "e008", "M506.6 274.1c-16.88-71.13-75.38-127.9-147-142.1c-34-7-69.13-4.625-101.9 6.625c7.5-49.25 39.75-91.13 85.5-110.8c13.38-5.75 10.38-25.5-4-26.88c-21.88-2.25-43.88-.625-65.13 4.375C202.1 22.24 146.2 80.74 131.1 152.4C124.1 186.4 127.4 221.5 138.6 254.2C89.37 246.7 47.49 214.5 27.87 168.7C22.12 155.4 2.368 158.4 .9925 172.7C-1.258 194.6 .3674 216.6 5.368 237.9c16.88 71.13 75.38 127.9 147 142.1c34 7 69.13 4.625 101.9-6.625c-7.5 49.25-39.75 91.13-85.5 110.8c-13.38 5.75-10.38 25.5 4 26.88c21.88 2.25 43.88 .625 65.13-4.375c71.13-16.88 127.9-75.38 142.1-147c7-34 4.625-69.13-6.625-101.9c49.25 7.5 91.13 39.75 110.8 85.5c5.75 13.38 25.5 10.38 26.88-4C513.3 317.4 511.6 295.4 506.6 274.1zM255.1 304C229.5 304 207.1 282.5 207.1 256s21.5-48 48-48S304 229.5 304 256S282.5 304 255.1 304z"],
    "gallery-thumbnails": [576, 512, [], "e3aa", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 64H64V288H512V64zM0 448C0 430.3 14.33 416 32 416H64C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448zM224 416C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448C160 430.3 174.3 416 192 416H224zM320 448C320 430.3 334.3 416 352 416H384C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448zM544 416C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448C480 430.3 494.3 416 512 416H544z"],
    "game-board": [448, 512, [], "f867", "M224 336h80V256h-80V336zM224 176h-80V256h80V176zM384 32h-320c-35.2 0-64 28.8-64 64v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM384 176h-80V256h80v80h-80V416h-80v-80h-80V416H64l0-80h80V256H64l0-80h80V96h80v80h80V96h80L384 176z"],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", "M384 32h-320C28.8 32 0 60.8 0 96v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM384 256h-160v160H64L64 256h160V96h160L384 256z"],
    "game-console-handheld": [384, 512, [], "f8bb", "M336 0h-288c-26.4 0-48 21.6-48 48L.0001 416c0 52.8 43.2 96 96 96h192c53.02 0 95.1-42.98 96-96l.0001-368C384 21.6 362.4 0 336 0zM160 336c0 8.8-7.2 16-16 16h-16v16c0 8.8-7.2 16-15.1 16c-8.8 0-16-7.2-16-15.1L96 352H80c-8.8 0-15.1-7.2-15.1-16S71.2 320 80 320h15.1l0-16C96 295.2 103.2 288 112 288c8.8 0 15.1 7.2 15.1 16V320h16C152.8 320 160 327.2 160 336zM232 384c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S245.3 384 232 384zM128 224c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1c8.837 0 16 7.163 16 16V192c0 17.6-14.4 32-32 32H128zM296 336c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S309.3 336 296 336z"],
    "gamepad": [640, 512, [], "f11b", "M448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280zM431.1 344c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40s39.1 17.88 39.1 40S454.1 344 431.1 344zM495.1 248c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40c22.12 0 39.1 17.88 39.1 40S518.1 248 495.1 248z"],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", "M640 384.2c0-5.257-.4576-10.6-1.406-15.98l-33.38-211.6C591.4 77.96 522 32 319.1 32C119 32 48.71 77.46 34.78 156.6l-33.38 211.6c-.9487 5.383-1.406 10.72-1.406 15.98c0 51.89 44.58 95.81 101.5 95.81c49.69 0 93.78-30.06 109.5-74.64l7.5-21.36h203l7.5 21.36c15.72 44.58 59.81 74.64 109.5 74.64C595.4 479.1 640 436.1 640 384.2zM247.1 248l-31.96-.0098L215.1 280c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24l.0367-32.01L135.1 248c-13.2 0-23.98-10.8-23.98-24c0-13.2 10.77-24 23.98-24l32.04-.011L167.1 168c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24l.0368 31.99L247.1 200c13.2 0 24.02 10.8 24.02 24C271.1 237.2 261.2 248 247.1 248zM432 311.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C472 294.1 454.1 311.1 432 311.1zM496 215.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C536 198.1 518.1 215.1 496 215.1z"],
    "garage": [640, 512, [], "e009", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9zM128 223.1H512V319.1H128V223.1zM128 352H512V512H128V352zM272 448H368C376.8 448 384 440.8 384 432C384 423.2 376.8 416 368 416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448z"],
    "garage-car": [640, 512, [], "e00a", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM188.9 334.1L208.1 277.5C216.8 255.1 238 240 261.8 240H378.2C401.1 240 423.2 255.1 431 277.5L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H223.1V480C223.1 497.7 209.7 512 191.1 512C174.3 512 159.1 497.7 159.1 480V384C159.1 362.9 171.7 344.5 188.9 334.1L188.9 334.1zM242.2 328H397.8L385.7 293.4C384.6 290.2 381.6 287.1 378.2 287.1H261.8C258.4 287.1 255.4 290.2 254.3 293.4L242.2 328zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376z"],
    "garage-open": [640, 512, [], "e00b", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9zM244.1 319.1L242.2 328H397.8L395 319.1H445.9L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L194.1 319.1H244.1zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376zM512 287.1H128V223.1H512V287.1z"],
    "garlic": [512, 512, [129476], "e40e", "M200 488C200 501.3 210.8 512 224 512s24-10.75 24-24V448h-48V488zM264 488c0 13.25 10.75 24 24 24s24-10.75 24-24V448h-48V488zM64 306.9c0-55.59 17.16-84.8 33.78-113c10.6-18.05 20.69-35.61 26.1-60.65L48.8 191.7C17.79 215.9 0 251.4 0 288.1c0 62.77 49.45 114.6 113.1 124.8C84.23 390 64 354.4 64 306.9zM136 488C136 501.3 146.8 512 160 512s24-10.75 24-24V448l-48-.0391V488zM463.2 191.7l-85.23-66.48C361.5 112.4 352 93.53 352 73.52V44.57C352 19.99 330.5 0 304 0H288v92.64c0 48.88 18.19 73.63 37.44 99.83C345.4 219.6 368 250.4 368 306.9c0 49.17-21.83 85.49-53.34 109.1L376 415.9C451.1 415.5 512 358.8 512 288.1C512 251.4 494.2 215.9 463.2 191.7zM328 488c0 13.25 10.75 24 24 24s24-10.75 24-24v-40.04L328 448V488zM299.7 211.4C279.2 183.6 256 152 256 92.64V0H208C181.5 0 160 19.99 160 44.57v48.07c0 58.48-18.41 89.78-34.66 117.4C110.3 235.7 96 259.1 96 306.9C96 381.8 158.2 416 215.1 416C273.8 416 336 381.8 336 306.9C336 260.9 319.2 237.1 299.7 211.4z"],
    "gas-pump": [512, 512, [9981], "f52f", "M32 64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V256H328C376.6 256 416 295.4 416 344V376C416 389.3 426.7 400 440 400C453.3 400 464 389.3 464 376V221.1C436.4 214.9 416 189.8 416 160V96L384 64C375.2 55.16 375.2 40.84 384 32C392.8 23.16 407.2 23.16 416 32L493.3 109.3C505.3 121.3 512 137.5 512 154.5V376C512 415.8 479.8 448 440 448C400.2 448 368 415.8 368 376V344C368 321.9 350.1 303.1 328 303.1H320V448C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64zM96 176C96 184.8 103.2 192 112 192H240C248.8 192 256 184.8 256 176V80C256 71.16 248.8 64 240 64H112C103.2 64 96 71.16 96 80V176z"],
    "gas-pump-slash": [640, 512, [], "f5f4", "M97.33 50.98C103.3 21.88 129.1 0 160 0H320C355.3 0 384 28.65 384 64V275.7L520.8 382.9C525.3 376.4 528 368.5 528 360V221.1C500.4 214.9 480 189.8 480 160V96L448 64C439.2 55.16 439.2 40.84 448 32C456.8 23.16 471.2 23.16 480 32L557.3 109.3C569.3 121.3 576 137.5 576 154.5V360C576 379.7 569.5 397.9 558.6 412.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L97.33 50.98zM384 398.5V448C401.7 448 416 462.3 416 480C416 497.7 401.7 512 384 512H96C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448V171.6L384 398.5z"],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-circle-bolt": [640, 512, [], "e496", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "gauge-circle-minus": [640, 512, [], "e497", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM560 351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1z"],
    "gauge-circle-plus": [640, 512, [], "e498", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 334.6 313.1 318.9 301.9 307.4L365.1 161.7C371.3 149.5 365.8 135.4 353.7 130C341.5 124.7 327.4 130.2 322 142.3L257.9 288C257.3 288 256.6 287.1 256 287.1C220.7 287.1 192 316.7 192 352C192 387.3 220.7 416 256 416V416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C255.4 288 254.7 288 254.1 288L189.1 142.3C184.6 130.2 170.5 124.7 158.3 130C146.2 135.4 140.7 149.5 146 161.7L210.1 307.4C198.9 318.9 192 334.6 192 352C192 387.3 220.7 416 256 416V416zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7z"],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM304.7 310.4L381.3 163.1C387.4 151.3 382.8 136.8 371.1 130.7C359.3 124.6 344.8 129.2 338.7 140.9L262.1 288.3C260.1 288.1 258.1 287.1 255.1 287.1C220.7 287.1 191.1 316.7 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 336.1 314.2 321.6 304.7 310.4L304.7 310.4z"],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C253.9 288 251.9 288.1 249.9 288.3L173.3 140.9C167.2 129.2 152.7 124.6 140.9 130.7C129.2 136.8 124.6 151.3 130.7 163.1L207.3 310.4C197.8 321.6 191.1 336.1 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 255.1 288L256 288z"],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L319.1 341.2z"],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 287.1 256 287.1L256 288z"],
    "gavel": [512, 512, ["legal"], "f0e3", "M512 216.3c0-6.125-2.344-12.25-7.031-16.93L482.3 176.8c-4.688-4.686-10.84-7.028-16.1-7.028s-12.31 2.343-16.1 7.028l-5.625 5.625L329.6 69.28l5.625-5.625c4.687-4.688 7.03-10.84 7.03-16.1s-2.343-12.31-7.03-16.1l-22.62-22.62C307.9 2.344 301.8 0 295.7 0s-12.15 2.344-16.84 7.031L154.2 131.5C149.6 136.2 147.2 142.3 147.2 148.5s2.344 12.25 7.031 16.94l22.62 22.62c4.688 4.688 10.84 7.031 16.1 7.031c6.156 0 12.31-2.344 16.1-7.031l5.625-5.625l113.1 113.1l-5.625 5.621c-4.688 4.688-7.031 10.84-7.031 16.1s2.344 12.31 7.031 16.1l22.62 22.62c4.688 4.688 10.81 7.031 16.94 7.031s12.25-2.344 16.94-7.031l124.5-124.6C509.7 228.5 512 222.5 512 216.3zM227.8 238.1L169.4 297.4C163.1 291.1 154.9 288 146.7 288S130.4 291.1 124.1 297.4l-114.7 114.7c-6.25 6.248-9.375 14.43-9.375 22.62s3.125 16.37 9.375 22.62l45.25 45.25C60.87 508.9 69.06 512 77.25 512s16.37-3.125 22.62-9.375l114.7-114.7c6.25-6.25 9.376-14.44 9.376-22.62c0-8.185-3.125-16.37-9.374-22.62l58.43-58.43L227.8 238.1z"],
    "gear": [512, 512, [9881, "cog"], "f013", "M495.9 166.6C499.2 175.2 496.4 184.9 489.6 191.2L446.3 230.6C447.4 238.9 448 247.4 448 256C448 264.6 447.4 273.1 446.3 281.4L489.6 320.8C496.4 327.1 499.2 336.8 495.9 345.4C491.5 357.3 486.2 368.8 480.2 379.7L475.5 387.8C468.9 398.8 461.5 409.2 453.4 419.1C447.4 426.2 437.7 428.7 428.9 425.9L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L316.7 490.7C314.7 499.7 307.7 506.1 298.5 508.5C284.7 510.8 270.5 512 255.1 512C241.5 512 227.3 510.8 213.5 508.5C204.3 506.1 197.3 499.7 195.3 490.7L182.8 433.6C167 427 152.2 418.4 138.8 408.1L83.14 425.9C74.3 428.7 64.55 426.2 58.63 419.1C50.52 409.2 43.12 398.8 36.52 387.8L31.84 379.7C25.77 368.8 20.49 357.3 16.06 345.4C12.82 336.8 15.55 327.1 22.41 320.8L65.67 281.4C64.57 273.1 64 264.6 64 256C64 247.4 64.57 238.9 65.67 230.6L22.41 191.2C15.55 184.9 12.82 175.3 16.06 166.6C20.49 154.7 25.78 143.2 31.84 132.3L36.51 124.2C43.12 113.2 50.52 102.8 58.63 92.95C64.55 85.8 74.3 83.32 83.14 86.14L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L195.3 21.33C197.3 12.25 204.3 5.04 213.5 3.51C227.3 1.201 241.5 0 256 0C270.5 0 284.7 1.201 298.5 3.51C307.7 5.04 314.7 12.25 316.7 21.33L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L428.9 86.14C437.7 83.32 447.4 85.8 453.4 92.95C461.5 102.8 468.9 113.2 475.5 124.2L480.2 132.3C486.2 143.2 491.5 154.7 495.9 166.6V166.6zM256 336C300.2 336 336 300.2 336 255.1C336 211.8 300.2 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336z"],
    "gears": [640, 512, ["cogs"], "f085", "M286.3 155.1C287.4 161.9 288 168.9 288 175.1C288 183.1 287.4 190.1 286.3 196.9L308.5 216.7C315.5 223 318.4 232.1 314.7 241.7C312.4 246.1 309.9 252.2 307.1 257.2L304 262.6C300.1 267.6 297.7 272.4 294.2 277.1C288.5 284.7 278.5 287.2 269.5 284.2L241.2 274.9C230.5 283.8 218.3 290.9 205 295.9L198.1 324.9C197 334.2 189.8 341.6 180.4 342.8C173.7 343.6 166.9 344 160 344C153.1 344 146.3 343.6 139.6 342.8C130.2 341.6 122.1 334.2 121 324.9L114.1 295.9C101.7 290.9 89.5 283.8 78.75 274.9L50.53 284.2C41.54 287.2 31.52 284.7 25.82 277.1C22.28 272.4 18.98 267.5 15.94 262.5L12.92 257.2C10.13 252.2 7.592 247 5.324 241.7C1.62 232.1 4.458 223 11.52 216.7L33.7 196.9C32.58 190.1 31.1 183.1 31.1 175.1C31.1 168.9 32.58 161.9 33.7 155.1L11.52 135.3C4.458 128.1 1.62 119 5.324 110.3C7.592 104.1 10.13 99.79 12.91 94.76L15.95 89.51C18.98 84.46 22.28 79.58 25.82 74.89C31.52 67.34 41.54 64.83 50.53 67.79L78.75 77.09C89.5 68.25 101.7 61.13 114.1 56.15L121 27.08C122.1 17.8 130.2 10.37 139.6 9.231C146.3 8.418 153.1 8 160 8C166.9 8 173.7 8.418 180.4 9.23C189.8 10.37 197 17.8 198.1 27.08L205 56.15C218.3 61.13 230.5 68.25 241.2 77.09L269.5 67.79C278.5 64.83 288.5 67.34 294.2 74.89C297.7 79.56 300.1 84.42 304 89.44L307.1 94.83C309.9 99.84 312.4 105 314.7 110.3C318.4 119 315.5 128.1 308.5 135.3L286.3 155.1zM160 127.1C133.5 127.1 112 149.5 112 175.1C112 202.5 133.5 223.1 160 223.1C186.5 223.1 208 202.5 208 175.1C208 149.5 186.5 127.1 160 127.1zM484.9 478.3C478.1 479.4 471.1 480 464 480C456.9 480 449.9 479.4 443.1 478.3L423.3 500.5C416.1 507.5 407 510.4 398.3 506.7C393 504.4 387.8 501.9 382.8 499.1L377.4 496C372.4 492.1 367.6 489.7 362.9 486.2C355.3 480.5 352.8 470.5 355.8 461.5L365.1 433.2C356.2 422.5 349.1 410.3 344.1 397L315.1 390.1C305.8 389 298.4 381.8 297.2 372.4C296.4 365.7 296 358.9 296 352C296 345.1 296.4 338.3 297.2 331.6C298.4 322.2 305.8 314.1 315.1 313L344.1 306.1C349.1 293.7 356.2 281.5 365.1 270.8L355.8 242.5C352.8 233.5 355.3 223.5 362.9 217.8C367.6 214.3 372.5 210.1 377.5 207.9L382.8 204.9C387.8 202.1 392.1 199.6 398.3 197.3C407 193.6 416.1 196.5 423.3 203.5L443.1 225.7C449.9 224.6 456.9 224 464 224C471.1 224 478.1 224.6 484.9 225.7L504.7 203.5C511 196.5 520.1 193.6 529.7 197.3C535 199.6 540.2 202.1 545.2 204.9L550.5 207.9C555.5 210.1 560.4 214.3 565.1 217.8C572.7 223.5 575.2 233.5 572.2 242.5L562.9 270.8C571.8 281.5 578.9 293.7 583.9 306.1L612.9 313C622.2 314.1 629.6 322.2 630.8 331.6C631.6 338.3 632 345.1 632 352C632 358.9 631.6 365.7 630.8 372.4C629.6 381.8 622.2 389 612.9 390.1L583.9 397C578.9 410.3 571.8 422.5 562.9 433.2L572.2 461.5C575.2 470.5 572.7 480.5 565.1 486.2C560.4 489.7 555.6 492.1 550.6 496L545.2 499.1C540.2 501.9 534.1 504.4 529.7 506.7C520.1 510.4 511 507.5 504.7 500.5L484.9 478.3zM512 352C512 325.5 490.5 304 464 304C437.5 304 416 325.5 416 352C416 378.5 437.5 400 464 400C490.5 400 512 378.5 512 352z"],
    "gem": [512, 512, [128142], "f3a5", "M378.7 32H133.3L256 182.7L378.7 32zM512 192l-107.4-141.3L289.6 192H512zM107.4 50.67L0 192h222.4L107.4 50.67zM244.3 474.9C247.3 478.2 251.6 480 256 480s8.653-1.828 11.67-5.062L510.6 224H1.365L244.3 474.9z"],
    "genderless": [384, 512, [], "f22d", "M192 80C94.83 80 16 158.8 16 256c0 97.17 78.83 176 176 176s176-78.83 176-176C368 158.8 289.2 80 192 80zM192 352c-52.95 0-96-43.05-96-96c0-52.95 43.05-96 96-96s96 43.05 96 96C288 308.9 244.1 352 192 352z"],
    "ghost": [384, 512, [128123], "f6e2", "M186.1 .1032c-105.1 3.126-186.1 94.75-186.1 199.9v264c0 14.25 17.3 21.38 27.3 11.25l24.95-18.5c6.625-5.001 16-4.001 21.5 2.25l43 48.31c6.25 6.251 16.37 6.251 22.62 0l40.62-45.81c6.375-7.251 17.62-7.251 24 0l40.63 45.81c6.25 6.251 16.38 6.251 22.62 0l43-48.31c5.5-6.251 14.88-7.251 21.5-2.25l24.95 18.5c10 10.13 27.3 3.002 27.3-11.25V192C384 83.98 294.9-3.147 186.1 .1032zM128 224c-17.62 0-31.1-14.38-31.1-32.01s14.38-32.01 31.1-32.01s32 14.38 32 32.01S145.6 224 128 224zM256 224c-17.62 0-32-14.38-32-32.01s14.38-32.01 32-32.01c17.62 0 32 14.38 32 32.01S273.6 224 256 224z"],
    "gif": [576, 512, [], "e190", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM260 306.9c0 5.297-2.109 10.39-5.859 14.14C237 338.2 212.4 348 186.5 348c-25.84 0-50.48-9.828-67.59-26.95C101.6 303.7 92 280.6 92 256s9.578-47.67 26.95-65.05c34.75-34.78 94.17-34.75 128.9 0c7.812 7.812 7.812 20.48 0 28.28c-7.828 7.812-20.48 7.812-28.28 0c-19.66-19.67-52.72-19.67-72.36 0C137.4 229.1 132 242.1 132 256s5.406 26.94 15.23 36.77C164.8 310.3 199.5 312.4 220 297.7V284H182.8c-11.05 0-20-8.953-20-20s8.953-20 20-20H240c11.05 0 20 8.953 20 20V306.9zM324 328c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20s20 8.953 20 20V328zM464 204h-68v32H448c11.05 0 20 8.953 20 20S459 276 448 276h-52v52c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20h88c11.05 0 20 8.953 20 20S475 204 464 204z"],
    "gift": [512, 512, [127873], "f06b", "M152 0H154.2C186.1 0 215.7 16.91 231.9 44.45L256 85.46L280.1 44.45C296.3 16.91 325.9 0 357.8 0H360C408.6 0 448 39.4 448 88C448 102.4 444.5 115.1 438.4 128H480C497.7 128 512 142.3 512 160V224C512 241.7 497.7 256 480 256H32C14.33 256 0 241.7 0 224V160C0 142.3 14.33 128 32 128H73.6C67.46 115.1 64 102.4 64 88C64 39.4 103.4 0 152 0zM190.5 68.78C182.9 55.91 169.1 48 154.2 48H152C129.9 48 112 65.91 112 88C112 110.1 129.9 128 152 128H225.3L190.5 68.78zM360 48H357.8C342.9 48 329.1 55.91 321.5 68.78L286.7 128H360C382.1 128 400 110.1 400 88C400 65.91 382.1 48 360 48V48zM32 288H224V512H80C53.49 512 32 490.5 32 464V288zM288 512V288H480V464C480 490.5 458.5 512 432 512H288z"],
    "gift-card": [576, 512, [], "f663", "M389.8 0H392C440.6 0 480 39.4 480 88C480 102.4 476.5 115.1 470.4 128H512C547.3 128 576 156.7 576 192V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H105.6C99.46 115.1 96 102.4 96 88C96 39.4 135.4 0 184 0H186.2C218.1 0 247.7 16.91 263.9 44.45L288 85.46L312.1 44.45C328.3 16.91 357.9 0 389.8 0zM318.7 128H392C414.1 128 432 110.1 432 88C432 65.91 414.1 48 392 48H389.8C374.9 48 361.1 55.91 353.5 68.78L318.7 128zM186.2 48H184C161.9 48 144 65.91 144 88C144 110.1 161.9 128 184 128H257.3L222.5 68.78C214.9 55.91 201.1 48 186.2 48V48zM64 384V448H512V384H64zM512 320V192H345.9L386.4 240.6C394.9 250.8 393.5 265.1 383.4 274.4C373.2 282.9 358 281.5 349.6 271.4L288 197.5L226.4 271.4C217.1 281.5 202.8 282.9 192.6 274.4C182.5 265.1 181.1 250.8 189.6 240.6L230.1 192H64V320H512z"],
    "gifts": [640, 512, [], "f79c", "M192.5 55.09L217.9 36.59C228.6 28.79 243.6 31.16 251.4 41.88C259.2 52.6 256.8 67.61 246.1 75.41L217.8 95.1H240C256.9 95.1 271.7 104.7 280.3 117.9C257.3 135.7 241.9 162.1 240.2 193.1C212.5 201 192 226.1 192 256V480C192 491.7 195.1 502.6 200.6 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H70.2L41.88 75.41C31.16 67.61 28.79 52.6 36.59 41.88C44.39 31.16 59.4 28.79 70.12 36.59L97.55 56.54L89.23 31.59C85.04 19.01 91.84 5.423 104.4 1.232C116.1-2.96 130.6 3.836 134.8 16.41L144.7 46.17L155.4 15.99C159.8 3.493 173.5-3.048 186 1.377C198.5 5.802 205 19.52 200.6 32.01L192.5 55.09zM344.2 127.1C366.6 127.1 387.8 138.4 401.5 156.2L432 195.8L462.5 156.2C476.2 138.4 497.4 127.1 519.8 127.1C559.5 127.1 592 160.1 592 199.1C592 208.4 590.6 216.5 587.9 223.1H592C618.5 223.1 640 245.5 640 271.1V352H448V255.1H416V352H224V271.1C224 245.5 245.5 223.1 272 223.1H276.1C273.4 216.5 272 208.4 272 199.1C272 160.1 304.5 127.1 344.2 127.1H344.2zM363.5 185.5C358.9 179.5 351.7 175.1 344.2 175.1C330.8 175.1 320 186.9 320 199.1C320 213.3 330.7 223.1 344 223.1H393.1L363.5 185.5zM519.8 175.1C512.3 175.1 505.1 179.5 500.5 185.5L470.9 223.1H520C533.3 223.1 544 213.3 544 199.1C544 186.9 533.2 175.1 519.8 175.1H519.8zM224 464V384H416V512H272C245.5 512 224 490.5 224 464zM448 512V384H640V464C640 490.5 618.5 512 592 512H448z"],
    "gingerbread-man": [448, 512, [], "f79d", "M338.3 303.1h29.75c38.88 0 69.63-34.75 63.13-74.75c-5.125-31.5-34.75-53.25-66.5-53.25h-65.88c-7.125 0-10.5-8.375-5.5-13.5c20.75-21.63 31.5-52.75 24.88-86.25c-7.5-37.5-38.5-67.88-76-74.63c-61.13-11-114.1 35.5-114.1 94.38c0 25.75 10.25 49.13 26.75 66.25C159.7 167.5 156.4 175.1 149.2 175.1H83.37c-31.88 0-61.38 21.75-66.5 53.25C10.37 269.2 41.12 303.1 79.1 303.1h29.75c10.13 0 18.25 8.25 18.25 18.25c0 4.25-1.5 8.375-4.25 11.63L65.62 403.7c-23.38 27.88-21.63 72.38 7.125 94.63C84.25 507.6 98.25 512 111.1 512c18.25 0 36.5-7.75 49.25-23l38.25-45.88c12.75-15.38 36.38-15.38 49.25 0l38.25 45.88C299.8 504.2 317.8 512 336.3 512c13.75 0 27.63-4.375 39.25-13.5c28.75-22.38 30.38-66.75 7.125-94.75l-58.25-69.75c-2.625-3.25-4.125-7.375-4.125-11.75C320 312.2 328.3 303.1 338.3 303.1zM192 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16c8.75 0 16 7.25 16 16S200.8 95.1 192 95.1zM224 367.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 360.7 232.8 367.1 224 367.1zM224 303.1c-8.75 0-15.1-7.249-15.1-15.1s7.25-16 15.1-16s16 7.252 16 16S232.8 303.1 224 303.1zM224 239.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 232.7 232.8 239.1 224 239.1zM256 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16s16 7.25 16 16S264.8 95.1 256 95.1z"],
    "glass": [384, 512, [129371], "f804", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM313.1 128L317.6 64H66.37L70.94 128H313.1z"],
    "glass-citrus": [512, 512, [], "f869", "M319.1 128H32.02c-8.998 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1c.875-9-2.124-17.87-8.124-24.62C337.6 131.9 328.1 128 319.1 128zM277.7 256H74.34L68 192h216L277.7 256zM368 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.1 0 95.99 43 95.99 96c0 50.13-38.62 90.88-87.62 95.13l-4.875 48.5C449.4 285.8 512 222.4 512 144C512 64.5 447.5 0 368 0z"],
    "glass-empty": [384, 512, [], "e191", "M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z"],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM306.2 224L317.6 64H66.37L77.8 224H306.2z"],
    "glass-water": [384, 512, [], "e4f4", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM97.19 168.6C116.6 178.3 139.4 178.3 158.8 168.6C179.7 158.1 204.3 158.1 225.2 168.6C244.6 178.3 267.4 178.3 286.8 168.6L311 156.5L317.6 64H66.37L72.97 156.5L97.19 168.6z"],
    "glass-water-droplet": [384, 512, [], "e4f5", "M256 196C256 229.1 227.3 256 192 256C156.7 256 128 229.1 128 196C128 171.1 161.7 125.9 180.2 102.5C186.3 94.77 197.7 94.77 203.8 102.5C222.3 125.9 256 171.1 256 196zM352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM96 304C116.1 314.1 139.9 314.1 160 304C180.1 293.9 203.9 293.9 224 304C244.1 314.1 267.9 314.1 288 304L300.1 297.5L317.6 64H66.37L83.05 297.5L96 304z"],
    "glasses": [576, 512, [], "f530", "M574.1 280.4l-45.38-181.8c-5.875-23.63-21.62-44-43-55.75c-21.5-11.75-46.1-14.13-70.25-6.375l-15.25 5.125c-8.375 2.75-12.87 11.88-10 20.25l5 15.13c2.75 8.375 11.88 12.88 20.25 10.13l13.12-4.375c10.88-3.625 23-3.625 33.25 1.75c10.25 5.375 17.5 14.5 20.38 25.75l38.38 153.9c-22.12-6.875-49.75-12.5-81.13-12.5c-34.88 0-73.1 7-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-59 5.625-81.12 12.5l38.38-153.9c2.875-11.25 10.12-20.38 20.5-25.75C124.4 79.12 136.5 79.12 147.4 82.74l13.12 4.375c8.375 2.75 17.5-1.75 20.25-10.13l5-15.13C188.6 53.49 184.1 44.37 175.6 41.62l-15.25-5.125c-23.13-7.75-48.75-5.375-70.13 6.375c-21.37 11.75-37.12 32.13-43 55.75L1.875 280.4C.6251 285.4 .0001 290.6 .0001 295.9v70.25C.0001 428.1 51.63 480 115.3 480h37.13c60.25 0 110.4-46 114.9-105.4l2.875-38.63h35.75l2.875 38.63C313.3 433.1 363.4 480 423.6 480h37.13c63.62 0 115.2-51 115.2-113.9V295.9C576 290.6 575.4 285.5 574.1 280.4zM203.4 369.7c-2 26-24.38 46.25-51 46.25H115.2C87 415.1 64 393.6 64 366.1v-37.5c18.12-6.5 43.38-13 72.62-13c23.88 0 47.25 4.375 69.88 13L203.4 369.7zM512 366.1c0 27.5-23 49.88-51.25 49.88h-37.13c-26.62 0-49-20.25-51-46.25l-3.125-41.13c22.62-8.625 46.13-13 70-13c29 0 54.38 6.5 72.5 13V366.1z"],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", "M560.5 225.9L528.8 98.62C521.1 71.75 495 32 443.4 32c-15.62 0-23.12 3-43.13 9.625c-8.375 2.75-12.87 11.88-10 20.25l5 15.12C397.5 83.75 403.8 88 410.4 88c3.625 0 4.875-.75 18.25-5.25c26.13-8.625 48.25 6.125 53.63 27.5L511.9 229c-20.88-13.12-45.37-21-71.87-21c-55.13 0-102.2 32.88-123.6 80H259.6C238.2 240.9 191.1 207.1 136 207.1c-26.5 0-51 7.877-71.88 21l29.63-118.8c5.375-21.37 27.5-36.25 53.63-27.5C160.8 87.25 161.1 88 165.6 88c6.625 0 12.88-4.25 15.13-11l5-15.12c2.875-8.375-1.625-17.5-10-20.25C155.8 35 148.3 32 132.6 32c-51.62 0-78.63 39.75-85.38 66.62L15.5 225.9C2.125 279.4 .0001 300.1 .0001 343.1c0 75.13 60.88 136 136 136c72.38 0 130.1-56.75 135.2-127.1h33.5c4.25 71.25 62.88 127.1 135.3 127.1c75.13 0 136-60.88 136-136C576 300.1 573.9 279.4 560.5 225.9zM136 416C96.25 416 64 383.8 64 344S96.25 272 136 272S208 304.2 208 344S175.8 416 136 416zM440 416c-39.75 0-72-32.25-72-72s32.25-72 72-72S512 304.2 512 344S479.8 416 440 416z"],
    "globe": [512, 512, [127760], "f0ac", "M352 256C352 278.2 350.8 299.6 348.7 320H163.3C161.2 299.6 159.1 278.2 159.1 256C159.1 233.8 161.2 212.4 163.3 192H348.7C350.8 212.4 352 233.8 352 256zM503.9 192C509.2 212.5 512 233.9 512 256C512 278.1 509.2 299.5 503.9 320H380.8C382.9 299.4 384 277.1 384 256C384 234 382.9 212.6 380.8 192H503.9zM493.4 160H376.7C366.7 96.14 346.9 42.62 321.4 8.442C399.8 29.09 463.4 85.94 493.4 160zM344.3 160H167.7C173.8 123.6 183.2 91.38 194.7 65.35C205.2 41.74 216.9 24.61 228.2 13.81C239.4 3.178 248.7 0 256 0C263.3 0 272.6 3.178 283.8 13.81C295.1 24.61 306.8 41.74 317.3 65.35C328.8 91.38 338.2 123.6 344.3 160H344.3zM18.61 160C48.59 85.94 112.2 29.09 190.6 8.442C165.1 42.62 145.3 96.14 135.3 160H18.61zM131.2 192C129.1 212.6 127.1 234 127.1 256C127.1 277.1 129.1 299.4 131.2 320H8.065C2.8 299.5 0 278.1 0 256C0 233.9 2.8 212.5 8.065 192H131.2zM194.7 446.6C183.2 420.6 173.8 388.4 167.7 352H344.3C338.2 388.4 328.8 420.6 317.3 446.6C306.8 470.3 295.1 487.4 283.8 498.2C272.6 508.8 263.3 512 255.1 512C248.7 512 239.4 508.8 228.2 498.2C216.9 487.4 205.2 470.3 194.7 446.6H194.7zM190.6 503.6C112.2 482.9 48.59 426.1 18.61 352H135.3C145.3 415.9 165.1 469.4 190.6 503.6V503.6zM321.4 503.6C346.9 469.4 366.7 415.9 376.7 352H493.4C463.4 426.1 399.8 482.9 321.4 503.6V503.6z"],
    "globe-snow": [448, 512, [], "f7a3", "M384 415.1h-320l-47.38 71.12c-7.125 10.63 .5 24.87 13.25 24.87h388.3c12.75 0 20.38-14.25 13.25-24.87L384 415.1zM192 383.1l0-32H134.1c-14.25 0-21.1-14.1-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32h124.1c41.63-40.63 67.88-97.12 67.88-159.1c0-123.8-100.3-223.1-224-223.1S.0001 100.2 .0001 224c0 62.87 26.12 119.4 67.88 159.1H192zM336 160c8.75 0 16 7.25 16 16s-7.25 15.1-16 15.1s-16-7.25-16-15.1S327.3 160 336 160zM240 64c8.75 0 16 7.25 16 15.1s-7.25 15.1-16 15.1c-8.75 0-16-7.25-16-15.1S231.3 64 240 64zM80 224c8.75 0 16 7.25 16 16S88.75 256 80 256s-16-7.25-16-15.1S71.25 224 80 224z"],
    "globe-stand": [448, 512, [], "f5f6", "M49.61 332.5C58.98 323.1 74.18 323.1 83.55 332.5C152.3 401.2 263.7 401.2 332.5 332.5C401.2 263.7 401.2 152.3 332.5 83.55C323.1 74.18 323.1 58.98 332.5 49.61L367 15.03C376.4 5.657 391.6 5.657 400.1 15.03C410.3 24.4 410.3 39.6 400.1 48.97L382.5 67.48C453.5 155.4 448.1 284.6 366.4 366.4C328.8 404 281.1 425.5 232 430.7V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H87.1C74.74 512 63.1 501.3 63.1 488C63.1 474.7 74.74 464 87.1 464H183.1V430.7C142.4 426.3 101.8 410.2 67.48 382.5L48.97 400.1C39.6 410.3 24.4 410.3 15.03 400.1C5.657 391.6 5.657 376.4 15.03 367L49.61 332.5zM64 207.1C64 128.5 128.5 63.1 208 63.1C287.5 63.1 352 128.5 352 207.1C352 287.5 287.5 352 208 352C128.5 352 64 287.5 64 207.1z"],
    "goal-net": [640, 512, [], "e3ab", "M544 32H96C43.06 32 0 75.06 0 128v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128c0-17.66 14.34-32 32-32h448c17.66 0 32 14.34 32 32v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128C640 75.06 596.9 32 544 32zM528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V192h-64V144C384 135.2 376.8 128 368 128S352 135.2 352 144V192H288V144C288 135.2 280.8 128 272 128S256 135.2 256 144V192H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H160v64H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H160v64H112C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416H160v48C160 472.8 167.2 480 176 480S192 472.8 192 464V416h64v48C256 472.8 263.2 480 272 480S288 472.8 288 464V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H480v-64h48c8.836 0 16-7.164 16-16C544 295.2 536.8 288 528 288H480V224H528zM256 384H192v-64h64V384zM256 288H192V224h64V288zM352 384H288v-64h64V384zM352 288H288V224h64V288zM448 384h-64v-64h64V384zM448 288h-64V224h64V288z"],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", "M96 399.1c0 17.67 14.33 31.1 32 31.1s32 14.33 32 31.1v48h64v-48c0-17.67 14.33-31.1 32-31.1s32-14.33 32-31.1v-16H96V399.1zM192 .0001c-106 0-192 86.68-192 193.6c0 65.78 32.82 123.5 82.52 158.4h218.1C351.2 317.1 384 259.4 384 193.6C384 86.68 298 .0001 192 .0001zM179 205.1C183 206.9 187.4 208 192 208c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.111-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07c0 17.67-14.21 31.1-31.74 31.1C194.1 224 184 216.2 179 205.1zM223.7 303.1c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.109-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07C255.5 289.7 241.3 303.1 223.7 303.1zM287.2 240c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.73-14.33 31.73-31.1c0-4.688-1.109-9.062-2.902-13.07C311.2 183.9 318.9 195 318.9 208C318.9 225.7 304.7 240 287.2 240z"],
    "golf-club": [512, 512, [], "f451", "M508.6 46.33l-223.1 447.1C279.2 505.2 268.1 512 255.1 512H31.1C14.33 512 0 497.7 0 480v-7.999h47.1c8.836 0 15.1-7.164 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-31.1h47.1c8.836 0 15.1-7.163 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-23.1c0-17.67 14.35-32 32-32c3.288 0 6.592 .5055 9.792 1.534l221.1 71.36l187.6-375.2C456.1 6.491 468.3 0 480 0C496.7 0 512 13.37 512 32.04C512 36.85 510.9 41.73 508.6 46.33z"],
    "golf-flag-hole": [512, 512, [], "e3ac", "M256 320c-27.96 0-54.81 1.74-80 4.848v-82.11l198.4-99.21C380.8 140.3 384 134.2 384 128s-3.194-12.31-9.585-15.51L153.1 1.853c-2.539-1.269-5.176-1.853-7.746-1.853C136.2-.0004 128 7.31 128 17.36v315.6C51.55 349.6 0 380.5 0 416c0 53.02 114.6 96 256 96s256-42.98 256-96S397.4 320 256 320zM224 448c-35.35 0-64-14.33-64-32c0-17.67 28.65-32 64-32s64 14.33 64 32C288 433.7 259.3 448 224 448z"],
    "gopuram": [512, 512, [], "f664", "M120 0C133.3 0 144 10.75 144 24V32H184V24C184 10.75 194.7 0 208 0C221.3 0 232 10.75 232 24V32H280V24C280 10.75 290.7 0 304 0C317.3 0 328 10.75 328 24V32H368V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V128C433.7 128 448 142.3 448 160V224C465.7 224 480 238.3 480 256V352C497.7 352 512 366.3 512 384V480C512 497.7 497.7 512 480 512H416V352H384V224H352V128H320V224H352V352H384V512H304V464C304 437.5 282.5 416 256 416C229.5 416 208 437.5 208 464V512H128V352H160V224H192V128H160V224H128V352H96V512H32C14.33 512 0 497.7 0 480V384C0 366.3 14.33 352 32 352V256C32 238.3 46.33 224 64 224V160C64 142.3 78.33 128 96 128V24C96 10.75 106.7 0 120 0zM256 272C238.3 272 224 286.3 224 304V352H288V304C288 286.3 273.7 272 256 272zM224 224H288V192C288 174.3 273.7 160 256 160C238.3 160 224 174.3 224 192V224z"],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", "M623.1 136.9l-282.7-101.2c-13.73-4.91-28.7-4.91-42.43 0L16.05 136.9C6.438 140.4 0 149.6 0 160s6.438 19.65 16.05 23.09L76.07 204.6c-11.89 15.8-20.26 34.16-24.55 53.95C40.05 263.4 32 274.8 32 288c0 9.953 4.814 18.49 11.94 24.36l-24.83 149C17.48 471.1 25 480 34.89 480H93.11c9.887 0 17.41-8.879 15.78-18.63l-24.83-149C91.19 306.5 96 297.1 96 288c0-10.29-5.174-19.03-12.72-24.89c4.252-17.76 12.88-33.82 24.94-47.03l190.6 68.23c13.73 4.91 28.7 4.91 42.43 0l282.7-101.2C633.6 179.6 640 170.4 640 160S633.6 140.4 623.1 136.9zM351.1 314.4C341.7 318.1 330.9 320 320 320c-10.92 0-21.69-1.867-32-5.555L142.8 262.5L128 405.3C128 446.6 213.1 480 320 480c105.1 0 192-33.4 192-74.67l-14.78-142.9L351.1 314.4z"],
    "gramophone": [384, 512, [], "f8bd", "M69.5 317.1c62.88-43.13 161.9-94.5 238.6-73.88c11.75 3.125 19.88 13.75 19.88 25.88c0 19.25-15.62 34.75-34.75 34.75H184c-13.25 0-24 10.75-24 24L160 351.9l133.3 .0009c45.63 0 82.75-37 82.75-82.75c0-33.88-22.75-63.5-55.38-72.25c-77.5-20.75-137.6-116-169.7-183.3C141.3-6.527 111.8-3.656 106 17.72L32.88 290.1C27 312.6 51.38 329.5 69.5 317.1zM368 447.1l-16 .0006l0-32c0-17.63-14.38-32-32-32H64c-17.62 0-32 14.37-32 32l0 32l-15.1-.0006c-8.875 0-16 7.125-16 16l0 32c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16l.0001-32C384 455.1 376.9 447.1 368 447.1z"],
    "grapes": [512, 512, [], "e306", "M56 400C25.07 400 0 425.1 0 456S25.07 512 56 512s56-25.07 56-56S86.93 400 56 400zM112 231.9C142.1 231.9 168 206.9 168 176S142.9 120 112 120S56 145.1 56 176S81.1 231.9 112 231.9zM392.4 119.6c18.08-37.78 11.56-81.72-19.76-114.8c-6.009-6.352-16.8-6.354-22.8 .0097c-40.48 42.96-39.09 103.8 3.263 145.9l8.246 8.246c42.12 42.35 103 43.74 145.9 3.263c6.354-5.998 6.343-16.78-.0041-22.79C474.1 108.1 430.2 101.5 392.4 119.6zM248 208c30.93 0 56-25.07 56-56S278.9 96 248 96S192 121.1 192 152S217.1 208 248 208zM88 256C57.07 256 32 281.1 32 312s25.07 56 56 56S144 342.9 144 312S118.9 256 88 256zM200 368c-30.93 0-56 25.07-56 56S169.1 480 200 480S256 454.9 256 424S230.9 368 200 368zM336 344c-30.93 0-55.93 25.05-55.93 55.97S305.1 456 336 456s56-25.07 56-56S366.9 344 336 344zM360 208c-30.93 0-56 25.07-56 56S329.1 320 360 320S416 294.9 416 264S390.9 208 360 208zM224 232C193.1 232 168 257.1 168 288S193.1 344 224 344S280 318.9 280 288S254.9 232 224 232z"],
    "grate": [448, 512, [], "e193", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416h-32V288h32V416zM288 224h-32V96h32V224zM384 416h-32V288h32V416zM384 224h-32V96h32V224z"],
    "grate-droplet": [576, 512, [], "e194", "M352 309.4V288h14.82c17.79-25.07 35.88-51.44 47.95-91.42C419.8 180 432.3 167.7 448 162.6V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h280.2C328.1 457.3 320 430 320 400.7C320 362.9 334.8 334.1 352 309.4zM352 96h32v128h-32V96zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416H256V288h32V416zM288 224H256V96h32V224zM482.6 205.8c-5.031-18.05-31.5-18.83-37.19 0C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8z"],
    "greater-than": [384, 512, [62769], "3e", "M32.03 448c-11.75 0-23.05-6.469-28.66-17.69c-7.906-15.81-1.5-35.03 14.31-42.94l262.8-131.4L17.69 124.6C1.875 116.7-4.531 97.51 3.375 81.7c7.891-15.81 27.06-22.19 42.94-14.31l320 160C377.2 232.8 384 243.9 384 256c0 12.12-6.844 23.19-17.69 28.63l-320 160C41.72 446.9 36.83 448 32.03 448z"],
    "greater-than-equal": [448, 512, [], "f532", "M34.28 331.9c5.016 12.53 17.03 20.12 29.73 20.12c3.953 0 7.969-.7187 11.88-2.281l320-127.1C408 216.9 416 205.1 416 192s-7.969-24.85-20.11-29.72l-320-128c-16.47-6.594-35.05 1.406-41.61 17.84C27.72 68.55 35.7 87.17 52.11 93.73l245.7 98.28L52.11 290.3C35.7 296.9 27.72 315.5 34.28 331.9zM416 416H32c-17.67 0-32 14.31-32 31.99s14.33 32.01 32 32.01h384c17.67 0 32-14.32 32-32.01S433.7 416 416 416z"],
    "grid": [448, 512, ["grid-3"], "e195", "M0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM0 232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232zM128 440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440zM160 72C160 49.91 177.9 32 200 32H248C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72zM288 280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280zM160 392C160 369.9 177.9 352 200 352H248C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392zM448 120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120zM320 232C320 209.9 337.9 192 360 192H408C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232zM448 440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440z"],
    "grid-2": [448, 512, [], "e196", "M192 176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176zM192 432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144C170.5 288 192 309.5 192 336V432zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM448 432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432z"],
    "grid-2-plus": [512, 512, [], "e197", "M176 32C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80C32 53.49 53.49 32 80 32H176zM176 288C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336C32 309.5 53.49 288 80 288H176zM288 80C288 53.49 309.5 32 336 32H432C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80zM384 272C397.3 272 408 282.7 408 296V360H472C485.3 360 496 370.7 496 384C496 397.3 485.3 408 472 408H408V472C408 485.3 397.3 496 384 496C370.7 496 360 485.3 360 472V408H296C282.7 408 272 397.3 272 384C272 370.7 282.7 360 296 360H360V296C360 282.7 370.7 272 384 272z"],
    "grid-4": [448, 512, [], "e198", "M0 48C0 39.16 7.164 32 16 32H73.6C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48zM0 167.5C0 158.6 7.164 151.5 16 151.5H73.6C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5zM73.6 270.9C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9C0 278.1 7.164 270.9 16 270.9H73.6zM0 406.4C0 397.6 7.164 390.4 16 390.4H73.6C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4zM119.5 48C119.5 39.16 126.6 32 135.5 32H193.1C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48zM119.5 167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5zM193.1 270.9C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1zM119.5 406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4zM312.5 32C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48C238.9 39.16 246.1 32 254.9 32H312.5zM312.5 151.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5zM238.9 286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9zM312.5 390.4C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5zM358.4 48C358.4 39.16 365.6 32 374.4 32H432C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48zM358.4 167.5C358.4 158.6 365.6 151.5 374.4 151.5H432C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5zM432 270.9C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9C358.4 278.1 365.6 270.9 374.4 270.9H432zM358.4 406.4C358.4 397.6 365.6 390.4 374.4 390.4H432C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4z"],
    "grid-5": [448, 512, [], "e199", "M0 48C0 39.16 7.164 32 16 32H48C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48zM0 144C0 135.2 7.164 128 16 128H48C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144zM48 224C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240C0 231.2 7.164 224 16 224H48zM0 336C0 327.2 7.164 320 16 320H48C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336zM48 416C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432C0 423.2 7.164 416 16 416H48zM96 48C96 39.16 103.2 32 112 32H144C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48zM144 128C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144C96 135.2 103.2 128 112 128H144zM96 240C96 231.2 103.2 224 112 224H144C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM96 432C96 423.2 103.2 416 112 416H144C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432zM240 32C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48C192 39.16 199.2 32 208 32H240zM192 144C192 135.2 199.2 128 208 128H240C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144zM240 224C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240C192 231.2 199.2 224 208 224H240zM192 336C192 327.2 199.2 320 208 320H240C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336zM240 416C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432C192 423.2 199.2 416 208 416H240zM288 48C288 39.16 295.2 32 304 32H336C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48zM336 128C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144C288 135.2 295.2 128 304 128H336zM288 240C288 231.2 295.2 224 304 224H336C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240zM336 320C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H336zM288 432C288 423.2 295.2 416 304 416H336C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432zM432 32C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48C384 39.16 391.2 32 400 32H432zM384 144C384 135.2 391.2 128 400 128H432C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144zM432 224C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240C384 231.2 391.2 224 400 224H432zM384 336C384 327.2 391.2 320 400 320H432C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336zM432 416C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432C384 423.2 391.2 416 400 416H432z"],
    "grid-dividers": [512, 512, [], "e3ad", "M0 24C0 10.75 10.75 0 24 0H488C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24zM128 96C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128C32 110.3 46.33 96 64 96H128zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416C32 398.3 46.33 384 64 384H128zM192 128C192 110.3 206.3 96 224 96H288C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM352 128C352 110.3 366.3 96 384 96H448C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128zM448 384C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416C352 398.3 366.3 384 384 384H448zM488 288C501.3 288 512 298.7 512 312C512 325.3 501.3 336 488 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H488z"],
    "grid-horizontal": [448, 512, [], "e307", "M128 216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216zM128 376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376zM160 168C160 145.9 177.9 128 200 128H248C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168zM288 376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376zM320 168C320 145.9 337.9 128 360 128H408C430.1 128 448 145.9 448 168V216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z"],
    "grill": [448, 512, [], "e5a3", "M0 72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 185.8 395.1 263.3 318.8 298.1L382.1 446.5C387.3 458.7 381.6 472.8 369.5 478.1C357.3 483.3 343.2 477.6 337.9 465.5L316.7 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72zM151.8 368H296.2L273.3 314.6C257.4 318.1 240.9 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440z"],
    "grill-fire": [576, 512, [], "e5a4", "M0 72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1C393.3 124 366.2 123.1 348.5 139.9C313.1 171.5 282.9 207.6 261.2 242.7C246.2 267 233.5 293.8 227.6 319.1C226.4 319.1 225.2 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368H224.8C226.4 384.6 229.1 400.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440zM445 221.5C452.9 211.6 461.8 200.8 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C409.3 181.6 427.8 200.7 445 221.5V221.5zM486 336.1C484 332.1 482 328.1 479 324.1L443 367C443 367 384.1 293 380.1 288C351 324.1 336 346 336 370C336 419 372 448 416.1 448C435 448 451 443 466 432.1C496 412 504 370 486 336.1z"],
    "grill-hot": [448, 512, [], "e5a5", "M120 0C133.3 0 144 10.75 144 24V26.59C144 31.94 146.7 36.94 151.1 39.91L163.5 48.16C181.3 60.03 192 80.01 192 101.4V104C192 117.3 181.3 128 168 128C154.7 128 144 117.3 144 104V101.4C144 96.06 141.3 91.06 136.9 88.09L124.5 79.84C106.7 67.97 96 47.99 96 26.59V24C96 10.75 106.7 .0003 120 .0003V0zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 270.1 401.4 337.3 334.4 367.3L382.1 478.5C387.3 490.7 381.6 504.8 369.5 510.1C357.3 515.3 343.2 509.6 337.9 497.5L327 472H155.3C145.9 495.5 122.9 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C99.44 384 102.8 384.3 106.1 384.8L113.6 367.3C46.65 337.3 .0003 270.1 .0003 192H0zM155.3 424H306.5L288.2 381.3C277.7 383.1 266.1 384 256 384H191.1C181 384 170.3 383.1 159.8 381.3L147.5 410C150.7 414.3 153.3 418.1 155.3 424H155.3zM96 472C109.3 472 120 461.3 120 448C120 434.7 109.3 424 96 424C82.75 424 72 434.7 72 448C72 461.3 82.75 472 96 472zM256 26.59C256 31.94 258.7 36.94 263.1 39.91L275.5 48.16C293.3 60.03 304 80.01 304 101.4V104C304 117.3 293.3 128 280 128C266.7 128 256 117.3 256 104V101.4C256 96.06 253.3 91.06 248.9 88.09L236.5 79.84C218.7 67.97 208 47.99 208 26.59V24C208 10.75 218.7 .0003 232 .0003C245.3 .0003 256 10.75 256 24V26.59z"],
    "grip": [448, 512, ["grip-horizontal"], "f58d", "M128 184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184zM128 376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376zM160 136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136zM288 376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376zM320 136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z"],
    "grip-dots": [448, 512, [], "e410", "M384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128zM224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128zM64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224zM384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288zM224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384zM64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288z"],
    "grip-dots-vertical": [256, 512, [], "e411", "M0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96zM0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256zM96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416zM160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96zM256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256zM160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416z"],
    "grip-lines": [448, 512, [], "f7a4", "M416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416zM416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416z"],
    "grip-lines-vertical": [192, 512, [], "f7a5", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z"],
    "grip-vertical": [320, 512, [], "f58e", "M88 352C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88zM280 352C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280zM40 320C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40zM280 192C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280zM40 160C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40zM280 32C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280z"],
    "group-arrows-rotate": [512, 512, [], "e4f6", "M159.7 89.85C159.9 91.87 159.1 93.93 159.1 96C159.1 131.3 131.3 160 95.1 160C93.92 160 91.87 159.9 89.85 159.7C82.34 172.6 76.29 186.5 71.94 201.1C66.9 218.1 49.08 227.7 32.15 222.7C15.21 217.6 5.562 199.8 10.6 182.9C17.01 161.4 26.15 141 37.64 122.3C34.02 114.3 31.1 105.4 31.1 96C31.1 60.65 60.65 32 95.1 32C105.4 32 114.3 34.02 122.3 37.64C141 26.16 161.4 17.01 182.9 10.61C199.8 5.566 217.6 15.21 222.7 32.15C227.7 49.09 218.1 66.91 201.1 71.95C186.5 76.3 172.6 82.34 159.7 89.85V89.85zM389.7 37.64C397.7 34.02 406.6 32 415.1 32C451.3 32 479.1 60.65 479.1 96C479.1 105.4 477.1 114.3 474.4 122.3C485.8 141 494.1 161.4 501.4 182.9C506.4 199.8 496.8 217.6 479.8 222.7C462.9 227.7 445.1 218.1 440.1 201.1C435.7 186.5 429.7 172.6 422.1 159.7C420.1 159.9 418.1 160 416 160C380.7 160 352 131.3 352 96C352 93.93 352.1 91.87 352.3 89.85C339.4 82.34 325.5 76.3 310.9 71.95C293.9 66.91 284.3 49.09 289.3 32.15C294.4 15.21 312.2 5.566 329.1 10.61C350.6 17.01 370.1 26.16 389.7 37.64L389.7 37.64zM89.85 352.3C91.87 352.1 93.92 352 95.1 352C131.3 352 159.1 380.7 159.1 416C159.1 418.1 159.9 420.1 159.7 422.2C172.6 429.7 186.5 435.7 201.1 440.1C218.1 445.1 227.7 462.9 222.7 479.9C217.6 496.8 199.8 506.4 182.9 501.4C161.4 494.1 141 485.8 122.3 474.4C114.3 477.1 105.4 480 95.1 480C60.65 480 31.1 451.3 31.1 416C31.1 406.6 34.02 397.7 37.64 389.7C26.15 370.1 17.01 350.6 10.6 329.1C5.562 312.2 15.21 294.4 32.15 289.3C49.08 284.3 66.9 293.9 71.94 310.9C76.29 325.5 82.34 339.4 89.85 352.3L89.85 352.3zM474.4 389.7C477.1 397.7 479.1 406.6 479.1 416C479.1 451.3 451.3 480 415.1 480C406.6 480 397.7 477.1 389.7 474.4C370.1 485.8 350.6 494.1 329.1 501.4C312.2 506.4 294.4 496.8 289.3 479.9C284.3 462.9 293.9 445.1 310.9 440.1C325.5 435.7 339.4 429.7 352.3 422.2C352.1 420.1 351.1 418.1 351.1 416C351.1 380.7 380.7 352 415.1 352C418.1 352 420.1 352.1 422.2 352.3C429.7 339.4 435.7 325.5 440.1 310.9C445.1 293.9 462.9 284.3 479.8 289.3C496.8 294.4 506.4 312.2 501.4 329.1C494.1 350.6 485.8 370.1 474.4 389.7H474.4zM192.8 256.8C192.8 281.6 206.9 303.2 227.7 313.8C239.5 319.9 244.2 334.3 238.2 346.1C232.1 357.9 217.7 362.6 205.9 356.6C169.7 338.1 144.8 300.4 144.8 256.8C144.8 227.9 155.7 201.6 173.7 181.7L162.5 170.6C155.1 163.1 160.6 152.8 169.9 152.8H230.4C236.1 152.8 240.8 157.5 240.8 163.2V223.7C240.8 232.1 229.6 237.6 223 231L207.7 215.7C198.4 226.8 192.8 241.1 192.8 256.8V256.8zM275.4 165.9C281.5 154.1 295.9 149.4 307.7 155.4C343.9 173.9 368.8 211.6 368.8 255.2C368.8 284.1 357.8 310.5 339.9 330.3L351 341.5C357.6 348 352.1 359.2 343.7 359.2H283.2C277.5 359.2 272.8 354.6 272.8 348.8V288.3C272.8 279 284 274.4 290.6 280.1L305.9 296.3C315.2 285.2 320.8 270.9 320.8 255.2C320.8 230.4 306.6 208.8 285.9 198.2C274.1 192.1 269.4 177.7 275.4 165.9V165.9z"],
    "guarani-sign": [384, 512, [], "e19a", "M224 32V66.66C263.5 73.3 299 92.03 326.4 118.9C339 131.3 339.2 151.5 326.9 164.1C314.5 176.8 294.2 176.1 281.6 164.6C265.8 149.1 246.1 137.7 224 132V224H352C369.7 224 384 238.3 384 256C384 351.1 314.8 430.1 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32H224zM160 132C104.8 146.2 64 196.4 64 256C64 315.6 104.8 365.8 160 379.1V132zM224 379.1C268.1 368.4 304.4 332.1 315.1 288H224V379.1z"],
    "guitar": [512, 512, [], "f7a6", "M502.7 39.02L473 9.37c-12.5-12.5-32.74-12.49-45.24 .0106l-46.24 46.37c-3.875 3.875-6.848 8.506-8.598 13.76l-12.19 36.51L284.5 182.3C272.4 173.5 259 166.5 244.4 163.1C211 155.4 177.4 162.3 154.5 185.1C145.3 194.5 138.3 206 134.3 218.6C128.3 237.1 111.1 251.3 92.14 253C68.52 255.4 46.39 264.5 29.52 281.5c-45.62 45.5-37.38 127.5 18.12 183c55.37 55.38 137.4 63.51 182.9 18c16.1-16.88 26.25-38.85 28.5-62.72c1.75-18.75 15.84-36.16 34.47-42.16c12.5-3.875 24.03-10.87 33.4-20.25c22.87-22.88 29.75-56.38 21.1-89.76c-3.375-14.63-10.39-27.99-19.14-40.11l76.25-76.26l36.53-12.17c5.125-1.75 9.894-4.715 13.77-8.59l46.36-46.29C515.2 71.72 515.2 51.52 502.7 39.02zM208 352c-26.5 0-48-21.5-48-48c0-26.5 21.5-48 48-48s47.1 21.5 47.1 48C256 330.5 234.5 352 208 352z"],
    "guitar-electric": [512, 512, [127928], "f8be", "M511.2 39.56c-3.624-19.25-18.62-34.41-37.87-38.29c-22.87-4.25-22.75-.4579-106.6 53.66c-9.124 5.875-14.75 15.1-14.75 26.1L351.1 115.1L243.7 223.3C236.1 211.9 234.8 197.3 240.6 184.8l17.25-37.12c3.875-8.25 1.25-18.12-6.249-23.37C244.1 119.1 233.1 120 227.5 126.4L189.1 164.8c-8.124 8.125-14.37 17.1-18.12 28.75c-7.124 19.62-21.62 35.62-40.62 44.37L53.99 273.3c-57.24 22.87-72.37 96.74-28.87 140.2l73.37 73.37c43.62 43.5 117.5 28.37 140.4-28.75l35.37-76.37c8.874-18.1 24.87-33.62 44.49-40.5c10.75-3.875 20.62-10.12 28.87-18.25l21.5-21.5c6.499-6.5 7.749-16.62 2.1-24.5c-4.874-7.875-14.37-11.37-23.12-8.499L325.2 276c-12.62 3.875-26.37 1.249-36.74-7.125l173.1-172.9c.7499 0 1.5 .3749 2.375 .3749c14.25 0 27.87-6.333 36.99-17.33S513.8 53.68 511.2 39.56zM181.6 394.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0l-52.62-52.62c-1.5-1.5-2.375-3.5-2.375-5.625s.8754-4.25 2.375-5.75l11.25-11.25c1.5-1.5 3.499-2.375 5.624-2.375c2.125 0 4.25 .8747 5.749 2.375l52.62 52.62c1.5 1.5 2.375 3.5 2.375 5.625S183.1 392.9 181.6 394.4zM245.6 330.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0L170.4 289c-1.5-1.5-2.375-3.5-2.375-5.625c0-2.125 .875-4.25 2.375-5.75l11.25-11.25c1.5-1.5 3.5-2.375 5.624-2.375c2.125 0 4.25 .8749 5.75 2.375l52.62 52.62c1.5 1.5 2.374 3.5 2.374 5.625S247.1 328.9 245.6 330.4z"],
    "guitars": [512, 512, [], "f8bf", "M229.3 300.2c5.5-10.62 8.333-22.37 8.458-34.25c0-29.13-17-54.92-43.25-71.17c-12.75-8-27.48-11.95-42.48-13.83L152 126.7l16.59-33.19c1.1-4 3.033-8.565 3.033-13.06V26.37C171.6 11.87 159.9 0 145.3 0H110.8c-14.62 0-26.5 11.91-26.5 26.41v54.09c0 4.5 1.098 8.947 3.098 12.95l16.66 33.3l.0001 54.25c-14.1 1.875-29.77 5.875-42.65 13.88C54.63 198.1 48.5 203.9 42.88 209.5c-15.37 15.38-24.62 34.1-24.62 56.62c0 11.88 2.875 23.63 8.375 34.12c7.1 15.63 5.1 35.62-4.875 48.75c-13.62 16.5-21.87 36.37-21.75 57.1c-.125 58 57.38 105 127.1 105c39.87 0 75.5-14.1 98.1-38.5c1.25-1.25 2.25-2.751 3.375-4.001c-9.25-26.12-8.375-54.75 2.375-80.37l10.25-27.75c-2.625-4.25-5.625-8.5-8.75-12.38C223.2 335.9 221.3 315.9 229.3 300.2zM156.2 332.3c-15.62 15.62-40.87 15.62-56.5 0c-15.62-15.62-15.62-40.88 0-56.5c15.62-15.62 40.87-15.62 56.5 0C171.9 291.4 171.9 316.6 156.2 332.3zM505.5 400.9l-26.1-73.5c-6.625-18.25-5.75-38.25 2.625-55.75c4.625-9.75 6.1-20.25 6.1-30.1V212.4c0-8.625-5.875-15.1-14.12-17.1c-8.25-2-16.87 1.875-20.75 9.5l-10.62 20.5c-5.375 10.38-15.37 17-26.62 19L407.1 243.2V73.38c1.75-1.125 3.5-2.375 5.125-3.75c14.75-14.87 15.1-38.5 2.625-54.75c-13.25-16.13-36.62-19.63-54.12-8c-16.37 11.13-13.1 13.25-31.87 96.25c-1.875 9 .875 18.38 7.375 24.1L359.1 151v91.62L351.1 242.5c-11.25-3-20.87-10.1-24.1-22.38l-12.1-35.75c-2.875-7.875-11.12-12.62-19.5-11.13c-8.375 1.375-14.37 8.625-14.37 17.13V240.8c0 10.75 2.375 21.25 6.1 30.87c8.25 17.5 9.125 37.62 2.5 55.88l-26.1 73.5C239.1 453.5 278.5 512 335.7 512l96.37-.0005C489.4 511.1 527.1 453.4 505.5 400.9zM431.1 392c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V392zM431.1 327.9c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V327.9z"],
    "gun": [576, 512, [], "e19b", "M544 64h-16V56C528 42.74 517.3 32 504 32S480 42.74 480 56V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L226.4 352h94.58c24.16 0 45.5-15.41 53.13-38.28L398.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM328.5 298.6C327.4 301.8 324.4 304 320.9 304H239.1L256 240h92.02L328.5 298.6zM480 160H64V128h416V160z"],
    "gun-slash": [640, 512, [], "e19c", "M32 196.8C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.6 74.76 480 96.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L258.4 352h67.39L32 121.8V196.8zM630.8 469.1l-219.3-171.9L430.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-16V56C560 42.74 549.3 32 536 32S512 42.74 512 56V64H113.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM195.6 128H512v32H236.4L195.6 128zM371.4 265.8L338.5 240h41.52L371.4 265.8z"],
    "gun-squirt": [576, 512, [], "e19d", "M560 128H544V112C544 85.49 522.5 64 496 64H128V56C128 42.74 117.3 32 104 32S80 42.74 80 56v9.613C34.64 73.27 0 112.5 0 160c0 47.59 34.72 86.81 80.16 94.4l-46.91 184.8C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L220.6 376H272v16c0 13.25 10.75 24 24 24S320 405.3 320 392v-80C320 298.7 309.3 288 296 288S272 298.7 272 312v16H233.6L253.2 256H496C522.5 256 544 234.5 544 208V192h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128zM448 192H96C78.33 192 64 177.7 64 160s14.33-32 32-32h352c17.67 0 32 14.33 32 32S465.7 192 448 192z"],
    "h": [384, 512, [104], "48", "M384 64.01v384c0 17.67-14.33 32-32 32s-32-14.33-32-32v-192H64v192c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v128h256v-128c0-17.67 14.33-32 32-32S384 46.34 384 64.01z"],
    "h1": [576, 512, [], "f313", "M544 384h-32v-288c0-11.09-5.75-21.38-15.17-27.22c-9.438-5.844-21.23-6.344-31.14-1.406l-64 32c-15.81 7.906-22.22 27.12-14.31 42.94c7.906 15.78 27.09 22.16 42.94 14.31L448 147.8v236.2h-32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S561.7 384 544 384zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h2": [640, 512, [], "f314", "M608 384h-126l100.4-92.5c51.84-47.75 56.81-127.3 11.3-181.2c-22.75-26.94-54.64-43.28-89.8-46.09c-35.09-2.938-69.25 8.344-95.97 31.38l-25.09 21.59c-13.39 11.53-14.91 31.72-3.375 45.13c11.55 13.38 31.72 14.94 45.13 3.375l25.09-21.59c13.69-11.78 31.05-17.66 49.16-16.06c18 1.438 34.33 9.812 45.98 23.59c23.31 27.56 20.77 68.34-5.781 92.81l-160.7 148c-9.703 8.938-12.94 22.88-8.141 35.16S386.8 448 400 448H608c17.67 0 32-14.31 32-32S625.7 384 608 384zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h3": [640, 512, [], "f315", "M523.9 211.7l91.03-93.38c8.984-9.219 11.58-22.91 6.578-34.78C616.5 71.73 604.9 64.01 592 64.01l-192-.0778c-17.67 0-32 14.39-32 32.08s14.33 32 32 32h116.1l-91.02 93.34c-8.984 9.219-11.58 22.91-6.578 34.78C423.5 267.1 435.1 275.7 448 275.7h73.84C551.7 275.7 576 299.1 576 329.9s-24.3 54.16-54.16 54.16h-62.53c-13.16 0-24.8-8.375-28.95-20.88c-5.578-16.75-23.69-25.88-40.48-20.22c-16.77 5.594-25.83 23.72-20.23 40.47c12.89 38.66 48.94 64.63 89.67 64.63h62.53C587 448 640 395 640 329.9C640 265.4 588.1 212.8 523.9 211.7zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h4": [640, 512, [], "f86a", "M608 64.01c-17.67 0-32 14.31-32 32v159.1h-135l38.06-152.2c4.281-17.12-6.141-34.5-23.28-38.78c-17.05-4.25-34.52 6.094-38.81 23.28l-48 191.1c-2.391 9.562-.2344 19.69 5.828 27.44C380.8 315.5 390.1 320 400 320H576v96c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C640 78.33 625.7 64.01 608 64.01zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h5": [640, 512, [], "e412", "M64 224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V224zM576 64C593.7 64 608 78.33 608 96C608 113.7 593.7 128 576 128H457.1L439.4 216H524C588.1 216 640 267.9 640 332C640 396.1 588.1 448 524 448H456.4C418.5 448 384.9 423.8 372.9 387.8L369.6 378.1C364.1 361.4 373.1 343.2 389.9 337.6C406.6 332.1 424.8 341.1 430.4 357.9L433.6 367.6C436.9 377.4 446 384 456.4 384H524C552.7 384 576 360.7 576 332C576 303.3 552.7 280 524 280H400C390.4 280 381.2 275.7 375.2 268.2C369.1 260.7 366.7 250.8 368.7 241.4L400.7 89.41C403.8 74.6 416.9 64 432 64L576 64z"],
    "h6": [640, 512, [], "e413", "M501.7 160.1C578.6 163.1 640 226.4 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 265.7 365 228.5 388.1 198.5L487 76.01C498.1 62.21 518.2 59.97 531.1 71.01C545.8 82.05 548 102.2 536.1 115.1L501.7 160.1zM416 304C416 348.2 451.8 384 496 384C540.2 384 576 348.2 576 304C576 259.8 540.2 224 496 224C451.8 224 416 259.8 416 304zM32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64V64z"],
    "hammer": [576, 512, [128296], "f6e3", "M568.1 196.3l-22.62-22.62c-4.533-4.533-10.56-7.029-16.97-7.029s-12.44 2.496-16.97 7.029l-5.654 5.656l-20.12-20.12c4.596-23.46-2.652-47.9-19.47-64.73l-45.25-45.25C390.2 17.47 347.1 0 303.1 0C258.2 0 216 17.47 184.3 49.21L176.5 57.05L272.5 105.1v13.81c0 18.95 7.688 37.5 21.09 50.91l49.16 49.14c13.44 13.45 31.39 20.86 50.54 20.86c4.758 0 9.512-.4648 14.18-1.387l20.12 20.12l-5.654 5.654c-9.357 9.357-9.357 24.58-.002 33.94l22.62 22.62c4.535 4.533 10.56 7.031 16.97 7.031s12.44-2.498 16.97-7.031l90.53-90.5C578.3 220.8 578.3 205.6 568.1 196.3zM270.9 192.4c-3.846-3.846-7.197-8.113-10.37-12.49l-239.5 209.2c-28.12 28.12-28.16 73.72-.0371 101.8C35.12 505 53.56 512 71.1 512s36.84-7.031 50.91-21.09l209.1-239.4c-4.141-3.061-8.184-6.289-11.89-9.996L270.9 192.4z"],
    "hammer-crash": [640, 512, [], "e414", "M74.73 137.1L297.4 266.5c15.33 8.832 34.88 3.584 43.71-11.71l48-83.13c8.832-15.3 3.615-34.88-11.71-43.71l-55.42-32l-83.14-48L218.6 36.28c-4.863-2.816-10.37-4.289-16-4.289H115.3c-11.84 0-22.72 6.561-28.29 17.03L62.48 95.29C54.41 110.5 59.82 129.4 74.73 137.1zM629.1 208.8L531.2 176.3l46.18-92.19c3.104-6.176 1.887-13.6-2.977-18.5C569.5 60.72 562.1 59.51 555.9 62.61l-92.19 46.18l-32.54-97.86c-2.143-6.529-8.287-10.95-15.17-10.95c-6.879 0-13.02 4.416-15.17 10.95l-26.14 78.53L393.4 100.3c30.62 17.66 41.12 56.8 23.42 87.42l-48 83.13C352.4 299.3 317.3 310.4 287.9 297.5l-33.25 66.37c-3.105 6.176-1.889 13.6 2.975 18.5c4.896 4.863 12.32 6.08 18.5 2.977l92.19-46.18l32.54 97.86c2.145 6.527 8.289 10.94 15.17 10.94c6.881 0 13.03-4.416 15.17-10.94l32.54-97.86l92.19 46.18c6.176 3.104 13.6 1.887 18.5-2.977c4.863-4.896 6.08-12.32 2.977-18.5l-46.18-92.19l97.86-32.54c6.527-2.143 10.94-8.287 10.94-15.17C640 217.1 635.6 210.1 629.1 208.8zM6.763 439.5c-13.57 22.79-6.08 52.22 16.74 65.76c22.79 13.57 52.22 6.08 65.76-16.74l135.1-227.2l-83.14-48L6.763 439.5z"],
    "hammer-war": [384, 512, [], "f6e4", "M346.8 32.5l-122.8 20.4V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v36.9L37.25 32.5C17.75 29.25 .0001 44.25 .0001 64v192c0 19.75 17.75 34.75 37.25 31.5l154.8-25.75l154.8 25.75C366.3 290.8 384 275.8 384 256V64C384 44.25 366.3 29.25 346.8 32.5zM160 299.5L160 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16L224 299.5l-32-5.25L160 299.5z"],
    "hamsa": [512, 512, [], "f665", "M509.4 307.2C504.3 295.5 492.8 288 480 288h-64l.0001-208c0-21.1-18-40-40-40c-22 0-40 18-40 40l-.0001 134C336 219.5 331.5 224 326 224h-20c-5.5 0-10-4.5-10-9.1V40c0-21.1-17.1-40-39.1-40S215.1 18 215.1 40v174C215.1 219.5 211.5 224 205.1 224H185.1C180.5 224 175.1 219.5 175.1 214L175.1 80c0-21.1-18-40-40-40S95.1 58 95.1 80L95.1 288H31.99C19.24 288 7.743 295.5 2.618 307.2C-2.382 318.9-.1322 332.5 8.618 341.9l102.6 110C146.1 490.1 199.8 512 256 512s108.1-21.88 144.8-60.13l102.6-110C512.1 332.5 514.4 318.9 509.4 307.2zM256 416c-53 0-96.01-64-96.01-64s43-64 96.01-64s96.01 64 96.01 64S309 416 256 416zM256 320c-17.63 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S273.6 320 256 320z"],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", "M480 128v208c0 97.05-78.95 176-176 176h-37.72c-53.42 0-103.7-20.8-141.4-58.58l-113.1-113.1C3.906 332.5 0 322.2 0 312C0 290.7 17.15 272 40 272c10.23 0 20.47 3.906 28.28 11.72L128 343.4V64c0-17.67 14.33-32 32-32s32 14.33 32 32l.0729 176C192.1 248.8 199.2 256 208 256s16.07-7.164 16.07-16L224 32c0-17.67 14.33-32 32-32s32 14.33 32 32l.0484 208c0 8.836 7.111 16 15.95 16S320 248.8 320 240L320 64c0-17.67 14.33-32 32-32s32 14.33 32 32l.0729 176c0 8.836 7.091 16 15.93 16S416 248.8 416 240V128c0-17.67 14.33-32 32-32S480 110.3 480 128z"],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", "M448 144v120.4C448 314.2 422.6 358.1 384 384v128H128v-128l-53.19-38.67C48 325.8 32 294.3 32 261.2V192c0-14.58 6.625-28.38 17.1-37.48L80 130.5V176C80 184.8 87.16 192 96 192s16-7.164 16-16v-128C112 21.48 133.5 0 160 0c25.38 0 45.96 19.77 47.67 44.73C216.2 36.9 227.5 32 240 32C266.5 32 288 53.48 288 80v5.531C296.6 72.57 311.3 64 328 64c23.47 0 42.94 16.87 47.11 39.14C382.4 98.7 390.9 96 400 96C426.5 96 448 117.5 448 144z"],
    "hand-back-point-down": [448, 512, [], "e19e", "M384 272c-9.148 0-17.62-2.697-24.89-7.143C354.9 287.1 335.5 304 312 304c-17.38 0-32.46-9.33-40.89-23.17C266.1 303.1 247.5 320 224 320c-12.35 0-23.49-4.797-32-12.46V472C192 494.1 174.1 512 152 512S112 494.1 112 472L111.1 176c0-8.836-7.17-15.1-16.01-15.1c-8.838 0-16 7.164-16 16v45.47L50 197.5C38.63 188.4 32 174.6 32 160V112c0-10.38 3.375-20.48 9.594-28.8L60.78 57.61C87.84 21.53 130.9 0 176 0L288 0c3.318 0 6.557 .3379 9.686 .9785C372.5 6.064 432 67.91 432 144V224C432 250.5 410.5 272 384 272z"],
    "hand-back-point-left": [512, 512, [], "e19f", "M240 416c0-9.148 2.697-17.62 7.143-24.89C224.9 386.9 208 367.5 208 344c0-17.38 9.33-32.46 23.17-40.89C208.9 298.1 192 279.5 192 256c0-12.35 4.797-23.49 12.46-32H40C17.91 224 0 206.1 0 184S17.91 144 40 144l295.1-.0059c8.836 0 15.1-7.17 15.1-16.01c0-8.838-7.164-16-16-16h-45.47L314.5 82C323.6 70.63 337.4 64 352 64h48c10.38 0 20.48 3.375 28.8 9.594l25.59 19.19C490.5 119.8 512 162.9 512 208V320c0 3.318-.3379 6.557-.9785 9.686C505.9 404.5 444.1 464 368 464H288C261.5 464 240 442.5 240 416z"],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", "M33.21 134.1C35.68 140.1 41.53 144 47.1 144H192C200.8 144 208 136.8 208 128V64c0-8.844-7.156-16-16-16V40C192 17.91 174.1 0 152 0S112 17.91 112 40V48H47.1c-6.469 0-12.31 3.891-14.78 9.875S32.12 70.73 36.68 75.31L57.37 96L36.68 116.7C32.12 121.3 30.75 128.1 33.21 134.1zM384 240c-9.148 0-17.62 2.697-24.89 7.143C354.9 224.9 335.5 208 312 208c-17.38 0-32.46 9.33-40.89 23.17C266.1 208.9 247.5 192 224 192C211.7 192 200.5 196.8 192 204.5L192 176H112l-.006 159.1c0 8.836-7.17 15.1-16.01 15.1c-8.838 0-16-7.164-16-16V290.5l-29.99 23.99C38.63 323.6 32 337.4 32 352v48c0 10.38 3.375 20.48 9.594 28.8l19.19 25.59C87.84 490.5 130.9 512 176 512H288c3.318 0 6.557-.3379 9.686-.9785C372.5 505.9 432 444.1 432 368V288C432 261.5 410.5 240 384 240z"],
    "hand-back-point-right": [512, 512, [], "e1a1", "M224 464H144c-76.09 0-137.9-59.49-143-134.3C.3379 326.6 0 323.3 0 320V208c0-45.09 21.53-88.16 57.61-115.2l25.59-19.19C91.52 67.38 101.6 64 112 64H160c14.58 0 28.38 6.625 37.48 18l23.99 29.99H176c-8.836 0-16 7.162-16 16c0 8.836 7.161 16.01 15.1 16.01L472 144C494.1 144 512 161.9 512 184S494.1 224 472 224h-164.5C315.2 232.5 320 243.7 320 256c0 23.48-16.88 42.96-39.17 47.11C294.7 311.5 304 326.6 304 344c0 23.47-16.87 42.94-39.14 47.11C269.3 398.4 272 406.9 272 416C272 442.5 250.5 464 224 464z"],
    "hand-back-point-up": [448, 512, [], "e1a2", "M432 288v80c0 76.09-59.49 137.9-134.3 143C294.6 511.7 291.3 512 288 512H176c-45.09 0-88.16-21.53-115.2-57.61l-19.19-25.59C35.38 420.5 32 410.4 32 400V352c0-14.58 6.625-28.38 17.1-37.48l29.99-23.99v45.47c0 8.836 7.162 16 16 16c8.836 0 16.01-7.161 16.01-15.1L112 40C112 17.91 129.9 0 152 0S192 17.91 192 40v164.5C200.5 196.8 211.7 192 224 192c23.48 0 42.96 16.88 47.11 39.17C279.5 217.3 294.6 208 312 208c23.47 0 42.94 16.87 47.11 39.14C366.4 242.7 374.9 240 384 240C410.5 240 432 261.5 432 288z"],
    "hand-dots": [512, 512, ["allergies"], "f461", "M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM192 416c-8.836 0-16-7.164-16-16C176 391.2 183.2 384 192 384s16 7.162 16 16C208 408.8 200.8 416 192 416zM256 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 440.8 264.8 448 256 448zM256 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 344.8 264.8 352 256 352zM320 384c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C336 376.8 328.8 384 320 384zM352 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C368 440.8 360.8 448 352 448zM384 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C400 344.8 392.8 352 384 352z"],
    "hand-fingers-crossed": [512, 512, [], "e1a3", "M241.9 268.7c9.339 9.142 13.55 17.79 14.09 18.85V224c0-2.156 .4258-4.191 .6347-6.293L245.7 195.8L217.2 252.7C218.6 253.2 231.3 258.5 241.9 268.7zM138.3 124.2l35.78-71.56l-17.48-34.97C151 6.496 139.7 .0036 127.1 .0036c-16.97 0-31.97 13.66-31.97 32.03c0 4.81 1.089 9.694 3.387 14.29L138.3 124.2zM416 224c-17.69 0-31.1 14.33-31.1 31.1v63.1c0 17.67 14.31 31.1 31.1 31.1S448 337.7 448 320V255.1C448 238.3 433.7 224 416 224zM320 351.1c17.69 0 32-14.29 32-31.96V224c0-17.67-14.31-31.1-31.1-31.1c-17.69 0-31.1 14.33-31.1 31.1v95.1C288 337.7 302.3 351.1 320 351.1zM176 249.8C178.5 249.2 180.9 249.2 183.3 248.9l101.3-202.6c2.298-4.596 3.387-9.48 3.387-14.29C288 14.43 273.7 0 256.1 0C244.3 0 233 6.496 227.4 17.7L103 266.5L176 249.8zM368 361.9c-11.73 13.42-28.77 22.07-47.1 22.07c-27.49 0-50.74-17.43-59.8-41.76c-11.4 34.84-41.93 45.62-52.2 47.97l-50.18 11.45C156.6 401.9 155.4 402.1 154.3 402.1c-5.369 0-10.48-2.711-13.47-7.365c-1.739-2.712-2.542-5.686-2.542-8.602c0-7.117 4.788-13.88 12.45-15.63l48.05-10.96c18.97-4.326 33.22-21.03 33.22-39.85c0-19.75-16.08-39.64-39.95-39.64c-2.943 0-5.937 .3236-8.937 .998L64.34 308.1C41.42 313.3 32 331.9 32 347.4c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C84.66 473.1 144.8 512 210.8 512h61.19c82.54 0 151.8-57.21 170.7-134c-8.156 3.769-17.15 6.015-26.73 6.015C396.8 384 379.7 375.4 368 361.9z"],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", "M224 180.4V32c0-17.67-14.31-32-32-32S160 14.33 160 32v144h40C208.5 176 216.5 177.7 224 180.4zM128 176V64c0-17.67-14.31-32-32-32S64 46.33 64 64v112.8C66.66 176.5 69.26 176 72 176H128zM288 192c17.69 0 32-14.33 32-32V64c0-17.67-14.31-32-32-32s-32 14.33-32 32v96C256 177.7 270.3 192 288 192zM384 96c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.34 32-32.02V128C416 110.3 401.7 96 384 96zM350.9 246.2c-12.43-7.648-21.94-19.31-26.88-33.25C313.7 219.9 301.3 223.9 288 223.9c-7.641 0-14.87-1.502-21.66-3.957C269.1 228.6 272 238.1 272 248c0 39.77-32.25 72-72 72H128c-8.836 0-16-7.164-16-16C112 295.2 119.2 288 128 288h72c22.09 0 40-17.91 40-40S222.1 208 200 208h-128C49.91 208 32 225.9 32 248v63.41c0 33.13 16 64.56 42.81 84.13L128 434.2V512h224v-85.09c38.3-24.09 64-66.42 64-114.9V247.1C406.6 252.6 395.7 256 384 256C371.7 256 360.5 252.2 350.9 246.2z"],
    "hand-heart": [512, 512, [], "f4bc", "M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z"],
    "hand-holding": [576, 512, [], "f4bd", "M559.7 392.2l-135.1 99.51C406.9 504.8 385 512 362.1 512H15.1c-8.749 0-15.1-7.246-15.1-15.99l0-95.99c0-8.748 7.25-16.02 15.1-16.02l55.37 .0238l46.5-37.74c20.1-16.1 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.37 31.62 37.37c-2.625 15.75-17.37 26.62-33.37 26.62H271.1c-8.749 0-15.1 7.249-15.1 15.1s7.25 15.1 15.1 15.1h120.6l119.7-88.17c17.8-13.19 42.81-9.342 55.93 8.467C581.3 354.1 577.5 379.1 559.7 392.2z"],
    "hand-holding-box": [576, 512, [], "f47b", "M127.1 256h320c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32h-95.1l0 128l-64-32L223.1 128l0-128h-96C110.4 0 95.97 14.4 95.97 32v192C95.97 241.6 110.4 256 127.1 256zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.28l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM279.3 175C271.7 173.9 261.7 170.3 252.9 167.1L248 165.4C235.5 160.1 221.8 167.5 217.4 179.1s2.121 26.2 14.59 30.64l4.655 1.656c8.486 3.061 17.88 6.095 27.39 8.312V232c0 13.25 10.73 24 23.98 24s24-10.75 24-24V221.6c25.27-5.723 42.88-21.85 46.1-45.72c8.688-50.05-38.89-63.66-64.42-70.95L288.4 103.1C262.1 95.64 263.6 92.42 264.3 88.31c1.156-6.766 15.3-10.06 32.21-7.391c4.938 .7813 11.37 2.547 19.65 5.422c12.53 4.281 26.21-2.312 30.52-14.84s-2.309-26.19-14.84-30.53c-7.602-2.627-13.92-4.358-19.82-5.721V24c0-13.25-10.75-24-24-24s-23.98 10.75-23.98 24v10.52C238.8 40.23 221.1 56.25 216.1 80.13C208.4 129.6 256.7 143.8 274.9 149.2l6.498 1.875c31.66 9.062 31.15 11.89 30.34 16.64C310.6 174.5 296.5 177.8 279.3 175z"],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", "M287.1 256c53 0 95.1-42.13 95.1-93.1c0-40-57.12-120.8-83.25-155.6c-6.375-8.5-19.12-8.5-25.5 0C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-hand": [512, 512, [], "e4f7", "M328.7 52.28L431.7 119.8C449.5 132.9 453.3 157.9 440.2 175.7C427.1 193.5 402.1 197.3 384.3 184.2L296.6 127.1H191.1C183.2 127.1 175.1 135.2 175.1 143.1C175.1 152.7 183.2 159.1 191.1 159.1H254.2C270.2 159.1 284.1 170.9 287.6 186.6C290.8 206.6 275.5 223.1 255.1 223.1H143.1C116.1 223.1 90.87 214.7 69.87 197.7L23.37 159.1L15.1 160C7.25 160 0 152.7 0 143.1V47.99C0 39.25 7.25 32 15.1 32H266.1C289 32 310.9 39.19 328.7 52.28L328.7 52.28zM151.3 459.7L16.27 360.2C-1.509 347.1-5.305 322.1 7.803 304.3C20.93 286.5 45.94 282.7 63.74 295.8L183.4 384H304C312.8 384 320 376.8 320 368C320 359.3 312.8 352 304 352H225.8C209.8 352 195 341.1 192.4 325.4C189.2 305.4 204.5 288 224 288H352C379 288 405.1 297.3 426.1 314.3L472.6 352L496 352C504.7 352 512 359.3 512 368V464C512 472.8 504.7 480 496 480H213C190.1 480 169.1 472.8 151.3 459.7V459.7z"],
    "hand-holding-heart": [576, 512, [], "f4be", "M275.2 250.5c7 7.375 18.5 7.375 25.5 0l108.1-114.2c31.5-33.12 29.72-88.1-5.65-118.7c-30.88-26.75-76.75-21.9-104.9 7.724L287.1 36.91L276.8 25.28C248.7-4.345 202.7-9.194 171.1 17.56C136.7 48.18 134.7 103.2 166.4 136.3L275.2 250.5zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1c0-8.746 7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.87 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74l-55.37-.0253c-8.748 0-15.1 7.275-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.187 61.7-20.28l135.1-99.51C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-magic": [576, 512, [], "f6e5", "M224 224c53 0 96-43 96-96c0 0-32 32-96 32C206.3 160 192 142.5 192 128L192 96c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32l0 32c0 34.25-17.5 66.5-42.13 90.75L288 272l17.75-1c77.13-4.375 141.6-65.25 142.3-141.5L447.1 96c0-53-42.1-96-95.1-96H223.1c-53 0-95.1 43-95.1 96l.001 32C128 179.1 172.9 224 224 224zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-medical": [576, 512, [], "e05c", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM160 176h64v64C224 248.8 231.2 256 240 256h64C312.8 256 320 248.8 320 240v-64h64c8.836 0 16-7.164 16-16V96c0-8.838-7.164-16-16-16h-64v-64C320 7.162 312.8 0 304 0h-64C231.2 0 224 7.162 224 16v64H160C151.2 80 144 87.16 144 96v64C144 168.8 151.2 176 160 176z"],
    "hand-holding-seedling": [576, 512, [], "f4bf", "M479.1 0h-64c-40.75 0-77.52 15.75-105.8 40.75c25.38 32 40.88 72.25 41.5 116C424.8 142 479.1 77.5 479.1 0zM255.1 160v96C255.1 273.6 270.4 288 287.1 288s32-14.4 32-31.1L319.1 160c0-88.37-71.63-160-160-160H95.97C95.97 88.38 167.6 160 255.1 160zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-skull": [576, 512, [], "e1a4", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM213.1 237.3l-5.5 25.88C205.9 275.8 213.1 288 224.1 288h126c11.13 0 19.13-12.25 16.5-24.88l-5.501-25.88c41.76-22.38 70-62.75 70-109.3C432 57.25 367.5 0 288 0C208.5 0 143.1 57.25 143.1 127.1C143.1 174.5 172.2 214.9 213.1 237.3zM344 112c17.63 0 32 14.38 32 32c0 17.62-14.38 32-32 32c-17.63 0-32.01-14.38-32.01-32C312 126.4 326.4 112 344 112zM231.1 112c17.63 0 32 14.38 32 32c0 17.62-14.38 32-32 32c-17.63 0-32.01-14.38-32.01-32C199.1 126.4 214.4 112 231.1 112z"],
    "hand-horns": [448, 512, [], "e1a9", "M288 320c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 305.7 270.3 320 288 320zM224 287.5V192c0-17.67-14.31-32-32-32S160 174.3 160 192v56.14C186.1 248.2 211.8 263.5 224 287.5zM384 64c-17.69 0-32 14.33-32 32v192c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07c-3.291 3.764-7.084 7.033-11.14 9.961C221.8 364.2 202.4 384.2 176 390.2l-61.14 13.95L96.5 375.5L168.9 359c18.54-4.238 31.1-20.72 31.1-38.97c0-20.41-16.26-40.03-39.97-40.03c-2.946 0-5.942 .3236-8.947 .9981l-120 27.38c-29.22 6.679-31.1 34.69-31.1 39.01c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C52.66 473.1 112.8 512 178.8 512H240c97.03 0 176-78.95 176-176V96C416 78.33 401.7 64 384 64zM128 32c0-17.67-14.31-32-32-32S64 14.33 64 32v236l64-14.6V32z"],
    "hand-lizard": [512, 512, [], "f258", "M512 329.1V432c0 8.836-7.164 16-16 16H368c-8.836 0-16-7.164-16-16V416l-85.33-64H95.1c-16.47 0-31.44-13.44-31.96-29.9C62.87 285.8 91.96 256 127.1 256h104.9c13.77 0 26-8.811 30.36-21.88l10.67-32C280.9 181.4 265.4 160 243.6 160H63.1C27.95 160-1.129 130.2 .0352 93.9C.5625 77.44 15.53 64 31.1 64h271.2c26.26 0 50.84 12.88 65.79 34.47l128.8 185.1C507 297.8 512 313.7 512 329.1z"],
    "hand-love": [512, 512, [], "e1a5", "M448 64c-17.69 0-32 14.33-32 32v224c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07C292.3 375.3 275.2 384 256 384c-35.34 0-64-28.66-64-64V32c0-17.67-14.31-32-32-32S128 14.33 128 32l-.0004 304c0 2.646 .2797 5.213 .3969 7.832L68.28 283.7C60.47 275.9 50.23 272 40 272C17.2 272 0 290.6 0 311.1c0 10.24 3.906 20.47 11.72 28.29l122.5 122.5C165.9 494.5 208.1 512 253 512h50.89C400.9 512 480 432.1 480 335.9V96C480 78.33 465.7 64 448 64zM352 352c17.69 0 32-14.33 32-32V256c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C320 337.7 334.3 352 352 352zM256 352c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32S224 206.3 224 224v96C224 337.7 238.3 352 256 352z"],
    "hand-middle-finger": [448, 512, [128405], "f806", "M448 288v96c0 70.69-57.31 128-128 128H184c-50.35 0-97.76-23.7-127.1-63.98l-14.43-19.23C35.37 420.5 32 410.4 32 400v-48.02c0-14.58 6.629-28.37 18.02-37.48L80 290.5V336C80 344.8 87.16 352 96 352s16-7.164 16-16v-96C112 213.5 133.5 192 160 192s48 21.48 48 48V40C208 17.91 225.9 0 248 0S288 17.91 288 40v189.5C296.6 216.6 311.3 208 328 208c23.48 0 42.94 16.87 47.11 39.14C382.4 242.7 390.8 240 400 240C426.5 240 448 261.5 448 288z"],
    "hand-peace": [512, 512, [9996], "f25b", "M256 287.4V32c0-17.67-14.31-32-32-32S192 14.33 192 32v216.3C218.7 248.4 243.7 263.1 256 287.4zM170.8 251.2c2.514-.7734 5.043-1.027 7.57-1.516L93.41 51.39C88.21 39.25 76.34 31.97 63.97 31.97c-20.97 0-31.97 18.01-31.97 32.04c0 4.207 .8349 8.483 2.599 12.6l81.97 191.3L170.8 251.2zM416 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C448 238.3 433.7 224 416 224zM320 352c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v96C288 337.7 302.3 352 320 352zM368 361.9C356.3 375.3 339.2 384 320 384c-27.41 0-50.62-17.32-59.73-41.55c-7.059 21.41-23.9 39.23-47.08 46.36l-47.96 14.76c-1.562 .4807-3.147 .7105-4.707 .7105c-6.282 0-12.18-3.723-14.74-9.785c-.8595-2.038-1.264-4.145-1.264-6.213c0-6.79 4.361-13.16 11.3-15.3l46.45-14.29c17.2-5.293 29.76-20.98 29.76-38.63c0-34.19-32.54-40.07-40.02-40.07c-3.89 0-7.848 .5712-11.76 1.772l-104 32c-18.23 5.606-28.25 22.21-28.25 38.22c0 4.266 .6825 8.544 2.058 12.67L68.19 419C86.71 474.5 138.7 512 197.2 512H272c82.54 0 151.8-57.21 170.7-134C434.6 381.8 425.6 384 416 384C396.8 384 379.7 375.3 368 361.9z"],
    "hand-point-down": [448, 512, [], "f0a7", "M256 256v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256c0-17.67-14.31-32-32-32S256 238.3 256 256zM200 272H160V352c0 17.67 14.31 32 32 32s32-14.33 32-32V267.6C216.5 270.3 208.5 272 200 272zM72 272C69.26 272 66.66 271.5 64 271.2V480c0 17.67 14.31 32 32 32s32-14.33 32-32V272H72zM416 288V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v64c0 17.67 14.31 32 32 32S416 305.7 416 288zM384 160c11.72 0 22.55 3.381 32 8.879V136C416 60.89 355.1 0 280 0L191.3 0C162.5 0 134.5 9.107 111.2 26.02L74.81 52.47C48 72.03 32 103.5 32 136.6V200C32 222.1 49.91 240 72 240h128c22.09 0 39.1-17.91 39.1-39.1c0-28.73-26.72-40-42.28-40l-69.72 0C119.2 160 112 152.8 112 144S119.2 128 127.1 128H200c37.87 0 68.59 29.35 71.45 66.51C276.8 193.1 282.2 192 288 192c13.28 0 25.6 4.047 35.83 10.97C332.6 178 356.1 160 384 160z"],
    "hand-point-left": [512, 512, [], "f0a5", "M256 288H192c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S273.7 288 256 288zM240 232V192H160C142.3 192 128 206.3 128 224s14.33 32 32 32h84.41C241.7 248.5 240 240.5 240 232zM240 104C240 101.3 240.5 98.66 240.8 96H32C14.33 96 0 110.3 0 128s14.33 32 32 32h208V104zM224 448h64c17.67 0 32-14.31 32-32s-14.33-32-32-32H224c-17.67 0-32 14.31-32 32S206.3 448 224 448zM352 416c0 11.72-3.381 22.55-8.879 32H376C451.1 448 512 387.1 512 312V223.3c0-28.76-9.107-56.79-26.02-80.06l-26.45-36.41C439.1 80 408.5 64 375.4 64H312c-22.09 0-40 17.91-40 40v128c0 22.09 17.91 39.1 39.1 39.1c28.73 0 40-26.72 40-42.28L352 159.1C352 151.2 359.2 144 368 144S384 151.2 384 159.1V232c0 37.87-29.35 68.59-66.51 71.45C318.9 308.8 320 314.2 320 320c0 13.28-4.047 25.6-10.97 35.83C333.1 364.6 352 388.1 352 416z"],
    "hand-point-ribbon": [448, 512, [], "e1a6", "M224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM144 112v-64C144 39.16 136.8 32 128 32c0-17.67-14.31-32-32-32S64 14.33 64 32H15.99C9.523 32 3.68 35.89 1.211 41.88S.1172 54.73 4.68 59.31L25.37 80L4.68 100.7C.1172 105.3-1.258 112.1 1.211 118.1S9.523 128 15.99 128H128C136.8 128 144 120.8 144 112zM288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H128c-8.836 0-16-7.164-16-16C112 359.2 119.2 352 128 352h69.72C213.2 352 240 340.7 240 312c0-22.09-17.91-40-40-40h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM72 240H128V160H64v80.81C66.66 240.5 69.26 240 72 240z"],
    "hand-point-right": [512, 512, [], "f0a4", "M224 320c0 17.69 14.33 32 32 32h64c17.67 0 32-14.31 32-32s-14.33-32-32-32h-64C238.3 288 224 302.3 224 320zM267.6 256H352c17.67 0 32-14.31 32-32s-14.33-32-32-32h-80v40C272 240.5 270.3 248.5 267.6 256zM272 160H480c17.67 0 32-14.31 32-32s-14.33-32-32-32h-208.8C271.5 98.66 272 101.3 272 104V160zM320 416c0-17.69-14.33-32-32-32H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64C305.7 448 320 433.7 320 416zM202.1 355.8C196 345.6 192 333.3 192 320c0-5.766 1.08-11.24 2.51-16.55C157.4 300.6 128 269.9 128 232V159.1C128 151.2 135.2 144 143.1 144S160 151.2 159.1 159.1l0 69.72C159.1 245.2 171.3 271.1 200 271.1C222.1 271.1 240 254.1 240 232v-128C240 81.91 222.1 64 200 64H136.6C103.5 64 72.03 80 52.47 106.8L26.02 143.2C9.107 166.5 0 194.5 0 223.3V312C0 387.1 60.89 448 136 448h32.88C163.4 438.6 160 427.7 160 416C160 388.1 178 364.6 202.1 355.8z"],
    "hand-point-up": [448, 512, [9757], "f0a6", "M288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM128 240V32c0-17.67-14.31-32-32-32S64 14.33 64 32v208.8C66.66 240.5 69.26 240 72 240H128zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H127.1C119.2 384 112 376.8 112 368S119.2 352 127.1 352l69.72 .0001c15.52 0 42.28-11.29 42.28-40C239.1 289.9 222.1 272 200 272h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309z"],
    "hand-pointer": [448, 512, [], "f25a", "M400 224c-9.148 0-17.62 2.697-24.89 7.143C370.9 208.9 351.5 192 328 192c-17.38 0-32.46 9.33-40.89 23.17C282.1 192.9 263.5 176 240 176c-12.35 0-23.49 4.797-32 12.46V40c0-22.09-17.9-40-39.1-40C145.9 0 128 17.91 128 40v322.7L72 288C64.15 277.5 52.13 272 39.97 272c-21.22 0-39.97 17.06-39.97 40.02c0 8.356 2.608 16.78 8.005 23.98l91.22 121.6C124.8 491.7 165.5 512 208 512h96C383.4 512 448 447.4 448 368v-96C448 245.5 426.5 224 400 224zM240 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C208 295.2 215.2 288 224 288s16 7.156 16 16V400zM304 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C272 295.2 279.2 288 288 288s16 7.156 16 16V400zM368 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C336 295.2 343.2 288 352 288s16 7.156 16 16V400z"],
    "hand-scissors": [512, 512, [], "f257", "M512 192v111.1C512 383.4 447.4 448 368 448H288c-26.52 0-48-21.48-48-47.99c0-9.152 2.697-17.61 7.139-24.89C224.9 370.1 208 351.5 208 328c0-16.72 8.561-31.4 21.52-39.1H40c-22.09 0-40-17.9-40-39.99s17.91-39.1 40-39.1h229.5L60 142.2C42.93 136.8 31.99 121.1 31.99 104c0-3.973 .5967-8.014 1.851-12.01c5.35-17.07 21.08-28.04 38.06-28.04c4 0 8.071 .6085 12.09 1.889l279.2 87.22C364.8 153.6 366.4 153.8 368 153.8c6.812 0 13.12-4.375 15.27-11.23c.4978-1.588 .7346-3.195 .7346-4.777c0-6.807-4.388-13.12-11.23-15.25l-72.54-22.67l14.29-17.85C323.6 70.67 337.4 64.04 352 64.04h48c10.39 0 20.48 3.359 28.8 9.592l38.41 28.79c25.2 18.91 40.53 47.97 43.55 79.04C511.5 184.9 512 188.4 512 192z"],
    "hand-sparkles": [640, 512, [], "e05d", "M448 432c0-14.25 8.547-28.14 21.28-34.55l39.56-16.56l15.64-37.52c4.461-9.037 11.45-15.37 19.43-19.23L544 128c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0156 112c0 8.836-7.148 16-15.98 16s-16.07-7.164-16.07-16L448 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0635 176c0 8.836-7.106 16-15.94 16S351.9 248.8 351.9 240L352 32c0-17.67-14.33-32-32-32S288 14.33 288 32L287.9 240C287.9 248.8 280.8 256 272 256S255.9 248.8 255.9 240L256 64c0-17.67-14.33-32-32-32S192 46.33 192 64v279.4L132.3 283.7C124.5 275.9 114.2 272 104 272C82.68 272 64 289.2 64 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C226.6 491.2 276.9 512 330.3 512H368c42.72 0 81.91-15.32 112.4-40.73l-9.049-3.773C456.6 460.1 448 446.3 448 432zM349.8 371.6L320 383.1l-12.42 29.78C306.1 415 305.4 416 304 416s-2.969-.9941-3.578-2.219L288 383.1l-29.79-12.42C256.1 370.1 256 369.4 256 367.1c0-1.365 .9922-2.967 2.209-3.577L288 352l12.42-29.79C301 320.1 302.6 320 304 320s2.967 .9902 3.578 2.217L320 352l29.79 12.42C351 365 352 366.6 352 367.1C352 369.4 351 370.1 349.8 371.6zM80 224c2.277 0 4.943-1.656 5.959-3.699l20.7-49.63l49.65-20.71c2.027-1.014 3.682-3.696 3.686-5.958C159.1 141.7 158.3 139.1 156.3 138L106.7 117.4L85.96 67.7C84.94 65.65 82.28 64 80 64C77.72 64 75.05 65.65 74.04 67.7L53.34 117.3L3.695 138C1.668 139.1 .0117 141.7 .0078 143.1c.0039 2.262 1.662 4.953 3.688 5.967l49.57 20.67l20.77 49.67C75.05 222.3 77.72 224 80 224zM639.1 432c-.0039-2.275-1.657-4.952-3.687-5.968l-49.57-20.67l-20.77-49.67C564.9 353.7 562.3 352 560 352c-2.281 0-4.959 1.652-5.975 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.682 3.683-3.686 5.958c.0039 2.262 1.661 4.954 3.686 5.968l49.57 20.67l20.77 49.67C555.1 510.3 557.7 512 560 512c2.277 0 4.933-1.656 5.949-3.699l20.7-49.63l49.65-20.71C638.3 436.9 639.1 434.3 639.1 432z"],
    "hand-spock": [576, 512, [128406], "f259", "M543.6 128.6c0-8.999-6.115-32.58-31.68-32.58c-14.1 0-27.02 9.324-30.92 23.56l-34.36 125.1c-1.682 6.16-7.275 10.43-13.66 10.43c-7.981 0-14.16-6.518-14.16-14.13c0-.9844 .1034-1.987 .3197-2.996l35.71-166.6c.5233-2.442 .7779-4.911 .7779-7.362c0-13.89-9.695-32.86-31.7-32.86c-14.79 0-28.12 10.26-31.34 25.29l-37.77 176.2c-2.807 13.1-14.38 22.46-27.77 22.46c-13.04 0-24.4-8.871-27.56-21.52l-52.11-208.5C243.6 11.2 230.5-.0013 215.6-.0013c-26.71 0-31.78 25.71-31.78 31.98c0 2.569 .3112 5.18 .9617 7.786l50.55 202.2c.2326 .9301 .3431 1.856 .3431 2.764c0 6.051-4.911 11.27-11.3 11.27c-4.896 0-9.234-3.154-10.74-7.812L166.9 103.9C162.4 89.1 149.5 80.02 135.5 80.02c-15.68 0-31.63 12.83-31.63 31.97c0 3.273 .5059 6.602 1.57 9.884l69.93 215.7c.2903 .8949 .4239 1.766 .4239 2.598c0 4.521-3.94 7.915-8.119 7.915c-1.928 0-3.906-.7219-5.573-2.388L101.7 285.3c-8.336-8.336-19.63-12.87-30.81-12.87c-23.56 0-39.07 19.69-39.07 39.55c0 10.23 3.906 20.47 11.72 28.28l122.5 122.5C197.6 494.3 240.3 512 284.9 512h50.98c23.5 0 108.4-14.57 132.5-103l73.96-271.2C543.2 134.8 543.6 131.7 543.6 128.6z"],
    "hand-wave": [512, 512, [], "e1a7", "M304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0C295.2 0 288 7.156 288 16S295.2 32 304 32zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416zM472 96c-22.1 0-39.1 17.9-39.1 39.1V216.9L234.4 19.3C228.2 13.05 219.1 9.927 211.8 9.927c-18.3 0-31.1 14.96-31.1 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.123 3.124 4.685 7.219 4.685 11.31c0 9.156-7.482 15.1-15.1 15.1c-4.095 0-8.19-1.562-11.31-4.686L143.9 64.55C137.7 58.3 129.5 55.18 121.3 55.18c-17.09 0-31.1 13.76-31.1 32c0 8.19 3.124 16.38 9.372 22.63L245.7 256.9c3.124 3.124 4.686 7.219 4.686 11.31c0 9.152-7.48 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.686L98.65 155.1C92.4 148.8 84.21 145.7 76.02 145.7c-18.31 0-32 14.97-32 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.124 3.124 4.686 7.219 4.686 11.31c0 8.545-6.877 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.685L76.03 268.2C69.78 261.1 61.59 258.8 53.4 258.8c-17.09 0-32 13.76-32 32c0 8.19 3.124 16.38 9.372 22.63l147.1 147.1c34.31 34.31 79.38 51.47 124.5 51.47s90.14-17.16 124.5-51.47l26.67-26.67C491.2 396.1 512 345.9 512 292.5V135.1C512 113.9 494.1 96 472 96z"],
    "handcuffs": [640, 512, [], "e4f8", "M304 32C304 49.67 289.7 64 272 64C254.3 64 240 49.67 240 32C240 14.33 254.3 0 272 0C289.7 0 304 14.33 304 32zM160 80C160 62.33 174.3 48 192 48C209.7 48 224 62.33 224 80C224 97.67 209.7 112 192 112C174.3 112 160 97.67 160 80zM160 128C177.7 128 192 142.3 192 160H200C213.3 160 224 170.7 224 184V200C224 201.7 223.8 203.4 223.5 205.1C280.3 229.6 320 286.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.2 39.74 229.6 96.54 205.1C96.19 203.4 96 201.7 96 200V184C96 170.7 106.7 160 120 160H128C128 142.3 142.3 128 160 128zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448zM337.6 278.9C354.5 246.1 382.5 219.8 416.5 205.1C416.2 203.4 416 201.7 416 199.1V183.1C416 170.7 426.7 159.1 440 159.1H448C448 142.3 462.3 127.1 480 127.1C497.7 127.1 512 142.3 512 159.1H520C533.3 159.1 544 170.7 544 183.1V199.1C544 201.7 543.8 203.4 543.5 205.1C600.3 229.6 640 286.2 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C346.9 402.5 352 377.9 352 352C352 326.1 346.9 301.5 337.6 278.9V278.9zM480 256C426.1 256 384 298.1 384 352C384 405 426.1 448 480 448C533 448 576 405 576 352C576 298.1 533 256 480 256zM336 32C336 14.33 350.3 0 368 0C385.7 0 400 14.33 400 32C400 49.67 385.7 64 368 64C350.3 64 336 49.67 336 32zM416 80C416 62.33 430.3 48 448 48C465.7 48 480 62.33 480 80C480 97.67 465.7 112 448 112C430.3 112 416 97.67 416 80z"],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", "M330.8 242.3L223.1 209.1C210.3 205.2 197 212.3 193.1 224.9C189.2 237.6 196.3 251 208.9 254.9L256 272H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 306.6 41.19 320 56 320h128C188.4 320 192 323.6 192 328S188.4 336 184 336H24.9c-11.61 0-22.25 7.844-24.44 19.24C-2.49 370.6 9.193 384 24 384h160C188.4 384 192 387.6 192 392S188.4 400 184 400H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 434.6 41.19 448 56 448h128C188.4 448 192 451.6 192 456S188.4 464 184 464H88.9c-11.61 0-22.25 7.844-24.44 19.24C61.51 498.6 73.19 512 88 512h208c66.28 0 120-53.73 120-120v-32.03C416 306.6 381.1 259.4 330.8 242.3zM197.1 179.5c5.986-2.148 12.32-3.482 18.98-3.482c5.508 0 10.99 .8105 16.5 2.471l16.11 4.975L227.7 117.2C224.2 106.2 213.6 98.39 202 99.74c-15.51 1.807-24.79 16.99-20.33 31.11L197.1 179.5zM487.1 144.5c-13.27 .0977-23.95 10.91-23.86 24.16l-2.082 50.04l-59.98-189.8c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l38.56 122.1c1.332 4.213-1.004 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-47.93-151.7c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l43.37 137.8c1.33 4.213-1.006 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-33.46-106.4C275.6 56.39 264.9 48.6 253.4 49.94c-15.51 1.807-24.79 16.99-20.33 31.11l34.15 108.1l73.7 22.76C404.1 233.3 448 292.8 448 359.9v27.91c38.27-21.17 63.28-61.24 64-106.7V168.4C511.8 155.1 500.3 144.5 487.1 144.5z"],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", "M200 240c16.94 0 32.09 10.72 37.73 26.67c5.891 16.66 24.17 25.39 40.84 19.5c16.66-5.891 25.39-24.17 19.5-40.84C287.2 214.7 262.8 191.6 233.1 181.5l79.68-22.76c16.98-4.859 26.83-22.56 21.97-39.56C329.9 102.2 312.2 92.35 295.2 97.24L196 125.6l80.82-69.28c13.42-11.5 14.97-31.7 3.469-45.12C268.8-2.24 248.6-3.803 235.2 7.713l-100.4 86.09l22.33-48.39c7.391-16.05 .3906-35.06-15.66-42.47C125.4-4.412 106.4 2.525 98.94 18.6L14.92 206.6C5.082 228.6 0 252.5 0 276.6C0 335.9 48.1 384 107.4 384l99.9-.0064c31.87-2.289 61.15-19.35 79.13-46.18c9.828-14.69 5.891-34.56-8.781-44.41C263 283.6 243.1 287.5 233.3 302.2C225.8 313.3 213.4 320 200 320c-22.06 0-40-17.94-40-40C160 257.9 177.9 240 200 240zM532.6 128l-99.9 .004c-31.87 2.289-61.15 19.35-79.13 46.18c-9.828 14.69-5.891 34.56 8.781 44.41c14.66 9.812 34.55 5.906 44.41-8.781C414.2 198.7 426.6 191.1 440 191.1c22.06 0 40 17.94 40 40c0 22.06-17.94 39.1-40 39.1c-16.94 0-32.09-10.72-37.73-26.67c-5.891-16.66-24.17-25.39-40.84-19.5c-16.66 5.891-25.39 24.17-19.5 40.84c10.84 30.64 35.23 53.77 64.96 63.8l-79.68 22.76c-16.98 4.859-26.83 22.56-21.97 39.56c4.844 16.98 22.56 26.86 39.56 21.97l99.2-28.34l-80.82 69.28c-13.42 11.5-14.97 31.7-3.469 45.12c11.52 13.42 31.73 14.98 45.13 3.469l100.4-86.09l-22.33 48.39c-7.391 16.05-.3906 35.06 15.66 42.47c16.02 7.359 35.05 .4219 42.47-15.65l84.02-188C634.9 283.4 640 259.5 640 235.4C640 176.1 591.9 128 532.6 128z"],
    "hands-bound": [640, 512, [], "e4f9", "M95.1 144.8L165.3 237.2C170.1 244.7 181.4 246.8 189.6 242C199.3 236.3 201.7 223.3 194.6 214.5L167 179.1C156.2 166.4 158.1 146.7 171.4 135.5C184.6 124.4 204.4 125.8 215.9 138.7L262.6 191.3C278.1 209.7 287.1 233.4 287.1 258.1V352H352V258.1C352 233.4 361 209.7 377.4 191.3L424.1 138.7C435.6 125.8 455.4 124.4 468.6 135.5C481.9 146.7 483.8 166.4 472.1 179.1L445.4 214.5C438.3 223.3 440.7 236.3 450.4 242C458.6 246.8 469 244.7 474.7 237.2L544 144.8V32C544 14.33 558.3 0 576 0C593.7 0 608 14.33 608 32V213.9C608 228 602.9 241.8 593.7 252.5L508.4 352H512C525.3 352 536 362.7 536 376C536 389.3 525.3 400 512 400H128C114.7 400 104 389.3 104 376C104 362.7 114.7 352 128 352H131.6L46.31 252.5C37.07 241.8 32 228 32 213.9V32C32 14.33 46.33 0 64 0C81.67 0 96 14.33 96 32L95.1 144.8zM127.1 480C114.7 480 103.1 469.3 103.1 456C103.1 442.7 114.7 432 127.1 432H512C525.3 432 536 442.7 536 456C536 469.3 525.3 480 512 480H480V512H352V480H287.1V512H159.1V480H127.1z"],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", "M416 64c17.67 0 32-14.33 32-31.1c0-17.67-14.33-32-32-32c-17.67 0-32 14.33-32 32C384 49.67 398.3 64 416 64zM519.1 336H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H288l47.09-17.06c12.66-3.906 19.75-17.34 15.84-30.03c-3.938-12.62-17.28-19.69-30.03-15.84L213.2 242.3C162 259.4 128 306.6 128 359.1v25.65c36.47 7.434 64 39.75 64 78.38c0 10.71-2.193 20.91-6.031 30.25C204.1 505.3 225.2 512 248 512h208c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h160c14.81 0 26.49-13.42 23.54-28.76C541.3 343.8 530.7 336 519.1 336zM311.5 178.4c5.508-1.66 10.99-2.471 16.5-2.471c6.662 0 12.1 1.334 18.98 3.482l15.36-48.61c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.443-25.71 17.51l-20.9 66.17L311.5 178.4zM496 224c26.51 0 48-21.49 48-47.1s-21.49-48-48-48S448 149.5 448 176S469.5 224 496 224zM93.65 386.3C94.45 386.1 95.19 385.8 96 385.6v-25.69c0-67.17 43.03-126.7 107.1-148l73.7-22.76l34.15-108.1c4.459-14.12-4.82-29.3-20.33-31.11C279.1 48.6 268.4 56.39 264.9 67.46L231.4 173.9c-1.332 4.213-5.826 6.549-10.04 5.217C217.2 177.8 214.8 173.3 216.2 169.1l43.37-137.8c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.445-25.71 17.51L165.6 169.4C164.2 173.6 159.7 175.9 155.5 174.6C151.3 173.3 148.1 168.8 150.3 164.6l38.56-122.1c4.459-14.12-4.82-29.3-20.33-31.11C157 10.04 146.3 17.83 142.8 28.9L82.84 218.7L80.76 168.7C80.85 155.5 70.17 144.6 56.9 144.5C43.67 144.5 32.18 155.1 32 168.4v112.7C32.71 325.6 56.76 364.8 93.65 386.3zM112 416c-26.51 0-48 21.49-48 47.1s21.49 48 48 48S160 490.5 160 464S138.5 416 112 416z"],
    "hands-clapping": [512, 512, [], "e1a8", "M320 96c8.844 0 16-7.156 16-16v-64C336 7.156 328.8 0 320 0s-16 7.156-16 16v64C304 88.84 311.2 96 320 96zM383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM384 357.5l0-163.9c0-6.016-4.672-33.69-32-33.69c-17.69 0-32.07 14.33-32.07 31.1L320 268.1L169.2 117.3C164.5 112.6 158.3 110.3 152.2 110.3c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3C227.4 243.4 228.9 247.2 228.9 251c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349l-107.6-107.6C91.22 149.2 85.08 146.9 78.94 146.9c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l107.6 107.6C172.5 298.4 173.9 302.2 173.9 305.1c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.9-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L59.28 227.2C54.59 222.5 48.45 220.1 42.31 220.1c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3c2.9 2.899 4.349 6.7 4.349 10.5c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L40.97 318.7C36.28 314 30.14 311.7 24 311.7c-13.71 0-23.99 11.26-23.99 24.05c0 6.141 2.332 12.23 7.02 16.92C112.6 458.2 151.3 512 232.3 512C318.1 512 384 440.9 384 357.5zM243.3 88.98C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951l-32.56-48C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951L243.3 88.98zM480 160c-17.69 0-32 14.33-32 32v76.14l-32-32v121.4c0 94.01-63.31 141.5-78.32 152.2C345.1 510.9 352.6 512 360.3 512C446.1 512 512 440.9 512 357.5l-.0625-165.6C511.9 174.3 497.7 160 480 160z"],
    "hands-holding": [640, 512, [], "f4c2", "M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z"],
    "hands-holding-child": [640, 512, [], "e4fa", "M279.1 40C279.1 17.91 297.9 0 319.1 0C342.1 0 360 17.91 360 40C360 62.09 342.1 80 319.1 80C297.9 80 279.1 62.09 279.1 40zM375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L252.4 120.7C271.3 104.8 295.3 96 320 96C344.7 96 368.7 104.8 387.6 120.7L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1L364.7 164.3L375.8 253zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 104z"],
    "hands-holding-circle": [640, 512, [], "e4fb", "M191.1 128C191.1 57.31 249.3 0 319.1 0C390.7 0 448 57.31 448 128C448 198.7 390.7 256 319.1 256C249.3 256 191.1 198.7 191.1 128zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 104z"],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372zM79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z"],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", "M344 34.51C350.4 35.69 356.6 37.17 362.2 38.66C374.1 42.08 382.6 55.22 379.2 68.03C375.8 80.84 362.6 88.46 349.8 85.05C338.9 82.15 328.7 80.15 319.6 80C312.3 79.89 304.9 81.66 300.3 84.42C298.1 85.69 297.1 86.81 296.7 87.46C296.4 87.92 296.1 88.64 296.1 90.27C296.1 90.61 296.1 90.81 296.1 90.91C296.3 91.12 297 92.07 299.5 93.53C305.3 97.04 313.9 99.75 326.8 103.7L327.7 103.9C338.8 107.3 353.6 111.7 365.6 119.3C379.2 127.9 391.7 142.1 391.1 164.2C392.3 186.7 380.6 203.1 365.3 212.6C358.6 216.8 351.4 219.6 344 221.4V231.1C344 245.3 333.3 255.1 320 255.1C306.7 255.1 296 245.3 296 231.1V220.6C286.5 218.4 277.8 215.4 270.4 212.8C268.3 212.1 266.3 211.4 264.4 210.8C251.8 206.6 245 192.1 249.2 180.4C253.4 167.8 267 161 279.6 165.2C282.2 166.1 284.6 166.9 286.9 167.7C300.6 172.3 310.3 175.6 320.8 175.1C328.8 176.2 335.8 174.4 339.1 171.8C341.8 170.7 342.7 169.6 343.2 168.9C343.5 168.3 344 167.1 343.1 164.8L344 164.5C344 163.5 344 162.4 340 159.9C334.3 156.3 325.7 153.5 312.9 149.6L311.1 149C300.3 145.8 286.1 141.5 274.7 134.6C261.2 126.5 248.2 112.6 248.1 90.51C247.9 67.65 260.9 51.91 275.8 43.11C282.2 39.35 289.1 36.67 295.1 34.89V24C295.1 10.75 306.7 0 319.1 0C333.3 0 344 10.75 344 24L344 34.51zM39.1 63.1C62.09 63.1 79.1 81.91 79.1 103.1V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 63.1zM640 103.1V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 103.1z"],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", "M175.1 72.57C175.1 32.49 208.5 .0003 248.6 .0003C267.8 .0003 286.3 7.646 299.9 21.26L319.1 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L336.4 230.5C327.2 239.2 312.8 239.2 303.6 230.5L200.5 133.9C184.9 119.2 175.1 98.79 175.1 77.4V72.57zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104L640 104z"],
    "hands-praying": [640, 512, ["praying-hands"], "f684", "M272 191.9c-17.62 0-32 14.35-32 31.97V303.9c0 8.875-7.125 16-16 16s-16-7.125-16-16V227.4c0-17.37 4.75-34.5 13.75-49.37L299.5 48.41c9-15.12 4.125-34.76-11-43.88C273.1-4.225 255.8 .1289 246.1 13.63C245.1 13.88 245.5 13.88 245.4 14.13L128.1 190C117.5 205.9 112 224.3 112 243.3v80.24l-90.13 29.1C8.75 357.9 0 370.1 0 383.9v95.99c0 10.88 8.5 31.1 32 31.1c2.75 0 5.375-.25 8-1l179.3-46.62C269.1 450 304 403.8 304 351.9V223.9C304 206.3 289.6 191.9 272 191.9zM618.1 353.6L528 323.6V243.4c0-19-5.5-37.37-16.12-53.25l-117.3-175.9c-.125-.25-.6251-.2487-.75-.4987c-9.625-13.5-27.88-17.85-42.38-9.229c-15.12 9.125-20 28.76-11 44.01l77.75 129.5C427.3 193 432 210 432 227.5v76.49c0 8.875-7.125 16-16 16s-16-7.125-16-16V223.1c0-17.62-14.38-31.97-32-31.97s-32 14.38-32 31.1v127.1c0 51.87 34.88 98.12 84.75 112.4L600 511C602.6 511.6 605.4 512 608 512c23.5 0 32-21.25 32-31.1v-95.99C640 370.3 631.3 358 618.1 353.6z"],
    "handshake": [640, 512, [], "f2b5", "M0 383.9l64 .0404c17.75 0 32-14.29 32-32.03V128.3L0 128.3V383.9zM48 320.1c8.75 0 16 7.118 16 15.99c0 8.742-7.25 15.99-16 15.99S32 344.8 32 336.1C32 327.2 39.25 320.1 48 320.1zM348.8 64c-7.941 0-15.66 2.969-21.52 8.328L228.9 162.3C228.8 162.5 228.8 162.7 228.6 162.7C212 178.3 212.3 203.2 226.5 218.7c12.75 13.1 39.38 17.62 56.13 2.75C282.8 221.3 282.9 221.3 283 221.2l79.88-73.1c6.5-5.871 16.75-5.496 22.62 1c6 6.496 5.5 16.62-1 22.62l-26.12 23.87L504 313.7c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.48-63.88-154.4-63.88L348.8 64zM334.6 217.4l-30 27.49c-29.75 27.11-75.25 24.49-101.8-4.371C176 211.2 178.1 165.7 207.3 138.9L289.1 64H282.5C224.7 64 169.1 87.08 128.2 127.9L128 351.8l18.25 .0369l90.5 81.82c27.5 22.37 67.75 18.12 90-9.246l18.12 15.24c15.88 12.1 39.38 10.5 52.38-5.371l31.38-38.6l5.374 4.498c13.75 11 33.88 9.002 45-4.748l9.538-11.78c11.12-13.75 9.036-33.78-4.694-44.93L334.6 217.4zM544 128.4v223.6c0 17.62 14.25 32.05 31.1 32.05L640 384V128.1L544 128.4zM592 352c-8.75 0-16-7.246-16-15.99c0-8.875 7.25-15.99 16-15.99S608 327.2 608 336.1C608 344.8 600.8 352 592 352z"],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", "M488 191.1h-152l.0001 51.86c.0001 37.66-27.08 72-64.55 75.77c-43.09 4.333-79.45-29.42-79.45-71.63V126.4l-24.51 14.73C123.2 167.8 96.04 215.7 96.04 267.5L16.04 313.8c-15.25 8.751-20.63 28.38-11.75 43.63l80 138.6c8.875 15.25 28.5 20.5 43.75 11.75l103.4-59.75h136.6c35.25 0 64-28.75 64-64c26.51 0 48-21.49 48-48V288h8c13.25 0 24-10.75 24-24l.0001-48C512 202.7 501.3 191.1 488 191.1zM635.7 154.5l-79.95-138.6c-8.875-15.25-28.5-20.5-43.75-11.75l-103.4 59.75h-62.57c-37.85 0-74.93 10.61-107.1 30.63C229.7 100.4 224 110.6 224 121.6l-.0004 126.4c0 22.13 17.88 40 40 40c22.13 0 40-17.88 40-40V159.1h184c30.93 0 56 25.07 56 56v28.5l80-46.25C639.3 189.4 644.5 169.8 635.7 154.5z"],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", "M334.6 217.4l-30 27.49C264 282.1 217.8 256.8 202.9 240.6C176 211.2 178.1 165.7 207.3 138.9L289.1 64H282.5C224.7 64 169.1 86.95 128.2 127.8L32 128.1c-17.6 0-32 14.39-32 31.98v159.8c0 17.59 14.4 32.04 31.1 32.04l114.3-.0604l90.5 81.82c27.5 22.37 67.75 18.11 90-9.255l18.12 15.25c15.88 12.1 39.38 10.5 52.38-5.369l31.38-38.6l5.374 4.498c13.75 11 33.88 9.002 45-4.748l9.576-11.83c11.08-13.7 8.979-33.75-4.701-44.86L334.6 217.4zM608 128.1l-96-.1257c-40.98-40.96-96.56-63.88-154.5-63.88L348.9 64c-8 0-15.62 3.197-21.62 8.568L229 162.3C228.9 162.5 228.8 162.7 228.8 162.7C212 178.5 212.4 203.3 226.6 218.7c9.625 10.5 35 21.62 56.13 2.75c0-.125 .25-.125 .375-.25l80-73.1c6.5-5.871 16.62-5.496 22.62 1s5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98L608 351.7c17.6 0 32-14.38 32-31.98V160.1C640 142.4 625.7 128.1 608 128.1z"],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", "M358.6 195.6l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98h81.62c17.6 0 31.1-14.39 31.1-31.99V159.1c0-17.67-14.33-31.99-31.1-31.99h-95.1c-40.98-40.96-96.56-63.98-154.5-63.98h-8.613c-7.1 0-15.63 3.002-21.63 8.373l-93.44 85.57L208.3 137.9L289.1 64.01L282.5 64c-43.48 0-85.19 13.66-120.8 37.44l-122.9-96.33C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7l-135.5-106.2c-.1719-9.086-3.789-18.03-11.39-24.2l-149.2-121.2l-11.47 10.51L297.6 207.1l65.51-59.85c6.5-5.871 16.62-5.496 22.62 .1c5.1 6.496 5.5 16.62-.1 22.62L358.6 195.6zM32 127.1c-17.6 0-31.1 14.4-31.1 31.99v159.8c0 17.59 14.4 32.06 31.1 32.06l114.2-.0712l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L39.93 127.1L32 127.1z"],
    "handshake-slash": [640, 512, [], "e060", "M543.1 128.2l.0002 223.8c0 17.62 14.25 31.99 31.1 31.99h64V128.1L543.1 128.2zM591.1 352c-8.75 0-16-7.251-16-15.99c0-8.875 7.25-15.1 16-15.1c8.75 0 15.1 7.122 15.1 15.1C607.1 344.8 600.7 352 591.1 352zM.0005 128.2v255.7l63.1 .0446c17.75 0 32-14.28 32-32.03L96 171.9l-55.77-43.71H.0005zM64 336c0 8.742-7.25 15.99-15.1 15.99s-15.1-7.251-15.1-15.99c0-8.875 7.25-15.1 15.1-15.1S64 327.2 64 336zM128 351.8h18.25l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L128 196.1V351.8zM495.2 362.8c-.1875-9.101-3.824-18.05-11.44-24.24l-149.2-121.1l-11.47 10.51L297.5 207.9l65.33-59.79c6.5-5.871 16.75-5.496 22.62 1c5.1 6.496 5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.52-63.98-154.5-63.98h-8.613c-7.941 0-15.64 2.97-21.5 8.329L233.7 157.9L208.3 137.9l80.85-73.92L282.5 64c-43.47 0-85.16 13.68-120.8 37.45L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.187C-3.06 19.62-1.248 34.72 9.19 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L495.2 362.8z"],
    "hanukiah": [640, 512, [128334], "f6e6", "M231.1 159.9C227.6 159.9 224 163.6 224 168V288h32V168C256 163.6 252.4 160 248 160L231.1 159.9zM167.1 159.9C163.6 159.9 160 163.6 160 168V288h32V168C192 163.6 188.4 160 184 160L167.1 159.9zM392 160C387.6 160 384 163.6 384 168V288h32V168c0-4.375-3.625-8.061-8-8.061L392 160zM456 160C451.6 160 448 163.6 448 168V288h32V168c0-4.375-3.625-8.061-8-8.061L456 160zM544 168c0-4.375-3.625-8.061-8-8.061L520 160C515.6 160 512 163.6 512 168V288h32V168zM103.1 159.9C99.62 159.9 96 163.6 96 168V288h32V168C128 163.6 124.4 160 120 160L103.1 159.9zM624 160h-31.98c-8.837 0-16.03 7.182-16.03 16.02L576 288c0 17.6-14.4 32-32 32h-192V128c0-8.837-7.151-16.01-15.99-16.01H303.1C295.2 111.1 288 119.2 288 128v192H96c-17.6 0-32-14.4-32-32l.0065-112C64.01 167.2 56.85 160 48.02 160H16C7.163 160 0 167.2 0 176V288c0 53.02 42.98 96 96 96h192v64H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 143.1 512h352C504.9 512 512 504.9 512 496C512 469.5 490.5 448 464 448H352v-64h192c53.02 0 96-42.98 96-96V176C640 167.2 632.8 160 624 160zM607.1 127.9C621.2 127.9 632 116 632 101.4C632 86.62 608 48 608 48s-24 38.62-24 53.38C584 116 594.7 127.9 607.1 127.9zM31.1 127.9C45.25 127.9 56 116 56 101.4C56 86.62 32 48 32 48S8 86.62 8 101.4C8 116 18.75 127.9 31.1 127.9zM319.1 79.94c13.25 0 24-11.94 24-26.57C344 38.62 320 0 320 0S296 38.62 296 53.38C296 67.1 306.7 79.94 319.1 79.94zM112 128c13.25 0 24-12 24-26.62C136 86.62 112 48 112 48S88 86.62 88 101.4C88 115.1 98.75 128 112 128zM176 128c13.25 0 24-12 24-26.62C200 86.62 176 48 176 48S152 86.62 152 101.4C152 115.1 162.8 128 176 128zM240 128c13.25 0 24-12 24-26.62C264 86.62 240 48 240 48S216 86.62 216 101.4C216 115.1 226.8 128 240 128zM400 128c13.25 0 24-12 24-26.62C424 86.62 400 48 400 48s-24 38.62-24 53.38C376 115.1 386.8 128 400 128zM464 128c13.25 0 24-12 24-26.62C488 86.62 464 48 464 48s-24 38.62-24 53.38C440 115.1 450.8 128 464 128zM528 128c13.25 0 24-12 24-26.62C552 86.62 528 48 528 48s-24 38.62-24 53.38C504 115.1 514.8 128 528 128z"],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", "M464 288h-416C21.5 288 0 309.5 0 336v96C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-96C512 309.5 490.5 288 464 288zM320 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 416 320 416zM416 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S433.6 416 416 416zM464 32h-416C21.5 32 0 53.5 0 80v192.4C13.41 262.3 29.92 256 48 256h416c18.08 0 34.59 6.254 48 16.41V80C512 53.5 490.5 32 464 32z"],
    "hashtag": [448, 512, [62098], "23", "M416 127.1h-58.23l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L292.9 127.1H197.8l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L132.9 127.1H64c-17.67 0-32 14.33-32 32C32 177.7 46.33 191.1 64 191.1h58.23l-21.33 128H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 31.1 32 31.1h58.23l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C108.5 479.9 110.3 480 112 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27h95.12l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C268.5 479.9 270.3 480 272 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27H384c17.67 0 32-14.33 32-31.1c0-17.67-14.33-32-32-32h-58.23l21.33-128H416c17.67 0 32-14.32 32-31.1C448 142.3 433.7 127.1 416 127.1zM260.9 319.1H165.8L187.1 191.1h95.12L260.9 319.1z"],
    "hashtag-lock": [576, 512, [], "e415", "M181.3 32.44C198.7 35.35 210.5 51.83 207.6 69.27L197.8 128H292.9L304.4 58.74C307.3 41.31 323.8 29.53 341.3 32.44C358.7 35.35 370.5 51.83 367.6 69.27L357.8 128H416C433.7 128 448 142.3 448 160C448 160.4 447.1 160.8 447.1 161.1C423.9 164.6 402.2 175.7 385.6 192H347.1L324.3 328.9C321.5 336.1 320 343.9 320 352V354.7L303.6 453.3C300.7 470.7 284.2 482.5 266.7 479.6C249.3 476.7 237.5 460.2 240.4 442.7L250.2 384H155.1L143.6 453.3C140.7 470.7 124.2 482.5 106.7 479.6C89.31 476.7 77.53 460.2 80.44 442.7L90.23 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H100.9L122.2 192H64C46.33 192 32 177.7 32 160C32 142.3 46.33 128 64 128H132.9L144.4 58.74C147.3 41.31 163.8 29.53 181.3 32.44H181.3zM187.1 192L165.8 320H260.9L282.2 192H187.1zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "hat-chef": [512, 512, [], "f86b", "M416 32c-20.88 .125-41.13 7-57.75 19.75C334.9 20.5 297.1 0 256 0C213.1 0 177.1 20.5 153.8 51.75c-29-22.25-68-26-100.6-9.75C20.38 58.12-.125 91.5 0 128c0 41.75 64 192 64 192h74.45L112.2 162.7C110.8 153.1 116.6 145.7 125.3 144.2c8.562-1.594 16.98 4.336 18.45 13.09L170.9 320H240V160c0-8.844 7.156-16 16-16s16 7.156 16 16v160h69.12l27.12-162.7c1.469-8.75 9.984-14.68 18.45-13.09c8.719 1.438 14.55 9.742 13.09 18.46L373.6 320H448c0 0 64-150.3 64-192C512 75 469 32 416 32zM64 480c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32v-128H64V480z"],
    "hat-cowboy": [640, 512, [], "f8c0", "M489.1 264.9C480.5 207.5 450.5 32 392.3 32c-14 0-26.58 5.875-37.08 14c-20.75 15.87-49.62 15.87-70.5 0C274.2 38 261.7 32 247.7 32c-58.25 0-88.27 175.5-97.77 232.9C188.7 277.5 243.7 288 319.1 288S451.2 277.5 489.1 264.9zM632.9 227.7c-6.125-4.125-14.2-3.51-19.7 1.49c-1 .875-101.3 90.77-293.1 90.77c-190.9 0-292.2-89.99-293.2-90.86c-5.5-4.875-13.71-5.508-19.71-1.383c-6.125 4.125-8.587 11.89-6.087 18.77C1.749 248.5 78.37 448 319.1 448s318.2-199.5 318.1-201.5C641.5 239.6 639 231.9 632.9 227.7z"],
    "hat-cowboy-side": [640, 512, [], "f8c1", "M260.8 260C232.1 237.1 198.8 225 164.4 225c-77.38 0-142.9 62.75-163 156c-3.5 16.62-.375 33.88 8.625 47.38c8.75 13.12 21.88 20.62 35.88 20.62H592c-103.2 0-155-37.13-233.2-104.5L260.8 260zM495.5 241.8l-27.13-156.5c-2.875-17.25-12.75-32.5-27.12-42.25c-14.37-9.75-32.24-13.3-49.24-9.675L200.9 74.02C173.7 79.77 153.5 102.3 150.5 129.8L143.6 195c6.875-.875 13.62-2 20.75-2c41.87 0 82 14.5 117.4 42.88l98 84.37c71 61.25 115.1 96.75 212.2 96.75c26.5 0 48-21.5 48-48C640 343.6 610.4 249.6 495.5 241.8z"],
    "hat-santa": [640, 512, [], "f7a7", "M448 384H63.1C28.65 384 0 412.7 0 447.1C0 465.7 14.33 480 32 480h448c17.67 0 32-14.33 32-32C512 412.7 483.3 384 448 384zM384 192l71.75 19.5c2.25-4.125 4.875-8 8.125-11.38c.375-14.5 6.25-28.62 17-39.37c2.25-2.25 4.75-4.125 7.25-6L435 92.13C402.6 54 355.3 32 305.3 32C236.6 32 174.8 73.25 148.4 136.5L64 352h384L384 192zM640 240c0-12.12-8.25-21.88-19.25-25.25c5.5-10 4.5-22.75-4.125-31.38C608 174.8 595.3 173.8 585.3 179.2C581.9 168.2 572.1 160 560 160s-21.88 8.25-25.25 19.25C524.8 173.8 512 174.8 503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38C488.2 218.1 480 227.9 480 240s8.25 21.88 19.25 25.25c-5.5 10-4.453 22.75 4.172 31.38c5.25 5.125 11.95 7.747 18.83 7.747c4.5 0 8.625-1.5 12.5-3.625C538.1 311.8 547.9 320 560 320s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.5-2.625 18.88-7.75C625.3 288 626.3 275.2 620.8 265.2C631.8 261.9 640 252.1 640 240z"],
    "hat-winter": [512, 512, [], "f7a8", "M195.3 105.2c-5.5 10-4.462 22.79 4.163 31.41C204.7 141.8 211.4 144.4 218.3 144.4c4.5 0 8.625-1.5 12.5-3.625C234.1 151.8 243.9 160 256 160c12.12 0 21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.54-2.662 18.91-7.788c8.625-8.625 9.587-21.34 4.087-31.34C327.8 101.9 336 92.12 336 80s-8.25-21.88-19.25-25.25c5.5-10 4.487-22.76-4.138-31.39c-8.625-8.625-21.36-9.612-31.36-4.113C277.9 8.25 268.1 0 256 0C243.9 0 234.1 8.25 230.8 19.25c-10-5.5-22.76-4.494-31.38 4.131c-8.625 8.625-9.619 21.37-4.119 31.37C184.3 58.12 176 67.88 176 80S184.3 101.9 195.3 105.2zM128 270.1l64 32l64-32l64 32l64-32l64 32l7.25-3.625C435.5 248.2 400 193.6 336.2 158c-.4999 .3747-.6875 .7497-1.062 1.25c-10.62 10.5-24.56 16.63-39.56 17.13C285.1 186.2 271.1 192.1 256 192.1c-15.25 0-29.25-5.875-39.62-15.75C201.5 175.9 187.5 169.9 176.8 159.2c-.375-.5-.5-.875-1-1.25C111.9 193.6 76.38 248.4 56.75 298.5L64 302.1L128 270.1zM496 448h-480C7.25 448 0 455.2 0 464v32C0 504.8 7.25 512 16 512h480c8.75 0 16-7.25 16-16v-32C512 455.2 504.8 448 496 448zM465.8 329.1L448 337.9l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-17.75-8.75C32.25 377.8 32 416 32 416h448C480 416 479.8 377.8 465.8 329.1z"],
    "hat-witch": [576, 512, [], "f6e7", "M224 319.1C224 302.4 238.4 288 256 288h63.98c17.62 0 31.99 14.37 31.99 31.1L351.1 384h114.2L393.6 214.4c-6.246-14.38-6.871-30.62-1.875-45.5l6.25-18.1c4.375-13.12 16.62-21.88 30.37-21.88h39.24c13.75 0 25.99 8.75 30.37 21.88l14 42.12l30.37-77.24c3.875-11.5 .875-24.12-7.75-32.75l-69.36-72.62c-10.12-10.25-25.99-12.38-38.49-5.125L260.4 107.1C236.8 120.8 218 141.4 207 166.4L110.3 384h113.7L224 319.1zM256 384h63.98V319.1H256V384zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416z"],
    "hat-wizard": [512, 512, [], "f6e8", "M200 376l-49.23-16.41c-7.289-2.434-7.289-12.75 0-15.18L200 328l16.41-49.23c2.434-7.289 12.75-7.289 15.18 0L248 328l49.23 16.41c7.289 2.434 7.289 12.75 0 15.18L248 376L240 416H448l-86.38-201.6C355.4 200 354.8 183.8 359.8 168.9L416 0L228.4 107.3C204.8 120.8 185.1 141.4 175 166.4L64 416h144L200 376zM231.2 172.4L256 160l12.42-24.84c1.477-2.949 5.68-2.949 7.156 0L288 160l24.84 12.42c2.949 1.477 2.949 5.68 0 7.156L288 192l-12.42 24.84c-1.477 2.949-5.68 2.949-7.156 0L256 192L231.2 179.6C228.2 178.1 228.2 173.9 231.2 172.4zM496 448h-480C7.164 448 0 455.2 0 464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48C512 455.2 504.8 448 496 448z"],
    "head-side": [512, 512, [], "f6e9", "M509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H191.1C85.99 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L63.1 512h255.1l.002-64h63.1c35.37 0 63.1-28.62 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z"],
    "head-side-brain": [512, 512, [], "f808", "M159.9 178.9L160 176C160 177 159.9 177.9 159.9 178.9C159.9 178.9 159.8 178.8 159.9 178.9zM509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0053-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z"],
    "head-side-cough": [640, 512, [], "e061", "M608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L192 0C86 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L64 512h223.1v-32h64.01c35.38 0 64-28.62 64-63.1L320 416c-17.67 0-32-14.33-32-32s14.33-32 32-32h95.98l-.003-32h31.99C471.1 320 486.6 296.1 477.2 275zM336 224c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S353.6 224 336 224zM480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S493.3 359.1 480 359.1zM608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 311.1 544 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 407.1 544 407.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1z"],
    "head-side-cough-slash": [640, 512, [], "e062", "M607.1 311.1c13.25 0 24-10.75 24-23.1s-10.75-23.1-24-23.1s-23.1 10.75-23.1 23.1S594.7 311.1 607.1 311.1zM607.1 407.1c13.25 0 24-10.78 24-24.03c0-13.25-10.75-23.1-24-23.1s-24 10.78-24 24.03C583.1 397.2 594.7 407.1 607.1 407.1zM630.8 469.1l-190.2-149.1h7.4c23.12 0 38.62-23.87 29.25-44.1c-20.1-47.12-48.49-151.7-73.11-186.7C365.6 33.63 302.5 0 234.1 0H192C149.9 0 111.5 14.26 79.88 37.29L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.126 9.187c-8.187 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM320 415.1c-17.67 0-31.1-14.33-31.1-31.1S302.3 351.1 320 351.1l5.758-.0009L18.16 110.9C6.631 135.6 .0006 162.1 .0006 191.1c0 56.75 24.75 107.6 64 142.9L64 511.1h223.1l0-31.1l64.01 .001c33.25 0 60.2-25.38 63.37-57.78l-7.932-6.217H320zM543.1 359.1c13.25 0 24-10.78 24-24.03s-10.75-23.1-24-23.1c-13.25 0-24 10.78-24 24.03C519.1 349.2 530.7 359.1 543.1 359.1z"],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", "M303.1 64h111.9l.0601 160h-107.5c-41.75 0-79.88-30.12-84.13-71.75C219.6 104.4 257.1 64 303.1 64zM511.1 208v-128c0-8.875-7.125-16-15.1-16h-47.1v160h47.1C504.9 224 511.1 216.9 511.1 208zM192.6 155.5C189.4 123.9 199.7 92.25 220.1 68.88C242.1 45.5 272.4 32 303.1 32h72.25c-32.37-20.38-70.24-32-110.1-32H223.1c-83.5 0-154.5 53.5-180.9 128h-27.12C7.125 128 0 135.1 0 144v32C0 184.9 7.125 192 15.1 192h187.5C197.9 180.8 193.9 168.5 192.6 155.5zM501.5 256H308.5c-31.12 0-59.62-12.38-80.87-32H34.1c7.375 43.75 29.38 82.5 60.1 110.9V512h223.1l.002-64h63.99c35.37 0 63.1-28.62 63.1-63.1V320h31.1c23.12 0 38.62-23.88 29.25-45C506.7 269.5 504.1 263 501.5 256z"],
    "head-side-headphones": [512, 512, [], "f8c2", "M509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.8 0 266.1 0h-10.13v107.2c37.75 18 63.1 56.13 63.1 100.8c0 61.88-50.12 112-111.1 112S95.1 269.9 95.1 208c0-44.62 26.25-82.75 64-100.8V2.88C69.25 18.13 0 96.88 0 192c0 54.5 23.26 106.6 64.01 142.8L64 512h256l.003-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.88-5.5 26.76-14.62C512.8 296.4 513.6 284.9 509.2 275zM128 208c0 44.12 35.87 80 79.1 80s79.1-35.88 79.1-80S252.1 128 208 128S128 163.9 128 208zM207.1 176c17.63 0 32 14.38 32 32s-14.38 32-32 32s-32-14.38-32-32S190.4 176 207.1 176z"],
    "head-side-heart": [512, 512, [], "e1aa", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0L192 0C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z"],
    "head-side-mask": [512, 512, [], "e063", "M.1465 184.4C-2.166 244.2 23.01 298 63.99 334.9L63.99 512h160L224 316.5L3.674 156.2C1.871 165.4 .5195 174.8 .1465 184.4zM336 368H496L512 320h-255.1l.0178 192h145.9c27.55 0 52-17.63 60.71-43.76L464 464h-127.1c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h138.7l10.67-32h-149.3c-8.836 0-16-7.164-16-16C320 375.2 327.2 368 336 368zM509.2 275c-20.1-47.13-48.49-151.8-73.11-186.8C397.6 33.63 334.5 0 266.1 0H200C117.1 0 42.48 50.57 13.25 123.7L239.2 288h272.6C511.8 283.7 511.1 279.3 509.2 275zM352 224c-17.62 0-32-14.38-32-32s14.38-32 32-32c17.62 0 31.1 14.38 31.1 32S369.6 224 352 224z"],
    "head-side-medical": [512, 512, [], "f809", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z"],
    "head-side-virus": [512, 512, [], "e064", "M208 175.1c-8.836 0-16 7.162-16 16c0 8.836 7.163 15.1 15.1 15.1s16-7.164 16-16C224 183.2 216.8 175.1 208 175.1zM272 239.1c-8.836 0-15.1 7.163-15.1 16c0 8.836 7.165 16 16 16s16-7.164 16-16C288 247.2 280.8 239.1 272 239.1zM509.2 275c-20.94-47.13-48.46-151.7-73.1-186.8C397.7 33.59 334.6 0 266.1 0H192C85.95 0 0 85.95 0 192c0 56.8 24.8 107.7 64 142.8L64 512h256l-.0044-64h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.2 509.2 275zM368 240h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576c6.25 6.25 6.25 16.38 0 22.62c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688l-8.576-8.576c-20.16-20.16-54.63-5.881-54.63 22.63V352c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-28.51-34.47-42.79-54.63-22.63l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-4.096 0-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l8.577-8.576C166.9 274.5 152.6 240 124.1 240H112c-8.844 0-16-7.156-16-16s7.157-16 16-16L124.1 208c28.51 0 42.79-34.47 22.63-54.63L138.2 144.8c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.63 0L169.4 130.7c20.16 20.16 54.63 5.881 54.63-22.63V96c0-8.844 7.156-16 16-16S256 87.16 256 96v12.12c0 28.51 34.47 42.79 54.63 22.63l8.576-8.576c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L333.3 153.4C313.1 173.5 327.4 208 355.9 208l12.12-.0004c8.844 0 15.1 7.157 15.1 16S376.8 240 368 240z"],
    "heading": [448, 512, ["header"], "f1dc", "M448 448c0 17.69-14.33 32-32 32h-96c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-144h-224v144H128c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-320H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32H112v112h224v-112H320c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32h-16v320H416C433.7 416 448 430.3 448 448z"],
    "headphones": [512, 512, [127911], "f025", "M512 287.9l-.0042 112C511.1 444.1 476.1 480 432 480c-26.47 0-48-21.56-48-48.06V304.1C384 277.6 405.5 256 432 256c10.83 0 20.91 2.723 30.3 6.678C449.7 159.1 362.1 80.13 256 80.13S62.29 159.1 49.7 262.7C59.09 258.7 69.17 256 80 256C106.5 256 128 277.6 128 304.1v127.9C128 458.4 106.5 480 80 480c-44.11 0-79.1-35.88-79.1-80.06L0 288c0-141.2 114.8-256 256-256c140.9 0 255.6 114.5 255.1 255.3C511.1 287.5 511.1 287.7 512 287.9z"],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", "M256 32C112.9 32 4.563 151.1 0 288v104C0 405.3 10.75 416 23.1 416S48 405.3 48 392V288c0-114.7 93.34-207.8 208-207.8C370.7 80.2 464 173.3 464 288v104C464 405.3 474.7 416 488 416S512 405.3 512 392V287.1C507.4 151.1 399.1 32 256 32zM160 288L144 288c-35.34 0-64 28.7-64 64.13v63.75C80 451.3 108.7 480 144 480L160 480c17.66 0 32-14.34 32-32.05v-127.9C192 302.3 177.7 288 160 288zM368 288L352 288c-17.66 0-32 14.32-32 32.04v127.9c0 17.7 14.34 32.05 32 32.05L368 480c35.34 0 64-28.7 64-64.13v-63.75C432 316.7 403.3 288 368 288z"],
    "headset": [512, 512, [], "f590", "M191.1 224c0-17.72-14.34-32.04-32-32.04L144 192c-35.34 0-64 28.66-64 64.08v47.79C80 339.3 108.7 368 144 368H160c17.66 0 32-14.36 32-32.06L191.1 224zM256 0C112.9 0 4.583 119.1 .0208 256L0 296C0 309.3 10.75 320 23.1 320S48 309.3 48 296V256c0-114.7 93.34-207.8 208-207.8C370.7 48.2 464 141.3 464 256v144c0 22.09-17.91 40-40 40h-110.7C305 425.7 289.7 416 272 416H241.8c-23.21 0-44.5 15.69-48.87 38.49C187 485.2 210.4 512 239.1 512H272c17.72 0 33.03-9.711 41.34-24H424c48.6 0 88-39.4 88-88V256C507.4 119.1 399.1 0 256 0zM368 368c35.34 0 64-28.7 64-64.13V256.1C432 220.7 403.3 192 368 192l-16 0c-17.66 0-32 14.34-32 32.04L320 335.9C320 353.7 334.3 368 352 368H368z"],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", "M0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 .0003 232.4 .0003 190.9L0 190.9z"],
    "heart-circle-bolt": [576, 512, [], "e4fc", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "heart-circle-check": [576, 512, [], "e4fd", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "heart-circle-exclamation": [576, 512, [], "e4fe", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "heart-circle-minus": [576, 512, [], "e4ff", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "heart-circle-plus": [576, 512, [], "e500", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "heart-circle-xmark": [576, 512, [], "e501", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", "M119.4 44.1C142.7 40.22 166.2 42.2 187.1 49.43L237.8 126.9L162.3 202.3C160.8 203.9 159.1 205.1 160 208.2C160 210.3 160.1 212.4 162.6 213.9L274.6 317.9C277.5 320.6 281.1 320.7 285.1 318.2C288.2 315.6 288.9 311.2 286.8 307.8L226.4 209.7L317.1 134.1C319.7 131.1 320.7 128.5 319.5 125.3L296.8 61.74C325.4 45.03 359.2 38.53 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09V44.1z"],
    "heart-half": [512, 512, [], "e1ab", "M256 96L244 84.02L244 84C211.4 51.37 164.1 36.51 119.4 44.1C50.52 55.58 0 115.2 0 185.1V190.9C0 232.4 17.23 272.1 47.59 300.4L228.3 469.1C235.8 476.1 245.7 480 256 480L256 429.3L256 163.9V96z"],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", "M119.4 44.1C164.1 36.51 211.3 51.37 243.1 83.99L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09L119.4 44.1zM255.1 186.5V407.4L420.7 253.6C438.1 237.4 448 214.7 448 190.9V185.1C448 146.5 420.1 113.6 382 107.2C356.9 103 331.3 111.2 313.2 129.3L255.1 186.5z"],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", "M352.4 243.8l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288l176.4 182.2c12.66 13.07 33.36 13.07 46.03 0l176.4-182.2l-112.1 .0052L352.4 243.8zM495.2 62.86c-54.36-46.98-137.5-38.5-187.5 13.06L288 96.25L268.3 75.92C218.3 24.36 135.2 15.88 80.81 62.86C23.37 112.5 16.84 197.6 60.18 256h105l35.93-86.25c5.508-12.88 23.66-13.12 29.54-.375l58.21 129.4l49.07-98c5.884-11.75 22.78-11.75 28.67 0l27.67 55.25h121.5C559.2 197.6 552.6 112.5 495.2 62.86z"],
    "heat": [448, 512, [], "e00c", "M64 152.2V127.1C64 110.3 49.67 96 32 96S0 110.3 0 127.1l0 24.25C.0001 206.1 19.49 258.4 55.78 298.2c25.96 28.48 40.35 65.69 40.22 104.2l0 45.63c0 17.67 14.33 31.1 32 31.1s31.1-14.33 31.1-32l0-45.61c-.0001-53.9-19.51-106.2-55.84-146C78.2 227.9 63.87 190.8 64 152.2zM391.7 255.8c-25.63-28.39-39.69-65.32-39.69-103.6l-.0001-24.25C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 127.1l.0001 24.25c.0001 53.86 19.49 106.1 55.77 145.9C369.7 326.7 384.1 363.9 384 402.4v45.63C384 465.7 398.3 480 415.1 480C433.7 480 448 465.7 448 448v-45.63C448 348.3 427.9 295.9 391.7 255.8zM208 152.2V63.1C208 46.33 193.7 32 176 32s-32 14.33-31.1 31.1l.0001 88.25c.0001 53.86 19.49 106.1 55.77 145.9c25.96 28.48 40.35 65.69 40.22 104.2l0 45.63C239.1 465.7 254.3 480 272 480s31.1-14.33 31.1-32l0-45.61c-.0001-53.9-19.51-106.2-55.84-146C222.2 227.9 207.9 190.8 208 152.2z"],
    "helicopter": [640, 512, [128641], "f533", "M127.1 32C127.1 14.33 142.3 0 159.1 0H544C561.7 0 576 14.33 576 32C576 49.67 561.7 64 544 64H384V128H416C504.4 128 576 199.6 576 288V352C576 369.7 561.7 384 544 384H303.1C293.9 384 284.4 379.3 278.4 371.2L191.1 256L47.19 198.1C37.65 194.3 30.52 186.1 28.03 176.1L4.97 83.88C2.445 73.78 10.08 64 20.49 64H47.1C58.07 64 67.56 68.74 73.6 76.8L111.1 128H319.1V64H159.1C142.3 64 127.1 49.67 127.1 32V32zM384 320H512V288C512 234.1 469 192 416 192H384V320zM630.6 470.6L626.7 474.5C602.7 498.5 570.2 512 536.2 512H255.1C238.3 512 223.1 497.7 223.1 480C223.1 462.3 238.3 448 255.1 448H536.2C553.2 448 569.5 441.3 581.5 429.3L585.4 425.4C597.9 412.9 618.1 412.9 630.6 425.4C643.1 437.9 643.1 458.1 630.6 470.6L630.6 470.6z"],
    "helicopter-symbol": [576, 512, [], "e502", "M320 66.66V1.985C435.8 16.42 527.6 108.2 542 224H477.3C463.9 143.6 400.4 80.15 320 66.66V66.66zM320 510V445.4C400.4 431.9 463.9 368.4 477.3 288H542C527.6 403.8 435.8 495.6 320 510V510zM33.98 288H98.65C112.1 368.4 175.6 431.9 256 445.4V510C140.2 495.6 48.42 403.8 33.98 288zM256 1.984V66.66C175.6 80.15 112.1 143.6 98.66 224H33.98C48.42 108.2 140.2 16.42 256 1.985V1.984zM240 224H336V160C336 142.3 350.3 128 368 128C385.7 128 400 142.3 400 160V352C400 369.7 385.7 384 368 384C350.3 384 336 369.7 336 352V288H240V352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V160C176 142.3 190.3 128 208 128C225.7 128 240 142.3 240 160V224z"],
    "helmet-battle": [576, 512, [], "f6eb", "M31.99 256c17.63 0 32.01-12.5 32.01-28V0L.9928 221.1C-4.132 238.9 11.24 256 31.99 256zM575 221.1L512 0v228c0 15.5 14.38 28 32 28C564.8 256 580.1 238.9 575 221.1zM480 210.9C480 90.38 288 0 288 0S95.1 90.38 95.1 210.9c0 82.75-22.88 145.9-31.13 180.6c-3.375 14.5 3.625 29.38 16.38 35.25L255.1 512V256L159.1 224L159.1 192h256L416 224l-96 32l-.0009 255.1l174.9-85.25c12.63-5.875 19.75-20.75 16.25-35.25C502.9 356.8 480 293.6 480 210.9z"],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", "M544 280.9c0-89.17-61.83-165.4-139.6-197.4L352 174.2V49.78C352 39.91 344.1 32 334.2 32H241.8C231.9 32 224 39.91 224 49.78v124.4L171.6 83.53C93.83 115.5 32 191.7 32 280.9L31.99 352h512L544 280.9zM574.7 393.7C572.2 387.8 566.4 384 560 384h-544c-6.375 0-12.16 3.812-14.69 9.656c-2.531 5.875-1.344 12.69 3.062 17.34C7.031 413.8 72.02 480 287.1 480s280.1-66.19 283.6-69C576 406.3 577.2 399.5 574.7 393.7z"],
    "helmet-un": [512, 512, [], "e503", "M480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H368V462.5L369.5 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H360C353.9 512 347.1 509.7 343.5 505.4L214.9 384H87.65C39.24 384 0 344.8 0 296.3V240C0 107.5 107.5 0 240 0C367.2 0 471.2 98.91 479.5 224H480zM320 288H274.4L241.1 343.5L320 417.2V288zM285.3 103.1C281.4 97.26 274.1 94.64 267.4 96.69C260.6 98.73 256 104.9 256 112V208C256 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208V164.8L322.7 216.9C326.6 222.7 333.9 225.4 340.6 223.3C347.4 221.3 352 215.1 352 208V112C352 103.2 344.8 96 336 96C327.2 96 320 103.2 320 112V155.2L285.3 103.1zM160 112C160 103.2 152.8 96 144 96C135.2 96 128 103.2 128 112V176C128 202.5 149.5 224 176 224C202.5 224 224 202.5 224 176V112C224 103.2 216.8 96 208 96C199.2 96 192 103.2 192 112V176C192 184.8 184.8 192 176 192C167.2 192 160 184.8 160 176V112z"],
    "hexagon": [512, 512, [11043], "f312", "M342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342z"],
    "hexagon-check": [512, 512, [], "e416", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z"],
    "hexagon-divide": [512, 512, [], "e1ad", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 255.1 128C238.3 128 223.1 142.3 223.1 160C223.1 177.7 238.3 192 255.1 192zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z"],
    "hexagon-exclamation": [512, 512, [], "e417", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM231.1 152V264C231.1 277.3 242.7 288 255.1 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 255.1 128C242.7 128 231.1 138.7 231.1 152zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z"],
    "hexagon-image": [512, 512, [], "e504", "M105.4 67.08C118.2 44.81 141.1 31.08 167.7 31.08H344.3C370 31.08 393.8 44.81 406.6 67.08L494.9 219.1C507.8 242.3 507.8 269.7 494.9 291.1L406.6 444.9C393.8 467.2 370 480.9 344.3 480.9H167.7C141.1 480.9 118.2 467.2 105.4 444.9L17.07 291.1C4.206 269.7 4.206 242.3 17.07 219.1L105.4 67.08zM158.3 279.8L107.1 335.9L153.9 416.9C156.7 421.9 161.1 424.9 167.7 424.9H344.3C350 424.9 355.3 421.9 358.1 416.9L413.4 321.2L340.7 233.8C336.2 228.3 329.4 225.1 322.3 225.1C315.2 225.1 308.4 228.3 303.8 233.8L232.2 320L193.3 279.4C188.7 274.6 182.4 271.9 175.7 272C169.1 272.1 162.8 274.9 158.3 279.8V279.8zM192 199.1C214.1 199.1 232 182.1 232 159.1C232 137.9 214.1 119.1 192 119.1C169.9 119.1 152 137.9 152 159.1C152 182.1 169.9 199.1 192 199.1z"],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1z"],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 255.1 144C242.7 144 231.1 154.7 231.1 168V232H167.1C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H231.1V344C231.1 357.3 242.7 368 255.1 368z"],
    "hexagon-vertical-nft": [512, 512, [], "e505", "M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM127.8 170.6C124.9 163.5 117.4 159.4 109.9 160.9C102.4 162.3 96.92 168.9 96.92 176.6V336.6C96.92 345.4 104.1 352.6 112.9 352.6C121.8 352.6 128.9 345.4 128.9 336.6V259.7L162.1 342.5C164.9 349.6 172.4 353.7 179.9 352.3C187.5 350.8 192.9 344.2 192.9 336.6V176.6C192.9 167.7 185.8 160.6 176.9 160.6C168.1 160.6 160.9 167.7 160.9 176.6V253.5L127.8 170.6zM224.9 336.6C224.9 345.4 232.1 352.6 240.9 352.6C249.8 352.6 256.9 345.4 256.9 336.6V272.6H288.9C297.8 272.6 304.9 265.4 304.9 256.6C304.9 247.7 297.8 240.6 288.9 240.6H256.9V192.6H288.9C297.8 192.6 304.9 185.4 304.9 176.6C304.9 167.7 297.8 160.6 288.9 160.6H240.9C232.1 160.6 224.9 167.7 224.9 176.6V336.6zM336.9 160.6C328.1 160.6 320.9 167.7 320.9 176.6C320.9 185.4 328.1 192.6 336.9 192.6H352.9V336.6C352.9 345.4 360.1 352.6 368.9 352.6C377.8 352.6 384.9 345.4 384.9 336.6V192.6H400.9C409.8 192.6 416.9 185.4 416.9 176.6C416.9 167.7 409.8 160.6 400.9 160.6H336.9z"],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", "M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM304 123.5C304 117.7 300.9 112.4 295.9 109.6L248.1 82.31C246.1 81.09 243.8 80.3 241.4 80.07C240.9 80.03 240.4 80 239.9 80H239.8C236.6 80 233.6 80.98 231 82.65C229.5 83.64 228.2 84.9 227 86.4C225.9 87.94 224.1 89.71 224.5 91.63C224 93.18 223.8 94.77 223.8 96.34V400.6C223.8 409.4 231 416.6 239.8 416.6C248.7 416.6 255.8 409.4 255.8 400.6V272.6H287.8C296.7 272.6 303.8 265.4 303.8 256.6C303.8 247.7 296.7 240.6 287.8 240.6H255.8V123.6L280.1 137.4C290.7 143.5 304 135.8 304 123.5H304zM320 150.9C320 156.6 323.1 161.9 328.1 164.8L351.8 178.4V352.6C351.8 361.4 359 368.6 367.8 368.6C376.7 368.6 383.8 361.4 383.8 352.6V196.6L400.1 205.9C407.7 210.3 417.5 207.6 421.9 199.9C426.3 192.3 423.6 182.5 415.9 178.1L343.9 137C333.3 130.9 320 138.6 320 150.9V150.9zM159.8 144.6V269.1L127 171.5C124.5 164.1 117 159.5 109.3 160.8C101.5 162 95.85 168.7 95.85 176.6V336.6C95.85 345.4 103 352.6 111.8 352.6C120.7 352.6 127.8 345.4 127.8 336.6V275.2L160.7 373.6C163.2 381.1 170.7 385.6 178.4 384.4C186.2 383.1 191.8 376.4 191.8 368.6V144.6C191.8 135.7 184.7 128.6 175.8 128.6C167 128.6 159.8 135.7 159.8 144.6V144.6z"],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", "M384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM272 328C272 341.3 261.3 352 248 352S224 341.3 224 328v-48H160v48C160 341.3 149.3 352 136 352S112 341.3 112 328v-144C112 170.8 122.8 160 136 160S160 170.8 160 184v48h64v-48C224 170.8 234.8 160 248 160S272 170.8 272 184V328zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z"],
    "highlighter": [576, 512, [], "f591", "M143.1 320V248.3C143.1 233 151.2 218.7 163.5 209.6L436.6 8.398C444 2.943 452.1 0 462.2 0C473.6 0 484.5 4.539 492.6 12.62L547.4 67.38C555.5 75.46 559.1 86.42 559.1 97.84C559.1 107 557.1 115.1 551.6 123.4L350.4 396.5C341.3 408.8 326.1 416 311.7 416H239.1L214.6 441.4C202.1 453.9 181.9 453.9 169.4 441.4L118.6 390.6C106.1 378.1 106.1 357.9 118.6 345.4L143.1 320zM489.4 99.92L460.1 70.59L245 229L330.1 314.1L489.4 99.92zM23.03 466.3L86.06 403.3L156.7 473.9L125.7 504.1C121.2 509.5 115.1 512 108.7 512H40C26.75 512 16 501.3 16 488V483.3C16 476.1 18.53 470.8 23.03 466.3V466.3z"],
    "highlighter-line": [576, 512, [], "e1af", "M127.1 248.3C127.1 233 135.2 218.7 147.5 209.6L420.6 8.398C428 2.943 436.1 0 446.2 0C457.6 0 468.5 4.539 476.6 12.62L531.4 67.38C539.5 75.46 543.1 86.42 543.1 97.84C543.1 107 541.1 115.1 535.6 123.4L334.4 396.5C325.3 408.8 310.1 416 295.7 416H223.1L198.6 441.4C186.1 453.9 165.9 453.9 153.4 441.4L102.6 390.6C90.13 378.1 90.13 357.9 102.6 345.4L127.1 320L127.1 248.3zM229 229L314.1 314.1L473.4 99.92L444.1 70.59L229 229zM140.7 473.9L109.7 504.1C105.2 509.5 99.05 512 92.69 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L70.06 403.3L140.7 473.9zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H224C210.7 512 200 501.3 200 488C200 474.7 210.7 464 224 464H552z"],
    "hill-avalanche": [640, 512, [], "e507", "M161.4 91.58C160.5 87.87 160 83.99 160 80C160 53.49 181.5 32 208 32C229.9 32 248.3 46.62 254.1 66.62C268.5 45.7 292.7 32 320 32C364.2 32 400 67.82 400 112C400 119.4 398.1 126.6 397.1 133.5C426.9 145.1 448 174.1 448 208C448 236.4 433.2 261.3 410.9 275.5L492.6 357.2C508.2 372.8 533.6 372.8 549.2 357.2C564.8 341.6 564.8 316.2 549.2 300.6C533.6 284.1 508.2 284.1 492.6 300.6L458.7 266.7C493 232.3 548.8 232.3 583.1 266.7C617.5 301 617.5 356.8 583.1 391.1C552.8 421.4 505.9 425 471.7 401.9L161.4 91.58zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM480 160C480 142.3 494.3 128 512 128C529.7 128 544 142.3 544 160C544 177.7 529.7 192 512 192C494.3 192 480 177.7 480 160zM456.1 443.7C482.2 468.9 464.3 512 428.7 512H112C67.82 512 32 476.2 32 432V115.3C32 79.68 75.09 61.83 100.3 87.03L456.1 443.7z"],
    "hill-rockslide": [576, 512, [], "e508", "M252.4 103.8C249.7 98.97 249.7 93.03 252.4 88.16L279.4 40.16C282.2 35.12 287.6 32 293.4 32H346.6C352.4 32 357.8 35.12 360.6 40.16L387.6 88.16C390.3 93.03 390.3 98.97 387.6 103.8L360.6 151.8C357.8 156.9 352.4 160 346.6 160H293.4C287.6 160 282.2 156.9 279.4 151.8L252.4 103.8zM424.1 443.7C450.2 468.9 432.3 512 396.7 512H80C35.82 512 0 476.2 0 432V115.3C0 79.68 43.09 61.83 68.28 87.03L424.1 443.7zM456.2 376.6C451.1 373.8 448 368.4 448 362.6V309.4C448 303.6 451.1 298.2 456.2 295.4L504.2 268.4C509 265.7 514.1 265.7 519.8 268.4L567.8 295.4C572.9 298.2 576 303.6 576 309.4V362.6C576 368.4 572.9 373.8 567.8 376.6L519.8 403.6C514.1 406.3 509 406.3 504.2 403.6L456.2 376.6zM192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256z"],
    "hippo": [640, 512, [129435], "f6ed", "M407 47.03C416.4 37.66 431.6 37.66 440.1 47.03L458.2 64.21C460.1 64.07 462 64 463.1 64H495.1C507.2 64 517.9 66.31 527.6 70.48L543 55.03C552.4 45.66 567.6 45.66 576.1 55.03C586.3 64.4 586.3 79.6 576.1 88.97L564 101.9C571.6 114.1 575.1 128.6 575.1 144C575.1 154.2 583.4 162.8 592.7 166.1C620.6 179.5 639.1 207.5 639.1 240C639.1 266.2 627.4 289.4 607.1 304V336C607.1 344.8 600.8 352 591.1 352H559.1C551.2 352 543.1 344.8 543.1 336V320H479.1V336C479.1 344.8 472.8 352 463.1 352H431.1C423.2 352 415.1 344.8 415.1 336V318.4C404.2 316 393.3 310.1 383.1 304C382.5 302.9 381.1 301.7 379.7 300.5C362.7 285.9 351.1 264.2 351.1 240C351.1 231.2 344.8 224 335.1 224C327.2 224 319.1 231.2 319.1 240C319.1 284.7 346.2 323.2 383.1 341.2V352C383.1 369.7 398.3 384 415.1 384H447.1V448C447.1 465.7 433.7 480 415.1 480H351.1C334.3 480 319.1 465.7 319.1 448V372C300.2 379.7 278.6 384 255.1 384C233.4 384 211.8 379.7 191.1 372V448C191.1 465.7 177.7 480 159.1 480H95.1C78.33 480 63.1 465.7 63.1 448V329.1L45.93 369.7C40.55 381.9 26.36 387.3 14.25 381.9C2.138 376.5-3.317 362.4 2.067 350.3L23.1 300.9C29.27 289 31.1 276.2 31.1 263.2C31.1 155.7 117.2 68.02 223.8 64.13L223.1 64H288C329.7 64 371.4 76.07 405.2 89.73C406.9 87.9 408.7 86.15 410.5 84.48L407 80.97C397.7 71.6 397.7 56.4 407 47.03H407zM455.1 208C442.7 208 431.1 218.7 431.1 232C431.1 245.3 442.7 256 455.1 256C469.3 256 479.1 245.3 479.1 232C479.1 218.7 469.3 208 455.1 208zM567.1 256C581.3 256 591.1 245.3 591.1 232C591.1 218.7 581.3 208 567.1 208C554.7 208 543.1 218.7 543.1 232C543.1 245.3 554.7 256 567.1 256zM463.1 128C455.2 128 447.1 135.2 447.1 144C447.1 152.8 455.2 160 463.1 160C472.8 160 479.1 152.8 479.1 144C479.1 135.2 472.8 128 463.1 128zM527.1 160C536.8 160 543.1 152.8 543.1 144C543.1 135.2 536.8 128 527.1 128C519.2 128 511.1 135.2 511.1 144C511.1 152.8 519.2 160 527.1 160z"],
    "hockey-mask": [448, 512, [], "f6ee", "M448 238.2c0-242.4-217.8-238.2-224-238.2c-6.193 0-223.1-4.253-223.1 238.2c0 49.81 9.68 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0008 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM288 55.97c13.31 0 24 10.69 24 24s-10.69 24-24 24s-24-10.69-24-24S274.7 55.97 288 55.97zM159.1 55.97c13.31 0 24 10.69 24 24S173.3 103.1 159.1 103.1c-13.31 0-24-10.69-24-24S146.7 55.97 159.1 55.97zM63.1 207.1c0-17.63 14.38-32 32-32h64c17.63 0 32 14.38 32 32c0 35.38-28.63 64-64 64S63.1 243.4 63.1 207.1zM175.1 471.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 471.1 175.1 471.1zM175.1 407.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 407.1 175.1 407.1zM175.1 343.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 343.1 175.1 343.1zM224 151.1c-13.31 0-24-10.69-24-24S210.7 103.1 224 103.1s24 10.69 24 24S237.3 151.1 224 151.1zM272 471.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 471.1 272 471.1zM272 407.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 407.1 272 407.1zM272 343.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 343.1 272 343.1zM320 271.1c-35.38 0-64-28.63-64-64c0-17.63 14.38-32 32-32h64c17.63 0 32 14.38 32 32C384 243.4 355.4 271.1 320 271.1z"],
    "hockey-puck": [512, 512, [], "f453", "M0 160c0-53 114.6-96 256-96s256 43 256 96s-114.6 96-256 96S0 213 0 160zM255.1 303.1C156.4 303.1 56.73 283.4 0 242.2V352c0 53 114.6 96 256 96s256-43 256-96V242.2C455.3 283.4 355.6 303.1 255.1 303.1z"],
    "hockey-stick-puck": [640, 512, [], "e3ae", "M32 351.1C14.4 351.1 0 366.4 0 383.1v95.99c0 17.6 14.4 31.1 31.99 32l32 .0052v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69l-167.2 334.3l-156.2 .0004V512h108.2c24.41 0 46.34-13.56 57.25-35.38l215.2-430.3C478.9 41.71 480 36.83 480 32.02zM608 416h-192c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-32C640 430.3 625.7 416 608 416z"],
    "hockey-sticks": [640, 512, [], "f454", "M373.7 323.8l-35.78 71.56l40.64 81.29C389.4 498.4 411.4 512 435.8 512H544v-160l-156.2-.0006L373.7 323.8zM266.3 252.2L302.1 180.6L220.6 17.69C215 6.468 203.7-.0003 191.1-.0003c-18.12 0-31.99 14.77-31.99 32.02c0 4.811 1.089 9.695 3.387 14.29L266.3 252.2zM607.1 351.1L576 351.1v159.1l32.01-.0052C625.6 511.1 640 497.6 640 479.1v-95.99C640 366.4 625.6 351.1 607.1 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69L252.2 351.1L96 351.1V512h108.2c24.41 0 46.34-13.56 57.25-35.38L476.6 46.31C478.9 41.71 480 36.83 480 32.02zM32 351.1c-17.6 0-32 14.4-32 32v95.99c0 17.6 14.4 31.1 31.99 32L64 511.1v-159.1L32 351.1z"],
    "holly-berry": [512, 512, [], "f7aa", "M287.1 143.1c0 26.5 21.5 47.1 47.1 47.1c26.5 0 48-21.5 48-47.1s-21.5-47.1-48-47.1C309.5 95.99 287.1 117.5 287.1 143.1zM176 191.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96c-26.5 0-47.1 21.5-47.1 47.1S149.5 191.1 176 191.1zM303.1 47.1C303.1 21.5 282.5 0 255.1 0c-26.5 0-47.1 21.5-47.1 47.1S229.5 95.99 255.1 95.99C282.5 95.99 303.1 74.5 303.1 47.1zM243.7 242.6C245.3 229.7 231.9 220.1 219.5 225.5C179.7 242.8 137.8 251.4 96.72 250.8C86.13 250.6 78.49 260.7 81.78 270.4C86.77 285.7 90.33 301.4 92.44 317.7c2.133 16.15-9.387 31.26-26.12 34.23c-16.87 2.965-33.7 4.348-50.48 4.152c-10.6-.0586-18.37 10.05-15.08 19.74c12.4 35.79 16.57 74.93 12.12 114.7c-1.723 14.96 13.71 25.67 28.02 19.8c38.47-15.95 78.77-23.81 118.2-23.34c10.58 .1953 18.36-9.91 15.07-19.6c-5.141-15.15-8.68-31.06-10.79-47.34c-2.133-16.16 9.371-31.13 26.24-34.09c16.73-2.973 33.57-4.496 50.36-4.301c10.73 .0781 18.51-10.03 15.22-19.72C242.5 324.7 238.5 283.9 243.7 242.6zM496.2 356.1c-16.78 .1953-33.61-1.188-50.48-4.152c-16.73-2.973-28.25-18.08-26.12-34.23c2.115-16.28 5.67-32.05 10.66-47.32c3.289-9.691-4.35-19.81-14.93-19.62c-41.11 .6484-83.01-7.965-122.7-25.23c-6.85-2.969-13.71-1.18-18.47 2.953c1.508 5.836 2.102 11.93 1.332 18.05c-4.539 36.23-1.049 72.56 10.12 105.1c3.395 9.988 3.029 20.73-.4766 30.52c12.44 .5 24.89 1.602 37.28 3.801c16.87 2.957 28.37 17.93 26.24 34.09c-2.115 16.27-5.654 32.19-10.79 47.34c-3.289 9.691 4.486 19.8 15.07 19.6c39.47-.4766 79.77 7.383 118.2 23.34c14.31 5.867 29.74-4.844 28.02-19.8c-4.451-39.81-.2832-78.95 12.12-114.7C514.5 366.1 506.8 356 496.2 356.1z"],
    "honey-pot": [448, 512, [127855], "e418", "M432.4 150.2C444.4 172.8 449.9 198.4 448 224C445.4 314.1 408.5 399.7 344.8 463.5C332.9 474.1 317.5 479.1 301.6 480H146.4C130.5 479.1 115.1 474.1 103.2 463.5C39.51 399.8 2.571 314.1 .0013 224C-1.854 198.4 3.556 172.8 15.61 150.2C27.66 127.5 45.87 108.8 68.13 96H64C55.51 96 47.38 92.63 41.37 86.63C35.37 80.63 32 72.49 32 64C32 55.51 35.37 47.37 41.37 41.37C47.38 35.37 55.51 32 64 32H128V136.1C128 142.4 130.5 148.5 135 153C139.5 157.5 145.6 160.1 152 160.1C158.4 160.1 164.5 157.5 168.1 153C173.5 148.5 176 142.4 176 136.1V32H384C392.5 32 400.6 35.37 406.6 41.37C412.6 47.37 416 55.51 416 64C416 72.49 412.6 80.63 406.6 86.63C400.6 92.63 392.5 96 384 96H379.9C402.1 108.8 420.3 127.5 432.4 150.2zM384 224H64C65.7 268.8 77.64 312.6 98.88 352H349C370.3 312.6 382.3 268.8 384 224z"],
    "hood-cloak": [576, 512, [], "f6ef", "M288.2 192c-70.62 0-128 57.25-128 128l.0658 192h255.1l-.0593-192C416.2 249.2 358.9 192 288.2 192zM569.6 460.8c-57.62-77-57.62-140.9-57.62-140.9v-64c0-84-46.42-122.1-101.2-182.8l39.77-39.75c12.37-12.38 3.625-33.5-13.87-33.5H287.6c-95.62 0-223.6 109.5-223.6 256v64c0 0-.0252 63.85-57.65 140.9C1.865 466.7-.1195 473.5 .0055 479.1c.25 16.5 13.48 32 32.36 32L128.3 512v-192c0-88.25 71.75-160 159.1-160s159.1 71.75 159.1 160v192l95.38 0c18.87 0 32.11-15.5 32.36-32C576.1 473.5 574.1 466.7 569.6 460.8z"],
    "horizontal-rule": [640, 512, [8213], "f86c", "M607.9 288h-576C14.25 288 0 273.7 0 256S14.38 224 32.06 224h576C625.8 224 640 238.3 640 255.1S625.6 288 607.9 288z"],
    "horse": [576, 512, [128014], "f6f0", "M575.9 76.61c0-8.125-3.05-15.84-8.55-21.84c-3.875-4-8.595-9.125-13.72-14.5c11.12-6.75 19.47-17.51 22.22-30.63c.9999-5-2.849-9.641-7.974-9.641L447.9 0c-70.62 0-127.9 57.25-127.9 128L159.1 128c-28.87 0-54.38 12.1-72 33.12L87.1 160C39.5 160 .0001 199.5 .0001 248L0 304c0 8.875 7.125 15.1 15.1 15.1L31.1 320c8.874 0 15.1-7.125 15.1-16l.0005-56c0-13.25 6.884-24.4 16.76-31.65c-.125 2.5-.758 5.024-.758 7.649c0 27.62 11.87 52.37 30.5 69.87l-25.65 68.61c-4.586 12.28-5.312 25.68-2.128 38.4l21.73 86.89C92.02 502 104.8 512 119.5 512h32.98c20.81 0 36.08-19.55 31.05-39.74L162.2 386.9l23.78-63.61l133.1 22.34L319.1 480c0 17.67 14.33 32 31.1 32h31.1c17.67 0 31.1-14.33 31.1-32l.0166-161.8C435.7 297.1 447.1 270.5 447.1 240c0-.25-.1025-.3828-.1025-.6328V136.9L463.9 144l18.95 37.72c7.481 14.86 25.08 21.55 40.52 15.34l32.54-13.05c12.13-4.878 20.11-16.67 20.09-29.74L575.9 76.61zM511.9 96c-8.75 0-15.1-7.125-15.1-16S503.1 64 511.9 64c8.874 0 15.1 7.125 15.1 16S520.8 96 511.9 96z"],
    "horse-head": [512, 512, [], "f7ab", "M509.8 332.5l-69.89-164.3c-14.88-41.25-50.38-70.98-93.01-79.24c18-10.63 46.35-35.9 34.23-82.29c-1.375-5.001-7.112-7.972-11.99-6.097l-202.3 75.66C35.89 123.4 0 238.9 0 398.8v81.24C0 497.7 14.25 512 32 512h236.2c23.75 0 39.3-25.03 28.55-46.28l-40.78-81.71V383.3c-45.63-3.5-84.66-30.7-104.3-69.58c-1.625-3.125-.9342-6.951 1.566-9.327l12.11-12.11c3.875-3.875 10.64-2.692 12.89 2.434c14.88 33.63 48.17 57.38 87.42 57.38c17.13 0 33.05-5.091 46.8-13.22l46 63.9c6 8.501 15.75 13.34 26 13.34h50.28c8.501 0 16.61-3.388 22.61-9.389l45.34-39.84C511.6 357.7 514.4 344.2 509.8 332.5zM328.1 223.1c-13.25 0-23.96-10.75-23.96-24c0-13.25 10.75-23.92 24-23.92s23.94 10.73 23.94 23.98C352 213.3 341.3 223.1 328.1 223.1z"],
    "horse-saddle": [576, 512, [], "f8c3", "M128 159.8V134c-15.38 5.5-29.12 14.85-40 27.1V160.1c-48.62 0-88 39.38-88 88v56.01c0 8.875 7.125 16 16 16L32 320.1c8.875 0 16-7.13 16-16.01v-56.05c0-13.25 6.883-24.36 16.76-31.74C64.51 218.9 64 221.4 64 224c0 26.5 11.12 51.84 30.5 69.84l-25.71 68.74c-4.5 12.12-5.268 25.39-2.143 38.01l24.86 99.25C93.25 506.5 100.1 512 107 512h66c4.875 0 9.625-2.25 12.62-6.125c3-3.875 4.125-9 2.875-13.75l-26.28-105.1l23.78-63.63L208 327.1V254.3C161.9 246.5 128 206.6 128 159.8zM288 160V128L160 128V160c0 35.38 28.62 64 64 64S288 195.4 288 160zM575.9 76.64c0-8.125-3.049-15.85-8.549-21.85c-3.875-4-8.596-9.005-13.72-14.5c11.12-6.75 19.47-17.53 22.22-30.65c.375-2.375-.2344-4.757-1.734-6.632C572.6 1.125 570.4 0 567.9 0H447.9C377.6 0 320.5 56.75 320 127v32.84c0 46.88-33.88 86.72-80 94.47v78.1l80 13.31V496c0 8.875 7.125 15.1 16 15.1L400 512c8.875 0 16-7.125 16-16V318.3c20.5-20.87 32-49.01 32-78.26c0-.25 .0234-.3831-.1016-.633V136.9l16 7.12l18.89 37.74c7.5 14.87 25.12 21.57 40.5 15.32l32.59-13C566.1 179.7 576 166.3 576 154.4L575.9 76.64zM511.9 96.04c-8.75 0-16-7.132-16-16.01s7.25-16.01 16-16.01c8.875 0 16 7.132 16 16.01S520.8 96.04 511.9 96.04z"],
    "hose": [448, 512, [], "e419", "M416 448H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 448 416 448zM416 352H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 352 416 352zM432 24c-8.064 0-14.75 5.984-15.84 13.73L336 26.27V24C336 10.75 325.2 0 312 0S288 10.75 288 24v80C288 117.2 298.8 128 312 128s24-10.75 24-24V101.7l80.16-11.46C417.2 98.02 423.9 104 432 104c8.832 0 16-7.168 16-16v-48C448 31.17 440.8 24 432 24zM416 256H144C99.81 256 64 220.2 64 176S99.81 96 144 96H256V32H144C64.48 32 0 96.48 0 176S64.48 320 144 320H416c17.66 0 32-14.34 32-32S433.7 256 416 256z"],
    "hose-reel": [576, 512, [], "e41a", "M584 352H576V256c0-141.4-114.6-256-256-256C178.6 0 64 114.6 64 256s114.6 256 256 256c54.34 0 104.8-16.96 146.3-45.92c14.5-10.08 18.05-30.05 7.936-44.54s-30.05-18.05-44.54-7.936C398.6 435.3 360.8 448 320 448c-106 0-192-85.95-192-192s85.95-192 192-192s192 85.95 192 192v96h-8C490.8 352 480 362.8 480 376s10.75 24 24 24h2.271l11.46 80.16C509.1 481.2 504 487.9 504 496c0 8.832 7.168 16 16 16h48c8.832 0 16-7.168 16-16c0-8.064-5.984-14.75-13.73-15.84L581.7 400H584c13.25 0 24-10.75 24-24S597.2 352 584 352zM320 192C284.6 192 256 220.6 256 256s28.64 64 64 64s64-28.64 64-64S355.4 192 320 192zM320 96C231.6 96 160 167.6 160 256s71.65 160 160 160s160-71.65 160-160S408.4 96 320 96zM320 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S373 352 320 352z"],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", "M192 48C192 21.49 213.5 0 240 0H400C426.5 0 448 21.49 448 48V512H368V432C368 405.5 346.5 384 320 384C293.5 384 272 405.5 272 432V512H192V48zM312 64C303.2 64 296 71.16 296 80V104H272C263.2 104 256 111.2 256 120V136C256 144.8 263.2 152 272 152H296V176C296 184.8 303.2 192 312 192H328C336.8 192 344 184.8 344 176V152H368C376.8 152 384 144.8 384 136V120C384 111.2 376.8 104 368 104H344V80C344 71.16 336.8 64 328 64H312zM160 96V512H48C21.49 512 0 490.5 0 464V320H80C88.84 320 96 312.8 96 304C96 295.2 88.84 288 80 288H0V224H80C88.84 224 96 216.8 96 208C96 199.2 88.84 192 80 192H0V144C0 117.5 21.49 96 48 96H160zM592 96C618.5 96 640 117.5 640 144V192H560C551.2 192 544 199.2 544 208C544 216.8 551.2 224 560 224H640V288H560C551.2 288 544 295.2 544 304C544 312.8 551.2 320 560 320H640V464C640 490.5 618.5 512 592 512H480V96H592z"],
    "hospital-user": [576, 512, [], "f80d", "M272 0C298.5 0 320 21.49 320 48V367.8C281.8 389.2 256 430 256 476.9C256 489.8 259.6 501.8 265.9 512H48C21.49 512 0 490.5 0 464V384H144C152.8 384 160 376.8 160 368C160 359.2 152.8 352 144 352H0V288H144C152.8 288 160 280.8 160 272C160 263.2 152.8 256 144 256H0V48C0 21.49 21.49 0 48 0H272zM152 64C143.2 64 136 71.16 136 80V104H112C103.2 104 96 111.2 96 120V136C96 144.8 103.2 152 112 152H136V176C136 184.8 143.2 192 152 192H168C176.8 192 184 184.8 184 176V152H208C216.8 152 224 144.8 224 136V120C224 111.2 216.8 104 208 104H184V80C184 71.16 176.8 64 168 64H152zM512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272zM288 477.1C288 425.7 329.7 384 381.1 384H482.9C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1V477.1z"],
    "hospitals": [576, 512, [], "f80e", "M304 0H528C554.5 0 576 21.49 576 48V256H464C455.2 256 448 263.2 448 272C448 280.8 455.2 288 464 288H576V352H464C455.2 352 448 359.2 448 368C448 376.8 455.2 384 464 384H576V464C576 490.5 554.5 512 528 512H311.4C316.9 502.6 320 491.7 320 480V96C320 61.56 292.8 33.48 258.7 32.06C265.3 13.38 283.1 0 304 0H304zM408 104H384C375.2 104 368 111.2 368 120V136C368 144.8 375.2 152 384 152H408V176C408 184.8 415.2 192 424 192H440C448.8 192 456 184.8 456 176V152H480C488.8 152 496 144.8 496 136V120C496 111.2 488.8 104 480 104H456V80C456 71.16 448.8 64 440 64H424C415.2 64 408 71.16 408 80V104zM0 112C0 85.49 21.49 64 48 64H240C266.5 64 288 85.49 288 112V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V448H144C152.8 448 160 440.8 160 432C160 423.2 152.8 416 144 416H0V352H144C152.8 352 160 344.8 160 336C160 327.2 152.8 320 144 320H0V112zM120 168H96C87.16 168 80 175.2 80 184V200C80 208.8 87.16 216 96 216H120V240C120 248.8 127.2 256 136 256H152C160.8 256 168 248.8 168 240V216H192C200.8 216 208 208.8 208 200V184C208 175.2 200.8 168 192 168H168V144C168 135.2 160.8 128 152 128H136C127.2 128 120 135.2 120 144V168z"],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", "M414.3 177.6C415.3 185.9 421.1 192 429.1 192h16.13c9.5 0 17-8.625 16-18.38C457.8 134.5 439.6 99.12 412 76.5c-17.38-14.12-28.88-36.75-32-62.12C379 6.125 372.3 0 364.3 0h-16.12c-9.5 0-17.12 8.625-16 18.38c4.375 39.12 22.38 74.5 50.13 97.13C399.6 129.6 411 152.2 414.3 177.6zM306.3 177.6C307.3 185.9 313.1 192 321.1 192h16.13c9.5 0 17-8.625 16-18.38C349.8 134.5 331.6 99.12 304 76.5c-17.38-14.12-28.88-36.75-32-62.12C271 6.125 264.3 0 256.3 0h-16.17C230.6 0 223 8.625 224.1 18.38C228.5 57.5 246.5 92.88 274.3 115.5C291.6 129.6 303 152.2 306.3 177.6zM480 256h-224L145.1 172.8C133.1 164.5 120.5 160 106.6 160H64C28.62 160 0 188.6 0 224v224c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V288C512 270.4 497.6 256 480 256zM128 440C128 444.4 124.4 448 120 448h-16C99.62 448 96 444.4 96 440v-112C96 323.6 99.62 320 104 320h16C124.4 320 128 323.6 128 328V440zM224 440C224 444.4 220.4 448 216 448h-16C195.6 448 192 444.4 192 440v-112C192 323.6 195.6 320 200 320h16C220.4 320 224 323.6 224 328V440zM320 440c0 4.375-3.625 8-8 8h-16C291.6 448 288 444.4 288 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM416 440c0 4.375-3.625 8-8 8h-16C387.6 448 384 444.4 384 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM64 128c35.38 0 64-28.62 64-64S99.38 0 64 0S0 28.62 0 64S28.62 128 64 128z"],
    "hotdog": [512, 512, [127789], "f80f", "M488.6 23.44c-31.06-31.19-81.76-31.16-112.8 .0313L24.46 374.8c-20.83 19.96-29.19 49.66-21.83 77.6c7.36 27.94 29.07 49.65 57.02 57.01c27.94 7.36 57.64-1 77.6-21.83l351.3-351.3C519.7 105.2 519.8 54.5 488.6 23.44zM438.8 118.4c-19.59 19.59-37.39 22.52-51.74 25.01c-12.97 2.246-22.33 3.867-34.68 16.22c-12.35 12.35-13.97 21.71-16.22 34.69c-2.495 14.35-5.491 32.19-25.08 51.78c-19.59 19.59-37.43 22.58-51.78 25.08C246.3 273.4 236.9 275.1 224.6 287.4c-12.35 12.35-13.97 21.71-16.22 34.68C205.9 336.4 202.9 354.3 183.3 373.9c-19.59 19.59-37.43 22.58-51.78 25.08C118.5 401.2 109.2 402.8 96.83 415.2c-6.238 6.238-16.34 6.238-22.58 0c-6.238-6.238-6.238-16.35 0-22.58c19.59-19.59 37.43-22.58 51.78-25.07c12.97-2.245 22.33-3.869 34.68-16.22c12.35-12.35 13.97-21.71 16.22-34.69c2.495-14.35 5.492-32.19 25.08-51.78s37.43-22.58 51.78-25.08c12.97-2.246 22.33-3.869 34.68-16.22s13.97-21.71 16.22-34.68c2.495-14.35 5.492-32.19 25.08-51.78c19.59-19.59 37.43-22.58 51.78-25.07c12.97-2.246 22.28-3.815 34.63-16.17c6.238-6.238 16.36-6.238 22.59 0C444.1 102.1 444.1 112.2 438.8 118.4zM32.44 321.5l290-290l-11.48-11.6c-24.95-24.95-63.75-26.57-86.58-3.743L17.1 223.4C-5.73 246.3-4.108 285.1 20.84 310L32.44 321.5zM480.6 189.5l-290 290l11.48 11.6c24.95 24.95 63.75 26.57 86.58 3.743l207.3-207.3c22.83-22.83 21.21-61.63-3.743-86.58L480.6 189.5z"],
    "hotel": [512, 512, [127976], "f594", "M480 0C497.7 0 512 14.33 512 32C512 49.67 497.7 64 480 64V448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H304V448H208V512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H480zM112 96C103.2 96 96 103.2 96 112V144C96 152.8 103.2 160 112 160H144C152.8 160 160 152.8 160 144V112C160 103.2 152.8 96 144 96H112zM224 144C224 152.8 231.2 160 240 160H272C280.8 160 288 152.8 288 144V112C288 103.2 280.8 96 272 96H240C231.2 96 224 103.2 224 112V144zM368 96C359.2 96 352 103.2 352 112V144C352 152.8 359.2 160 368 160H400C408.8 160 416 152.8 416 144V112C416 103.2 408.8 96 400 96H368zM96 240C96 248.8 103.2 256 112 256H144C152.8 256 160 248.8 160 240V208C160 199.2 152.8 192 144 192H112C103.2 192 96 199.2 96 208V240zM240 192C231.2 192 224 199.2 224 208V240C224 248.8 231.2 256 240 256H272C280.8 256 288 248.8 288 240V208C288 199.2 280.8 192 272 192H240zM352 240C352 248.8 359.2 256 368 256H400C408.8 256 416 248.8 416 240V208C416 199.2 408.8 192 400 192H368C359.2 192 352 199.2 352 208V240zM256 288C211.2 288 173.5 318.7 162.1 360.2C159.7 373.1 170.7 384 184 384H328C341.3 384 352.3 373.1 349 360.2C338.5 318.7 300.8 288 256 288z"],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", "M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32zM96 64V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H96zM96 448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448z"],
    "hourglass-clock": [576, 512, [], "e41b", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L273.2 291.1C262.2 314.1 256 340.8 256 368C256 427.5 285.6 480.1 330.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96V74.98C96 93.98 101.6 112.4 111.1 128zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9z"],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96V74.98C96 93.98 101.6 112.4 111.1 128zM111.1 384H272C268.5 378.7 264.5 373.7 259.9 369.1L192 301.3L124.1 369.1C119.5 373.7 115.5 378.7 111.1 384V384z"],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1V369.1z"],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.5 450.5 512.3 453.1 512 455.8V472C512 494.1 494.1 512 472 512H456C454.9 512 453.8 511.1 452.7 511.9C451.3 511.1 449.9 512 448.5 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5z"],
    "house-blank": [576, 512, ["home-blank"], "e487", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8z"],
    "house-building": [640, 512, [], "e1b1", "M592 0C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H400C410 498.6 416 482 416 464V352H432C440.8 352 448 344.8 448 336V304C448 295.2 440.8 288 432 288H416V277.1C416 269.9 415 262.8 413.2 256H432C440.8 256 448 248.8 448 240V208C448 199.2 440.8 192 432 192H400C391.2 192 384 199.2 384 208V212.6L320 153.9V48C320 21.49 341.5 0 368 0L592 0zM512 240C512 248.8 519.2 256 528 256H560C568.8 256 576 248.8 576 240V208C576 199.2 568.8 192 560 192H528C519.2 192 512 199.2 512 208V240zM528 288C519.2 288 512 295.2 512 304V336C512 344.8 519.2 352 528 352H560C568.8 352 576 344.8 576 336V304C576 295.2 568.8 288 560 288H528zM400 96C391.2 96 384 103.2 384 112V144C384 152.8 391.2 160 400 160H432C440.8 160 448 152.8 448 144V112C448 103.2 440.8 96 432 96H400zM512 144C512 152.8 519.2 160 528 160H560C568.8 160 576 152.8 576 144V112C576 103.2 568.8 96 560 96H528C519.2 96 512 103.2 512 112V144zM15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464V277.1C0 263.7 5.647 250.8 15.57 241.7H15.57zM144 344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168C154.7 272 144 282.7 144 296V344z"],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", "M511.8 287.6L512.5 447.7C512.5 450.5 512.3 453.1 512 455.8V472C512 494.1 494.1 512 472 512H456C454.9 512 453.8 511.1 452.7 511.9C451.3 511.1 449.9 512 448.5 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6z"],
    "house-chimney-blank": [576, 512, [], "e3b0", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6z"],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5z"],
    "house-chimney-heart": [576, 512, [], "e1b2", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5zM184 304L276.7 396.7C282.9 402.9 293.1 402.9 299.3 396.7L392 304C414.1 281.9 414.1 246.1 392 224C369.9 201.9 334.1 201.9 312 224L288 248L264 224C241.9 201.9 206.1 201.9 184 224C161.9 246.1 161.9 281.9 184 304H184z"],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6zM400 248C400 239.2 392.8 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C320.8 384 328 376.8 328 368V312H384C392.8 312 400 304.8 400 296V248z"],
    "house-chimney-user": [576, 512, [], "e065", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6zM288 288C323.3 288 352 259.3 352 224C352 188.7 323.3 160 288 160C252.7 160 224 188.7 224 224C224 259.3 252.7 288 288 288zM192 416H384C392.8 416 400 408.8 400 400C400 355.8 364.2 320 320 320H256C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416z"],
    "house-chimney-window": [576, 512, [], "e00d", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5zM248 192C234.7 192 224 202.7 224 216V296C224 309.3 234.7 320 248 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H248z"],
    "house-circle-check": [640, 512, [], "e509", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-circle-exclamation": [640, 512, [], "e50a", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-circle-xmark": [640, 512, [], "e50b", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "house-crack": [576, 512, [], "e3b1", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8z"],
    "house-day": [640, 512, [], "e00e", "M201.8 59.55L257.5 42.85C263.1 41.16 269.2 42.71 273.4 46.87C277.5 51.03 279.1 57.13 277.4 62.77L260.7 118.5L296 137.5L231.3 197.3C236.9 186.4 240 174 240 160.9C240 116.7 204.2 80.88 160 80.88C115.8 80.88 80.01 116.7 80.01 160.9C80.01 205.1 115.8 240.1 160 240.1C170.8 240.1 181.1 238.8 190.5 234.9L133.1 287.1L118.4 260.8L62.76 277.5C57.12 279.2 51.01 277.6 46.85 273.5C42.69 269.3 41.15 263.2 42.84 257.6L59.52 201.8L8.342 174.3C3.164 171.5 0 165.9 0 160C0 154.1 3.164 148.9 8.342 146.1L59.52 118.5L42.84 62.77C41.15 57.13 42.69 51.03 46.85 46.87C51.01 42.71 57.12 41.17 62.76 42.85L118.4 59.55L146 8.347C148.8 3.166 154.1 0 160 0C165.9 0 171.4 3.166 174.2 8.347L201.8 59.55zM208 160C208 186.5 186.5 208 160 208C133.5 208 112 186.5 112 160C112 133.5 133.5 112 160 112C186.5 112 208 133.5 208 160zM629.7 296.5C636.4 302.7 639.1 311.2 640 320C640 337.3 625.5 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C174.6 352 159.1 337.3 160 320C160 311.2 163.6 302.7 170.3 296.5L378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5zM352 368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368C359.2 288 352 295.2 352 304V368z"],
    "house-fire": [640, 512, [], "e50c", "M288 350.1L288 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L447.3 128.1C434.9 127.2 422.3 131.1 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1H288zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 367C507 367 449 293 445 288C415 324.1 400 346 400 370C400 419 436 448 481 448C499 448 515 443 530 432.1C560 412 568 370 550 336.1z"],
    "house-flag": [640, 512, [], "e50d", "M480 0C497.7 0 512 14.33 512 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0V0zM416 512H416.1L416.8 512H352C334.3 512 320 497.7 320 480V384C320 366.3 305.7 352 288 352H224C206.3 352 192 366.3 192 384V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V288H31.1C18.61 288 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512z"],
    "house-flood-water": [576, 512, [], "e50e", "M482.8 134.1C494 142.3 498.7 156.7 494.4 169.9C490.1 183.1 477.9 192 464 192H447.4L447.7 265.2C446.1 266.1 444.6 267.1 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C302.8 252.6 273.3 252.6 251.2 268.1C234 279.9 213.2 288.5 192 288.5C172.1 288.5 150.8 280.5 132.9 268.1C131.3 267 129.7 265.1 128 265V192H112C98.14 192 85.86 183.1 81.57 169.9C77.28 156.7 81.97 142.3 93.18 134.1L269.2 6.12C280.4-2.04 295.6-2.04 306.8 6.12L482.8 134.1zM269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C158.1 400 126.5 389.7 97.5 374.2C84.12 382.6 63.79 393.4 39.27 399.2C22.06 403.2 4.854 392.5 .8426 375.3C-3.169 358.1 7.532 340.8 24.74 336.8C42.84 332.6 60.96 323.5 75.31 311.6C86.46 302.1 102.6 301.4 114.5 309.9L114.6 309.9C136.7 325.2 165.1 336 192 336C219.5 336 247 325.4 269.5 309.9H269.5zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", "M288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 .0002 144 .0002C223.5 .0002 288 64.47 288 144zM140.7 99.31L169.4 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H169.4L140.7 188.7C134.4 194.9 134.4 205.1 140.7 211.3C146.9 217.6 157.1 217.6 163.3 211.3L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7L163.3 76.69C157.1 70.44 146.9 70.44 140.7 76.69C134.4 82.94 134.4 93.07 140.7 99.31V99.31zM301 64.42L381.2 6.12C392.4-2.04 407.6-2.04 418.8 6.12L594.8 134.1C606 142.3 610.7 156.7 606.4 169.9C602.1 183.1 589.9 192 576 192H559.4L559.7 276.4C557.5 274.8 555.3 273.2 553.2 271.5C531 252.8 498.9 251.4 475.2 268.1C457.2 280.5 435 288.5 416 288.5C396.4 288.5 375.2 280.8 356.8 268.1C334.8 252.6 305.3 252.6 283.2 268.1C273.2 274.1 262 280.7 250.2 284.3C292.6 252.2 319.1 201.3 319.1 144C319.1 115.4 313.2 88.32 301 64.42V64.42zM416 336C442.9 336 471.4 325.2 493.4 309.9L493.5 309.9C505.4 301.4 521.5 302.1 532.7 311.6C547 323.5 565.2 332.6 583.3 336.8C600.5 340.8 611.2 358.1 607.2 375.3C603.2 392.5 585.1 403.2 568.7 399.2C544.2 393.4 523.9 382.6 510.5 374.2C481.5 389.7 449 400 416 400C384.1 400 355.4 390.1 335.6 381.1C329.7 378.5 324.5 375.8 320 373.4C315.5 375.8 310.3 378.5 304.4 381.1C284.6 390.1 255.9 400 224 400C190.1 400 158.5 389.7 129.5 374.2C116.1 382.6 95.79 393.4 71.27 399.2C54.06 403.2 36.85 392.5 32.84 375.3C28.83 358.1 39.53 340.8 56.74 336.8C74.84 332.6 92.96 323.5 107.3 311.6C118.5 302.1 134.6 301.4 146.5 309.9L146.6 309.9C168.7 325.2 197.1 336 224 336C251.5 336 279 325.4 301.5 309.9C312.6 302 327.4 302 338.5 309.9C360.1 325.4 388.5 336 416 336H416zM338.5 421.9C360.1 437.4 388.5 448 416 448C442.9 448 471.4 437.2 493.4 421.9L493.5 421.9C505.4 413.4 521.5 414.1 532.7 423.6C547 435.5 565.2 444.6 583.3 448.8C600.5 452.8 611.2 470.1 607.2 487.3C603.2 504.5 585.1 515.2 568.7 511.2C544.2 505.4 523.9 494.6 510.5 486.2C481.5 501.7 449 512 416 512C384.1 512 355.4 502.1 335.6 493.1C329.7 490.5 324.5 487.8 320 485.4C315.5 487.8 310.3 490.5 304.4 493.1C284.6 502.1 255.9 512 224 512C190.1 512 158.5 501.7 129.5 486.2C116.1 494.6 95.79 505.4 71.27 511.2C54.06 515.2 36.85 504.5 32.84 487.3C28.83 470.1 39.53 452.8 56.74 448.8C74.84 444.6 92.96 435.5 107.3 423.6C118.5 414.1 134.6 413.4 146.5 421.9L146.6 421.9C168.7 437.2 197.1 448 224 448C251.5 448 279 437.4 301.5 421.9C312.6 414 327.4 414 338.5 421.9H338.5z"],
    "house-heart": [576, 512, ["home-heart"], "f4c9", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8zM299.3 396.7L392 304C414.1 281.9 414.1 246.1 392 224C369.9 201.9 334.1 201.9 312 224L288 248L264 224C241.9 201.9 206.1 201.9 184 224C161.9 246.1 161.9 281.9 184 304L276.7 396.7C282.9 402.9 293.1 402.9 299.3 396.7H299.3z"],
    "house-laptop": [640, 512, ["laptop-house"], "e066", "M218.3 8.486C230.6-2.829 249.4-2.829 261.7 8.486L469.7 200.5C476.4 206.7 480 215.2 480 224H336C316.9 224 299.7 232.4 288 245.7V208C288 199.2 280.8 192 272 192H208C199.2 192 192 199.2 192 208V272C192 280.8 199.2 288 208 288H271.1V416H112C85.49 416 64 394.5 64 368V256H32C18.83 256 6.996 247.9 2.198 235.7C-2.6 223.4 .6145 209.4 10.3 200.5L218.3 8.486zM336 256H560C577.7 256 592 270.3 592 288V448H624C632.8 448 640 455.2 640 464C640 490.5 618.5 512 592 512H303.1C277.5 512 255.1 490.5 255.1 464C255.1 455.2 263.2 448 271.1 448H303.1V288C303.1 270.3 318.3 256 336 256zM352 304V448H544V304H352z"],
    "house-lock": [640, 512, [], "e510", "M384 480C384 491.7 387.1 502.6 392.6 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L490.7 166.3C447.2 181.7 416 223.2 416 272V296.6C396.9 307.6 384 328.3 384 352L384 480zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "house-medical": [576, 512, [], "e3b2", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8zM328 232V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C320.8 384 328 376.8 328 368V312H384C392.8 312 400 304.8 400 296V248C400 239.2 392.8 232 384 232H328z"],
    "house-medical-circle-check": [640, 512, [], "e511", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-medical-circle-exclamation": [640, 512, [], "e512", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-medical-circle-xmark": [640, 512, [], "e513", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "house-medical-flag": [640, 512, [], "e514", "M480 0C497.7 0 512 14.33 512 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0V0zM416 512H416.1L416.8 512H96C78.33 512 64 497.7 64 480V288H31.1C18.61 288 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512zM223.1 256H175.1C167.2 256 159.1 263.2 159.1 272V304C159.1 312.8 167.2 320 175.1 320H223.1V368C223.1 376.8 231.2 384 239.1 384H271.1C280.8 384 287.1 376.8 287.1 368V320H336C344.8 320 352 312.8 352 304V272C352 263.2 344.8 256 336 256H287.1V208C287.1 199.2 280.8 192 271.1 192H239.1C231.2 192 223.1 199.2 223.1 208V256z"],
    "house-night": [640, 512, [], "e010", "M88 88C88 136.6 127.4 176 176 176C179 176 182 175.8 184.1 175.6C192.6 174.8 198.8 183.2 193.5 188.8C173.1 210.5 144.1 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C115.7 0 119.4 .1805 123 .5334C130.6 1.275 131.5 11.71 125.2 16.12C102.7 32.06 88 58.31 88 88L88 88zM275.4 44.55L307.7 56.5C314.7 59.07 314.7 68.93 307.7 71.5L275.4 83.45L263.5 115.7C260.9 122.7 251.1 122.7 248.5 115.7L236.6 83.45L204.3 71.5C197.3 68.93 197.3 59.07 204.3 56.5L236.6 44.55L248.5 12.28C251.1 5.312 260.9 5.312 263.5 12.28L275.4 44.55zM629.7 296.5C639.4 305.4 642.6 319.4 637.8 331.7C633 343.9 621.2 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C178.8 352 166.1 343.9 162.2 331.7C157.4 319.4 160.6 305.4 170.3 296.5L378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5zM352 368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368C359.2 288 352 295.2 352 304V368zM88.5 332.3C91.07 325.3 100.9 325.3 103.5 332.3L115.4 364.6L147.7 376.5C154.7 379.1 154.7 388.9 147.7 391.5L115.4 403.4L103.5 435.7C100.9 442.7 91.07 442.7 88.5 435.7L76.55 403.4L44.28 391.5C37.31 388.9 37.31 379.1 44.28 376.5L76.55 364.6L88.5 332.3z"],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", "M356.8 384.7c3.127-3.129 5.409-6.512 7.036-10.73l32.46-80.76c-.4766-3.002-.8105-5.992-.998-9.033c-2.979 1.562-6.058 2.846-9.325 3.969c-6.459 2.119-13.18 3.195-19.99 3.195c-9.879 0-19.71-2.255-28.79-6.794c-31.03-15.89-43.84-54.27-28.42-85.61l6.743-13.61c13.82-27.97 37.31-49.88 66.45-61.77l3.028-1.223L261.7 8.486c-12.26-11.32-31.15-11.32-43.41 0l-208 192c-9.688 8.938-12.89 22.88-8.094 35.16C6.998 247.9 18.83 255.1 31.1 255.1h31.1l-.0098 112c0 26.4 21.6 48 47.1 48l213.5 .041L356.8 384.7zM223.1 272c0 8.875-7.125 16-16 16h-64c-8.875 0-16-7.125-16-16V208c0-8.875 7.126-16 16-16h64c8.877 0 16 7.125 16 16V272zM393.5 385.9c-3.125 8.127-8 15.38-14.13 21.5l-50 50.14c-11.88 12.5-11.63 32.26 .625 44.51c12.25 12.25 32 12.63 44.5 .75l59.5-59.39c6.127-6.127 10.88-13.5 14.13-21.5l13.5-33.76c-55.26-60.39-38.63-41.89-47.38-53.76L393.5 385.9zM528 96.02c26.5 0 48-21.5 48-48.01c0-26.51-21.5-48.01-48-48.01c-26.5 0-48 21.5-48 48.01C479.1 74.52 501.5 96.02 528 96.02zM622.4 245.1l-23.25-11.75l-9.752-29.38c-14.62-44.64-55.63-75.77-102.1-75.89c-36-.125-55.88 10.13-93.26 25.13c-21.75 8.877-39.38 25.25-49.75 46.26l-6.75 13.63c-7.75 15.75-1.375 34.88 14.25 42.89c7.502 3.75 16.25 4.375 24.25 1.75c8.002-2.752 14.5-8.502 18.25-16l6.75-13.63c3.375-7.002 9.252-12.51 16.5-15.38l26.75-10.88l-15.13 60.76c-5.25 20.88 .375 42.88 14.88 58.76l59.88 65.39c7.25 7.877 12.38 17.38 14.88 27.75l18.25 73.27c4.25 17.13 21.63 27.63 38.75 23.26c17.25-4.25 27.63-21.63 23.38-38.76l-22.25-89.02c-2.5-10.38-7.625-19.88-14.88-27.75L516.5 305.8l17.25-68.77l5.5 16.5c5.252 16.13 16.63 29.38 31.63 37.01l23.38 11.88c7.502 3.75 16.25 4.375 24.13 1.625c8.002-2.625 14.63-8.377 18.38-16C644.4 272.3 638.1 253.2 622.4 245.1z"],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", "M631.2 457.4l-50.07-50.13c-6.137-6.125-11.01-13.37-14.15-21.5l-20.78-51.5c-8.766 11.88 7.908-6.627-47.44 53.75l13.52 33.75c3.256 8.002 8.008 15.38 14.15 21.5l59.59 59.38c12.52 11.88 32.29 11.5 44.56-.75C642.9 489.7 643.1 469.9 631.2 457.4zM531.5 262.5l-15.27-60.75l26.91 10.88c7.139 2.875 13.02 8.375 16.4 15.38l6.76 13.63c3.631 7.502 10.26 13.25 18.28 16c8.016 2.625 16.65 1.1 24.29-1.75c15.65-8 22.04-27.13 14.15-42.88l-6.634-13.63c-10.39-20.88-28.16-37.38-49.82-46.13c-37.44-15.13-57.32-25.38-93.39-25.25c-46.59 .125-87.62 31.25-102.4 75.88l-9.639 29.38l-23.41 11.88C322 253.2 315.7 272.3 323.4 288.2c3.756 7.5 10.26 13.25 18.28 16c8.014 2.625 16.77 1.1 24.29-1.75l23.28-11.75c15.15-7.75 26.54-21 31.8-37l5.508-16.5l17.15 68.63l-45.44 49.75c-7.264 7.75-12.39 17.38-14.9 27.63l-22.28 89.01c-4.258 17.13 6.128 34.5 23.41 38.88c17.16 4.25 34.55-6.25 38.81-23.38l18.28-73.26c2.631-10.38 7.758-19.88 14.9-27.75l60.09-65.38C531.1 305.4 536.6 283.4 531.5 262.5zM432.2 96.02c26.55 0 48.18-21.49 48.18-47.1c0-26.5-21.63-48.01-48.18-48.01s-48.05 21.5-48.05 48C384.2 74.52 405.7 96.02 432.2 96.02zM375.2 333.4c-7.459 2.943-15.36 4.415-23.41 4.415c-6.801 0-13.52-1.074-20.41-3.334c-15.97-5.484-28.94-16.79-36.64-32.18c-15.3-31.32-2.547-69.78 28.53-85.67l11.62-5.818l5.521-16.88c9.232-27.9 26.53-51.1 48.33-68.1L261.7 8.486c-12.26-11.32-31.15-11.32-43.41 0L10.29 200.5c-9.688 8.938-12.89 22.88-8.094 35.16C6.996 247.9 18.82 255.1 31.1 255.1h31.1l-.0098 112c0 26.4 21.6 48 48 48l230.3 .0099l10.12-40.52c3.836-15.71 11.68-30.15 22.37-41.56L375.2 333.4zM224.1 272c0 8.875-7.133 16-16.01 16H144.1c-8.875 0-16.01-7.125-16.01-16V208c0-8.875 7.133-16 16.01-16h64.03c8.875 0 16.01 7.125 16.01 16V272z"],
    "house-signal": [576, 512, [], "e012", "M314.3 8.486C326.6-2.829 345.4-2.829 357.7 8.486L565.7 200.5C575.4 209.4 578.6 223.4 573.8 235.7C569 247.9 557.2 256 544 256H512V368C512 394.5 490.5 416 464 416H296.4C272.7 317.5 195.4 239.1 97.06 215.8C98.58 210.1 101.7 204.7 106.3 200.5L314.3 8.486zM304 192C295.2 192 287.1 199.2 287.1 208V272C287.1 280.8 295.2 288 304 288H368C376.8 288 384 280.8 384 272V208C384 199.2 376.8 192 368 192H304zM256 488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488C208 386.4 125.6 304 24 304C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256C152.1 256 256 359.9 256 488zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM0 376C0 362.7 10.75 352 24 352C99.11 352 160 412.9 160 488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488C112 439.4 72.6 400 24 400C10.75 400 0 389.3 0 376z"],
    "house-tree": [640, 512, [], "e1b3", "M393.4 9.373C405.9-3.123 426.1-3.123 438.6 9.373L566.6 137.4C575.8 146.5 578.5 160.3 573.6 172.2C568.6 184.2 556.9 192 544 192H514.6L600.1 300C608.7 309.6 610.2 322.8 604.8 333.9C599.5 344.1 588.3 352 576 352H546.6L632.1 460C640.7 469.6 642.2 482.8 636.8 493.9C631.5 504.1 620.3 512 608 512H400C410 498.6 416 482 416 464V277.1C416 254.7 406.6 233.3 390.1 218.1L282.9 119.9L393.4 9.373zM15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464V277.1C0 263.7 5.647 250.8 15.57 241.7H15.57zM144 344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168C154.7 272 144 282.7 144 296V344z"],
    "house-tsunami": [576, 512, [], "e515", "M184.4 96C207.4 96 229.3 101.1 248.1 110.3C264.1 117.7 271.9 136.8 264.4 152.8C256.1 168.8 237.9 175.7 221.9 168.3C210.6 162.1 197.9 160 184.4 160C135.5 160 95.1 199.5 95.1 248C95.1 287 121.6 320.2 157.1 331.7C167.1 334.5 179.6 336 191.1 336C192 336 192.1 336 192.1 336C219.6 335.1 247.1 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C190.2 400 188.3 399.1 186.5 399.9C185.8 399.1 185.1 400 184.4 400C169.8 400 155.6 397.9 142.2 394.1C53.52 372.1 .0006 291.6 .0006 200C.0006 87.99 95.18 0 209 0C232.8 0 255.8 3.823 277.2 10.9C294 16.44 303.1 34.54 297.6 51.32C292 68.1 273.9 77.21 257.2 71.67C242.2 66.72 225.1 64 209 64C152.6 64 104.9 93.82 80.81 136.5C108 111.4 144.4 96 184.4 96H184.4zM428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 287.9C575.8 290.8 575.4 293.6 574.7 296.3C569.8 293.6 564.3 291.5 558.5 290.1C545.4 287.1 531.8 280.3 521.2 271.5C499 252.8 466.9 251.4 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C323.3 267 321.6 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "house-turret": [640, 512, [], "e1b4", "M256 464V277.1C256 263.7 261.6 250.8 271.6 241.7L415.6 109.7C433.9 92.91 462.1 92.91 480.4 109.7L624.4 241.7C634.4 250.8 640 263.7 640 277.1V464C640 490.5 618.5 512 592 512H303.1C277.5 512 255.1 490.5 255.1 464H256zM424 272C410.7 272 400 282.7 400 296V344C400 357.3 410.7 368 424 368H472C485.3 368 496 357.3 496 344V296C496 282.7 485.3 272 472 272H424zM72 0C85.25 0 96 10.75 96 24V96H128V24C128 10.75 138.7 0 152 0H200C213.3 0 224 10.75 224 24V96H256V24C256 10.75 266.7 0 280 0H328C341.3 0 352 10.75 352 24V124.6L249.9 218.1C233.4 233.3 224 254.7 224 277.1V464C224 482 229.1 498.6 239.1 512H112C85.49 512 64 490.5 64 464V288L18.75 242.7C6.743 230.7 0 214.5 0 197.5V24C0 10.75 10.75 .0006 24 .0006L72 0zM176 160C153.9 160 136 177.9 136 200V224C136 232.8 143.2 240 152 240H200C208.8 240 216 232.8 216 224V200C216 177.9 198.1 160 176 160z"],
    "house-user": [576, 512, ["home-user"], "e1b0", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8zM288 160C252.7 160 224 188.7 224 224C224 259.3 252.7 288 288 288C323.3 288 352 259.3 352 224C352 188.7 323.3 160 288 160zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H384C392.8 416 400 408.8 400 400C400 355.8 364.2 320 320 320H256z"],
    "house-water": [576, 512, ["house-flood"], "f74f", "M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.09-44.91-.375c-1.062 .9062-25.17 23-73.77 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.31-12.12-44.89-.375c-1.031 .9062-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.28 14.94-47.5 20.66c-17.39 3.188-28.89 19.84-25.72 37.22c3.203 17.41 19.8 29.09 37.27 25.69c25.31-4.594 44.7-13.28 58.17-21.19C115.4 498.9 147.4 512 192 512c44.55 0 76.44-13.06 95.95-24.59c19.5 11.47 51.52 24.58 96.12 24.58s76.48-13.11 95.09-24.64c13.47 7.938 32.86 16.62 58.19 21.25c18.41 3.375 34.91-8.312 38.11-25.72S567.2 448.9 549.8 445.7zM32 287.1h32.02v100.9c8.527-7.877 19.54-12.51 31.35-12.51c40.88 0 34.45 39.62 97.04 39.62c64.52 0 53.23-39.66 95.32-40.02c42.2 .3652 31.4 40.02 95.9 40.02c62.63 0 55.89-39.62 97.04-39.62c11.79 0 22.8 4.617 31.32 12.47V287.1H544c17.73 0 31.1-14.4 31.1-32c0-9.053-3.842-17.89-10.92-24.09l-255.1-223.1c-6.029-5.283-13.55-7.92-21.08-7.92c-6.199 0-14.15 1.85-21.08 7.92l-255.1 223.1C-11.25 251.3 2.604 287.1 32 287.1zM224 213.4c0-11.88 9.625-21.38 21.38-21.38h85.25c11.75 0 21.38 9.5 21.38 21.38v85.25c0 11.88-9.625 21.38-21.38 21.38H245.4c-11.75 0-21.38-9.625-21.38-21.38V213.4z"],
    "house-window": [576, 512, [], "e3b3", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8zM248 192C234.7 192 224 202.7 224 216V296C224 309.3 234.7 320 248 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H248z"],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", "M115.1 120.1C102.2 132 82.05 129.8 71.01 115.1C59.97 102.2 62.21 82.05 76.01 71.01L81.94 66.27C109.7 44.08 144.1 32 179.6 32H223C285.4 32 336 82.59 336 144.1C336 155.6 334.5 166.1 331.7 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H284.2C282.5 241.1 280.8 242.1 279.1 243.1L228.5 272H352C369.7 272 384 286.3 384 304C384 321.7 369.7 336 352 336H123.1C116 344.6 112 355.5 112 367C112 394.1 133.9 416 160.1 416H204.4C225.3 416 245.7 408.9 262.1 395.8L268 391C281.8 379.1 301.9 382.2 312.1 396C324 409.8 321.8 429.9 307.1 440.1L302.1 445.7C274.3 467.9 239.9 480 204.4 480H160.1C98.59 480 48 429.4 48 367C48 356.4 49.49 345.9 52.33 336H32C14.33 336 0 321.7 0 304C0 286.3 14.33 272 32 272H99.82C101.5 270.9 103.2 269.9 104.9 268.9L155.5 240H32C14.33 240 0 225.7 0 208C0 190.3 14.33 176 32 176H260.9C267.1 167.4 272 156.5 272 144.1C272 117.9 250.1 96 223 96H179.6C158.7 96 138.3 103.1 121.9 116.2L115.1 120.1z"],
    "hundred-points": [512, 512, [128175, "100"], "e41c", "M163 101.8C168 61.9 201.9 32 242 32C289.9 32 326.1 73.98 321.1 121.5L308.1 218.2C303.1 258.1 270.1 288 229.1 288C182.1 288 144.1 246 150.9 198.5L163 101.8zM242 96C234.2 96 227.5 101.9 226.5 109.7L214.4 206.4C213.3 215.8 220.5 224 229.1 224C237.8 224 244.5 218.1 245.5 210.3L257.6 113.6C258.7 104.2 251.4 96 242 96H242zM103.7 292C101.2 309.5 84.96 321.1 67.46 319.7C49.96 317.5 37.81 301.5 40.32 283.1L64.25 116.5L44.59 125.2C28.34 132.4 9.53 125.2 2.575 109.1C-4.381 92.95 3.154 74.02 19.4 66.8L91.4 34.8C102 30.07 114.3 31.41 123.5 38.29C132.7 45.18 137.3 56.54 135.7 68.01L103.7 292zM511.7 315.5C514.2 332.1 502 349.2 484.5 351.7L36.52 415.7C19.03 418.2 2.818 406 .3184 388.5C-2.181 371 9.976 354.8 27.47 352.3L475.5 288.3C492.1 285.8 509.2 297.1 511.7 315.5zM511.7 411.5C514.2 428.1 502 445.2 484.5 447.7L260.5 479.7C243 482.2 226.8 470 224.3 452.5C221.8 435 233.1 418.8 251.5 416.3L475.5 384.3C492.1 381.8 509.2 393.1 511.7 411.5zM507.1 119L499.8 199.4C496.1 240.5 461.6 272 420.3 272C373.4 272 336.6 231.7 340.9 184.1L348.2 104.6C351.9 63.47 386.4 32 427.7 32C474.6 32 511.4 72.29 507.1 119zM404.6 190.8C403.8 200 411 208 420.3 208C428.5 208 435.3 201.8 436.1 193.6L443.4 113.2C444.2 103.1 436.9 96 427.7 96C419.5 96 412.7 102.2 411.9 110.4L404.6 190.8z"],
    "hurricane": [448, 512, [], "f751", "M224 223.1c-17.75 0-32 14.25-32 32c0 17.75 14.25 32 32 32s32-14.25 32-32C256 238.2 241.8 223.1 224 223.1zM208 95.98l24.5-74.74c3.75-11.25-5.615-22.49-17.36-21.11C112 12.38 32 101.6 32 208c0 114.9 93.13 208 208 208l-24.5 74.73c-3.75 11.25 5.615 22.5 17.36 21.12C335.1 499.6 416 410.4 416 304C416 189.1 322.9 95.98 208 95.98zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z"],
    "hyphen": [320, 512, [], "2d", "M288 288H32c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h256c17.69 0 32 14.3 32 31.99S305.7 288 288 288z"],
    "i": [320, 512, [105], "49", "M320 448c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-320H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h256c17.69 0 32 14.33 32 32s-14.31 32-32 32h-96v320h96C305.7 416 320 430.3 320 448z"],
    "i-cursor": [256, 512, [], "f246", "M256 480c0 17.69-14.33 31.1-32 31.1c-38.41 0-72.52-17.35-96-44.23c-23.48 26.88-57.59 44.23-96 44.23c-17.67 0-32-14.31-32-31.1s14.33-32 32-32c35.3 0 64-28.72 64-64V288H64C46.33 288 32 273.7 32 256s14.33-32 32-32h32V128c0-35.28-28.7-64-64-64C14.33 64 0 49.69 0 32s14.33-32 32-32c38.41 0 72.52 17.35 96 44.23c23.48-26.88 57.59-44.23 96-44.23c17.67 0 32 14.31 32 32s-14.33 32-32 32c-35.3 0-64 28.72-64 64v96h32c17.67 0 32 14.31 32 32s-14.33 32-32 32h-32v96c0 35.28 28.7 64 64 64C241.7 448 256 462.3 256 480z"],
    "ice-cream": [448, 512, [127848], "f810", "M96.06 288.3H351.9L252.6 493.8C250.1 499.2 246 503.8 240.1 507.1C235.9 510.3 230 512 224 512C217.1 512 212.1 510.3 207 507.1C201.1 503.8 197.9 499.2 195.4 493.8L96.06 288.3zM386.3 164C392.1 166.4 397.4 169.9 401.9 174.4C406.3 178.8 409.9 184.1 412.3 189.9C414.7 195.7 415.1 201.1 416 208.3C416 214.5 414.8 220.8 412.4 226.6C409.1 232.4 406.5 237.7 402 242.2C397.6 246.6 392.3 250.2 386.5 252.6C380.7 255 374.4 256.3 368.1 256.3H79.88C67.16 256.3 54.96 251.2 45.98 242.2C37 233.2 31.97 220.1 32 208.3C32.03 195.5 37.1 183.4 46.12 174.4C55.14 165.4 67.35 160.4 80.07 160.4H81.06C80.4 154.9 80.06 149.4 80.04 143.8C80.04 105.7 95.2 69.11 122.2 42.13C149.2 15.15 185.8 0 223.1 0C262.1 0 298.7 15.15 325.7 42.13C352.7 69.11 367.9 105.7 367.9 143.8C367.9 149.4 367.6 154.9 366.9 160.4H367.9C374.2 160.4 380.5 161.6 386.3 164z"],
    "ice-skate": [576, 512, [9976], "f7ac", "M64 384h416C497.7 384 512 369.7 512 352l.0001-37c0-44.13-29.97-82.37-72.72-93.12L320 192h-48c-8.801 0-16-7.203-16-16c0-8.801 7.199-16 16-16h48V128h-48c-8.801 0-16-7.203-16-16c0-8.801 7.199-16 16-16h48V16c0-8.801-7.199-16-16-16l-31.1 0c-8.801 0-16 7.199-16 16V32L78.38 82.75c-27.5 7.875-46.38 33-46.38 61.5L32 352C32 369.7 46.33 384 64 384zM552 416c-13.2 0-24 10.8-24 23.1C528 453.3 517.3 464 504 464h-71.1l0-48h-48l0 48h-240L144 416H96v48H32c-17.6 0-31.1 14.4-31.1 31.1C.0001 510 13.18 512 16 512h496c35.2 0 64-28.8 64-64L576 439.1C576 426.8 565.2 416 552 416z"],
    "icicles": [512, 512, [], "f7ad", "M511.4 37.87l-87.54 467.6c-1.625 8.623-14.04 8.634-15.67 .0104L341.4 141.7L295.7 314.2c-2.375 7.624-12.98 7.624-15.36 0L246.3 180.9l-46.49 196.9c-1.875 8.373-13.64 8.373-15.51 0L139.1 190.5L103.6 314.5c-2.375 7.124-12.64 7.198-15.14 .0744L1.357 41.24C-4.768 20.75 10.61 0 31.98 0h448C500 0 515.2 18.25 511.4 37.87z"],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", "M500.3 7.251C507.7 13.33 512 22.41 512 31.1V175.1C512 202.5 483.3 223.1 447.1 223.1C412.7 223.1 383.1 202.5 383.1 175.1C383.1 149.5 412.7 127.1 447.1 127.1V71.03L351.1 90.23V207.1C351.1 234.5 323.3 255.1 287.1 255.1C252.7 255.1 223.1 234.5 223.1 207.1C223.1 181.5 252.7 159.1 287.1 159.1V63.1C287.1 48.74 298.8 35.61 313.7 32.62L473.7 .6198C483.1-1.261 492.9 1.173 500.3 7.251H500.3zM74.66 303.1L86.5 286.2C92.43 277.3 102.4 271.1 113.1 271.1H174.9C185.6 271.1 195.6 277.3 201.5 286.2L213.3 303.1H239.1C266.5 303.1 287.1 325.5 287.1 351.1V463.1C287.1 490.5 266.5 511.1 239.1 511.1H47.1C21.49 511.1-.0019 490.5-.0019 463.1V351.1C-.0019 325.5 21.49 303.1 47.1 303.1H74.66zM143.1 359.1C117.5 359.1 95.1 381.5 95.1 407.1C95.1 434.5 117.5 455.1 143.1 455.1C170.5 455.1 191.1 434.5 191.1 407.1C191.1 381.5 170.5 359.1 143.1 359.1zM440.3 367.1H496C502.7 367.1 508.6 372.1 510.1 378.4C513.3 384.6 511.6 391.7 506.5 396L378.5 508C372.9 512.1 364.6 513.3 358.6 508.9C352.6 504.6 350.3 496.6 353.3 489.7L391.7 399.1H336C329.3 399.1 323.4 395.9 321 389.6C318.7 383.4 320.4 376.3 325.5 371.1L453.5 259.1C459.1 255 467.4 254.7 473.4 259.1C479.4 263.4 481.6 271.4 478.7 278.3L440.3 367.1zM116.7 219.1L19.85 119.2C-8.112 90.26-6.614 42.31 24.85 15.34C51.82-8.137 93.26-3.642 118.2 21.83L128.2 32.32L137.7 21.83C162.7-3.642 203.6-8.137 231.6 15.34C262.6 42.31 264.1 90.26 236.1 119.2L139.7 219.1C133.2 225.6 122.7 225.6 116.7 219.1H116.7z"],
    "id-badge": [384, 512, [], "f2c1", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 160c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416zM240 96h-96C135.2 96 128 88.84 128 80S135.2 64 144 64h96C248.8 64 256 71.16 256 80S248.8 96 240 96z"],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", "M528 32h-480C21.49 32 0 53.49 0 80V96h576V80C576 53.49 554.5 32 528 32zM0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V128H0V432zM368 192h128C504.8 192 512 199.2 512 208S504.8 224 496 224h-128C359.2 224 352 216.8 352 208S359.2 192 368 192zM368 256h128C504.8 256 512 263.2 512 272S504.8 288 496 288h-128C359.2 288 352 280.8 352 272S359.2 256 368 256zM368 320h128c8.836 0 16 7.164 16 16S504.8 352 496 352h-128c-8.836 0-16-7.164-16-16S359.2 320 368 320zM176 192c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S140.7 192 176 192zM112 352h128c26.51 0 48 21.49 48 48c0 8.836-7.164 16-16 16h-192C71.16 416 64 408.8 64 400C64 373.5 85.49 352 112 352z"],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", "M256 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v64C224 113.7 238.3 128 256 128zM528 64H384v48C384 138.5 362.5 160 336 160h-96C213.5 160 192 138.5 192 112V64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48v-352C576 85.49 554.5 64 528 64zM288 224c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S252.7 224 288 224zM384 448H192c-8.836 0-16-7.164-16-16C176 405.5 197.5 384 224 384h128c26.51 0 48 21.49 48 48C400 440.8 392.8 448 384 448z"],
    "igloo": [576, 512, [], "f7ae", "M320 160H48.5C100.2 82.82 188.1 32 288 32C298.8 32 309.5 32.6 320 33.76V160zM352 39.14C424.9 55.67 487.2 99.82 527.5 160H352V39.14zM96 192V320H0C0 274 10.77 230.6 29.94 192H96zM192 320H128V192H448V320H384V352H576V432C576 458.5 554.5 480 528 480H352V352C352 316.7 323.3 288 288 288C252.7 288 224 316.7 224 352V480H48C21.49 480 0 458.5 0 432V352H192V320zM480 192H546.1C565.2 230.6 576 274 576 320H480V192z"],
    "image": [512, 512, [], "f03e", "M447.1 32h-384C28.64 32-.0091 60.65-.0091 96v320c0 35.35 28.65 64 63.1 64h384c35.35 0 64-28.65 64-64V96C511.1 60.65 483.3 32 447.1 32zM111.1 96c26.51 0 48 21.49 48 48S138.5 192 111.1 192s-48-21.49-48-48S85.48 96 111.1 96zM446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z"],
    "image-landscape": [576, 512, ["landscape"], "e1b5", "M528 64h-480C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h480c26.51 0 48-21.49 48-48v-288C576 85.49 554.5 64 528 64zM175.1 160c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S158.3 160 175.1 160zM446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z"],
    "image-polaroid": [448, 512, [], "f8c4", "M145.7 230.6l-46.67 64c-3.549 4.863-4.064 11.31-1.334 16.68C100.5 316.6 105.1 320 112 320h224c5.9 0 11.32-3.246 14.11-8.449c2.783-5.203 2.479-11.52-.7949-16.43l-85.33-128C261 162.7 256 160 250.7 160s-10.35 2.672-13.31 7.125L183.8 247.4L171.6 230.6C168.6 226.4 163.8 224 158.7 224S148.8 226.4 145.7 230.6zM400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352zM128 192c17.62 0 32-14.38 32-32S145.6 128 128 128S96 142.4 96 160S110.4 192 128 192z"],
    "image-polaroid-user": [448, 512, [], "e1b6", "M224 256c35.35 0 64-28.66 64-64s-28.65-64-64-64S160 156.7 160 192S188.7 256 224 256zM400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352h-48c0-35.35-28.65-64-63.1-64H175.1C140.7 288 112 316.7 112 351.1L64 352V96h320V352z"],
    "image-portrait": [384, 512, ["portrait"], "f3e0", "M336 0h-288c-26.51 0-48 21.49-48 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 128c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 227.3 128 192S156.7 128 192 128zM288 384H96c-8.836 0-16-7.164-16-16C80 323.8 115.8 288 160 288h64c44.18 0 80 35.82 80 80C304 376.8 296.8 384 288 384z"],
    "image-slash": [640, 512, [], "e1b7", "M630.8 469.1l-55.95-43.85C575.3 422.2 575.1 419.2 575.1 416l.0034-320c0-35.35-28.65-64-64-64H127.1C113.6 32 100.4 36.98 89.78 45.06L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM223.1 149.6l-64.29-50.39C164.2 97.15 169.9 96 175.1 96c26.51 0 48 21.49 48 48C223.1 145.9 223.4 147.7 223.1 149.6zM331.2 234.3l23.45-35.18C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l103.9 155.9L331.2 234.3zM145.1 416c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l16.43-24.65L63.99 146.8L63.99 416c0 35.35 28.65 64 64 64h361.1l-81.66-64H145.1z"],
    "image-user": [512, 512, [], "e1b8", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM256 128c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S220.7 128 256 128zM352 384H160c-8.836 0-16-7.164-16-16c0-44.18 35.82-80 80-80h64c44.18 0 80 35.82 80 80C368 376.8 360.8 384 352 384z"],
    "images": [576, 512, [], "f302", "M528 32H144c-26.51 0-48 21.49-48 48v256c0 26.51 21.49 48 48 48H528c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM223.1 96c17.68 0 32 14.33 32 32S241.7 160 223.1 160c-17.67 0-32-14.33-32-32S206.3 96 223.1 96zM494.1 311.6C491.3 316.8 485.9 320 480 320H192c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C252.1 194.4 256.9 192 262 192c5.111 0 9.916 2.441 12.93 6.574l22.35 30.66l62.74-94.11C362.1 130.7 367.1 128 373.3 128c5.348 0 10.34 2.672 13.31 7.125l106.7 160C496.6 300 496.9 306.3 494.1 311.6zM456 432H120c-39.7 0-72-32.3-72-72v-240C48 106.8 37.25 96 24 96S0 106.8 0 120v240C0 426.2 53.83 480 120 480h336c13.25 0 24-10.75 24-24S469.3 432 456 432z"],
    "images-user": [576, 512, [], "e1b9", "M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM336 96c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S300.7 96 336 96zM432 320h-192c-8.836 0-16-7.164-16-16c0-26.51 21.49-48 48-48h128c26.51 0 48 21.49 48 48C448 312.8 440.8 320 432 320zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "inbox": [512, 512, [], "f01c", "M447 56.25C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.247 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"],
    "inbox-full": [512, 512, [], "e1ba", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.248 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM384 288l-32 64H160L128 288H72.97L121 96h270l48.03 192H384zM368 224h-224C135.2 224 128 231.2 128 240S135.2 256 144 256h224C376.8 256 384 248.8 384 240S376.8 224 368 224zM176 176h160C344.8 176 352 168.8 352 160s-7.162-16-16-16h-160C167.2 144 160 151.2 160 160S167.2 176 176 176z"],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", "M233.4 310.6c12.5 12.5 32.75 12.5 45.25 0l96-96c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L288 210.8V32c0-17.69-14.31-32-32-32S224 14.31 224 32v178.8L182.6 169.4C176.4 163.1 168.2 160 160 160S143.6 163.1 137.4 169.4c-12.5 12.5-12.5 32.75 0 45.25L233.4 310.6zM480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z"],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", "M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320zM182.6 150.6L224 109.3V288c0 17.69 14.31 32 32 32s32-14.31 32-32V109.3l41.38 41.38C335.6 156.9 343.8 160 352 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-96-96c-12.5-12.5-32.75-12.5-45.25 0l-96 96c-12.5 12.5-12.5 32.75 0 45.25S170.1 163.1 182.6 150.6z"],
    "inboxes": [512, 512, [], "e1bb", "M480 352h-96L352 416H160l-32-64H32c-17.67 0-32 14.33-32 32v80C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V384C512 366.3 497.7 352 480 352zM507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM384 160l-32 64H160L128 160H79.27l38.39-96h276.7l38.39 96H384z"],
    "indent": [448, 512, [], "f03c", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64zM192 192C192 174.3 206.3 160 224 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H224C206.3 224 192 209.7 192 192zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H224C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288H416zM0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448zM25.82 347.9C15.31 356.1 0 348.6 0 335.3V176.7C0 163.4 15.31 155.9 25.82 164.1L127.8 243.4C135.1 249.8 135.1 262.2 127.8 268.6L25.82 347.9z"],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", "M.0022 64C.0022 46.33 14.33 32 32 32H288C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H231.8C241.4 110.4 248.5 126.6 252.4 144H288C305.7 144 320 158.3 320 176C320 193.7 305.7 208 288 208H252.4C239.2 266.3 190.5 311.2 130.3 318.9L274.6 421.1C288.1 432.2 292.3 452.2 282 466.6C271.8 480.1 251.8 484.3 237.4 474L13.4 314C2.083 305.1-2.716 291.5 1.529 278.2C5.774 264.1 18.09 256 32 256H112C144.8 256 173 236.3 185.3 208H32C14.33 208 .0022 193.7 .0022 176C.0022 158.3 14.33 144 32 144H185.3C173 115.7 144.8 96 112 96H32C14.33 96 .0022 81.67 .0022 64V64z"],
    "industry": [576, 512, [], "f275", "M128 32C145.7 32 160 46.33 160 64V215.4L316.6 131C332.6 122.4 352 134 352 152.2V215.4L508.6 131C524.6 122.4 544 134 544 152.2V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64C32 46.33 46.33 32 64 32H128z"],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", "M32 64C32 46.33 46.33 32 64 32H128C145.7 32 160 46.33 160 64V215.4L316.6 131C332.6 122.4 352 134 352 152.2V215.4L508.6 131C524.6 122.4 544 134 544 152.2V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64zM264 312C255.2 312 248 319.2 248 328V376C248 384.8 255.2 392 264 392H312C320.8 392 328 384.8 328 376V328C328 319.2 320.8 312 312 312H264zM120 376C120 384.8 127.2 392 136 392H184C192.8 392 200 384.8 200 376V328C200 319.2 192.8 312 184 312H136C127.2 312 120 319.2 120 328V376zM392 312C383.2 312 376 319.2 376 328V376C376 384.8 383.2 392 392 392H440C448.8 392 456 384.8 456 376V328C456 319.2 448.8 312 440 312H392z"],
    "infinity": [640, 512, [9854, 8734], "f534", "M494.9 96.01c-38.78 0-75.22 15.09-102.6 42.5L320 210.8L247.8 138.5c-27.41-27.41-63.84-42.5-102.6-42.5C65.11 96.01 0 161.1 0 241.1v29.75c0 80.03 65.11 145.1 145.1 145.1c38.78 0 75.22-15.09 102.6-42.5L320 301.3l72.23 72.25c27.41 27.41 63.84 42.5 102.6 42.5C574.9 416 640 350.9 640 270.9v-29.75C640 161.1 574.9 96.01 494.9 96.01zM202.5 328.3c-15.31 15.31-35.69 23.75-57.38 23.75C100.4 352 64 315.6 64 270.9v-29.75c0-44.72 36.41-81.13 81.14-81.13c21.69 0 42.06 8.438 57.38 23.75l72.23 72.25L202.5 328.3zM576 270.9c0 44.72-36.41 81.13-81.14 81.13c-21.69 0-42.06-8.438-57.38-23.75l-72.23-72.25l72.23-72.25c15.31-15.31 35.69-23.75 57.38-23.75C539.6 160 576 196.4 576 241.1V270.9z"],
    "info": [192, 512, [], "f129", "M160 448h-32V224c0-17.69-14.33-32-32-32L32 192c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1h32v192H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S177.7 448 160 448zM96 128c26.51 0 48-21.49 48-48S122.5 32.01 96 32.01s-48 21.49-48 48S69.49 128 96 128z"],
    "inhaler": [576, 512, [], "f5f9", "M31.99 320C14.37 320 0 334.4 0 352s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 320 31.99 320zM31.99 416C14.37 416 0 430.4 0 448s14.37 31.1 31.99 31.1S63.99 465.6 63.99 448S49.62 416 31.99 416zM127.1 368c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 368 127.1 368zM31.99 224C14.37 224 0 238.4 0 256s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 224 31.99 224zM127.1 272c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 272 127.1 272zM327.6 224H223.1c-17.67 0-32 14.33-32 31.1v191.1c0 17.6 14.4 31.1 31.1 31.1h246.4c12.8 0 23.95-8.531 27.13-20.89l42.79-163.1l-183.5-183.5L327.6 224zM555.2 65.24l-120.5-32.26c-14.98-4.047-30.3 4.812-34.34 19.8l-12.26 45.84l147.7 147.7l39.27-146.7C579.1 84.6 570.2 69.29 555.2 65.24z"],
    "input-numeric": [640, 512, [], "e1bd", "M104 184C104 170.7 114.7 160 128 160H160C173.3 160 184 170.7 184 184V304H200C213.3 304 224 314.7 224 328C224 341.3 213.3 352 200 352H120C106.7 352 96 341.3 96 328C96 314.7 106.7 304 120 304H136V208H128C114.7 208 104 197.3 104 184zM283.5 229.9C275.8 240.7 260.8 243.2 250.1 235.5C239.3 227.8 236.8 212.8 244.5 202.1L255.6 186.5C279.3 153.2 327.9 150.8 354.8 181.6C376.1 205.1 375.6 242.5 353.7 266.3L318.8 304H352C365.3 304 376 314.7 376 328C376 341.3 365.3 352 352 352H264C254.5 352 245.8 346.4 242 337.6C238.2 328.9 239.9 318.7 246.4 311.7L318.4 233.7C323.7 227.9 323.8 219.1 318.7 213.2C312.1 205.8 300.4 206.3 294.6 214.4L283.5 229.9zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z"],
    "input-pipe": [640, 512, [], "e1be", "M144 328C144 341.3 133.3 352 120 352C106.7 352 96 341.3 96 328V184C96 170.7 106.7 160 120 160C133.3 160 144 170.7 144 184V328zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 384H576V128H64V384z"],
    "input-text": [640, 512, [], "e1bf", "M184 160C193.5 160 202.1 165.6 205.9 174.3L269.9 318.3C275.3 330.4 269.9 344.5 257.7 349.9C245.6 355.3 231.5 349.9 226.1 337.7L221.7 328H146.3L141.9 337.7C136.5 349.9 122.4 355.3 110.3 349.9C98.14 344.5 92.69 330.4 98.07 318.3L162.1 174.3C165.9 165.6 174.5 160 184 160H184zM167.6 280H200.4L184 243.1L167.6 280zM304 184C304 170.7 314.7 160 328 160H380C413.1 160 440 186.9 440 220C440 229.2 437.9 237.9 434.2 245.7C447.5 256.7 456 273.4 456 292C456 325.1 429.1 352 396 352H328C314.7 352 304 341.3 304 328V184zM352 208V232H380C386.6 232 392 226.6 392 220C392 213.4 386.6 208 380 208H352zM352 304H396C402.6 304 408 298.6 408 292C408 285.4 402.6 280 396 280H352V304zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 384H576V128H64V384z"],
    "integral": [320, 512, [], "f667", "M104 512c-48.53 0-88-39.46-88-87.1v-8c0-17.69 14.33-32 32-32s32 14.31 32 32v8c0 13.22 10.77 24 24 24s24-10.78 24-24v-336c0-48.53 39.47-88 88-88s88 39.47 88 88v8c0 17.69-14.33 32-32 32s-32-14.31-32-32v-8c0-13.22-10.77-24-24-24s-24 10.78-24 24v336C192 472.5 152.5 512 104 512z"],
    "intersection": [384, 512, [8898], "f668", "M352 480c-17.69 0-32-14.31-32-32V224c0-70.59-57.41-128-128-128s-128 57.41-128 128v223.1c0 17.69-14.31 32-32 32s-32-14.31-32-32V224c0-105.9 86.13-192 192-192s192 86.13 192 192v224C384 465.7 369.7 480 352 480z"],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", "M447.9 113.6c.5001 3.625-.4998 7.375-2.875 10.13C442.6 126.5 439.1 128 435.4 128H399.1l-16-32l-15.97 32h-101.8c11.25 48.12 28.76 143.1 18.51 231.9c52 17.12 92 62.37 99 118.1C386.1 496.2 370.5 512 351.1 512H32.08c-19.75 0-34.59-17.75-31.72-37.25C10.86 404.2 71.48 352 142.7 352h53.38C206.1 309.1 221.1 229.1 217.1 149.5l-70.1 71C140.7 225.9 131.1 224.8 127.6 218.6C102.5 182.9 107.1 131 142.1 96H111.1L95.1 64L79.1 96H44.62C40.87 96 37.37 94.5 34.99 91.75C32.62 88.1 31.67 85.25 32.17 81.62C40.29 35.38 86.99 0 143.5 0c50.25 0 92.25 28.25 106.8 67.13C270.9 45.88 301.6 32 336.5 32C393 32 439.7 67.38 447.9 113.6z"],
    "italic": [384, 512, [], "f033", "M384 64.01c0 17.69-14.31 32-32 32h-58.67l-133.3 320H224c17.69 0 32 14.31 32 32s-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h58.67l133.3-320H160c-17.69 0-32-14.31-32-32s14.31-32 32-32h192C369.7 32.01 384 46.33 384 64.01z"],
    "j": [320, 512, [106], "4a", "M320 64.01v259.4c0 86.36-71.78 156.6-160 156.6s-160-70.26-160-156.6V288c0-17.67 14.31-32 32-32s32 14.33 32 32v35.38c0 51.08 43.06 92.63 96 92.63s96-41.55 96-92.63V64.01c0-17.67 14.31-32 32-32S320 46.34 320 64.01z"],
    "jack-o-lantern": [576, 512, [127875], "f30e", "M352 106.6l-.0025-70.88c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.961-1.525-5.649-1.731-7.13-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM425.5 128.4c-10.01 0-20.05 1.27-29.77 3.788c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.63-75.63-36.11-133.1-36.11s-101.4 12.49-133.1 36.11c6.821-12.34 6.584-15 25.38-31.88c-9.718-2.518-19.76-3.788-29.77-3.788c-99.46 0-150.5 125.1-150.5 191.5c-.0001 64.45 51.26 192 151.5 192c24.97 0 49.96-7.939 69.4-23.8c17.75 15.38 39.89 23.86 67.14 23.86s49.38-8.488 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8c100.1 0 151.4-126.1 151.4-192C576 255.7 525.1 128.4 425.5 128.4zM320.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.18-2.297 3.302-3.409 5.566-3.409c2.295 0 4.737 1.144 6.436 3.409l41.13 66.63c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67h-82.26C321.9 287.1 320.1 284.5 320.1 281.3zM160.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.315-3.422 5.579-3.422c2.295 0 4.723 1.157 6.423 3.422L255.1 277.1c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67H166.9C161.9 287.1 160.1 284.5 160.1 281.3zM454.7 324.7c8.477 0 16 6.879 16 15.56c0 6.391-8.941 27.33-19.55 42.23c-9.376 13-21.38 23.88-35.25 33c-.25-8.625-7.251-15.5-15.88-15.5h-16c-8.876 0-16 7.125-16 16v21.5C344.5 444.4 317.9 447.1 288 447.1s-56.51-3.627-80.01-10.5v-21.5c0-8.875-7.126-16-16-16H175.1c-8.751 0-15.75 6.1-15.88 15.63c-13.75-9.125-25.63-19.75-34.75-32.5c-10.84-15.27-20.05-36.2-20.05-42.76c0-8.691 7.584-15.65 16.05-15.65c12.33 0 41.48 29.38 118.6 41.16v18.13c0 8.875 7.126 16 16 16h16C280.9 399.1 288 392.9 288 383.1v-14.25C388.1 369.7 443.7 324.7 454.7 324.7z"],
    "jar": [320, 512, [], "e516", "M32 32C32 14.33 46.33 0 64 0H256C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32zM0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160zM256 224H64V384H256V224z"],
    "jar-wheat": [320, 512, [], "e517", "M32 32C32 14.33 46.33 0 64 0H256C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32zM0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160zM192 320C227.3 320 256 291.3 256 256H208C188.9 256 171.7 264.4 160 277.7C148.3 264.4 131.1 256 112 256H64C64 291.3 92.65 320 128 320H192zM192 224C227.3 224 256 195.3 256 160H208C188.9 160 171.7 168.4 160 181.7C148.3 168.4 131.1 160 112 160H64C64 195.3 92.65 224 128 224H192zM192 416C227.3 416 256 387.3 256 352H208C188.9 352 171.7 360.4 160 373.7C148.3 360.4 131.1 352 112 352H64C64 387.3 92.65 416 128 416H144V448C144 456.8 151.2 464 160 464C168.8 464 176 456.8 176 448V416H192z"],
    "jedi": [576, 512, [], "f669", "M554.9 293.1l-58.88 58.88h40C493.2 446.1 398.2 511.1 287.1 512c-110.3-.0078-205.2-65.88-247.1-160h40L21.13 293.1C17.75 275.1 16 258.6 16 241.2c0-5.75 .75-11.5 1-17.25h47L22.75 182.7C37.38 117.1 75.86 59.37 130.6 20.5c2.75-2 6.021-3.005 9.272-3.005c5.5 0 10.5 2.75 13.5 7.25c3.125 4.375 3.625 10.13 1.625 15.13C148.5 56.12 145.1 73.62 145.1 91.12c0 45.13 21.13 86.63 57.75 113.8C206.9 207.7 209.4 212.4 209.5 217.2c.25 5-1.751 9.752-5.501 13c-32.75 29.38-47.5 74-38.5 117.1c9.751 48.38 48.88 87.13 97.26 96.5l2.5-65.37l-27.13 18.5c-3.125 2-7.251 1.75-10-.75c-2.75-2.625-3.25-6.75-1.375-10l20.13-33.75l-42.13-8.627c-3.625-.875-6.375-4.125-6.375-7.875s2.75-7 6.375-7.875l42.13-8.75L226.8 285.6C224.9 282.5 225.4 278.4 228.1 275.7c2.75-2.5 6.876-2.875 10-.75l30.38 20.63l11.49-287.8C280.3 3.461 283.7 .0156 287.1 0c4.237 .0156 7.759 3.461 8.009 7.828l11.49 287.8l30.38-20.63c3.125-2.125 7.251-1.75 10 .75c2.75 2.625 3.25 6.75 1.375 9.875l-20.13 33.75l42.13 8.75c3.625 .875 6.375 4.125 6.375 7.875s-2.75 7-6.375 7.875l-42.13 8.627l20.13 33.75c1.875 3.25 1.375 7.375-1.375 10c-2.75 2.5-6.876 2.75-10 .75l-27.13-18.5l2.5 65.37c48.38-9.375 87.51-48.13 97.26-96.5c9.001-43.13-5.75-87.75-38.5-117.1c-3.75-3.25-5.751-8.002-5.501-13c.125-4.875 2.626-9.5 6.626-12.38c36.63-27.13 57.75-68.63 57.75-113.8c0-17.5-3.375-35-9.875-51.25c-2-5-1.5-10.75 1.625-15.13c3-4.5 8.001-7.25 13.5-7.25c3.25 0 6.474 .9546 9.224 2.955c54.75 38.88 93.28 96.67 107.9 162.3l-41.25 41.25h47c.2501 5.75 .9965 11.5 .9965 17.25C559.1 258.6 558.3 275.1 554.9 293.1z"],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", "M160 24C160 10.75 170.7 0 184 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280L384 192H500.4C508.1 192 515.7 193.4 522.9 196.1L625 234.4C634 237.8 640 246.4 640 256C640 265.6 634 274.2 625 277.6L522.9 315.9C515.7 318.6 508.1 320 500.4 320H384L280 464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H192V320H160L105.4 374.6C99.37 380.6 91.23 384 82.75 384H64C46.33 384 32 369.7 32 352V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H82.75C91.23 128 99.37 131.4 105.4 137.4L160 192H192V48H184C170.7 48 160 37.25 160 24V24zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272H144C152.8 272 160 264.8 160 256C160 247.2 152.8 240 144 240H80z"],
    "jet-fighter-up": [576, 512, [], "e518", "M346.8 112.6C350.2 120.6 352 129.2 352 137.9V214.8L496 298.8V280C496 266.7 506.7 256 520 256C533.3 256 544 266.7 544 280V392C544 405.3 533.3 416 520 416C506.7 416 496 405.3 496 392V384H352V416.7L410.5 467.1C414 470.1 416 475.4 416 480V496C416 504.8 408.8 512 400 512H304V448C304 439.2 296.8 432 288 432C279.2 432 272 439.2 272 448V512H176C167.2 512 160 504.8 160 496V480C160 475.4 161.1 470.1 165.5 467.1L224 416.7V384H80V392C80 405.3 69.25 416 56 416C42.75 416 32 405.3 32 392V280C32 266.7 42.75 256 56 256C69.25 256 80 266.7 80 280V298.8L224 214.8V137.9C224 129.2 225.8 120.6 229.2 112.6L273.3 9.697C275.8 3.814 281.6 0 288 0C294.4 0 300.2 3.814 302.7 9.697L346.8 112.6z"],
    "joint": [640, 512, [], "f595", "M444.4 181.1C466.8 196.8 480 222.2 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8c0-43.25-21-83.5-56.38-108.1C463.9 125 448 99.38 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.5 156 444.4 181.1zM195 359C125.1 370.1 59.75 394.8 0 432C83.62 484.2 180.2 512 279 512h88.5l-112.7-131.5C240 363.2 217.4 355.4 195 359zM553.3 87.12C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22.13 10.12 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.2 607.6 123.5 553.3 87.12zM360.9 352c-34.38 .125-86.75 .25-88.25 .25l117.9 137.4C402.6 503.9 420.4 512 439.1 512h88.38l-117.9-137.6C397.4 360.1 379.6 352 360.9 352zM616 352H432l117.1 137.6C562.1 503.9 579.9 512 598.6 512H616c13.25 0 24-10.75 24-24v-112C640 362.8 629.3 352 616 352z"],
    "joystick": [448, 512, [128377], "f8c5", "M416 352l-288 .013V336C128 327.1 120.9 320 112 320h-32C71.12 320 64 327.1 64 336v16.01L32 352c-17.62 0-32 14.38-32 32v96c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-96C448 366.4 433.6 352 416 352zM192 218.8V320h64V218.8c46.13-13.75 80.01-56.16 80.01-106.8c0-61.88-50.13-111.1-112-111.1S111.1 50.12 111.1 111.1C111.1 162.6 145.9 205 192 218.8zM200 48C213.2 48 224 58.75 224 72S213.2 96 200 96S176 85.25 176 72S186.8 48 200 48z"],
    "jug": [448, 512, [], "f8c6", "M447.1 167.1c.125-30.25-18.75-57.27-47.13-67.64c-28.38-10.37-60.12-1.82-79.5 21.31l-10.37-12.89C308.1 104.1 306.1 100.6 305.2 96H142.7C141.9 100.6 139.9 105 136.1 108.8l-76.93 96.16C41.93 227.5 31.1 255.8 31.1 284.9l-.0003 163.1c0 35.38 28.75 64 64 64h256c35.38 0 64-28.63 64-64l.0002-163.1c-.125-17.5-3.875-34.88-11.13-51C431.1 222.4 447.1 196.6 447.1 167.1zM351.1 383.1c0 17.62-14.38 32-32 32h-192c-17.62 0-32-14.38-32-32v-64c0-17.62 14.38-32 32-32h192c17.62 0 32 14.38 32 32V383.1zM377.4 191.7l-24.13-30.13c2.875-10.12 11.75-17.63 22.75-17.63c12.88 0 23.5 10.25 23.88 23.25C400.2 180.1 390.2 190.1 377.4 191.7zM151.1 64h144c6.375 0 12.5-2.5 17-7s7-10.62 7-17v-16c0-6.375-2.5-12.5-7-17s-10.62-7-17-7h-144c-6.375 0-12.5 2.5-17 7s-7 10.62-7 17v16c0 6.375 2.5 12.5 7 17S145.6 64 151.1 64z"],
    "jug-detergent": [384, 512, [], "e519", "M96 24C96 10.75 106.7 0 120 0H200C213.3 0 224 10.75 224 24V48H232C245.3 48 256 58.75 256 72C256 85.25 245.3 96 232 96H88C74.75 96 64 85.25 64 72C64 58.75 74.75 48 88 48H96V24zM0 256C0 185.3 57.31 128 128 128H256C326.7 128 384 185.3 384 256V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V256zM256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352V256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256V352z"],
    "k": [320, 512, [107], "4b", "M314.3 429.8c10.06 14.53 6.438 34.47-8.094 44.53c-5.562 3.844-11.91 5.688-18.19 5.688c-10.16 0-20.12-4.812-26.34-13.78L128.1 273.3L64 338.9v109.1c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384C0 46.34 14.31 32.01 32 32.01S64 46.34 64 64.01v183.3l201.1-205.7c12.31-12.61 32.63-12.86 45.25-.5c12.62 12.34 12.88 32.61 .5 45.25l-137.2 140.3L314.3 429.8z"],
    "kaaba": [576, 512, [128331], "f66b", "M278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V149.2L292.8 237.7C289.7 238.7 286.3 238.7 283.2 237.7L.0006 149.2V112C.0006 98.01 9.097 85.63 22.46 81.46L278.5 1.457zM288 191.2L515.1 120L288 48.76L60.04 120L288 191.2zM302.3 268.3L576 182.8V229.2L523.2 245.7C514.8 248.4 510.1 257.3 512.7 265.8C515.4 274.2 524.3 278.9 532.8 276.3L576 262.8V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 399.1V262.8L43.23 276.3C51.67 278.9 60.64 274.2 63.28 265.8C65.91 257.3 61.21 248.4 52.78 245.7L0 229.2V182.8L273.7 268.3C283 271.2 292.1 271.2 302.3 268.3L302.3 268.3zM116.8 265.7C108.3 263.1 99.37 267.8 96.73 276.2C94.1 284.7 98.8 293.6 107.2 296.3L171.2 316.3C179.7 318.9 188.6 314.2 191.3 305.8C193.9 297.3 189.2 288.4 180.8 285.7L116.8 265.7zM468.8 296.3C477.2 293.6 481.9 284.7 479.3 276.2C476.6 267.8 467.7 263.1 459.2 265.7L395.2 285.7C386.8 288.4 382.1 297.3 384.7 305.8C387.4 314.2 396.3 318.9 404.8 316.3L468.8 296.3zM244.8 305.7C236.3 303.1 227.4 307.8 224.7 316.2C222.1 324.7 226.8 333.6 235.2 336.3L273.7 348.3C283 351.2 292.1 351.2 302.3 348.3L340.8 336.3C349.2 333.6 353.9 324.7 351.3 316.2C348.6 307.8 339.7 303.1 331.2 305.7L292.8 317.7C289.7 318.7 286.3 318.7 283.2 317.7L244.8 305.7z"],
    "kazoo": [640, 512, [], "f8c7", "M608 128h-95.35C493.2 118.1 471.4 112 448 112S402.8 118.1 383.3 128H241.9C229.1 128 218.2 129.6 206.8 132.9l-183.5 52.5C9.5 189.2 0 201.9 0 216.1v79.75c0 14.25 9.5 26.88 23.25 30.75l183.5 52.5C218.2 382.4 229.1 384 241.9 384h141.5c19.5 9.875 41.28 16 64.65 16s45.15-6.125 64.65-16H608c17.62 0 32-14.38 32-32V160C640 142.4 625.6 128 608 128zM448 352c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S501 352 448 352zM498.9 216.4l-11.25-11.25c-1.5-1.5-3.5-2.375-5.625-2.375c-2.125 0-4.25 .875-5.75 2.375L448 233.4l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38L425.4 256l-28.25 28.25c-1.5 1.5-2.375 3.625-2.375 5.75c0 2.125 .875 4.125 2.375 5.625l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0L448 278.6l28.25 28.25c1.5 1.5 3.625 2.375 5.75 2.375c2.125 0 4.125-.875 5.625-2.375l11.25-11.25c1.5-1.5 2.375-3.5 2.375-5.625c0-2.125-.875-4.25-2.375-5.75L470.6 256l28.25-28.25C501.1 224.6 501.1 219.5 498.9 216.4z"],
    "kerning": [640, 512, [], "f86f", "M316.6 142.3c7.906-15.81 1.5-35.03-14.31-42.94C286.5 91.5 267.3 97.88 259.4 113.7L160 312.4L60.63 113.7C52.73 97.88 33.56 91.5 17.69 99.38C1.875 107.3-4.531 126.5 3.375 142.3l128 256c5.422 10.84 16.5 17.69 28.63 17.69s23.2-6.843 28.62-17.69L316.6 142.3zM636.6 369.7l-128-256c-10.84-21.69-46.41-21.69-57.25 0l-128 256c-7.906 15.81-1.5 35.03 14.31 42.94c15.86 7.875 35.02 1.5 42.94-14.31L403.8 352h152.4l23.19 46.31C584.1 409.5 596.3 416 608 416c4.797 0 9.688-1.094 14.28-3.375C638.1 404.7 644.5 385.5 636.6 369.7zM435.8 288L480 199.6L524.2 288H435.8zM447.2 1.694c-7.922-4-17.5-.7188-21.47 7.156l-239.1 479.1c-3.953 7.906-.75 17.5 7.156 21.47C195.1 511.5 197.6 512 199.1 512c5.875 0 11.52-3.25 14.33-8.844l239.1-479.1C458.3 15.26 455.1 5.663 447.2 1.694z"],
    "key": [512, 512, [128273], "f084", "M282.3 343.7L248.1 376.1C244.5 381.5 238.4 384 232 384H192V424C192 437.3 181.3 448 168 448H128V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V408C0 401.6 2.529 395.5 7.029 391L168.3 229.7C162.9 212.8 160 194.7 160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352C317.3 352 299.2 349.1 282.3 343.7zM376 176C398.1 176 416 158.1 416 136C416 113.9 398.1 96 376 96C353.9 96 336 113.9 336 136C336 158.1 353.9 176 376 176z"],
    "key-skeleton": [448, 512, [128477], "f6f3", "M227.3 265.9L141.3 352L182.6 393.4C195.1 405.9 195.1 426.1 182.6 438.6C170.1 451.1 149.9 451.1 137.4 438.6L96 397.3L77.25 416L118.6 457.4C131.1 469.9 131.1 490.1 118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6L9.372 438.6C-3.124 426.1-3.124 405.9 9.372 393.4L182.1 220.7C168.1 198.5 159.1 172.2 159.1 144C159.1 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C275.8 288 249.5 279.9 227.3 265.9H227.3zM304 224C348.2 224 384 188.2 384 144C384 99.82 348.2 64 304 64C259.8 64 224 99.82 224 144C224 188.2 259.8 224 304 224z"],
    "key-skeleton-left-right": [640, 512, [], "e3b4", "M639.1 128C639.1 198.7 582.7 256 511.1 256C452.4 256 402.2 215.2 388 159.1H319.1V192C319.1 209.7 305.7 224 287.1 224C270.3 224 255.1 209.7 255.1 192V159.1H223.1L223.1 192C223.1 209.7 209.7 224 191.1 224C174.3 223.1 159.1 209.7 159.1 191.1L159.1 127.1C159.1 110.3 174.3 95.1 191.1 95.1H388C402.2 40.79 452.4 0 511.1 0C582.7 0 639.1 57.31 639.1 128V128zM511.1 64C476.6 64 447.1 92.65 447.1 128C447.1 163.3 476.6 192 511.1 192C547.3 192 575.1 163.3 575.1 128C575.1 92.65 547.3 64 511.1 64zM0 384C0 313.3 57.31 256 128 256C187.6 256 237.8 296.8 251.1 352H320V320C320 302.3 334.3 288 352 288C369.7 288 384 302.3 384 320V352H416L416 319.1C416 302.3 430.3 287.1 448 288C465.7 288 480 302.3 480 320L480 384C480 401.7 465.7 416 448 416H251.1C237.8 471.2 187.6 512 128 512C57.31 512 0 454.7 0 384zM128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448z"],
    "keyboard": [576, 512, [9000], "f11c", "M512 448H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64h448c35.35 0 64 28.65 64 64v256C576 419.3 547.3 448 512 448zM128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM128 276v-40C128 229.4 122.6 224 116 224h-40C69.38 224 64 229.4 64 236v40C64 282.6 69.38 288 76 288h40C122.6 288 128 282.6 128 276zM224 276v-40C224 229.4 218.6 224 212 224h-40C165.4 224 160 229.4 160 236v40C160 282.6 165.4 288 172 288h40C218.6 288 224 282.6 224 276zM320 276v-40C320 229.4 314.6 224 308 224h-40C261.4 224 256 229.4 256 236v40C256 282.6 261.4 288 268 288h40C314.6 288 320 282.6 320 276zM416 276v-40C416 229.4 410.6 224 404 224h-40C357.4 224 352 229.4 352 236v40C352 282.6 357.4 288 364 288h40C410.6 288 416 282.6 416 276zM512 276v-40C512 229.4 506.6 224 500 224h-40C453.4 224 448 229.4 448 236v40C448 282.6 453.4 288 460 288h40C506.6 288 512 282.6 512 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM416 372v-40C416 325.4 410.6 320 404 320h-232C165.4 320 160 325.4 160 332v40C160 378.6 165.4 384 172 384h232C410.6 384 416 378.6 416 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z"],
    "keyboard-brightness": [640, 512, [], "e1c0", "M198.6 217.4C211.1 229.9 211.1 250.1 198.6 262.6C186.1 275.1 165.9 275.1 153.4 262.6L89.37 198.6C76.88 186.1 76.88 165.9 89.37 153.4C101.9 140.9 122.1 140.9 134.6 153.4L198.6 217.4zM288 96C288 78.33 302.3 64 320 64C337.7 64 352 78.33 352 96V192C352 209.7 337.7 224 320 224C302.3 224 288 209.7 288 192V96zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4C563.1 165.9 563.1 186.1 550.6 198.6L486.6 262.6C474.1 275.1 453.9 275.1 441.4 262.6C428.9 250.1 428.9 229.9 441.4 217.4L505.4 153.4zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416H32C14.33 416 0 401.7 0 384zM416 352C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384C192 366.3 206.3 352 224 352H416zM608 352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H544C526.3 416 512 401.7 512 384C512 366.3 526.3 352 544 352H608z"],
    "keyboard-brightness-low": [512, 512, [], "e1c1", "M224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160zM64 224C64 206.3 78.33 192 96 192C113.7 192 128 206.3 128 224C128 241.7 113.7 256 96 256C78.33 256 64 241.7 64 224zM448 224C448 241.7 433.7 256 416 256C398.3 256 384 241.7 384 224C384 206.3 398.3 192 416 192C433.7 192 448 206.3 448 224zM448 384C448 366.3 462.3 352 480 352C497.7 352 512 366.3 512 384C512 401.7 497.7 416 480 416C462.3 416 448 401.7 448 384zM64 384C64 401.7 49.67 416 32 416C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352C49.67 352 64 366.3 64 384zM352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416H160C142.3 416 128 401.7 128 384C128 366.3 142.3 352 160 352H352z"],
    "keyboard-down": [576, 512, [], "e1c2", "M512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM256 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C261.4 128 256 122.6 256 116V76zM160 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C165.4 128 160 122.6 160 116V76zM128 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM128 116c0 6.625-5.375 12-12 12h-40C69.38 128 64 122.6 64 116v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM416 212c0 6.625-5.375 12-12 12h-232c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h232c6.625 0 12 5.375 12 12V212zM416 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM512 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM512 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM392 351.9h-208c-9.549 0-18.19 5.66-22 14.42c-3.814 8.756-2.079 18.97 4.405 25.96l104 112.1c9.498 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.988 8.219-17.2 4.409-25.96C410.2 357.6 401.5 351.9 392 351.9z"],
    "keyboard-left": [640, 512, [], "e1c3", "M575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM319.1 140c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V140zM319.1 236c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V236zM287.1 372c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V372zM287.1 276c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V276zM287.1 180c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V180zM479.1 372c0 6.625-5.375 12-12 12h-136c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h136c6.625 0 12 5.375 12 12V372zM479.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM479.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM575.1 372c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V372zM575.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM575.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM116.5 155.2c-7-3.051-15.15-1.664-20.74 3.523L6.138 241.9C2.046 245.7 .0003 250.9 .0002 255.1c-.0001 5.138 2.046 10.28 6.137 14.08L95.74 353.3c5.588 5.188 13.74 6.576 20.74 3.527c7-3.051 11.53-9.965 11.53-17.6V172.8C127.1 165.2 123.5 158.3 116.5 155.2z"],
    "keynote": [512, 512, [], "f66c", "M336 448H288v-64H224v64H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 144 512h224c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448zM508.6 281.2L456.9 177.8C451.4 166.9 440.4 160 428.2 160H144c0-37.62 26.25-69 62.62-77.5C215.2 90.75 227 96 240 96h64C330.5 96 352 74.5 352 48S330.5 0 304 0h-64C217.6 0 199 15.38 193.8 36C137.8 49.75 96 99.88 96 160H83.75C71.62 160 60.62 166.9 55.12 177.8L3.375 281.2C1.125 285.6 0 290.6 0 295.5V320c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V295.5C512 290.6 510.9 285.8 508.6 281.2z"],
    "khanda": [576, 512, [9772], "f66d", "M447.7 65.1c-6.25-3.5-14.29-2.351-19.29 3.024c-5.125 5.375-5.833 13.37-1.958 19.5c16.5 26.25 25.23 56.34 25.23 87.46c-.25 53.25-26.74 102.6-71.24 132.4l-76.62 53.35v-20.12l44.01-36.12c3.875-4.125 4.983-10.13 2.858-15.26L342.8 273c33.88-19.25 56.94-55.25 56.94-97c0-40.75-22.06-76.12-54.56-95.75l5.151-11.39c2.375-5.5 .9825-11.87-3.518-15.1L287.9 .0074l-59.05 52.77C224.4 57.02 222.1 63.37 225.2 68.87l5.203 11.32C197.1 99.81 175.9 135.2 175.9 175.1c0 41.75 23.08 77.75 56.95 97L224.1 290.2C222.9 295.4 223.9 301.2 227.9 305.5l43.1 36.11v19.91L195.2 308.1c-44.25-29.5-70.72-78.9-70.97-132.1c0-31.12 8.73-61.2 25.23-87.45C153.3 82.4 151.8 74.75 146.8 69.5C141.8 64.12 133.2 63.25 126.8 66.75C48.34 109.6 9.713 205.2 45.34 296c7 18 17.88 34.38 30.5 49l55.92 65.38c4.875 5.75 13.09 7.232 19.71 3.732l79.25-42.25l29.26 20.37l-47.09 32.75c-1.625-.375-3.125-1-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.13 0 21.74-9.126 23.36-20.75l40.6-28.25v29.91c-9.375 5.625-15.97 15.37-15.97 27.12c0 17.62 14.37 31.1 31.1 31.1c17.63 0 31.1-14.37 31.1-31.1c0-11.75-6.656-21.52-16.03-27.14v-30.12l40.87 28.48c1.625 11.63 11.23 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99s-10.73-24-23.98-24c-1.875 0-3.375 .625-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c6.625 3.5 14.84 2.018 19.71-3.732l52.51-61.27c18.88-22 33.1-47.49 41.25-75.61C559.6 189.9 521.5 106.2 447.7 65.1zM351.8 176c0 22.25-11.45 41.91-28.82 53.41l-5.613-12.43c-8.75-24.5-8.811-51.11-.061-75.61l7.748-17.12C341.2 135.9 351.8 154.6 351.8 176zM223.8 176c0-21.38 10.67-40.16 26.67-51.79l7.848 17.17c8.75 24.63 8.747 51.11-.0032 75.61L252.7 229.4C235.4 217.9 223.8 198.2 223.8 176z"],
    "kidneys": [640, 512, [], "f5fb", "M231.6 32.11c-35.38-39.63-96.13-43.01-135.6-7.764C36.11 77.85 2.371 149.1 .1207 223.1c-1.25 42 7.5 70.94 12.88 90.06c12 42.38 50.5 69.94 92.38 69.94c64.25 0 109.6-61.42 92.5-122C196.7 258.2 174.8 211.5 223.9 167.6C263.5 132.3 266.9 71.62 231.6 32.11zM303.9 267.7c0-21.25-11.88-40.5-31-50.13L237 199.7C228.5 209.9 220.5 224.7 225.4 241.1l1.875 6.5l24.13 12.13c2.75 1.375 4.5 4.125 4.5 7.125l.0454 228.3c0 8.875 7.125 16 16 16l15.96-.0002c8.875 0 16-7.121 16-15.1L303.9 267.7zM366.9 217.6c-19.13 9.625-31 28.88-31 50.13l.1152 228.3c0 8.875 7.125 15.1 16 15.1l16 .0002c8.875 0 16-7.128 16-16l-.1176-228.3c0-3 1.75-5.75 4.5-7.125l23.88-12l2.125-7.375c4.875-16.88-3.125-31.5-11.63-41.5L366.9 217.6zM543.9 24.27c-39.5-35.13-100.4-31.78-135.7 7.972c-35.25 39.5-31.68 100.2 7.942 135.5c49.5 44.13 26.56 91.15 25.81 93.65c-17.5 60.63 27.63 122.6 92.25 122.6c41.75 0 80.13-27.38 92.25-69.5c5.625-19.25 14.63-48 13.38-90.5C637.8 149.1 604.2 77.89 543.9 24.27z"],
    "kip-sign": [384, 512, [], "e1c4", "M182.5 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H182.5L340.8 423.7C354.2 435.2 355.8 455.4 344.3 468.8C332.8 482.2 312.6 483.8 299.2 472.3L128 325.6V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H64V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V186.4L299.2 39.7C312.6 28.2 332.8 29.76 344.3 43.18C355.8 56.59 354.2 76.8 340.8 88.3L182.5 224z"],
    "kit-medical": [576, 512, ["first-aid"], "f479", "M64 32h32v448H64c-35.35 0-64-28.66-64-64V96C0 60.66 28.65 32 64 32zM128 32h320v448H128V32zM176 282c0 8.835 7.164 16 16 16h53.1V352c0 8.836 7.165 16 16 16h52c8.836 0 16-7.164 16-16V298H384c8.836 0 16-7.165 16-16v-52c0-8.837-7.164-16-16-16h-54V160c0-8.836-7.164-16-16-16h-52c-8.835 0-16 7.164-16 16v54H192c-8.836 0-16 7.163-16 16V282zM512 32h-32v448h32c35.35 0 64-28.66 64-64V96C576 60.66 547.3 32 512 32z"],
    "kitchen-set": [576, 512, [], "e51a", "M80 144C80 108.7 108.7 80 144 80C179.3 80 208 108.7 208 144C208 179.3 179.3 208 144 208C108.7 208 80 179.3 80 144zM284.4 176C269.9 240.1 212.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C212.5 0 269.9 47.87 284.4 112H356.2C365 102.2 377.8 96 392 96H496C522.5 96 544 117.5 544 144C544 170.5 522.5 192 496 192H392C377.8 192 365 185.8 356.2 176H284.4zM144 48C90.98 48 48 90.98 48 144C48 197 90.98 240 144 240C197 240 240 197 240 144C240 90.98 197 48 144 48zM424 264V272H520C533.3 272 544 282.7 544 296C544 309.3 533.3 320 520 320H280C266.7 320 256 309.3 256 296C256 282.7 266.7 272 280 272H376V264C376 250.7 386.7 240 400 240C413.3 240 424 250.7 424 264zM288 464V352H512V464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464zM176 320C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336C32 327.2 39.16 320 48 320H176zM192 368C192 359.2 184.8 352 176 352H160V384H176C184.8 384 192 376.8 192 368zM200 464C213.3 464 224 474.7 224 488C224 501.3 213.3 512 200 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H200z"],
    "kite": [640, 512, [129665], "f6f4", "M608-.0007l-262.5 0c-14.9 0-27.87 10.26-31.22 24.79L234.2 371.1l-87.52 87.49c-3.176 3.172-7.125 4.586-10.95 4.586c-8.014 0-15.66-6.211-15.66-15.6L120 358.5l-24-16l-24 16v84.76c0 16.63 4.982 33.13 15.73 45.76C101.1 504.1 118.6 512 135.6 512c16.76 0 33.14-6.804 44.97-18.63l87.47-87.51l347.1-80.11C629.7 322.4 640 309.4 640 294.5V31.99C640 14.31 625.7-.0007 608-.0007zM555.3 212.7C558.4 215.8 560 219.9 560 224c0 8.564-6.9 16-16 16c-4.094 0-8.188-1.561-11.31-4.688L480 182.6l-116.7 116.7C360.2 302.5 356.1 304 352 304c-8.553 0-16-6.9-16-16c0-4.094 1.562-8.189 4.688-11.31l116.7-116.7l-52.69-52.69C401.6 104.2 400 100.1 400 96.01c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688L480 137.4l52.69-52.68C535.8 81.57 539.9 80.01 544 80.01c9.139 0 16 7.473 16 16c0 4.094-1.562 8.188-4.688 11.31l-52.69 52.69L555.3 212.7zM96 310.5c6.188 0 12.38 1.812 17.75 5.438l53.38 35.51c2.809 1.883 5.869 2.736 8.855 2.736C184.3 354.2 192 347.6 192 338.2V269.9c0-9.381-7.713-15.99-16.02-15.99c-2.986 0-6.047 .8535-8.855 2.736L120 288V224c0-48.63-39.38-88.01-88-88.01L16 136c-8.875 0-16 7.119-16 15.1v16c0 8.875 7.125 16 16 16L32 184c22.12 0 40 17.87 40 40v64.02L24.88 256.7C22.07 254.8 19.01 253.9 16.02 253.9C7.713 253.9 0 260.5 0 269.9v68.26c0 9.381 7.713 15.99 16.02 15.99c2.986 0 6.047-.8535 8.855-2.736l53.38-35.51C83.63 312.3 89.81 310.5 96 310.5z"],
    "kiwi-bird": [576, 512, [], "f535", "M256 405.1V456C256 469.3 245.3 480 232 480C218.7 480 208 469.3 208 456V415.3C202.7 415.8 197.4 416 192 416C175.4 416 159.3 413.9 144 409.1V456C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V390.3C38.61 357.1 0 295.1 0 224C0 117.1 85.96 32 192 32C228.3 32 262.3 42.08 291.2 59.6C322.4 78.44 355.9 96 392.3 96H448C518.7 96 576 153.3 576 224V464C576 470.1 571.5 477.2 564.8 479.3C558.2 481.4 550.9 478.9 546.9 473.2L461.6 351.3C457.1 351.8 452.6 352 448 352H392.3C355.9 352 322.4 369.6 291.2 388.4C280.2 395.1 268.4 400.7 256 405.1zM448 248C461.3 248 472 237.3 472 224C472 210.7 461.3 200 448 200C434.7 200 424 210.7 424 224C424 237.3 434.7 248 448 248z"],
    "kiwi-fruit": [448, 512, [], "e30c", "M224 352c-97.36 0-180.3-35.62-223.7-89.3C3.914 383.3 102.6 480 224 480s220.1-96.72 223.7-217.3C404.3 316.4 321.4 352 224 352zM224 320c123.7 0 224-64.47 224-144S347.7 32 224 32S0 96.47 0 176S100.3 320 224 320zM155.3 243.3l-16 16C136.2 262.4 132.1 264 128 264S119.8 262.4 116.7 259.3c-6.25-6.25-6.25-16.38 0-22.62l16-16c6.25-6.25 16.38-6.25 22.62 0S161.6 237.1 155.3 243.3zM240 272C240 280.8 232.8 288 224 288S208 280.8 208 272V248c0-8.844 7.156-16 16-16s16 7.156 16 16V272zM384 176C384 184.8 376.8 192 368 192h-32C327.2 192 320 184.8 320 176S327.2 160 336 160h32C376.8 160 384 167.2 384 176zM292.7 108.7l16-16c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-16 16C312.2 134.4 308.1 136 304 136s-8.188-1.562-11.31-4.688C286.4 125.1 286.4 114.9 292.7 108.7zM292.7 220.7c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C328.2 262.4 324.1 264 320 264s-8.188-1.562-11.31-4.688l-16-16C286.4 237.1 286.4 226.9 292.7 220.7zM208 80C208 71.16 215.2 64 224 64s16 7.156 16 16v24c0 8.844-7.156 16-16 16s-16-7.156-16-16V80zM224 149c30.93 0 56 12.09 56 27S254.9 203 224 203S168 190.9 168 176S193.1 149 224 149zM116.7 92.69c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C152.2 134.4 148.1 136 144 136S135.8 134.4 132.7 131.3l-16-16C110.4 109.1 110.4 98.94 116.7 92.69zM80 160h32C120.8 160 128 167.2 128 176S120.8 192 112 192h-32C71.16 192 64 184.8 64 176S71.16 160 80 160z"],
    "knife": [512, 512, ["utensil-knife"], "f2e4", "M508.7 127.1C501.7 163.3 483.1 196.7 457.9 222.8L353.6 327.1C347.7 333 340.6 337.7 332.8 340.1C325.1 344.2 316.7 345.8 308.3 345.8C299.9 345.8 291.6 344.2 283.8 340.1C276.1 337.7 269 333 263.1 327.1L252.3 316.3L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L195.7 259.7L195.2 259.2L445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.84 508.7 127.1L508.7 127.1z"],
    "knife-kitchen": [576, 512, [128298], "f6f5", "M267.5 216.6L4.888 469.9c-8.75 8.375-5.25 22.62 6.5 26.5c113.9 36.5 239.4 7.999 324.2-73.87l60.1-58.87c6.5-6.25 6.5-16.37 0-22.62L267.5 216.6zM566.3 43.24l-35.12-33.88c-12.1-12.5-33.1-12.5-46.1-.0007l-192.2 185.4l111.1 108.1l34.37-27.75c6.25-5.1 9.75-14.12 9.75-22.62V207.1l118.2-119.4C579.2 76.12 579.2 55.74 566.3 43.24zM443.3 155.3c-6.255 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.255-6.25 16.36-6.25 22.62 0C449.6 138.9 449.6 149.1 443.3 155.3zM507.3 91.3c-6.256 6.25-16.36 6.25-22.62 0c-6.255-6.25-6.255-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C513.6 74.93 513.6 85.18 507.3 91.3z"],
    "l": [320, 512, [108], "4c", "M320 448c0 17.67-14.31 32-32 32H64c-17.69 0-32-14.33-32-32v-384C32 46.34 46.31 32.01 64 32.01S96 46.34 96 64.01v352h192C305.7 416 320 430.3 320 448z"],
    "lacrosse-stick": [640, 512, [], "e3b5", "M608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4c-9.992 7.77-48.67 39.55-48.67 102.4c0 17.93 4.148 35.08 11.41 50.62l-182.5 152C35.78 461.8 32 470.8 32 480C32 501.4 50.39 512 64.01 512c7.219 0 14.48-2.438 20.47-7.406l183.3-152.8c18.97 12.69 41.69 21.11 71.89 21.11c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM543.1 185.1c0 69.44-63.79 30.8-161.2 106.4l-6.119 4.783c-12.13 9.432-24.06 12.42-36.89 12.42c-52.47 0-61.32-41.46-61.32-55.5c0-6.431 .3557-33.87 23.88-52.17L308.7 196.1C400.1 124.3 383.1 64 435.1 64C486.6 64 543.1 127.9 543.1 185.1z"],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", "M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80C572.2 512 608 476.2 608 432C608 387.8 572.2 352 528 352zM608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4C253.2 158.2 214.5 189.1 214.5 252.8c0 17.93 4.149 35.08 11.42 50.62l-182.5 152C35.77 461.8 32 470.8 32 480C32 501.4 50.39 512 64.01 512c7.219 0 14.48-2.438 20.47-7.406l183.3-152.8c18.97 12.69 41.69 21.11 71.89 21.11c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM382.8 291.5L376.7 296.3c-12.13 9.432-24.06 12.42-36.89 12.42c-52.47 0-61.31-41.46-61.31-55.5c0-6.43 .3562-33.87 23.88-52.16l6.402-4.955C400.1 124.3 383.1 64 435.1 64c51.54 0 108.9 63.86 108.9 121.1C543.1 254.5 480.2 215.9 382.8 291.5z"],
    "lambda": [448, 512, [], "f66e", "M448 448c0 17.69-14.31 32-32 32h-64c-12.12 0-23.19-6.844-28.62-17.69l-130.6-261.2l-115.5 259.9c-5.312 11.94-17 19-29.28 19c-4.344 0-8.75-.875-12.97-2.75c-16.16-7.188-23.41-26.09-16.25-42.25l136.9-308.1L140.2 96.01H32c-17.69 0-32-14.31-32-32s14.31-32 32-32l128-.0049c12.12 0 23.19 6.849 28.62 17.69l183.2 366.3H416C433.7 416 448 430.3 448 448z"],
    "lamp": [448, 512, [], "f4ca", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.782 230.1 7.718 256 30.22 256h387.6C439.5 256 454.1 232.5 445.5 211.4zM160 288c-37.25 37.25-64.03 98.75-64.03 140.8c0 28.5 11.5 54.37 30.5 74.37C132.2 509.1 140.3 512 148.7 512h150.5c8.375 0 16.5-2.875 22.25-8.875c19-20.12 30.5-45.88 30.5-74.37c0-42-26.72-103.5-63.97-140.8H160z"],
    "lamp-desk": [512, 512, [], "e014", "M512 81.2c0-9.067-7.032-17.76-17.63-17.76h-147.9l-45.25-45.31C288.8 6.039 272.7 0 256.6 0C222.1 0 192.6 27.89 192.6 64.05c0 16.11 6.032 32.23 18.11 44.7l11.04 11.01l-118.8 118.9C98.45 243.2 95.97 249.4 95.97 255.7c0 2.178 .2967 4.374 .907 6.528l53 185.7H63.97C18.94 447.9 0 486.8 0 496.5C0 504.7 7.311 512 16.14 512h351.7c8.83 0 16.12-7.252 16.12-15.51c0-9.823-19.33-48.57-63.97-48.57h-120.1l-52.88-185.2l108.8-108.8l.154 148.3c0 10.61 8.642 17.64 17.7 17.64c4.3 0 8.721-1.584 12.3-5.13l220.9-221.2C510.4 89.89 512 85.5 512 81.2zM379.7 266.1c10.47 9.109 23.48 13.63 36.47 13.63c14.31 0 28.6-5.491 39.41-16.38c10.88-10.83 16.36-25.13 16.36-39.46c0-13-4.516-26.03-13.61-36.51L379.7 266.1z"],
    "lamp-floor": [384, 512, [], "e015", "M256 448h-31.99l-.0098-192.2H159.1L160 448H127.1c-28.38 0-55.01 18.5-63.26 44.13C61.49 502 69.78 512 80.16 512h223.7c10.38 0 18.67-9.1 15.42-19.88C311 466.5 284.4 448 256 448zM381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.645 189.2-.6442 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224h320c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.2 381.4 179.4z"],
    "lamp-street": [512, 512, [], "e1c5", "M352 227.4V128c0-70.58-57.4-128-127.1-128H128C57.41 0 0 57.42 0 128v384h64V128c0-35.3 28.72-64 64-64h96c35.28 0 64 28.7 64 64v99.45c-82.75 13.78-147.1 78.7-159.8 161.4C126.3 403.2 137.9 416 152.4 416h335.2c14.53 0 26.16-12.81 24.19-27.16C499.1 306.1 434.8 241.2 352 227.4zM320 512c35.38 0 64.01-28.62 64.01-64h-128C256 483.4 284.7 512 320 512z"],
    "land-mine-on": [576, 512, [], "e51b", "M312 168C312 181.3 301.3 192 288 192C274.7 192 264 181.3 264 168V24C264 10.75 274.7 0 288 0C301.3 0 312 10.75 312 24V168zM160 320C160 302.3 174.3 288 192 288H384C401.7 288 416 302.3 416 320V352H160V320zM82.74 410.5C90.87 394.3 107.5 384 125.7 384H450.3C468.5 384 485.1 394.3 493.3 410.5L520.8 465.7C531.5 486.1 516 512 492.2 512H83.78C59.99 512 44.52 486.1 55.16 465.7L82.74 410.5zM4.269 138.3C11.81 127.4 26.77 124.7 37.66 132.3L141.7 204.3C152.6 211.8 155.3 226.8 147.7 237.7C140.2 248.6 125.2 251.3 114.3 243.7L10.34 171.7C-.5568 164.2-3.275 149.2 4.269 138.3V138.3zM538.3 132.3C549.2 124.7 564.2 127.4 571.7 138.3C579.3 149.2 576.6 164.2 565.7 171.7L461.7 243.7C450.8 251.3 435.8 248.6 428.3 237.7C420.7 226.8 423.4 211.8 434.3 204.3L538.3 132.3z"],
    "landmark": [512, 512, [127963], "f66f", "M240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L443.6 102.4L447.1 104V104.9L495.9 132.2C508.5 139.4 514.6 154.2 510.9 168.2C507.2 182.2 494.5 192 479.1 192H31.1C17.49 192 4.795 182.2 1.071 168.2C-2.653 154.2 3.524 139.4 16.12 132.2L63.1 104.9V104L68.37 102.4L240.1 4.216zM64 224H128V416H168V224H232V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H32C17.9 512 5.46 502.8 1.373 489.3C-2.713 475.8 2.517 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 64 420.3V224z"],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", "M264 0C277.3 0 288 10.75 288 24V34.65C368.4 48.14 431.9 111.6 445.3 192H448C465.7 192 480 206.3 480 224C480 241.7 465.7 256 448 256H63.1C46.33 256 31.1 241.7 31.1 224C31.1 206.3 46.33 192 63.1 192H66.65C80.14 111.6 143.6 48.14 223.1 34.65V24C223.1 10.75 234.7 0 247.1 0L264 0zM63.1 288H127.1V416H167.1V288H231.1V416H280V288H344V416H384V288H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 63.1 420.3V288z"],
    "landmark-flag": [512, 512, [], "e51c", "M352 0C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H272V128H464C481.7 128 496 142.3 496 160C496 177.7 481.7 192 464 192H47.1C30.33 192 15.1 177.7 15.1 160C15.1 142.3 30.33 128 47.1 128H239.1V16C239.1 7.164 247.2 0 255.1 0H352zM63.1 224H127.1V416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224z"],
    "language": [640, 512, [], "f1ab", "M448 164C459 164 468 172.1 468 184V188H528C539 188 548 196.1 548 208C548 219 539 228 528 228H526L524.4 232.5C515.5 256.1 501.9 279.1 484.7 297.9C485.6 298.4 486.5 298.1 487.4 299.5L506.3 310.8C515.8 316.5 518.8 328.8 513.1 338.3C507.5 347.8 495.2 350.8 485.7 345.1L466.8 333.8C462.4 331.1 457.1 328.3 453.7 325.3C443.2 332.8 431.8 339.3 419.8 344.7L416.1 346.3C406 350.8 394.2 346.2 389.7 336.1C385.2 326 389.8 314.2 399.9 309.7L403.5 308.1C409.9 305.2 416.1 301.1 422 298.3L409.9 286.1C402 278.3 402 265.7 409.9 257.9C417.7 250 430.3 250 438.1 257.9L452.7 272.4L453.3 272.1C465.7 259.9 475.8 244.7 483.1 227.1H376C364.1 227.1 356 219 356 207.1C356 196.1 364.1 187.1 376 187.1H428V183.1C428 172.1 436.1 163.1 448 163.1L448 164zM160 233.2L179 276H140.1L160 233.2zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM320 384H576V128H320V384zM178.3 175.9C175.1 168.7 167.9 164 160 164C152.1 164 144.9 168.7 141.7 175.9L77.72 319.9C73.24 329.1 77.78 341.8 87.88 346.3C97.97 350.8 109.8 346.2 114.3 336.1L123.2 315.1H196.8L205.7 336.1C210.2 346.2 222 350.8 232.1 346.3C242.2 341.8 246.8 329.1 242.3 319.9L178.3 175.9z"],
    "laptop": [640, 512, [128187], "f109", "M128 96h384v256h64v-272c0-26.38-21.62-48-48-48h-416c-26.38 0-48 21.62-48 48V352h64V96zM624 383.1h-608c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.2 632.8 383.1 624 383.1z"],
    "laptop-arrow-down": [640, 512, [], "e1c6", "M223 199c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L344 238.1V56c0-13.25-10.75-24-23.1-24S296 42.75 296 56v182.1L256.1 199C252.3 194.3 246.2 192 240 192S227.7 194.3 223 199zM512 352h64V80C576 53.63 554.4 32 528 32H384v64h128V352zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM128 96h128V32H112C85.63 32 64 53.63 64 80V352h64V96z"],
    "laptop-code": [640, 512, [], "f5fc", "M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM365.9 286.2C369.8 290.1 374.9 292 380 292s10.23-1.938 14.14-5.844l48-48c7.812-7.813 7.812-20.5 0-28.31l-48-48c-7.812-7.813-20.47-7.813-28.28 0c-7.812 7.813-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84C358 265.7 358 278.4 365.9 286.2zM274.1 161.9c-7.812-7.813-20.47-7.813-28.28 0l-48 48c-7.812 7.813-7.812 20.5 0 28.31l48 48C249.8 290.1 254.9 292 260 292s10.23-1.938 14.14-5.844c7.812-7.813 7.812-20.5 0-28.31L240.3 224l33.86-33.84C281.1 182.4 281.1 169.7 274.1 161.9z"],
    "laptop-file": [640, 512, [], "e51d", "M192 96C192 113.7 206.3 128 224 128H320V192H288C243.8 192 208 227.8 208 272V384C187.1 384 169.3 397.4 162.7 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H192V96zM240 272C240 245.5 261.5 224 288 224H544C570.5 224 592 245.5 592 272V416H624C632.8 416 640 423.2 640 432V448C640 483.3 611.3 512 576 512H256C220.7 512 192 483.3 192 448V432C192 423.2 199.2 416 208 416H240V272zM304 288V416H528V288H304zM320 96H224V0L320 96z"],
    "laptop-medical": [640, 512, [], "f812", "M624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM304 336h32c8.801 0 16-7.201 16-16V272h48C408.8 272 416 264.8 416 256V224c0-8.801-7.199-16-16-16H352V160c0-8.801-7.199-16-16-16h-32C295.2 144 288 151.2 288 160v48H240C231.2 208 224 215.2 224 224v32c0 8.799 7.199 16 16 16H288V320C288 328.8 295.2 336 304 336z"],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", "M604 127.1h-184C400.1 127.1 384 144.1 384 164v312C384 495.9 400.1 512 420 512h184C623.9 512 640 495.9 640 476v-312C640 144.1 623.9 127.1 604 127.1zM576 448h-128V192h128V448zM128 64h320v32h64V48c0-26.5-21.5-47.88-47.88-48H111.9C85.5 .125 64 21.5 64 48V288H16C7.125 288 0 295.1 0 304V320c.125 35.25 28.62 63.88 63.88 64H352V288H128V64z"],
    "laptop-slash": [640, 512, [], "e1c7", "M16 383.1c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64L489.6 480l-122.5-96L16 383.1zM64 146.4V352h64V196.6L64 146.4zM639.1 400c0-8.75-7.25-16-16-16h-101.8L154.8 96H512v256h63.1l.0007-272c0-26.38-21.62-48-48-48H112C101.8 32 92.27 35.33 84.45 40.88L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7l-9.822-7.702C632.7 449.8 639.1 433.7 639.1 416V400z"],
    "lari-sign": [384, 512, [], "e1c8", "M144 32C161.7 32 176 46.33 176 64V96.66C181.3 96.22 186.6 96 192 96C197.4 96 202.7 96.22 208 96.66V64C208 46.33 222.3 32 240 32C257.7 32 272 46.33 272 64V113.4C326.9 138.6 367.8 188.9 380.2 249.6C383.7 266.1 372.5 283.8 355.2 287.4C337.8 290.9 320.1 279.7 317.4 262.4C311.4 232.5 294.9 206.4 272 188.1V256C272 273.7 257.7 288 240 288C222.3 288 208 273.7 208 256V160.1C202.8 160.3 197.4 160 192 160C186.6 160 181.2 160.3 176 160.1V256C176 273.7 161.7 288 144 288C126.3 288 112 273.7 112 256V188.1C82.74 211.5 64 247.6 64 288C64 358.7 121.3 416 192 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H48.89C18.49 382 0 337.2 0 288C0 210.5 45.9 143.7 112 113.4V64C112 46.33 126.3 32 144 32V32z"],
    "lasso": [576, 512, [], "f8c8", "M576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176V176zM288 288C411.7 288 512 237.9 512 176C512 114.1 411.7 64 288 64C164.3 64 64 114.1 64 176C64 237.9 164.3 288 288 288z"],
    "lasso-sparkles": [576, 512, [], "e1c9", "M281.4 25.36L255.3 34.98C240.2 40.58 229.2 53.26 225.4 68.43C132.2 81.97 64 125 64 176C64 237.9 164.3 288 288 288C411.7 288 512 237.9 512 176C512 144.8 486.4 116.5 445.2 96.21C447 91.1 448 85.63 448 80C448 59.92 435.5 41.95 416.7 34.98L390.6 25.36L385 10.24C496.4 34.58 576 99.61 576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0L290.7 .0077L281.4 25.36zM365.7 50.26L405.6 64.99C411.8 67.32 416 73.31 416 80C416 86.7 411.8 92.68 405.6 95.01L365.7 109.7L351 149.6C348.7 155.8 342.7 160 336 160C329.3 160 323.3 155.8 320.1 149.6L306.3 109.7L266.4 95.01C260.2 92.68 256 86.7 256 80C256 73.31 260.2 67.32 266.4 64.99L306.3 50.26L320.1 10.45C323.3 4.169 329.3 .0006 336 .0006C342.7 .0006 348.7 4.169 351 10.45L365.7 50.26zM496 352C502.7 352 508.7 356.2 511 362.4L525.7 402.3L565.6 416.1C571.8 419.3 576 425.3 576 432C576 438.7 571.8 444.7 565.6 447L525.7 461.7L511 501.6C508.7 507.8 502.7 512 496 512C489.3 512 483.3 507.8 480.1 501.6L466.3 461.7L426.4 447C420.2 444.7 416 438.7 416 432C416 425.3 420.2 419.3 426.4 416.1L466.3 402.3L480.1 362.4C483.3 356.2 489.3 352 496 352z"],
    "layer-group": [512, 512, [], "f5fd", "M232.5 5.171C247.4-1.718 264.6-1.718 279.5 5.171L498.1 106.2C506.6 110.1 512 118.6 512 127.1C512 137.3 506.6 145.8 498.1 149.8L279.5 250.8C264.6 257.7 247.4 257.7 232.5 250.8L13.93 149.8C5.438 145.8 0 137.3 0 127.1C0 118.6 5.437 110.1 13.93 106.2L232.5 5.171zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L67.13 209.6L219.1 279.8C242.5 290.7 269.5 290.7 292.9 279.8L444.9 209.6L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", "M488 56C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H488zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", "M432 0C445.3 0 456 10.75 456 24V56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H456V136C456 149.3 445.3 160 432 160C418.7 160 408 149.3 408 136V104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H408V24C408 10.75 418.7 0 432 0zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "leaf": [512, 512, [], "f06c", "M512 165.4c0 127.9-70.05 235.3-175.3 270.1c-20.04 7.938-41.83 12.46-64.69 12.46c-64.9 0-125.2-36.51-155.7-94.47c-54.13 49.93-68.71 107-68.96 108.1C44.72 472.6 34.87 480 24.02 480c-1.844 0-3.727-.2187-5.602-.6562c-12.89-3.098-20.84-16.08-17.75-28.96c9.598-39.5 90.47-226.4 335.3-226.4C344.8 224 352 216.8 352 208S344.8 192 336 192C228.6 192 151 226.6 96.29 267.6c.1934-10.82 1.242-21.84 3.535-33.05c13.47-65.81 66.04-119 131.4-134.2c28.33-6.562 55.68-6.013 80.93-.0054c56 13.32 118.2-7.412 149.3-61.24c5.664-9.828 20.02-9.516 24.66 .8282C502.7 76.76 512 121.9 512 165.4z"],
    "leaf-heart": [512, 512, [], "f4cb", "M486.2 39.98c-4.639-10.34-18.99-10.66-24.66-.8281c-31.09 53.82-93.33 74.56-149.3 61.23c-25.25-6.008-52.6-6.555-80.93 .0078c-65.4 15.14-117.1 68.35-131.4 134.2C94.81 259.1 95.13 282.9 99.44 305.2C21.89 368.2 .9922 449 .668 450.4c-3.094 12.88 4.859 25.86 17.75 28.96C20.29 479.8 22.19 480 24.03 480c10.85 0 20.69-7.414 23.33-18.42c.2461-1.016 14.82-58.13 68.96-108.1c30.51 57.96 90.8 94.46 155.7 94.46c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z"],
    "leaf-maple": [512, 512, [127809], "f6f6", "M339.8 7.544L355.6 39.18C362.7 53.42 379.2 60.26 394.3 55.22L461.9 32.71C463.3 32.24 464.8 31.1 466.2 31.1C473.8 31.1 480 38.16 480 45.77C480 47.24 479.8 48.71 479.3 50.12L456.8 117.7C451.7 132.8 458.6 149.3 472.8 156.4L504.5 172.2C509.1 174.5 512 179.3 512 184.4C512 189.1 509.6 193.5 505.6 196L407.7 257.2C400.8 261.5 403.9 271.1 411.9 271.1H450.2C457.8 271.1 464 278.2 464 285.8C464 287.2 463.8 288.7 463.3 290.1L454.8 315.6C450.7 327.9 454.5 341.5 464.3 350L498.6 379.4C502 382.3 504 386.6 504 391.1C504 396.6 501 401.7 496.2 404.4L467.4 420.9C455.7 427.6 449.5 440.8 451.7 453.1L455.8 479.1C455.9 479.7 456 480.3 456 480.1C456 488.6 448.8 494.1 441.4 492.2L286.5 451.8C278.3 449.7 269.9 454.2 267.3 462.2L258.8 487.6C257.1 492.6 252.5 496 247.2 496C242.8 496 238.7 493.6 236.5 489.7L183.6 394.4L90.23 487.7C80.86 497.1 65.66 497.1 56.29 487.7C46.92 478.3 46.92 463.1 56.29 453.8L239.3 270.8C242.9 264.6 242 256.6 236.8 251.4C230.5 245.2 220.4 245.2 214.1 251.4L130.1 335.4L22.29 275.5C18.41 273.3 16 269.2 16 264.8C16 259.5 19.37 254.9 24.36 253.2L49.8 244.7C57.79 242.1 62.35 233.7 60.22 225.5L19.8 70.55C17.88 63.19 23.43 56 31.04 56C31.68 56 32.32 56.05 32.95 56.16L58.01 60.34C71.23 62.54 84.41 56.28 91.06 44.65L107.6 15.75C110.3 10.96 115.4 8 120.9 8C125.4 8 129.7 9.962 132.6 13.37L161.1 47.66C170.5 57.54 184.1 61.31 196.4 57.2L221.9 48.71C223.3 48.24 224.8 48 226.2 48C233.8 48 239.1 54.16 239.1 61.77V100.1C239.1 108.1 250.5 111.2 254.8 104.3L315.1 6.415C318.5 2.424 322.9 0 327.6 0C332.7 0 337.5 2.921 339.8 7.545L339.8 7.544z"],
    "leaf-oak": [512, 512, [], "f6f7", "M425.1 281.1L448 304C465.7 321.7 465.7 350.3 448 368C437.9 378.1 423.7 382.8 409.6 380.8L334.5 370.1C328.9 369.3 324.1 375.5 328.1 380.2C342 401 339.3 428.7 321.6 446.4L317.9 450.1C300.1 467.9 272.7 472.4 250.1 461.1L219 445.5C201.3 436.6 181.7 432 161.8 432H145.9L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L254.5 255.6C258.3 249.4 257.6 241.2 252.2 235.8C245.1 229.5 235.8 229.5 229.6 235.8L80 385.4V350.2C80 330.3 75.38 310.7 66.49 292.1L50.94 261.9C39.63 239.3 44.06 211.9 61.94 194.1L65.58 190.4C83.27 172.7 110.1 169.1 131.8 183.9C136.5 187 142.7 183.1 141.9 177.5L131.2 102.4C129.2 88.3 133.9 74.07 144 64C161.7 46.33 190.3 46.33 208 64L230 86.01C234.4 90.41 241.9 88.33 243.4 82.29L253.6 41.44C259.7 17.09 281.6 0 306.7 0C325 0 342.1 9.143 352.2 24.36L361.7 38.62C365.5 44.24 372.4 46.91 378.9 45.27L399.1 40.23C419.5 35.12 441.1 41.11 456 56C470.9 70.89 476.9 92.5 471.8 112.9L466.7 133.1C465.1 139.6 467.8 146.5 473.4 150.3L487.6 159.8C502.9 169.9 512 186.1 512 205.3C512 230.4 494.9 252.3 470.6 258.4L429.7 268.6C423.7 270.1 421.6 277.6 425.1 281.1L425.1 281.1z"],
    "leafy-green": [576, 512, [129388], "e41d", "M96.25 389.3c1.482-79.13 14.61-103.3 31.68-125.5C136 253.2 142.1 244.1 142.1 190.7c0-43.31 26.17-70.82 47.2-92.92c11.12-11.69 21.45-22.81 27.13-34.71C214.5 58.87 211.4 54.95 209.1 50.16c-6.756-14.12-16.79-26.72-30.68-36.05C163.9 4.337 147.4 .1842 131.2 1.436C114.1 1.833 98.9 7.641 85.16 18.85C72.03 29.57 63.01 43.13 57.37 57.88C51.24 73.91 41.92 87.31 30.14 96.75c-5.34 4.283-10.21 9.412-14.43 15.44c-18.43 26.33-20.01 60.79-8.064 89.38c15.27 36.55-.5 82.62 27.35 111.9c45.69 48.04 40.4 69.47 46.28 90.76L96.25 389.3zM573.4 93.82c-4.891-22.76-16.55-42.92-32.72-58.4c-15.44-16.2-35.56-27.89-58.27-32.79C460.7-2.043 440.3-.2305 421.1 6c-19.89 6.762-40.42 8.139-59.74 3.807c-8.758-1.967-17.77-2.95-27.03-2.353c-40.45 2.588-72.48 29.15-86.66 64.53C230.4 117.2 174.1 138.5 174.1 190.7c0 134.2-45.96 48.25-46.97 207.9c-.0078 1.297 .2871 2.494 .3809 3.762l-55.01 55.01c-12.5 12.5-12.5 32.75 0 45.25C79.63 508.9 87.81 512 96 512s16.38-3.125 22.62-9.375l55.2-55.2C175.8 447.7 177.8 448 179.9 448c157.7 0 70.43-46.07 205.8-46.07c52.03-.0039 73.3-55.57 118.4-73.75c35.29-14.22 61.7-46.2 64.28-86.74c.5938-9.287-.2884-18.43-2.249-27.21c-4.322-19.37-2.951-39.94 3.799-59.87C576.2 136 578 115.6 573.4 93.82zM448 208c8.844 0 16 7.156 16 16S456.8 240 448 240h-89.38l-123.3 123.3C232.2 366.4 228.1 368 224 368s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L272 281.4V192c0-8.844 7.156-16 16-16s16 7.156 16 16v57.38l132.7-132.7c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L390.6 208H448z"],
    "left": [448, 512, ["arrow-alt-left"], "f355", "M448 224v64c0 17.67-14.33 32-32 32h-192v96c0 12.94-7.797 24.61-19.75 29.56c-11.97 4.953-25.72 2.219-34.88-6.938l-160-160C3.125 272.4 0 264.2 0 256s3.125-16.38 9.375-22.62l160-160c9.156-9.156 22.91-11.89 34.88-6.938C216.2 71.39 224 83.06 224 96v96h192C433.7 192 448 206.3 448 224z"],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", "M319.9 191.1H191.8V119.1c0-9.578-5.708-18.25-14.51-22.05C168.5 94.17 158.3 95.96 151.3 102.5L7.201 238.5c-9.602 9.062-9.602 25.84 0 34.91l144.1 136c6.973 6.578 17.2 8.375 26 4.594c8.803-3.797 14.51-12.47 14.51-22.05v-72h128.1c17.69 0 32.04-14.33 32.04-32v-64C351.9 206.3 337.6 191.1 319.9 191.1zM415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z"],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", "M512 256C512 273.7 497.7 288 480 288H160.1l0 72c0 9.547-5.66 18.19-14.42 22c-8.754 3.812-18.95 2.077-25.94-4.407l-112.1-104c-10.24-9.5-10.24-25.69 0-35.19l112.1-104c6.992-6.484 17.18-8.218 25.94-4.406C154.4 133.8 160.1 142.5 160.1 151.1L160.1 224H480C497.7 224 512 238.3 512 256z"],
    "left-long-to-line": [640, 512, [], "e41e", "M64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96zM135.7 238.4L247.8 134.4C254.7 127.9 264.9 126.2 273.7 129.1C282.4 133.8 288.1 142.5 288.1 151.1V208H608C625.7 208 640 222.3 640 240V272C640 289.7 625.7 304 608 304H288.1V360C288.1 369.5 282.4 378.2 273.7 382C264.9 385.8 254.7 384.1 247.8 377.6L135.7 273.6C125.4 264.1 125.4 247.9 135.7 238.4V238.4z"],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", "M503.1 273.6l-112 104c-6.984 6.484-17.17 8.219-25.92 4.406s-14.41-12.45-14.41-22v-56l-192 .001V360c0 9.547-5.656 18.19-14.41 22c-8.75 3.812-18.94 2.078-25.92-4.406l-112-104c-9.781-9.094-9.781-26.09 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406C154 133.8 159.7 142.5 159.7 152v55.1l192-.001v-56c0-9.547 5.656-18.19 14.41-22s18.94-2.078 25.92 4.406l112 104C513.8 247.5 513.8 264.5 503.1 273.6z"],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", "M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64zM103.3 273.5l144.1 136c6.975 6.578 17.2 8.375 26 4.594c8.803-3.797 14.51-12.47 14.51-22.05L287.9 320h128.1c17.69 0 32.02-14.33 32.02-32V224c0-17.67-14.34-32-32.02-32h-128.1l-.0314-72c0-9.578-5.708-18.25-14.51-22.05c-8.805-3.781-19.03-1.984-26 4.594l-144.1 136C93.66 247.6 93.66 264.4 103.3 273.5z"],
    "lemon": [448, 512, [127819], "f094", "M427.9 52.1c-20.13-20.23-47.58-25.27-65.63-14.77c-51.63 30.08-158.6-46.49-281 75.91c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63c20.13 20.24 47.58 25.27 65.63 14.77c51.63-30.08 158.6 46.49 281-75.91c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z"],
    "less-than": [384, 512, [62774], "3c", "M351.1 448c-4.797 0-9.688-1.094-14.28-3.375l-320-160C6.844 279.2 0 268.1 0 256c0-12.13 6.844-23.18 17.69-28.62l320-160c15.88-7.875 35.05-1.5 42.94 14.31c7.906 15.81 1.5 35.03-14.31 42.94L103.5 256l262.8 131.4c15.81 7.906 22.22 27.12 14.31 42.94C375 441.5 363.7 448 351.1 448z"],
    "less-than-equal": [448, 512, [], "f537", "M52.11 221.7l320 128C376 351.3 380 352 383.1 352c12.7 0 24.72-7.594 29.73-20.12c6.562-16.41-1.422-35.03-17.83-41.59L150.2 192l245.7-98.28c16.41-6.562 24.39-25.19 17.83-41.59S388.6 27.68 372.1 34.21l-320 128.1C39.97 167.2 32 178.9 32 192S39.97 216.8 52.11 221.7zM416 416H32c-17.67 0-32 14.31-32 31.1S14.33 480 32 480h384c17.67 0 32-14.31 32-32S433.7 416 416 416z"],
    "life-ring": [512, 512, [], "f1cd", "M470.6 425.4C483.1 437.9 483.1 458.1 470.6 470.6C458.1 483.1 437.9 483.1 425.4 470.6L412.1 458.2C369.6 491.9 315.2 512 255.1 512C196.8 512 142.4 491.9 99.02 458.2L86.63 470.6C74.13 483.1 53.87 483.1 41.37 470.6C28.88 458.1 28.88 437.9 41.37 425.4L53.76 412.1C20.07 369.6 0 315.2 0 255.1C0 196.8 20.07 142.4 53.76 99.02L41.37 86.63C28.88 74.13 28.88 53.87 41.37 41.37C53.87 28.88 74.13 28.88 86.63 41.37L99.02 53.76C142.4 20.07 196.8 0 255.1 0C315.2 0 369.6 20.07 412.1 53.76L425.4 41.37C437.9 28.88 458.1 28.88 470.6 41.37C483.1 53.87 483.1 74.13 470.6 86.63L458.2 99.02C491.9 142.4 512 196.8 512 255.1C512 315.2 491.9 369.6 458.2 412.1L470.6 425.4zM309.3 354.5C293.4 363.1 275.3 368 255.1 368C236.7 368 218.6 363.1 202.7 354.5L144.8 412.5C176.1 434.9 214.5 448 255.1 448C297.5 448 335.9 434.9 367.2 412.5L309.3 354.5zM448 255.1C448 214.5 434.9 176.1 412.5 144.8L354.5 202.7C363.1 218.6 368 236.7 368 256C368 275.3 363.1 293.4 354.5 309.3L412.5 367.2C434.9 335.9 448 297.5 448 256V255.1zM255.1 63.1C214.5 63.1 176.1 77.14 144.8 99.5L202.7 157.5C218.6 148.9 236.7 143.1 255.1 143.1C275.3 143.1 293.4 148.9 309.3 157.5L367.2 99.5C335.9 77.14 297.5 63.1 256 63.1H255.1zM157.5 309.3C148.9 293.4 143.1 275.3 143.1 255.1C143.1 236.7 148.9 218.6 157.5 202.7L99.5 144.8C77.14 176.1 63.1 214.5 63.1 255.1C63.1 297.5 77.14 335.9 99.5 367.2L157.5 309.3zM255.1 207.1C229.5 207.1 207.1 229.5 207.1 255.1C207.1 282.5 229.5 303.1 255.1 303.1C282.5 303.1 304 282.5 304 255.1C304 229.5 282.5 207.1 255.1 207.1z"],
    "light-ceiling": [512, 512, [], "e016", "M288 162.3V0h-64v162.3c-115.5 14.25-207.5 103.5-223.7 217.4C-2.306 398.8 13.04 415.1 32.41 415.1h447.1c19.38 0 34.81-17.19 32.19-36.31C495.4 265.8 403.5 176.5 288 162.3zM256 511.1c35.38 0 64.01-28.62 64.01-64H192C192 483.4 220.6 511.1 256 511.1z"],
    "light-emergency": [448, 512, [], "e41f", "M384 192c0-88.35-71.68-160-160-160S64 103.6 64 192v160h320V192zM224 112C179.8 112 144 147.9 144 192c0 8.832-7.039 16-16 16S112 200.8 112 192c0-61.76 50.24-112 112-112c8.961 0 16 7.168 16 16S232.1 112 224 112zM416 384H32c-17.6 0-32 14.34-32 32v32c0 17.66 14.4 32 32 32h384c17.6 0 32-14.34 32-32v-32C448 398.3 433.6 384 416 384z"],
    "light-emergency-on": [640, 512, [], "e420", "M480 192C480 103.6 408.3 32 320 32C231.7 32 160 103.6 160 192V352H480V192zM320 112C275.8 112 240 147.9 240 192C240 200.8 232.1 208 224 208C215 208 208 200.8 208 192C208 130.2 258.2 80 320 80C328.1 80 336 87.17 336 96C336 104.8 328.1 112 320 112zM512 384H128C110.4 384 96 398.3 96 416V448C96 465.7 110.4 480 128 480H512C529.6 480 544 465.7 544 448V416C544 398.3 529.6 384 512 384zM549.4 107.1L597.4 75.97C608.3 68.61 611.2 53.73 603.8 42.69C596.5 31.65 581.8 28.67 570.6 36.03L522.6 68.03C511.7 75.39 508.8 90.27 516.2 101.3C523.5 112.4 538.2 115.3 549.4 107.1zM616 200H552C538.9 200 528 210.8 528 224C528 237.2 538.9 248 552 248H616C629.1 248 640 237.2 640 224C640 210.8 629.1 200 616 200zM112 224C112 210.8 101.1 200 88 200H24C10.88 200 0 210.8 0 224C0 237.2 10.88 248 24 248H88C101.1 248 112 237.2 112 224zM90.56 107.1C101.8 115.3 116.5 112.4 123.8 101.3C131.2 90.27 128.3 75.39 117.4 68.03L69.44 36.03C58.24 28.67 43.52 31.65 36.16 42.69C28.8 53.73 31.68 68.61 42.56 75.97L90.56 107.1z"],
    "light-switch": [384, 512, [], "e017", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 367.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V272h192V367.1zM288 240H96V143.1c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V240z"],
    "light-switch-off": [384, 512, [], "e018", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 288v79.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V288zM128 352c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32V256H128V352z"],
    "light-switch-on": [384, 512, [], "e019", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 240v127.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V143.1c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48V240zM224 128H160C142.4 128 128 142.4 128 160v96h128V160C256 142.4 241.6 128 224 128z"],
    "lightbulb": [384, 512, [128161], "f0eb", "M112.1 454.3c0 6.297 1.816 12.44 5.284 17.69l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.67c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.438 5.348-12.37 5.348-17.7L272 415.1h-160L112.1 454.3zM191.4 .0132C89.44 .3257 16 82.97 16 175.1c0 44.38 16.44 84.84 43.56 115.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0938 .5166 .125 .7823h160.2c.0313-.2656 .0938-.5166 .125-.7823c9.875-33.22 35.69-72.61 52.22-91.45C351.6 260.8 368 220.4 368 175.1C368 78.61 288.9-.2837 191.4 .0132zM192 96.01c-44.13 0-80 35.89-80 79.1C112 184.8 104.8 192 96 192S80 184.8 80 176c0-61.76 50.25-111.1 112-111.1c8.844 0 16 7.159 16 16S200.8 96.01 192 96.01z"],
    "lightbulb-cfl": [320, 512, [], "e5a6", "M39.76 95.04C22.62 99.33 5.242 88.91 .9555 71.76C-3.331 54.62 7.093 37.24 24.24 32.96L152.2 .9552C169.4-3.331 186.8 7.093 191 24.24C195.3 41.38 184.9 58.76 167.8 63.04L39.76 95.04zM319 88.24C323.3 105.4 312.9 122.8 295.8 127L39.76 191C22.62 195.3 5.242 184.9 .9552 167.8C-3.331 150.6 7.093 133.2 24.24 128.1L280.2 64.96C297.4 60.67 314.8 71.09 319 88.24V88.24zM39.76 287C22.62 291.3 5.242 280.9 .9555 263.8C-3.331 246.6 7.093 229.2 24.24 224.1L280.2 160.1C297.4 156.7 314.8 167.1 319 184.2C323.3 201.4 312.9 218.8 295.8 223L39.76 287zM64 416C64 398.3 78.33 384 96 384V305.1L144 293.1V384H224C241.7 384 256 398.3 256 416V448C256 465.7 241.7 480 224 480H192C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480H96C78.33 480 64 465.7 64 448V416zM319 280.2C323.3 297.4 312.9 314.8 295.8 319L224 336.1L224 384L176 384V308.7C175.1 308.2 175.1 307.7 176 307.3V304L176.2 303.1C177.9 291.3 187.1 280.2 200.2 276.1L280.2 256.1C297.4 252.7 314.8 263.1 319 280.2V280.2z"],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", "M351 24.24C355.3 41.38 344.9 58.76 327.8 63.04L199.8 95.04C182.6 99.33 165.2 88.91 160.1 71.76C156.7 54.62 167.1 37.24 184.2 32.96L312.2 .9552C329.4-3.331 346.8 7.093 351 24.24V24.24zM199.8 191C182.6 195.3 165.2 184.9 160.1 167.8C156.7 150.6 167.1 133.2 184.2 128.1L440.2 64.95C457.4 60.67 474.8 71.09 479 88.24C483.3 105.4 472.9 122.8 455.8 127L199.8 191zM479 184.2C483.3 201.4 472.9 218.8 455.8 223L199.8 287C182.6 291.3 165.2 280.9 160.1 263.8C156.7 246.6 167.1 229.2 184.2 224.1L440.2 160.1C457.4 156.7 474.8 167.1 479 184.2V184.2zM255.1 305.1L303.1 293.1V384H384C401.7 384 416 398.3 416 416V448C416 465.7 401.7 480 384 480H352C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480H255.1C238.3 480 223.1 465.7 223.1 448V416C223.1 398.3 238.3 384 255.1 384V305.1zM384 336.1L384 384L336 384V308.7C335.1 308.2 335.1 307.7 336 307.3V303.1L336.2 303.1C337.9 291.3 347.1 280.2 360.2 276.1L440.2 256.1C457.4 252.7 474.8 263.1 479 280.2C483.3 297.4 472.9 314.8 455.8 319L384 336.1zM101.3 36.03C112.3 43.38 115.3 58.28 107.1 69.31C100.6 80.34 85.72 83.32 74.69 75.97L26.69 43.97C15.66 36.62 12.68 21.72 20.03 10.69C27.38-.3417 42.28-3.322 53.31 4.031L101.3 36.03zM565.3 75.97C554.3 83.32 539.4 80.34 532 69.31C524.7 58.28 527.7 43.38 538.7 36.03L586.7 4.031C597.7-3.321 612.6-.3411 619.1 10.69C627.3 21.72 624.3 36.62 613.3 43.97L565.3 75.97zM88 160C101.3 160 112 170.7 112 184C112 197.3 101.3 208 88 208H24C10.75 208 0 197.3 0 184C0 170.7 10.75 160 24 160H88zM616 160C629.3 160 640 170.7 640 184C640 197.3 629.3 208 616 208H552C538.7 208 528 197.3 528 184C528 170.7 538.7 160 552 160H616zM53.31 363.1C42.28 371.3 27.38 368.3 20.03 357.3C12.68 346.3 15.66 331.4 26.69 324L74.69 292C85.72 284.7 100.6 287.7 107.1 298.7C115.3 309.7 112.3 324.6 101.3 331.1L53.31 363.1zM613.3 324C624.3 331.4 627.3 346.3 619.1 357.3C612.6 368.3 597.7 371.3 586.7 363.1L538.7 331.1C527.7 324.6 524.7 309.7 532 298.7C539.4 287.7 554.3 284.7 565.3 292L613.3 324z"],
    "lightbulb-dollar": [384, 512, [], "f670", "M112.1 454.4c.125 6.25 1.794 12.4 5.294 17.65l17.15 25.71C140.5 506.6 150.5 512 161.2 512h61.68c10.75 0 20.73-5.388 26.61-14.26l17.09-25.7c3.5-5.25 5.361-11.42 5.361-17.67L272 415.1h-160L112.1 454.4zM191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1458 .5101 .1458 .7601h160.2c0-.25 .1458-.5101 .1458-.7601c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM253.8 226.3C250.2 247.2 234.4 260.1 212 265.7V272c0 11.03-8.953 20-20 20S172 283 172 272V265.2c-12.03-2.662-23.14-6.836-29.33-9.012C132.3 252.5 126.8 241.1 130.5 230.7c3.688-10.41 15.11-15.81 25.52-12.22C175 225.4 179.6 226.5 184.1 227.1c13.72 2.125 28.94 .1875 30.31-7.625c1.398-8.139-8.713-10.71-33.73-17.97c-17.33-5.094-57.92-17-50.52-59.84C133.8 120.8 149.6 106.8 172 101.1V96c0-11.03 8.953-20 20-20S212 84.97 212 96v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 138.8 170.1 140.7 169.6 148.5c-1.514 8.832 14.89 12.51 27.92 16.25C219.8 171.1 261.3 183 253.8 226.3z"],
    "lightbulb-exclamation": [384, 512, [], "f671", "M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM168 88C168 74.75 178.8 64 192 64s24 10.75 24 24v112C216 213.3 205.3 224 192 224S168 213.3 168 200V88zM192 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S209.7 320 192 320zM112.2 454.4c.125 6.25 1.855 12.43 5.355 17.68l17.08 25.69C140.6 506.6 150.6 512 161.2 512h61.67c10.75 0 20.73-5.395 26.61-14.27l17.02-25.69c3.5-5.25 5.419-11.44 5.419-17.69L272 415.1h-160L112.2 454.4z"],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", "M131.1 55.25l-55.5-32C68.25 18.75 59 18.62 51.38 22.88c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM107.1 287.3l-55.5 32c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.62 12.12 21c7.625 4.25 16.88 4.125 24.25-.375l55.5-32C142.3 322 145.1 307.5 139.5 296.3C133 284.9 118.5 280.9 107.1 287.3zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9l-55.38 32c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM240.2 454.4c.125 6.25 1.855 12.43 5.355 17.68l17.08 25.69C268.6 506.6 278.6 512 289.2 512h61.67c10.75 0 20.73-5.395 26.61-14.27l17.02-25.69c3.5-5.25 5.419-11.44 5.419-17.69L400 415.1L240.1 415.1L240.2 454.4zM319.5 .0127C217.5 .2627 144 82.1 144 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C479.5 260.9 496 220.4 496 175.1C496 78.62 416.8-.2373 319.5 .0127zM296 88C296 74.75 306.8 64 320 64s24 10.75 24 24v112C344 213.3 333.3 224 320 224S296 213.3 296 200V88zM320 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S337.7 320 320 320z"],
    "lightbulb-on": [640, 512, [], "f672", "M240.1 454.4c.125 6.25 1.983 12.43 5.359 17.68l17.09 25.69c5.25 7.875 17.27 14.28 26.65 14.28h61.72c9.5 0 21.38-6.395 26.63-14.27l17.09-25.69c3.25-5.375 5.109-11.43 5.359-17.68v-38.36l-159.9 .0048L240.1 454.4zM319.5 .0154C217.5 .2654 144 82.1 144 175.1c0 42.62 15.4 83.76 43.52 115.8c16.62 18.87 42.36 58.23 52.24 91.48c0 .25 .1146 .5105 .1146 .7604l160.3 .0007c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48c28.12-32 43.52-73.14 43.52-115.8C496 78.62 416.8-.2346 319.5 .0154zM320 96.01c-44.13 0-80 35.87-80 79.1c0 8.875-7.125 16-16 16s-16-7.125-16-16C208.1 114.1 258.1 64.14 320 64.01c8.875 0 16 7.126 16 16S328.9 96.01 320 96.01zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.2 216 112 205.3 112 192zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM131.1 55.25l-55.5-32c-7.375-4.5-16.63-4.625-24.25-.375c-7.5 4.375-12.13 12.38-12.13 21c.125 8.75 4.875 16.75 12.38 20.88L107.1 96.75c7.375 4.5 16.63 4.625 24.25 .375c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM107.1 287.3L51.62 319.3c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.63 12.13 21c7.625 4.25 16.87 4.125 24.25-.375l55.5-32c11.12-6.75 14.87-21.25 8.375-32.5C133 284.9 118.5 280.9 107.1 287.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.37-21-15.38-32.38-9L509 55.25c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100z"],
    "lightbulb-slash": [640, 512, [], "f673", "M240.1 454.3c0 6.297 1.875 12.43 5.344 17.68l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.66c9.437 0 21.36-6.401 26.61-14.28l17.08-25.68c2.937-4.437 5.348-12.37 5.348-17.7l.1196-38.36H239.1L240.1 454.3zM148.2 212.9c6.379 29.75 19.96 56.83 39.32 78.91c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0625 .5156 .0938 .7812l126.7-.0026L148.2 212.9zM630.8 469.1l-196.2-153.8c6.32-9.328 12.56-17.59 17.82-23.59c27.12-30.94 43.54-71.4 43.54-115.8c0-97.38-79.07-176.3-176.5-175.1c-73 .2266-131.1 42.72-158.4 100.9L38.81 5.118C34.41 1.68 29.19 .0008 24.03 .0008c-7.125 0-14.2 3.159-18.92 9.19c-8.187 10.44-6.365 25.53 4.073 33.7l591.1 463.1c10.5 8.203 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1zM319.1 96.01c-39.94 0-72.83 29.48-78.76 67.76L213.9 142.3c14.27-45.3 56.15-78.33 106.1-78.33c8.844 0 15.99 7.159 15.99 16S328.8 96.01 319.1 96.01z"],
    "lights-holiday": [640, 512, [], "f7b2", "M634.8 79.57c-9.152-14.4-27.86-19.94-42.8-11.8C516.1 109.1 420.8 131.6 320 131.6s-196.1-22.45-271.1-63.81C33.09 59.63 14.38 65.17 5.23 79.57c-10.58 16.66-4.508 38.66 12.83 47.95c34.56 18.52 72.57 33.46 112.7 44.92L110.4 229.2c-26.04 1.156-49.53 16.7-62.68 53.05c-18.51 51.13 14.68 132.6 28.47 137.7c13.79 5.008 91.28-35.84 109.8-87.1c13.28-36.22 5.107-63.33-14.04-81.18L195.1 187.3c29.1 5.398 60.89 8.734 92.43 10.15v64.74c-24.13 10.02-40.85 32.63-40.85 71.42c0 54.24 58.18 118.1 73.29 119.5c15.11-.5352 73.29-65.26 73.29-119.5c0-38.79-16.72-61.4-40.85-71.42V197.5c31.53-1.414 62.43-4.75 92.43-10.15l23.24 64.36c-19.15 17.85-27.32 44.96-14.04 81.18c18.51 51.26 96 92.11 109.8 87.1c13.79-5.141 46.98-86.59 28.47-137.7c-13.15-36.35-36.64-51.9-62.68-53.05l-20.43-56.77c40.16-11.46 78.17-26.4 112.7-44.92C639.3 118.2 645.4 96.23 634.8 79.57zM141.9 310.4c-4.979 13.48-26.94 38.15-43.4 47.79c-6.51-17.98-7.531-51.13-2.809-64.61c4.213-11.69 18-17.34 30.64-12.72C138.1 285.5 146.1 298.8 141.9 310.4zM320 387.5C319.1 387.5 320 387.5 320 387.5C319.1 387.5 320 387.5 320 387.5C307.9 372.8 295.5 342 295.5 327.6c0-12.33 10.99-22.35 24.52-22.35c.0039 0-.0039 0 0 0s-.0039 0 0 0c13.53 0 24.52 10.02 24.52 22.35C344.5 342 332.1 372.8 320 387.5zM513.7 280.9c12.64-4.621 26.43 1.031 30.64 12.72c4.723 13.48 3.703 46.63-2.809 64.62c-16.47-9.637-38.43-34.3-43.4-47.79C493.9 298.8 501 285.5 513.7 280.9z"],
    "line-columns": [512, 512, [], "f870", "M192 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H192C209.7 32 224 46.33 224 64C224 81.67 209.7 96 192 96zM192 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H192C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224zM0 320C0 302.3 14.33 288 32 288H192C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352H32C14.33 352 0 337.7 0 320zM192 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H192C209.7 416 224 430.3 224 448C224 465.7 209.7 480 192 480zM288 64C288 46.33 302.3 32 320 32H480C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H320C302.3 96 288 81.67 288 64zM480 224H320C302.3 224 288 209.7 288 192C288 174.3 302.3 160 320 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224zM288 320C288 302.3 302.3 288 320 288H480C497.7 288 512 302.3 512 320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320zM480 480H320C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480z"],
    "line-height": [576, 512, [], "f871", "M182.6 105.4C195.1 117.9 195.1 138.1 182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6L127.1 141.3V370.7L137.4 361.4C149.9 348.9 170.1 348.9 182.6 361.4C195.1 373.9 195.1 394.1 182.6 406.6L118.6 470.6C106.1 483.1 85.87 483.1 73.37 470.6L9.372 406.6C-3.125 394.1-3.125 373.9 9.372 361.4C21.87 348.9 42.13 348.9 54.63 361.4L63.1 370.7V141.3L54.63 150.6C42.13 163.1 21.87 163.1 9.372 150.6C-3.125 138.1-3.125 117.9 9.372 105.4L73.37 41.37C85.87 28.88 106.1 28.88 118.6 41.37L182.6 105.4zM544 64C561.7 64 576 78.33 576 96C576 113.7 561.7 128 544 128H287.1C270.3 128 255.1 113.7 255.1 96C255.1 78.33 270.3 64 287.1 64H544zM544 224C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H287.1C270.3 288 255.1 273.7 255.1 256C255.1 238.3 270.3 224 287.1 224H544zM255.1 416C255.1 398.3 270.3 384 287.1 384H544C561.7 384 576 398.3 576 416C576 433.7 561.7 448 544 448H287.1C270.3 448 255.1 433.7 255.1 416z"],
    "lines-leaning": [384, 512, [], "e51e", "M62.36 458.1C56.77 474.9 38.65 483.9 21.88 478.4C5.116 472.8-3.946 454.6 1.643 437.9L129.6 53.88C135.2 37.12 153.4 28.05 170.1 33.64C186.9 39.23 195.9 57.35 190.4 74.12L62.36 458.1zM261.3 32.44C278.7 35.34 290.5 51.83 287.6 69.26L223.6 453.3C220.7 470.7 204.2 482.5 186.7 479.6C169.3 476.7 157.5 460.2 160.4 442.7L224.4 58.74C227.3 41.31 243.8 29.53 261.3 32.44H261.3zM352 32C369.7 32 384 46.33 384 64V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V64C320 46.33 334.3 32 352 32V32z"],
    "link": [640, 512, [128279, "chain"], "f0c1", "M172.5 131.1C228.1 75.51 320.5 75.51 376.1 131.1C426.1 181.1 433.5 260.8 392.4 318.3L391.3 319.9C381 334.2 361 337.6 346.7 327.3C332.3 317 328.9 297 339.2 282.7L340.3 281.1C363.2 249 359.6 205.1 331.7 177.2C300.3 145.8 249.2 145.8 217.7 177.2L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L172.5 131.1zM467.5 380C411 436.5 319.5 436.5 263 380C213 330 206.5 251.2 247.6 193.7L248.7 192.1C258.1 177.8 278.1 174.4 293.3 184.7C307.7 194.1 311.1 214.1 300.8 229.3L299.7 230.9C276.8 262.1 280.4 306.9 308.3 334.8C339.7 366.2 390.8 366.2 422.3 334.8L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L467.5 380z"],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", "M303.4 64C383.3 64 448 128.7 448 208.6C448 279.3 396.9 339.6 327.2 351.2L325.3 351.6C307.8 354.5 291.3 342.7 288.4 325.3C285.5 307.8 297.3 291.3 314.7 288.4L316.6 288.1C355.5 281.6 384 248 384 208.6C384 164.1 347.9 128 303.4 128H144.6C100.1 128 64 164.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 128.7 64.74 64 144.6 64H303.4zM336.6 448C256.7 448 192 383.3 192 303.4C192 232.7 243.1 172.4 312.8 160.8L314.7 160.4C332.2 157.5 348.7 169.3 351.6 186.7C354.5 204.2 342.7 220.7 325.3 223.6L323.4 223.9C284.5 230.4 256 263.1 256 303.4C256 347.9 292.1 384 336.6 384H495.4C539.9 384 576 347.9 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 383.3 575.3 448 495.4 448H336.6z"],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", "M117.2 66.59C126.1 64.89 135.3 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 243.1 435.8 275.1 415.3 300.2L518.1 380.8C551.6 370.1 576 340 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 354.2 613.8 398.9 574.1 424.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.197 42.89C-1.235 34.71-3.064 19.63 5.113 9.196C13.29-1.236 28.38-3.065 38.81 5.112L117.2 66.59zM195.6 128L364.9 260.7C376.9 246.6 384 228.3 384 208.6C384 164.1 347.9 128 303.4 128H195.6zM336.6 448C256.7 448 192 383.3 192 303.4C192 286.2 195 269.5 200.6 254.1L256.2 297.8C256.1 299.7 256 301.5 256 303.4C256 347.9 292.1 384 336.6 384H365.5L446.8 448H336.6zM30.37 119.9L80.65 159.5C70.21 173.1 64 190.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 175.2 11.34 144.4 30.37 119.9V119.9z"],
    "link-simple": [640, 512, [], "e1cd", "M0 256C0 167.6 71.63 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C106.1 160 64 202.1 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256zM480 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352H480C533 352 576 309 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H224C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224H416z"],
    "link-simple-slash": [640, 512, [], "e1ce", "M154.9 96.08C156.6 96.03 158.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H236.4L318.1 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H399.7L481.4 351.1C533.8 351.3 576 308.6 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 321.1 601.1 377.1 545.3 402.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.9 96.08zM.001 256C.001 208.1 20.28 166.7 52.58 137.4L104.1 177.1C79.8 195.4 64 223.9 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.64 416 .001 344.4 .001 256V256z"],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", "M185.7 120.3C242.5 75.82 324.7 79.73 376.1 131.1C420.1 175.1 430.9 239.6 406.7 293.5L438.6 318.4L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.1 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.732 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L489.3 358.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L185.7 120.3zM238.1 161.1L353.4 251.7C359.3 225.5 351.7 197.2 331.7 177.2C306.6 152.1 269.1 147 238.1 161.1V161.1zM263 380C233.1 350.1 218.7 309.8 220.9 270L406.6 416.4C357.4 431 301.9 418.9 263 380V380zM116.6 187.9L167.2 227.8L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L116.6 187.9z"],
    "lips": [576, 512, [128482, 128068], "f600", "M568.1 201.7C521.6 124.6 419.6 64 375.1 64c0 0-29.37 0-87.99 45C229.4 64 200 64 200 64C156.4 64 54.4 124.6 7.942 201.7c-9.338 15.41-10.46 34.2-3.489 50.73C29.65 312.3 105.9 448 251.3 448h73.36c145.5 0 221.7-135.8 246.9-195.6C578.5 235.9 577.4 217.1 568.1 201.7zM288 320C138.7 320 63.89 224 63.89 224s56.09-32 140.1-32l30.96 8.875C251.5 205.5 269.6 208 288 208s36.54-2.5 53.06-7.125L372 192c84 0 140.1 32 140.1 32S437.3 320 288 320z"],
    "lira-sign": [320, 512, [8356], "f195", "M111.1 191.1H224C241.7 191.1 256 206.3 256 223.1C256 241.7 241.7 255.1 224 255.1H111.1V287.1H224C241.7 287.1 256 302.3 256 319.1C256 337.7 241.7 352 224 352H110.8C108.1 374.2 100.8 395.6 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C39.89 372.6 43.83 362.5 46.01 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H48V256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H48V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96C140.8 96 112 124.8 112 160.4L111.1 191.1z"],
    "list": [512, 512, ["list-squares"], "f03a", "M88 48C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72C16 58.75 26.75 48 40 48H88zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM16 232C16 218.7 26.75 208 40 208H88C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232zM88 368C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392C16 378.7 26.75 368 40 368H88z"],
    "list-check": [512, 512, ["tasks"], "f0ae", "M152.1 38.16C161.9 47.03 162.7 62.2 153.8 72.06L81.84 152.1C77.43 156.9 71.21 159.8 64.63 159.1C58.05 160.2 51.69 157.6 47.03 152.1L7.029 112.1C-2.343 103.6-2.343 88.4 7.029 79.03C16.4 69.66 31.6 69.66 40.97 79.03L63.08 101.1L118.2 39.94C127 30.09 142.2 29.29 152.1 38.16V38.16zM152.1 198.2C161.9 207 162.7 222.2 153.8 232.1L81.84 312.1C77.43 316.9 71.21 319.8 64.63 319.1C58.05 320.2 51.69 317.6 47.03 312.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L63.08 261.1L118.2 199.9C127 190.1 142.2 189.3 152.1 198.2V198.2zM224 96C224 78.33 238.3 64 256 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H256C238.3 128 224 113.7 224 96V96zM224 256C224 238.3 238.3 224 256 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H256C238.3 288 224 273.7 224 256zM160 416C160 398.3 174.3 384 192 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"],
    "list-dropdown": [512, 512, [], "e1cf", "M384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280H128C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232H384zM384 328C397.3 328 408 338.7 408 352C408 365.3 397.3 376 384 376H128C114.7 376 104 365.3 104 352C104 338.7 114.7 328 128 328H384zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 192H64V416H448V192zM436.7 96H363.3C356.2 96 352.6 104.6 357.7 109.7L394.3 146.3C397.5 149.5 402.5 149.5 405.7 146.3L442.3 109.7C447.4 104.6 443.8 96 436.7 96V96z"],
    "list-music": [512, 512, [], "f8c9", "M31.97 255.1h224.1C273.7 255.1 288 241.7 288 224s-14.32-32.02-31.97-32.02H31.97C14.32 191.1 0 206.3 0 223.1S14.32 255.1 31.97 255.1zM31.97 127.1h224.1C273.7 127.1 288 113.6 288 95.99c0-17.65-14.32-32.01-31.97-32.01H31.97C14.32 63.98 0 78.31 0 95.97S14.32 127.1 31.97 127.1zM128 319.1H31.97C14.32 319.1 0 334.3 0 351.1s14.32 32.02 31.97 32.02H128C145.7 383.1 160 369.7 160 352S145.7 319.1 128 319.1zM471 1.323l-96.63 28.5C361.1 33.95 352 46.33 352 60.33v299.7c-15.5-5.251-31.62-8.001-48-8.001c-61.88 0-112 35.88-112 80.01S242.1 512 304 512s112-35.88 112-80.01V148.1l73-21.38C502.6 122.7 512 110.2 512 95.96V31.96c0-10.13-4.75-19.64-12.88-25.64C491.1 .323 480.6-1.552 471 1.323z"],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", "M55.1 56.04C55.1 42.78 66.74 32.04 79.1 32.04H111.1C125.3 32.04 135.1 42.78 135.1 56.04V176H151.1C165.3 176 175.1 186.8 175.1 200C175.1 213.3 165.3 224 151.1 224H71.1C58.74 224 47.1 213.3 47.1 200C47.1 186.8 58.74 176 71.1 176H87.1V80.04H79.1C66.74 80.04 55.1 69.29 55.1 56.04V56.04zM118.7 341.2C112.1 333.8 100.4 334.3 94.65 342.4L83.53 357.9C75.83 368.7 60.84 371.2 50.05 363.5C39.26 355.8 36.77 340.8 44.47 330.1L55.59 314.5C79.33 281.2 127.9 278.8 154.8 309.6C176.1 333.1 175.6 370.5 153.7 394.3L118.8 432H152C165.3 432 176 442.7 176 456C176 469.3 165.3 480 152 480H64C54.47 480 45.84 474.4 42.02 465.6C38.19 456.9 39.9 446.7 46.36 439.7L118.4 361.7C123.7 355.9 123.8 347.1 118.7 341.2L118.7 341.2zM512 64C529.7 64 544 78.33 544 96C544 113.7 529.7 128 512 128H256C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64H512zM512 224C529.7 224 544 238.3 544 256C544 273.7 529.7 288 512 288H256C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224H512zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H256C238.3 448 224 433.7 224 416C224 398.3 238.3 384 256 384H512z"],
    "list-radio": [512, 512, [], "e1d0", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440C77.25 440 88 429.3 88 416C88 402.7 77.25 392 64 392zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM64 280C77.25 280 88 269.3 88 256C88 242.7 77.25 232 64 232C50.75 232 40 242.7 40 256C40 269.3 50.75 280 64 280z"],
    "list-timeline": [512, 512, [], "e1d1", "M112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96zM16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256zM16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416zM210.7 48H424C437.3 48 448 58.75 448 72V120C448 133.3 437.3 144 424 144H210.7C203.7 144 197 141.8 191.5 137.6L153.1 108.8C144.5 102.4 144.5 89.6 153.1 83.2L191.5 54.4C197 50.25 203.7 48 210.7 48V48zM153.1 243.2L191.5 214.4C197 210.2 203.7 208 210.7 208H488C501.3 208 512 218.7 512 232V280C512 293.3 501.3 304 488 304H210.7C203.7 304 197 301.8 191.5 297.6L153.1 268.8C144.5 262.4 144.5 249.6 153.1 243.2V243.2zM153.1 403.2L191.5 374.4C197 370.2 203.7 368 210.7 368H424C437.3 368 448 378.7 448 392V440C448 453.3 437.3 464 424 464H210.7C203.7 464 197 461.8 191.5 457.6L153.1 428.8C144.5 422.4 144.5 409.6 153.1 403.2z"],
    "list-tree": [512, 512, [], "e1d2", "M72 48C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144V232H128C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280H72V384C72 388.4 75.58 392 80 392H128C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440H80C49.07 440 24 414.9 24 384V144C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72zM160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H320C302.3 288 288 273.7 288 256zM288 416C288 398.3 302.3 384 320 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H320C302.3 448 288 433.7 288 416z"],
    "list-ul": [512, 512, ["list-dots"], "f0ca", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256z"],
    "litecoin-sign": [384, 512, [], "e1d3", "M128 195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9V416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448V280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V195.3z"],
    "loader": [576, 512, [], "e1d4", "M320 96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V96zM320 480C320 497.7 305.7 512 288 512C270.3 512 256 497.7 256 480V416C256 398.3 270.3 384 288 384C305.7 384 320 398.3 320 416V480zM32 256C32 238.3 46.33 224 64 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H64C46.33 288 32 273.7 32 256zM512 224C529.7 224 544 238.3 544 256C544 273.7 529.7 288 512 288H448C430.3 288 416 273.7 416 256C416 238.3 430.3 224 448 224H512zM106.1 74.98C119.5 62.49 139.7 62.49 152.2 74.98L197.5 120.2C209.1 132.7 209.1 152.1 197.5 165.5C184.1 177.1 164.7 177.1 152.2 165.5L106.1 120.2C94.48 107.7 94.48 87.48 106.1 74.98zM469 391.8C481.5 404.3 481.5 424.5 469 437C456.5 449.5 436.3 449.5 423.8 437L378.5 391.8C366 379.3 366 359 378.5 346.5C391 334 411.3 334 423.8 346.5L469 391.8zM106.1 437C94.48 424.5 94.48 404.3 106.1 391.8L152.2 346.5C164.7 334 184.1 334 197.5 346.5C209.1 359 209.1 379.3 197.5 391.8L152.2 437C139.7 449.5 119.5 449.5 106.1 437zM423.8 74.98C436.3 62.48 456.5 62.48 469 74.98C481.5 87.47 481.5 107.7 469 120.2L423.8 165.5C411.3 177.1 391 177.1 378.5 165.5C366 152.1 366 132.7 378.5 120.2L423.8 74.98z"],
    "lobster": [512, 512, [129438], "e421", "M512 80V128c0 36.37-30.43 65.24-67.18 63.51l-46.54 32.58C383.4 234.5 366 240 347.8 240H320V256h48.91c7.406 0 14.81-1.75 21.44-5.062l34.5-17.25c7.938-3.922 17.5-.7656 21.47 7.156c3.938 7.906 .75 17.52-7.156 21.47l-34.5 17.25C393.6 285.1 381.3 288 368.9 288H320v16h69.63c5.156 0 10.25-.8281 15.16-2.469l38.16-12.7c8.344-2.75 17.44 1.719 20.25 10.11c2.781 8.391-1.75 17.45-10.12 20.23l-38.16 12.72C406.7 334.6 398.2 336 389.6 336H320V352h16.91c12.34 0 24.72 2.922 35.75 8.438l18.5 9.25c7.906 3.953 11.09 13.56 7.156 21.47C395.5 396.8 389.8 400 384 400c-2.406 0-4.844-.5469-7.156-1.688l-18.5-9.25C351.7 385.8 344.3 384 336.9 384h-18.19c-.8242 5.008-2.029 9.951-3.639 14.78l-16.75 50.26C328.7 454 352 480.2 352 512H160c0-31.81 23.27-58 53.68-62.96L196.9 398.8C195.3 393.1 194.1 389 193.3 384H175.1c-7.406 0-14.81 1.75-21.44 5.062l-18.5 9.25C132.8 399.5 130.4 400 128 400c-5.844 0-11.5-3.234-14.31-8.844c-3.938-7.906-.75-17.52 7.156-21.47l18.5-9.25C150.4 354.9 162.8 352 175.1 352H192v-16H122.4c-8.594 0-17.09-1.375-25.28-4.094L58.94 319.2C50.56 316.4 46.03 307.3 48.81 298.9c2.812-8.391 11.91-12.84 20.25-10.11l38.16 12.72C112.1 303.2 117.2 304 122.4 304H192V288H143.1C130.8 288 118.4 285.1 107.3 279.6l-34.5-17.25C64.94 258.4 61.75 248.8 65.69 240.8c3.969-7.922 13.59-11.05 21.47-7.156l34.5 17.25C128.3 254.3 135.7 256 143.1 256H192V240H164.2C146 240 128.6 234.5 113.7 224.1L67.17 191.5C30.42 193.2 0 164.4 0 128V80C0 35.82 35.82 0 80 0v96L128 32v92.57C128 139.7 122.1 154.3 114.4 166l26.81 18.78C147.1 189.5 155.9 192 164.2 192h34.09C200.9 184.8 204.2 178.3 208 172.3V80c0-17.64-14.34-32-32-32C167.2 48 160 40.84 160 32s7.156-16 16-16c35.28 0 64 28.7 64 64v58.39C249 131.7 256 128 256 128s6.951 3.707 16 10.39V80c0-35.3 28.72-64 64-64C344.8 16 352 23.16 352 32s-7.156 16-16 16c-17.66 0-32 14.36-32 32v92.34C307.8 178.3 311.1 184.8 313.7 192h34.09c8.281 0 16.22-2.5 22.94-7.219l26.84-18.78C389 154.3 384 139.7 384 124.6V32l48 64V0C476.2 0 512 35.82 512 80z"],
    "location-arrow": [448, 512, [], "f124", "M285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1z"],
    "location-check": [384, 512, ["map-marker-check"], "f606", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM288.1 160.1C298.3 151.6 298.3 136.4 288.1 127C279.6 117.7 264.4 117.7 255 127L160 222.1L120.1 183C111.6 173.7 96.4 173.7 87.03 183C77.66 192.4 77.66 207.6 87.03 216.1L143 272.1C152.4 282.3 167.6 282.3 176.1 272.1L288.1 160.1z"],
    "location-crosshairs": [512, 512, ["location"], "f601", "M176 256C176 211.8 211.8 176 256 176C300.2 176 336 211.8 336 256C336 300.2 300.2 336 256 336C211.8 336 176 300.2 176 256zM256 0C273.7 0 288 14.33 288 32V66.65C368.4 80.14 431.9 143.6 445.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H445.3C431.9 368.4 368.4 431.9 288 445.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V445.3C143.6 431.9 80.14 368.4 66.65 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H66.65C80.14 143.6 143.6 80.14 224 66.65V32C224 14.33 238.3 0 256 0zM128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256z"],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", "M184.9 119.6C212.4 92.34 248.1 73.35 288 66.66V32C288 14.33 302.3 .001 320 .001C337.7 .001 352 14.33 352 32V66.66C432.4 80.14 495.9 143.6 509.3 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H509.3C505.3 312 496.8 334.5 484.8 354.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L184.9 119.6zM235.8 159.5L274.7 190C287.6 181.2 303.2 176 320 176C364.2 176 400 211.8 400 256C400 265.9 398.2 275.4 394.9 284.2L433.8 314.7C442.9 297.1 448 277.2 448 256C448 185.3 390.7 128 320 128C287.8 128 258.3 139.9 235.8 159.5V159.5zM352 445.3V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V445.3C207.6 431.9 144.1 368.4 130.7 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H130.7C131.9 216.8 133.5 209.7 135.5 202.7L192.3 247.5C192.1 250.3 192 253.1 192 256C192 326.7 249.3 384 320 384C333.3 384 346.1 381.1 358.2 378.2L414.9 422.9C395.8 433.8 374.6 441.6 352 445.3z"],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256z"],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM257.8 176.8L349.6 248.7C370.1 238 384 216.7 384 192C384 156.7 355.3 128 320 128C289.9 128 264.7 148.8 257.8 176.8zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z"],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V232C168 245.3 178.7 256 192 256C205.3 256 216 245.3 216 232V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z"],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM120 168C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H120z"],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM276.8 107C262.1 92.31 238.2 92.31 223.5 107L208.6 121.1L261.9 175.3L276.8 160.4C291.5 145.6 291.5 121.8 276.8 107V107zM105.6 231.4L96.48 268C95.12 273.5 96.71 279.3 100.7 283.2C104.7 287.2 110.4 288.8 115.9 287.4L152.5 278.3C158.1 276.9 163.3 273.1 167.4 269.9L239.3 197.9L185.1 144.6L114.1 216.5C109.1 220.6 107 225.8 105.6 231.4H105.6z"],
    "location-pin": [384, 512, ["map-marker"], "f041", "M384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384z"],
    "location-pin-lock": [512, 512, [], "e51f", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C328.5 170.3 288 216.4 288 272V296.6C268.9 307.6 256 328.3 256 352V446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256zM400 192C444.2 192 480 227.8 480 272V320C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320V272C320 227.8 355.8 192 400 192zM400 240C382.3 240 368 254.3 368 272V320H432V272C432 254.3 417.7 240 400 240z"],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z"],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V168H120C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H168V264C168 277.3 178.7 288 192 288C205.3 288 216 277.3 216 264V216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H216V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120z"],
    "location-question": [384, 512, ["map-marker-question"], "f60b", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM105.4 134.5C100.9 147 107.5 160.7 119.1 165.2C132.5 169.6 146.2 163.1 150.6 150.6L151.1 149.3C152.2 146.1 155.2 144 158.6 144H216.9C225.2 144 232 150.8 232 159.1C232 164.6 229.1 169.6 224.4 172.3L180.1 197.7C172.6 202 168 209.9 168 218.5V232C168 245.3 178.7 256 192 256C205.1 256 215.8 245.5 215.1 232.4L248.3 213.9C267.9 202.7 280 181.8 280 159.1C280 124.3 251.7 96 216.9 96H158.6C134.9 96 113.8 110.9 105.8 133.3L105.4 134.5zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z"],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM128 192C145.7 192 160 177.7 160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM128.6 244.9C122.5 235.7 110.1 233.2 100.9 239.4C91.72 245.5 89.23 257.9 95.36 267.1C106.9 284.4 140.9 316 192 316C243.1 316 277.1 284.4 288.6 267.1C294.8 257.9 292.3 245.5 283.1 239.4C273.9 233.2 261.5 235.7 255.4 244.9C249.1 254.3 226.3 276 192 276C157.7 276 134.9 254.3 128.6 244.9z"],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM116.1 150.1L158.1 191.1L116.1 233.9C106.7 243.3 106.7 258.5 116.1 267.9C125.5 277.3 140.7 277.3 150.1 267.9L191.1 225.9L233.9 267.9C243.3 277.3 258.5 277.3 267.9 267.9C277.3 258.5 277.3 243.3 267.9 233.9L225.9 191.1L267.9 150.1C277.3 140.7 277.3 125.5 267.9 116.1C258.5 106.7 243.3 106.7 233.9 116.1L191.1 158.1L150.1 116.1C140.7 106.7 125.5 106.7 116.1 116.1C106.7 125.5 106.7 140.7 116.1 150.1z"],
    "lock": [448, 512, [128274], "f023", "M80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192z"],
    "lock-a": [448, 512, [], "e422", "M224 307.8L254.1 368H193.9L224 307.8zM224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM136.8 446.3C144.7 450.3 154.4 447.1 158.3 439.2L177.9 400H270.1L289.7 439.2C293.6 447.1 303.3 450.3 311.2 446.3C319.1 442.4 322.3 432.7 318.3 424.8L238.4 264.1C237.6 263.4 236.6 261.1 235.3 260.7C233.9 259.2 232.2 258.1 230.4 257.3C228.3 256.4 226.1 255.1 224 255.1C221.9 255.1 219.7 256.4 217.6 257.3C215.8 258.1 214.1 259.3 212.6 260.7C211.4 261.1 210.4 263.4 209.6 264.1L129.7 424.8C125.7 432.7 128.9 442.4 136.8 446.3V446.3z"],
    "lock-hashtag": [448, 512, [], "e423", "M192 320H256V384H192V320zM80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192zM160 256V288H128C119.2 288 112 295.2 112 304C112 312.8 119.2 320 128 320H160V384H128C119.2 384 112 391.2 112 400C112 408.8 119.2 416 128 416H160V448C160 456.8 167.2 464 176 464C184.8 464 192 456.8 192 448V416H256V448C256 456.8 263.2 464 272 464C280.8 464 288 456.8 288 448V416H320C328.8 416 336 408.8 336 400C336 391.2 328.8 384 320 384H288V320H320C328.8 320 336 312.8 336 304C336 295.2 328.8 288 320 288H288V256C288 247.2 280.8 240 272 240C263.2 240 256 247.2 256 256V288H192V256C192 247.2 184.8 240 176 240C167.2 240 160 247.2 160 256z"],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", "M224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM256 320C256 302.3 241.7 288 224 288C206.3 288 192 302.3 192 320V384C192 401.7 206.3 416 224 416C241.7 416 256 401.7 256 384V320z"],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", "M432 64C387.8 64 352 99.82 352 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"],
    "lock-open": [576, 512, [], "f3c1", "M352 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64C387.8 64 352 99.82 352 144V192z"],
    "locust": [576, 512, [], "e520", "M328 32C464.1 32 576 143 576 280V320C576 320.1 576 320.2 576 320.3C575.8 364.3 540.1 400 496 400H483.6L508.8 444.1C515.4 455.6 511.4 470.3 499.9 476.8C488.4 483.4 473.7 479.4 467.2 467.9L428.4 400H347.1L299.7 469.7C292.2 480.6 277.2 483.3 266.3 475.7C255.4 468.2 252.7 453.2 260.3 442.3L289.6 400H215.1L163.3 470.2C155.5 480.9 140.4 483.2 129.8 475.3C119.1 467.5 116.8 452.4 124.7 441.8L165.2 386.7L122.2 370.4L42.84 470.9C34.62 481.3 19.53 483 9.13 474.8C-1.274 466.6-3.049 451.5 5.164 441.1L245.2 137.1C250.4 130.5 258.8 127.1 267.2 128.2C275.5 129.3 282.7 134.8 286.1 142.5L307.8 193.3L348.7 137.8C353.8 130.8 362.2 127.2 370.8 128.2C379.3 129.1 386.7 134.6 390.1 142.5L431.8 240H496C506.2 240 516 241.9 525 245.4C508.6 151.4 426.7 80 328 80H312C298.7 80 288 69.26 288 56C288 42.75 298.7 32 312 32L328 32zM332.1 240H379.6L362.5 199.1L332.1 240zM257.8 198.5L225.1 240H273.3L274.8 238.1L257.8 198.5zM496 336C504.8 336 512 328.8 512 320C512 311.2 504.8 304 496 304C487.2 304 480 311.2 480 320C480 328.8 487.2 336 496 336zM88.83 240H126.7L48.9 337.3C38.31 326.8 32 312.3 32 296.8C32 265.4 57.45 240 88.83 240V240z"],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", "M511.6 479.9C511.5 488.3 508.2 496.3 502.2 502.2C496.3 508.2 488.3 511.5 479.9 511.6C471.5 511.7 463.4 508.5 457.4 502.6L303.1 348.3C263.7 376.3 215.3 388.5 167.3 382.5C119.4 376.5 75.51 352.6 44.32 315.8C13.13 278.9-3.062 231.6-1.047 183.4C.9676 135.1 21.04 89.36 55.2 55.2C89.35 21.05 135.1 .9719 183.4-1.043C231.6-3.058 278.9 13.13 315.8 44.33C352.6 75.52 376.5 119.4 382.5 167.4C388.5 215.3 376.3 263.7 348.3 303.1L502.6 457.4C508.5 463.4 511.7 471.5 511.6 479.9L511.6 479.9zM90.22 90.23C63.23 117.2 48.04 153.8 47.1 192C47.1 219.6 58.96 246 78.46 265.5C97.96 285 124.4 296 151.1 296C179.6 296 206 285 225.5 265.5C245 246 255.1 219.6 255.1 192C255.1 175 249.3 158.8 237.3 146.7C225.3 134.7 208.1 128 191.1 128C175 128 158.7 134.7 146.7 146.7C134.7 158.8 127.1 175 127.1 192C127.1 198.4 130.5 204.5 135 208.1C139.5 213.5 145.6 216 151.1 216C158.4 216 164.5 213.5 168.1 208.1C173.5 204.5 175.1 198.4 175.1 192C175.1 185.6 178.5 179.5 183 175C187.5 170.5 193.6 168 199.1 168C206.4 168 212.5 170.5 216.1 175C221.5 179.5 223.1 185.6 223.1 192C223.1 211.1 216.4 229.4 202.9 242.9C189.4 256.4 171.1 264 151.1 264C132.9 264 114.6 256.4 101.1 242.9C87.59 229.4 79.1 211.1 79.1 192C79.1 162.3 91.8 133.8 112.8 112.8C133.8 91.8 162.3 80 191.1 80C221.7 80 250.2 91.8 271.2 112.8C292.2 133.8 303.1 162.3 303.1 192C303.9 223.5 293.1 254.2 275.6 279.9C257.3 305.5 231.4 324.8 201.6 335C238.8 332.6 273.6 315.7 298.6 288.1C323.6 260.4 336.9 224.1 335.6 186.9C334.4 149.6 318.7 114.3 291.9 88.4C265.1 62.48 229.3 47.1 191.1 48C153.8 48.05 117.2 63.23 90.22 90.23V90.23z"],
    "loveseat": [512, 512, ["couch-small"], "f4cc", "M464 224C437.5 224 416 245.5 416 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64C88.84 480 96 472.8 96 464V448h320v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C512 245.5 490.5 224 464 224zM128 272V320h256V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H192C121.3 32 64 89.31 64 160v33.62C100.5 201.1 128 233.4 128 272z"],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", "M262.8 320C255.9 305.3 244.3 286.6 224 266.8C203.8 286.6 192.1 305.3 185.3 320H262.8zM128 384c0 17.62 14.38 32 32 32h128c17.62 0 32-14.38 32-32s-14.38-32-32-32H160C142.4 352 128 366.4 128 384zM192 245.2C192 215.9 170.5 192 144 192H96v10.75C96 232.1 117.5 256 144 256H192V245.2zM256 245.2L256 256c.3125 .375 .1406 .1875 0 0H304C330.5 256 352 232.1 352 202.8V192h-48C277.5 192 256 215.9 256 245.2zM224 0C100.3 0 0 100.3 0 224v96c0 106 85.96 192 192 192h64c106 0 192-85.96 192-192V224C448 100.3 347.7 0 224 0zM384 202.8C384 249.8 348.3 288 304 288h-22.5c7.375 12.25 12.5 23.38 15.75 32.88c31 4.625 54.63 31 54.63 63.13c0 35.5-29.38 64-64.88 64H160.9C125.4 448 96 419.5 96 384c0-32.13 23.75-58.5 54.63-63.13C153.9 311.5 159 300.3 166.4 288H144C99.75 288 64 249.8 64 202.8V172C64 165.4 69.38 160 76 160l67.97 .0417c37.22 0 67.86 27.13 76.73 63.96h6.477c9-36.83 39.75-64 76.85-64H372C378.6 160 384 165.4 384 172V202.8z"],
    "lungs": [640, 512, [129729], "f604", "M640 419.8c0 61.25-62.5 105.5-125.3 88.63l-59.53-15.88c-42.12-11.38-71.25-47.5-71.25-88.63L384 316.4l85.88 57.25c3.625 2.375 8.625 1.375 11-2.25l8.875-13.37c2.5-3.625 1.5-8.625-2.125-11L320 235.3l-167.6 111.8c-1.75 1.125-3 3-3.375 5c-.375 2.125 0 4.25 1.25 6l8.875 13.37c1.125 1.75 3 3 5 3.375c2.125 .375 4.25 0 6-1.125L256 316.4l.0313 87.5c0 41.13-29.12 77.25-71.25 88.63l-59.53 15.88C62.5 525.3 0 481 0 419.8c0-10 1.25-19.88 3.875-29.63C25.5 308.9 59.91 231 105.9 159.1c22.12-34.63 36.12-63.13 80.12-63.13C224.7 96 256 125.4 256 161.8v60.1l32.88-21.97C293.4 196.9 296 192 296 186.6V16C296 7.125 303.1 0 312 0h16c8.875 0 16 7.125 16 16v170.6c0 5.375 2.625 10.25 7.125 13.25L384 221.8v-60.1c0-36.38 31.34-65.75 69.97-65.75c43.1 0 58 28.5 80.13 63.13c46 71.88 80.41 149.8 102 231C638.8 399.9 640 409.8 640 419.8z"],
    "lungs-virus": [640, 512, [], "e067", "M195.5 444.5c-18.71-18.72-18.71-49.16 .0033-67.87l8.576-8.576H192c-26.47 0-48-21.53-48-48c0-26.47 21.53-48 48-48l12.12-.0055L195.5 263.4c-18.71-18.72-18.71-49.16 0-67.88C204.6 186.5 216.7 181.5 229.5 181.5c9.576 0 18.72 2.799 26.52 7.986l.04-27.75c0-36.38-31.42-65.72-70.05-65.72c-44 0-57.97 28.5-80.09 63.13c-46 71.88-80.39 149.8-102 231C1.257 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.3 88.62l59.5-15.9c21.74-5.867 39.91-18.39 52.51-34.73c-2.553 .4141-5.137 .7591-7.774 .7591C216.7 458.5 204.6 453.5 195.5 444.5zM343.1 150.7L344 16C344 7.125 336.9 0 328 0h-16c-8.875 0-16 7.125-16 16L295.1 150.7c7.088-4.133 15.22-6.675 23.1-6.675S336.9 146.5 343.1 150.7zM421.8 421.8c6.25-6.25 6.25-16.37 0-22.62l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16c0-8.844-7.156-16-16-16h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-8.576 8.577C370.5 246.9 336 232.6 336 204.1v-12.12c0-8.844-7.156-15.1-16-15.1s-16 7.156-16 15.1v12.12c0 28.51-34.47 42.79-54.63 22.63L240.8 218.2c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16c0 8.844 7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575C269.5 393.1 304 407.4 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688S418.7 424.9 421.8 421.8zM288 303.1c-8.836 0-16-7.162-16-15.1S279.2 271.1 288 271.1S304 279.2 304 287.1S296.8 303.1 288 303.1zM352 367.1c-8.836 0-16-7.166-16-16s7.164-15.1 16-15.1s16 7.166 16 16S360.8 367.1 352 367.1zM636.1 390.1c-21.62-81.25-56.02-159.1-102-231c-22.12-34.63-36.09-63.13-80.09-63.13c-38.62 0-70.01 29.35-70.01 65.73v27.74c7.795-5.188 16.94-7.986 26.52-7.986c12.82 0 24.88 4.999 33.95 14.07c18.71 18.72 18.71 49.16 0 67.88l-8.576 8.571L448 272c26.47 0 48 21.54 48 48c0 26.47-21.53 48-48 48h-12.12l8.576 8.576c18.71 18.72 18.71 49.16-.0072 67.87c-9.066 9.066-21.12 14.06-33.94 14.06c-2.637 0-5.211-.3438-7.764-.7578c12.6 16.34 30.77 28.86 52.51 34.73l59.5 15.9C577.5 525.3 640 481 640 419.8C640 409.8 638.7 399.9 636.1 390.1z"],
    "m": [448, 512, [109], "4d", "M448 64.01v384c0 17.67-14.31 32-32 32s-32-14.33-32-32V169.7l-133.4 200.1c-11.88 17.81-41.38 17.81-53.25 0L64 169.7v278.3c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-14.09 9.219-26.55 22.72-30.63c13.47-4.156 28.09 1.141 35.91 12.88L224 294.3l165.4-248.1c7.812-11.73 22.47-17.03 35.91-12.88C438.8 37.47 448 49.92 448 64.01z"],
    "mace": [512, 512, [], "f6f8", "M500.1 209.9l-80.75-25.77c-13.59-44.95-49.13-79.63-94.35-92.29l-27.32-80.21c-5.248-15.61-18.71-15.48-23.69 .2695L248.4 92.64c-44.95 13.59-79.95 49.13-92.6 94.48L75.63 214.3c-15.61 5.246-15.48 18.7 .2676 23.68l80.75 25.57c3.445 11.39 8.324 22.13 14.39 32.04l-161.7 161.6c-12.48 12.48-12.48 32.94 0 45.42c12.5 12.49 32.76 12.49 45.25-.0118l161.7-161.9c10.69 6.57 22.3 11.98 34.71 15.45l27.32 80.21c5.25 15.61 18.71 15.41 23.69-.3408l25.57-80.53c44.95-13.59 79.95-49.29 92.6-94.51l80.08-27.37C516 228.4 515.9 214.9 500.1 209.9zM288 256c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 256 288 256z"],
    "magnet": [448, 512, [129522], "f076", "M128 160V256C128 309 170.1 352 224 352C277 352 320 309 320 256V160H448V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V160H128zM0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V128H0V64zM320 64C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V128H320V64z"],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7C401.8 87.79 326.8 13.32 235.2 1.723C99.01-15.51-15.51 99.01 1.724 235.2c11.6 91.64 86.08 166.7 177.6 178.9c53.8 7.189 104.3-6.236 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7zM79.1 208c0-70.58 57.42-128 128-128s128 57.42 128 128c0 70.58-57.42 128-128 128S79.1 278.6 79.1 208z"],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", "M416 208C416 253.9 401.1 296.3 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6L330.7 375.1C296.3 401.1 253.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM240.1 119C231.6 109.7 216.4 109.7 207 119C197.7 128.4 197.7 143.6 207 152.1L238.1 184H120C106.7 184 96 194.7 96 208C96 221.3 106.7 232 120 232H238.1L207 263C197.7 272.4 197.7 287.6 207 296.1C216.4 306.3 231.6 306.3 240.1 296.1L312.1 224.1C322.3 215.6 322.3 200.4 312.1 191L240.1 119z"],
    "magnifying-glass-chart": [512, 512, [], "e522", "M416 208C416 253.9 401.1 296.3 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6L330.7 375.1C296.3 401.1 253.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM104 280C104 293.3 114.7 304 128 304C141.3 304 152 293.3 152 280V216C152 202.7 141.3 192 128 192C114.7 192 104 202.7 104 216V280zM184 280C184 293.3 194.7 304 208 304C221.3 304 232 293.3 232 280V120C232 106.7 221.3 96 208 96C194.7 96 184 106.7 184 120V280zM264 280C264 293.3 274.7 304 288 304C301.3 304 312 293.3 312 280V184C312 170.7 301.3 160 288 160C274.7 160 264 170.7 264 184V280z"],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0004C515.9 484.7 515.9 459.3 500.3 443.7zM273.7 253.8C269.8 276.4 252.6 291.3 228 296.1V304c0 11.03-8.953 20-20 20S188 315 188 304V295.2C178.2 293.2 168.4 289.9 159.6 286.8L154.8 285.1C144.4 281.4 138.9 269.9 142.6 259.5C146.2 249.1 157.6 243.7 168.1 247.3l5.062 1.812c8.562 3.094 18.25 6.562 25.91 7.719c16.23 2.5 33.47-.0313 35.17-9.812c1.219-7.094 .4062-10.62-31.8-19.84L196.2 225.4C177.8 219.1 134.5 207.3 142.3 162.2C146.2 139.6 163.5 124.8 188 120V112c0-11.03 8.953-20 20-20S228 100.1 228 112v8.695c6.252 1.273 13.06 3.07 21.47 5.992c10.42 3.625 15.95 15.03 12.33 25.47C258.2 162.6 246.8 168.1 236.3 164.5C228.2 161.7 221.8 159.9 216.8 159.2c-16.11-2.594-33.38 .0313-35.08 9.812c-1 5.812-1.719 10 25.7 18.03l6 1.719C238.9 196 281.5 208.2 273.7 253.8z"],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", "M236 176c0 15.46-12.54 28-28 28S180 191.5 180 176S192.5 148 208 148S236 160.5 236 176zM500.3 500.3c-15.62 15.62-40.95 15.62-56.57 0l-119.7-119.7c-40.41 27.22-90.9 40.65-144.7 33.46c-91.55-12.23-166-87.28-177.6-178.9c-17.24-136.2 97.29-250.7 233.4-233.4c91.64 11.6 166.7 86.07 178.9 177.6c7.19 53.8-6.236 104.3-33.46 144.7l119.7 119.7C515.9 459.3 515.9 484.7 500.3 500.3zM294.1 182.2C294.1 134.5 255.6 96 207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320c3.207 0 6.26-1.459 8.303-3.791C237.8 290.7 294.1 220.5 294.1 182.2z"],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24h160C301.3 184 312 194.7 312 208S301.3 232 288 232z"],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 232H231.1V288c0 13.26-10.74 24-23.1 24C194.7 312 184 301.3 184 288V232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24H184V128c0-13.26 10.74-24 23.1-24S231.1 114.7 231.1 128v56h56C301.3 184 312 194.7 312 208S301.3 232 288 232z"],
    "mailbox": [576, 512, [128234], "f813", "M432 64L244.9 64C290.3 95.88 320 148.5 320 208V448l224-.0003c17.62 0 32-14.37 32-31.1V208C576 128.5 511.5 64 432 64zM512 271.1c0 8.836-7.162 15.1-16 15.1l-32 0c-8.836 0-16-7.164-16-15.1V224l-48 0c-8.799 0-16-7.199-16-15.1s7.201-15.1 16-15.1l96 0c8.838 0 16 7.164 16 15.1V271.1zM144 64C64.5 64 0 128.5 0 208v207.1c0 17.62 14.38 31.1 32 31.1L288 448V208C288 128.5 223.5 64 144 64zM208 224h-128c-8.836 0-16-7.164-16-15.1s7.164-15.1 16-15.1h128c8.838 0 16 7.164 16 15.1S216.8 224 208 224z"],
    "manat-sign": [384, 512, [], "e1d5", "M224 64V98.65C314.8 113.9 384 192.9 384 288V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V288C320 228.4 279.2 178.2 224 164V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V164C104.8 178.2 64 228.4 64 288V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V288C0 192.9 69.19 113.9 160 98.65V64C160 46.33 174.3 32 192 32C209.7 32 224 46.33 224 64z"],
    "mandolin": [512, 512, [], "f6f9", "M507.3 50.66l-46-46c-5.25-5.249-13.38-6.126-19.76-2.252l-64 40.11c-7 4.374-12 11.12-14 19.12l-14.5 56.1L274.5 192.2C90.38 190.6 46.01 240.1 30.76 256.2c-46.88 46.87-39.5 150.4 17.5 207.5c57.13 57.12 160.6 64.37 207.5 17.5c15.25-15.25 65.64-59.64 64.01-243.7l74.5-74.49l56.12-14.49c7.875-1.1 14.75-7.125 19.12-13.1l40.01-63.99C513.5 64.15 512.6 56.03 507.3 50.66zM208 351.1c-26.5 0-48-21.5-48-47.99c0-26.5 21.5-47.99 48-47.99c26.5 0 48 21.5 48 47.99C256 330.5 234.5 351.1 208 351.1z"],
    "mango": [512, 512, [], "e30f", "M509.4 253.1C497.8 176.4 440.4 120.1 368 102.4V63.56C385.5 83.31 411.5 96 443 96h51.05c11.19 0 19.79-9.357 17.55-19.28C501.8 32.94 458.1 0 407.7 0H344C330.8 0 320 10.75 320 24l-.0752 72.01c-.0723 0 .0723 0 0 0c-171.5 .1602-208.7 177.9-301.7 268.4C6.512 375.8 0 391.5 0 407.9c0 25.1 15.28 47.62 38.73 56.57C88.42 483.4 181.1 512 287.1 512C423.2 512 530.4 392.3 509.4 253.1zM304 432c-8.844 0-16-7.156-16-16s7.156-16 16-16c52.94 0 96-43.06 96-96C400 295.2 407.2 288 416 288s16 7.156 16 16C432 374.6 374.6 432 304 432z"],
    "manhole": [512, 512, [], "e1d6", "M287.4 99.17C285.7 115.3 272.5 128 256 128S226.3 115.3 224.6 99.17C151.4 113.8 96 178.5 96 256s55.39 142.2 128.6 156.8C226.3 396.7 239.5 384 256 384s29.69 12.72 31.36 28.83C360.6 398.2 416 333.5 416 256S360.6 113.8 287.4 99.17zM208 336h-32v-32h32V336zM208 272h-32v-32h32V272zM208 208h-32v-32h32V208zM272 336h-32v-32h32V336zM272 272h-32v-32h32V272zM272 208h-32v-32h32V208zM336 336h-32v-32h32V336zM336 272h-32v-32h32V272zM336 208h-32v-32h32V208zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-106 0-192-85.96-192-192s85.96-192 192-192s192 85.96 192 192S362 448 256 448z"],
    "map": [576, 512, [62072, 128506], "f279", "M384 476.1L192 421.2V35.93L384 90.79V476.1zM416 88.37L543.1 37.53C558.9 31.23 576 42.84 576 59.82V394.6C576 404.4 570 413.2 560.9 416.9L416 474.8V88.37zM15.09 95.13L160 37.17V423.6L32.91 474.5C17.15 480.8 0 469.2 0 452.2V117.4C0 107.6 5.975 98.78 15.09 95.13V95.13z"],
    "map-location": [576, 512, ["map-marked"], "f59f", "M273.2 311.1C241.1 271.9 167.1 174.6 167.1 120C167.1 53.73 221.7 0 287.1 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.8C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.8C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z"],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120zM288 152C310.1 152 328 134.1 328 112C328 89.91 310.1 72 288 72C265.9 72 248 89.91 248 112C248 134.1 265.9 152 288 152zM425.6 179.8C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.8zM150.4 179.8C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.8H150.4zM327.8 331.1C341.7 314.6 363.5 286.3 384 255V504.3L192 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1L327.8 331.1z"],
    "map-pin": [320, 512, [128205], "f276", "M320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144zM192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64zM144 480V317.1C154.4 319 165.1 319.1 176 319.1C186.9 319.1 197.6 319 208 317.1V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480z"],
    "marker": [512, 512, [], "f5a1", "M480.1 160.1L316.3 325.7L186.3 195.7L302.1 80L288.1 66.91C279.6 57.54 264.4 57.54 255 66.91L168.1 152.1C159.6 162.3 144.4 162.3 135 152.1C125.7 143.6 125.7 128.4 135 119L221.1 32.97C249.2 4.853 294.8 4.853 322.9 32.97L336 46.06L351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1V160.1zM229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L163.7 218.3L293.7 348.3L229.5 412.5z"],
    "mars": [448, 512, [9794], "f222", "M431.1 31.1l-112.6 0c-21.42 0-32.15 25.85-17 40.97l29.61 29.56l-56.65 56.55c-30.03-20.66-65.04-31-100-31c-47.99-.002-95.96 19.44-131.1 58.39c-60.86 67.51-58.65 175 4.748 240.1C83.66 462.2 129.6 480 175.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56C411.9 182.2 417.9 184.4 423.8 184.4C436.1 184.4 448 174.8 448 160.4V47.1C448 39.16 440.8 31.1 431.1 31.1zM243.5 371.9c-18.75 18.71-43.38 28.07-68 28.07c-24.63 0-49.25-9.355-68.01-28.07c-37.5-37.43-37.5-98.33 0-135.8c18.75-18.71 43.38-28.07 68.01-28.07c24.63 0 49.25 9.357 68 28.07C281 273.5 281 334.5 243.5 371.9z"],
    "mars-and-venus": [512, 512, [9893], "f224", "M480 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-27.11 27.11C326.1 76.85 292.7 64 256 64c-88.37 0-160 71.63-160 160c0 77.4 54.97 141.9 128 156.8v19.22H192c-8.836 0-16 7.162-16 16v31.1c0 8.836 7.164 16 16 16l32 .0001v32c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-32l32-.0001c8.838 0 16-7.164 16-16v-31.1c0-8.838-7.162-16-16-16h-32v-19.22c73.03-14.83 128-79.37 128-156.8c0-28.38-8.018-54.65-20.98-77.77l30.45-30.45l29.56 29.56C470.1 160.5 496 149.8 496 128.4V16C496 7.164 488.8 .0002 480 .0002zM256 304c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 268.1 300.1 304 256 304z"],
    "mars-and-venus-burst": [640, 512, [], "e523", "M607.1 0C625.7 0 639.1 14.33 639.1 32V120C639.1 137.7 625.7 152 607.1 152C590.3 152 575.1 137.7 575.1 120V109.3L539.6 145.7C552.6 168.8 559.1 195.6 559.1 224C559.1 301.4 505 365.1 431.1 380.8V400H447.1C465.7 400 479.1 414.3 479.1 432C479.1 449.7 465.7 464 447.1 464H431.1V480C431.1 497.7 417.7 512 399.1 512C382.3 512 367.1 497.7 367.1 480V464H351.1C334.3 464 319.1 449.7 319.1 432C319.1 414.3 334.3 400 351.1 400H367.1V380.8C294.1 365.1 239.1 301.4 239.1 224C239.1 135.6 311.6 64 399.1 64C436.7 64 470.6 76.37 497.6 97.18L530.7 64H511.1C494.3 64 479.1 49.67 479.1 32C479.1 14.33 494.3 0 511.1 0L607.1 0zM399.1 128C346.1 128 303.1 170.1 303.1 224C303.1 277 346.1 320 399.1 320C453 320 495.1 277 495.1 224C495.1 170.1 453 128 399.1 128zM220.3 92.05L280.4 73.81C236.3 108.1 207.1 163.2 207.1 224C207.1 269.2 223.6 310.8 249.8 343.6C244.5 345 238.7 343.7 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "mars-double": [640, 512, [9891], "f227", "M320.7 204.3l56.65-56.55l29.61 29.56C422.1 192.5 448 181.7 448 160.4V47.1c0-8.838-7.176-15.1-16.03-15.1H319.4c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L275.4 159.1c-71.21-48.99-170.4-39.96-231.1 27.39c-60.86 67.51-58.65 175 4.748 240.1c68.7 70.57 181.8 71.19 251.3 1.847C361.4 367.5 368 272.9 320.7 204.3zM243.5 371.9c-37.5 37.43-98.51 37.43-136 0s-37.5-98.33 0-135.8c37.5-37.43 98.51-37.43 136 0C281 273.5 281 334.5 243.5 371.9zM623.1 32h-112.6c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L480 146.5v13.91C480 191.3 454.8 216.4 423.8 216.4C421.2 216.4 418.6 216 416 215.6v5.862c6.922 4.049 13.58 8.691 19.51 14.61c37.5 37.43 37.5 98.33 0 135.8c-18.75 18.71-43.38 28.07-68 28.07c-2.277 0-4.523-.4883-6.795-.6484c-9.641 18.69-22.1 36.24-37.64 51.77c-6.059 6.059-12.49 11.53-19.13 16.73C324.4 475.7 345.9 480 367.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56c4.898 4.889 10.92 7.075 16.83 7.075C628.1 184.4 640 174.8 640 160.4V48C640 39.16 632.8 32 623.1 32z"],
    "mars-stroke": [512, 512, [9894], "f229", "M496 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.33 24.34l-33.94-33.94c-6.248-6.25-16.38-6.248-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l33.94 33.94l-18.96 18.96C239.1 111.8 144.5 118.6 83.55 179.5c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c60.99-60.99 67.73-155.6 20.47-224.1l18.96-18.96l33.94 33.94c6.248 6.248 16.38 6.25 22.63 0l22.63-22.63c6.248-6.248 6.248-16.38 0-22.63l-33.94-33.94l24.34-24.33l29.56 29.56C486.1 160.5 512 149.8 512 128.4v-112.4C512 7.162 504.8 .0002 496 .0002zM275.9 371.9c-37.43 37.43-98.33 37.43-135.8 0c-37.43-37.43-37.43-98.33 0-135.8c37.43-37.43 98.33-37.43 135.8 0C313.3 273.5 313.3 334.5 275.9 371.9z"],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", "M619.3 244.7l-82.34-77.61c-15.12-15.12-40.97-4.41-40.97 16.97V223.1L463.1 224V176c.002-8.838-7.162-16-15.1-16h-32c-8.84 0-16 7.16-16 16V224h-19.05c-15.07-81.9-86.7-144-172.1-144C110.8 80 32 158.8 32 256c0 97.2 78.8 176 176 176c86.26 0 157.9-62.1 172.1-144h19.05V336c0 8.836 7.162 16 16 16h32c8.836 0 15.1-7.164 15.1-16V287.1L496 288v39.95c0 21.38 25.85 32.09 40.97 16.97l82.34-77.61C625.6 261.1 625.6 250.9 619.3 244.7zM208 352c-52.94 0-96-43.07-96-96c-.002-52.94 43.06-96 96-96c52.93 0 95.1 43.06 95.1 96C304 308.9 260.9 352 208 352z"],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", "M224 163V144h24c4.418 0 8-3.578 8-7.1V120c0-4.418-3.582-7.1-8-7.1H224V96h24.63c16.41 0 24.62-19.84 13.02-31.44l-60.97-60.97c-4.795-4.793-12.57-4.793-17.36 0L122.3 64.56c-11.6 11.6-3.383 31.44 13.02 31.44H160v15.1H136c-4.418 0-8 3.582-8 7.1v15.1c0 4.422 3.582 7.1 8 7.1H160v19.05c-84.9 15.62-148.5 92.01-143.7 182.5c4.783 90.69 82.34 165.1 173.2 166.5C287.8 513.4 368 434.1 368 336C368 249.7 305.9 178.1 224 163zM192 431.1c-52.94 0-96-43.06-96-95.1s43.06-95.1 96-95.1c52.93 0 96 43.06 96 95.1S244.9 431.1 192 431.1z"],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H175.1c-26.51 0-47.1 21.49-47.1 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-47.1V271.6L502 57.63zM405.1 64l-64.01 64H170.9L106.9 64H405.1z"],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", "M288 464H240v-125.3l168.8-168.7C424.3 154.5 413.3 128 391.4 128H24.63C2.751 128-8.249 154.5 7.251 170l168.7 168.7V464H128c-17.67 0-32 14.33-32 32c0 8.836 7.164 16 15.1 16h191.1c8.836 0 15.1-7.164 15.1-16C320 478.3 305.7 464 288 464zM432 0c-62.63 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.88 0 95.1 43 95.1 96s-43.12 96-95.1 96c-14 0-27.25-3.25-39.37-8.625l-35.25 35.25c21.88 13.25 47.25 21.38 74.62 21.38c79.5 0 143.1-64.5 143.1-144S511.5 0 432 0z"],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H176c-26.51 0-48 21.49-48 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-47.1-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z"],
    "mask": [576, 512, [], "f6fa", "M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.516 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3711 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM160 320c-35.35 0-64-28.65-64-64s28.65-64 64-64c35.35 0 64 28.65 64 64S195.3 320 160 320zM416 320c-35.35 0-64-28.65-64-64s28.65-64 64-64c35.35 0 64 28.65 64 64S451.3 320 416 320z"],
    "mask-face": [640, 512, [], "e1d7", "M396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L441.1 412.5C406.2 434.1 364.6 448 320 448C275.4 448 233.8 434.1 198.9 412.5L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H153.2C172.2 128 190.7 122.4 206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12zM132.3 346.3C109.4 311.2 96 269.1 96 224V176H56C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L132.3 346.3zM592 269V184C592 179.6 588.4 176 584 176H544V224C544 269.1 530.6 311.2 507.7 346.3L537.5 338.9C569.5 330.9 592 302.1 592 269H592zM208 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H208C199.2 192 192 199.2 192 208C192 216.8 199.2 224 208 224zM208 256C199.2 256 192 263.2 192 272C192 280.8 199.2 288 208 288H432C440.8 288 448 280.8 448 272C448 263.2 440.8 256 432 256H208zM240 352H400C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320H240C231.2 320 224 327.2 224 336C224 344.8 231.2 352 240 352z"],
    "mask-snorkel": [576, 512, [], "e3b7", "M384 288c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.041 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384zM544 32c-17.69 0-32 14.31-32 32v96h64V64C576 46.31 561.7 32 544 32zM512 367.4C512 411.9 475.9 448 431.4 448c-39.84 0-74.13-29.47-79.75-68.56c-2.332-15.9-15.74-27.47-31.51-27.47c-27.19 0-32.19 25.67-32.19 32.02C287.1 390.9 308.4 512 431.4 512C511.2 512 576 447.2 576 367.4V192h-64V367.4z"],
    "mask-ventilator": [640, 512, [], "e524", "M320 32C372.1 32 419.7 73.8 454.5 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L477.5 403.4C454.6 433.8 421.1 457.2 384 469.8V393.2C403.6 376.8 416 353.1 416 326.4C416 276.9 372.5 191.1 320 191.1C267 191.1 224 276.9 224 326.4C224 353 236.3 376.9 256 393.3V469.9C217.6 457.4 184.9 433.8 162.2 403.3L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H185.1C219.8 73.8 267.4 32 320 32V32zM56 176C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L134.3 346.8C130.2 332.2 127.1 316.7 127.1 300.8C127.1 264.7 139.4 219.2 159.1 176H56zM480.7 176C500.4 219.2 512 264.7 512 300.8C512 316.8 509.8 332.2 505.6 346.9L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H480.7zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320V512H288V320z"],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", "M206.9 245.1C171 255.6 146.8 286.4 149.3 319.3C160.7 306.5 178.1 295.5 199.3 288.4L206.9 245.1zM95.78 294.9L64.11 115.5C63.74 113.9 64.37 112.9 64.37 112.9c57.75-32.13 123.1-48.99 189-48.99c1.625 0 3.113 .0745 4.738 .0745c13.1-13.5 31.75-22.75 51.62-26c18.87-3 38.12-4.5 57.25-5.25c-9.999-14-24.47-24.27-41.84-27.02c-23.87-3.875-47.9-5.732-71.77-5.732c-76.74 0-152.4 19.45-220.1 57.07C9.021 70.57-3.853 98.5 1.021 126.6L32.77 306c14.25 80.5 136.3 142 204.5 142c3.625 0 6.777-.2979 10.03-.6729c-13.5-17.13-28.1-40.5-39.5-67.63C160.1 366.8 101.7 328 95.78 294.9zM193.4 157.6C192.6 153.4 191.1 149.7 189.3 146.2c-8.249 8.875-20.62 15.75-35.25 18.37c-14.62 2.5-28.75 .376-39.5-5.249c-.5 4-.6249 7.998 .125 12.12c3.75 21.75 24.5 36.24 46.25 32.37C182.6 200.1 197.3 179.3 193.4 157.6zM606.8 121c-88.87-49.38-191.4-67.38-291.9-51.38C287.5 73.1 265.8 95.85 260.8 123.1L229 303.5c-15.37 87.13 95.33 196.3 158.3 207.3c62.1 11.13 204.5-53.68 219.9-140.8l31.75-179.5C643.9 162.3 631 134.4 606.8 121zM333.5 217.8c3.875-21.75 24.62-36.25 46.37-32.37c21.75 3.75 36.25 24.49 32.5 46.12c-.7499 4.125-2.25 7.873-4.125 11.5c-8.249-9-20.62-15.75-35.25-18.37c-14.75-2.625-28.75-.3759-39.5 5.124C332.1 225.9 332.9 221.9 333.5 217.8zM403.1 416.5c-55.62-9.875-93.49-59.23-88.99-112.1c20.62 25.63 56.25 46.24 99.49 53.87c43.25 7.625 83.74 .3781 111.9-16.62C512.2 392.7 459.7 426.3 403.1 416.5zM534.4 265.2c-8.249-8.875-20.75-15.75-35.37-18.37c-14.62-2.5-28.62-.3759-39.5 5.249c-.5-4-.625-7.998 .125-12.12c3.875-21.75 24.62-36.25 46.37-32.37c21.75 3.875 36.25 24.49 32.37 46.24C537.6 257.9 536.1 261.7 534.4 265.2z"],
    "mattress-pillow": [640, 512, [], "e525", "M256 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H256V448zM64 352C64 369.7 78.33 384 96 384H160C177.7 384 192 369.7 192 352V160C192 142.3 177.7 128 160 128H96C78.33 128 64 142.3 64 160V352zM288 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H288V64z"],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", "M447.1 319.1v135.1c0 13.26-10.75 23.1-23.1 23.1h-135.1c-12.94 0-24.61-7.781-29.56-19.75c-4.906-11.1-2.203-25.72 6.937-34.87l30.06-30.06L224 323.9l-71.43 71.44l30.06 30.06c9.156 9.156 11.91 22.91 6.937 34.87C184.6 472.2 172.9 479.1 160 479.1H24c-13.25 0-23.1-10.74-23.1-23.1v-135.1c0-12.94 7.781-24.61 19.75-29.56C23.72 288.8 27.88 288 32 288c8.312 0 16.5 3.242 22.63 9.367l30.06 30.06l71.44-71.44L84.69 184.6L54.63 214.6c-9.156 9.156-22.91 11.91-34.87 6.937C7.798 216.6 .0013 204.9 .0013 191.1v-135.1c0-13.26 10.75-23.1 23.1-23.1h135.1c12.94 0 24.61 7.781 29.56 19.75C191.2 55.72 191.1 59.87 191.1 63.1c0 8.312-3.237 16.5-9.362 22.63L152.6 116.7l71.44 71.44l71.43-71.44l-30.06-30.06c-9.156-9.156-11.91-22.91-6.937-34.87c4.937-11.95 16.62-19.75 29.56-19.75h135.1c13.26 0 23.1 10.75 23.1 23.1v135.1c0 12.94-7.781 24.61-19.75 29.56c-11.1 4.906-25.72 2.203-34.87-6.937l-30.06-30.06l-71.43 71.43l71.44 71.44l30.06-30.06c9.156-9.156 22.91-11.91 34.87-6.937C440.2 295.4 447.1 307.1 447.1 319.1z"],
    "meat": [576, 512, [127830], "f814", "M476 68.42C431.5 23.93 377.1 0 331.1 0C307.5 0 286.3 6.748 269.7 19.1C266.9 21.62 264.6 23.61 262.3 25.86c-38.75 38.62-102.3 113.8-102.3 183.6L160 309.8l-8.556 8.544c-9.626 9.749-24.01 11.12-36.76 5.999c-26.63-10.62-57.01-.9974-72.76 22.88c-15.75 23.87-12.5 55.61 7.75 75.86c15.25 15.25 36.51 19.62 56.13 15.12c-4.5 19.5-.1278 40.8 15.12 56.05c20.25 20.37 51.97 23.59 75.97 7.839c23.88-15.75 33.56-46.08 22.81-72.83c-5-12.62-3.626-26.1 6-36.74l8.582-8.522l100.5-.0216c69.88 0 145.1-63.49 183.7-102.1c2.625-2.75 4.948-5.77 6.823-9.02C562.7 223.3 542.8 135.2 476 68.42zM484.7 247.8c-9.751 9.749-24.37 11.85-34.74 11.85c-34.75 0-77.24-20.86-110.9-54.48c-27.25-27.12-46.34-60.36-52.47-90.98c-4.75-23.75-1.146-43.61 9.73-54.48c9.751-9.749 24.38-11.75 34.76-11.75c34.75 0 77.23 20.85 110.9 54.47C495.9 156.2 508.1 223.6 484.7 247.8zM363.9 127.2C354.1 136.1 357.1 156.8 372.7 171.6c14.75 14.62 34.6 18.62 44.48 8.871c9.751-9.874 5.79-29.74-8.961-44.37C393.6 121.3 373.7 117.3 363.9 127.2z"],
    "medal": [512, 512, [127941], "f5a2", "M223.7 130.8L149.1 7.77C147.1 2.949 141.9 0 136.3 0H16.03c-12.95 0-20.53 14.58-13.1 25.18l111.3 158.9C143.9 156.4 181.7 137.3 223.7 130.8zM256 160c-97.25 0-176 78.75-176 176S158.8 512 256 512s176-78.75 176-176S353.3 160 256 160zM348.5 317.3l-37.88 37l8.875 52.25c1.625 9.25-8.25 16.5-16.63 12l-46.88-24.62L209.1 418.5c-8.375 4.5-18.25-2.75-16.63-12l8.875-52.25l-37.88-37C156.6 310.6 160.5 299 169.9 297.6l52.38-7.625L245.7 242.5c2-4.25 6.125-6.375 10.25-6.375S264.2 238.3 266.2 242.5l23.5 47.5l52.38 7.625C351.6 299 355.4 310.6 348.5 317.3zM495.1 0H375.7c-5.621 0-10.83 2.949-13.72 7.77l-73.76 122.1c42 6.5 79.88 25.62 109.5 53.38l111.3-158.9C516.5 14.58 508.9 0 495.1 0z"],
    "megaphone": [576, 512, [128227], "f675", "M576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64zM63.96 190.3L480 64V448L348.9 408.2C338.2 449.5 300.7 480 256 480C202.1 480 160 437 160 384C160 372.1 161.9 362.3 165.3 352.5L63.96 321.7C63.07 338.6 49.1 352 32 352C14.33 352 0 337.7 0 320V192C0 174.3 14.33 160 32 160C49.1 160 63.07 173.4 63.96 190.3V190.3zM302.9 394.2L211.3 366.4C209.2 371.9 208 377.8 208 384C208 410.5 229.5 432 256 432C278.1 432 298.2 415.8 302.9 394.2V394.2z"],
    "melon": [512, 512, [], "e310", "M362.8 23.56C330.3 8.584 294.2 0 256 0C114.6 0 0 114.6 0 256c0 38.05 8.527 74.04 23.42 106.5c1.332-14.39 4.246-29.59 9.037-45.56c17.58-58.63 56.79-120.4 110.4-174.1C211.8 73.9 294.4 29.68 362.8 23.56zM448.9 185.9c14.73-49.1 10.5-88.49-11.87-110.9c-.0098-.0215 .0156 .0215 0 0c-14.05-14.02-34.29-20.67-58.28-20.67c-59.84 0-143.2 41.14-213.2 111.2C115.6 215.4 79.2 272.5 63.11 326.1c-14.73 49.1-10.49 88.5 11.89 110.9c.0137 .0195-.0137-.0156 0 0c.002 .002-.002-.002 0 0c14.05 14.01 34.27 20.64 58.25 20.64c59.84 0 143.2-41.14 213.3-111.1C396.4 296.6 432.8 239.6 448.9 185.9zM488.6 149.6c-1.334 14.38-4.281 29.57-9.066 45.52c-17.58 58.63-56.79 120.4-110.4 174.1c-68.98 68.95-151.5 113.2-219.9 119.3C181.7 503.4 217.8 512 256 512c141.4 0 256-114.6 256-256C512 217.1 503.5 182 488.6 149.6z"],
    "melon-slice": [512, 512, [], "e311", "M216.2 432c57.63 0 111.8-22.45 152.6-63.22C409.5 328 432 273.8 432 216.2c0-57.64-22.45-111.8-63.22-152.6l-16.96-16.96l-37.14 37.14C318 97.99 320 112.8 320 128c0 106-85.96 192-192 192c-15.25 0-30.01-1.963-44.23-5.322l-37.14 37.14l16.96 16.96C104.4 409.5 158.6 432 216.2 432zM425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96C438.2 87.77 464 150 464 216.2s-25.79 128.4-72.6 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.531 395.9 0 402 0 408.4s2.531 12.47 7.031 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031z"],
    "memo": [384, 512, [], "e1d8", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM208 352h-128C71.16 352 64 344.8 64 336S71.16 320 80 320h128c8.838 0 16 7.164 16 16S216.8 352 208 352zM304 256h-224C71.16 256 64 248.8 64 240S71.16 224 80 224h224C312.8 224 320 231.2 320 240S312.8 256 304 256zM304 160h-224C71.16 160 64 152.8 64 144S71.16 128 80 128h224C312.8 128 320 135.2 320 144S312.8 160 304 160z"],
    "memo-circle-check": [576, 512, [], "e1d9", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3zM320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z"],
    "memo-circle-info": [576, 512, [], "e49a", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160zM80 224C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80zM80 320C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "memo-pad": [448, 512, [], "e1da", "M0 448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V128H0V448zM112 208h224C344.8 208 352 215.2 352 224c0 8.836-7.164 16-16 16h-224C103.2 240 96 232.8 96 224C96 215.2 103.2 208 112 208zM112 304h224c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16h-224C103.2 336 96 328.8 96 320C96 311.2 103.2 304 112 304zM112 400h96c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16h-96C103.2 432 96 424.8 96 416C96 407.2 103.2 400 112 400zM384 0H64C28.65 0 0 28.65 0 64v32h448V64C448 28.65 419.3 0 384 0z"],
    "memory": [576, 512, [], "f538", "M0 448h80v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32H576v-96H0V448zM576 146.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v34.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V320h576V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM192 240C192 248.8 184.8 256 176 256h-32C135.2 256 128 248.8 128 240v-96C128 135.2 135.2 128 144 128h32C184.8 128 192 135.2 192 144V240zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-96C256 135.2 263.2 128 272 128h32C312.8 128 320 135.2 320 144V240zM448 240C448 248.8 440.8 256 432 256h-32C391.2 256 384 248.8 384 240v-96C384 135.2 391.2 128 400 128h32C440.8 128 448 135.2 448 144V240z"],
    "menorah": [640, 512, [], "f676", "M544 144C544 135.1 536.9 128 528 128h-32C487.1 128 480 135.1 480 144V288h64V144zM416 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S398.4 95.1 416 95.1zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V288h64V144zM608 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S590.4 95.1 608 95.1zM320 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1S288 46.37 288 63.1S302.4 95.1 320 95.1zM512 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S494.4 95.1 512 95.1zM624 128h-32C583.2 128 576 135.2 576 144V288c0 17.6-14.4 32-32 32h-192V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V320H96c-17.6 0-32-14.4-32-32V144C64 135.2 56.84 128 48 128h-32C7.164 128 0 135.2 0 144V288c0 53.02 42.98 96 96 96h192v64H176C149.5 448 128 469.5 128 496C128 504.8 135.2 512 144 512h352c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V144C640 135.2 632.8 128 624 128zM160 144C160 135.1 152.9 128 144 128h-32C103.1 128 96 135.1 96 144V288h64V144zM224 95.1c17.62 0 32-14.38 32-32S224 0 224 0S192 46.37 192 63.1S206.4 95.1 224 95.1zM32 95.1c17.62 0 32-14.38 32-32S32 0 32 0S0 46.37 0 63.1S14.38 95.1 32 95.1zM128 95.1c17.62 0 32-14.38 32-32S128 0 128 0S96 46.37 96 63.1S110.4 95.1 128 95.1zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V288h64V144z"],
    "mercury": [384, 512, [9791], "f223", "M368 223.1c0-55.32-25.57-104.6-65.49-136.9c20.49-17.32 37.2-39.11 48.1-64.21c4.656-10.72-2.9-22.89-14.45-22.89h-54.31c-5.256 0-9.93 2.828-12.96 7.188C251.8 31.77 223.8 47.1 192 47.1c-31.85 0-59.78-16.23-76.88-40.81C112.1 2.828 107.4 0 102.2 0H47.84c-11.55 0-19.11 12.17-14.45 22.89C44.29 47.1 60.1 69.79 81.49 87.11C41.57 119.4 16 168.7 16 223.1c0 86.26 62.1 157.9 144 172.1V416H128c-8.836 0-16 7.164-16 16v32C112 472.8 119.2 480 128 480h32v16C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16V480h32c8.838 0 16-7.164 16-16v-32c0-8.836-7.162-16-16-16h-32v-19.05C305.9 381.9 368 310.3 368 223.1zM192 320c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 276.9 244.9 320 192 320z"],
    "merge": [512, 512, [], "e526", "M0 96C0 78.33 14.33 64 32 64H144.6C164.1 64 182.4 72.84 194.6 88.02L303.4 224H384V176C384 166.3 389.8 157.5 398.8 153.8C407.8 150.1 418.1 152.2 424.1 159L504.1 239C514.3 248.4 514.3 263.6 504.1 272.1L424.1 352.1C418.1 359.8 407.8 361.9 398.8 358.2C389.8 354.5 384 345.7 384 336V288H303.4L194.6 423.1C182.5 439.2 164.1 448 144.6 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H144.6L247 256L144.6 128H32C14.33 128 0 113.7 0 96V96z"],
    "message": [512, 512, ["comment-alt"], "f27a", "M511.1 63.1v287.1c0 35.25-28.75 63.1-64 63.1h-144l-124.9 93.68c-7.875 5.75-19.12 .0497-19.12-9.7v-83.98h-96c-35.25 0-64-28.75-64-63.1V63.1c0-35.25 28.75-63.1 64-63.1h384C483.2 0 511.1 28.75 511.1 63.1z"],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z"],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z"],
    "message-arrow-up-right": [512, 512, [], "e1dd", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM368 264C368 277.3 357.3 288 344 288S320 277.3 320 264V193.9l-96 96c-9.381 9.381-24.56 9.373-33.94 0C180.7 280.6 180.7 265.4 190.1 256l96-96H216C202.8 160 192 149.3 192 136S202.8 112 216 112h128c13.25 0 24 10.75 24 24V264z"],
    "message-bot": [640, 512, [], "e3b8", "M608 159.1c-18.85 0-25.44 13.31-27.03 16H544V80C544 35.82 508.2 0 464 0h-288C131.8 0 96 35.82 96 80v95.1H59.03C57.44 173.3 50.85 159.1 32 159.1c-17.06 0-32 13.72-32 32c0 18.3 14.97 31.1 32 31.1c18.85 0 25.44-13.3 27.03-15.1H96v127.1c0 44.18 35.82 80 80 80L224 415.1v83.99C224 503.3 226.7 512 236 512c2.521 0 4.998-.8086 7.096-2.328L368 415.1l96 .0059c44.18 0 80-35.82 80-80V207.1h36.98C582.6 210.7 589.2 223.1 608 223.1c17.06 0 32-13.72 32-31.1C640 173.7 625.1 159.1 608 159.1zM480 256c0 17.67-14.33 32-32 32H192C174.3 288 160 273.7 160 256V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V256zM224 159.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C256 174.3 241.7 159.1 224 159.1zM416 159.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 174.3 433.7 159.1 416 159.1z"],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM135.1 320h-15.1C106.7 320 96 309.3 96 296S106.7 272 119.1 272h15.1c13.25 0 23.1 10.75 23.1 24S149.2 320 135.1 320zM119.1 240C106.7 240 96 229.3 96 216S106.7 192 119.1 192h95.99c13.25 0 23.1 10.75 23.1 24S229.2 239.1 215.1 239.1L119.1 240zM295.1 320H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 272 215.1 272h79.99c13.25 0 23.1 10.75 23.1 24S309.2 320 295.1 320zM391.1 320h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 320 391.1 320zM391.1 240h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 192 295.1 192h95.99c13.25 0 23.1 10.75 23.1 24S405.2 240 391.1 240z"],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z"],
    "message-code": [512, 512, [], "e1df", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM216.1 262.2c9.844 8.875 10.64 24.03 1.781 33.91C213.1 301.3 206.6 304 200 304c-5.734 0-11.47-2.031-16.06-6.156l-80-72C98.89 221.3 96 214.8 96 208s2.891-13.28 7.938-17.84l80-72c9.875-8.844 25.03-8.031 33.91 1.781c8.859 9.875 8.062 25.03-1.781 33.91L155.9 208L216.1 262.2zM408.1 225.8l-80 72C323.5 301.1 317.7 304 312 304c-6.562 0-13.09-2.688-17.84-7.938c-8.859-9.875-8.062-25.03 1.781-33.91L356.1 208l-60.19-54.16c-9.844-8.875-10.64-24.03-1.781-33.91c8.875-9.844 24.05-10.62 33.91-1.781l80 72C413.1 194.7 416 201.2 416 208S413.1 221.3 408.1 225.8z"],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", "M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z"],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z"],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM232 104C232 90.75 242.8 80 256 80s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 229.3 232 216V104zM256 336c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 321.7 273.7 336 256 336z"],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM128 96c17.67 0 32 14.33 32 32S145.7 160 128 160S96 145.7 96 128S110.3 96 128 96zM414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z"],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM264 288h-112C138.8 288 128 277.3 128 264S138.8 240 152 240h112C277.3 240 288 250.8 288 264S277.3 288 264 288zM360 192h-208C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z"],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", "M447.1 0h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.38 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.624 6.625 10.75c4 2 8.875 1.651 12.5-1.099l124.9-93.65h144c35.38 0 64-28.62 64-63.1V63.1C511.1 28.62 483.4 0 447.1 0zM368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z"],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", "M512 63.99v287.1c0 35.25-28.75 63.1-64 63.1h-111.1l-67.22 89.63c-6.4 8.533-19.2 8.533-25.6 0l-67.22-89.63H64c-35.25 0-64-28.75-64-63.1V63.99C0 28.75 28.75 0 64 0h384C483.3 0 512 28.75 512 63.99z"],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", "M512 160v287.1C512 483.3 483.3 512 448 512H64c-35.25 0-64-28.75-64-63.99V160c0-35.25 28.75-63.1 64-63.1h111.1l67.22-89.63C246.4 2.134 251.2 .0002 256 .0002s9.601 2.134 12.8 6.4l67.22 89.63H448C483.3 96.03 512 124.8 512 160z"],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z"],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", "M447.1 .0072h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.37 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.618 6.625 10.74c4 1.1 8.875 1.581 12.5-1.044l124.9-93.7h144c35.38 0 64-28.62 64-63.1V64C511.1 28.63 483.4 .0072 447.1 .0072zM351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z"],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z"],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z"],
    "message-question": [512, 512, [], "e1e3", "M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM249.1 320C235.4 320 224 308.6 224 294S235.4 268 249.1 268C264.6 268 276 279.4 276 294S264.6 320 249.1 320zM307.7 203.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V214.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 166.2 296 160.4 296 153.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 164.6 176 153.8C176 121.6 201.8 96 234.3 96h43.33C310.2 96 336 121.6 336 153.8C336 173.7 325.2 192.7 307.7 203.4z"],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM239.1 232c0 39.7-32.3 71.1-71.1 71.1C154.7 303.1 144 293.3 144 280S154.8 256 168 256C181.2 256 192 245.2 192 232V223.2C189.4 223.6 186.7 224 183.1 224c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1S239.1 137.1 239.1 168L239.1 232zM383.1 232c0 39.7-32.3 71.1-72 71.1C298.7 303.1 288 293.3 288 280S298.8 256 312 256c13.23 0 24-10.77 24-24V223.2c-2.635 .3809-5.269 .8071-8.01 .8071c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1s56 25.07 56 55.1L383.1 232z"],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", "M63.1 351.1c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.749 11.25 15.45 19.12 9.7l124.9-93.69l39.37-.0117L63.1 146.9L63.1 351.1zM630.8 469.1l-82.76-64.87c16.77-11.47 27.95-30.46 27.95-52.27V63.1c0-35.25-28.75-63.1-63.1-63.1H127.1c-23.51 0-43.97 12.88-55.07 31.86L38.81 5.128C34.41 1.691 29.19 .0332 24.03 .0332c-7.125 0-14.2 3.137-18.92 9.168c-8.187 10.44-6.365 25.53 4.073 33.7l591.1 463.1c10.5 8.202 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.75 11.25 15.45 19.12 9.7l124.9-93.69h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM320 112c17.75 0 31.1 14.25 31.1 32s-14.25 31.1-32 31.1S288 161.8 288 144S302.3 112 320 112zM192 112c17.75 0 31.1 14.25 31.1 32S209.8 175.1 192 175.1S160 161.8 160 144S174.3 112 192 112zM362.3 271.3c-26.5 31-65.14 48.74-106.3 48.74c-41.12 0-79.72-17.74-106.2-48.74c-8.5-10-7.5-25.12 2.625-33.75c9.998-8.5 25.25-7.375 33.87 2.75C203.5 260.4 228.9 272 256 272c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 246.1 370.8 261.3 362.3 271.3z"],
    "message-sms": [512, 512, [], "e1e5", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM167.3 239.9C163.9 259.1 146.3 272 121.1 272c-4.031 0-8.25-.3125-12.59-1C101.1 269.8 92.81 266.8 85.5 264.1c-8.312-3-14.06-12.66-11.09-20.97S85 229.1 93.38 232.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 241.1 135 239 135.8 234.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 178.7 147.2 183.1 138.8 180.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 187.2 113.6 189.5 124.4 192.6C141.4 197.5 173.1 206.5 167.3 239.9zM320 256c0 8.844-7.156 16-16 16S288 264.8 288 256V208l-19.19 25.59c-6.062 8.062-19.56 8.062-25.62 0L224 208V256c0 8.844-7.156 16-16 16S192 264.8 192 256V160c0-6.875 4.406-13 10.94-15.19c6.5-2.094 13.72 .0625 17.88 5.594L256 197.3l35.19-46.94c4.156-5.531 11.41-7.656 17.88-5.594C315.6 147 320 153.1 320 160V256zM439.3 239.9C435.9 259.1 418.3 272 393.1 272c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 187.2 385.6 189.5 396.4 192.6C413.4 197.5 445.1 206.5 439.3 239.9z"],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM344 159.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176c13.25 0 24 10.75 24 24S357.3 159.1 344 159.1z"],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 241.9L208.1 288.1c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 208L175 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 208L336.1 255z"],
    "messages": [640, 512, ["comments-alt"], "f4b6", "M416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128z"],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM269.8 202.3C266.2 223.2 250.4 236.1 228 241.7V252c0 11.03-8.953 20-20 20s-20-8.969-20-20V241.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 228.5 142.8 217.1 146.5 206.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 205.3 229 203.3 230.4 195.5C231.3 190.4 231.8 187.6 202.5 179.2L196.7 177.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 96.75 165.6 82.76 188 77.99V68c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 87.53 262.5 98.94 258.9 109.4C255.3 119.8 243.8 125.3 233.4 121.7c-5.859-2.031-12-4-17.59-4.844C202.2 114.8 186.1 116.7 185.6 124.5C184.8 128.1 184.3 132.2 207.1 139.2L213.5 140.8C235.8 147.1 277.3 159 269.8 202.3z"],
    "messages-question": [640, 512, [], "e1e7", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM208.5 268.5C194.7 268.5 184 257.8 184 244c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 257.8 222.2 268.5 208.5 268.5zM261.1 158.9l-35.18 21.41v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 191.8 190.1 181.9V169.6c0-6.117 3.059-12.23 9.176-16.06l43.59-26c5.354-3.059 8.412-8.412 8.412-14.53c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35c0-29.82 23.71-53.53 53.53-53.53h39.76C264.3 59.53 288 83.23 288 113.1C288 131.4 278.1 149 261.1 158.9z"],
    "meteor": [512, 512, [9732], "f753", "M511.4 20.72c-11.63 38.75-34.38 111.8-61.38 187.8c7 2.125 13.38 4 18.63 5.625c4.625 1.375 8.375 4.751 10.13 9.127c1.875 4.5 1.625 9.501-.625 13.75c-22.13 42.25-82.63 152.8-142.5 214.4c-1 1.125-2.001 2.5-3.001 3.5c-76 76.13-199.4 76.13-275.5 .125c-76.13-76.13-76.13-199.5 0-275.7c1-1 2.375-2 3.5-3C122.1 116.5 232.5 55.97 274.1 33.84c4.25-2.25 9.25-2.5 13.63-.625c4.5 1.875 7.875 5.626 9.25 10.13c1.625 5.125 3.5 11.63 5.625 18.63c75.88-27 148.9-49.75 187.6-61.25c5.75-1.75 11.88-.2503 16.13 4C511.5 8.844 512.1 15.09 511.4 20.72zM319.1 319.1c0-70.63-57.38-128-128-128c-70.75 0-128 57.38-128 128c0 70.76 57.25 128 128 128C262.6 448 319.1 390.8 319.1 319.1zM191.1 287.1c0 17.63-14.37 32-32 32c-17.75 0-32-14.38-32-32s14.25-32 32-32c8.5 0 16.63 3.375 22.63 9.375S191.1 279.5 191.1 287.1zM223.9 367.1c0 8.876-7.224 16-15.97 16c-8.875 0-16-7.127-16-16c0-8.876 7.1-16 15.98-16C216.7 351.1 223.9 359.1 223.9 367.1z"],
    "meter": [512, 512, [], "e1e8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160z"],
    "meter-bolt": [640, 512, [], "e1e9", "M0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L402 330.5C386.1 343.3 379.1 364.7 386.7 383.9C393.5 403.1 411.6 416 432 416H450.3L442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256H0zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160zM602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2L553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6V227.6z"],
    "meter-droplet": [640, 512, [], "e1ea", "M0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L400.9 332.2C389.8 353.1 384 376.4 384 400C384 424.3 390 447.2 400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256V256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160zM528 192C537.8 192 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3L504.5 206.1C509.1 197.4 518.2 192 528 192H528z"],
    "meter-fire": [640, 512, [], "e1eb", "M0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C457.3 124 430.2 123.1 412.5 139.9C402.5 148.7 393 157.9 384 167.4V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 205.2 327.9 216.5 339.3 221.4C334.3 228.5 329.5 235.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 406.2 312.1 457.9 351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "microchip": [512, 512, [], "f2db", "M160 352h192V160H160V352zM448 176h48C504.8 176 512 168.8 512 160s-7.162-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.164 360.8 0 352 0c-8.836 0-16 7.164-16 16V64h-64V16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h-64V16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.164 144 0 151.2 0 160s7.164 16 16 16H64v64H16C7.164 240 0 247.2 0 256s7.164 16 16 16H64v64H16C7.164 336 0 343.2 0 352s7.164 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.838 0 16-7.164 16-16s-7.162-16-16-16H448v-64h48C504.8 272 512 264.8 512 256s-7.162-16-16-16H448V176zM384 368c0 8.836-7.162 16-16 16h-224C135.2 384 128 376.8 128 368v-224C128 135.2 135.2 128 144 128h224C376.8 128 384 135.2 384 144V368z"],
    "microchip-ai": [512, 512, [], "e1ec", "M496 272C504.8 272 512 264.8 512 256s-7.162-16-16-16H448v-64h48C504.8 176 512 168.8 512 160s-7.162-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.164 360.8 0 352 0c-8.836 0-16 7.164-16 16V64h-64V16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h-64V16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.164 144 0 151.2 0 160s7.164 16 16 16H64v64H16C7.164 240 0 247.2 0 256s7.164 16 16 16H64v64H16C7.164 336 0 343.2 0 352s7.164 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.838 0 16-7.164 16-16s-7.162-16-16-16H448v-64H496zM270.4 334.7C268.3 335.6 266.2 336 264 336c-6.156 0-12.04-3.578-14.66-9.594L239.5 304H176.5l-9.805 22.41c-3.531 8.125-12.94 11.83-21.06 8.25C137.5 331.1 133.8 321.7 137.3 313.6l56-128c5.062-11.66 24.25-11.66 29.31 0l56 128C282.2 321.7 278.5 331.1 270.4 334.7zM352 320c0 8.844-7.156 16-16 16S320 328.8 320 320V192c0-8.844 7.156-16 16-16S352 183.2 352 192V320zM190.5 272h35.07L208 231.9L190.5 272z"],
    "microphone": [384, 512, [], "f130", "M192 352c53.03 0 96-42.97 96-96v-160c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.169-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.18-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192z"],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", "M192 352c53.03 0 96-42.97 96-96h-80C199.2 256 192 248.8 192 240S199.2 224 208 224H288V192h-80C199.2 192 192 184.8 192 176S199.2 160 208 160H288V127.1h-80c-8.836 0-16-7.164-16-16s7.164-16 16-16L288 96c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.169-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.18-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192z"],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", "M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.99-9.402 57.69-18.72l-43.26-33.91c-14.66 4.65-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9v-3.777L143.1 209.5l.0001 38.61c0 89.65 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM630.8 469.1l-159.3-124.9c15.37-25.94 24.53-55.91 24.53-88.21V216c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.557 40.77-14.77 58.24l-25.73-20.16c5.234-11.68 8.493-24.42 8.493-38.08l-57.07 .0006l-34.45-27c2.914-3.055 6.969-4.999 11.52-4.999h79.1V192L335.1 192c-8.836 0-15.1-7.164-15.1-15.1s7.164-16 15.1-16l79.1 .0013V128l-79.1-.0015c-8.836 0-15.1-7.164-15.1-15.1s7.164-15.1 15.1-15.1l80-.0003c0-54-44.56-97.57-98.93-95.95C264.5 1.614 223.1 47.45 223.1 100l.0006 50.23L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "microphone-slash": [640, 512, [], "f131", "M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.98-9.402 57.69-18.72l-43.26-33.91c-14.66 4.65-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9V247.2L143.1 209.5l.0001 38.61c0 89.65 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM630.8 469.1l-159.3-124.9c15.37-25.94 24.53-55.91 24.53-88.21V216c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.559 40.77-14.77 58.24l-25.72-20.16c5.234-11.68 8.493-24.42 8.493-38.08l-.001-155.1c0-52.57-40.52-98.41-93.07-99.97c-54.37-1.617-98.93 41.95-98.93 95.95l0 54.25L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "microphone-stand": [512, 512, [127908], "f8cb", "M289.5 60.47c-23.75 23.88-34.5 55.63-33 86.75l108.3 108.3c31.13 1.5 62.88-9.25 86.76-33l2.125-2.25L291.8 58.35L289.5 60.47zM6.73 423.1c-9.376 10.63-8.876 26.63 1 36.63l44.51 44.38c9.876 10 26 10.5 36.63 1.125l135.1-119.4l-.0002 110.1C224 504.9 231.1 512 240 512l31.98-.0023c8.876 0 16.02-7.146 16.02-16.02l.0016-166.5l56.01-49.5L232 167.1L6.73 423.1zM478.5 33.47c-44.75-44.63-117.3-44.63-162 0l-2.125 2.25l161.9 161.9l2.251-2.125C523.2 150.7 523.2 78.22 478.5 33.47z"],
    "microscope": [512, 512, [128300], "f610", "M160 320h12v16c0 8.875 7.125 16 16 16h40c8.875 0 16-7.125 16-16V320H256c17.62 0 32-14.38 32-32V64c0-17.62-14.38-32-32-32V16C256 7.125 248.9 0 240 0h-64C167.1 0 160 7.125 160 16V32C142.4 32 128 46.38 128 64v224C128 305.6 142.4 320 160 320zM464 448h-1.25C493.2 414 512 369.2 512 320c0-105.9-86.13-192-192-192v64c70.63 0 128 57.38 128 128s-57.38 128-128 128H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16C512 469.5 490.5 448 464 448zM104 416h208c4.375 0 8-3.625 8-8v-16c0-4.375-3.625-8-8-8h-208C99.63 384 96 387.6 96 392v16C96 412.4 99.63 416 104 416z"],
    "microwave": [576, 512, [], "e01b", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448H128C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448C28.65 448 0 419.3 0 384V96zM96 328C96 341.3 106.7 352 120 352H392C405.3 352 416 341.3 416 328V152C416 138.7 405.3 128 392 128H120C106.7 128 96 138.7 96 152V328zM496 112C487.2 112 480 119.2 480 128V352C480 360.8 487.2 368 496 368C504.8 368 512 360.8 512 352V128C512 119.2 504.8 112 496 112z"],
    "mill-sign": [384, 512, [], "e1ed", "M282.9 96.53C339.7 102 384 149.8 384 208V416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416V208C320 181.5 298.5 160 272 160C267.7 160 263.6 160.6 259.7 161.6L224 261.5V416C224 433.7 209.7 448 192 448C179.6 448 168.9 440.1 163.6 430.7L142.1 490.8C136.2 507.4 117.9 516.1 101.2 510.1C84.59 504.2 75.92 485.9 81.86 469.2L160 250.5V208C160 181.5 138.5 160 112 160C85.49 160 64 181.5 64 208V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V128C0 110.3 14.33 96 32 96C42.87 96 52.48 101.4 58.26 109.7C74.21 100.1 92.53 96 112 96C143.3 96 171.7 108.9 192 129.6C196.9 124.6 202.2 120.1 207.1 116.1L241.9 21.24C247.8 4.595 266.1-4.079 282.8 1.865C299.4 7.809 308.1 26.12 302.1 42.76L282.9 96.53z"],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", "M200 287.1H64c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l30.06 30.06l-62.06 62.07c-12.49 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0012l62.06-62.07l30.06 30.06c6.125 6.125 14.31 9.375 22.62 9.375c4.125 0 8.281-.7969 12.25-2.437c11.97-4.953 19.75-16.62 19.75-29.56V311.1C224 298.7 213.3 287.1 200 287.1zM312 224h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-30.06-30.06l62.06-62.07c12.5-12.5 12.5-32.76 .0003-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-62.06 62.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937C295.8 39.39 288 51.06 288 64v135.1C288 213.3 298.7 224 312 224zM204.3 34.44C192.3 29.47 178.5 32.22 169.4 41.38L139.3 71.44L77.25 9.374C64.75-3.123 44.49-3.123 31.1 9.374l-22.63 22.63c-12.49 12.49-12.49 32.75 .0018 45.25l62.07 62.06L41.38 169.4C35.25 175.5 32 183.7 32 192c0 4.125 .7969 8.281 2.438 12.25C39.39 216.2 51.07 224 64 224h135.1c13.25 0 23.1-10.75 23.1-23.1V64C224 51.06 216.2 39.38 204.3 34.44zM440.6 372.7l30.06-30.06c9.141-9.156 11.84-22.88 6.938-34.87C472.6 295.8 460.9 287.1 448 287.1h-135.1c-13.25 0-23.1 10.75-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.87-6.937l30.06-30.06l62.06 62.06c12.5 12.5 32.76 12.5 45.26 .0002l22.62-22.62c12.5-12.5 12.5-32.76 .0002-45.26L440.6 372.7z"],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", "M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z"],
    "mistletoe": [576, 512, [], "f7b4", "M371.1 119.9C396.3 119.9 416 100.3 416 75.97C416 51.62 396.3 32 371.1 32C347.7 32 328 51.68 328 76.04C328 100.3 347.7 119.9 371.1 119.9zM542.1 261.4c-26-26.01-89.63-38.63-130.9-44.13l-99.26-100.1c-8.377-12.13-13.25-26.63-13.25-42.39c0-15.88 5-30.38 13.25-42.51l.0215-8.256C311.1 10.8 301.2 0 287.1 0C274.8 0 263.1 10.8 263.1 24L263.9 118.2L164.8 217.3c-41.25 5.5-104.9 18.12-130.9 44.13c-40 40.01-45.38 99.4-12.13 132.8c33.38 33.26 92.88 27.88 132.8-12.12c11.38-11.38 20.13-30.26 26.88-51.02c8.624 15.66 27.04 25.39 47.43 18.78c12.59-4.082 22.62-14.78 25.8-27.63c6.578-26.6-13.23-50.26-38.7-50.26c-8.25 0-15.34 3.062-21.72 7.316c1.875-10 3.437-19.6 4.437-28.22L263.9 185.8v72.89c15.41 13.83 24.99 34.18 23.92 56.67c-1.212 25.57-17.92 47.67-40.39 59.93c-19.36 10.57-35.11 9.962-49.29 6.183c-3.75 9.875-6.252 19.51-6.252 28.14C191.9 466.2 234.1 512 287.1 512c53 0 95.99-45.75 95.99-102.4c0-38.14-43.63-94.68-72.01-127.3l.0039-96.38l65.26 65.27c5.5 41.26 18.13 104.9 44.13 130.9c40 40.01 99.38 45.38 132.8 12.12C587.5 360.8 582.1 301.4 542.1 261.4z"],
    "mitten": [448, 512, [], "f7b5", "M351.1 416H63.99c-17.6 0-31.1 14.4-31.1 31.1l.0026 31.1C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1l-.0049-31.1C383.1 430.4 369.6 416 351.1 416zM425 206.9c-27.25-22.62-67.5-19-90.13 8.25l-20.88 25L284.4 111.8c-18-77.5-95.38-125.1-172.8-108C34.26 21.63-14.25 98.88 3.754 176.4L64 384h288l81.14-86.1C455.8 269.8 452.1 229.5 425 206.9z"],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", "M320 0H64C37.5 0 16 21.5 16 48v416C16 490.5 37.5 512 64 512h256c26.5 0 48-21.5 48-48v-416C368 21.5 346.5 0 320 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1z"],
    "mobile-button": [384, 512, [], "f10b", "M320 0H64C37.49 0 16 21.49 16 48v416C16 490.5 37.49 512 64 512h256c26.51 0 48-21.49 48-48v-416C368 21.49 346.5 0 320 0zM192 464c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 464 192 464z"],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", "M240 384h-96C135.2 384 128 391.2 128 400C128 408.8 135.2 416 144 416h96c8.838 0 16-7.164 16-16C256 391.2 248.8 384 240 384zM288 0H96C51.82 0 16 35.82 16 80v352C16 476.2 51.82 512 96 512h192c44.18 0 80-35.82 80-80v-352C368 35.82 332.2 0 288 0zM304 432c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16v-352C80 71.18 87.18 64 96 64h32v16C128 88.84 135.2 96 144 96h96C248.8 96 256 88.84 256 80V64h32c8.822 0 16 7.178 16 16V432z"],
    "mobile-retro": [320, 512, [], "e527", "M0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64zM64 232C64 245.3 74.75 256 88 256H232C245.3 256 256 245.3 256 232V152C256 138.7 245.3 128 232 128H88C74.75 128 64 138.7 64 152V232zM80 352C93.25 352 104 341.3 104 328C104 314.7 93.25 304 80 304C66.75 304 56 314.7 56 328C56 341.3 66.75 352 80 352zM80 384C66.75 384 56 394.7 56 408C56 421.3 66.75 432 80 432C93.25 432 104 421.3 104 408C104 394.7 93.25 384 80 384zM160 352C173.3 352 184 341.3 184 328C184 314.7 173.3 304 160 304C146.7 304 136 314.7 136 328C136 341.3 146.7 352 160 352zM160 384C146.7 384 136 394.7 136 408C136 421.3 146.7 432 160 432C173.3 432 184 421.3 184 408C184 394.7 173.3 384 160 384zM240 352C253.3 352 264 341.3 264 328C264 314.7 253.3 304 240 304C226.7 304 216 314.7 216 328C216 341.3 226.7 352 240 352zM240 384C226.7 384 216 394.7 216 408C216 421.3 226.7 432 240 432C253.3 432 264 421.3 264 408C264 394.7 253.3 384 240 384zM128 48C119.2 48 112 55.16 112 64C112 72.84 119.2 80 128 80H192C200.8 80 208 72.84 208 64C208 55.16 200.8 48 192 48H128z"],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", "M320 0H64C37.5 0 16 21.5 16 48v416C16 490.5 37.5 512 64 512h256c26.5 0 48-21.5 48-48v-416C368 21.5 346.5 0 320 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1zM304 384h-224V64h224V384z"],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480zM304 64v320h-224V64H304z"],
    "mobile-signal": [512, 512, [], "e1ef", "M144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM227.3 448H64V64h224v251.1c4.303-4.988 8.613-9.977 13.32-14.68C316.7 285.9 333.8 272.9 352 261.1V48C352 21.5 330.5 0 304 0h-256C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h181.6C226.1 504.7 224 496.6 224 487.1C223.1 474.5 225.3 461.1 227.3 448zM512 375.1c0-13.26-10.74-23.1-23.1-23.1c-37.5 0-71.51 15.25-96.13 39.88S352 450.5 352 488C352 501.3 362.7 512 375.1 512s23.1-10.74 23.1-23.1c0-48.53 39.49-88.01 88.01-88.01C501.3 399.1 512 389.3 512 375.1zM487.1 303.1c13.26 0 23.1-10.74 23.1-23.1c0-13.26-10.74-23.1-23.1-23.1c-61.97-.0117-120.2 24.13-164 67.95C280.1 367.8 255.1 426 256 487.1c0 13.26 10.74 24 23.1 24c13.26 0 23.1-10.74 23.1-24c0-49.14 19.15-95.36 53.9-130.1C392.6 323.1 438.9 303.1 487.1 303.1zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4z"],
    "mobile-signal-out": [512, 512, [], "e1f0", "M310.6 246.6c12.5-12.5 12.5-32.76 0-45.25C304.4 195.1 296.2 191.1 288 191.1s-16.38 3.123-22.63 9.373c-12.5 12.5-12.5 32.76 0 45.25c6.248 6.248 14.44 9.373 22.63 9.373S304.4 252.9 310.6 246.6zM287.1 448h-224V64H224V0H47.1c-26.5 0-48 21.5-48 48v416c0 26.5 21.5 48 48 48h255.1c26.5 0 48-21.5 48-48l.002-176h-64L287.1 448zM144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM444.1 67.95C400.2 24.14 341.1 0 280 0c-13.26 0-24.03 10.74-24.03 23.1c0 13.26 10.74 23.1 23.1 23.1c49.14 0 95.36 19.15 130.1 53.89c34.75 34.75 53.89 80.96 53.89 130.1c0 13.26 10.74 23.1 23.1 23.1C501.3 255.1 512 245.3 512 231.1C512 170 487.9 111.8 444.1 67.95zM279.1 96c-13.26 0-24 10.74-24 23.1s10.74 23.1 23.1 23.1c48.53 0 88.01 39.49 88.01 88.01c0 13.26 10.74 23.1 23.1 23.1S416 245.3 416 232c0-37.5-15.25-71.5-39.88-96.13S317.5 96 279.1 96z"],
    "money-bill": [576, 512, [], "f0d6", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM128 384C128 348.7 99.35 320 64 320V384H128zM64 192C99.35 192 128 163.3 128 128H64V192zM512 384V320C476.7 320 448 348.7 448 384H512zM512 128H448C448 163.3 476.7 192 512 192V128zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", "M252 208C252 196.1 260.1 188 272 188H288C299 188 308 196.1 308 208V276H312C323 276 332 284.1 332 296C332 307 323 316 312 316H264C252.1 316 244 307 244 296C244 284.1 252.1 276 264 276H268V227.6C258.9 225.7 252 217.7 252 208zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM128 384C128 348.7 99.35 320 64 320V384H128zM64 192C99.35 192 128 163.3 128 128H64V192zM512 384V320C476.7 320 448 348.7 448 384H512zM512 128H448C448 163.3 476.7 192 512 192V128zM288 144C226.1 144 176 194.1 176 256C176 317.9 226.1 368 288 368C349.9 368 400 317.9 400 256C400 194.1 349.9 144 288 144z"],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", "M251.1 207.1C251.1 196.1 260.1 187.1 271.1 187.1H287.1C299 187.1 308 196.1 308 207.1V275.1H312C323 275.1 332 284.1 332 295.1C332 307 323 315.1 312 315.1H263.1C252.1 315.1 243.1 307 243.1 295.1C243.1 284.1 252.1 275.1 263.1 275.1H267.1V227.6C258.9 225.7 251.1 217.7 251.1 207.1zM48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM127.1 416C127.1 380.7 99.35 352 63.1 352V416H127.1zM63.1 223.1C99.35 223.1 127.1 195.3 127.1 159.1H63.1V223.1zM512 352V287.1C476.7 287.1 448 316.7 448 352H512zM512 95.1H448C448 131.3 476.7 159.1 512 159.1V95.1zM287.1 143.1C234.1 143.1 191.1 194.1 191.1 255.1C191.1 317.9 234.1 368 287.1 368C341 368 384 317.9 384 255.1C384 194.1 341 143.1 287.1 143.1z"],
    "money-bill-simple": [576, 512, [], "e1f1", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"],
    "money-bill-simple-wave": [576, 512, [], "e1f2", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352z"],
    "money-bill-transfer": [640, 512, [], "e528", "M535 7.03C544.4-2.343 559.6-2.343 568.1 7.029L632.1 71.02C637.5 75.52 640 81.63 640 87.99C640 94.36 637.5 100.5 632.1 104.1L568.1 168.1C559.6 178.3 544.4 178.3 535 168.1C525.7 159.6 525.7 144.4 535 135L558.1 111.1L384 111.1C370.7 111.1 360 101.2 360 87.99C360 74.74 370.7 63.99 384 63.99L558.1 63.1L535 40.97C525.7 31.6 525.7 16.4 535 7.03V7.03zM104.1 376.1L81.94 400L255.1 399.1C269.3 399.1 279.1 410.7 279.1 423.1C279.1 437.2 269.3 447.1 255.1 447.1L81.95 448L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C2.528 436.5-.0003 430.4 0 423.1C0 417.6 2.529 411.5 7.03 407L71.03 343C80.4 333.7 95.6 333.7 104.1 343C114.3 352.4 114.3 367.6 104.1 376.1H104.1zM95.1 64H337.9C334.1 71.18 332 79.34 332 87.1C332 116.7 355.3 139.1 384 139.1L481.1 139.1C484.4 157.5 494.9 172.5 509.4 181.9C511.1 184.3 513.1 186.6 515.2 188.8C535.5 209.1 568.5 209.1 588.8 188.8L608 169.5V384C608 419.3 579.3 448 544 448H302.1C305.9 440.8 307.1 432.7 307.1 423.1C307.1 395.3 284.7 371.1 255.1 371.1L158.9 372C155.5 354.5 145.1 339.5 130.6 330.1C128.9 327.7 126.9 325.4 124.8 323.2C104.5 302.9 71.54 302.9 51.23 323.2L31.1 342.5V128C31.1 92.65 60.65 64 95.1 64V64zM95.1 192C131.3 192 159.1 163.3 159.1 128H95.1V192zM544 384V320C508.7 320 480 348.7 480 384H544zM319.1 352C373 352 416 309 416 256C416 202.1 373 160 319.1 160C266.1 160 223.1 202.1 223.1 256C223.1 309 266.1 352 319.1 352z"],
    "money-bill-trend-up": [512, 512, [], "e529", "M470.7 9.441C473.7 12.49 476 16 477.6 19.75C479.1 23.5 479.1 27.6 480 31.9V32V128C480 145.7 465.7 160 448 160C430.3 160 416 145.7 416 128V109.3L310.6 214.6C298.8 226.5 279.9 227.2 267.2 216.3L175.1 138.1L84.82 216.3C71.41 227.8 51.2 226.2 39.7 212.8C28.2 199.4 29.76 179.2 43.17 167.7L155.2 71.7C167.2 61.43 184.8 61.43 196.8 71.7L286.3 148.4L370.7 64H352C334.3 64 320 49.67 320 32C320 14.33 334.3 0 352 0H447.1C456.8 0 464.8 3.554 470.6 9.305L470.7 9.441zM0 304C0 277.5 21.49 256 48 256H464C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304zM48 464H96C96 437.5 74.51 416 48 416V464zM48 304V352C74.51 352 96 330.5 96 304H48zM464 416C437.5 416 416 437.5 416 464H464V416zM416 304C416 330.5 437.5 352 464 352V304H416zM256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320z"],
    "money-bill-wave": [576, 512, [], "f53a", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352zM63.1 416H127.1C127.1 380.7 99.35 352 63.1 352V416zM63.1 143.1V207.1C99.35 207.1 127.1 179.3 127.1 143.1H63.1zM512 303.1C476.7 303.1 448 332.7 448 368H512V303.1zM448 95.1C448 131.3 476.7 159.1 512 159.1V95.1H448z"],
    "money-bill-wheat": [512, 512, [], "e52a", "M256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80zM104 16C117.3 16 128 26.75 128 40C128 53.25 117.3 64 104 64H56C42.75 64 32 53.25 32 40C32 26.75 42.75 16 56 16H104zM136 88C149.3 88 160 98.75 160 112C160 125.3 149.3 136 136 136H24C10.75 136 0 125.3 0 112C0 98.75 10.75 88 24 88H136zM32 184C32 170.7 42.75 160 56 160H104C117.3 160 128 170.7 128 184C128 197.3 117.3 208 104 208H56C42.75 208 32 197.3 32 184zM272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16zM480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80zM400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224zM352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128zM176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224zM0 304C0 277.5 21.49 256 48 256H464C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304zM48 464H96C96 437.5 74.51 416 48 416V464zM48 304V352C74.51 352 96 330.5 96 304H48zM464 416C437.5 416 416 437.5 416 464H464V416zM416 304C416 330.5 437.5 352 464 352V304H416zM256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320z"],
    "money-bills": [640, 512, [], "e1f3", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM160 320H224C224 284.7 195.3 256 160 256V320zM160 96V160C195.3 160 224 131.3 224 96H160zM576 256C540.7 256 512 284.7 512 320H576V256zM512 96C512 131.3 540.7 160 576 160V96H512zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-check": [576, 512, [], "f53c", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256H272C280.8 256 288 248.8 288 240C288 231.2 280.8 224 272 224H112zM112 352H464C472.8 352 480 344.8 480 336C480 327.2 472.8 320 464 320H112C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352zM376 160C362.7 160 352 170.7 352 184V232C352 245.3 362.7 256 376 256H456C469.3 256 480 245.3 480 232V184C480 170.7 469.3 160 456 160H376z"],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H496C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192H272zM272 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM164.1 160C164.1 148.9 155.1 139.9 143.1 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.14 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z"],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", "M.0003 128C.0003 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384L.0003 128zM272 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H272zM123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.15 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.2 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3V160C164.1 148.9 155.1 139.9 144 139.9C132.9 139.9 123.9 148.9 123.9 160V160zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", "M512 64C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H112zM112 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-from-bracket": [640, 512, [], "e312", "M64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V160zM128 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96zM256 448C256 412.7 227.3 384 192 384V448H256zM448 384C412.7 384 384 412.7 384 448H448V384zM416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272z"],
    "money-simple-from-bracket": [640, 512, [], "e313", "M64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V160zM128 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96zM416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272z"],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", "M480 128H96v128h101C200 256 202.8 257.8 204.1 260.4L224 300.3l49.75-99.38c5.875-11.88 22.62-11.88 28.5 0L329.9 256H400C408.9 256 416 263.1 416 272S408.9 288 400 288h-89.88L288 243.8l-49.75 99.38c-5.875 11.88-22.65 11.89-28.52 .0104l-27.62-55.17L96 288v96h384V128zM528 32h-480C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h480c26.5 0 48-21.5 48-48v-352C576 53.5 554.5 32 528 32zM512 416H64V96h448V416z"],
    "monkey": [576, 512, [128018], "f6fb", "M160 416C160 326.3 221.4 251 304.5 229.9C329.1 265 369.9 288 416 288C425.8 288 435.4 286.1 444.7 284.1L526.5 363C558.1 393.2 576 435 576 478.8V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V478.8C512 452.5 501.3 427.4 482.3 409.3L416 346.1V448H448C465.7 448 480 462.3 480 480C480 497.7 465.7 512 448 512H160C71.63 512 0 440.4 0 352V110.1C0 49.31 49.3 .0003 110.1 .0003H120.5C177.7 .0003 223.3 47.77 220.6 104.9C218.4 153.1 182 192.8 134.2 199.4L132.4 199.7C114.9 202.1 98.71 189.9 96.3 172.4C93.89 154.9 106.1 138.7 123.6 136.3L125.5 136C142.8 133.7 155.9 119.3 156.7 101.9C157.7 81.26 141.2 64 120.5 64H110.1C84.65 64 63.1 84.65 63.1 110.1V352C63.1 405 106.1 448 159.1 448L160 416zM368 112C368 103.2 375.2 96 384 96C392.8 96 400 103.2 400 112C400 120.8 392.8 128 384 128C375.2 128 368 120.8 368 112zM464 112C464 120.8 456.8 128 448 128C439.2 128 432 120.8 432 112C432 103.2 439.2 96 448 96C456.8 96 464 103.2 464 112zM416 256C386.7 256 360.1 243.8 341.2 224.3C332.3 215 325 204.1 319.1 192C284.6 191.1 256 163.3 256 128C256 92.66 284.6 64.02 319.1 64C335.6 26.42 372.7 0 416 0C459.3 0 496.4 26.42 512 64C547.4 64.02 576 92.66 576 128C576 163.3 547.4 191.1 512 192C496.4 229.6 459.3 256 416 256zM384 64C357.5 64 336 85.49 336 112C336 135.8 353.3 155.5 376 159.3V168C376 190.1 393.9 208 416 208C438.1 208 456 190.1 456 168V159.3C478.7 155.5 496 135.8 496 112C496 85.49 474.5 64 448 64H384z"],
    "monument": [384, 512, [], "f5a6", "M180.7 4.686C186.9-1.562 197.1-1.562 203.3 4.686L283.3 84.69C285.8 87.2 287.4 90.48 287.9 94.02L328.1 416H55.88L96.12 94.02C96.57 90.48 98.17 87.2 100.7 84.69L180.7 4.686zM152 272C138.7 272 128 282.7 128 296C128 309.3 138.7 320 152 320H232C245.3 320 256 309.3 256 296C256 282.7 245.3 272 232 272H152zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"],
    "moon": [512, 512, [127769, 9214], "f186", "M32 256c0-123.8 100.3-224 223.8-224c11.36 0 29.7 1.668 40.9 3.746c9.616 1.777 11.75 14.63 3.279 19.44C245 86.5 211.2 144.6 211.2 207.8c0 109.7 99.71 193 208.3 172.3c9.561-1.805 16.28 9.324 10.11 16.95C387.9 448.6 324.8 480 255.8 480C132.1 480 32 379.6 32 256z"],
    "moon-cloud": [640, 512, [], "f754", "M320 320c0-35.25-28.75-64-64-64C244 256 232.9 259.5 223.3 265.3C219.8 224.3 185.9 192 144 192C105.3 192 72.88 219.6 65.63 256.3C65.13 256.3 64.63 256 64 256c-35.25 0-64 28.75-64 64s28.75 64 64 64h192C291.3 384 320 355.3 320 320zM627.5 380.1c-108.7 20.7-208.4-62.62-208.4-172.3c0-63.19 33.8-121.3 88.79-152.6c8.477-4.812 6.344-17.66-3.281-19.44c-11.21-2.078-29.55-3.746-40.92-3.746c-111.4 0-203.7 81.47-220.9 188.2c.7793 1.51 1.727 2.901 2.439 4.452C248.8 224.2 252.4 224 256 224c52.94 0 96 43.06 96 96c0 37.94-22.23 70.47-54.25 86.04C338.7 451.3 397.7 480 463.7 480c69.1 0 132.1-31.45 173.9-82.93C643.8 389.4 637.1 378.3 627.5 380.1z"],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", "M337.8 318.1c-54.25 10.35-104.3-31.36-104.3-86.33c0-31.5 16.92-60.67 44.33-76.27c4.229-2.479 3.202-8.859-1.611-9.59c-6.709-1.313-13.55-1.888-20.4-1.888C194.2 144 144 194 144 256c0 61.83 50.03 112 111.9 112c34.56 0 66.05-15.78 86.9-41.45C345.1 322.8 342.6 317.1 337.8 318.1zM507.8 339L450.2 256l57.6-83.01c9.703-13.98 1.693-33.32-15.05-36.34l-99.43-17.97l-17.97-99.43c-3.027-16.75-22.36-24.76-36.34-15.05L256 61.79L172.1 4.194C159-5.51 139.7 2.498 136.6 19.25L118.7 118.7L19.25 136.6c-16.75 3.027-24.76 22.36-15.05 36.34L61.8 256l-57.6 83.01c-9.703 13.98-1.695 33.32 15.05 36.35l99.43 17.97l17.97 99.43c3.027 16.75 22.36 24.76 36.34 15.05L256 450.2l83.01 57.6c13.98 9.703 33.32 1.695 36.34-15.05l17.97-99.43l99.43-17.97C509.5 372.3 517.5 352.1 507.8 339zM357.8 357.1c-56.15 56.15-147.6 56.15-203.8 0s-56.15-147.6 0-203.8c56.15-56.15 147.6-56.15 203.8 0C413.9 210.4 413.9 301.8 357.8 357.1z"],
    "moon-stars": [512, 512, [], "f755", "M332.3 426.4c-93.13 17.75-178.5-53.63-178.5-147.6c0-54.25 29-104 76-130.9c7.375-4.125 5.45-15.12-2.8-16.62C108.7 109.4 0 200 0 320c0 106 85.76 192 191.8 192c59.25 0 113.2-26.79 148.9-71.04C346.1 434.5 340.3 424.8 332.3 426.4zM288 63.1l12.42 29.78c.6094 1.225 2.211 2.219 3.578 2.219s2.967-.9941 3.576-2.219l12.42-29.78l29.79-12.42C351 50.97 352 49.36 352 47.1c0-1.365-.9922-2.967-2.211-3.576l-29.79-12.42l-12.42-29.79c-.6094-1.227-2.209-2.217-3.576-2.217s-2.969 .9902-3.578 2.217l-12.42 29.79L258.2 44.42c-1.217 .6094-2.209 2.211-2.209 3.576c0 1.359 .9922 2.971 2.209 3.58L288 63.1zM507.6 216.9L448 192l-24.88-59.63C421.8 129.8 419 127.1 416 127.1s-5.75 1.75-7.125 4.375L384 192l-59.63 24.88C321.8 218.3 320 221 320 224s1.75 5.75 4.375 7.125L384 256l24.88 59.63C410.3 318.3 413 320 416 320s5.75-1.75 7.125-4.375L448 256l59.63-24.88C510.3 229.8 512 227 512 224S510.3 218.3 507.6 216.9z"],
    "moped": [640, 512, [], "e3b9", "M328 56C328 42.75 338.7 32 352 32H393.3C417.1 32 438.3 47.09 446.1 69.6L454.2 92.88L505.2 67.38C509.7 65.16 514.6 64 519.6 64H528C536.8 64 544 71.16 544 80V144C544 152.8 536.8 160 528 160H519.6C514.6 160 509.7 158.8 505.2 156.6L470.3 139.2L500 224.4C503.1 224.1 507.1 224 512 224C555.7 224 595.3 241.5 624.1 269.8C633.6 279.1 633.7 294.3 624.4 303.8C615.1 313.2 599.9 313.4 590.5 304.1C570.2 284.2 542.6 272 512 272C459.3 272 414.1 308.5 403.1 357.6C401.1 366.1 400 374.9 400 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320H365.3C382.2 281.5 413.7 250.8 452.9 235.3L400.8 85.37C399.7 82.16 396.7 80 393.3 80H352C338.7 80 328 69.26 328 56L328 56zM208 384H112C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384zM224 96C241.7 96 256 110.3 256 128C256 145.7 241.7 160 224 160H128C110.3 160 96 145.7 96 128C96 110.3 110.3 96 128 96H224zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 432C538.5 432 560 410.5 560 384C560 357.5 538.5 336 512 336C485.5 336 464 357.5 464 384C464 410.5 485.5 432 512 432z"],
    "mortar-pestle": [512, 512, [], "f5a7", "M501.5 60.87c17.25-17.12 12.5-46.25-9.25-57.13c-12.12-6-26.5-4.75-37.38 3.375L251.1 159.1h151.4L501.5 60.87zM496 191.1h-480c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16L31.1 256c0 81 50.25 150.1 121.1 178.4c-12.75 16.88-21.75 36.75-25 58.63C126.8 502.9 134.2 512 144.2 512h223.5c10 0 17.51-9.125 16.13-19c-3.25-21.88-12.25-41.75-25-58.63C429.8 406.1 479.1 337 479.1 256L496 255.1c8.875 0 16-7.125 16-16v-32C512 199.1 504.9 191.1 496 191.1z"],
    "mosque": [640, 512, [128332], "f678", "M400 0C405 0 409.8 2.371 412.8 6.4C447.5 52.7 490.9 81.34 546.3 117.9C551.5 121.4 556.9 124.9 562.3 128.5C591.3 147.7 608 180.2 608 214.6C608 243.1 596.7 269 578.2 288H221.8C203.3 269 192 243.1 192 214.6C192 180.2 208.7 147.7 237.7 128.5C243.1 124.9 248.5 121.4 253.7 117.9C309.1 81.34 352.5 52.7 387.2 6.4C390.2 2.371 394.1 0 400 0V0zM288 440C288 426.7 277.3 416 264 416C250.7 416 240 426.7 240 440V512H192C174.3 512 160 497.7 160 480V352C160 334.3 174.3 320 192 320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H560V440C560 426.7 549.3 416 536 416C522.7 416 512 426.7 512 440V512H448V453.1C448 434.1 439.6 416.1 424.1 404.8L400 384L375 404.8C360.4 416.1 352 434.1 352 453.1V512H288V440zM70.4 5.2C76.09 .9334 83.91 .9334 89.6 5.2L105.6 17.2C139.8 42.88 160 83.19 160 126V128H0V126C0 83.19 20.15 42.88 54.4 17.2L70.4 5.2zM0 160H160V296.6C140.9 307.6 128 328.3 128 352V480C128 489.6 130.1 498.6 133.8 506.8C127.3 510.1 119.9 512 112 512H48C21.49 512 0 490.5 0 464V160z"],
    "mosquito": [640, 512, [], "e52b", "M430.3 503.8L382.3 447.8C378.4 443.4 376.3 437.7 376.3 431.7V376.3L351.1 344.7V407.8C351.1 425.4 337.7 439.8 319.1 439.8C302.3 439.8 287.1 425.4 287.1 407.8V344.7L263.7 376.3V431.7C263.7 437.7 261.6 443.4 257.7 447.8L209.7 503.8C201.1 513.8 186.1 514.8 176.3 505.9C166.5 497 165.6 481.6 174.3 471.6L216.3 422.5V367.8C216.3 362.3 218.1 357 221.5 352.7L287.1 266.3V266L154.6 387.8C97.58 447.6 .0003 405.2 0 320.6C0 272.7 34.02 232.3 79.35 226.4L232.3 202.5L191.5 161.6C183.7 153.8 182.1 141.5 187.6 131.8L211.5 90.06L173.3 39.18C165.3 28.54 167.2 13.26 177.5 5.046C187.9-3.17 202.7-1.207 210.7 9.429L258.7 73.34C264.6 81.21 265.3 91.99 260.4 100.6L237.8 140L287.1 190.3V152.1C287.1 137.2 298.2 124.7 311.1 121.1V63.93C311.1 59.51 315.6 55.93 319.1 55.93C324.4 55.93 327.1 59.51 327.1 63.93V121.1C341.8 124.7 351.1 137.2 351.1 152.1V190.3L402.2 140L379.6 100.6C374.7 91.99 375.4 81.21 381.3 73.34L429.3 9.429C437.3-1.207 452.1-3.169 462.5 5.047C472.8 13.26 474.7 28.55 466.7 39.18L428.5 90.06L452.4 131.8C457.9 141.5 456.3 153.8 448.5 161.6L407.7 202.5L560.6 226.4C605.1 232.3 640 272.7 640 320.6C640 405.2 542.4 447.6 485.4 387.8L351.1 266V266.3L418.5 352.7C421.9 357 423.7 362.3 423.7 367.8V422.5L465.7 471.6C474.4 481.6 473.5 497 463.7 505.9C453.9 514.8 438.9 513.8 430.3 503.8L430.3 503.8z"],
    "mosquito-net": [640, 512, [], "e52c", "M168.8 462.3C160.9 458.4 157.7 448.7 161.7 440.8L191.1 380.2V335.1C191.1 331.8 193.7 327.7 196.7 324.7L255.1 265.4V242.2L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.22L161.7 23.15C157.7 15.25 160.9 5.637 168.8 1.685C176.7-2.267 186.4 .9369 190.3 8.841L222.3 72.84C224.2 76.64 224.5 81.03 223.2 85.06L210.6 122.7L255.1 160.5V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.67C279.8 59.17 283.5 55.51 287.1 55.51C292.5 55.51 296.2 59.17 296.2 63.67V106.1C309.9 110.6 319.1 123.1 319.1 137.9V160.5L365.4 122.7L352.8 85.06C351.5 81.03 351.8 76.64 353.7 72.84L385.7 8.84C389.6 .9366 399.3-2.267 407.2 1.685C415.1 5.636 418.3 15.25 414.3 23.15L385.3 81.22L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 223.1 512 223.1C495.3 223.1 480.6 232.5 472 245.5C463.4 232.5 448.7 223.1 432 223.1C410.3 223.1 392 238.3 386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L319.1 242.2V265.4L352.4 297.8C352.1 299.8 352 301.9 352 303.1C352 320.7 360.5 335.4 373.5 343.1C369.5 346.6 365.9 349.9 362.9 353.5L319.1 310.6V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V310.6L224 342.6V383.1C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3V462.3zM512 255.1C520.8 255.1 528 263.2 528 271.1V287.1H576V271.1C576 263.2 583.2 255.1 592 255.1C600.8 255.1 608 263.2 608 271.1V287.1H624C632.8 287.1 640 295.2 640 303.1C640 312.8 632.8 319.1 624 319.1H608V367.1H624C632.8 367.1 640 375.2 640 383.1C640 392.8 632.8 399.1 624 399.1H608V447.1H624C632.8 447.1 640 455.2 640 463.1C640 472.8 632.8 479.1 624 479.1H608V495.1C608 504.8 600.8 511.1 592 511.1C583.2 511.1 576 504.8 576 495.1V479.1H528V495.1C528 504.8 520.8 511.1 512 511.1C503.2 511.1 496 504.8 496 495.1V479.1H448V495.1C448 504.8 440.8 511.1 432 511.1C423.2 511.1 416 504.8 416 495.1V479.1H400C391.2 479.1 384 472.8 384 463.1C384 455.2 391.2 447.1 400 447.1H416V399.1H400C391.2 399.1 384 392.8 384 383.1C384 375.2 391.2 367.1 400 367.1H416V319.1H400C391.2 319.1 384 312.8 384 303.1C384 295.2 391.2 287.1 400 287.1H416V271.1C416 263.2 423.2 255.1 432 255.1C440.8 255.1 448 263.2 448 271.1V287.1H496V271.1C496 263.2 503.2 255.1 512 255.1V255.1zM576 367.1V319.1H528V367.1H576zM576 447.1V399.1H528V447.1H576zM448 319.1V367.1H496V319.1H448zM448 399.1V447.1H496V399.1H448z"],
    "motorcycle": [640, 512, [127949], "f21c", "M342.5 32C357.2 32 370.7 40.05 377.6 52.98L391.7 78.93L439.1 39.42C444.9 34.62 452.1 32 459.6 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H418.2L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L415.7 224.2C376.1 253.4 352 299.8 352 352C352 362.1 353.1 373.7 355.2 384H284.8C286.9 373.7 287.1 362.1 287.1 352C287.1 263.6 216.4 192 127.1 192H31.1V160C31.1 142.3 46.33 128 63.1 128H165.5C182.5 128 198.7 134.7 210.7 146.7L255.1 192L354.1 110.3L337.7 80H279.1C266.7 80 255.1 69.25 255.1 56C255.1 42.75 266.7 32 279.1 32L342.5 32zM448 352C448 387.3 476.7 416 512 416C547.3 416 576 387.3 576 352C576 316.7 547.3 288 512 288C509.6 288 507.2 288.1 504.9 288.4L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L462.7 311.2C453.5 322.3 448 336.5 448 352V352zM253.8 376C242.5 435.2 190.5 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C190.5 224 242.5 268.8 253.8 328H187.3C177.9 304.5 154.9 288 128 288C92.65 288 64 316.7 64 352C64 387.3 92.65 416 128 416C154.9 416 177.9 399.5 187.3 376H253.8zM96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352z"],
    "mound": [576, 512, [], "e52d", "M144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2z"],
    "mountain": [512, 512, [127956], "f6fc", "M503.2 393.8L280.1 44.25c-10.42-16.33-37.73-16.33-48.15 0L8.807 393.8c-11.11 17.41-11.75 39.42-1.666 57.45C17.07 468.1 35.92 480 56.31 480h399.4c20.39 0 39.24-11.03 49.18-28.77C514.9 433.2 514.3 411.2 503.2 393.8zM256 111.8L327.8 224H256L208 288L177.2 235.3L256 111.8z"],
    "mountain-city": [640, 512, [], "e52e", "M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H470.2C470.7 511.2 471.2 510.5 471.6 509.7C483.2 488.6 482.8 462.9 470.3 442.4L396.5 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C364.8 256 361.9 256.9 359.4 258.5L288 140.1V48C288 21.49 309.5 0 336 0L432 0zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528zM442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9zM223.1 188.9L150.4 310.8L174.1 352L222.1 288H283.8L223.1 188.9z"],
    "mountain-sun": [640, 512, [], "e52f", "M480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80zM0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512H55.91C25.03 512 .0006 486.1 .0006 456.1L0 456.1z"],
    "mountains": [640, 512, [9968], "f6fd", "M55.91 480C25.03 480 0 454.1 0 424.1C0 413.6 2.964 403.3 8.551 394.4L225.3 49.01C231.9 38.42 243.5 32 256 32C268.5 32 280.1 38.42 286.8 49.01L412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480L55.91 480z"],
    "mouse-field": [512, 512, [], "e5a8", "M424.8 119.5C429.5 107.2 432 93.9 432 80C432 48.79 419.2 20.56 398.6 .2464C444.1 3.638 480 41.63 480 88C480 107.7 473.5 125.8 462.6 140.5C492.7 164.5 512 201.4 512 242.9C512 258.1 498.1 272 482.9 272H380.1C378.1 272 376.1 271.9 374.1 271.8L350.3 335.3L394 351.2C407.2 355.1 416 368.5 416 382.6C416 401 401 416 382.6 416H72C58.75 416 48 426.7 48 440C48 453.3 58.75 464 72 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H72C32.24 512 0 479.8 0 440C0 400.2 32.24 368 72 368H103.5C98.69 357.5 96 345.9 96 333.6C96 240.4 169.5 164.3 261.6 160.2C238.9 144.3 224 117.9 224 88C224 39.4 263.4 0 312 0C360.6 0 400 39.4 400 88C400 96.64 398.8 104.1 396.4 112.9C406.3 114 415.8 116.3 424.8 119.5V119.5zM420 176C408.1 176 400 184.1 400 196C400 207 408.1 216 420 216C431 216 440 207 440 196C440 184.1 431 176 420 176zM312 48C289.9 48 272 65.91 272 88C272 110.1 289.9 128 312 128H336C344.8 128 352 120.8 352 112V88C352 65.91 334.1 48 312 48z"],
    "mp3-player": [384, 512, [], "f8ce", "M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 448c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S245 448 192 448zM320 192H64V64h256V192zM192 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S209.6 320 192 320z"],
    "mug": [576, 512, [], "f874", "M448 64H56C49.63 64 43.5 66.5 39 71S32 81.63 32 88V352c0 53 43 96 96 96h192c53 0 96-43 96-96v-32h32c70.75 0 128-57.25 128-128S518.8 64 448 64zM448 256h-32V128h32c35.38 0 64 28.62 64 64S483.4 256 448 256z"],
    "mug-hot": [512, 512, [9749], "f7b6", "M400 192H32C14.25 192 0 206.3 0 224v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM400 352H384V256h16C426.5 256 448 277.5 448 304S426.5 352 400 352zM107.9 100.7C120.3 107.1 128 121.4 128 136c0 13.25 10.75 23.89 24 23.89S176 148.1 176 135.7c0-31.34-16.83-60.64-43.91-76.45C119.7 52.03 112 38.63 112 24.28c0-13.25-10.75-24.14-24-24.14S64 11.03 64 24.28C64 55.63 80.83 84.92 107.9 100.7zM219.9 100.7C232.3 107.1 240 121.4 240 136c0 13.25 10.75 23.86 24 23.86S288 148.1 288 135.7c0-31.34-16.83-60.64-43.91-76.45C231.7 52.03 224 38.63 224 24.28c0-13.25-10.75-24.18-24-24.18S176 11.03 176 24.28C176 55.63 192.8 84.92 219.9 100.7z"],
    "mug-marshmallows": [512, 512, [], "f7b7", "M196.5 128h151c7.125-12.25 6-28.12-4.5-38.63L294.5 41c-12.5-12.5-32.75-12.5-45.25 0L200.8 89.32C190.4 99.82 189.2 115.8 196.5 128zM178.5 67.25l22.38-22.5C195 37.5 186.4 32.38 176.3 32.38H64c-17.75 0-32 14.38-32 32v63.81l130.1 .0625C156.6 107.3 161.9 83.75 178.5 67.25zM400 160.1L160 160.2v63.67c0 17.75-14.25 32-32 32s-32-14.25-32-32v-63.67L32 160.1c-17.75 0-32 14.38-32 32v191.9C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95l16 .0125c61.75 0 112-50.31 112-111.9C512 210.4 461.8 160.1 400 160.1zM400 320.3H384v-96h16c26.5 0 48 21.5 48 48C448 298.6 426.5 320.3 400 320.3z"],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", "M512 32H120c-13.25 0-24 10.75-24 24L96.01 288c0 53 43 96 96 96h192C437 384 480 341 480 288h32c70.63 0 128-57.38 128-128S582.6 32 512 32zM512 224h-32V96h32c35.25 0 64 28.75 64 64S547.3 224 512 224zM560 416h-544C7.164 416 0 423.2 0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48C576 423.2 568.8 416 560 416z"],
    "mug-tea": [576, 512, [], "f875", "M447.1 64h-272v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L223.1 256c0 17.62-14.38 32-32 32H127.1c-17.62 0-32-14.38-32-32L95.1 189.3c0-8.5 3.375-16.63 9.375-22.63L143.1 128V64h-88c-6.375 0-12.5 2.5-17 7S31.1 81.63 31.1 88L31.1 352c0 53 43 96 96 96h192c53 0 96-43 96-96L416 320h31.1C518.7 320 576 262.8 576 192S518.7 64 447.1 64zM447.1 256H415.1l-.0006-128h32c35.38 0 64 28.62 64 64S483.4 256 447.1 256z"],
    "mug-tea-saucer": [640, 512, [], "e1f5", "M563.6 416H12.36c-25 0-11.63 64 36 64h479.5C575.5 480 588.6 416 563.6 416zM511.1 32H239.1v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L287.1 224c0 17.62-14.37 32-32 32h-64C174.4 256 159.1 241.6 159.1 224L159.1 157.3c0-8.5 3.375-16.63 9.375-22.63L207.1 96V32H119.1c-6.375 0-12.5 2.5-17 7C98.49 43.5 95.99 49.63 95.99 56L95.1 288c0 53 42.1 96 96 96h192c53 0 96-43 96-96h31.1c70.75 0 128-57.25 128-128S582.7 32 511.1 32zM511.1 224h-31.1l-.0012-128h32c35.38 0 64 28.62 64 64S547.4 224 511.1 224z"],
    "mushroom": [512, 512, [127812], "e425", "M320 352H192l-22.06 88.24C164.9 460.4 180.2 480 200.1 480h110c20.82 0 36.09-19.56 31.04-39.76L320 352zM490.5 242L484.2 214.1C460.4 107.7 365.6 32 256 32S51.55 107.7 27.78 214.1L21.53 242C12.6 282 43.02 320 83.1 320h344C468.1 320 499.4 282 490.5 242zM128 256C110.3 256 96 241.7 96 224c0-17.67 14.33-32 32-32s32 14.33 32 32C160 241.7 145.7 256 128 256zM224 176c-37.36 0-68.48-25.72-77.28-60.35C177.5 93.3 215.2 80 256 80c16.29 0 31.87 2.674 46.98 6.562C303.4 89.67 304 92.75 304 96C304 140.2 268.2 176 224 176zM400 256C373.5 256 352 234.5 352 208S373.5 160 400 160c3.178 0 6.27 .3438 9.275 .9336c12.8 18.86 22.59 40.1 27.84 63.57l2.391 10.7C430.8 247.8 416.4 256 400 256z"],
    "music": [512, 512, [127925], "f001", "M511.1 367.1c0 44.18-42.98 80-95.1 80s-95.1-35.82-95.1-79.1c0-44.18 42.98-79.1 95.1-79.1c11.28 0 21.95 1.92 32.01 4.898V148.1L192 224l-.0023 208.1C191.1 476.2 149 512 95.1 512S0 476.2 0 432c0-44.18 42.98-79.1 95.1-79.1c11.28 0 21.95 1.92 32 4.898V126.5c0-12.97 10.06-26.63 22.41-30.52l319.1-94.49C472.1 .6615 477.3 0 480 0c17.66 0 31.97 14.34 32 31.99L511.1 367.1z"],
    "music-note": [384, 512, ["music-alt"], "f8cf", "M339.1 6.324C347.2 12.32 352 21.84 352 31.96V95.96c0 14.25-9.375 26.75-23 30.75L256 148.1v283.9C256 476.1 205.9 512 144 512S32 476.1 32 431.1s50.13-80.01 112-80.01c16.38 0 32.5 2.75 48 8V60.33c0-14 9.125-26.38 22.38-30.5L311 1.323C320.6-1.553 331.1 .3233 339.1 6.324z"],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", "M630.8 469.1l-246.8-193.4v-127.6l72.1-21.38c13.62-3.1 22.1-16.5 22.1-30.75l.0004-63.99c0-10.13-4.75-19.64-12.88-25.64c-7.1-6.002-18.5-7.877-28.12-5.002l-96.62 28.5C329.1 33.95 319.1 46.33 319.1 60.33v165.2L38.81 5.111C34.41 1.674 29.19 .0006 24.03 .0006c-7.125 0-14.19 3.157-18.91 9.188c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM271.1 351.1c-61.86 0-111.1 35.82-111.1 80s50.14 79.1 111.1 79.1s111.1-35.82 111.1-79.1S333.9 351.1 271.1 351.1z"],
    "music-slash": [640, 512, [], "f8d1", "M191.1 356.9c-10.05-2.978-20.72-4.895-32.01-4.895c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.77 95.1-79.95l.0268-134.8L191.1 247.2V356.9zM630.8 469.1l-72.14-56.54c10.58-12.76 17.33-27.86 17.33-44.57l.0004-336C575.1 14.34 561.7 0 543.1 0c-2.719 0-7.031 .6615-9.625 1.49L214.4 95.97c-11.98 3.775-21.62 16.75-22.2 29.36L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.84 3.156 5.121 9.187c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM511.1 292.9c-10.05-2.978-20.72-4.895-32.01-4.895c-22.15 0-42.23 6.574-58.42 17.11L301.2 210.8l210.8-61.76V292.9z"],
    "n": [384, 512, [110], "4e", "M384 64.01v384c0 13.47-8.438 25.5-21.09 30.09C359.3 479.4 355.7 480 352 480c-9.312 0-18.38-4.078-24.59-11.52L64 152.4v295.6c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-13.47 8.438-25.5 21.09-30.09c12.62-4.516 26.84-.75 35.5 9.609L320 359.6v-295.6c0-17.67 14.31-32 32-32S384 46.34 384 64.01z"],
    "naira-sign": [448, 512, [], "e1f6", "M262.5 256H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V256H416C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320H384V448C384 462.1 374.8 474.5 361.3 478.6C347.8 482.7 333.2 477.5 325.4 465.8L228.2 320H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64C64 49.9 73.23 37.46 86.73 33.37C100.2 29.29 114.8 34.52 122.6 46.25L262.5 256zM305.1 320L320 342.3V320H305.1zM185.5 256L128 169.7V256H185.5z"],
    "narwhal": [640, 512, [], "f6fe", "M590.7 214l48.75-192.3c2.787-10.1-5.502-21.69-16.85-21.72c-6.012-.0195-11.61 3.059-14.81 8.148l-99.31 157.7C494.2 162.2 479.4 159.1 464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35C144 338.1 128 330.7 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V143.1c0-12.75-14.21-20.36-24.82-13.29l-71.17 47.4L24.88 130.7C14.24 123.7 0 131.3 0 144.1v80.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.2 0 176-78.8 176-176C640 288.6 621.2 245.7 590.7 214zM504 319.1c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C528 309.3 517.3 319.1 504 319.1z"],
    "nesting-dolls": [640, 512, [], "e3ba", "M303.9 352c0-36.16 12.52-69.18 32.82-96H39.72C35.33 267.3 30.26 278.3 24.38 288.7C7.95 317.7-31.74 423.4 48.74 512h199.1l14.41-19.2C289.1 457 303.9 412.7 303.9 368V352zM591.1 368V352c0-70.69-57.32-128-128-128s-128 57.31-128 128v16c0 51.93-16.85 102.5-48.02 144H640C608.8 470.5 591.1 419.9 591.1 368zM463.9 432c-44.2 0-80.03-35.82-80.03-80c33.44 0 62.83-17.13 80.03-43.05C481.1 334.9 510.5 352 543.1 352C543.1 396.2 508.1 432 463.9 432zM303.9 112c0-61.86-50.16-112-112-112S79.82 50.14 79.82 112V224h224.1V112zM191.9 160c-35.36 0-64.02-28.65-64.02-64c0-1.107 .2716-2.141 .3263-3.234c26.62-.1133 49.99-13.76 63.69-34.41c13.7 20.65 37.08 34.29 63.69 34.41C255.6 93.86 255.9 94.89 255.9 96C255.9 131.3 227.2 160 191.9 160z"],
    "network-wired": [640, 512, [], "f6ff", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H352V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H512V320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368C352 341.5 373.5 320 400 320H448V288H192V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H128V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H288V192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM256 64V128H384V64H256zM224 448V384H96V448H224zM416 384V448H544V384H416z"],
    "neuter": [384, 512, [9906], "f22c", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1V496C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16v-147C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 228.9 244.9 272 192 272z"],
    "newspaper": [512, 512, [128240], "f1ea", "M480 32H128C110.3 32 96 46.33 96 64v336C96 408.8 88.84 416 80 416S64 408.8 64 400V96H32C14.33 96 0 110.3 0 128v288c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V64C512 46.33 497.7 32 480 32zM272 416h-96C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h96c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 320h-96C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288h96C280.8 288 288 295.2 288 304C288 312.8 280.8 320 272 320zM432 416h-96c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C448 408.8 440.8 416 432 416zM432 320h-96C327.2 320 320 312.8 320 304C320 295.2 327.2 288 336 288h96C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320zM448 208C448 216.8 440.8 224 432 224h-256C167.2 224 160 216.8 160 208v-96C160 103.2 167.2 96 176 96h256C440.8 96 448 103.2 448 112V208z"],
    "nfc": [448, 512, [], "e1f7", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 384c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32V384z"],
    "nfc-lock": [576, 512, [], "e1f8", "M144 128H96v256h192v-16c0-32.74 19.77-60.95 48-73.32V256c0-20.8 6.076-40.07 16-56.78V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v36.33C402.2 151.6 424.2 144 448 144V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h225.6C288.6 474.8 288 469.5 288 464V416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128zM528 320V256c0-44.11-35.89-80-80-80S368 211.9 368 256v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM448 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C480 433.7 465.7 448 448 448zM480 320h-64V256c0-17.64 14.36-32 32-32s32 14.36 32 32V320z"],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", "M630.6 457.4l-72.73-72.73C569.1 365.6 576 343.7 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c23.7 0 45.61-6.879 64.65-18.1l72.73 72.73C591.6 508.9 599.8 512 608 512s16.38-3.125 22.62-9.375C643.1 490.1 643.1 469.9 630.6 457.4zM448 384c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S483.3 384 448 384zM320.7 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h205.5C292.9 364.4 288 342.8 288 320c0-52.18 25.35-98.07 64-127.3V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v45.51C403.6 164.9 425.2 160 448 160V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c8.775 0 16.89-2.288 24.49-5.505C372.9 465.4 342.2 444.5 320.7 416z"],
    "nfc-pen": [576, 512, [], "e1fa", "M64 384V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h202.7L352 330.8V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v170.8l64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.32-56.56C271.6 420.8 272.9 418.5 273.8 416H96C78.36 416 64 401.6 64 384zM565.5 255.7l-21.09-21.1c-14.08-14.06-36.87-14.06-50.92 0l-38.12 38.15l72 72l38.12-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM307.4 420.6c-2.5 2.521-4.209 5.729-4.918 9.208l-14.29 71.42c-1.25 6.291 4.335 11.83 10.59 10.58l71.45-14.29c3.459-.6875 6.675-2.396 9.175-4.917l125.3-125.3l-72-72L307.4 420.6z"],
    "nfc-signal": [512, 512, [], "e1fb", "M488 304C501.3 304 512 293.3 512 280S501.3 256 488 256C360.1 256 256 360.1 256 488c0 13.25 10.75 24 24 24s24-10.75 24-24C304 386.5 386.5 304 488 304zM144 128H96v256h149.4C267.3 333.1 304.1 290.6 352 262.2V128H240v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v117.4c20.15-8.672 41.65-14.64 64-18.06V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h160.4c.668-22.12 4.02-43.55 9.83-64H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128zM488 352C413 352 352 413 352 488c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53 39.47-88 88-88c13.25 0 24-10.75 24-24S501.3 352 488 352zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4z"],
    "nfc-slash": [640, 512, [], "e1fc", "M630.8 469.1L544 401.1V96c0-35.35-28.65-64-64-64H160C138.4 32 119.4 42.78 107.8 59.18L38.81 5.113c-10.47-8.172-25.5-6.359-33.7 4.078C-3.062 19.63-1.234 34.72 9.188 42.89l592 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM240 128H195.6L168.5 106.7C174.3 100.3 182.6 96 192 96h48C248.8 96 256 103.2 256 112S248.8 128 240 128zM480 350.9l-32-25.08V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 2.217-.6875 4.221-.9785 6.355L302.5 211.8C303 211.5 303.4 211.1 304 210.9V112C304 103.2 311.2 96 320 96h128c17.64 0 32 14.36 32 32V350.9zM192 416c-17.64 0-32-14.36-32-32V222.1L96 171.9V416c0 35.35 28.65 64 64 64h320c2.746 0 5.361-.4727 8.018-.8086L407.4 416H192zM192 384h174.6L192 247.2V384z"],
    "nfc-symbol": [576, 512, [], "e531", "M202.6 311.8C189.5 300 188.4 279.8 200.2 266.6C211.1 253.5 232.2 252.4 245.4 264.2L405.2 407.7C450.5 373.2 479.1 317.4 479.1 256C479.1 186.4 442.1 124 386.3 91.7C370.1 82.86 365.7 63.28 374.6 47.98C383.4 32.68 403 27.46 418.3 36.31C493.6 79.89 543.1 163.2 543.1 256C543.1 348.8 493.6 432.1 418.3 475.7C406.3 482.6 391.2 481.1 380.9 471.8L202.6 311.8zM373.4 200.2C386.5 211.1 387.6 232.2 375.8 245.4C364 258.5 343.8 259.6 330.6 247.8L170.8 104.4C125.5 138.8 96 194.6 96 256C96 325.7 133.9 388 189.7 420.3C205 429.2 210.3 448.7 201.4 464C192.6 479.3 172.1 484.6 157.7 475.7C82.35 432.1 32 348.8 32 256C32 163.2 82.35 79.9 157.7 36.31C169.7 29.38 184.8 30.95 195.1 40.2L373.4 200.2z"],
    "nfc-trash": [640, 512, [], "e1fd", "M352 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v66.95C389 193.2 394.4 192 400 192h17.89l2.771-6.219C426.4 174.4 436.3 166.2 448 162.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h316.8l-4.719-75.5C370.2 411.4 361.7 416 352 416zM412.9 481.1C413.1 498.1 428.8 512 445.8 512h132.5c17.02 0 31.81-13.9 32.88-30.89L623.2 288h-222.4L412.9 481.1zM624 224h-38.67l-10.61-23.89C572.2 195.1 567.2 192 561.6 192h-99.2c-5.557 0-10.63 3.139-13.12 8.105L438.7 224H400C391.2 224 384 231.2 384 240C384 248.8 391.2 256 400 256h224C632.8 256 640 248.8 640 240C640 231.2 632.8 224 624 224z"],
    "not-equal": [448, 512, [], "f53e", "M432 336c0 17.69-14.31 32.01-32 32.01H187.8l-65.15 97.74C116.5 474.1 106.3 480 95.97 480c-6.094 0-12.25-1.75-17.72-5.375c-14.72-9.812-18.69-29.66-8.875-44.38l41.49-62.23H48c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h105.5l63.1-96H48c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h212.2l65.18-97.77c9.781-14.69 29.62-18.66 44.37-8.875c14.72 9.812 18.69 29.66 8.875 44.38l-41.51 62.27H400c17.69 0 32 14.31 32 31.99s-14.31 32.01-32 32.01h-105.6l-63.1 96H400C417.7 304 432 318.3 432 336z"],
    "notdef": [384, 512, [], "e1fe", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM281.5 64L192 198.3L102.5 64H281.5zM64 121.7L153.5 256L64 390.3V121.7zM102.5 448L192 313.7L281.5 448H102.5zM320 390.3L230.5 256L320 121.7V390.3z"],
    "note": [448, 512, [], "e1ff", "M320 480l128-128h-128V480zM400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H288l.0039-128c0-17.67 14.33-32 32-32H448v-240C448 53.49 426.5 31.1 400 31.1z"],
    "note-medical": [448, 512, [], "e200", "M320 480l128-128h-128V480zM400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H288l.0039-128c0-17.67 14.33-32 32-32H448v-240C448 53.49 426.5 31.1 400 31.1zM320 248C320 252.4 316.4 256 312 256L256 255.1V312C256 316.4 252.4 320 248 320h-48C195.6 320 192 316.4 192 312V255.1L136 256C131.6 256 128 252.4 128 248v-48C128 195.6 131.6 192 136 192H192V136c0-4.375 3.625-8 8-8h48c4.375 0 8 3.625 8 8V192h56C316.4 192 320 195.6 320 200V248z"],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", "M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h245.5c16.97 0 33.25-6.744 45.26-18.75l90.51-90.51C441.3 358.7 448 342.5 448 325.5V80C448 53.49 426.5 32 400 32zM64 96h320l-.001 224H320c-17.67 0-32 14.33-32 32v64H64V96z"],
    "notebook": [512, 512, [], "e201", "M416 0H224v512h192c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0zM64 64v40H24C10.75 104 0 114.8 0 128s10.75 24 24 24H64v80H24C10.75 232 0 242.8 0 256s10.75 24 24 24H64v80H24C10.75 360 0 370.8 0 384s10.75 24 24 24H64V448c0 35.35 28.65 64 64 64h64V0H128C92.65 0 64 28.65 64 64z"],
    "notes": [512, 512, [], "e202", "M384 480l96-96h-96V480zM432 95.1h-288c-26.51 0-48 21.49-48 47.1v288C96 458.5 117.5 480 144 480H352l.0137-96c0-17.6 14.4-32 32-32H480V143.1C480 117.5 458.5 95.1 432 95.1zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "notes-medical": [512, 512, [], "f481", "M480 144V384l-96 96H144C117.5 480 96 458.5 96 432v-288C96 117.5 117.5 96 144 96h288C458.5 96 480 117.5 480 144zM384 264C384 259.6 380.4 256 376 256H320V200C320 195.6 316.4 192 312 192h-48C259.6 192 256 195.6 256 200V256H200C195.6 256 192 259.6 192 264v48C192 316.4 195.6 320 200 320H256v56c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8V320h56C380.4 320 384 316.4 384 312V264zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "o": [448, 512, [111], "4f", "M224 32.01c-123.5 0-224 100.5-224 224s100.5 224 224 224s224-100.5 224-224S347.5 32.01 224 32.01zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1S312.2 416 224 416z"],
    "object-exclude": [512, 512, [], "e49c", "M0 64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64zM320 192H192V320H320V192z"],
    "object-group": [576, 512, [], "f247", "M128 160C128 142.3 142.3 128 160 128H288C305.7 128 320 142.3 320 160V256C320 273.7 305.7 288 288 288H160C142.3 288 128 273.7 128 256V160zM288 320C323.3 320 352 291.3 352 256V224H416C433.7 224 448 238.3 448 256V352C448 369.7 433.7 384 416 384H288C270.3 384 256 369.7 256 352V320H288zM32 119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0C87.69 0 108.4 12.87 119.4 32H456.6C467.6 12.87 488.3 0 512 0C547.3 0 576 28.65 576 64C576 87.69 563.1 108.4 544 119.4V392.6C563.1 403.6 576 424.3 576 448C576 483.3 547.3 512 512 512C488.3 512 467.6 499.1 456.6 480H119.4C108.4 499.1 87.69 512 64 512C28.65 512 0 483.3 0 448C0 424.3 12.87 403.6 32 392.6V119.4zM119.4 96C113.8 105.7 105.7 113.8 96 119.4V392.6C105.7 398.2 113.8 406.3 119.4 416H456.6C462.2 406.3 470.3 398.2 480 392.6V119.4C470.3 113.8 462.2 105.7 456.6 96H119.4z"],
    "object-intersect": [512, 512, [], "e49d", "M0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288zM288 64H64V288H160V224C160 188.7 188.7 160 224 160H288V64zM448 224H352V288C352 323.3 323.3 352 288 352H224V448H448V224z"],
    "object-subtract": [512, 512, [], "e49e", "M512 448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448zM288 64H64V288H288V64z"],
    "object-ungroup": [640, 512, [], "f248", "M32 119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0C87.69 0 108.4 12.87 119.4 32H328.6C339.6 12.87 360.3 0 384 0C419.3 0 448 28.65 448 64C448 87.69 435.1 108.4 416 119.4V232.6C435.1 243.6 448 264.3 448 288C448 323.3 419.3 352 384 352C360.3 352 339.6 339.1 328.6 320H119.4C108.4 339.1 87.69 352 64 352C28.65 352 0 323.3 0 288C0 264.3 12.87 243.6 32 232.6V119.4zM96 119.4V232.6C105.7 238.2 113.8 246.3 119.4 256H328.6C334.2 246.3 342.3 238.2 352 232.6V119.4C342.3 113.8 334.2 105.7 328.6 96H119.4C113.8 105.7 105.7 113.8 96 119.4V119.4zM311.4 480C300.4 499.1 279.7 512 256 512C220.7 512 192 483.3 192 448C192 424.3 204.9 403.6 224 392.6V352H288V392.6C297.7 398.2 305.8 406.3 311.4 416H520.6C526.2 406.3 534.3 398.2 544 392.6V279.4C534.3 273.8 526.2 265.7 520.6 255.1H474.5C469.1 240.6 459.9 227.1 448 216.4V191.1H520.6C531.6 172.9 552.3 159.1 576 159.1C611.3 159.1 640 188.7 640 223.1C640 247.7 627.1 268.4 608 279.4V392.6C627.1 403.6 640 424.3 640 448C640 483.3 611.3 512 576 512C552.3 512 531.6 499.1 520.6 480H311.4z"],
    "object-union": [512, 512, [], "e49f", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288z"],
    "objects-align-bottom": [512, 512, [], "e3bb", "M24 512C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24zM64 48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112C85.49 384 64 362.5 64 336V48zM288 176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176z"],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", "M248 24V64H400C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H248V288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H248V488C248 501.3 237.3 512 224 512C210.7 512 200 501.3 200 488V448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H200V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H200V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24z"],
    "objects-align-center-vertical": [512, 512, [], "e3bd", "M64 80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V232H288V144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H448V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V280H224V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V80z"],
    "objects-align-left": [512, 512, [], "e3be", "M0 24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24zM464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112C128 85.49 149.5 64 176 64H464zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336z"],
    "objects-align-right": [512, 512, [], "e3bf", "M512 488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V24C464 10.75 474.7 0 488 0C501.3 0 512 10.75 512 24V488zM336 64C362.5 64 384 85.49 384 112V176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336z"],
    "objects-align-top": [512, 512, [], "e3c0", "M488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM64 176C64 149.5 85.49 128 112 128H176C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176zM288 176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176z"],
    "objects-column": [448, 512, [], "e3c1", "M144 32C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H144zM400 224C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272C256 245.5 277.5 224 304 224H400zM0 400C0 373.5 21.49 352 48 352H144C170.5 352 192 373.5 192 400V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V400zM400 32C426.5 32 448 53.49 448 80V112C448 138.5 426.5 160 400 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H400z"],
    "octagon": [512, 512, [128721], "f306", "M320.5 .0667C339.6 .0667 357.9 7.652 371.4 21.16L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664L320.5 .0667z"],
    "octagon-check": [512, 512, [], "e426", "M140.6 21.15C154.1 7.651 172.4 .0654 191.5 .0654H320.5C339.6 .0654 357.9 7.651 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM368.1 208.1C378.3 199.6 378.3 184.4 368.1 175C359.6 165.7 344.4 165.7 335 175L224 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L368.1 208.1z"],
    "octagon-divide": [512, 512, [], "e203", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 191.1C273.7 191.1 288 177.7 288 159.1C288 142.3 273.7 127.1 256 127.1C238.3 127.1 224 142.3 224 159.1C224 177.7 238.3 191.1 256 191.1zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z"],
    "octagon-exclamation": [512, 512, [], "e204", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1V151.1zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z"],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168z"],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 367.1C269.3 367.1 280 357.3 280 343.1V279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H280V167.1C280 154.7 269.3 143.1 256 143.1C242.7 143.1 232 154.7 232 167.1V231.1H168C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H232V343.1C232 357.3 242.7 367.1 256 367.1z"],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L256 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L256 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "oil-can": [640, 512, [], "f613", "M288 128V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128L288 128zM96 208H48V272.8L96 294.1V208z"],
    "oil-can-drip": [640, 512, [], "e205", "M352 96C352 113.7 337.7 128 320 128H288V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96V96zM48 272.8L96 294.1V208H48V272.8zM544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400z"],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", "M256 32C256 14.33 270.3 0 288 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H320V96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H320V230.7C348.3 243 368 271.2 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 271.2 227.7 243 256 230.7V32zM399.1 302.8C421.9 299.6 443.7 290.2 461.4 277.9L461.5 277.9C473.4 269.4 489.5 270.1 500.7 279.6C515 291.5 533.2 300.6 551.3 304.8C568.5 308.8 579.2 326.1 575.2 343.3C571.2 360.5 553.1 371.2 536.7 367.2C512.2 361.4 491.9 350.6 478.5 342.2C449.5 357.7 417 368 384 368C382.6 368 381.3 367.1 379.1 367.9C392.6 349.8 400 327.8 400 303.1L399.1 302.8zM97.5 342.2C84.12 350.6 63.79 361.4 39.27 367.2C22.06 371.2 4.853 360.5 .8422 343.3C-3.169 326.1 7.532 308.8 24.74 304.8C42.84 300.6 60.96 291.5 75.31 279.6C86.46 270.1 102.6 269.4 114.5 277.9L114.6 277.9C132.3 290.2 154.1 299.6 176 302.8L176 304C176 327.8 183.4 349.8 196 367.9C194.7 367.1 193.4 368 192 368C158.1 368 126.5 357.7 97.5 342.2L97.5 342.2zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.854 504.5 .8426 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "oil-well": [576, 512, [], "e532", "M569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L433.3 201.3L95.1 288.8V448H137.3L190.4 296.3L264.1 276.1L238.7 352H305.3L277.9 273.6L340 257.5L406.7 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48V184C48 170.7 58.75 160 72 160C85.25 160 96 170.7 96 184V222.6L228.2 188.4L241.8 149.4C246.3 136.6 258.4 128 272 128C285.6 128 297.7 136.6 302.2 149.4L308.5 167.5L416.8 139.5L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8zM205.1 448H338.9L327.7 416H216.3L205.1 448z"],
    "olive": [448, 512, [], "e316", "M392.5 89.39c-94.93-99.56-213.1-58.11-308.5 36.84c-95.42 94.96-112 232.4-37.02 307c74.98 74.61 213.1 58.12 308.5-36.84C450.9 301.5 487.5 188.1 392.5 89.39zM374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z"],
    "olive-branch": [640, 512, [], "e317", "M449.9 48H616c13.25 0 24-10.75 24-24S629.3 0 616 0h-166.1c-65.87 0-131.2 16.47-189.5 47.06C244.2 34.17 195.5 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64s1.938 8.891 5.344 11.94C7.075 77.48 37.55 103.1 81.32 118.5C69.25 124.8 57.4 132.6 46.99 142.1c-48.46 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.085 287.8 15.61 287.1c.25 0 .8984 .0156 1.93 .0156c12.84 0 82.66-2.147 127.5-46.98c30.93-30.93 41.48-73.57 45.09-101.4l87.41-47.7C330.3 63.21 389.9 48 449.9 48zM336 128c-79.53 0-143.1 85.96-143.1 192s64.47 192 143.1 192s143.1-85.96 143.1-192S415.5 128 336 128zM427.8 129.2C478.2 168.7 512 239.5 512 320.3c0 59.01-18.11 112.6-47.45 152.7c53.26 14.72 105.8 6.727 140.2-27.74c58.32-58.4 42.56-168.9-35.2-246.7C527.4 156.2 475.7 132.1 427.8 129.2z"],
    "om": [512, 512, [128329], "f679", "M360.6 61C362.5 62.88 365.2 64 368 64s5.375-1.125 7.375-3l21.5-21.62C398.9 37.38 400 34.75 400 32s-1.125-5.375-3.125-7.375L375.4 3c-4.125-4-10.75-4-14.75 0L339 24.62C337 26.62 336 29.25 336 32s1 5.375 3 7.375L360.6 61zM412.1 191.1c-26.75 0-51.75 10.38-70.63 29.25l-24.25 24.25c-6.75 6.75-15.75 10.5-25.37 10.5H245c10.5-22.12 14.12-48.12 7.75-75.25C242.6 138.2 206.4 104.6 163.2 97.62c-36.25-6-71 5-96 28.75c-7.375 7-7 18.87 1.125 24.87L94.5 170.9c5.75 4.375 13.62 4.375 19.12-.125C122.1 163.8 132.8 159.1 144 159.1c26.38 0 48 21.5 48 48S170.4 255.9 143.1 255.9L112 255.1c-11.88 0-19.75 12.63-14.38 23.25L113.8 311.5C116.2 316.5 121.4 319.5 126.9 320H160c35.25 0 64 28.75 64 64s-28.75 64-64 64c-96.12 0-122.4-53.1-145.2-92C10.25 348.4 0 352.4 0 361.2C-.125 416 41.12 512 160 512c70.5 0 127.1-57.44 127.1-128.1c0-23.38-6.874-45.06-17.87-63.94h21.75c26.62 0 51.75-10.38 70.63-29.25l24.25-24.25c6.75-6.75 15.75-10.5 25.37-10.5C431.9 255.1 448 272.1 448 291.9V392c0 13.25-18.75 24-32 24c-39.38 0-66.75-24.25-81.88-42.88C329.4 367.2 320 370.6 320 378.1V416c0 0 0 64 96 64c48.5 0 96-39.5 96-88V291.9C512 236.8 467.3 191.1 412.1 191.1zM454.3 67.25c-85.5 65.13-169 2.751-172.5 .125c-6-4.625-14.5-4.375-20.13 .5C255.9 72.75 254.3 81 257.9 87.63C259.5 90.63 298.2 160 376.8 160c79.88 0 98.75-31.38 101.8-37.63C479.5 120.2 480 117.9 480 115.5V80C480 66.75 464.9 59.25 454.3 67.25z"],
    "omega": [448, 512, [], "f67a", "M416 480l-96-.0049c-17.67 0-32-14.4-32-32.08v-25.6c0-11.44 6.094-21.97 15.98-27.69C353.3 366.1 384 312.1 384 256c0-88.22-71.78-159.1-160-159.1S64 167.8 64 256c0 56.97 30.66 110.1 80.02 138.6C153.9 400.4 160 410.9 160 422.3v25.6c0 17.69-14.33 32.08-32 32.08l-96 .0049c-17.67 0-32-14.31-32-32s14.33-32 32-32h35.3C24.89 374.4 0 316.8 0 256c0-123.5 100.5-224 224-224s224 100.5 224 223.1c0 60.75-24.89 118.4-67.3 160H416c17.67 0 32 14.31 32 32S433.7 480 416 480zM320.2 422.3L320.2 422.3L320.2 422.3z"],
    "onion": [448, 512, [129477], "e427", "M448 281.5c0-58.47-34.75-113.8-92.94-147.9c0 0 0 0 0-.0156c-.6562-.375-65.66-39.27-85.81-121.4c-1.406-5.828-5.969-10.36-11.81-11.75c-5.688-1.406-11.97 .5781-15.84 5.125L224 26.02L206.4 5.57C202.5 1.023 196.3-.9609 190.6 .4453C184.7 1.836 180.2 6.367 178.8 12.2C158.6 94.27 93.59 133.2 92.94 133.6C34.75 167.7 0 223 0 281.5c0 73.94 54.34 137.6 132.1 166.3l-10.88 32.66c-4.188 12.58 2.625 26.17 15.19 30.36C138.9 511.6 141.5 512 144 512c10.06 0 19.41-6.359 22.78-16.41l11.79-35.38C185.6 461.4 192.8 462.3 200 462.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-25.08c7.244-.6309 14.4-1.52 21.43-2.703l11.79 35.38C284.6 505.6 293.9 512 304 512c2.5 0 5.062-.3906 7.594-1.234c12.56-4.188 19.38-17.78 15.19-30.36l-10.88-32.66C393.7 419.1 448 355.4 448 281.5zM129 198.2C98.84 269.7 96 287.1 96 315.5c0 12.22 1.438 22.86 4.406 32.53c2.594 8.453-2.125 17.41-10.59 20c-1.562 .4844-3.125 .7031-4.688 .7031c-6.844 0-13.19-4.422-15.28-11.3C65.91 344.7 64 330.1 64 315.5c0-35.31 4.656-56.62 35.5-129.7c3.469-8.156 12.91-11.92 20.97-8.516C128.6 180.7 132.4 190.1 129 198.2zM237.4 132c-43.78 169.9-45.47 188.1-36.03 224.3c1.906 7.375 4.312 13.83 7.344 19.73c4.062 7.859 .9687 17.52-6.906 21.55c-2.344 1.219-4.844 1.781-7.312 1.781c-5.781 0-11.38-3.156-14.22-8.672c-4.094-7.938-7.406-16.8-9.906-26.34C158.7 319.4 162.4 294.7 206.4 124c2.219-8.516 10.88-13.7 19.5-11.5C234.4 114.7 239.6 123.4 237.4 132zM361.8 357.6c-2.188 6.797-8.469 11.14-15.25 11.14c-1.594 0-3.25-.2344-4.875-.75c-8.406-2.688-13.06-11.69-10.38-20.11C334.5 338 336 327.2 336 314.7c0-33.15-4.594-52.06-46.66-148.3c-3.531-8.094 .1562-17.53 8.25-21.06c8.094-3.516 17.53 .1406 21.06 8.248C363.2 255.4 368 276.3 368 314.7C368 330.5 365.1 344.5 361.8 357.6z"],
    "option": [640, 512, [], "e318", "M448 128h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160c-17.69 0-32 14.31-32 32S430.3 128 448 128zM608 384h-144.6L217 76C210.9 68.41 201.7 64 192 64H32C14.31 64 0 78.31 0 96s14.31 32 32 32h144.6l246.4 308C429.1 443.6 438.3 448 448 448h160c17.69 0 32-14.31 32-32S625.7 384 608 384z"],
    "ornament": [384, 512, [], "f7b8", "M287.1 153.9L287.1 112c0-8.75-7.26-16-16.01-16h-24.9c5.498-9.375 8.887-20.25 8.887-32c0-35.25-28.75-64-63.98-64S127.1 28.75 127.1 64c0 11.75 3.368 22.62 8.866 32H111.1C103.2 96 95.99 103.3 95.99 112l.0016 41.94C66.88 170.8 42.74 195 25.87 224h332.1C341.1 195 317.1 170.8 287.1 153.9zM191.9 96C174.4 96 159.9 81.5 159.9 64s14.51-32 32.01-32s31.97 14.5 31.97 32S209.4 96 191.9 96zM191.1 512c70.98 0 132.8-38.75 166-96H25.87C59.11 473.3 121 512 191.1 512zM372.6 256H11.39C4.271 276.1 0 297.5 0 320s4.068 44 11.19 64h361.6C379.9 364 384 342.5 384 320C383.9 297.5 379.7 276.1 372.6 256z"],
    "otter": [640, 512, [129446], "f700", "M224 160c8.836 0 16-7.164 16-16C240 135.2 232.8 128 224 128S208 135.2 208 144C208 152.8 215.2 160 224 160zM96 128C87.16 128 80 135.2 80 144C80 152.8 87.16 160 96 160s16-7.164 16-16C112 135.2 104.8 128 96 128zM474.4 64.12C466.8 63.07 460 69.07 460 76.73c0 5.959 4.188 10.1 9.991 12.36C514.2 99.46 544 160 544 192v112c0 8.844-7.156 16-16 16S512 312.8 512 304V212c0-14.87-15.65-24.54-28.94-17.89c-28.96 14.48-47.83 42.99-50.51 74.88C403.7 285.6 384 316.3 384 352v32H224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H132.4c-14.46 0-27.37-9.598-31.08-23.57C97.86 283.5 96 269.1 96 256V254.4C101.1 255.3 106.3 256 111.7 256c10.78 0 21.45-2.189 31.36-6.436L160 242.3l16.98 7.271C186.9 253.8 197.6 256 208.3 256c7.176 0 14.11-.9277 20.83-2.426C241.7 292 277.4 320 320 320l36.56-.0366C363.1 294.7 377.1 272.7 396.2 256H320c0-25.73 17.56-31.61 32.31-32C369.8 223.8 384 209.6 384 192c0-17.67-14.31-32-32-32c-15.09 0-32.99 4.086-49.28 13.06C303.3 168.9 304 164.7 304 160.3v-16c0-1.684-.4238-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7C274.6 58.26 236.3 32 191.7 32H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h160c123.9-1.166 224-101.1 224-226.2C639.9 156.9 567.8 76.96 474.4 64.12zM64 160.3v-16C64 108.9 92.86 80 128.3 80h63.32C227.1 80 256 108.9 256 144.3v16C256 186.6 234.6 208 208.3 208c-4.309 0-8.502-.8608-12.46-2.558L162.1 191.4c2.586-.3066 5.207-.543 7.598-1.631l8.314-3.777C186.9 182.3 192 174.9 192 166.7V160c0-6.723-5.996-12.17-13.39-12.17H141.4C133.1 147.8 128 153.3 128 160v6.701c0 8.15 5.068 15.6 13.09 19.25l8.314 3.777c2.391 1.088 5.012 1.324 7.598 1.631l-32.88 14.08C120.2 207.1 115.1 208 111.7 208C85.38 208 64 186.6 64 160.3z"],
    "outdent": [512, 512, ["dedent"], "f03b", "M32 64C32 46.33 46.33 32 64 32H448C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H64C46.33 96 32 81.67 32 64V64zM224 192C224 174.3 238.3 160 256 160H448C465.7 160 480 174.3 480 192C480 209.7 465.7 224 448 224H256C238.3 224 224 209.7 224 192zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H256C238.3 352 224 337.7 224 320C224 302.3 238.3 288 256 288H448zM32 448C32 430.3 46.33 416 64 416H448C465.7 416 480 430.3 480 448C480 465.7 465.7 480 448 480H64C46.33 480 32 465.7 32 448V448zM32.24 268.6C24 262.2 24 249.8 32.24 243.4L134.2 164.1C144.7 155.9 160 163.4 160 176.7V335.3C160 348.6 144.7 356.1 134.2 347.9L32.24 268.6z"],
    "outlet": [448, 512, [], "e01c", "M224 288C210.8 288 200 298.8 200 312v24h48V312C248 298.8 237.2 288 224 288zM160 192C151.2 192 144 199.2 144 208V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C176 199.2 168.8 192 160 192zM288 192c-8.836 0-16 7.164-16 16V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C304 199.2 296.8 192 288 192zM384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z"],
    "oven": [448, 512, [], "e01d", "M0 480c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32V192H0V480zM64 256h320v192H64V256zM384 0H64C28.63 0 0 28.62 0 64v96h448V64C448 28.62 419.4 0 384 0zM80 104c-13.25 0-24-10.75-24-24S66.75 56 80 56S104 66.75 104 80S93.25 104 80 104zM176 104c-13.25 0-24-10.75-24-24S162.8 56 176 56S200 66.75 200 80S189.3 104 176 104zM272 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S285.3 104 272 104zM368 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 104 368 104zM336 288h-224C103.2 288 96 295.2 96 304S103.2 320 112 320h224c8.838 0 16-7.164 16-16S344.8 288 336 288z"],
    "overline": [448, 512, [], "f876", "M224 128c-97.84 0-177.5 79.63-177.5 177.5v29.06c0 97.84 79.63 177.5 177.5 177.5s177.5-79.62 177.5-177.5V305.5C401.5 207.6 321.8 128 224 128zM337.5 334.5c0 62.56-50.91 113.5-113.5 113.5s-113.5-50.91-113.5-113.5V305.5c0-62.56 50.91-113.5 113.5-113.5s113.5 50.91 113.5 113.5V334.5zM416 .0147H32c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 .0147 416 .0147z"],
    "p": [320, 512, [112], "50", "M160 32.01H32c-17.69 0-32 14.33-32 32v384c0 17.67 14.31 32 32 32s32-14.33 32-32v-96h96c88.22 0 160-71.78 160-159.1S248.2 32.01 160 32.01zM160 288H64V96.01h96c52.94 0 96 43.06 96 96S212.9 288 160 288z"],
    "page": [384, 512, [], "e428", "M0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448z"],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", "M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM203.8 346.8L279.5 264.2C293.6 248.8 282.7 224 261.8 224H122.2C101.3 224 90.38 248.8 104.5 264.2L180.2 346.8C183.2 350.1 187.5 352 192 352C196.5 352 200.8 350.1 203.8 346.8z"],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", "M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM180.2 197.2L104.5 279.8C90.38 295.2 101.3 320 122.2 320H261.8C282.7 320 293.6 295.2 279.5 279.8L203.8 197.2C200.8 193.9 196.5 192 192 192C187.5 192 183.2 193.9 180.2 197.2V197.2z"],
    "pager": [512, 512, [128223], "f815", "M448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM160 368H80C71.13 368 64 360.9 64 352v-16C64 327.1 71.13 320 80 320H160V368zM288 352c0 8.875-7.125 16-16 16H192V320h80c8.875 0 16 7.125 16 16V352zM448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z"],
    "paint-roller": [512, 512, [], "f5aa", "M0 64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V128C416 163.3 387.3 192 352 192H64C28.65 192 0 163.3 0 128V64zM160 352C160 334.3 174.3 320 192 320V304C192 259.8 227.8 224 272 224H416C433.7 224 448 209.7 448 192V69.46C485.3 82.64 512 118.2 512 160V192C512 245 469 288 416 288H272C263.2 288 256 295.2 256 304V320C273.7 320 288 334.3 288 352V480C288 497.7 273.7 512 256 512H192C174.3 512 160 497.7 160 480V352z"],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", "M224 263.3C224.2 233.3 238.4 205.2 262.4 187.2L499.1 9.605C517.7-4.353 543.6-2.965 560.7 12.9C577.7 28.76 580.8 54.54 568.2 74.07L406.5 324.1C391.3 347.7 366.6 363.2 339.3 367.1L224 263.3zM320 400C320 461.9 269.9 512 208 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H68.81C86.44 448 98.4 429.1 96.59 411.6C96.2 407.8 96 403.9 96 400C96 339.6 143.9 290.3 203.7 288.1L319.8 392.5C319.9 394.1 320 397.5 320 400V400z"],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", "M559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4H559.6zM284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8L205.1 291.7L284.3 370.9z"],
    "paintbrush-pencil": [576, 512, [], "e206", "M306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3zM205 291.8L205.1 291.7L284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8V291.8zM194.4 257.2C188.4 256.4 182.2 256 176 256C175.2 256 174.3 256 173.5 256L50.75 133.3C25.75 108.3 25.75 67.74 50.75 42.75L74.18 19.32C99.17-5.678 139.7-5.678 164.7 19.32L298.5 153.1L194.4 257.2zM320 400C320 393.8 319.6 387.6 318.8 381.6L422.9 277.5L498.5 353.2C505.3 359.9 510.2 368.2 512.8 377.4L542.5 481.4C544.9 489.8 542.6 498.8 536.4 504.1C530.2 511.1 521.2 513.5 512.8 511.1L408.8 481.4C399.7 478.7 391.3 473.8 384.6 467.1L319.1 402.5C319.1 401.7 320 400.8 320 400H320z"],
    "palette": [512, 512, [127912], "f53f", "M512 255.1C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 319.1 441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V255.1zM96 255.1C78.33 255.1 64 270.3 64 287.1C64 305.7 78.33 319.1 96 319.1C113.7 319.1 128 305.7 128 287.1C128 270.3 113.7 255.1 96 255.1zM128 191.1C145.7 191.1 160 177.7 160 159.1C160 142.3 145.7 127.1 128 127.1C110.3 127.1 96 142.3 96 159.1C96 177.7 110.3 191.1 128 191.1zM256 63.1C238.3 63.1 224 78.33 224 95.1C224 113.7 238.3 127.1 256 127.1C273.7 127.1 288 113.7 288 95.1C288 78.33 273.7 63.1 256 63.1zM384 191.1C401.7 191.1 416 177.7 416 159.1C416 142.3 401.7 127.1 384 127.1C366.3 127.1 352 142.3 352 159.1C352 177.7 366.3 191.1 384 191.1z"],
    "pallet": [640, 512, [], "f482", "M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pallet-box": [640, 512, [], "e208", "M160 255.1h320c17.6 0 32-14.4 32-31.1V31.1c0-17.6-14.4-32-32-32l-96 0v128l-64-32l-64 32v-128L160 0c-17.6 0-32 14.4-32 32V224C128 241.6 142.4 255.1 160 255.1zM624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", "M96 255.1L288 256c17.6 0 32-14.4 32-32V31.1c0-17.6-14.4-31.1-32-31.1L96 0c-17.6 0-32 14.4-32 32V224C64 241.6 78.4 255.1 96 255.1zM416 255.1h128c17.6 0 32-14.4 32-31.1v-128c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 255.1 416 255.1zM624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pan-food": [576, 512, [129368], "e42b", "M567.2 125.1l-43.16-67.35c-16.69-25.95-51.38-33.64-77.34-16.92l-23.6 16.76c-77.08-52.42-181.1-57.13-264.6-3.637C75.81 106.1 36.71 202.2 51.04 293.4L25.79 309.6c-26 16.64-33.63 51.35-16.94 77.38l43.16 67.35c10.69 16.66 28.78 25.77 47.25 25.77c10.31-.0156 20.78-2.86 30.09-8.844l23.66-16.8c77.08 52.39 181.1 57.08 264.5 3.602c82.66-52.99 121.8-148.2 107.5-239.3l25.24-16.2C576.2 185.9 583.8 151.1 567.2 125.1zM103.5 430.8c-2.469 1.531-4.844 1.328-6.031 1.078c-1.219-.2656-3.469-1.078-5.031-3.5l-43.16-67.33c-2.375-3.719-1.312-8.688 2.438-11.08l12.27-7.87c5.742 14.89 13.06 29.43 22.01 43.39c8.795 13.72 18.78 26.22 29.69 37.5L103.5 430.8zM320 87.99c35.28 0 64 28.71 64 64c0 4.422-3.594 8.001-8 8.001h-112c-4.406 0-8-3.578-8-8.001C256 116.7 284.7 87.99 320 87.99zM272 215.1c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S248 253.3 248 240C248 226.7 258.7 215.1 272 215.1zM145.8 206.1c-7.781-7.813-7.781-20.47 0-28.28l32-32c7.812-7.813 20.5-7.813 28.31 0c7.781 7.813 7.781 20.47 0 28.28l-32 32C170.3 210 165.1 211.1 160 211.1S149.8 210 145.8 206.1zM256 416c-26.47 0-48-21.53-48-48v-25.38l-26.55-26.55C178.6 318.3 175.3 319.6 171.9 319.6c-4.094 0-8.188-1.563-11.31-4.688c-6.25-6.235-6.25-16.38 0-22.63l19.69-19.7c6.25-6.25 16.38-6.25 22.62 0c5.732 5.717 5.949 14.59 1.166 20.87l26.55 26.55H256c26.47 0 48 21.53 48 48C304 394.5 282.5 416 256 416zM368 392c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C392 381.3 381.3 392 368 392zM429.1 285.1c-12.59 12.58-29.12 18.88-45.66 18.88s-33.06-6.297-45.66-18.88c-1.5-1.5-2.344-3.531-2.344-5.657s.8438-4.157 2.344-5.657l80-80.01c3.094-3.11 8.156-3.141 11.31 0C441.3 205.1 448 222.2 448 239.4S441.3 272.9 429.1 285.1zM524.3 162.1L512.1 169.9c-5.746-14.91-13.07-29.47-22.03-43.45c-8.783-13.7-18.75-26.18-29.64-37.45l12.15-7.788c2.438-1.547 4.781-1.359 6.031-1.078c1.219 .2656 3.469 1.078 5.031 3.5l43.16 67.33C529.1 154.7 528.1 159.7 524.3 162.1z"],
    "pan-frying": [576, 512, [127859], "e42c", "M574.4 439.2c-3.844-15.95-14.12-29.53-28.34-37.58l-120.3-80.74C439.9 291.5 447.1 258.7 447.1 224c0-123.7-100.3-224-223.1-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 223.1 224c54.29 0 104-19.33 142.8-51.46l109.5 99.16C487.3 506.2 501.9 512 516.1 512c1.875 0 3.719-.0938 5.594-.2656c17.03-1.625 32.5-10.53 42.44-24.45S578.4 455.8 574.4 439.2zM342.4 267.3c-23.77 18.12-48.64 16.25-70.45 37c-28.84 27.31-55.8 59.88-102.3 43.19C138.6 336.3 114.3 305 112.1 272.1c-2.188-32.95 19.44-64.27 25-96.45c6.594-38.55 19.11-71.55 62.5-78.55C234.8 91.37 254 109.6 278.9 130.1c21.84 17.94 52.5 20.75 72.25 41.13C378.2 196.5 370.5 245.9 342.4 267.3zM514.5 465.1c-8.715 1.457-16.96-4.428-18.42-13.14c-1.457-8.715 4.428-16.96 13.14-18.42c8.715-1.457 16.96 4.428 18.42 13.14C529.1 455.4 523.2 463.6 514.5 465.1zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272S272 250.5 272 224S250.5 176 224 176z"],
    "pancakes": [512, 512, [129374], "e42d", "M256 431.1c-76.1 0-189.4-12.05-248.6-50.77C2.742 387.2 0 393.5 0 400c0 44.18 114.6 80 256 80s256-35.82 256-80c0-6.488-2.742-12.76-7.408-18.8C445.4 419.9 332.1 431.1 256 431.1zM256 351.1c-76.1 0-189.4-12.06-248.6-50.78C2.742 307.2 0 313.5 0 320c0 44.18 114.6 79.1 256 79.1S512 364.2 512 320c0-6.488-2.742-12.76-7.408-18.8C445.4 339.9 332.1 351.1 256 351.1zM85.14 137.4C91.62 139.6 96 145.7 96 152.5v118.1c0 16.71 12.22 31.64 28.86 33.23C143.9 305.7 160 290.7 160 272V171.7c0-9.447 8.182-16.76 17.57-15.74l.3203 .0352C185.9 156.9 192 163.7 192 171.8v50.85c0 16.71 12.22 31.64 28.86 33.22C239.9 257.7 256 242.7 256 224V175.9c0-8.656 6.885-15.83 15.54-16C388 157.7 480 129.9 480 96.05C480 60.7 379.7 32 256 32S32 60.7 32 96.05C32 111.8 52.02 126.3 85.14 137.4zM208 64.02h96c8.836 0 16 7.162 16 16c0 8.836-7.164 15.1-16 15.1h-96c-8.836 0-16-7.161-16-15.1C192 71.18 199.2 64.02 208 64.02zM288 224c0 5.34-.8516 10.45-2.09 15.41C413.2 234.8 512 201 512 160c0-9.426-5.488-18.43-15.07-26.83C455.2 179.2 337.8 189.2 288 191.3V224zM64 212.8v-48.95C42.03 155.3 25.78 144.9 15.1 133.1C5.5 141.5 0 150.6 0 160C0 180.3 24.28 198.7 64 212.8zM266.1 271.8C254.8 281.8 240.2 287.1 224 287.1c-2.037 0-4.1-.0957-6.176-.293C208.3 286.8 199.4 283.7 191.6 278.1C190.1 293.2 183.7 305.9 174.3 315.8C199.1 318.5 227.4 319.1 256 319.1c141.4 0 256-35.81 256-79.99c0-6.488-2.742-12.76-7.408-18.8C447.9 258.3 341.9 270.8 266.1 271.8zM68.44 294.3C65.58 286.9 64 278.9 64 270.6V246.4C42.53 239.7 23.03 231.4 7.408 221.2C2.742 227.2 0 233.5 0 240C0 260.1 26.09 280 68.44 294.3z"],
    "panel-ews": [512, 512, [], "e42e", "M448 0H64C28.64 0 0 28.64 0 64v224h32c35.36 0 64 28.64 64 64v32c0 17.66 14.34 32 32 32s32-14.34 32-32v-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32v32c0 17.66-14.34 32-32 32v32c0 35.36-28.64 64-64 64s-64-28.64-64-64v-32c0-17.66-14.34-32-32-32H0v128c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V64C512 28.64 483.4 0 448 0zM208 160h-96C103.2 160 96 152.8 96 144S103.2 128 112 128h96C216.8 128 224 135.2 224 144S216.8 160 208 160zM208 96h-96C103.2 96 96 88.83 96 80S103.2 64 112 64h96C216.8 64 224 71.17 224 80S216.8 96 208 96zM416 416c0 17.66-14.34 32-32 32h-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32V416zM400 160h-96C295.2 160 288 152.8 288 144S295.2 128 304 128h96C408.8 128 416 135.2 416 144S408.8 160 400 160zM400 96h-96C295.2 96 288 88.83 288 80S295.2 64 304 64h96C408.8 64 416 71.17 416 80S408.8 96 400 96z"],
    "panel-fire": [640, 512, [], "e42f", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C402.5 148.7 393 157.9 384 167.4V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V192C64 209.7 78.33 224 96 224H337.5C333.1 230.2 328.1 236.5 325.2 242.7C314.3 260.3 304.7 279.2 297.9 298.1C294.9 296.8 291.5 296 288 296C274.7 296 264 306.7 264 320C264 333.3 274.7 344 288 344L288.2 344C288.1 346 288 348.1 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296zM192 344C205.3 344 216 333.3 216 320C216 306.7 205.3 296 192 296C178.7 296 168 306.7 168 320C168 333.3 178.7 344 192 344zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "panorama": [640, 512, [], "e209", "M578.2 66.06C409.8 116.6 230.2 116.6 61.8 66.06C31 56.82 0 79.88 0 112v319.9c0 32.15 30.1 55.21 61.79 45.97c168.4-50.53 347.1-50.53 516.4-.002C608.1 487.2 640 464.1 640 431.1V112C640 79.88 609 56.82 578.2 66.06zM128 224C110.3 224 96 209.7 96 192s14.33-32 32-32c17.68 0 32 14.33 32 32S145.7 224 128 224zM474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z"],
    "paper-plane": [512, 512, [61913], "f1d8", "M511.6 36.86l-64 415.1c-1.5 9.734-7.375 18.22-15.97 23.05c-4.844 2.719-10.27 4.097-15.68 4.097c-4.188 0-8.319-.8154-12.29-2.472l-122.6-51.1l-50.86 76.29C226.3 508.5 219.8 512 212.8 512C201.3 512 192 502.7 192 491.2v-96.18c0-7.115 2.372-14.03 6.742-19.64L416 96l-293.7 264.3L19.69 317.5C8.438 312.8 .8125 302.2 .0625 289.1s5.469-23.72 16.06-29.77l448-255.1c10.69-6.109 23.88-5.547 34 1.406S513.5 24.72 511.6 36.86z"],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", "M511.1 255.1c0 12.8-7.625 24.38-19.41 29.41L44.6 477.4c-4.062 1.75-8.344 2.594-12.59 2.594c-8.625 0-17.09-3.5-23.28-10.05c-9.219-9.766-11.34-24.25-5.344-36.27l73.66-147.3l242.1-30.37L77.03 225.6l-73.66-147.3C-2.623 66.3-.4982 51.81 8.72 42.05c9.25-9.766 23.56-12.75 35.87-7.453L492.6 226.6C504.4 231.6 511.1 243.2 511.1 255.1z"],
    "paperclip": [448, 512, [128206], "f0c6", "M364.2 83.8C339.8 59.39 300.2 59.39 275.8 83.8L91.8 267.8C49.71 309.9 49.71 378.1 91.8 420.2C133.9 462.3 202.1 462.3 244.2 420.2L396.2 268.2C407.1 257.3 424.9 257.3 435.8 268.2C446.7 279.1 446.7 296.9 435.8 307.8L283.8 459.8C219.8 523.8 116.2 523.8 52.2 459.8C-11.75 395.8-11.75 292.2 52.2 228.2L236.2 44.2C282.5-2.08 357.5-2.08 403.8 44.2C450.1 90.48 450.1 165.5 403.8 211.8L227.8 387.8C199.2 416.4 152.8 416.4 124.2 387.8C95.59 359.2 95.59 312.8 124.2 284.2L268.2 140.2C279.1 129.3 296.9 129.3 307.8 140.2C318.7 151.1 318.7 168.9 307.8 179.8L163.8 323.8C157.1 330.5 157.1 341.5 163.8 348.2C170.5 354.9 181.5 354.9 188.2 348.2L364.2 172.2C388.6 147.8 388.6 108.2 364.2 83.8V83.8z"],
    "paperclip-vertical": [384, 512, [], "e3c2", "M32 128C32 57.31 89.31 0 160 0C230.7 0 288 57.31 288 128V320C288 364.2 252.2 400 208 400C163.8 400 128 364.2 128 320V160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V320C192 328.8 199.2 336 208 336C216.8 336 224 328.8 224 320V128C224 92.65 195.3 64 160 64C124.7 64 96 92.65 96 128V336C96 397.9 146.1 448 208 448C269.9 448 320 397.9 320 336V160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V336C384 433.2 305.2 512 208 512C110.8 512 32 433.2 32 336V128z"],
    "parachute-box": [512, 512, [], "f4cd", "M272 192V320H304C311 320 317.7 321.5 323.7 324.2L443.8 192H415.5C415.8 186.7 416 181.4 416 176C416 112.1 393.8 54.84 358.9 16.69C450 49.27 493.4 122.6 507.8 173.6C510.5 183.1 502.1 192 493.1 192H487.1L346.8 346.3C350.1 352.8 352 360.2 352 368V464C352 490.5 330.5 512 304 512H207.1C181.5 512 159.1 490.5 159.1 464V368C159.1 360.2 161.9 352.8 165.2 346.3L24.92 192H18.89C9 192 1.483 183.1 4.181 173.6C18.64 122.6 61.97 49.27 153.1 16.69C118.2 54.84 96 112.1 96 176C96 181.4 96.16 186.7 96.47 192H68.17L188.3 324.2C194.3 321.5 200.1 320 207.1 320H239.1V192H128.5C128.2 186.7 127.1 181.4 127.1 176C127.1 125 143.9 80.01 168.2 48.43C192.5 16.89 223.8 0 255.1 0C288.2 0 319.5 16.89 343.8 48.43C368.1 80.01 384 125 384 176C384 181.4 383.8 186.7 383.5 192H272z"],
    "paragraph": [448, 512, [182], "f1dd", "M448 63.1C448 81.67 433.7 96 416 96H384v352c0 17.67-14.33 32-31.1 32S320 465.7 320 448V96h-32v352c0 17.67-14.33 32-31.1 32S224 465.7 224 448v-96H198.9c-83.57 0-158.2-61.11-166.1-144.3C23.66 112.3 98.44 32 191.1 32h224C433.7 32 448 46.33 448 63.1z"],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", "M147.8 224h12.11v64C159.9 305.7 174.3 320 191.1 320s31.98-14.33 31.98-31.1V64h32v224c0 17.67 14.35 31.1 32.02 31.1s31.98-14.33 31.98-31.1V64c17.67 0 32-14.33 32-31.1S337.6 0 319.9 0h-175.1C80.36 0 32.53 47.41 31.94 110.8C31.37 173.1 85.57 224 147.8 224zM352 384H128v-48c0-6.203-3.595-11.86-9.22-14.48c-5.549-2.594-12.24-1.781-17.04 2.188l-96.01 80C2.11 406.8 0 411.3 0 416s2.11 9.25 5.75 12.3l96.01 80C104.7 510.7 108.3 512 112 512c2.299 0 4.633-.5 6.789-1.516C124.4 507.9 128 502.2 128 496V448h223.1C369.7 448 384 433.7 384 415.1C384 398.3 369.7 384 352 384z"],
    "party-bell": [512, 512, [], "e31a", "M91.63 341.5l249.8-249.8c16.35-16.35 13.21-43.46-6.113-56.17C288.7 4.783 229.4-8.34 166.1 5.498C87.38 23.14 23.14 87.38 5.498 166.1c-13.84 62.43-.7146 121.7 29.97 168.4C48.17 354.7 75.28 357.8 91.63 341.5zM487.1 208h-9.531c-32.56 0-63.19-14.34-84.03-39.38c-8.5-10.19-23.66-11.56-33.81-3.062c-10.19 8.5-11.56 23.62-3.062 33.81C387.6 235.3 431.6 256 478.5 256h9.531c13.25 0 24-10.75 24-24S501.2 208 487.1 208zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1s-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512s31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM492.1 440.1c-1.562-17.25-3.687-40.91-28.16-61.84c-24.47-20.88-48.16-19.28-65.5-18.25c-14.84 .9687-21.97 1.094-31.22-6.844c-9.188-7.844-10.16-14.75-11.5-29.59c-1.531-17.25-3.625-40.91-28.09-61.81c-10.06-8.625-25.19-7.438-33.84 2.656c-8.594 10.09-7.406 25.25 2.656 33.84c9.188 7.844 10.16 14.75 11.5 29.56c1.531 17.28 3.625 40.91 28.09 61.84c24.44 20.88 48.16 19.25 65.5 18.25c14.84-.9687 21.97-1.094 31.22 6.844c9.219 7.875 10.19 14.78 11.53 29.66c1.562 17.25 3.687 40.91 28.16 61.84C476.9 510.1 482.5 512 487.1 512c6.75 0 13.5-2.844 18.25-8.406c8.594-10.06 7.438-25.22-2.656-33.84C494.4 461.9 493.4 454.1 492.1 440.1zM199.4 357.6c-10.22-8.5-25.31-7.125-33.81 3.062s-7.125 25.31 3.062 33.81c25.03 20.84 39.37 51.47 39.37 84.03V488c0 13.25 10.75 24 23.1 24S256 501.3 256 488v-9.531C256 431.6 235.3 387.6 199.4 357.6zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448z"],
    "party-horn": [512, 512, [], "e31b", "M48.22 345.6l118.2 118.2l60.18-22.57L70.79 285.4L48.22 345.6zM2.035 468.7c-4.406 11.75-1.531 25 7.344 33.88C15.47 508.7 23.66 512 32 512c3.781 0 7.594-.6563 11.25-2.031l90.25-33.84l-97.63-97.63L2.035 468.7zM150.6 201.4C142.9 193.7 131.8 190.5 121.2 192.7c-10.62 2.312-19.37 9.844-23.19 20.03L83.13 252.5l176.4 176.4l39.75-14.9c10.19-3.812 17.72-12.56 20.03-23.19c2.281-10.62-.9683-21.72-8.656-29.41L150.6 201.4zM184 160c5.438 0 10.87-1.812 15.37-5.562c35.97-30 56.62-74.06 56.62-120.9V24c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24v9.531c0 32.56-14.34 63.19-39.37 84.03C158.4 126.1 157.1 141.2 165.6 151.4C170.3 157.1 177.1 160 184 160zM64 63.1c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.32-31.1-31.1-31.1S32 14.33 32 32C32 49.67 46.33 63.1 64 63.1zM487.1 256h-9.531C431.6 256 387.6 276.7 357.6 312.6c-8.5 10.19-7.125 25.31 3.062 33.81C365.1 350.2 370.6 352 375.1 352c6.875 0 13.69-2.938 18.44-8.625C415.3 318.3 445.9 304 478.5 304h9.531c13.25 0 23.1-10.75 23.1-24S501.2 256 487.1 256zM389.7 176c20.88-24.47 19.37-48.19 18.25-65.5c-.9687-14.97-1.062-21.97 6.844-31.22c7.875-9.219 14.78-10.19 29.66-11.53c17.25-1.562 40.91-3.688 61.84-28.16c8.594-10.06 7.438-25.22-2.656-33.84c-10.03-8.5-25.16-7.438-33.84 2.656c-7.875 9.219-14.78 10.19-29.66 11.53c-17.25 1.562-40.91 3.688-61.84 28.16c-20.88 24.47-19.37 48.19-18.25 65.5c.9687 14.97 1.062 21.97-6.844 31.22c-7.844 9.188-14.75 10.16-29.59 11.5c-17.25 1.531-40.91 3.625-61.81 28.09C253.2 194.5 254.3 209.7 264.4 218.3C268.9 222.1 274.5 224 279.1 224c6.781 0 13.5-2.844 18.25-8.406c7.844-9.188 14.75-10.16 29.56-11.5C345.1 202.6 368.7 200.5 389.7 176zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 430.3 497.7 416 479.1 416zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 142.3 497.7 128 479.1 128z"],
    "passport": [448, 512, [], "f5ab", "M129.6 208c5.25 31.25 25.62 57.13 53.25 70.38C175.3 259.4 170.3 235 168.8 208H129.6zM129.6 176h39.13c1.5-27 6.5-51.38 14.12-70.38C155.3 118.9 134.9 144.8 129.6 176zM224 286.8C231.8 279.3 244.8 252.3 247.4 208H200.5C203.3 252.3 216.3 279.3 224 286.8zM265.1 105.6C272.8 124.6 277.8 149 279.3 176h39.13C313.1 144.8 292.8 118.9 265.1 105.6zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM336 416h-224C103.3 416 96 408.8 96 400S103.3 384 112 384h224c8.75 0 16 7.25 16 16S344.8 416 336 416zM224 320c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S294.8 320 224 320zM265.1 278.4c27.62-13.25 48-39.13 53.25-70.38h-39.13C277.8 235 272.8 259.4 265.1 278.4zM200.6 176h46.88C244.7 131.8 231.8 104.8 224 97.25C216.3 104.8 203.2 131.8 200.6 176z"],
    "paste": [512, 512, ["file-clipboard"], "f0ea", "M320 96V80C320 53.49 298.5 32 272 32H215.4C204.3 12.89 183.6 0 160 0S115.7 12.89 104.6 32H48C21.49 32 0 53.49 0 80v320C0 426.5 21.49 448 48 448l144 .0013L192 176C192 131.8 227.8 96 272 96H320zM160 88C146.8 88 136 77.25 136 64S146.8 40 160 40S184 50.75 184 64S173.3 88 160 88zM416 128v96h96L416 128zM384 224L384 128h-112C245.5 128 224 149.5 224 176v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48V256h-95.99C398.4 256 384 241.6 384 224z"],
    "pause": [320, 512, [9208], "f04c", "M272 63.1l-32 0c-26.51 0-48 21.49-48 47.1v288c0 26.51 21.49 48 48 48L272 448c26.51 0 48-21.49 48-48v-288C320 85.49 298.5 63.1 272 63.1zM80 63.1l-32 0c-26.51 0-48 21.49-48 48v288C0 426.5 21.49 448 48 448l32 0c26.51 0 48-21.49 48-48v-288C128 85.49 106.5 63.1 80 63.1z"],
    "paw": [512, 512, [], "f1b0", "M226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85zM100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6zM69.21 401.2C121.6 259.9 214.7 224 256 224C297.3 224 390.4 259.9 442.8 401.2C446.4 410.9 448 421.3 448 431.7V433.3C448 459.1 427.1 480 401.3 480C389.8 480 378.4 478.6 367.3 475.8L279.3 453.8C263.1 450 248 450 232.7 453.8L144.7 475.8C133.6 478.6 122.2 480 110.7 480C84.93 480 64 459.1 64 433.3V431.7C64 421.3 65.6 410.9 69.21 401.2H69.21zM421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7zM310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7z"],
    "paw-claws": [512, 512, [], "f702", "M192 20.69V71.23C210.3 81.03 226.3 100.2 234.5 124.9C248.8 167.7 234.2 211.1 201.9 221.7C169.6 232.2 131.8 206 117.5 163.1C113.5 151.2 111.8 139.3 111.1 127.1C111.1 102.3 121.6 77.45 138.9 58.4L178.1 15.31C182.1 9.9 191.1 13.38 191.1 20.69L192 20.69zM310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C285.7 100.2 301.7 81.02 320 71.23V20.69C320 13.38 329 9.9 333.9 15.31L373.1 58.4C390.4 77.45 400 102.3 400 127.1C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7L310.1 221.7zM100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4C3.718 267.8-.0714 253.3 .001 240L0 236.8C0 223.3 4.285 210.1 12.24 199.2L49.53 147.9C54.09 141.6 64 144.9 64 152.6V196.8C77.93 202.1 91.11 214.7 100.4 230.6V230.6zM69.21 433.2C121.6 291.9 214.7 256 256 256C297.3 256 390.4 291.9 442.8 433.2C446.4 442.9 448 453.3 448 463.7V465.3C448 491.1 427.1 512 401.3 512C389.8 512 378.4 510.6 367.3 507.8L279.3 485.8C263.1 482 248 482 232.7 485.8L144.7 507.8C133.6 510.6 122.2 512 110.7 512C84.93 512 64 491.1 64 465.3V463.7C64 453.3 65.6 442.9 69.21 433.2H69.21zM421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C420.9 214.7 434.1 202.1 448 196.8V152.6C448 144.9 457.9 141.6 462.5 147.9L499.8 199.2C507.7 210.1 512 223.3 512 236.8V240C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7V314.7z"],
    "paw-simple": [448, 512, ["paw-alt"], "f701", "M192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80zM97.72 286C103.1 283.8 109.5 279.7 112.7 273.9L152.7 201.1C167.1 176.1 194.4 159.1 224 159.1C253.6 159.1 280.9 176.1 295.3 201.1L335.3 273.9C338.5 279.7 344 283.8 350.3 286C388.6 300 416 336.8 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 131.1 480C76.77 480 31.1 435.2 31.1 380C31.1 336.8 59.38 300 97.72 286H97.72zM256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80zM448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192zM0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192z"],
    "peace": [512, 512, [9774], "f67c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 445.1c-36.36-6.141-69.2-22.48-95.59-46.04L224 322.6V445.1zM288 322.6l95.59 76.47C357.2 422.6 324.4 438.1 288 445.1V322.6zM64 256c0-94.95 69.34-173.8 160-189.1v173.7l-135.7 108.6C72.86 321.6 64 289.8 64 256zM423.7 349.2L288 240.6V66.89C378.7 82.2 448 161.1 448 256C448 289.8 439.1 321.6 423.7 349.2z"],
    "peach": [512, 512, [], "e20b", "M338.7 112c-16.57 0-32.51 2.34-47.69 6.348C334.6 150.6 362.7 200.3 362.7 256c0 8.844-7.156 16-16 16s-16-7.156-16-16c0-83.62-75.24-144-157.3-144C77.6 112 0 183.6 0 272c0 165.1 256 240 256 240c14.35-4.504 256-85.4 256-240C512 183.6 434.4 112 338.7 112zM146.6 81.81c21.07-2.574 60.48-4.828 104.8 13.89c31.46-8.309 63.25-20.09 113.1-13.89C386.3 67.38 400 43.32 400 16V0h-63.1c-44.18 0-79.1 35.82-79.1 80C256 35.82 204.2 0 160 0H112v16C112 43.32 125.7 67.38 146.6 81.81z"],
    "peanut": [512, 512, [], "e430", "M510.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52l-54.71-1.67c-86.7-2.645-156.6 58.85-166.8 141.6c-2.229 18.05-9.619 34.78-22.2 47.36C176.5 201.6 159.7 209 141.7 211.2c-82.75 10.19-144.3 80.07-141.6 166.8l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52l54.71 1.672c86.7 2.643 156.6-58.85 166.8-141.6c2.229-18.05 9.615-34.78 22.19-47.36c12.58-12.58 29.31-19.97 47.36-22.2c82.76-10.19 144.3-80.07 141.6-166.8L510.2 79.27zM128 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S139 435.1 128 435.1zM192 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S203 435.1 192 435.1zM192 371.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S203 371.1 192 371.1zM351.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S363 211.1 351.1 211.1zM415.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 211.1 415.1 211.1zM415.1 147.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 147.1 415.1 147.1z"],
    "peanuts": [640, 512, [129372], "e431", "M96.1 378.1C93 277.5 165.9 191.8 265.8 179.5c11.63-1.434 21.54-5.951 28.65-13.06C301.5 159.3 306.1 149.4 307.5 137.8c1.525-12.39 4.166-24.34 7.783-35.79C313.1 93.71 310.1 85.48 306.3 77.4L287.1 36.82C272.5 6.141 235.7-8.252 205.1 4.84l-40.39 17.31c-64 27.44-94.68 97.4-74.9 163.1c4.309 14.33 4.424 29.42-.5996 43.14C84.22 242.1 74.46 253.3 62.05 261.1c-56.91 35.75-78.73 109.2-48.31 173.5l19.2 40.57c14.52 30.68 51.38 45.07 81.93 31.98l10.64-4.561c-16.34-18.9-26.95-42.8-27.74-68.9L96.1 378.1zM638.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52l-54.71-1.67c-86.7-2.645-156.6 58.85-166.8 141.6c-2.229 18.05-9.619 34.78-22.2 47.36C304.5 201.6 287.7 209 269.7 211.2c-82.76 10.19-144.3 80.07-141.6 166.8l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52l54.71 1.672c86.7 2.643 156.6-58.85 166.8-141.6c2.229-18.05 9.613-34.78 22.19-47.36c12.58-12.58 29.31-19.97 47.37-22.2c82.76-10.19 144.3-80.07 141.6-166.8L638.2 79.27zM255.9 436c-11.03 0-20-8.969-20-20s8.973-20 20-20s20 8.969 20 20S266.1 436 255.9 436zM319.9 436C308.9 436 299.9 427 299.9 416s8.972-20 20-20s20 8.969 20 20S330.1 436 319.9 436zM319.9 372C308.9 372 299.9 363 299.9 352s8.972-19.1 20-19.1S339.9 340.1 339.9 352S330.1 372 319.9 372zM479.1 212c-11.03 0-20-8.969-20-20s8.971-20 20-20s20 8.969 20 20S490.1 212 479.1 212zM543.1 212c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 212 543.1 212zM543.1 148c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 148 543.1 148z"],
    "peapod": [512, 512, [], "e31c", "M511.1 32.54c.4512-18.11-14.41-32.98-32.53-32.53c-61.21 1.524-195.9 15.29-282.5 101.9L101.9 196.9c-86.6 86.6-100.4 221.3-101.9 282.5c-.4513 18.11 14.41 32.98 32.53 32.53c61.21-1.525 195.9-15.3 282.5-101.9l95.06-95.03C496.7 228.5 510.5 93.75 511.1 32.54zM128 440c-30.93 0-56-25.07-56-56S97.07 327.1 128 327.1c30.93 0 56 25.07 56 56S158.9 440 128 440zM256 312c-30.93 0-56-25.07-56-56c0-30.93 25.07-56 56-56S312 225.1 312 256C312 286.9 286.9 312 256 312zM384 184C353.1 184 328 158.9 328 128s25.07-56 56-56C414.9 71.1 440 97.07 440 128S414.9 184 384 184z"],
    "pear": [512, 512, [], "e20c", "M512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031L422.4 55.62c-22.49-15.73-48.69-23.25-74.98-23.25c-36.48 0-73.17 14.54-100.5 41.99C176.3 145.3-.0002 138.6-.0002 319.5c0 106.3 86.58 192.5 192.2 192.5c181.5 0 171.3-173.1 248.5-251.4c26.03-26.11 38.94-60.2 38.94-94.35c0-26.69-7.883-53.41-23.55-76.39l48.87-48.87C509.7 36.28 512 30.14 512 24zM192 448c-8.844 0-16-7.156-16-16S183.2 416 192 416c52.94 0 96-43.06 96-96c0-8.844 7.156-16 16-16S320 311.2 320 320C320 390.6 262.6 448 192 448z"],
    "pedestal": [448, 512, [], "e20d", "M432 448h-416C7.164 448 0 455.2 0 464v32c0 8.836 7.151 15.99 15.99 15.99h416C440.8 511.1 448 504.8 448 496v-32C448 455.2 440.8 448 432 448zM416 64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v352h384V64zM112 96C103.2 96 96 88.84 96 80C96 71.16 103.2 64 112 64S128 71.16 128 80C128 88.84 120.8 96 112 96zM336 96C327.2 96 320 88.84 320 80C320 71.16 327.2 64 336 64S352 71.16 352 80C352 88.84 344.8 96 336 96z"],
    "pegasus": [576, 512, [], "f703", "M575.9 76.61c0-8.125-3.05-15.84-8.55-21.84c-3.875-4-8.595-9.125-13.72-14.5c11.12-6.75 19.46-17.51 22.21-30.63c.9999-5-2.849-9.641-7.974-9.641L447.9 0c-70.62 0-127.1 57.25-127.1 128C256 128 215.7 91.24 192.3 37.74C188.9 30.23 178.6 30.03 175.1 37.46c-9.692 20.57-15.15 43.35-15.15 67.65c0 66.1 51 133.1 127.1 147.7V256C205.1 256 144.6 198.5 130.1 133.1c-16.75 5.5-31.63 14.99-43 27.99L87.1 160C39.5 160 0 199.5 0 248V304C0 312.9 7.125 320 15.1 320h15.1c8.874 0 15.1-7.125 15.1-16L47.1 248c0-13.25 6.874-24.38 16.75-31.62C64.62 218.9 63.1 221.4 63.1 224c0 27.62 11.9 52.38 30.52 69.88l-25.67 68.61c-4.586 12.28-5.302 25.68-2.119 38.4l21.75 86.88C92.04 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.29-85.38l23.74-63.62l133.1 22.35V480c0 17.67 14.33 32 32 32h31.1c17.67 0 32-14.33 32-32V318.2C435.7 297.1 447.1 270.5 447.1 240c0-.25-.1025-.3828-.1025-.6328V136.9L463.9 144l18.99 37.8c7.435 14.77 25.05 21.47 40.39 15.3l32.58-13.06c12.18-4.899 20.16-16.68 20.13-29.8L575.9 76.61zM511.9 96c-8.75 0-15.1-7.125-15.1-16S503.1 64 511.9 64c8.874 0 15.1 7.125 15.1 16S520.8 96 511.9 96z"],
    "pen": [512, 512, [128394], "f304", "M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32zM421.7 220.3L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L291.7 90.34L421.7 220.3z"],
    "pen-circle": [512, 512, [], "e20e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM357.8 139.7C342.1 124.1 316.8 124.1 301.2 139.7L279.8 161.1L350.7 232.1L372.1 210.7C387.8 195 387.8 169.7 372.1 154.1L357.8 139.7zM143.5 303.8L128.5 363.1C127.1 369.4 128.7 375.2 132.7 379.2C136.7 383.1 142.4 384.7 147.9 383.4L208 368.3C213.6 366.9 218.8 364 222.9 359.9L328.1 254.7L257.1 183.8L151.9 288.1C147.8 293.1 144.9 298.2 143.5 303.8z"],
    "pen-clip": [512, 512, ["pen-alt"], "f305", "M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L440.6 201.4L310.6 71.43L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM240.1 114.9C231.6 105.5 216.4 105.5 207 114.9L104.1 216.1C95.6 226.3 80.4 226.3 71.03 216.1C61.66 207.6 61.66 192.4 71.03 183L173.1 80.97C201.2 52.85 246.8 52.85 274.9 80.97L417.9 224L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L254.1 128L240.1 114.9z"],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", "M192.5 125.6L237.1 80.97C265.2 52.85 310.8 52.85 338.9 80.97L481.9 224L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L192.5 125.6zM230.5 155.4L264.2 181.8L318.1 128L304.1 114.9C295.6 105.5 280.4 105.5 271 114.9L230.5 155.4zM163.5 282.5L195.8 250.3L341.2 364.8L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.7 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.35 499.3 62.89 491.2 64.46 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L163.5 282.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L504.6 201.4L374.6 71.43L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75z"],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", "M373.5 27.11C388.5 9.885 410.2 0 433 0C476.6 0 512 35.36 512 78.98C512 101.8 502.1 123.5 484.9 138.5L277.7 319L192.1 234.3L373.5 27.11zM255.1 341.7L235.9 425.1C231.9 442.2 218.9 455.8 202 460.5L24.35 510.3L119.7 414.9C122.4 415.6 125.1 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352C110.3 352 96 366.3 96 384C96 386.9 96.38 389.6 97.08 392.3L1.724 487.6L51.47 309.1C56.21 293.1 69.8 280.1 86.9 276.1L170.3 256.9L255.1 341.7z"],
    "pen-fancy-slash": [640, 512, [], "e210", "M287.1 199.7L437.5 27.11C452.5 9.886 474.2 .001 497 .001C540.6 .001 576 35.36 576 78.98C576 101.8 566.1 123.5 548.9 138.5L387.9 278.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L287.1 199.7zM299.9 425.1C295.9 442.2 282.9 455.8 266 460.5L88.35 510.3L183.7 414.9C186.4 415.6 189.1 416 192 416C209.7 416 224 401.7 224 384C224 366.3 209.7 352 192 352C174.3 352 160 366.3 160 384C160 386.9 160.4 389.6 161.1 392.3L65.72 487.7L115.5 309.1C120.2 293.1 133.8 280.1 150.9 276.1L211 262.3L317.1 346.5L299.9 425.1z"],
    "pen-field": [640, 512, [], "e211", "M623.8 37.88C642.7 56.77 642.5 87.43 623.5 106.1L583.7 145.1L494.4 55.74L534.1 16.02C552.8-2.736 583.2-2.742 601.9 16.01L623.8 37.88zM328.5 221.8L471.7 78.37L560.8 167.5L415.6 309.6C408.7 316.4 400.3 321.5 391.1 324.6L319.6 348.5C310.1 351.4 301.5 349.1 295 342.7C288.6 336.3 286.4 326.8 289.2 318.1L313 246.8C316.1 237.4 321.4 228.8 328.5 221.8H328.5zM272 128C289.7 128 304 142.3 304 160C304 177.7 289.7 192 272 192H80C71.16 192 64 199.2 64 208V432C64 440.8 71.16 448 80 448H496C504.8 448 512 440.8 512 432V304C512 286.3 526.3 272 544 272C561.7 272 576 286.3 576 304V432C576 476.2 540.2 512 496 512H80C35.82 512 0 476.2 0 432V208C0 163.8 35.82 128 80 128H272zM160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320zM192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320z"],
    "pen-line": [576, 512, [], "e212", "M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM58.57 323.5L291.7 90.34L421.7 220.3L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L58.57 323.5zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z"],
    "pen-nib": [512, 512, [10001], "f5ad", "M368.4 18.34C390.3-3.526 425.7-3.526 447.6 18.34L493.7 64.4C515.5 86.27 515.5 121.7 493.7 143.6L437.9 199.3L312.7 74.06L368.4 18.34zM417.4 224L371.4 377.3C365.4 397.2 350.2 413 330.5 419.6L66.17 508.2C54.83 512 42.32 509.2 33.74 500.9L187.3 347.3C193.6 350.3 200.6 352 207.1 352C234.5 352 255.1 330.5 255.1 304C255.1 277.5 234.5 256 207.1 256C181.5 256 159.1 277.5 159.1 304C159.1 311.4 161.7 318.4 164.7 324.7L11.11 478.3C2.809 469.7-.04 457.2 3.765 445.8L92.39 181.5C98.1 161.8 114.8 146.6 134.7 140.6L287.1 94.6L417.4 224z"],
    "pen-nib-slash": [640, 512, [], "e4a1", "M208.1 137.8L351.1 94.6L481.4 224L450.3 327.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L208.1 137.8zM67.77 445.8L146.4 211.3L231.4 278.3C226.7 285.8 223.1 294.6 223.1 304C223.1 311.4 225.7 318.4 228.7 324.7L75.11 478.3C66.81 469.7 63.96 457.2 67.77 445.8V445.8zM271.1 352C285.5 352 297.7 346.4 306.4 337.4L404.9 415C401.6 416.8 398.1 418.4 394.5 419.6L130.2 508.2C118.8 512 106.3 509.2 97.74 500.9L251.3 347.3C257.6 350.3 264.6 352 272 352H271.1zM432.4 18.34C454.3-3.525 489.7-3.525 511.6 18.34L557.7 64.4C579.5 86.27 579.5 121.7 557.7 143.6L501.9 199.3L376.7 74.06L432.4 18.34z"],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", "M95.6 16.4L226.3 147.1L147.1 226.3L16.4 95.6C-5.467 73.73-5.467 38.27 16.4 16.4C38.27-5.467 73.73-5.467 95.6 16.4H95.6zM400 512C346.4 512 301.5 474.3 290.6 423.9L423.9 290.6C474.3 301.5 512 346.4 512 400C512 403.9 511.8 407.8 511.4 411.6C509.6 429.1 521.6 448 539.2 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512L400 512zM524.7 42.75C549.7 67.74 549.7 108.3 524.7 133.3L468.3 189.7L354.3 75.72L410.7 19.32C435.7-5.678 476.3-5.678 501.3 19.32L524.7 42.75zM76.89 353.2L331.7 98.34L445.7 212.3L190.8 467.1C184.1 473.8 175.8 478.7 166.6 481.4L62.59 511.1C54.21 513.5 45.19 511.1 39.03 504.1C32.87 498.8 30.53 489.8 32.92 481.4L62.65 377.4C65.26 368.2 70.16 359.9 76.89 353.2z"],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", "M492.7 42.75C517.7 67.74 517.7 108.3 492.7 133.3L436.3 189.7L322.3 75.72L378.7 19.32C403.7-5.678 444.3-5.678 469.3 19.32L492.7 42.75zM44.89 353.2L299.7 98.34L413.7 212.3L158.8 467.1C152.1 473.8 143.8 478.7 134.6 481.4L30.59 511.1C22.21 513.5 13.19 511.1 7.03 504.1C.8669 498.8-1.47 489.8 .9242 481.4L30.65 377.4C33.26 368.2 38.16 359.9 44.89 353.2zM249.4 103.4L103.4 249.4L16 161.9C-2.745 143.2-2.745 112.8 16 94.06L94.06 16C112.8-2.745 143.2-2.745 161.9 16L181.7 35.76C181.4 36.05 181 36.36 180.7 36.69L116.7 100.7C110.4 106.9 110.4 117.1 116.7 123.3C122.9 129.6 133.1 129.6 139.3 123.3L203.3 59.31C203.6 58.99 203.1 58.65 204.2 58.3L249.4 103.4zM453.7 307.8C453.4 308 453 308.4 452.7 308.7L388.7 372.7C382.4 378.9 382.4 389.1 388.7 395.3C394.9 401.6 405.1 401.6 411.3 395.3L475.3 331.3C475.6 330.1 475.1 330.6 476.2 330.3L496 350.1C514.7 368.8 514.7 399.2 496 417.9L417.9 496C399.2 514.7 368.8 514.7 350.1 496L262.6 408.6L408.6 262.6L453.7 307.8z"],
    "pen-slash": [640, 512, [], "e213", "M264.3 181.8L355.7 90.35L485.7 220.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L122.6 323.5zM426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32z"],
    "pen-swirl": [512, 512, [], "e214", "M296.1 68.38C283.8 65.51 270.1 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C288.4 0 319.3 6.005 347.8 16.96L296.1 68.38zM310.6 349.4C316.1 347.7 322 347.4 327.1 348.1C335.6 350.9 343.7 352 352 352C405 352 448 309 448 255.1C448 242.3 446.6 228.1 443.8 216.1L495.2 164.7C506.1 193 512 223.8 512 255.1C512 344.4 440.4 416 352 416C338.2 416 324.8 414.3 312 410.1C294.9 406.6 284.6 389.1 289 371.1C289.8 368.7 291.2 365.7 292.8 363C299.2 359.2 305.2 354.6 310.6 349.4L310.6 349.4zM495.8 37.88C514.7 56.77 514.5 87.43 495.5 106.1L455.7 145.1L366.4 55.74L406.1 16.02C424.8-2.736 455.2-2.742 473.9 16.01L495.8 37.88zM200.5 221.8L343.7 78.37L432.8 167.5L287.6 309.6C280.7 316.4 272.3 321.5 263.1 324.6L191.6 348.5C182.1 351.4 173.5 349.1 167 342.7C160.6 336.3 158.4 326.8 161.2 318.1L185 246.8C188.1 237.4 193.4 228.8 200.5 221.8V221.8z"],
    "pen-to-square": [512, 512, ["edit"], "f044", "M490.3 40.4C512.2 62.27 512.2 97.73 490.3 119.6L460.3 149.7L362.3 51.72L392.4 21.66C414.3-.2135 449.7-.2135 471.6 21.66L490.3 40.4zM172.4 241.7L339.7 74.34L437.7 172.3L270.3 339.6C264.2 345.8 256.7 350.4 248.4 353.2L159.6 382.8C150.1 385.6 141.5 383.4 135 376.1C128.6 370.5 126.4 361 129.2 352.4L158.8 263.6C161.6 255.3 166.2 247.8 172.4 241.7V241.7zM192 63.1C209.7 63.1 224 78.33 224 95.1C224 113.7 209.7 127.1 192 127.1H96C78.33 127.1 64 142.3 64 159.1V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V319.1C384 302.3 398.3 287.1 416 287.1C433.7 287.1 448 302.3 448 319.1V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V159.1C0 106.1 42.98 63.1 96 63.1H192z"],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", "M421.7 220.3L188.5 453.4L154.6 419.5L158.1 416H112C103.2 416 96 408.8 96 400V353.9L92.51 357.4C87.78 362.2 84.31 368 82.42 374.4L59.44 452.6L137.6 429.6C143.1 427.7 149.8 424.2 154.6 419.5L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L291.7 90.34L421.7 220.3zM492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75z"],
    "pencil-slash": [640, 512, [], "e215", "M264.3 181.8L355.7 90.35L485.7 220.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4L218.6 419.5L222.1 416H175.1C167.2 416 159.1 408.8 159.1 400V353.9L156.5 357.4C151.8 362.2 148.3 368 146.4 374.4L123.4 452.6L201.6 429.6C207.1 427.7 213.8 424.2 218.6 419.5L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5V323.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75z"],
    "people": [640, 512, [], "e216", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 160 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM479.1 96c26.5 0 48-21.5 48-48S506.5 0 479.1 0S431.1 21.5 431.1 48S453.5 96 479.1 96zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L367.1 384H408v96c0 17.67 14.33 32 31.1 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h39.1l-43.75-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", "M96 304.1c0-12.16 4.971-23.83 13.64-32.01l72.13-68.08c1.65-1.555 3.773-2.311 5.611-3.578C177.1 176.8 155 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 31.1 32L32 480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96.39l-50.36-47.53C100.1 327.9 96 316.2 96 304.1zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM444.4 295.3L372.3 227.3c-3.49-3.293-8.607-4.193-13.01-2.299C354.9 226.9 352 231.2 352 236V272H224V236c0-4.795-2.857-9.133-7.262-11.03C212.3 223.1 207.2 223.1 203.7 227.3L131.6 295.3c-4.805 4.535-4.805 12.94 0 17.47l72.12 68.07c3.49 3.291 8.607 4.191 13.01 2.297C221.1 381.3 224 376.9 224 372.1V336h128v36.14c0 4.795 2.857 9.135 7.262 11.04c4.406 1.893 9.523 .9922 13.01-2.299l72.12-68.07C449.2 308.3 449.2 299.9 444.4 295.3zM512 160h-64c-26.1 0-49.98 16.77-59.38 40.42c1.842 1.271 3.969 2.027 5.623 3.588l72.12 68.06C475 280.2 480 291.9 480 304.1c.002 12.16-4.969 23.83-13.64 32.01L416 383.6V480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C576 188.7 547.3 160 512 160z"],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", "M128 95.1c26.5 0 47.1-21.5 47.1-47.1S154.5 0 128 0S80.01 21.5 80.01 47.1S101.5 95.1 128 95.1zM511.1 95.1c26.5 0 47.1-21.5 47.1-47.1S538.5 0 511.1 0c-26.5 0-48 21.5-48 47.1S485.5 95.1 511.1 95.1zM603.5 258.3l-18.5-80.13c-4.625-20-18.62-36.88-37.5-44.88c-18.5-8-38.1-6.75-56.12 3.25c-22.62 13.38-39.62 34.5-48.12 59.38l-11.25 33.88l-15.1 10.25L415.1 144c0-8.75-7.25-16-16-16H240c-8.75 0-16 7.25-16 16L224 239.1l-16.12-10.25l-11.25-33.88c-8.375-25-25.38-46-48.12-59.38c-17.25-10-37.63-11.25-56.12-3.25c-18.88 8-32.88 24.88-37.5 44.88l-18.37 80.13c-4.625 20 .7506 41.25 14.37 56.75l67.25 75.88l10.12 92.63C130 499.8 143.8 512 160 512c1.25 0 2.25-.125 3.5-.25c17.62-1.875 30.25-17.62 28.25-35.25l-10-92.75c-1.5-13-7-25.12-15.62-35l-43.37-49l17.62-70.38l6.876 20.38c4 12.5 11.87 23.5 24.5 32.63l51 32.5c4.623 2.875 12.12 4.625 17.25 5h159.1c5.125-.375 12.62-2.125 17.25-5l51-32.5c12.62-9.125 20.5-20 24.5-32.63l6.875-20.38l17.63 70.38l-43.37 49c-8.625 9.875-14.12 22-15.62 35l-10 92.75c-2 17.62 10.75 33.38 28.25 35.25C477.7 511.9 478.7 512 479.1 512c16.12 0 29.1-12.12 31.75-28.5l10.12-92.63L589.1 315C602.7 299.5 608.1 278.3 603.5 258.3zM46.26 358.1l-44 110c-6.5 16.38 1.5 35 17.88 41.63c16.75 6.5 35.12-1.75 41.62-17.88l27.62-69.13l-2-18.25L46.26 358.1zM637.7 468.1l-43.1-110l-41.13 46.38l-2 18.25l27.62 69.13C583.2 504.4 595.2 512 607.1 512c3.998 0 7.998-.75 11.87-2.25C636.2 503.1 644.2 484.5 637.7 468.1z"],
    "people-dress": [640, 512, [], "e217", "M159.1 96c26.5 0 48-21.5 48-48S186.5 0 159.1 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM253.9 173.1C236.3 144.9 205.8 128 172.5 128H147.5C114.2 128 83.75 144.9 66.06 173.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L47.1 384h40v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96H271.1L228.2 252.7l32.63 52.22C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L253.9 173.1zM480 96c26.5 0 48-21.5 48-48S506.5 0 480 0s-47.1 21.5-47.1 48S453.5 96 480 96zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.09-10.19l32.62-52.19L368 384H408v96c0 17.67 14.33 32 32 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32v-96h40l-43.76-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-dress-simple": [512, 512, [], "e218", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.26 14.21-46.15 34.81l-42.4 148.4C256.6 363.7 271.1 384 293.2 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM207.1 194.8C201.3 174.2 182.4 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8L6.452 343.2C.6113 363.7 15.96 384 37.22 384H64v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78c21.26 0 36.61-20.35 30.77-40.79L207.1 194.8z"],
    "people-group": [640, 512, [], "e533", "M184 88C184 118.9 158.9 144 128 144C97.07 144 72 118.9 72 88C72 57.07 97.07 32 128 32C158.9 32 184 57.07 184 88zM208.4 196.3C178.7 222.7 160 261.2 160 304C160 338.3 171.1 369.8 192 394.5V416C192 433.7 177.7 448 160 448H96C78.33 448 64 433.7 64 416V389.2C26.16 371.2 0 332.7 0 288C0 226.1 50.14 176 112 176H144C167.1 176 190.2 183.5 208.4 196.3V196.3zM64 245.7C54.04 256.9 48 271.8 48 288C48 304.2 54.04 319.1 64 330.3V245.7zM448 416V394.5C468 369.8 480 338.3 480 304C480 261.2 461.3 222.7 431.6 196.3C449.8 183.5 472 176 496 176H528C589.9 176 640 226.1 640 288C640 332.7 613.8 371.2 576 389.2V416C576 433.7 561.7 448 544 448H480C462.3 448 448 433.7 448 416zM576 330.3C585.1 319.1 592 304.2 592 288C592 271.8 585.1 256.9 576 245.7V330.3zM568 88C568 118.9 542.9 144 512 144C481.1 144 456 118.9 456 88C456 57.07 481.1 32 512 32C542.9 32 568 57.07 568 88zM256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96zM448 304C448 348.7 421.8 387.2 384 405.2V448C384 465.7 369.7 480 352 480H288C270.3 480 256 465.7 256 448V405.2C218.2 387.2 192 348.7 192 304C192 242.1 242.1 192 304 192H336C397.9 192 448 242.1 448 304zM256 346.3V261.7C246 272.9 240 287.8 240 304C240 320.2 246 335.1 256 346.3zM384 261.7V346.3C393.1 335 400 320.2 400 304C400 287.8 393.1 272.9 384 261.7z"],
    "people-line": [640, 512, [], "e534", "M360 72C360 94.09 342.1 112 320 112C297.9 112 280 94.09 280 72C280 49.91 297.9 32 320 32C342.1 32 360 49.91 360 72zM104 168C104 145.9 121.9 128 144 128C166.1 128 184 145.9 184 168C184 190.1 166.1 208 144 208C121.9 208 104 190.1 104 168zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608zM456 168C456 145.9 473.9 128 496 128C518.1 128 536 145.9 536 168C536 190.1 518.1 208 496 208C473.9 208 456 190.1 456 168zM200 352C200 369.7 185.7 384 168 384H120C102.3 384 88 369.7 88 352V313.5L61.13 363.4C54.85 375 40.29 379.4 28.62 373.1C16.95 366.8 12.58 352.3 18.87 340.6L56.75 270.3C72.09 241.8 101.9 224 134.2 224H153.8C170.1 224 185.7 228.5 199.2 236.6L232.7 174.3C248.1 145.8 277.9 128 310.2 128H329.8C362.1 128 391.9 145.8 407.3 174.3L440.8 236.6C454.3 228.5 469.9 224 486.2 224H505.8C538.1 224 567.9 241.8 583.3 270.3L621.1 340.6C627.4 352.3 623 366.8 611.4 373.1C599.7 379.4 585.2 375 578.9 363.4L552 313.5V352C552 369.7 537.7 384 520 384H472C454.3 384 440 369.7 440 352V313.5L413.1 363.4C406.8 375 392.3 379.4 380.6 373.1C368.1 366.8 364.6 352.3 370.9 340.6L407.2 273.1C405.5 271.5 404 269.6 402.9 267.4L376 217.5V272C376 289.7 361.7 304 344 304H295.1C278.3 304 263.1 289.7 263.1 272V217.5L237.1 267.4C235.1 269.6 234.5 271.5 232.8 273.1L269.1 340.6C275.4 352.3 271 366.8 259.4 373.1C247.7 379.4 233.2 375 226.9 363.4L199.1 313.5L200 352z"],
    "people-pants": [640, 512, [], "e219", "M159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 159.1 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM479.1 96c26.5 0 47.1-21.5 47.1-48S506.5 0 479.1 0S431.1 21.5 431.1 48S453.5 96 479.1 96zM635.1 271l-70.56-112.1C552.8 139.3 532.5 128 510.3 128h-60.5c-22.22 0-42.53 11.25-54.28 30.09l-70.6 112.1c-9.375 14.98-4.812 34.72 10.16 44.09c15 9.375 34.75 4.812 44.09-10.19L408 258.8L407.1 480c0 17.67 14.33 32 31.1 32s32-14.33 32-32L472 336h16L487.1 480c0 17.67 14.32 32 31.1 32s32-14.33 32-32L552 258.8l28.88 46.2C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-pants-simple": [448, 512, [], "e21a", "M128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"],
    "people-pulling": [576, 512, [], "e535", "M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48V48zM118.3 128C130.1 128 143.5 130.5 155.2 135.4L289.3 191.2C302.6 171.1 320.1 156.6 342.7 146.9L353.7 142C374.5 132.8 396.1 128 419.7 128C464.3 128 504.5 154.8 521.6 195.9L536.1 232.7L558.3 243.4C574.1 251.3 580.5 270.5 572.6 286.3C564.7 302.1 545.5 308.5 529.7 300.6L503 287.3C492.7 282.1 484.6 273.4 480.2 262.8L470.6 239.8L451.3 305.3L500.8 359.4C506.2 365.3 510.1 372.4 512 380.2L535 472.2C539.3 489.4 528.9 506.8 511.8 511C494.6 515.3 477.2 504.9 472.1 487.8L450.9 399.6L380.3 322.5C365.5 306.4 359.1 283.9 365.6 262.8L382.5 199.3C381.6 199.7 380.6 200.1 379.7 200.5L368.7 205.4C353.4 212.2 341.4 224.6 335.2 240.1L333.7 243.9C328.6 256.7 316.1 264.4 303 263.1C299.2 263.9 295.4 263.1 291.7 261.5L173.3 212.2L231.2 473.1C235.1 490.3 224.2 507.4 206.9 511.2C189.7 515.1 172.6 504.2 168.8 486.9L138.8 352H123.1L143.6 474.7C146.5 492.2 134.7 508.7 117.3 511.6C99.83 514.5 83.34 502.7 80.44 485.3L56.35 340.8C50.48 347.6 41.75 352 32 352C14.33 352 0 337.7 0 319.1V191.1C0 156.7 28.65 127.1 64 127.1L118.3 128zM416 48C416 21.49 437.5 0 464 0C490.5 0 512 21.49 512 48C512 74.51 490.5 96 464 96C437.5 96 416 74.51 416 48V48zM356.7 344.2L397.4 388.6L382.9 424.8C380.5 430.9 376.9 436.4 372.3 440.9L310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6C252.9 490.1 252.9 469.9 265.4 457.4L324.7 398L349.7 335.6C351.8 338.6 354.2 341.4 356.7 344.2H356.7z"],
    "people-robbery": [576, 512, [], "e536", "M496.1 24.24C501.2 7.093 518.6-3.331 535.8 .9552C552.9 5.242 563.3 22.62 559 39.76L550.3 74.63C539.3 118.6 510.1 154.2 472 174.3V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V352H392V480C392 497.7 377.7 512 360 512C342.3 512 328 497.7 328 480V174.3C289.9 154.2 260.7 118.6 249.7 74.63L240.1 39.76C236.7 22.62 247.1 5.242 264.2 .9552C281.4-3.331 298.8 7.093 303 24.24L311.8 59.1C321.9 99.59 358.3 127.1 400 127.1C441.7 127.1 478.1 99.59 488.2 59.1L496.1 24.24zM352 47.1C352 21.49 373.5-.0006 400-.0006C426.5-.0006 448 21.49 448 47.1C448 74.51 426.5 95.1 400 95.1C373.5 95.1 352 74.51 352 47.1V47.1zM32.01 48C32.01 21.49 53.5 0 80.01 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80.01 96C53.5 96 32.01 74.51 32.01 48V48zM104.7 128C132.1 128 157.6 142 172.2 165.1L209.6 224H240C257.7 224 272 238.3 272 256C272 273.7 257.7 288 240 288H192C181 288 170.9 282.4 164.1 273.1L152 252.7V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V352H72V480C72 497.7 57.68 512 40 512C22.33 512 8.005 497.7 8.005 480V288.6L8 287.1V191.1C8 156.7 36.65 127.1 72 127.1L104.7 128z"],
    "people-roof": [640, 512, [], "e537", "M623.5 164C638.1 172.6 644.6 192.1 635.1 207.5C627.4 222.1 607.9 228.6 592.5 219.1L319.1 68.61L47.54 219.1C32.09 228.6 12.61 222.1 4.025 207.5C-4.558 192.1 1.008 172.6 16.46 164L304.5 4.027C314.1-1.342 325.9-1.342 335.5 4.027L623.5 164zM279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200zM103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296V296zM535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296zM226.9 491.4L199.1 441.5V480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 255.1 310.2 255.1H329.8C362.1 255.1 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.2 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.1 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.2 503 226.9 491.4H226.9z"],
    "people-simple": [512, 512, [], "e21b", "M128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.26 14.21-46.15 34.81l-42.4 148.4C256.6 363.7 271.1 384 293.2 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2z"],
    "pepper": [512, 512, [129745], "e432", "M509.4 214.2l-53.34 224C445.5 482.3 406.2 512 362.7 512c-7.375 0-14.84-.8438-22.34-2.625c-11.38-2.711-21.59-7.611-30.79-13.74C294.3 505.1 275.9 512 255.1 512s-38.31-6.035-53.62-16.37c-9.195 6.131-19.41 11.03-30.79 13.74C164.1 511.2 156.6 512 149.3 512c-43.4 0-82.78-29.68-93.28-73.79L2.633 214.2c-12.28-51.57 19.56-103.4 71.12-115.6c13.25-3.154 26.47-3.322 39.06-1.076C86.07 124.6 73.43 164.4 83.56 203.1l44.97 168.2C130.5 379.3 136.9 384 143.1 384c1.344 0 2.75-.1719 4.125-.5469c8.531-2.281 13.62-11.05 11.34-19.59L114.5 195.9c-11.03-43.1 18.32-99.93 77.47-99.93c12.37 0 23.94 3.043 34.4 8.055C217.2 60.93 199.8 41.73 198.8 40.68C189.8 31.14 189.1 16.02 199.4 6.859c9.375-9.125 24.28-9.203 33.59 .1094c1.572 1.561 31.2 32.98 42.46 100.4c13.37-7.072 28.38-11.45 44.57-11.45c17.49 0 33.67 5.029 47.79 13.21c20.55-11.97 45.47-16.54 70.45-10.6C489.8 110.8 521.6 162.6 509.4 214.2z"],
    "pepper-hot": [512, 512, [127798], "f816", "M465 134.2c21.46-38.38 19.87-87.17-5.65-123.1c-7.541-10.83-22.31-13.53-33.2-5.938c-10.77 7.578-13.44 22.55-5.896 33.41c14.41 20.76 15.13 47.69 4.098 69.77C407.1 100.1 388 95.1 368 95.1c-36.23 0-68.93 13.83-94.24 35.92L352 165.5V256h90.56l33.53 78.23C498.2 308.9 512 276.2 512 239.1C512 198 493.7 160.6 465 134.2zM320 288V186.6l-52.95-22.69C216.2 241.3 188.5 400 56 400C25.13 400 0 425.1 0 456S25.13 512 56 512c180.3 0 320.1-88.27 389.3-168.5L421.5 288H320z"],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", "M374.6 73.39c-12.5-12.5-32.75-12.5-45.25 0l-320 320c-12.5 12.5-12.5 32.75 0 45.25C15.63 444.9 23.81 448 32 448s16.38-3.125 22.62-9.375l320-320C387.1 106.1 387.1 85.89 374.6 73.39zM64 192c35.3 0 64-28.72 64-64S99.3 64.01 64 64.01S0 92.73 0 128S28.7 192 64 192zM320 320c-35.3 0-64 28.72-64 64s28.7 64 64 64s64-28.72 64-64S355.3 320 320 320z"],
    "period": [128, 512, [], "2e", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352z"],
    "person": [320, 512, [129485, "male"], "f183", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352z"],
    "person-arrow-down-to-line": [640, 512, [], "e538", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H120L120 256.9zM200 448V352H184V448H200zM393.4 326.6C380.9 314.1 380.9 293.9 393.4 281.4C405.9 268.9 426.1 268.9 438.6 281.4L464 306.7V64C464 46.33 478.3 32 496 32C513.7 32 528 46.33 528 64V306.7L553.4 281.4C565.9 268.9 586.1 268.9 598.6 281.4C611.1 293.9 611.1 314.1 598.6 326.6L518.6 406.6C506.1 419.1 485.9 419.1 473.4 406.6L393.4 326.6z"],
    "person-arrow-up-from-line": [640, 512, [], "e539", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H120L120 256.9zM200 448V352H184V448H200zM598.6 121.4C611.1 133.9 611.1 154.1 598.6 166.6C586.1 179.1 565.9 179.1 553.4 166.6L528 141.3V384C528 401.7 513.7 416 496 416C478.3 416 464 401.7 464 384V141.3L438.6 166.6C426.1 179.1 405.9 179.1 393.4 166.6C380.9 154.1 380.9 133.9 393.4 121.4L473.4 41.37C485.9 28.88 506.1 28.88 518.6 41.37L598.6 121.4z"],
    "person-biking": [640, 512, [128692, "biking"], "f84a", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 312C88.24 312 56 344.2 56 384C56 423.8 88.24 456 128 456C167.8 456 200 423.8 200 384C200 344.2 167.8 312 128 312zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 312C472.2 312 440 344.2 440 384C440 423.8 472.2 456 512 456C551.8 456 584 423.8 584 384C584 344.2 551.8 312 512 312z"],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM166.3 163.9L122.3 108.9C116.7 101.8 117.1 91.51 125.2 86.1L190.4 37.22C218 16.48 257.2 21.45 278.8 48.44L293.7 67.11C299.3 74.16 298 84.49 290.8 89.9L188.4 166.7C181.5 171.9 171.7 170.6 166.3 163.9L166.3 163.9zM136 256C148.1 256 158.1 264.9 159.8 276.6C167.4 278.8 174.7 281.9 181.5 285.6C190.9 278.5 204.3 279.3 212.9 287.8L224.2 299.1C232.7 307.7 233.5 321.1 226.4 330.5C230.1 337.3 233.2 344.6 235.4 352.2C247.1 353.9 255.1 363.9 255.1 376V392C255.1 404.1 247.1 414.1 235.4 415.8C233.2 423.4 230.1 430.7 226.4 437.5C233.5 446.9 232.7 460.3 224.2 468.9L212.9 480.2C204.3 488.7 190.9 489.5 181.5 482.4C174.7 486.1 167.4 489.2 159.8 491.4C158.1 503.1 148.1 512 135.1 512H119.1C107.9 512 97.91 503.1 96.24 491.4C88.62 489.2 81.34 486.1 74.49 482.4C65.09 489.5 51.7 488.7 43.15 480.2L31.83 468.9C23.28 460.3 22.53 446.9 29.58 437.5C25.85 430.7 22.81 423.4 20.57 415.8C8.938 414.1 0 404.1 0 392V376C0 363.9 8.938 353.9 20.57 352.2C22.81 344.6 25.85 337.3 29.58 330.5C22.53 321.1 23.28 307.7 31.83 299.1L43.15 287.8C51.7 279.3 65.09 278.5 74.49 285.6C81.34 281.9 88.62 278.8 96.24 276.6C97.91 264.9 107.9 255.1 119.1 255.1L136 256zM128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448zM480.2 276.6C481.9 264.9 491.9 256 504 256H520C532.1 256 542.1 264.9 543.8 276.6C551.4 278.8 558.7 281.9 565.5 285.6C574.9 278.5 588.3 279.3 596.9 287.8L608.2 299.1C616.7 307.7 617.5 321.1 610.4 330.5C614.1 337.3 617.2 344.6 619.4 352.2C631.1 353.9 640 363.9 640 376V392C640 404.1 631.1 414.1 619.4 415.8C617.2 423.4 614.1 430.7 610.4 437.5C617.5 446.9 616.7 460.3 608.2 468.9L596.9 480.2C588.3 488.7 574.9 489.5 565.5 482.4C558.7 486.1 551.4 489.2 543.8 491.4C542.1 503.1 532.1 512 520 512H504C491.9 512 481.9 503.1 480.2 491.4C472.6 489.2 465.3 486.1 458.5 482.4C449.1 489.5 435.7 488.7 427.1 480.2L415.8 468.9C407.3 460.3 406.5 446.9 413.6 437.5C409.8 430.7 406.8 423.4 404.6 415.8C392.9 414.1 384 404.1 384 392V376C384 363.9 392.9 353.9 404.6 352.2C406.8 344.6 409.8 337.3 413.6 330.5C406.5 321.1 407.3 307.7 415.8 299.1L427.1 287.8C435.7 279.3 449.1 278.5 458.5 285.6C465.3 281.9 472.6 278.8 480.2 276.6L480.2 276.6zM512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320z"],
    "person-booth": [576, 512, [], "f756", "M192 496C192 504.8 199.3 512 208 512h32C248.8 512 256 504.8 256 496V320H192V496zM544 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C576 14.25 561.8 0 544 0zM64 128c26.5 0 48-21.5 48-48S90.5 32 64 32S16 53.5 16 80S37.5 128 64 128zM224 224H173.1L127.9 178.8C115.8 166.6 99.75 160 82.75 160H64C46.88 160 30.75 166.8 18.75 178.8c-12 12.12-18.72 28.22-18.72 45.35L0 480c0 17.75 14.25 32 31.88 32s32-14.25 32-32L64 379.3c.875 .5 1.625 1.375 2.5 1.75L95.63 424V480c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32v-56.5c0-9.875-2.375-19.75-6.75-28.62l-41.13-61.25V253l20.88 20.88C141.8 283 153.8 288 166.5 288H224c17.75 0 32-14.25 32-32S241.8 224 224 224zM192 32v160h64V0H224C206.3 0 192 14.25 192 32zM288 32l31.5 223.1l-30.88 154.6C284.3 431.3 301.6 448 320 448c15.25 0 27.99-9.125 32.24-30.38C353.3 434.5 366.9 448 384 448c17.75 0 32-14.25 32-32c0 17.75 14.25 32 32 32s32-14.25 32-32V0h-192V32z"],
    "person-breastfeeding": [448, 512, [], "e53a", "M144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80zM436.8 382.8L373.5 461.1C356.9 482.7 326.7 486 306 469.5C288.4 455.4 283.3 431.3 292.5 411.7L291.7 411.6C252.8 406.1 217.4 386.5 192 356.8V320C192 302.3 177.7 288 160 288C142.3 288 128 302.3 128 320V368C128 368.8 128 369.6 128.1 370.4L229.5 421.1C253.2 432.9 262.8 461.8 250.9 485.5C239.1 509.2 210.2 518.8 186.5 506.9L27.21 427.3C26.11 426.7 25.02 426.2 23.95 425.5C19.04 422.7 14.79 419.1 11.3 414.1C6.732 409.5 3.492 403.3 1.683 396.6C-1.576 384.6-.1811 371.4 6.459 359.9C7.098 358.8 7.776 357.8 8.489 356.7L75.56 256.1C102.3 216.1 147.2 192 195.4 192H270.6C317.1 192 360.7 214.5 387.8 252.3L438.5 323.2C440.7 326.2 442.5 329.4 443.9 332.7C446.9 339.3 448.2 346.4 447.1 353.5C447.7 364.1 443.8 374.5 436.8 382.8V382.8zM276 288C251.7 288 232 307.7 232 332C232 356.3 251.7 376 276 376C300.3 376 320 356.3 320 332C320 307.7 300.3 288 276 288z"],
    "person-burst": [640, 512, [], "e53b", "M431.1 48C431.1 21.49 453.5 0 479.1 0C506.5 0 527.1 21.49 527.1 48C527.1 74.51 506.5 96 479.1 96C453.5 96 431.1 74.51 431.1 48zM439.1 512C422.3 512 407.1 497.7 407.1 480V256.9L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L382.8 174.6C400.2 145.7 431.4 128 465.1 128H494.9C528.6 128 559.8 145.7 577.2 174.6L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L551.1 256.9V480C551.1 497.7 537.7 512 519.1 512C502.3 512 487.1 497.7 487.1 480V352H471.1V480C471.1 497.7 457.7 512 439.1 512L439.1 512zM220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "person-cane": [384, 512, [], "e53c", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM232 480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3L232 480zM320 384C320 397.3 309.3 408 296 408C282.7 408 272 397.3 272 384V376C272 345.1 297.1 320 328 320C358.9 320 384 345.1 384 376V488C384 501.3 373.3 512 360 512C346.7 512 336 501.3 336 488V376C336 371.6 332.4 368 328 368C323.6 368 320 371.6 320 376V384z"],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", "M80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM352 95.1h-128c-17.6 0-32 14.4-32 32v95.1H166.6L133.3 162.2C122.3 141.1 100.5 127.1 76.75 127.1H48c-26.51 0-48 21.49-48 48v102.1c0 18.75 8.25 36.38 22.38 48.62l76 65.13l14.12 92.5c1 5.625 10.12 30.62 36.75 26.25c17.5-2.875 29.25-19.37 26.38-36.75l-14.12-92.5C159 367.4 151.4 353.9 140 344.1L96 306.4V228.1l22.96 42.96C124.5 281.5 135.4 287.1 147.2 287.1L352 287.1c17.6 0 32-14.4 32-32V127.1C384 110.4 369.6 95.1 352 95.1zM0 479.9c0 17.75 14.25 31.1 32 31.1s32-14.2 32-31.95v-74.54c-16-13.62-63.38-54.63-64-55.13V479.9z"],
    "person-chalkboard": [640, 512, [], "e53d", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM152 512C134.3 512 120 497.7 120 480V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.58 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H320V48C320 21.49 341.5 .0003 368 .0003H592C618.5 .0003 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V224H384V256H576V64H384V128H400C417.7 128 432 142.3 432 160C432 177.7 417.7 192 400 192H264V480C264 497.7 249.7 512 232 512C214.3 512 200 497.7 200 480V352H184V480C184 497.7 169.7 512 152 512L152 512z"],
    "person-circle-check": [576, 512, [], "e53e", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "person-circle-exclamation": [576, 512, [], "e53f", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "person-circle-minus": [576, 512, [], "e540", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "person-circle-plus": [576, 512, [], "e541", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "person-circle-question": [576, 512, [], "e542", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.5 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "person-circle-xmark": [576, 512, [], "e543", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "person-digging": [576, 512, ["digging"], "f85e", "M272 95.93c26.5 0 47.99-21.47 47.99-47.97S298.5 0 272 0C245.5 0 224 21.47 224 47.97S245.5 95.93 272 95.93zM209.7 357.3c-25.75-17.25-52.25-33.24-79.5-48.11L58.62 270.2L1.246 471.1c-4.875 16.1 4.1 34.74 22 39.62s34.63-4.998 39.5-21.99l36.63-128.1l60.63 40.37v78.86c0 17.62 14.38 31.99 32 31.99s32-14.37 32-31.99l.0022-95.93C224 373.2 218.6 363.2 209.7 357.3zM311.1 416c-13.88 0-25.95 8.863-30.33 21.86l-24.75 74.07h319.9l-101.9-206.3c-11.38-22.49-43.1-23.63-56.1-2.01l-31.89 54.21l-65.26-35.64l-24-121.2C288.1 161.3 263.2 127.7 227.1 109.7c-1-.4999-2.125-.625-3.125-1.125c-2.25-1.125-4.752-1.1-7.252-2.625C201.5 99.85 185.2 95.98 168.7 95.98H95.1c-9.25 0-18.05 4.061-24.18 10.93l-55.95 63.92c-.75 .9998-1.5 2.124-2.25 3.249c-8.875 13.1-3 32.87 11.63 40.74l336.6 184.3l-9.837 16.87H311.1zM105.9 204.1l-23.5-12.87l28.13-32.12h34.38L105.9 204.1zM199.5 256.1l34.9-41.28l13.5 67.61L199.5 256.1z"],
    "person-dolly": [512, 512, [], "f4d0", "M331.2 360.6c2.25 8.502 11.13 13.63 19.63 11.25l117-31.26c8.502-2.251 13.5-11.13 11.25-19.63l-31.38-116.9c-2.376-8.502-11.13-13.63-19.63-11.25L311.1 224.1c-8.502 2.25-13.63 11.13-11.25 19.63L331.2 360.6zM0 479.1c0 17.75 14.25 32.01 32.01 32.01s32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5001 350.8 0 350.3V479.1zM503.5 373.8c-1.125-4.251-5.501-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.25-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l13 48.14L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.25 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.626 10.12 30.63 36.76 26.25C166.8 508.6 178.5 492.1 175.6 474.7l-14.13-92.51c-2.501-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l75.6-.0183l29.01 107.9c-19.83 13.82-31.36 38.47-25.9 65.5c4.866 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.376-1.125 6.876-5.501 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0S32 21.5 32 48.01S53.5 96.01 80.01 96.01z"],
    "person-dolly-empty": [512, 512, [], "f4d1", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01s32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5001 350.8 0 350.3V479.1zM503.5 373.8c-1.125-4.251-5.501-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.25-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l13 48.14L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.25 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.626 10.12 30.63 36.76 26.25C166.8 508.6 178.5 492.1 175.6 474.7l-14.13-92.51c-2.501-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l75.6-.0183l29.01 107.9c-19.83 13.82-31.36 38.47-25.9 65.5c4.866 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.376-1.125 6.876-5.501 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0S32 21.5 32 48.01S53.5 96.01 80.01 96.01z"],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", "M463.1 256c8.75 0 15.1-7.25 15.1-16S472.7 224 463.1 224c-8.75 0-15.1 7.25-15.1 16S455.2 256 463.1 256zM287.1 176c48.5 0 87.1-39.5 87.1-88S336.5 0 287.1 0S200 39.5 200 88S239.5 176 287.1 176zM80 256c8.75 0 15.1-7.25 15.1-16S88.75 224 80 224S64 231.3 64 240S71.25 256 80 256zM75.91 375.1c.6289-.459 41.62-29.26 100.1-50.05L176 432h223.1l-.0004-106.8c58.32 20.8 99.51 49.49 100.1 49.91C508.6 381.1 518.3 384 527.9 384c14.98 0 29.73-7 39.11-20.09c15.41-21.59 10.41-51.56-11.16-66.97c-1.955-1.391-21.1-14.83-51.83-30.85C495.5 279.2 480.7 288 463.1 288c-26.25 0-47.1-21.75-47.1-48c0-3.549 .4648-6.992 1.217-10.33C378.6 217.2 334.4 208 288 208c-59.37 0-114.1 15.01-160.1 32.67C127.6 266.6 106 288 80 288C69.02 288 58.94 284 50.8 277.7c-18.11 10.45-29.25 18.22-30.7 19.26c-21.56 15.41-26.56 45.38-11.16 66.97C24.33 385.5 54.3 390.4 75.91 375.1zM335.1 344c13.25 0 23.1 10.75 23.1 24s-10.75 24-23.1 24c-13.25 0-23.1-10.75-23.1-24S322.7 344 335.1 344zM240 248c13.25 0 23.1 10.75 23.1 24S253.3 296 240 296c-13.25 0-23.1-10.75-23.1-24S226.8 248 240 248zM559.1 464H16c-8.75 0-15.1 7.25-15.1 16l-.0016 16c0 8.75 7.25 16 15.1 16h543.1c8.75 0 15.1-7.25 15.1-16L575.1 480C575.1 471.3 568.7 464 559.1 464z"],
    "person-dress": [320, 512, ["female"], "f182", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM88 384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.43 148.6 114.9 128 154.2 128H165.8C205.1 128 241.6 148.6 261.8 182.3L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L226.7 248.1L264.1 362.9C268.4 373.3 260.7 384 249.8 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 384z"],
    "person-dress-burst": [640, 512, [], "e544", "M527.1 48C527.1 74.51 506.5 96 479.1 96C453.5 96 431.1 74.51 431.1 48C431.1 21.49 453.5 0 479.1 0C506.5 0 527.1 21.49 527.1 48zM375 362.9L413.3 248.1L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L378.2 182.3C398.4 148.6 434.9 128 474.2 128H485.8C525.1 128 561.6 148.6 581.8 182.3L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L546.7 248.1L584.1 362.9C588.4 373.3 580.7 384 569.8 384H551.1V480C551.1 497.7 537.7 512 519.1 512C502.3 512 487.1 497.7 487.1 480V384H471.1V480C471.1 497.7 457.7 512 439.1 512C422.3 512 407.1 497.7 407.1 480V384H390.2C379.3 384 371.6 373.3 375 362.9L375 362.9zM220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "person-dress-simple": [256, 512, [], "e21c", "M207.1 194.8l48.23 168.8C258.3 373.8 250.6 384 239.1 384h-47.99L192 480c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32l-.0002-96H16.01c-10.63 0-18.3-10.17-15.38-20.4l48.23-168.8C54.74 174.2 73.57 160 95 160h65.99C182.4 160 201.3 174.2 207.1 194.8zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128z"],
    "person-drowning": [576, 512, [], "e545", "M191.1 96.16C191.1 148.8 226.1 195.4 276.3 211.4C316.3 224.2 358.1 225.1 399.1 216.6L504.9 192.8C522.1 188.9 539.3 199.7 543.2 216.9C547.1 234.1 536.3 251.3 519.1 255.2L414.1 279.1C403.6 281.5 392.9 283.3 382.2 284.5L364.5 382.1C350.9 378.9 337.2 372.7 324.8 364.1C302.8 348.6 273.3 348.6 251.2 364.1C234 375.9 213.2 384.5 192 384.5C184.7 384.5 177 383.3 169.2 381.2L190.2 234.5C151.5 200.1 127.1 150.2 127.1 96.16V64C127.1 46.33 142.3 32 159.1 32C177.7 32 191.1 46.33 191.1 64V96.16zM255.1 127.1C255.1 92.65 284.7 63.1 320 63.1C355.3 63.1 384 92.65 384 127.1C384 163.3 355.3 191.1 320 191.1C284.7 191.1 255.1 163.3 255.1 127.1zM384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416H384z"],
    "person-falling": [448, 512, [], "e546", "M256 0C273.7 0 288 14.33 288 32V41.84C288 96.45 260.1 146.5 215.5 175.4L215.7 175.8L272.5 255.1H360C375.1 255.1 389.3 263.1 398.4 275.2L441.6 332.8C452.2 346.9 449.3 366.1 435.2 377.6C421.1 388.2 401 385.3 390.4 371.2L352 319.1H254.6L346.9 462.6C356.5 477.5 352.2 497.3 337.4 506.9C322.5 516.5 302.7 512.2 293.1 497.4L132.5 249.2C129.6 258.4 127.1 268.1 127.1 278.2V351.1C127.1 369.7 113.7 383.1 95.1 383.1C78.33 383.1 63.1 369.7 63.1 351.1V278.2C63.1 213 103.6 154.5 164.1 130.3C200.3 115.8 223.1 80.79 223.1 41.84V32C223.1 14.33 238.3 .0003 256 .0003L256 0zM32 80C32 53.49 53.49 32 80 32C106.5 32 128 53.49 128 80C128 106.5 106.5 128 80 128C53.49 128 32 106.5 32 80z"],
    "person-falling-burst": [640, 512, [], "e547", "M256 41.84C256 96.45 228.1 146.5 183.5 175.4L183.7 175.8L240.5 255.1H311.1C327.1 255.1 341.3 263.1 350.4 275.2L393.6 332.8C404.2 346.9 401.3 366.1 387.2 377.6C373.1 388.2 353 385.3 342.4 371.2L303.1 319.1H222.6L314.9 462.6C324.5 477.5 320.2 497.3 305.4 506.9C290.5 516.5 270.7 512.2 261.1 497.4L100.5 249.2C97.57 258.4 95.1 268.1 95.1 278.2V351.1C95.1 369.7 81.67 383.1 63.1 383.1C46.33 383.1 31.1 369.7 31.1 351.1V278.2C31.1 213 71.65 154.5 132.1 130.3C168.3 115.8 191.1 80.79 191.1 41.84V32C191.1 14.33 206.3 0 223.1 0C241.7 0 255.1 14.33 255.1 32L256 41.84zM96 79.1C96 106.5 74.51 127.1 48 127.1C21.49 127.1 0 106.5 0 79.1C0 53.49 21.49 31.1 48 31.1C74.51 31.1 96 53.49 96 79.1zM464 286.1L424.7 322.2C423.1 319.3 421.3 316.4 419.2 313.6L382.1 265.3L384.2 247.6L365.8 244.8C351.2 231.5 332.1 223.1 311.1 223.1H292.6C292.5 223.7 292.5 223.4 292.4 223.2C290.1 216.8 293.5 210.1 298.9 206.4L364.5 161.3L325 92.18C321.8 86.49 322.3 79.39 326.4 74.27C330.5 69.14 337.3 67.03 343.6 68.93L419.7 92.05L449.1 18.09C451.6 11.1 457.4 8 464 8C470.6 8 476.4 11.1 478.9 18.09L508.3 92.05L584.4 68.93C590.7 67.03 597.5 69.14 601.6 74.27C605.7 79.39 606.2 86.49 602.1 92.18L563.5 161.3L629.1 206.4C634.5 210.1 637 216.8 635.6 223.2C634.1 229.6 628.9 234.4 622.4 235.4L543.8 247.6L549.4 327C549.8 333.6 546.3 339.7 540.4 342.6C534.5 345.4 527.4 344.4 522.6 339.9L464 286.1z"],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", "M480 223.1h-44.01l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98l-71.1-21.13c-28.12-6.75-57.92-.4942-80.79 17.13l-39.71 30.47c-1.5 1.125-2.419 2.75-3.669 4.25C140.2 61.74 112.4 0 80 0C35.88 0 0 114.6 0 255.1s35.88 255.1 80 255.1c25.25 0 47.76-37.5 62.39-96h63.08c19.12 0 36.56-11.35 44.06-29.1l8.828-20.52l-10.64-6.273c-16.75-10-30-24.87-38-42.62l-14.84 34.51H154.1C158.1 320.1 160 288.1 160 255.1c0-20.25-.7227-39.77-2.223-58.64c11.25 7.875 26.35 8.39 37.72-.36L235.1 166.6c7.75-6 17.46-7.922 25.33-6.172l14.65 4.333L237.7 252.2C225.1 281.7 236.4 316.1 264 332.5l84.98 50.18L321.5 470.4c-5.25 16.87 4.086 34.86 20.96 40.11c16.88 5.25 34.71-4.069 40.09-20.94l31.68-101.1c5.875-21-3.042-43.26-21.67-54.38l-61.21-36.13l31.27-78.34l20.26 41.48c8.125 16.38 24.86 26.76 43.11 26.88H480c17.62 0 32-14.37 32-31.1C512 238.2 497.6 223.1 480 223.1zM368 96c26.5 0 48-21.5 48-47.1S394.5 0 368 0s-48.01 21.5-48.01 48S341.5 96 368 96z"],
    "person-half-dress": [320, 512, [], "e548", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM168 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480L168 128zM58.18 182.3C78.06 149.2 113.5 128.8 152 128V480.2C151.9 497.8 137.6 512 120 512C102.3 512 88 497.7 88 480V384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3z"],
    "person-harassing": [576, 512, [], "e549", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48V48zM15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4H15.52zM480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240zM464 344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344V446.1C576 482.5 546.5 512 510.1 512C492.6 512 475.8 505.1 463.4 492.7L408.8 438L380.6 494.3C372.7 510.1 353.5 516.5 337.7 508.6C321.9 500.7 315.5 481.5 323.4 465.7L371.4 369.7C375.1 360.5 384.7 354.1 394.9 352.4C405 350.8 415.4 354.1 422.6 361.4L464 402.7V344zM288 48C288 39.16 295.2 32 304 32H360C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 288 56.84 288 48zM335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7z"],
    "person-hiking": [384, 512, ["hiking"], "f6ec", "M240 96c26.5 0 48-21.5 48-48S266.5 0 240 0C213.5 0 192 21.5 192 48S213.5 96 240 96zM80.01 287.1c7.31 0 13.97-4.762 15.87-11.86L137 117c.3468-1.291 .5125-2.588 .5125-3.866c0-7.011-4.986-13.44-12.39-15.13C118.4 96.38 111.7 95.6 105.1 95.6c-36.65 0-70 23.84-79.32 59.53L.5119 253.3C.1636 254.6-.0025 255.9-.0025 257.2c0 7.003 4.961 13.42 12.36 15.11L76.01 287.5C77.35 287.8 78.69 287.1 80.01 287.1zM368 160h-15.1c-8.875 0-15.1 7.125-15.1 16V192h-34.75l-46.75-46.75C243.4 134.1 228.6 128 212.9 128C185.9 128 162.5 146.3 155.9 172.5L129 280.3C128.4 282.8 128 285.5 128 288.1c0 8.325 3.265 16.44 9.354 22.53l86.62 86.63V480c0 17.62 14.37 32 31.1 32s32-14.38 32-32v-82.75c0-17.12-6.625-33.13-18.75-45.25l-46.87-46.88c.25-.5 .5-.875 .625-1.375l19.1-79.5l22.37 22.38C271.4 252.6 279.5 256 288 256h47.1v240c0 8.875 7.125 16 15.1 16h15.1C376.9 512 384 504.9 384 496v-320C384 167.1 376.9 160 368 160zM81.01 472.3c-.672 2.63-.993 5.267-.993 7.86c0 14.29 9.749 27.29 24.24 30.89C106.9 511.8 109.5 512 112 512c14.37 0 27.37-9.75 30.1-24.25l25.25-101l-52.75-52.75L81.01 472.3z"],
    "person-military-pointing": [512, 512, [], "e54a", "M366.7 1.443C376 .6658 384 8.027 384 17.39V47.1C384 56.84 376.8 63.1 368 63.1H216.1C203.2 63.1 192 52.81 192 39C192 25.1 201.1 15.17 214.9 14.09L366.7 1.443zM208 111.1C208 106.5 208.6 101.2 209.6 95.1H366.4C367.5 101.2 368 106.5 368 111.1C368 156.2 332.2 191.1 288 191.1C243.8 191.1 208 156.2 208 111.1V111.1zM313.2 223.1C327.6 223.1 341.6 226.3 354.9 230.5L192 393.4V303.1H40.01C17.92 303.1 .0077 286.1 .0077 263.1C.0077 241.9 17.92 223.1 40.01 223.1H313.2zM430.3 290.8L506.4 419.7C517.7 438.7 511.4 463.2 492.4 474.4C473.3 485.7 448.8 479.4 437.6 460.3L384 369.7V416H214.6L385.7 244.9C403.7 256.3 419.1 271.9 430.3 290.8V290.8zM384 448V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480V448H384z"],
    "person-military-rifle": [448, 512, [], "e54b", "M128 39C128 25.1 137.1 15.17 150.9 14.09L302.7 1.443C312 .6658 320 8.027 320 17.39V47.1C320 56.84 312.8 63.1 304 63.1H152.1C139.2 63.1 128 52.81 128 39V39zM302.4 95.1C303.5 101.2 304 106.5 304 111.1C304 156.2 268.2 191.1 224 191.1C179.8 191.1 144 156.2 144 111.1C144 106.5 144.6 101.2 145.6 95.1H302.4zM373.6 460.3L320 369.7V480C320 481.3 319.9 482.5 319.8 483.8L145.5 234.9C162.1 227.8 180.2 223.1 198.8 223.1H249.2C265.1 223.1 280.6 226.8 295 231.9L389.9 67.71C382.2 63.3 379.6 53.51 384 45.86C388.4 38.21 398.2 35.58 405.9 40L433.6 56C441.2 60.42 443.8 70.21 439.4 77.86L383.1 173.9L385.6 174.9C400.9 183.7 406.1 203.3 397.3 218.6L360.6 282C362.6 284.9 364.5 287.8 366.3 290.8L442.4 419.7C453.7 438.7 447.4 463.2 428.4 474.4C409.3 485.7 384.8 479.4 373.6 460.3V460.3zM264 319.1C277.3 319.1 288 309.3 288 295.1C288 282.7 277.3 271.1 264 271.1C250.7 271.1 240 282.7 240 295.1C240 309.3 250.7 319.1 264 319.1zM160 512C142.3 512 128 497.7 128 480V369.7L74.44 460.3C63.21 479.4 38.68 485.7 19.66 474.4C.6381 463.2-5.669 438.7 5.569 419.7L81.7 290.8C91.06 274.1 103.4 261.5 117.7 250.8L299.1 510C295.6 511.3 291.9 512 288 512L160 512z"],
    "person-military-to-person": [512, 512, [], "e54c", "M182.2 .0998C191.7-.9534 200 6.466 200 16V30.13C200 38.91 192.9 46.05 184.1 46.13H72.74C63.48 46.04 56 38.52 56 29.24C56 20.64 62.47 13.41 71.02 12.46L182.2 .0998zM192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96C64 89.8 64.88 83.8 66.53 78.13H189.5C191.1 83.8 192 89.8 192 96V96zM32 256C32 237.2 40.09 220.3 52.97 208.6L197.2 319.6C195.5 319.9 193.8 320 192 320H64C46.33 320 32 305.7 32 288L32 256zM222.2 298.5L85.05 192.9C88.61 192.3 92.27 191.1 96 191.1H160C195.3 191.1 224 220.7 224 255.1V287.1C224 291.7 223.4 295.2 222.2 298.5V298.5zM320 96C320 60.65 348.7 31.1 384 31.1C419.3 31.1 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96zM416 192C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256C288 220.7 316.7 192 352 192H416zM151.8 506.1C141.8 514.8 126.7 513.8 117.9 503.8C109.2 493.8 110.2 478.7 120.2 469.9L136.1 456L23.1 455.1C10.74 455.1-.0003 445.2 0 431.1C.0003 418.7 10.75 407.1 24 407.1L136.1 408L120.2 394.1C110.2 385.3 109.2 370.2 117.9 360.2C126.7 350.2 141.8 349.2 151.8 357.9L215.8 413.9C221 418.5 224 425.1 224 431.1C224 438.9 221 445.5 215.8 450.1L151.8 506.1zM296.2 413.9L360.2 357.9C370.2 349.2 385.3 350.2 394.1 360.2C402.8 370.2 401.8 385.3 391.8 394.1L375.9 407.1L488 407.1C501.3 407.1 512 418.7 512 431.1C512 445.2 501.3 455.1 488 455.1L375.9 455.1L391.8 469.9C401.8 478.7 402.8 493.8 394.1 503.8C385.3 513.8 370.2 514.8 360.2 506.1L296.2 450.1C290.1 445.5 288 438.9 288 431.1C288 425.1 290.1 418.5 296.2 413.9H296.2z"],
    "person-pinball": [640, 512, [], "e21d", "M80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM0 352.1V480c0 17.67 14.33 32 32 32s32-14.33 32-32v-74.01l-61.52-51.27C1.551 353.9 .8945 352.9 0 352.1zM624 0h-96C519.2 0 512 7.162 512 16v42.81c0 3.439 .5547 6.855 1.643 10.12l40.79 122.4L253.8 244.1C249.3 232.8 237.8 224 224 224H163.8L129 154.5C120.8 138.2 104.4 128 86.13 128L48 127.1c-26.47 0-48 21.53-48 47.1V281C0 300 8.375 317.9 23.03 330.2L96 391V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-89c0-19-8.375-36.91-23.03-49.19L96 307.7V231.5l19.38 38.78C120.8 281.2 131.9 288 144 288L192 287.1v208C192 504.8 199.2 512 208 512h32C248.8 512 256 504.8 256 496V384h320v112c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-15.1V16C640 7.162 632.8 0 624 0zM264 328c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S288 290.7 288 304C288 317.3 277.3 328 264 328z"],
    "person-praying": [384, 512, [128720, "pray"], "f683", "M255.1 128c35.38 0 63.1-28.62 63.1-64s-28.62-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128zM225.4 297.8c14 16.75 39 19.12 56.01 5.25l88.01-72c17-14 19.5-39.25 5.625-56.38c-14-17.12-39.25-19.5-56.38-5.625L261.3 216l-39-46.25c-15.38-18.38-39.13-27.88-64.01-25.38c-24.13 2.5-45.25 16.25-56.38 37l-49.38 92C29.13 317 43.88 369.8 86.76 397.1L131.5 432H40C17.88 432 0 449.9 0 472S17.88 512 40 512h208c34.13 0 53.76-42.75 28.25-68.25L166.4 333.9L201.3 269L225.4 297.8z"],
    "person-pregnant": [320, 512, [], "e31e", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM88 382.1C74.2 379.4 64 366.9 64 352V296.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C77.84 149.6 103.2 133 131.5 128.1C135.6 128.3 139.8 128 144 128H160C161.4 128 162.8 128.1 164.1 128.3C199.8 131.2 229.5 157.6 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 320V352C320 369.7 305.7 384 288 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 382.1z"],
    "person-rays": [512, 512, [], "e54d", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM248 352V480C248 497.7 233.7 512 216 512C198.3 512 184 497.7 184 480V256.9L155.4 304.5C146.3 319.6 126.7 324.5 111.5 315.4C96.37 306.3 91.47 286.7 100.6 271.5L158.8 174.6C176.2 145.7 207.4 128 241.1 128H270.9C304.6 128 335.8 145.7 353.2 174.6L411.4 271.5C420.5 286.7 415.6 306.3 400.5 315.4C385.3 324.5 365.7 319.6 356.6 304.5L328 256.9V480C328 497.7 313.7 512 296 512C278.3 512 264 497.7 264 480V352L248 352zM7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L120.1 87.03C130.3 96.4 130.3 111.6 120.1 120.1C111.6 130.3 96.4 130.3 87.03 120.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029V7.029zM471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L424.1 120.1C415.6 130.3 400.4 130.3 391 120.1C381.7 111.6 381.7 96.4 391 87.03L471 7.029zM7.029 471L87.03 391C96.4 381.7 111.6 381.7 120.1 391C130.3 400.4 130.3 415.6 120.1 424.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM391 424.1C381.7 415.6 381.7 400.4 391 391C400.4 381.7 415.6 381.7 424.1 391L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L391 424.1z"],
    "person-rifle": [576, 512, [], "e54e", "M265.2 192C290.6 192 315 199.1 336 211.9V512H144V337.7L90.44 428.3C79.21 447.4 54.68 453.7 35.66 442.4C16.64 431.2 10.33 406.7 21.57 387.7L97.7 258.8C122.2 217.4 166.7 192 214.8 192L265.2 192zM320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80C160 35.82 195.8 .0003 240 .0003C284.2 .0003 320 35.82 320 80zM464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400H484L507 492.1C509.6 502.2 501.9 512 491.5 512H432C423.2 512 416 504.8 416 496V400H400C382.3 400 368 385.7 368 368V224C368 206.3 382.3 192 400 192V160C400 148.2 406.4 137.8 416 132.3V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0H448C456.8 0 464 7.164 464 16V16z"],
    "person-running": [448, 512, [127939, "running"], "f70c", "M400 224h-44l-26.12-53.25c-12.5-25.5-35.38-44.25-61.75-51L197 98.63C189.5 96.84 181.1 95.97 174.5 95.97c-20.88 0-41.33 6.81-58.26 19.78L76.5 146.3C68.31 152.5 64.01 162 64.01 171.6c0 17.11 13.67 32.02 32.02 32.02c6.808 0 13.67-2.158 19.47-6.616l39.63-30.38c5.92-4.488 13.01-6.787 19.53-6.787c2.017 0 3.981 .2196 5.841 .6623l14.62 4.25l-37.5 87.5C154.1 260.3 152.5 268.8 152.5 277.2c0 22.09 11.49 43.52 31.51 55.29l85 50.13l-27.5 87.75c-.9875 3.174-1.458 6.388-1.458 9.55c0 13.65 8.757 26.31 22.46 30.58C265.6 511.5 268.9 512 272 512c13.62 0 26.25-8.75 30.5-22.5l31.75-101c1.211-4.278 1.796-8.625 1.796-12.93c0-16.57-8.661-32.51-23.55-41.44l-61.13-36.12l31.25-78.38l20.25 41.5C310.9 277.4 327.9 288 345.1 288H400c17.62 0 32-14.38 32-32C432 238.3 417.6 224 400 224zM288 96c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S261.5 96 288 96zM129.8 317.5L114.9 352H48c-17.62 0-32 14.38-32 32s14.38 32 32 32h77.5c19.25 0 36.5-11.5 44-29.12l8.875-20.5l-10.75-6.25C150.4 349.9 137.6 334.8 129.8 317.5z"],
    "person-seat": [384, 512, [], "e21e", "M144 96c26.51 0 48-21.49 48-48s-21.49-48-48-48S96 21.49 96 48S117.5 96 144 96zM352 416h-19.75l-12.5-99.97C317.8 300 304.1 288 288 288h-96V256h64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32h-64V176C192 149.5 170.5 128 144 128S96 149.5 96 176v128C96 330.5 117.5 352 144 352c1.826 0 3.559-.3398 5.332-.5391C150.3 351.5 151.1 352 152 352h107.8l12.5 99.97C274.3 467.1 287.9 480 304 480H352c17.67 0 32-14.31 32-32S369.7 416 352 416zM192 384H128c-35.3 0-64-28.72-64-64V160c0-17.69-14.33-32-32-32S0 142.3 0 160v160c0 70.59 57.42 128 128 128h64c17.67 0 32-14.31 32-32S209.7 384 192 384z"],
    "person-seat-reclined": [448, 512, [], "e21f", "M144 96c26.51 0 47.1-21.49 47.1-48S170.5 0 144 0C117.5 0 96.01 21.49 96.01 48S117.5 96 144 96zM416 416h-25.83l-40.2-107.3C345.3 296.3 333.3 288 320 288H221.8L215.8 256h80.17c17.67 0 31.1-14.33 31.1-32c0-17.67-14.33-32-31.1-32H203.8L199.2 167.2C194.3 141.1 169.3 123.9 143.2 128.8C117.1 133.7 99.94 158.8 104.8 184.8l23.1 128C133.1 335.9 153.3 352 175.1 352c1.82 0 3.685-.2969 5.539-.5059C182.4 351.6 183.1 352 184 352h113.8l40.2 107.3C342.7 471.7 354.7 480 368 480h47.1c17.67 0 31.1-14.31 31.1-32S433.7 416 416 416zM248 384H159.7c-30.78 0-57.23-21.97-62.91-52.22L63.46 154.1C60.19 136.7 43.52 125.3 26.11 128.6C8.739 131.8-2.698 148.5 .5523 165.9l33.31 177.7C45.21 404.1 98.11 448 159.7 448h88.34c17.67 0 31.1-14.31 31.1-32S265.7 384 248 384z"],
    "person-shelter": [512, 512, [], "e54f", "M495.9 132.2C505.8 137.9 512 148.5 512 160V480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480V178.6L256 68.86L64 178.6V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V160C0 148.5 6.153 137.9 16.12 132.2L240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2zM216 168C216 145.9 233.9 128 256 128C278.1 128 296 145.9 296 168C296 190.1 278.1 208 256 208C233.9 208 216 190.1 216 168zM224 512C210.7 512 200 501.3 200 488V313.5L173.1 363.4C166.8 375 152.3 379.4 140.6 373.1C128.1 366.8 124.6 352.3 130.9 340.6L168.7 270.3C184.1 241.8 213.9 223.1 246.2 223.1H265.8C298.1 223.1 327.9 241.8 343.3 270.3L381.1 340.6C387.4 352.3 383 366.8 371.4 373.1C359.7 379.4 345.2 375 338.9 363.4L312 313.5V488C312 501.3 301.3 512 288 512C274.7 512 264 501.3 264 488V400H248V488C248 501.3 237.3 512 224 512V512z"],
    "person-sign": [512, 512, [], "f757", "M143.1 96.03c26.5 0 47.1-21.5 47.1-48S170.4 .021 143.1 .021S96 21.53 96 48.03S117.5 96.03 143.1 96.03zM501.5 66.65l-67.7-24.63L439.2 27c3-8.25-1.25-17.5-9.498-20.5l-15-5.5c-8.375-2.999-17.5 1.25-20.5 9.625L388.7 25.65l-67.63-24.62c-8.375-2.999-17.5 1.219-20.5 9.594l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l67.62 24.62L320.1 212l-47.75-16L223.9 146.8C211.7 134.6 195.7 127.9 178.7 127.9H115.8c-24.37 0-46.28 13.6-57.16 35.35l-55.25 110.5c-7.875 15.75-1.5 35 14.38 42.88C22.25 318.9 27.25 320 31.1 320c11.75 0 23-6.5 28.62-17.75l19.38-38.63v54.75l-15.88 158.4c-1.75 17.62 11.16 33.38 28.66 35C93.78 511.9 94.91 512 95.91 512c16.25 0 30.09-12.25 31.84-28.75L140.9 352h15.38l35.75 71.5V480c0 17.75 14.25 32 31.1 32c17.75 0 32-14.25 32-32v-56.5c0-9.875-2.25-19.75-6.75-28.62l-41.12-82.5V221.3l19.1 20c7 7 15.62 12.25 25 15.5l46.13 15.38l-11.33 30.74c-3 8.375 1.331 17.51 9.706 20.51l14.92 5.495c8.25 3 17.5-1.25 20.5-9.625l46.15-126.9l67.65 24.63c8.375 3 17.5-1.25 20.5-9.625l43.66-120.2C514.1 78.77 509.7 69.77 501.5 66.65z"],
    "person-simple": [256, 512, [], "e220", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128z"],
    "person-skating": [448, 512, ["skating"], "f7c5", "M399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96C426.5 96 448 74.5 448 48S426.5 0 399.1 0zM399.1 448c-8.751 0-16 7.25-16 16S376.7 480 367.1 480h-96.01c-8.751 0-16 7.25-16 16s7.251 16 16 16h96.01c26.5 0 48.01-21.5 48.01-48C415.1 455.2 408.7 448 399.1 448zM129.1 451.9c-11.34 0-11.19 9.36-22.65 9.36c-4.074 0-8.163-1.516-11.21-4.625l-67.98-67.89c-3.063-3.125-7.165-4.688-11.27-4.688c-4.102 0-8.204 1.562-11.27 4.688C1.562 391.8-.0001 395.9-.0001 400s1.562 8.203 4.688 11.27l67.88 67.98c9.376 9.375 21.59 14 33.96 14c13.23 0 38.57-8.992 38.57-25.36C145.1 456.7 135.2 451.9 129.1 451.9zM173.8 276.8L80.2 370.5c-6.251 6.25-9.376 14.44-9.376 22.62c0 24.75 22.57 32 31.88 32c8.251 0 16.5-3.125 22.63-9.375l91.89-92l-30.13-30.12C182.1 288.6 177.7 282.9 173.8 276.8zM127.1 160h105.5L213.3 177.3c-21.18 18.04-22.31 41.73-22.31 48.65c0 16.93 6.8 33.22 18.68 45.1l78.26 78.25V432c0 17.75 14.25 32 32 32s32-14.25 32-32v-89.38c0-12.62-5.126-25-14.13-33.88l-61.01-61c.5001-.5 1.25-.625 1.75-1.125l82.26-82.38c7.703-7.702 11.76-17.87 11.76-28.25c0-22.04-17.86-39.97-40.01-39.97L127.1 96C110.2 96 95.96 110.2 95.96 128S110.2 160 127.1 160z"],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", "M511.1 205.7c0-.123 .0637-1.108 .0637-2.631c0-8.22-1.819-32.1-25.06-32.1c-14.39 0-24.08 11.89-24.08 24.11c0 4.125 1.002 5.679 1.002 11.84c0 16.55-8.896 32.33-22.71 40.21l-267.2 137.4l44.88-108.1l121.4-110.5c7.697-7.696 11.78-17.87 11.78-28.25c0-21.4-17.35-40-40.04-40L127.1 96.01c-17.75 0-32 14.24-32 31.99S110.2 160 127.1 160h97.5l-58.88 76.48c-3.463 4.49-62.62 144.3-62.62 155.3c0 8.621 3.519 16.93 9.734 22.89l-100.7 52.04c-8.224 4.199-12.95 12.58-12.95 21.26C-.0002 500.4 9.903 512 24.06 512c3.625 0 7.473-.8581 10.97-2.733l429.2-220.9C494.1 271.4 511.1 239.4 511.1 205.7zM399.1 96c26.5 0 48-21.5 48-48S426.5 0 399.1 0c-26.5 0-48 21.5-48 48S373.5 96 399.1 96z"],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", "M111.1 127.1c26.5 0 48.01-21.49 48.01-47.99S138.5 31.99 111.1 31.99S63.96 53.48 63.96 79.98S85.47 127.1 111.1 127.1zM255.1 0H223.1L223.1 183.9L255.1 175.9L255.1 0zM488 287.1c-13.25 0-23.1 10.67-23.1 23.92c0 13.88-8.769 26.51-21.77 31.26l-122.4 45.32l.0001-140.5c0-9.875-4.546-19.17-12.3-25.17c-5.751-4.381-12.61-6.779-19.64-6.779c-2.597 0-5.287 .3306-7.851 1.005L211.8 234L187.7 180.3C179.7 162.6 162.2 152 143.9 152c-37.52 0-48.03 34.49-48.03 48.03c0 6.599 1.352 13.29 4.266 19.71c0 0 26.92 65.9 27.79 68.03c6.541 15.88 17.89 24.41 31.3 24.41c2.737 0 5.583-.3623 8.466-1.083l88.2-22.11v123.2l-144.3 53.2c-9.739 3.603-15.76 12.84-15.76 22.58C95.89 500.8 106.4 512 119.9 512c2.75 0 5.689-.4998 8.315-1.5l330.6-122.2C490.7 376.6 512 345.7 512 311.9C512 298.6 501.3 287.1 488 287.1zM191.6 381.3c10.08-3.291 16.43-12.66 16.43-22.71c0-13.15-10.52-24.15-23.99-24.15c-2.543 0-5.097 .3971-7.661 1.252l-18.39 6.231c-4.151 1.393-8.397 2.053-12.59 2.053c-14.1 0-29.31-8.517-36.15-22.78L45.69 188.2C41.55 179.6 32.98 174.6 24.02 174.6c-12.58 0-24.02 10.12-24.02 24.05c0 3.455 .7557 6.966 2.321 10.3l63.64 132.1c15 31.25 46.38 49.99 79.51 49.99C158.1 391.9 162.5 391 191.6 381.3z"],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", "M432.1 96.02c26.51 0 47.99-21.5 47.99-48.01S458.6 0 432.1 0s-47.98 21.5-47.98 48.01S405.6 96.02 432.1 96.02zM511.1 469.1c0-13.98-11.33-23.95-23.89-23.95c-18.89 0-19.23 19.11-46.15 19.11c-5.476 0-10.87-1.081-15.87-3.389l-135.8-70.26l49.15-73.82c5.446-8.116 8.09-17.39 8.09-26.63c0-12.4-4.776-24.73-14.09-33.9l-40.38-40.49l-106.1-53.1C185.6 165.8 185.4 169 185.4 172.2c0 16.65 6.337 32.78 18.42 44.86l75.03 75.21l-45.88 68.76L34.97 258.8C31.44 257 27.64 256.1 23.93 256.1C9.675 256.1 0 267.8 0 280.1c0 8.673 4.735 17.04 12.96 21.24l392 202.6c11.88 5.501 24.45 8.119 37.08 8.119C480.1 512 511.1 486.7 511.1 469.1zM119.1 91.65L108.5 114.2C114.2 117 120.2 118.4 126.2 118.4c9.153 0 18.1-3.2 25.06-9.102l47.26 23.51c-.125 0-.125 .125-.2501 .25l114.5 56.76l32.51-13l6.376 19.13c4.001 12.13 12.63 22.01 24 27.76l58.14 28.1c4.609 2.287 9.455 3.355 14.26 3.355c18.8 0 31.98-15.43 31.98-31.93c0-11.74-6.461-23.1-17.74-28.7l-52.03-26.1l-17.12-51.15C386.6 98.69 364.2 73.99 333.1 73.99c-7.658 0-15.82 1.504-24.43 4.934L227.4 111.3L164.9 80.33c.009-.3461 .0134-.692 .0134-1.038c0-14.13-7.468-27.7-20.89-34.53L132.9 66.45L98.17 59.43C97.83 59.36 97.53 59.35 97.19 59.35c-2.666 0-5.276 2.177-5.276 5.273c0 1.473 .648 2.936 1.81 3.961L119.1 91.65z"],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", "M336 96C362.5 96 384 74.5 384 48S362.5 0 336 0S288 21.5 288 48S309.5 96 336 96zM552 416c-13.25 0-24 10.75-24 24s-10.75 24-24 24h-69.5L460 285.6c11.75-4.75 20.04-16.31 20.04-29.69c0-17.75-14.38-31.95-32.01-31.95l-43.9-.0393l-26.11-53.22c-12.5-25.5-35.5-44.12-61.75-50.87l-71.22-21.15c-7.475-1.819-15.08-2.693-22.59-2.693c-20.86 0-41.25 6.854-58.16 19.72L124.6 146.2C116.3 152.5 111.1 161.1 111.1 171.6c0 14.71 8.712 21.23 9.031 21.6L66.88 464H24C10.75 464 0 474.8 0 488S10.75 512 24 512h480c39.75 0 72-32.25 72-72C576 426.8 565.3 416 552 416zM291.6 463.9H194.7l43.1-90.97l-21.99-12.1c-12.13-7.25-21.99-16.89-29.49-27.77l-62.48 131.7L99.5 464l52.25-261.4c4.125-1 8.112-2.846 11.74-5.596l39.81-30.45c5.821-4.485 12.86-6.771 19.38-6.771c2.021 0 4.015 .212 5.878 .6556l14.73 4.383L205.8 252.2C202.3 260.3 200.7 268.9 200.7 277.3c0 22.06 11.42 43.37 31.41 55.22l84.97 50.15L291.6 463.9zM402.1 464l-43.58-.125l23.6-75.48c1.221-4.314 1.805-8.69 1.805-13.03c0-16.53-8.558-32.43-23.41-41.34l-61.21-36.1l31.32-78.23l20.26 41.36c8 16.25 24.86 26.89 43.11 26.89L427.3 288L402.1 464z"],
    "person-sledding": [512, 512, ["sledding"], "f7cb", "M512 437.1c0-13.89-11.25-23.97-23.91-23.97c-18.93 0-19.21 19.1-46.18 19.1c-5.48 0-10.88-1.081-15.88-3.389l-49.12-25.42c4.251-5.375 7.232-11.85 7.232-19.35l-.0003-96.02c0-17.75-14.37-32-32-32h-50.86l46.12-46.12c9.241-9.156 14.07-21.4 14.07-33.81c0-26.1-21.05-48.08-47.95-48.08H160c-17.75 0-32 14.25-32 32s14.25 32 32 32h82.78L169.4 265.4C168.2 266.5 160.4 274.1 160.4 286.8c0 1.616 .1068 3.249 .2942 4.898L34.98 226.7c-3.512-1.793-7.311-2.678-11.02-2.678c-14.1 0-23.97 11.47-23.97 23.99c0 8.709 4.747 17.09 12.98 21.3l391.9 202.6c11.88 5.5 24.47 8.117 37.1 8.117C480.9 480 512 454.9 512 437.1zM320 374L215.6 320l104.5 .02V374zM400 128c26.51 0 48.01-21.5 48.01-48S426.5 32 400 32c-26.51 0-48.01 21.5-48.01 48S373.5 128 400 128z"],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", "M460.7 249.6c5.877 4.25 12.47 6.393 19.22 6.393c10.76 0 32.05-8.404 32.05-31.97c0-9.74-4.422-19.36-12.8-25.65l-111.5-83.48c-13.75-10.25-29.04-18.42-45.42-23.79l-63.66-21.23l-26.12-52.12c-5.589-11.17-16.9-17.64-28.63-17.64c-17.8 0-31.99 14.47-31.99 32.01c0 4.803 1.086 9.674 3.374 14.25l29.12 58.12c5.75 11.38 15.55 19.85 27.67 23.98l16.45 5.522L227.3 154.6C205.5 165.5 191.9 187.4 191.9 211.8L191.9 264.9L117.8 289.6C104.4 294.1 95.95 306.5 95.95 319.9c0 12.05 6.004 19.05 10.33 23.09l-38.68-14.14C41.23 319.4 49.11 295 23.97 295c-18.67 0-23.97 17.16-23.97 24.09c0 8.553 13.68 41.32 51.13 54.88l364.1 132.8C425.7 510.2 435.7 512 445.7 512c12.5 0 24.97-2.732 36.47-8.232c8.723-3.997 13.85-12.71 13.85-21.77c0-18.67-17.15-23.96-24.06-23.96c-3.375 0-6.73 .7505-9.998 2.248c-5.111 2.486-10.64 3.702-16.21 3.702c-4.511 0-9.049-.7978-13.41-2.364l-90.68-33.12c8.625-4.125 15.53-11.76 17.78-21.89l21.88-101.1c.7086-3.335 1.05-6.668 1.05-10c0-14.91-6.906-29.31-19.17-38.4l-52.01-39l66.01-30.5L460.7 249.6zM316.3 301.3l-19.66 92c-.4205 1.997-.5923 3.976-.5923 5.911c0 4.968 1.264 9.691 3.333 14.01l-169.5-61.49c2.625-.25 5.492-.4448 8.117-1.32l85-28.38c19.63-6.5 32.77-24.73 32.77-45.48l0-20.53L316.3 301.3zM431.9 95.99c26.5 0 48-21.5 48-47.1S458.4 0 431.9 0s-48 21.5-48 47.1S405.4 95.99 431.9 95.99z"],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", "M191.1 48C191.1 21.49 213.5 0 239.1 0C266.5 0 287.1 21.49 287.1 48C287.1 74.51 266.5 96 239.1 96C213.5 96 191.1 74.51 191.1 48zM419.8 177.9L567.2 251.6C572.6 254.3 576 259.8 576 265.9V343.4C576 348.8 573.3 353.8 568.9 356.7L500 402.7L546 464H566.1L599 431C608.4 421.7 623.6 421.7 632.1 431C642.3 440.4 642.3 455.6 632.1 464.1L592.1 504.1C588.5 509.5 582.4 512 576 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H486L450 416H336C321.4 396.6 298.2 384 271.1 384H47.1C43.83 384 39.74 384.3 35.75 384.9C35.6 379.9 36.66 374.7 39.15 369.7L71.15 305.7C76.58 294.8 87.66 288 99.78 288H111.1C97.35 268.5 95.29 242.2 106.7 220.6L141.1 154.1C153.1 133.1 174.8 120 198.5 120H199.4C215.3 120 230.5 125.9 242.3 136.4L304 192H360L367.9 181.5L330.5 106.7C324.6 94.88 329.4 80.46 341.3 74.53C353.1 68.61 367.5 73.41 373.5 85.27L419.8 177.9zM253.3 237.3L223.1 208L191.1 256L263.1 288H287.1L311.1 256H298.5C281.5 256 265.3 249.3 253.3 237.3H253.3zM272 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464C0 437.5 21.49 416 48 416H272z"],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", "M192.4 320c63.38 0 54.09-39.67 95.33-40.02c42.54 .3672 31.81 40.02 95.91 40.02c39.27 0 55.72-18.41 62.21-24.83l-140.4-116.1c3.292-1.689 31.66-18.2 75.25-18.2c12.57 0 25.18 1.397 37.53 4.21l38.59 8.844c2.412 .5592 4.824 .8272 7.2 .8272c15.91 0 31.96-12.81 31.96-32.04c0-14.58-10.03-27.77-24.84-31.16l-38.59-8.844c-17.06-3.904-34.46-5.837-51.81-5.837c-120.1 0-177.4 85.87-178.1 88.02L179.1 213.3C158.1 241.3 147.4 273.8 145 307.7C157.5 315.4 174.3 320 192.4 320zM576 397c0-15.14-10.82-28.59-26.25-31.42c-48.52-8.888-45.5-29.48-69.6-29.48c-25.02 0-31.19 31.79-96.18 31.79c-48.59 0-72.72-22.06-73.38-22.62c-6.141-6.157-14.26-9.188-22.42-9.188c-24.75 0-31.59 31.81-96.2 31.81c-48.59 0-72.69-22.03-73.41-22.59c-6.125-6.157-14.3-9.245-22.46-9.245c-8.072 0-16.12 3.026-22.38 8.901c-29.01 26.25-73.75 12.54-73.75 52.08c0 16.08 12.77 32.07 31.71 32.07c9.77 0 39.65-7.34 64.26-21.84C115.5 418.8 147.4 431.1 192 431.1s76.5-13.12 96-24.66c19.53 11.53 51.47 24.59 96 24.59c44.59 0 76.56-13.09 96.06-24.62c24.71 14.57 54.74 21.83 64.24 21.83C563.2 429.1 576 413.3 576 397zM95.1 224c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C31.1 195.3 60.65 224 95.1 224z"],
    "person-through-window": [640, 512, [], "e5a9", "M191.1 128C191.1 154.5 170.5 176 143.1 176C117.5 176 95.1 154.5 95.1 128C95.1 101.5 117.5 80 143.1 80C170.5 80 191.1 101.5 191.1 128zM385 336H310.5L394.6 462.2C404.4 476.1 400.5 496.8 385.8 506.6C371 516.4 351.2 512.5 341.4 497.8L308.2 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H421.9L379.2 384H425L385 336zM63.1 64V384H127.1C127.1 384 127.1 384 127.1 384V310.2C127.1 245 167.6 186.5 228.1 162.3C264.3 147.8 287.1 112.8 287.1 73.84V64H63.1zM352 64V73.84C352 128.5 324.1 178.5 279.5 207.4C279.8 207.9 280.1 208.4 280.4 208.9L321.4 271.1H392.5C406.8 271.1 420.3 278.3 429.4 289.3L508.3 384H576V64H352zM265.5 384L196.7 280.7C193.6 290 191.1 299.1 191.1 310.2V383.1C191.1 383.1 191.1 384 191.1 383.1L265.5 384z"],
    "person-to-door": [640, 512, [58704], "e433", "M304 95.1c26.5 0 48-21.5 48-47.1S330.5 0 304 0S256 21.5 256 47.1S277.5 95.1 304 95.1zM560 0h-96C437.5 0 416 21.5 416 47.1v175.1h-44.22l-26.97-53.95c-11.68-23.36-32.32-40.93-57.25-48.7L219.8 100.2c-31.9-9.984-66.69-2.625-91.84 19.39L90.94 151.9C77.63 163.5 76.29 183.8 87.9 197.1c11.65 13.28 31.87 14.62 45.18 3.008l36.99-32.38c8.352-7.293 19.87-9.758 30.46-6.525l-30.95 92.8c-9.344 28.03 1.729 58.85 26.82 74.49l86.21 53.88l-25.41 88.83c-4.832 16.99 4.992 34.72 21.98 39.58c16.99 4.832 34.72-4.992 39.58-21.98l28.67-100.4c5.887-20.57-2.561-42.56-20.71-53.88L270 299l28.99-77.37L318.9 261.5c8.129 16.26 24.77 26.53 42.95 26.53H416v175.1c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48V47.1C608 21.5 586.5 0 560 0zM145.5 319.1l-14.4 32.9H64c-17.66 0-32 14.34-32 31.1c0 17.66 14.34 32 32 32h77.54c19.07 0 36.32-11.3 43.97-28.77l9.568-21.86l-15.62-9.76C164.7 346.4 153.2 333.7 145.5 319.1z"],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", "M431.1 0c-40.75 0-74.41 97.74-79.28 223.1l-12.73 .0023l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98L181 98.64C152.9 91.89 123.1 98.14 100.2 115.8l-39.71 30.47c-14 10.75-16.64 30.74-5.891 44.87c10.75 14 30.87 16.64 44.87 5.891L139.1 166.6c7.75-6 17.54-7.922 25.29-6.172l14.69 4.333L141.7 252.2c-12.63 29.5-1.312 63.9 26.31 80.27l84.98 50.18L225.5 470.4c-5.25 16.87 4.083 34.86 20.96 40.11c16.88 5.25 34.8-4.069 40.05-20.94l31.72-101.1c5.875-21-2.959-43.26-21.71-54.38L235.3 297.1l31.31-78.34l20.26 41.48c8.125 16.38 24.87 26.76 43.11 26.88l22.72-.0029c4.875 126.2 38.54 224 79.29 224C476.1 511.1 512 397.4 512 255.1S476.1 0 431.1 0zM272 96c26.5 0 48-21.5 48-47.1S298.5 0 272 0S224 21.5 224 48S245.5 96 272 96zM113.6 317.5L98.86 351.1l-66.87 .002C14.36 351.1 0 366.3 0 384c0 17.62 14.36 31.99 31.99 31.99l77.47-.002c19.12 0 36.56-11.35 44.06-29.1l8.828-20.52l-10.64-6.273C134.1 350.1 121.8 335.2 113.6 317.5z"],
    "person-walking": [320, 512, [128694, "walking"], "f554", "M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z"],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM361.4 374.6C348.9 362.1 348.9 341.9 361.4 329.4L441.4 249.4C453.9 236.9 474.1 236.9 486.6 249.4C499.1 261.9 499.1 282.1 486.6 294.6L461.3 320H480C533 320 576 277 576 224C576 170.1 533 128 480 128H352C334.3 128 319.1 113.7 319.1 96C319.1 78.33 334.3 64 352 64H480C568.4 64 640 135.6 640 224C640 312.4 568.4 384 480 384H461.3L486.6 409.4C499.1 421.9 499.1 442.1 486.6 454.6C474.1 467.1 453.9 467.1 441.4 454.6L361.4 374.6z"],
    "person-walking-arrow-right": [640, 512, [], "e552", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4z"],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4zM392 0C405.3 0 416 10.75 416 24V72C416 85.25 405.3 96 392 96C378.7 96 368 85.25 368 72V24C368 10.75 378.7 0 392 0zM416 168C416 181.3 405.3 192 392 192C378.7 192 368 181.3 368 168V152C368 138.7 378.7 128 392 128C405.3 128 416 138.7 416 152V168zM392 320C405.3 320 416 330.7 416 344V360C416 373.3 405.3 384 392 384C378.7 384 368 373.3 368 360V344C368 330.7 378.7 320 392 320zM416 488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V440C368 426.7 378.7 416 392 416C405.3 416 416 426.7 416 440V488z"],
    "person-walking-luggage": [512, 512, [], "e554", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM304.6 205.4C289.4 212.2 277.4 224.6 271.2 240.1L269.7 243.9C263.1 260.3 244.5 268.3 228.1 261.7C211.7 255.1 203.7 236.5 210.3 220.1L211.8 216.3C224.2 185.4 248.2 160.5 278.7 146.9L289.7 142C310.5 132.8 332.1 128 355.7 128C400.3 128 440.5 154.8 457.6 195.9L472.1 232.7L494.3 243.4C510.1 251.3 516.5 270.5 508.6 286.3C500.7 302.1 481.5 308.5 465.7 300.6L439 287.3C428.7 282.1 420.6 273.4 416.2 262.8L406.6 239.8L387.3 305.3L436.8 359.4C442.2 365.3 446.1 372.4 448 380.2L471 472.2C475.3 489.4 464.9 506.8 447.8 511C430.6 515.3 413.2 504.9 408.1 487.8L386.9 399.6L316.3 322.5C301.5 306.4 295.1 283.9 301.6 262.8L318.5 199.3C317.6 199.7 316.6 200.1 315.7 200.5L304.6 205.4zM292.7 344.2L333.4 388.6L318.9 424.8C316.5 430.9 312.9 436.4 308.3 440.9L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L260.7 398L285.7 335.6C287.8 338.6 290.2 341.4 292.7 344.2H292.7zM223.1 274.1C231.7 278.6 234.3 288.3 229.9 295.1L186.1 371.8C185.4 374.5 184.3 377.2 182.9 379.7L118.9 490.6C110 505.9 90.44 511.1 75.14 502.3L19.71 470.3C4.407 461.4-.8371 441.9 7.999 426.6L71.1 315.7C80.84 300.4 100.4 295.2 115.7 303.1L170.1 335.4L202.1 279.1C206.6 272.3 216.3 269.7 223.1 274.1H223.1z"],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", "M445.2 486.1l-117.3-172.6c-3.002 4.529-6.646 8.652-11.12 12c-4.414 3.318-9.299 5.689-14.43 7.307l116.4 171.3c3.094 4.547 8.127 7.008 13.22 7.008c3.125 0 6.247-.8984 8.997-2.773C448.3 504.2 450.2 494.3 445.2 486.1zM143.1 95.1c26.51 0 48.01-21.49 48.01-47.1S170.5 0 144 0S96 21.49 96 48S117.5 95.1 143.1 95.1zM96.01 348.1l-31.03 124.2c-4.312 17.16 6.125 34.53 23.28 38.81C90.86 511.7 93.48 512 96.04 512c14.34 0 27.38-9.703 31-24.23l22.04-88.18L96.01 346.5V348.1zM313.6 268.8l-76.78-102.4C218.8 142.3 190.1 128 160 128L135.6 127.1c-36.59 0-69.5 20.33-85.87 53.06L3.387 273.7C-4.518 289.5 1.887 308.7 17.7 316.6c4.594 2.297 9.469 3.375 14.28 3.375c11.75 0 23.03-6.469 28.66-17.69l35.38-70.76v56.45c0 8.484 3.375 16.62 9.375 22.63l86.63 86.63v82.75c0 17.67 14.31 32 32 32c17.69 0 32-14.33 32-32v-82.75c0-17.09-6.656-33.16-18.75-45.25L192 306.8V213.3l70.38 93.88c10.59 14.11 30.62 16.98 44.78 6.406C321.3 303 324.2 282.9 313.6 268.8z"],
    "peseta-sign": [384, 512, [], "e221", "M192 32C269.4 32 333.1 86.97 348.8 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H348.8C333.1 297 269.4 352 192 352H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160V64C32 46.33 46.33 32 64 32H192zM282.5 160C269.4 122.7 233.8 96 192 96H96V160H282.5zM96 224V288H192C233.8 288 269.4 261.3 282.5 224H96z"],
    "peso-sign": [384, 512, [], "e222", "M176 32C244.4 32 303.7 71.01 332.8 128H352C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192H351.3C351.8 197.3 352 202.6 352 208C352 213.4 351.8 218.7 351.3 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H332.8C303.7 344.1 244.4 384 176 384H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128V64C32 46.33 46.33 32 64 32H176zM254.4 128C234.2 108.2 206.5 96 176 96H96V128H254.4zM96 192V224H286.9C287.6 218.8 288 213.4 288 208C288 202.6 287.6 197.2 286.9 192H96zM254.4 288H96V320H176C206.5 320 234.2 307.8 254.4 288z"],
    "phone": [512, 512, [128379, 128222], "f095", "M511.2 387l-23.25 100.8c-3.266 14.25-15.79 24.22-30.46 24.22C205.2 512 0 306.8 0 54.5c0-14.66 9.969-27.2 24.22-30.45l100.8-23.25C139.7-2.602 154.7 5.018 160.8 18.92l46.52 108.5c5.438 12.78 1.77 27.67-8.98 36.45L144.5 207.1c33.98 69.22 90.26 125.5 159.5 159.5l44.08-53.8c8.688-10.78 23.69-14.51 36.47-8.975l108.5 46.51C506.1 357.2 514.6 372.4 511.2 387z"],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM320 224h96c17.67 0 32-14.33 32-32s-14.33-32-32-32h-18.75l105.4-105.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L352 114.8V96c0-17.67-14.33-32-32-32s-32 14.33-32 32v96C288 209.7 302.3 224 320 224z"],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM480 0h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h18.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 109.3V128c0 17.67 14.33 32 32 32s32-14.33 32-32V32C512 14.33 497.7 0 480 0z"],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", "M18.92 351.2l108.5-46.52c12.78-5.531 27.77-1.801 36.45 8.98l44.09 53.82c69.25-34 125.5-90.31 159.5-159.5l-53.81-44.04c-10.75-8.781-14.41-23.69-8.974-36.47l46.51-108.5c6.094-13.91 21.1-21.52 35.79-18.11l100.8 23.25c14.25 3.25 24.22 15.8 24.22 30.46c0 252.3-205.2 457.5-457.5 457.5c-14.67 0-27.18-9.968-30.45-24.22l-23.25-100.8C-2.571 372.4 5.018 357.2 18.92 351.2z"],
    "phone-hangup": [640, 512, [], "e225", "M635.4 293.6l-52.73 84.25c-7.631 12.2-23.09 17.35-36.63 11.98l-105.4-42.1c-12.45-4.925-20.14-17.65-18.71-30.87l6.64-66.46C358.3 226.5 281.8 226.5 211.6 250.4l6.621 66.51c1.338 13.27-6.28 25.86-18.67 30.85l-105.5 42.13c-13.6 5.307-29.04 .2437-36.72-12.04l-52.71-84.22C-2.861 281.8-1.118 266.5 8.85 256.5C180.4 85.16 459.6 85.17 631.1 256.5C641.1 266.5 642.9 281.8 635.4 293.6z"],
    "phone-intercom": [512, 512, [], "e434", "M80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM272 416C245.5 416 224 394.5 224 368S245.5 320 272 320s48 21.5 48 48S298.5 416 272 416zM432 416h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 416 432 416zM432 352h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 352 432 352zM448 256H224V96h224V256z"],
    "phone-missed": [640, 512, [], "e226", "M631.1 376.4c-171.6-171.6-450.7-171.6-622.3 .0085c-9.967 9.969-11.71 25.26-4.23 37.16l52.71 84.3c7.674 12.3 23.11 17.37 36.72 12.06l105.5-42.17c12.39-4.994 20.01-17.6 18.67-30.88l-6.621-66.57c70.19-23.96 146.8-23.95 216.1 .0202l-6.641 66.53c-1.424 13.24 6.26 25.97 18.71 30.9l105.4 42.14c13.54 5.377 28.1 .2285 36.63-11.99l52.73-84.32C642.9 401.6 641.1 386.4 631.1 376.4zM112.5 157.1c12.16 5.027 23.31-.0273 29.06-5.781L172.2 121.5l53.71 53.71C246.9 196.2 273.8 211.5 303.3 215.2C343.6 220.2 382.4 206.8 410.5 178.7l128.8-128.8c6.248-6.248 6.248-16.38 0-22.63L516.7 4.686c-6.248-6.248-16.38-6.248-22.63 0l-128.8 128.8c-24.89 24.89-65.61 24.89-90.5 0l-57.28-57.28L248.2 45.52c7.629-7.631 9.922-19.09 5.781-29.06C249.8 6.498 240.1 0 229.3 0H115.1C104.1 0 96 8.953 96 19.1v113.3C96 144.1 102.5 153.8 112.5 157.1z"],
    "phone-office": [576, 512, [], "f67d", "M128 416h64c17.62 0 32-14.38 32-32V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v352C96 401.6 110.4 416 128 416zM528 32H256v352c0 35.25-28.75 64-64 64H128c-35.25 0-64-28.75-64-64V32H48C21.5 32 0 53.5 0 80v384C0 490.5 21.5 512 48 512h480c26.5 0 48-21.5 48-48v-384C576 53.5 554.5 32 528 32zM384 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM384 304c0 8.875-7.125 16-16 16h-32C327.1 320 320 312.9 320 304v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272V304zM512 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM512 304c0 8.875-7.125 16-16 16h-32C455.1 320 448 312.9 448 304v-32C448 263.1 455.1 256 464 256h32C504.9 256 512 263.1 512 272V304zM512 192h-192V96h192V192z"],
    "phone-plus": [512, 512, [], "f4d2", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM343.1 119.1H392v48C392 181.3 402.7 192 416 192c13.26 0 23.1-10.74 23.1-23.1V119.1h48C501.3 119.1 512 109.3 512 96s-10.74-23.1-23.1-23.1H439.1V23.1C439.1 10.74 429.3 0 416 0s-23.1 10.74-23.1 23.1v48H343.1C330.7 72 320 82.74 320 96C320 109.3 330.7 119.1 343.1 119.1z"],
    "phone-rotary": [512, 512, [9742], "f8d3", "M370.4 192.2C358.1 172.2 337.9 160 314.9 160H197.1c-23 0-44.12 12.25-55.5 32.25l-105.4 184.4C33.5 381.5 32 386.9 32 392.5V448c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-55.5c0-5.625-1.5-11-4.25-15.88L370.4 192.2zM256 384c-39.75 0-72-32.25-72-72S216.3 240 256 240s72 32.25 72 72S295.8 384 256 384zM506.1 123C436.8 65 347.4 32 256 32S75.25 65 5.875 123C2.125 126.1 0 130.8 0 135.6V192c0 8.875 7.125 16 16 16h70.13c6 0 11.63-3.375 14.25-8.875L128 128c39.88-17.25 83.25-24 128-24S344.1 110.8 384 128l27.62 71.12C414.2 204.6 419.9 208 425.9 208H496C504.9 208 512 200.9 512 192V135.6C512 130.8 509.9 126.1 506.1 123z"],
    "phone-slash": [640, 512, [], "f3dd", "M271.1 367.5L227.9 313.7c-8.688-10.78-23.69-14.51-36.47-8.974l-108.5 46.51c-13.91 6-21.49 21.19-18.11 35.79l23.25 100.8C91.32 502 103.8 512 118.5 512c107.4 0 206.1-37.46 284.2-99.65l-88.75-69.56C300.6 351.9 286.6 360.3 271.1 367.5zM630.8 469.1l-159.6-125.1c65.03-78.97 104.7-179.5 104.7-289.5c0-14.66-9.969-27.2-24.22-30.45L451 .8125c-14.69-3.406-29.73 4.213-35.82 18.12l-46.52 108.5c-5.438 12.78-1.771 27.67 8.979 36.45l53.82 44.08C419.2 232.1 403.9 256.2 386.2 277.4L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", "M284.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406C242.4 195.6 243.9 210.7 254.2 219.1c11.31 9.25 17.81 22.69 17.81 36.87c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406c22.53-18.44 35.44-45.4 35.44-74.05S307.1 200.4 284.6 181.9zM345.1 107.1c-10.22-8.344-25.34-6.907-33.78 3.343c-8.406 10.25-6.906 25.37 3.344 33.78c33.88 27.78 53.31 68.18 53.31 110.9s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C390.2 367.1 416 313.1 416 255.1S390.2 144.9 345.1 107.1zM406.4 33.15c-10.22-8.344-25.34-6.875-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C431.9 116.1 464 183.8 464 255.1s-32.09 139.9-88.06 185.7c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C473.5 423.8 512 342.6 512 255.1S473.5 88.15 406.4 33.15zM151.3 174.6C161.1 175.6 172.1 169.5 176 159.6l33.75-84.38C214 64.35 209.1 51.1 200.2 45.86l-67.47-42.17C123.2-2.289 110.9-.8945 102.9 7.08C-34.32 144.3-34.31 367.7 102.9 504.9c7.982 7.984 20.22 9.379 29.75 3.402l67.48-42.19c9.775-6.104 13.9-18.47 9.598-29.3L176 352.5c-3.945-9.963-14.14-16.11-24.73-14.97l-53.24 5.314C78.89 286.7 78.89 225.4 98.06 169.3L151.3 174.6z"],
    "phone-xmark": [512, 512, [], "e227", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM348.1 62.06l33.94 33.94L348.1 129.9c-9.373 9.373-9.38 24.56 .0005 33.94c9.375 9.375 24.56 9.377 33.94 .0005l33.94-33.94l33.94 33.94c9.377 9.377 24.57 9.375 33.94 .0005c9.375-9.375 9.377-24.56-.0005-33.94l-33.94-33.94l33.94-33.94c9.376-9.376 9.374-24.57-.0004-33.94s-24.56-9.377-33.94-.0005L415.1 62.06l-33.94-33.94c-9.377-9.377-24.57-9.375-33.94-.0005C338.7 37.49 338.7 52.67 348.1 62.06z"],
    "photo-film": [640, 512, ["photo-video"], "f87c", "M352 432c0 8.836-7.164 16-16 16H176c-8.838 0-16-7.164-16-16L160 128H48C21.49 128 .0003 149.5 .0003 176v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48L512 384h-160L352 432zM104 439c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V439zM104 335c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V335zM104 231c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C56 196 60.03 192 65 192h30c4.969 0 9 4.031 9 9V231zM408 409c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9v30c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9V409zM591.1 0H239.1C213.5 0 191.1 21.49 191.1 48v256c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-256C640 21.49 618.5 0 591.1 0zM303.1 64c17.68 0 32 14.33 32 32s-14.32 32-32 32C286.3 128 271.1 113.7 271.1 96S286.3 64 303.1 64zM574.1 279.6C571.3 284.8 565.9 288 560 288H271.1C265.1 288 260.5 284.6 257.7 279.3C255 273.9 255.5 267.4 259.1 262.6l70-96C332.1 162.4 336.9 160 341.1 160c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C442.1 98.67 447.1 96 453.3 96c5.348 0 10.34 2.672 13.31 7.125l106.7 160C576.6 268 576.9 274.3 574.1 279.6z"],
    "photo-film-music": [640, 512, [], "e228", "M618.9 160.8l-208 69.33C404.4 232.3 400 238.5 400 245.3v172.4C394.9 416.7 389.6 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V319l144-48v82.7C586.9 352.7 581.6 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V176C640 165.1 629.3 157.4 618.9 160.8zM176 392c-8.836 0-16-7.164-16-16V96H40.2C17.1 96 0 113.1 0 136.2v271.7C0 430.1 17.93 448 40.13 448h249.8c5.904-25.11 25.54-45.43 52.31-56H176zM104 384c0 4.418-3.582 8-8 8H64c-4.418 0-8-3.582-8-8v-32c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V384zM104 288c0 4.418-3.582 8-8 8H64C59.58 296 56 292.4 56 288V256c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V288zM104 192c0 4.418-3.582 8-8 8H64C59.58 200 56 196.4 56 192V160c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V192zM235.6 320H368V255.1L301.3 256C296.3 256 291.7 253.2 289.4 248.7c-2.275-4.473-1.846-9.844 1.111-13.9l58.33-80c2.514-3.445 6.518-5.479 10.78-5.479s8.261 2.033 10.77 5.479l18.63 25.55l52.29-78.42C443.8 98.23 447.1 96 452.4 96c4.457 0 8.621 2.227 11.09 5.938l41.98 62.97L608 130.8V44.67C608 19.1 588.5 0 564.4 0H235.6C211.5 0 192 19.1 192 44.67v230.7C192 300 211.5 320 235.6 320zM288 64c17.68 0 32 14.33 32 32S305.7 128 288 128C270.3 128 256 113.7 256 96S270.3 64 288 64z"],
    "pi": [448, 512, [], "f67e", "M438.6 361.4c12.5 12.5 12.5 32.75 0 45.25l-18.75 18.75c-14.41 14.38-34.31 22.62-54.63 22.62C322.7 448 288 413.4 288 370.8v-242.7H160v152.4c0 51.75-12.23 103.6-35.38 149.9c-5.609 11.22-16.91 17.69-28.66 17.69c-4.797 0-9.688-1.094-14.28-3.375c-15.81-7.906-22.22-27.12-14.31-42.94C86.11 364.3 96 322.3 96 280.5V128H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h384c17.67 0 32 14.31 32 32s-14.33 32-32 32h-64v242.7c.0156 10.78 14.94 17.06 22.64 9.344l18.73-18.72C405.9 348.9 426.1 348.9 438.6 361.4z"],
    "piano": [512, 512, [], "f8d4", "M476.6 270.2l-57.18-28.47C397.8 230.9 384 208.7 384 184.5C384 82.62 301.5 0 199.5 0h-15C82.5 0 0 82.62 0 184.5V480c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-152.5C512 303.3 498.2 281.1 476.6 270.2zM448 448H64v-96h32v56C96 412.4 99.63 416 104 416h16C124.4 416 128 412.4 128 408V352h32v56C160 412.4 163.6 416 168 416h16C188.4 416 192 412.4 192 408V352h32v56C224 412.4 227.6 416 232 416h16C252.4 416 256 412.4 256 408V352h64v56c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V352h32v56c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V352h32V448z"],
    "piano-keyboard": [576, 512, [127929], "f8d5", "M544 64H32C14.38 64 0 78.38 0 96v320c0 17.62 14.38 32 32 32h512c17.62 0 32-14.38 32-32V96C576 78.38 561.6 64 544 64zM144 384H64V224h64v80C128 312.9 135.1 320 144 320V384zM272 384h-96v-64C184.9 320 192 312.9 192 304V224h64v80C256 312.9 263.1 320 272 320V384zM400 384h-96v-64c8.875 0 16-7.125 16-16V224h64v80c0 8.875 7.125 16 16 16V384zM512 384h-80v-64c8.875 0 16-7.125 16-16V224h64V384z"],
    "pickleball": [576, 512, [], "e435", "M250.4 28.02C287.9-9.414 348.8-9.414 386.3 28.02L499.9 141.3C529.1 170.5 535.6 213.7 519.3 249.1C494.4 233.3 464.9 224.1 433.2 224.1C361.1 224.1 300.2 271.5 279.9 336.6L155.7 212.8C149.4 206.6 139.3 206.6 133 212.8C126.8 219.1 126.8 229.2 133.1 235.5L272.1 374.9C272.8 377.9 272.7 380.1 272.7 384.1C272.7 411.8 279.8 437.9 292.3 460.7C283 461.1 273.6 459.6 264.6 455.9L207.9 432.7C184 422.9 156.5 428.4 138.3 446.6L84.44 500.3C68.79 515.9 43.42 515.8 27.78 500.2C12.13 484.7 12.14 459.4 27.79 443.8L81.33 390.4C99.7 372.1 105.2 344.6 95.21 320.7L71.05 262.8C61.08 238.9 66.56 211.3 84.91 193L250.4 28.02zM560 384C560 454.7 502.7 512 432 512C361.3 512 304 454.7 304 384C304 313.3 361.3 256 432 256C502.7 256 560 313.3 560 384zM352 384C360.8 384 368 376.8 368 368C368 359.2 360.8 352 352 352C343.2 352 336 359.2 336 368C336 376.8 343.2 384 352 384zM416 448C407.2 448 400 455.2 400 464C400 472.8 407.2 480 416 480C424.8 480 432 472.8 432 464C432 455.2 424.8 448 416 448zM432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400zM512 384C503.2 384 496 391.2 496 400C496 408.8 503.2 416 512 416C520.8 416 528 408.8 528 400C528 391.2 520.8 384 512 384zM448 320C456.8 320 464 312.8 464 304C464 295.2 456.8 288 448 288C439.2 288 432 295.2 432 304C432 312.8 439.2 320 448 320z"],
    "pie": [576, 512, [129383], "f705", "M544 240c-6.5 0-10.38-1.25-14.5-3.5C494.9 136.1 400.1 64 288 64S81 136.3 46.5 236.5C42.38 238.9 38.5 240 32 240c-17.62 0-32 14.38-32 32s14.38 32 32 32c32 0 49.1-13.5 61.88-22.38C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C493.1 290.5 512 304 544 304c17.62 0 32-14.38 32-32S561.6 240 544 240zM206.3 151.1l-16 32C180.9 202 152.1 187.1 161.7 168.9l16-32C187.2 117.1 215.8 132.3 206.3 151.1zM304 176c0 21.12-32 21.12-32 0v-32c0-21.12 32-21.12 32 0V176zM385.7 183.1l-16-32c-9.5-18.88 19.19-33.14 28.56-14.27l16 32C423.9 187.9 395.1 202 385.7 183.1zM458.9 304c-10.12 7-36.25 32-85.38 32c-49 0-75.13-25-85.25-32c-7.375 5-35.25 32-85.38 32c-49.13 0-75.13-25-85.25-32c-8.375 5.75-26.1 22.62-59.87 29.25l31 92.88C93.13 439.1 105.3 448 119.1 448H457c13.75 0 26-8.875 30.25-21.88l31-92.88C485.3 326.6 465.9 308.9 458.9 304z"],
    "pig": [640, 512, [128022], "f706", "M513.5 32C521.5 32 528 38.48 528 46.47V78.03C528 97.78 518.1 115.8 504.4 127.7C510.8 132.6 517 137.8 522.1 143.4C540.5 127.5 551.4 104.8 551.1 80H592C600.8 80 608 87.16 608 96V112C608 144.8 583.4 171.8 551.7 175.5L558.4 184.6C569.1 199.1 584.1 212.5 602.2 221.1L608 224H616C629.3 224 640 234.7 640 248V344C640 357.3 629.3 368 616 368H572.5C550.3 389.2 522.8 404.2 492.8 411.3L479.8 456.8C475.8 470.5 463.3 480 449 480H416C398.3 480 384 465.7 384 448V416H272V448C272 465.7 257.7 480 240 480H206.1C192.7 480 180.2 470.5 176.2 456.8L154.1 382.4C110.3 357.1 80 310.5 80 256V240H47.45C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 208 47.45 208H83.2C98.03 134.1 162.6 80 240 80H362.4C376.8 80 391.1 81.33 405.1 83.91C413.2 64.44 430.5 49.47 452.1 44.83L510.5 32.32C511.5 32.11 512.5 32 513.5 32L513.5 32zM468 256C479 256 488 247 488 236C488 224.1 479 216 468 216C456.1 216 448 224.1 448 236C448 247 456.1 256 468 256z"],
    "piggy-bank": [576, 512, [], "f4d3", "M400 96L399.1 96.66C394.7 96.22 389.4 96 384 96H256C239.5 96 223.5 98.08 208.2 102C208.1 100 208 98.02 208 96C208 42.98 250.1 0 304 0C357 0 400 42.98 400 96zM384 128C387.5 128 390.1 128.1 394.4 128.3C398.7 128.6 402.9 129 407 129.6C424.6 109.1 450.8 96 480 96H512L493.2 171.1C509.1 185.9 521.9 203.9 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C502.9 396.1 492.1 406.9 480 416V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H256V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V416C125.1 389.8 101.3 349.8 96.79 304H68C30.44 304 0 273.6 0 236C0 198.4 30.44 168 68 168H72C85.25 168 96 178.7 96 192C96 205.3 85.25 216 72 216H68C56.95 216 48 224.1 48 236C48 247 56.95 256 68 256H99.2C111.3 196.2 156.9 148.5 215.5 133.2C228.4 129.8 241.1 128 256 128H384zM424 240C410.7 240 400 250.7 400 264C400 277.3 410.7 288 424 288C437.3 288 448 277.3 448 264C448 250.7 437.3 240 424 240z"],
    "pills": [576, 512, [], "f484", "M112 32C50.12 32 0 82.12 0 143.1v223.1c0 61.88 50.12 111.1 112 111.1s112-50.12 112-111.1V143.1C224 82.12 173.9 32 112 32zM160 256H64V144c0-26.5 21.5-48 48-48s48 21.5 48 48V256zM299.8 226.2c-3.5-3.5-9.5-3-12.38 .875c-45.25 62.5-40.38 150.1 15.88 206.4c56.38 56.25 144 61.25 206.5 15.88c4-2.875 4.249-8.75 .75-12.25L299.8 226.2zM529.5 207.2c-56.25-56.25-143.9-61.13-206.4-15.87c-4 2.875-4.375 8.875-.875 12.38l210.9 210.7c3.5 3.5 9.375 3.125 12.25-.75C590.8 351.1 585.9 263.6 529.5 207.2z"],
    "pinata": [512, 512, [], "e3c3", "M492.1 358.5c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-6.389 2.913-11.84 .7278-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L312 345.6l-27.94 12.91c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-4.25 1.938-9.188 1.938-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L112 349.3v52.78l24 12.02l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L200 414.1C211.6 408.3 227.4 400 230.2 400h163.6c2.82 0 18.8 8.424 30.19 14.12l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L488 414.1L512 402.1v-52.78L492.1 358.5zM192.8 446.3L168 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L112 437.9V472C112 494.1 129.9 512 152 512h32C206.1 512 224 494.1 224 472v-34.11l-16.84 8.422C200.5 449.7 194.5 447.2 192.8 446.3zM205.5 270.6L176 257.5L146.5 270.6c-4.125 1.812-8.875 1.812-13 0L112 261.1v52.99l26.66 12.31l28-12.91c4.25-1.938 9.156-1.938 13.41 0L208 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l27.94-12.91c4.25-1.938 9.188-1.938 13.44 0l27.94 12.91l28-12.91c4.25-1.938 9.156-1.938 13.41 0L416 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l25.31-11.69C504.4 281.3 475.1 256 440 256H251.4L218.5 270.6C212.9 273.1 207.9 271.7 205.5 270.6zM480.8 446.3L456 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L400 437.9V472c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40v-34.11l-16.84 8.422C488.5 449.7 482.5 447.2 480.8 446.3zM112 226L140 238.5l29.5-13.12c4.125-1.812 8.875-1.812 13 0L212 238.5L240 226V32c0-17.66-14.34-32-32-32s-32 14.34-32 32v32H62.72C28.13 64 0 92.13 0 126.7c0 27.84 18.72 52.66 45.5 60.31L112 206V226zM176 120c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S152 157.3 152 144C152 130.7 162.7 120 176 120z"],
    "pinball": [448, 512, [], "e229", "M145.4 211.6C123.9 194.5 101.9 191.1 90.1 191.1c-49.65 0-90.1 41.71-90.1 93.11c0 39.17 24.13 75.61 62.12 88.44l310.3 104.8c3.349 1.123 6.824 1.677 10.29 1.677c17.94 0 33.3-14.85 33.3-34.3c0-10.24-4.414-20.37-12.85-27.14L145.4 211.6zM96.17 319.7c-17.58 0-31.89-14.31-31.89-31.89c0-17.58 14.31-31.89 31.89-31.89c17.58 0 31.89 14.31 31.89 31.89C128.1 305.4 113.8 319.7 96.17 319.7zM352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32z"],
    "pineapple": [512, 512, [], "e31f", "M511.6 98.91c1.574-4.977-1.377-10.39-6.588-12.1L479.8 78.57C489.8 68.28 496 54.31 496 38.85V27.43c0-6.311-5.117-11.43-11.43-11.43h-11.43c-15.01 0-28.56 5.91-38.76 15.38l-7.668-24.24c-1.678-5.305-7-8.309-11.89-6.707c-17.27 5.662-30.42 18.48-37.74 34.55l-18.21-18.19c-3.762-3.756-9.672-3.947-13.2-.4238c-18.73 18.71-22.41 46.97-11.63 71.02c-57.65-36.66-134.9-30.04-185.2 20.28L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66c58.22 58.22 152.6 58.23 210.8 .002l105.2-105.2c50.34-50.34 56.95-127.6 20.23-185.3c24.13 10.87 52.53 7.238 71.31-11.52c3.529-3.523 3.338-9.424-.4258-13.18L478.9 136.7C494.1 129.1 506.2 116 511.6 98.91zM164.7 212.7c6.25-6.25 16.38-6.25 22.62 0L208 233.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C216.2 270.4 212.1 272 208 272S199.8 270.4 196.7 267.3l-32-32C158.4 229.1 158.4 218.9 164.7 212.7zM128 352c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L128 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C136.2 350.4 132.1 352 128 352zM251.3 395.3l-32 32C216.2 430.4 212.1 432 208 432s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 393.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S257.6 389.1 251.3 395.3zM331.3 315.3l-32 32C296.2 350.4 292.1 352 288 352s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L288 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S337.6 309.1 331.3 315.3z"],
    "pipe": [64, 512, [], "7c", "M32 512c-17.67 0-32-14.33-32-32V32c0-17.67 14.33-32 32-32s32 14.33 32 32v448C64 497.7 49.67 512 32 512z"],
    "pipe-circle-check": [640, 512, [], "e436", "M512 192.7V128c0-17.66-14.34-32-32-32s-32 14.34-32 32v70.62C463.3 194.3 479.4 192 496 192C501.4 192 506.7 192.3 512 192.7zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM416 211.2V128H96v256h224.7C320.3 378.7 320 373.4 320 368C320 299.6 359 240.3 416 211.2zM496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM563.9 338.7l-72 80c-2.943 3.264-7.104 5.184-11.49 5.312c-4.385 .0957-8.641-1.568-11.74-4.672l-40-40c-6.24-6.273-6.24-16.38 0-22.66c6.271-6.24 16.38-6.24 22.66 0l28.06 28.1l60.7-67.46c5.92-6.592 16.03-7.104 22.59-1.215C569.3 322 569.8 332.1 563.9 338.7z"],
    "pipe-collar": [512, 512, [], "e437", "M476.6 386c22.53-38.11 35.46-82.56 35.46-130S499.1 164.1 476.6 125.9l16.7-16.7c24.99-24.99 24.99-65.5 0-90.5s-65.5-24.99-90.5 0L386.1 35.45c-38.11-22.53-82.56-35.46-130-35.46S164.1 12.92 125.1 35.45L109.3 18.74c-24.99-24.99-65.5-24.99-90.5 0s-24.99 65.5 0 90.5L35.46 125.9C12.94 164.1 .0078 208.5 .0078 255.1s12.93 91.94 35.46 130l-16.7 16.71c-24.99 24.99-24.99 65.5 0 90.5s65.5 24.99 90.5 0l16.7-16.71c38.11 22.53 82.56 35.46 130 35.46s91.94-12.93 130-35.46l16.7 16.71c24.99 24.99 65.5 24.99 90.5 0s24.99-65.5 0-90.5L476.6 386zM64.01 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 463.1 64.01 463.1zM64.01 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 79.99 64.01 79.99zM405 314.5c-16.26 41.34-49.18 74.27-90.53 90.53c-18.11 7.104-37.82 11.01-58.46 11.01s-40.35-3.904-58.46-11.01c-41.34-16.26-74.27-49.19-90.53-90.53c-7.104-18.11-11.01-37.82-11.01-58.46c0-20.64 3.904-40.35 11.01-58.46C123.3 156.2 156.2 123.3 197.5 107c18.11-7.104 37.82-11.01 58.46-11.01s40.35 3.904 58.46 11.01c41.34 16.26 74.27 49.18 90.53 90.53c7.104 18.11 11.01 37.82 11.01 58.46C416 276.6 412.1 296.3 405 314.5zM448 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 463.1 448 463.1zM448 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 79.99 448 79.99z"],
    "pipe-section": [640, 512, [], "e438", "M96 384h448V128H96V384zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM608 96c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C640 110.3 625.7 96 608 96z"],
    "pipe-smoking": [640, 512, [], "e3c4", "M608 0h-32.04C525.9 0 478.1 23.91 448 64l-89.37 119.2c1.988 .9043 4.1 1.508 5.963 2.686l54.34 34.22c2.457 1.533 4.695 3.355 6.814 5.301l75.4-117.3C518.9 80.47 549.1 64 581.9 64H608c17.69 0 32-14.31 32-32S625.7 0 608 0zM401.9 247.1l-54.34-34.21c-7.289-4.592-16.89-2.576-21.74 4.545L256 320V256c0-17.69-14.31-32-32-32H32C14.31 224 0 238.3 0 256v128c0 70.69 57.31 128 128 128h26.12c54.72 0 105-27.47 134.6-73.47l117.7-168.8C411.6 262.3 409.6 251.1 401.9 247.1z"],
    "pipe-valve": [512, 512, [], "e439", "M32 160C14.34 160 0 174.3 0 192v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C64 174.3 49.66 160 32 160zM480 160c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C512 174.3 497.7 160 480 160zM288 147.6l-32-3.553L224 147.6V192H96v256h320V192h-128V147.6zM398.2 64.1L288 76.35V64c0-17.66-14.34-32-32-32S224 46.34 224 64v12.35L113.8 64.1C109.2 63.58 104.7 65.06 101.3 68.06C97.95 71.1 96 75.46 96 80v32c0 4.543 1.951 8.896 5.344 11.94C104.7 126.9 109.2 128.4 113.8 127.9L256 112.1l142.2 15.81c4.512 .5117 9.023-.9609 12.42-3.969C414 120.9 416 116.5 416 112v-32c0-4.545-1.951-8.896-5.344-11.94C407.3 65.06 402.8 63.58 398.2 64.1z"],
    "pizza": [576, 512, [127829], "f817", "M403.2 403.1c-81.87 81.88-214.1 81.13-295.1-2.125c-76.99-79.26-76.99-210.8 0-290c80.99-83.25 214.1-84 295.1-2.125l21.1-22c6.373-6.502 6.373-17.38-.5-23.38c-48.08-42.33-108.2-63.49-168.5-63.49C175.3 .0047 94.33 38.27 42.72 114.8C14.28 156.1 .0005 206.5 .0005 255.1c0 49.5 14.28 99.02 42.72 141.2c50.62 75.1 129.4 113.4 208.9 114.8c61.78 1.128 123.1-20.02 173.3-63.45c6.873-6 6.79-16.87 .2923-23.37L403.2 403.1zM131.9 380.5c32.1 33 77.62 51.5 124.2 51.5s91.49-18.5 124.5-51.5L256.3 256l124.3-124.5c-32.1-33-77.87-51.5-124.5-51.5S164.9 98.49 131.9 131.5C63.27 200.2 63.27 311.8 131.9 380.5zM256.2 351.1c8.875 0 16 7.125 16 16c0 8.875-7.125 16-16 16c-8.873 0-16-7.125-16-16C240.2 359.1 247.3 351.1 256.2 351.1zM197 148.6c3-3.002 6.915-4.636 11.17-4.636c8.873 0 15.1 7.126 15.1 16s-7.126 16-15.1 16c-8.875 0-16-7.126-16-16C192.2 155.7 194 151.6 197 148.6zM149 244.6c2.984-2.984 6.962-4.614 11.19-4.63c8.846 .0352 15.97 7.143 15.97 15.1c0 8.875-7.125 16-16 16c-8.873 0-15.1-7.126-15.1-16C144.2 251.7 146 247.6 149 244.6zM523.2 100.1c-5.748-7.5-17.25-7.917-23.1-1.167l-21.37 21.42c66.74 77.88 66.74 193.4 0 271.3l21.37 21.37c6.75 6.75 18.25 6.375 23.1-1.125c35.18-46 52.78-100.9 52.78-155.9C576 201.1 558.4 146.1 523.2 100.1zM455.2 143.1l-49.99 50c6.498 2.125 10.87 8.25 10.87 15c0 8.877-7.123 16-15.1 16c-6.75 0-12.87-4.375-14.1-10.88L342.3 256l112.9 112.9C509.6 303.5 509.6 208.5 455.2 143.1zM448.1 287.1c-8.873 0-15.1-7.126-15.1-16c0-8.877 7.126-16 15.1-16c8.75 0 16 7.124 16 16C464.1 280.9 456.9 287.1 448.1 287.1z"],
    "pizza-slice": [512, 512, [], "f818", "M100.4 112.3L.5101 491.7c-1.375 5.625 .1622 11.6 4.287 15.6c4.127 4.125 10.13 5.744 15.63 4.119l379.1-105.1C395.3 231.4 276.5 114.1 100.4 112.3zM127.1 416c-17.62 0-32-14.38-32-31.1c0-17.62 14.39-32 32.01-32c17.63 0 32 14.38 32 31.1C160 401.6 145.6 416 127.1 416zM175.1 271.1c-17.63 0-32-14.38-32-32c0-17.62 14.38-31.1 32-31.1c17.62 0 32 14.38 32 31.1C208 257.6 193.6 271.1 175.1 271.1zM272 367.1c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-32 32-32c17.63 0 32 14.38 32 32C304 353.6 289.6 367.1 272 367.1zM158.9 .1406c-16.13-1.5-31.25 8.501-35.38 24.12L108.7 80.52c187.6 5.5 314.5 130.6 322.5 316.1l56.88-15.75c15.75-4.375 25.5-19.62 23.63-35.87C490.9 165.1 340.8 17.39 158.9 .1406z"],
    "place-of-worship": [640, 512, [], "f67f", "M233.4 86.63L308.7 11.32C314.9 5.067 325.1 5.067 331.3 11.32L406.6 86.63C412.6 92.63 416 100.8 416 109.3V217.6L456.7 242C471.2 250.7 480 266.3 480 283.2V512H384V416C384 380.7 355.3 352 319.1 352C284.7 352 255.1 380.7 255.1 416V512H159.1V283.2C159.1 266.3 168.8 250.7 183.3 242L223.1 217.6V109.3C223.1 100.8 227.4 92.63 233.4 86.63H233.4zM24.87 330.3L128 273.6V512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3V330.3zM592 512H512V273.6L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512V512z"],
    "plane": [576, 512, [], "f072", "M482.3 192C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H365.7L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 0 377.7 0 369.1C0 368.7 .1818 367.4 .5398 366.1L32 256L.5398 145.9C.1818 144.6 0 143.3 0 142C0 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L365.7 192H482.3z"],
    "plane-arrival": [640, 512, [128748], "f5af", "M.2528 166.9L.0426 67.99C.0208 57.74 9.508 50.11 19.51 52.34L55.07 60.24C65.63 62.58 74.29 70.11 78.09 80.24L95.1 127.1L223.3 165.6L181.8 20.4C178.9 10.18 186.6 .001 197.2 .001H237.3C248.8 .001 259.5 6.236 265.2 16.31L374.2 210.2L481.5 241.8C497.4 246.5 512.2 254.3 525.2 264.7L559.6 292.2C583.7 311.4 577.7 349.5 548.9 360.5C507.7 376.1 462.7 378.5 420.1 367.4L121.7 289.8C110.6 286.9 100.5 281.1 92.4 272.9L9.536 189.4C3.606 183.4 .2707 175.3 .2528 166.9V166.9zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608zM192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368zM224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384z"],
    "plane-circle-check": [640, 512, [], "e555", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "plane-circle-exclamation": [640, 512, [], "e556", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "plane-circle-xmark": [640, 512, [], "e557", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "plane-departure": [640, 512, [128747], "f5b0", "M484.6 62C502.6 52.8 522.6 48 542.8 48H600.2C627.2 48 645.9 74.95 636.4 100.2C618.2 148.9 582.1 188.9 535.6 212.2L262.8 348.6C258.3 350.8 253.4 352 248.4 352H110.7C101.4 352 92.5 347.9 86.42 340.8L13.34 255.6C6.562 247.7 9.019 235.5 18.33 230.8L50.49 214.8C59.05 210.5 69.06 210.2 77.8 214.1L135.1 239.1L234.6 189.7L87.64 95.2C77.21 88.49 78.05 72.98 89.14 67.43L135 44.48C150.1 36.52 169.5 35.55 186.1 41.8L381 114.9L484.6 62zM0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480z"],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", "M482.3 320H365.7L328.5 385.1C342 388.9 352 401.3 352 416C352 433.7 337.7 448 320 448H292.6L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 .0003 377.7 .0003 369.1C.0003 368.7 .1821 367.4 .5402 366.1L23.21 286.8C9.809 282.1 0 270.6 0 256C0 241.4 9.809 229 23.21 225.2L.5402 145.9C.1821 144.6 .0003 143.3 .0003 142C.0003 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L292.6 64H320C337.7 64 352 78.33 352 96C352 110.7 342 123.1 328.5 126.9L365.7 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H482.3z"],
    "plane-lock": [640, 512, [], "e558", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L421.8 236.4C418 247.6 416 259.6 416 272V296.6C398.1 306.9 385.7 325.7 384.2 347.5L320 329.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "plane-prop": [576, 512, [], "e22b", "M240 384L231.7 317.6L121.7 306.6L113.8 369.1C112.8 377.1 105.9 384 97.88 384H62.12C54.06 384 47.25 377.1 46.25 369.1L35.97 287.8C34.67 287.9 33.34 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C33.34 224 34.67 224.1 35.97 224.2L46.25 142C47.25 134 54.06 128 62.12 128H97.88C105.9 128 112.8 134 113.8 142L121.7 205.4L231.7 194.4L240 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H248L254.2 14.02C255.2 6.009 262.1 0 270.1 0H305.9C313.9 0 320.8 6.009 321.8 14.02L328 64H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V128H336L344 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H344L336 384H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V448H328L321.8 497.1C320.8 505.1 313.9 512 305.9 512H270.1C262.1 512 255.2 505.1 254.2 497.1L248 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H240z"],
    "plane-slash": [640, 512, [], "e069", "M238.1 161.3L197.8 20.4C194.9 10.17 202.6-.0001 213.2-.0001H269.4C280.9-.0001 291.5 6.153 297.2 16.12L397.7 192H514.3C548.5 192 608 221 608 256C608 292 548.5 320 514.3 320H440.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L238.1 161.3zM41.54 128.7L362.5 381.6L297.2 495.9C291.5 505.8 280.9 512 269.4 512H213.2C202.6 512 194.9 501.8 197.8 491.6L246.9 319.1H144L100.8 377.6C97.78 381.6 93.04 384 88 384H46.03C38.28 384 32 377.7 32 369.1C32 368.7 32.18 367.4 32.54 366.1L64 255.1L32.54 145.9C32.18 144.6 32 143.3 32 142C32 135.9 35.1 130.6 41.54 128.7V128.7z"],
    "plane-tail": [576, 512, [], "e22c", "M93.47 308.8L32.78 39.02C28.28 19.02 43.49 0 63.1 0H140.9C158.2 0 174.8 7.025 186.9 19.47L416 256H544V512H299.7C289.1 512 278.5 510.1 268.5 506.3L72.38 431.9C48.07 422.7 31.1 399.4 31.1 373.4C31.1 345.2 50.8 320.5 77.93 313.1L93.47 308.8zM248 352C234.7 352 224 362.7 224 376C224 389.3 234.7 400 248 400H392C405.3 400 416 389.3 416 376C416 362.7 405.3 352 392 352H248z"],
    "plane-up": [512, 512, [], "e22d", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V160L497.8 278.5C506.7 284.4 512 294.4 512 305.1V361.8C512 372.7 501.3 380.4 490.9 376.1L320 319.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V319.1L21.06 376.1C10.7 380.4 0 372.7 0 361.8V305.1C0 294.4 5.347 284.4 14.25 278.5L192 160L192 93.68z"],
    "plane-up-slash": [640, 512, [], "e22e", "M245.4 167.1L255.1 160V93.68C255.1 59.53 284.1 .0003 319.1 .0003C356 .0003 384 59.53 384 93.68V160L561.8 278.5C570.7 284.4 576 294.4 576 305.1V361.8C576 372.7 565.3 380.4 554.9 376.1L482.4 352.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L245.4 167.1zM161.3 223.1L445.9 447.3C447.3 449.7 448 452.4 448 455.3V497.1C448 505.7 441.7 512 433.1 512C432.7 512 431.4 511.8 430.1 511.5L319.1 480L209.9 511.5C208.6 511.8 207.3 512 206 512C198.3 512 191.1 505.7 191.1 497.1V456C191.1 450.1 194.4 446.2 198.4 443.2L255.1 400V320L85.06 376.1C74.7 380.4 63.1 372.7 63.1 361.8V305.1C63.1 294.4 69.35 284.4 78.25 278.5L161.3 223.1z"],
    "planet-moon": [576, 512, [], "e01f", "M512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM224 64C100.2 64 0 164.2 0 288s100.2 224 224 224s224-100.2 224-224S347.8 64 224 64zM320 336.9c0 10-2.375 19.75-6.75 28.62l-40.38 80.63c-4 8.25-11.88 14-20.88 15.5c-3.375 .625-6.875 1-10.38 1.375c-4.5 .5-9-.9995-12.38-4C225.9 455.9 224 451.6 224 447.1V384c-17.62 0-32-14.38-32-32v-32L137.4 265.4C131.4 259.4 123.2 256 114.8 256H89.75C68.1 256 55.25 234.5 63.75 215.5C91.38 154.5 152.8 112 224 112h4.5C243.9 112.6 256 125.2 256 140.6C256 153.2 252.3 165.6 245.3 176.1L195.5 233.5c-11 12.62-10.25 31.75 1.625 43.63C204.1 284.1 213.5 288 223.5 288H288c17.62 0 32 14.38 32 32V336.9z"],
    "planet-ringed": [512, 512, [129680], "e020", "M502.9 9.049c-23.5-23.5-88.26 .0789-167.1 54.84c-75.51-31.25-165.5-16.3-226.9 44.95c-61.26 61.38-76.21 151.4-44.95 226.9c-54.76 78.89-78.34 143.6-54.84 167.1c37.13 37.25 177.9-43.15 314.3-179.5S540.2 46.18 502.9 9.049zM346.5 346.5c-38.13 38.13-84.14 78.89-130.8 113.6c68.13 13.38 138.4-8.001 187.4-57.13c49.01-49.01 70.38-119.4 56.88-187.4C423.9 264.2 382.1 310.9 346.5 346.5z"],
    "plant-wilt": [512, 512, [], "e5aa", "M288 512H224V248C224 217.1 198.9 192 168 192C137.1 192 112 217.1 112 248V260.1C141.3 270.9 160 295.5 160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 295.5 18.67 270.9 48 260.1V248C48 181.7 101.7 128 168 128C188.2 128 207.3 133 224 141.8V120C224 53.73 277.7 0 344 0C410.3 0 464 53.73 464 120V132.1C493.3 142.9 512 167.5 512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 167.5 370.7 142.9 400 132.1V120C400 89.07 374.9 64 344 64C313.1 64 288 89.07 288 120V512z"],
    "plate-utensils": [640, 512, [58713], "e43b", "M130.3 233.8H120V472C120 478.4 117.5 484.5 112.1 488.1C108.5 493.5 102.4 496 96 496C89.63 496 83.53 493.5 79.03 488.1C74.53 484.5 72 478.4 72 472V233.8H61.86C43.86 230.3 27.64 220.7 15.1 206.6C9.007 197.8 4.107 187.6 1.678 176.7C-.7521 165.8-.6475 154.5 1.984 143.6L27.87 26.75C28.63 23.48 30.56 20.59 33.3 18.64C36.04 16.7 39.4 15.83 42.75 16.19C46.09 16.56 49.18 18.14 51.43 20.64C53.69 23.13 54.95 26.37 54.98 29.73V153.2H69.89L84.54 26.21C84.88 23.4 86.23 20.81 88.34 18.93C90.46 17.05 93.19 16.01 96.02 16.01C98.84 16.01 101.6 17.05 103.7 18.93C105.8 20.81 107.2 23.4 107.5 26.21L122.1 153.2H137V29.73C137.1 26.37 138.3 23.13 140.6 20.64C142.8 18.14 145.9 16.56 149.3 16.19C152.6 15.83 155.1 16.7 158.7 18.64C161.4 20.59 163.4 23.48 164.1 26.75L190 143.6C192.7 154.4 192.8 165.7 190.4 176.6C188 187.5 183.1 197.7 176.2 206.5C164.5 220.6 148.3 230.3 130.3 233.8zM624.3 18.08C627.4 19.41 630.3 21.35 632.6 23.79C635 26.22 636.9 29.1 638.2 32.26C639.4 35.43 640 38.8 640 42.21V472C640 478.4 637.5 484.5 632.1 488.1C628.5 493.5 622.4 496 616 496C609.6 496 603.5 493.5 599 488.1C594.5 484.5 592 478.4 592 472V320H544C535.5 320 527.4 316.6 521.4 310.6C515.4 304.6 512 296.5 512 288L512.4 158.2C512.2 128.3 520.8 99 537.3 74.02C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.03 621.2 16.74 624.3 18.07V18.08zM221 136.5L206.9 72.86C249.5 42.74 301.3 28.49 353.4 32.58C405.4 36.67 454.3 58.85 491.7 95.26C484.4 115.4 480.6 136.7 480.5 158.1V188.3C469.6 164.9 453.3 144.5 432.8 128.8C412.3 113.2 388.3 102.7 362.9 98.31C337.5 93.94 311.4 95.79 286.9 103.7C262.4 111.6 240.1 125.4 222.1 143.8C221.7 141.4 221.8 139 221 136.5zM426.5 165.5C450.5 189.5 464 222.1 464 256C464 281.3 456.5 306.1 442.4 327.1C428.4 348.2 408.4 364.6 384.1 374.3C361.6 383.9 335.9 386.5 311 381.5C286.2 376.6 263.4 364.4 245.5 346.5C227.6 328.6 215.4 305.8 210.5 280.1C205.5 256.1 208.1 230.4 217.7 207C227.4 183.6 243.8 163.6 264.9 149.6C285.9 135.5 310.7 128 336 128C369.9 128 402.5 141.5 426.5 165.5zM498.8 333.3C509.4 343.9 523.5 350.4 538.4 351.6C521.7 387.2 495.9 417.7 463.6 440.1C431.3 462.5 393.6 476.1 354.5 479.3C315.3 482.5 275.9 475.4 240.4 458.6C204.9 441.8 174.4 415.9 152 383.6V260.9C160.7 257.8 169 253.6 176.8 248.4C176.6 250.1 176 253.4 176 256C175.1 293.4 189 329.6 212.9 358.4C236.9 387.1 270.1 406.5 306.9 413.3C343.7 420.1 381.6 413.7 414.2 395.3C446.8 376.1 471.9 347.8 485.1 312.8C488.3 320.5 492.1 327.4 498.8 333.3H498.8z"],
    "plate-wheat": [512, 512, [], "e55a", "M256 112V128C256 136.8 248.8 144 240 144C195.8 144 160 108.2 160 64V48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112zM104 64C117.3 64 128 74.75 128 88C128 101.3 117.3 112 104 112H56C42.75 112 32 101.3 32 88C32 74.75 42.75 64 56 64H104zM136 136C149.3 136 160 146.7 160 160C160 173.3 149.3 184 136 184H24C10.75 184 0 173.3 0 160C0 146.7 10.75 136 24 136H136zM32 232C32 218.7 42.75 208 56 208H104C117.3 208 128 218.7 128 232C128 245.3 117.3 256 104 256H56C42.75 256 32 245.3 32 232zM272 48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112V128C368 136.8 360.8 144 352 144C307.8 144 272 108.2 272 64V48zM480 112V128C480 136.8 472.8 144 464 144C419.8 144 384 108.2 384 64V48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112zM480 208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V256C384 211.8 419.8 176 464 176C472.8 176 480 183.2 480 192V208zM352 176C360.8 176 368 183.2 368 192V208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V256C272 211.8 307.8 176 352 176zM256 208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V256C160 211.8 195.8 176 240 176C248.8 176 256 183.2 256 192V208zM3.451 347.6C1.618 332.9 13.05 320 27.82 320H484.2C498.1 320 510.4 332.9 508.6 347.6C502.3 397.8 464.2 437 416 446V448C416 465.7 401.7 480 384 480H127.1C110.3 480 95.1 465.7 95.1 448V446C47.84 437 9.724 397.8 3.45 347.6H3.451z"],
    "play": [384, 512, [9654], "f04b", "M361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215z"],
    "play-pause": [512, 512, [], "e22f", "M52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9c0 27.37 31.88 41.74 52.51 24.62l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41zM352 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C369.6 448 384 433.7 384 416V96C384 78.33 369.7 64 352 64zM480 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C497.6 448 512 433.7 512 416V96C512 78.33 497.7 64 480 64z"],
    "plug": [384, 512, [128268], "f1e6", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224V256C352 333.4 297 397.1 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352z"],
    "plug-circle-bolt": [576, 512, [], "e55b", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "plug-circle-check": [576, 512, [], "e55c", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "plug-circle-exclamation": [576, 512, [], "e55d", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "plug-circle-minus": [576, 512, [], "e55e", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "plug-circle-plus": [576, 512, [], "e55f", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "plug-circle-xmark": [576, 512, [], "e560", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "plus": [448, 512, [10133, 61543, "add"], "2b", "M432 256c0 17.69-14.33 32.01-32 32.01H256v144c0 17.69-14.33 31.99-32 31.99s-32-14.3-32-31.99v-144H48c-17.67 0-32-14.32-32-32.01s14.33-31.99 32-31.99H192v-144c0-17.69 14.33-32.01 32-32.01s32 14.32 32 32.01v144h144C417.7 224 432 238.3 432 256z"],
    "plus-large": [512, 512, [], "e59e", "M288 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H288V480C288 497.7 273.7 512 255.1 512C238.3 512 223.1 497.7 223.1 480V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H223.1V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32V224z"],
    "plus-minus": [384, 512, [], "e43c", "M352 448H32c-17.69 0-32 14.31-32 32s14.31 31.1 32 31.1h320c17.69 0 32-14.31 32-31.1S369.7 448 352 448zM48 208H160v111.1c0 17.69 14.31 31.1 32 31.1s32-14.31 32-31.1V208h112c17.69 0 32-14.32 32-32.01s-14.31-31.99-32-31.99H224v-112c0-17.69-14.31-32.01-32-32.01S160 14.33 160 32.01v112H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208z"],
    "podcast": [448, 512, [], "f2ce", "M224 0C100.3 0 0 100.3 0 224c0 92.22 55.77 171.4 135.4 205.7c-3.48-20.75-6.17-41.59-6.998-58.15C80.08 340.1 48 285.8 48 224c0-97.05 78.95-176 176-176s176 78.95 176 176c0 61.79-32.08 116.1-80.39 147.6c-.834 16.5-3.541 37.37-7.035 58.17C392.2 395.4 448 316.2 448 224C448 100.3 347.7 0 224 0zM224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.3 20.62 132.8C185.8 507.6 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM224 280c30.95 0 56-25.05 56-56S254.1 168 224 168S168 193 168 224S193 280 224 280zM368 224c0-79.53-64.47-144-144-144S80 144.5 80 224c0 44.83 20.92 84.38 53.04 110.8c4.857-12.65 14.13-25.88 32.05-35.04C165.1 299.7 165.4 299.7 165.6 299.7C142.9 282.1 128 254.9 128 224c0-53.02 42.98-96 96-96s96 42.98 96 96c0 30.92-14.87 58.13-37.57 75.68c.1309 .0254 .5078 .0488 .4746 .0742c17.93 9.16 27.19 22.38 32.05 35.04C347.1 308.4 368 268.8 368 224z"],
    "podium": [448, 512, [], "f680", "M108.8 511.1h230.4c16.31 0 30.16-12.26 31.96-28.47L400 223.1h-352l28.84 259.5C78.64 499.7 92.49 511.1 108.8 511.1zM424 143.1L127.4 143.1c6.375-30.88 30.75-55.25 62.75-61.1C198.8 90.62 210.8 95.1 224 95.1l62.2 .0001c23.21 0 44.5-15.69 48.89-38.48C340.1 26.85 317.6 0 288 0h-64c-22 0-40.5 15-46.13 35.25c-52 11.62-91.75 55-98.5 108.8L23.1 143.1C10.75 143.1 0 154.7 0 167.1c0 13.25 10.75 24 23.1 24h400c13.25 0 24-10.75 24-24C448 154.7 437.3 143.1 424 143.1z"],
    "podium-star": [448, 512, [], "f758", "M448 167.1c0 13.25-10.75 24-24 24h-400C10.75 191.1 0 181.3 0 167.1c0-13.25 10.75-24 23.1-24L79.38 143.1c6.75-53.75 46.5-97.13 98.5-108.8C183.5 14.1 201.1 0 224 0l62.2-.0001c23.21 0 44.5 15.69 48.89 38.48C340.1 69.15 317.6 95.1 288 95.1h-64c-13.25 0-25.25-5.375-33.88-13.1c-32 6.749-56.38 31.12-62.75 61.1L424 143.1C437.3 143.1 448 154.7 448 167.1zM48 223.1h352l-28.84 259.5c-1.801 16.21-15.66 28.47-31.96 28.47H108.8c-16.31 0-30.16-12.26-31.96-28.47L48 223.1zM143.5 358.8l33 32.13l-7.75 45.5c-1.5 8.25 7.25 14.38 14.5 10.5l40.75-21.5l40.75 21.5c7.375 3.875 16-2.25 14.5-10.5l-7.75-45.5l33-32.13c5.875-5.875 2.625-16-5.625-17.12l-45.63-6.75l-20.38-41.38c-3.625-7.375-14.12-7.5-17.88 0l-20.38 41.38l-45.63 6.75C140.8 342.8 137.6 352.9 143.5 358.8z"],
    "police-box": [384, 512, [], "e021", "M192 0C200.8 0 208 7.164 208 16V32H288C305.7 32 320 46.33 320 64C337.7 64 352 78.33 352 96V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V96C32 78.33 46.33 64 64 64C64 46.33 78.33 32 96 32H176V16C176 7.164 183.2 0 192 0zM96 160H128V128H104C99.58 128 96 131.6 96 136V160zM96 200C96 204.4 99.58 208 104 208H128V176H96V200zM168 128H144V160H176V136C176 131.6 172.4 128 168 128zM144 208H168C172.4 208 176 204.4 176 200V176H144V208zM216 128C211.6 128 208 131.6 208 136V160H240V128H216zM240 176H208V200C208 204.4 211.6 208 216 208H240V176zM256 160H288V136C288 131.6 284.4 128 280 128H256V160zM288 176H256V208H280C284.4 208 288 204.4 288 200V176zM96 304C96 312.8 103.2 320 112 320H160C168.8 320 176 312.8 176 304V256C176 247.2 168.8 240 160 240H112C103.2 240 96 247.2 96 256V304z"],
    "poll-people": [640, 512, [], "f759", "M128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48zM592 32C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H272C245.5 192 224 170.5 224 144V80C224 53.49 245.5 32 272 32H592zM576 96H480V128H576V96zM592 320C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H272C245.5 480 224 458.5 224 432V368C224 341.5 245.5 320 272 320H592zM576 384H352V416H576V384zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM96 416C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480C0 444.7 28.65 416 64 416H96z"],
    "pompebled": [512, 512, [], "e43d", "M482.9 372.2C397.4 498.5 222.5 557.8 101.1 470.8C-20.76 383.8-28.62 196.7 56.88 70.4C103.1 1.486 188.6-20.65 247.5 21.1C294.2 53.3 302.1 127.7 265.2 194.6C259.3 203.2 261.3 214.8 269.7 220.8C278 226.8 289.3 224.8 295.2 216.3C343.4 157.9 414.1 138.8 460.3 172C519.3 213.8 529.1 303.8 482.9 372.2V372.2z"],
    "poo": [512, 512, [128169], "f2fe", "M451.4 369.1C468.8 356 480 335.4 480 312c0-39.75-32.25-72-72-72h-14.12C407.3 228.2 416 211.2 416 191.1c0-35.25-28.75-63.1-64-63.1h-5.875C349.8 117.9 352 107.2 352 95.1c0-53-43-96-96-96c-5.25 0-10.25 .75-15.12 1.5C250.3 14.62 256 30.62 256 47.1c0 44.25-35.75 80-80 80H160c-35.25 0-64 28.75-64 63.1c0 19.25 8.75 36.25 22.12 48H104C64.25 239.1 32 272.3 32 312c0 23.38 11.25 44 28.62 57.13C26.25 374.6 0 404.1 0 440C0 479.8 32.25 512 72 512h368c39.75 0 72-32.25 72-72C512 404.1 485.8 374.6 451.4 369.1zM192 256c17.75 0 32 14.25 32 32s-14.25 32-32 32S160 305.8 160 288S174.3 256 192 256zM351.5 395C340.1 422.9 292.1 448 256 448c-36.99 0-84.98-25.12-95.48-53C158.5 389.8 162.5 384 168.3 384h175.5C349.5 384 353.5 389.8 351.5 395zM320 320c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 320 320 320z"],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", "M304 368H248.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H199.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C169.4 510.1 172.7 512 175.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C316.6 372.1 310.7 368 304 368zM373.3 226.6C379.9 216.6 384 204.9 384 192c0-35.38-28.62-64-64-64h-5.875C317.8 118 320 107.3 320 96c0-53-43-96-96-96C218.9 0 213.9 .75 208.9 1.5C218.3 14.62 224 30.62 224 48C224 92.13 188.1 128 144 128H128C92.63 128 64 156.6 64 192c0 12.88 4.117 24.58 10.72 34.55C31.98 236.3 0 274.3 0 320c0 53.02 42.98 96 96 96h12.79c-4.033-4.414-7.543-9.318-9.711-15.1c-7.01-18.64-1.645-39.96 13.32-53.02l127.9-111.9C249.1 228.2 260.3 223.1 271.1 224c10.19 0 19.95 3.174 28.26 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.1h7.195c19.89 0 37.95 12.51 44.92 31.11C355.3 384 351 402.8 339.1 416H352c53.02 0 96-42.98 96-96C448 274.3 416 236.3 373.3 226.6z"],
    "pool-8-ball": [512, 512, [], "e3c5", "M304 144C304 117.5 282.5 96 256 96S208 117.5 208 144c0 11.53 4.25 21.97 11.04 30.26C207.5 184.5 200 199.3 200 216C200 246.9 225.1 272 256 272s56-25.12 56-56c0-16.66-7.459-31.48-19.04-41.74C299.8 165.1 304 155.5 304 144zM256 128c8.828 0 16 7.188 16 16S264.8 160 256 160S240 152.8 240 144S247.2 128 256 128zM256 240c-13.23 0-24-10.78-24-24S242.8 192 256 192s24 10.78 24 24S269.2 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C384 262.7 326.7 320 256 320z"],
    "poop": [512, 512, [], "f619", "M512 440.1C512 479.9 479.7 512 439.1 512H71.92C32.17 512 0 479.8 0 440c0-35.88 26.19-65.35 60.56-70.85C43.31 356 32 335.4 32 312C32 272.2 64.25 240 104 240h13.99C104.5 228.2 96 211.2 96 192c0-35.38 28.56-64 63.94-64h16C220.1 128 256 92.12 256 48c0-17.38-5.784-33.35-15.16-46.47C245.8 .7754 250.9 0 256 0c53 0 96 43 96 96c0 11.25-2.288 22-5.913 32h5.879C387.3 128 416 156.6 416 192c0 19.25-8.59 36.25-22.09 48H408C447.8 240 480 272.2 480 312c0 23.38-11.38 44.01-28.63 57.14C485.7 374.6 512 404.3 512 440.1z"],
    "popcorn": [448, 512, [127871], "f819", "M351.7 192c.002 .6739 .2344 1.297 .1484 1.984l-32 256c-1.016 8.094-7.906 14.02-15.86 14.02c-.6562 0-1.328-.0469-2-.125c-8.766-1.094-14.98-9.094-13.89-17.86l31.75-254H240v256c0 8.844-7.156 16-16 16s-16-7.157-16-16v-256H128.1l31.75 254c1.094 8.766-5.125 16.77-13.89 17.86c-.6719 .0782-1.344 .125-2 .125c-7.953 0-14.84-5.922-15.86-14.02l-32-256c-.0859-.6875 .1465-1.311 .1484-1.984H0l73.91 295.8C77.47 502 90.17 512 104.9 512l238.3-.0098c14.68-.002 27.35-9.948 30.91-24.2L448 192H351.7zM411.6 138.9c-7-11.88-19.38-19.63-33.13-20.75c6.5-11.75 6.375-25.88-.25-37.5c-9.125-16-28-23.63-45.63-20.13c-.25-16.63-11.5-32-29-37.5c-13.25-4.25-27.88-1.875-39.13 6.5c0-.75-.25-1.375-.625-2C256.7 6.343 232.7-4.782 210.5 1.969C197.5 5.969 187.2 16.22 183.1 29.22C171.1 21.09 157.5 18.84 144.4 23.09c-17.5 5.375-28.62 20.75-29 37.38c-17.62-3.5-36.5 4.125-45.63 20.13C62.1 92.1 62.87 106.5 69.5 118.1C55.1 119.4 43.12 126.7 36.37 138.9C32.5 145.6 31.62 152.9 32.12 159.1h383.8C416.4 152.9 415.5 145.6 411.6 138.9z"],
    "popsicle": [320, 512, [], "e43e", "M273.1 46.86C303.1 76.87 320 117.6 320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86zM128 416H192V480C192 488.5 188.6 496.6 182.6 502.6C176.6 508.6 168.5 512 160 512C151.5 512 143.4 508.6 137.4 502.6C131.4 496.6 128 488.5 128 480V416z"],
    "pot-food": [640, 512, [127858], "e43f", "M432 112c-50.66 0-92.96 33.85-106.8 80h213.6C524.1 145.8 482.7 112 432 112zM219.9 116.8C232.3 124.1 240 137.5 240 152.1V168C240 181.3 250.7 192 264 192S288 181.3 288 168V151.8c0-31.34-16.81-60.64-43.91-76.45C231.7 68.14 224 54.73 224 40.39V24C224 10.74 213.3 0 200 0S176 10.74 176 24v16.39C176 71.73 192.8 101 219.9 116.8zM592 256h-16.04c-.1055-17.7-14.39-31.99-31.94-32H256V223.1H96C78.44 223.1 64.15 238.3 64.04 256H48c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h24.18c17.19 68.15 60.97 125.5 119.8 160c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c58.85-34.47 102.6-91.85 119.8-160H592c17.67 0 32-14.33 32-32C624 270.3 609.7 256 592 256zM107.9 116.8C120.3 124.1 128 137.5 128 152.1V168C128 181.3 138.7 192 152 192S176 181.3 176 168V151.8c0-31.34-16.81-60.64-43.91-76.45C119.7 68.14 112 54.73 112 40.39V24C112 10.74 101.3 0 88 0S64 10.74 64 24v16.39C64 71.73 80.81 101 107.9 116.8z"],
    "potato": [576, 512, [129364], "e440", "M529.3 87.18c-30.85-60.73-98.88-92.35-144.3-86.49c-43.85 5.441-72.88 33.98-96.27 56.97C272.9 73.3 257.9 88.08 241.1 93.7c-48.8 15.31-79 57.07-105.9 94.16c-11.44 15.79-22.23 30.72-33.41 42.06c-26.41 26.97-106.8 109-52.03 207.7c19.91 35.76 53.71 61.53 92.71 70.69C153.8 510.8 164.6 512 175.2 512c27.65 0 54.59-8.455 77.88-24.47c14.56-10.01 35.09-17.16 56.91-24.76c39.09-13.6 83.41-29.04 108.7-68.41c13.24-20.78 22.18-40.1 30.85-60.6c11.47-25.97 22.32-50.51 42.12-71.54C563.2 186.1 545.9 119.9 529.3 87.18zM192 436c-11.03 0-20-8.969-20-20S180.1 396 192 396S212 404.1 212 416S203 436 192 436zM224 244C212.1 244 204 235 204 224S212.1 204 224 204S244 212.1 244 224S235 244 224 244zM416 212c-11.03 0-20-8.969-20-20S404.1 172 416 172S436 180.1 436 192S427 212 416 212z"],
    "power-off": [512, 512, [9211], "f011", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V256zM80 256C80 353.2 158.8 432 256 432C353.2 432 432 353.2 432 256C432 201.6 407.3 152.9 368.5 120.6C354.9 109.3 353 89.13 364.3 75.54C375.6 61.95 395.8 60.1 409.4 71.4C462.2 115.4 496 181.8 496 255.1C496 388.5 388.5 496 256 496C123.5 496 16 388.5 16 255.1C16 181.8 49.75 115.4 102.6 71.4C116.2 60.1 136.4 61.95 147.7 75.54C158.1 89.13 157.1 109.3 143.5 120.6C104.7 152.9 80 201.6 80 256z"],
    "prescription": [448, 512, [], "f5b1", "M440.1 448.4l-96.28-96.21l95.87-95.95c9.373-9.381 9.373-24.59 0-33.97l-22.62-22.64c-9.373-9.381-24.57-9.381-33.94 0L288.1 295.6L220.5 228c46.86-22.92 76.74-75.46 64.95-133.1C273.9 38.74 221.8 0 164.6 0H31.1C14.33 0 0 14.34 0 32.03v264.1c0 13.26 10.75 24.01 23.1 24.01l31.1 .085c13.25 0 23.1-10.75 23.1-24.02V240.2H119.4l112.1 112L135.4 448.4c-9.373 9.381-9.373 24.59 0 33.97l22.62 22.64c9.373 9.38 24.57 9.38 33.94 0l96.13-96.21l96.28 96.21c9.373 9.381 24.57 9.381 33.94 0l22.62-22.64C450.3 472.9 450.3 457.7 440.1 448.4zM79.1 80.06h87.1c22.06 0 39.1 17.95 39.1 40.03s-17.94 40.03-39.1 40.03H79.1V80.06z"],
    "prescription-bottle": [384, 512, [], "f485", "M32 192h112C152.8 192 160 199.2 160 208C160 216.8 152.8 224 144 224H32v64h112C152.8 288 160 295.2 160 304C160 312.8 152.8 320 144 320H32v64h112C152.8 384 160 391.2 160 400C160 408.8 152.8 416 144 416H32v32c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V128H32V192zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", "M32 448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V128H32V448zM96 304C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304v32c0 8.799-7.199 16-16 16H224v48c0 8.799-7.199 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336V304zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"],
    "presentation-screen": [576, 512, ["presentation"], "f685", "M543.1 0h-512C14.33 0 0 14.33 0 31.1c0 17.67 14.33 32.01 31.1 32.01L32 320c0 17.6 14.4 32 32 32L256 352v34.75L180.7 462.1c-6.256 6.257-6.277 16.46-.0208 22.71l22.54 22.54c6.256 6.257 16.47 6.255 22.73-.0018L288 445.3l61.1 62.01c6.256 6.257 16.47 6.259 22.73 .0018l22.54-22.54c6.256-6.257 6.235-16.46-.0208-22.71L320 386.8v-34.75l192-.0132c17.6 0 32-14.4 32-32l-.0007-256C561.7 64.01 576 49.68 576 32.01C576 14.33 561.7 0 543.1 0zM480 288H96V64.01h384V288z"],
    "pretzel": [576, 512, [129384], "e441", "M535.3 243.1C541.1 222.2 544 200.7 544 179.3C544 98.09 477.6 32 396 32C353.4 32 315 49.97 288 78.69C260.1 49.97 222.6 32 180 32C98.41 32 32 98.09 32 179.3c0 21.38 2.906 42.83 8.688 63.8c14.69 53.25 48 98.23 92.31 129.3l-31.75 44.2c-12.91 17.94-8.812 42.94 9.125 55.83c17.91 12.86 42.88 8.797 55.81-9.141l39.94-55.56c23.72 7.094 48.88 10.89 74.75 10.89h14.25c25.88 0 51.03-3.797 74.75-10.89l39.94 55.56C417.6 474.2 429.9 480 442.3 480c8.094 0 16.25-2.438 23.31-7.516c17.94-12.89 22.03-37.89 9.125-55.83L443 372.5C487.3 341.3 520.6 296.4 535.3 243.1zM228.6 239.4L179.7 307.5C149.8 286.9 127.5 257.1 117.8 221.9C113.1 207.9 112 193.5 112 179.3C112 142.2 142.5 112 180 112S248 142.2 248 179.3C248 201 241.3 221.8 228.6 239.4zM295.1 338.7H280.9c-8.094 0-16.09-.5313-23.94-1.562L288 293.9l31.06 43.23C311.2 338.1 303.2 338.7 295.1 338.7zM458.2 221.9c-9.719 35.22-32.03 64.98-61.84 85.67l-48.97-68.13C334.7 221.8 328 201 328 179.3C328 142.2 358.5 112 396 112S464 142.2 464 179.3C464 193.5 462 207.9 458.2 221.9z"],
    "print": [512, 512, [128424, 128438, 9113], "f02f", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-96h32c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM384 448H128v-96h256V448zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296zM128 64h229.5L384 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v128h64V64z"],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", "M128 64h229.5l26.51 26.51L384 160h63.98l.0072-82.75c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96c-17.66 0-32 14.33-32 32v128h64.01L128 64zM635.3 462l-77.38-77.38c11.25-19 18.09-40.88 18.09-64.63c0-70.75-57.25-128-128-128c-70.76 0-128 57.25-128 128s57.25 128 128 128c23.75 0 45.66-6.875 64.66-18.12l77.38 77.38c6.25 6.25 16.46 6.271 22.71 .0208l22.54-22.54C641.6 478.5 641.6 468.3 635.3 462zM448 384c-35.38 0-64.01-28.62-64.01-64s28.63-64 64.01-64c35.38 0 64.01 28.63 64.01 64S483.4 384 448 384zM448 480c-35.73 0-68.51-12.09-95.01-32H128v-96h163.3c-2.109-10.34-3.294-21.04-3.294-32c0-52.53 25.71-98.81 64.92-128H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h32L64 480c0 17.67 14.33 32 32 32h320C433.7 512 448 497.7 448 480C448 480 448 480 448 480z"],
    "print-slash": [640, 512, [], "f686", "M448 447.8L192 448v-96h133.8L122.4 192.6C89.7 195.5 64 222.6 64 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c12.25 0 22.54-7.119 27.92-17.23L448 447.8zM630.8 469.1L522.2 384H544c17.67 0 32-14.33 32-32V256c0-35.35-28.65-64-64-64H277.3L192 125.2V64h229.5L448 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C451.4 3.375 443.2 0 434.8 0H160C142.3 0 128 14.33 128 32v43.01L38.81 5.111C34.41 1.673 29.19 0 24.03 0c-7.125 0-14.19 3.158-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM496 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C520 285.3 509.3 296 496 296z"],
    "projector": [640, 512, [], "f8d6", "M416 128c13.25 0 24-10.75 24-24v-80C440 10.75 429.3 0 416 0s-24 10.75-24 24v80C392 117.3 402.8 128 416 128zM512 136c6.156 0 12.28-2.344 16.97-7.031l56-56c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-56 56c-9.375 9.375-9.375 24.56 0 33.94C499.7 133.7 505.8 136 512 136zM303 128.1C307.7 133.7 313.8 136 320 136s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-56-56c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L303 128.1zM592 192h-80.88C484.5 172.2 451.8 160 416 160s-68.47 12.16-95.12 32H48C21.5 192 0 213.5 0 240v160C0 426.5 21.5 448 48 448H64l13 51.88C78.75 507 85.13 512 92.5 512h39c7.375 0 13.75-5 15.5-12.12L160 448h160.9C347.5 467.8 380.2 480 416 480c24.44 0 47.34-5.912 68.05-15.71l8.945 35.58C494.8 507 501.1 512 508.5 512h39c7.375 0 13.75-5 15.5-12.12L576 448h16c26.5 0 48-21.5 48-48v-160C640 213.5 618.5 192 592 192zM96 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S113.6 352 96 352zM192 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 352 192 352zM416 416c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S469 416 416 416z"],
    "pump": [640, 512, [], "e442", "M160 224H96v160h224V96H160V224zM32 192C14.4 192 0 206.3 0 224v160c0 17.66 14.4 32 32 32s32-14.34 32-32V224C64 206.3 49.6 192 32 192zM608 96h-140.5C454.7 96 442.2 99.74 432 106.8l-65.6 43.74C357.4 156.4 352 166.4 352 177.1v253.8c0 10.69 5.441 20.67 14.4 26.62L432 501.2C442.2 508.3 454.7 512 467.5 512H608c17.6 0 32-14.34 32-32V128C640 110.3 625.6 96 608 96zM560 416h-96c-8.961 0-16-7.168-16-16s7.039-16 16-16h96c8.961 0 16 7.168 16 16S568.1 416 560 416zM560 320h-96C455 320 448 312.8 448 304S455 288 464 288h96C568.1 288 576 295.2 576 304S568.1 320 560 320zM560 224h-96C455 224 448 216.8 448 208S455 192 464 192h96C568.1 192 576 199.2 576 208S568.1 224 560 224zM320 0H160C142.4 0 128 14.34 128 32s14.4 32 32 32h160c17.6 0 32-14.34 32-32S337.6 0 320 0z"],
    "pump-medical": [384, 512, [], "e06a", "M379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 128h128l-.0002-32h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06zM235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM239.1 333.3c0 7.363-5.971 13.33-13.33 13.33h-40v40c0 7.363-5.969 13.33-13.33 13.33h-26.67c-7.363 0-13.33-5.971-13.33-13.33v-40H93.33c-7.363 0-13.33-5.971-13.33-13.33V306.7c0-7.365 5.971-13.33 13.33-13.33h40v-40C133.3 245.1 139.3 240 146.7 240h26.67c7.363 0 13.33 5.969 13.33 13.33v40h40c7.363 0 13.33 5.969 13.33 13.33V333.3z"],
    "pump-soap": [384, 512, [], "e06b", "M235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM159.1 416C124.7 416 96 389.7 96 357.3c0-25 38.08-75.47 55.5-97.27c4.25-5.312 12.75-5.312 17 0C185.9 281.8 224 332.3 224 357.3C224 389.7 195.3 416 159.1 416zM379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 128h128l-.0002-32h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06z"],
    "pumpkin": [576, 512, [], "f707", "M352 106.6L352 35.73c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.722-1.731-7.127-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM576 319.1c0-64.18-50.9-191.5-150.5-191.5c-10.01 0-20.05 1.271-29.77 3.789c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.63-75.64-36.11-133.1-36.11S186.6 140.5 154.9 164.1c6.821-12.34 6.584-15 25.38-31.88C170.5 129.7 160.5 128.4 150.5 128.4c-99.46 0-150.5 126-150.5 191.5c0 64.45 51.25 191.9 151.5 191.9c24.97 0 49.96-7.938 69.41-23.8c17.75 15.38 39.89 23.86 67.14 23.86s49.37-8.484 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8C524.7 511.9 576 385.9 576 319.1z"],
    "puzzle": [512, 512, [], "e443", "M256 160c0-17.67-14.33-32-32-32H208V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v144h80v-32c0-17.67 14.33-32 32-32s32 14.33 32 32v32h64V192H224C241.7 192 256 177.7 256 160zM0 448c0 35.35 28.65 64 64 64h144v-80h-32c-17.67 0-32-14.33-32-32s14.33-32 32-32h32v-64H0V448zM416 304h-48v32c0 17.67-14.33 32-32 32s-32-14.33-32-32v-32h-64V512H384c35.35 0 64-28.65 64-64v-112C448 318.3 433.7 304 416 304zM448 0h-112c-17.67 0-32 14.33-32 32v48h32c17.67 0 32 14.33 32 32s-14.33 32-32 32h-32v64h64V224c0 17.67 14.33 32 32 32s32-14.33 32-32V208H480c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0z"],
    "puzzle-piece": [512, 512, [129513], "f12e", "M512 288c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C394.9 320 384 330.9 384 344.4V480c0 17.67-14.33 32-32 32h-71.64C266.9 512 256 501.1 256 487.6C256 463.1 288 464.4 288 432c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C192 501.1 181.1 512 167.6 512H32c-17.67 0-32-14.33-32-32v-135.6C0 330.9 10.91 320 24.36 320C48.05 320 47.6 352 80 352C106.5 352 128 323.3 128 288S106.5 223.1 80 223.1c-32.43 0-31.72 32-55.64 32C10.91 255.1 0 245.1 0 231.6v-71.64c0-17.67 14.33-31.1 32-31.1h135.6C181.1 127.1 192 117.1 192 103.6c0-23.69-32-23.24-32-55.64c0-26.51 28.65-47.1 64-47.1s64 21.49 64 47.1c0 32.43-32 31.72-32 55.64c0 13.45 10.91 24.36 24.36 24.36H352c17.67 0 32 14.33 32 31.1v71.64c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C490.5 223.1 512 252.7 512 288z"],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", "M640 256c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C522.9 288 512 298.9 512 312.4V416c0 17.67-14.33 32-32 32h-103.6C362.9 448 352 437.1 352 423.6C352 399.1 384 400.4 384 368c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C288 437.1 277.1 448 263.6 448H160c-17.67 0-32-14.33-32-32V312.4C128 298.9 117.1 288 103.6 288C79.95 288 80.4 320 48 320c-26.51 0-47.1-28.65-47.1-64S21.49 191.1 48 191.1c32.43 0 31.72 32 55.64 32C117.1 223.1 128 213.1 128 199.6V95.1C128 78.33 142.3 63.1 160 63.1l103.6 0C277.1 63.1 288 74.9 288 88.36C288 112 256 111.6 256 143.1C256 170.5 284.7 192 320 192s64-21.49 64-48c0-32.43-32-31.72-32-55.64c0-13.45 10.91-24.36 24.36-24.36L480 63.1c17.67 0 32 14.33 32 32v103.6c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C618.5 191.1 640 220.7 640 256z"],
    "q": [448, 512, [113], "51", "M393.1 402.5c34.12-39.32 54.93-90.48 54.93-146.5c0-123.5-100.5-224-223.1-224S.0001 132.5 .0001 256s100.5 224 223.1 224c44.45 0 85.81-13.16 120.7-35.58l46.73 56.08c6.328 7.594 15.42 11.52 24.59 11.52c21.35 0 31.98-18.26 31.98-32.01c0-7.223-2.433-14.49-7.419-20.47L393.1 402.5zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1c0 36.21-12.55 69.28-32.92 96.12L280.6 267.5c-6.338-7.597-15.44-11.53-24.61-11.53c-21.27 0-31.96 18.22-31.96 32.02c0 7.223 2.433 14.49 7.419 20.47l71.53 85.83C279.6 407.7 252.8 416 224 416z"],
    "qrcode": [448, 512, [], "f029", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM128 96H64V160H128V96zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM128 352H64V416H128V352zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM320 160H384V96H320V160zM352 448H384V480H352V448zM448 480H416V448H448V480zM416 288H448V416H352V384H320V480H256V288H352V320H416V288z"],
    "question": [320, 512, [10067, 10068, 61736], "3f", "M204.3 32.01H96c-52.94 0-96 43.06-96 96c0 17.67 14.31 31.1 32 31.1s32-14.32 32-31.1c0-17.64 14.34-32 32-32h108.3C232.8 96.01 256 119.2 256 147.8c0 19.72-10.97 37.47-30.5 47.33L127.8 252.4C117.1 258.2 112 268.7 112 280v40c0 17.67 14.31 31.99 32 31.99s32-14.32 32-31.99V298.3L256 251.3c39.47-19.75 64-59.42 64-103.5C320 83.95 268.1 32.01 204.3 32.01zM144 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S166.1 400 144 400z"],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", "M96 224C84.72 224 74.05 226.3 64 229.9V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32S145.7 96 128 96C57.42 96 0 153.4 0 224v96c0 53.02 42.98 96 96 96s96-42.98 96-96S149 224 96 224zM352 224c-11.28 0-21.95 2.305-32 5.879V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32s-14.33-32-32-32c-70.58 0-128 57.42-128 128v96c0 53.02 42.98 96 96 96s96-42.98 96-96S405 224 352 224z"],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", "M96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192C192 138.1 149 96 96 96zM448 192c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192z"],
    "quotes": [576, 512, [], "e234", "M320 168C320 128.2 287.8 96 248 96C245.3 96.12 242.6 96.38 240 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32c-52.1 .0566-95.94 43-96 96v72c0 39.76 32.24 72 72 72S320 207.8 320 168zM72 96C69.32 96.12 66.65 96.38 64 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32C43 .0566 .0586 43 0 96v72C0 207.8 32.24 240 72 240S144 207.8 144 168C144 128.2 111.8 96 72 96zM328 272C288.2 272 256 304.2 256 344C256 383.8 288.2 416 328 416c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C400 304.2 367.8 272 328 272zM504 272c-39.76 0-72 32.23-72 72c0 39.76 32.24 72 72 72c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C576 304.2 543.8 272 504 272z"],
    "r": [320, 512, [114], "52", "M228.7 309.7C282 288.6 320 236.8 320 176c0-79.41-64.59-144-144-144H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32s32-14.33 32-32v-128h93.43l104.5 146.6c6.25 8.75 16.09 13.42 26.09 13.42c6.422 0 12.91-1.922 18.55-5.938c14.39-10.27 17.73-30.25 7.484-44.64L228.7 309.7zM64 96.01h112c44.11 0 80 35.89 80 80s-35.89 79.1-80 79.1H64V96.01z"],
    "rabbit": [512, 512, [128007], "f708", "M321.4 128C326.3 128 331 128.3 335.8 128.9C336.9 104.9 333.1 81.08 324.8 58.8C332.5 41.04 343.5 24.6 357.6 10.47L362.2 5.826C365.9 2.096 370.1 .0003 376.2 0C385.5-.0003 393.5 6.373 395.5 15.37L396.6 19.82C406.4 62.26 398.4 106.3 375.6 142.2C381 145.3 386.3 148.8 391.2 152.8L425.8 181C439.8 192.5 448 209.6 448 227.7C448 261 421 288 387.7 288H352V313.8L413.7 468.1C420.3 484.5 412.3 503.1 395.9 509.7C379.5 516.3 360.9 508.3 354.3 491.9L314.8 393.3L265.6 448H288C305.7 448 320 462.3 320 480C320 497.7 305.7 512 288 512H160C131.5 512 107.4 493.4 99.11 467.8C88.83 480.1 73.34 488 56 488C25.07 488 0 462.9 0 432C0 401.1 25.07 376 56 376C73.44 376 89.01 383.1 99.28 396.5C114 317.7 176.8 255.9 256 242.7V193.4C256 182.5 258.7 172.2 263.4 163.2C229.1 126.7 213.1 76.37 220.2 26.39L220.9 21.48C222.7 9.154 233.2-.0003 245.7 0C252.3 0 258.6 2.608 263.3 7.256L266.4 10.33C298.2 41.83 314.3 85.09 311.8 128.7C314.1 128.2 318.2 127.1 321.4 127.1L321.4 128zM368 224C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192C359.2 192 352 199.2 352 208C352 216.8 359.2 224 368 224z"],
    "rabbit-running": [576, 512, ["rabbit-fast"], "f709", "M504.7 174.8C509.8 177.7 514.6 181.1 519.2 184.8L553.8 213C567.8 224.5 576 241.6 576 259.7C576 293 549 320 515.7 320H414.4L352 356.1V340.5C352 283.3 314.1 233.1 259.2 217.4L228.4 208.6C219.9 206.2 211 211.1 208.6 219.6C206.2 228.1 211.1 236.1 219.6 239.4L250.4 248.2C291.6 259.1 320 297.6 320 340.5V384L416 384C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H300.4C284.4 448 269 441.1 257.2 431.2L114.1 300.8C101.1 288.1 91.5 272.1 86.58 254.9C77.79 260.7 67.28 264 56 264C25.07 264 0 238.9 0 208C0 177.1 25.07 152 56 152C73.41 152 88.97 159.9 99.24 172.4C115.1 144.8 145.9 128 178.2 128C213.8 128 248.8 137.3 279.7 154.9L384.8 215C386.1 207.2 388.7 199.9 392.4 193.3C355.3 174.1 325.9 143.1 311 103.6C306.6 91.94 311.5 78.68 322.2 72.46C327.8 69.23 334.5 68.27 340.8 69.85L344.2 70.7C391.3 82.58 429.4 115.1 447.8 160C448.3 160 448.9 160 449.4 160C457.9 160 466.3 160.1 474.5 162.9C464.1 131.8 445.5 104.7 421.2 84.08C421.6 72.18 423.5 60.22 426.7 48.46L427.6 45.51C429.3 39.16 434.3 34.22 440.7 32.51C447.1 30.81 453.9 32.59 458.6 37.2L460.7 39.35C496.9 74.8 513.1 125.5 504.7 174.8zM496 224C487.2 224 480 231.2 480 240C480 248.8 487.2 256 496 256C504.8 256 512 248.8 512 240C512 231.2 504.8 224 496 224zM142.2 421.4L175.2 399.4L223.8 443.9L177.8 474.6C163 484.4 143.2 480.5 133.4 465.8C123.6 451 127.5 431.2 142.3 421.4H142.2z"],
    "racquet": [640, 512, [], "f45a", "M11.85 420.5c-7.76 5.546-11.86 14.28-11.86 23.09c0 5.707 1.722 11.43 5.272 16.38l28.51 40.01C39.33 507.9 48.17 512 57.01 512c5.607 0 11.21-1.649 16-5.03l111.7-75.55l-62.56-88.23L11.85 420.5zM640 140c0-108.2-95.23-140-153.7-140c-85.42 0-230.4 65.71-261.1 203.2c-10.1 49.5-34.89 94.6-67.51 132.7l45.62 64.49c46.24-17.77 83.92-21.96 113.3-21.96c26.17 0 45.7 3.335 58.72 3.335c49.5 0 104.3-17.29 153.5-52.16C599.6 279.4 640 205.1 640 140zM576 140c0 94.27-112.9 177.9-201.2 177.9c-56.64 0-90.23-30.2-90.23-76.35c0-61.46 78.84-177.5 201.3-177.5C542.5 64.02 576 94.08 576 140z"],
    "radar": [512, 512, [], "e024", "M304.8 173.3C290.5 164.8 273.8 160 255.1 160C202.1 160 159.1 202.1 159.1 256C159.1 309 202.1 352 255.1 352C309 352 352 309 352 256H416C416 329.5 366.4 391.5 298.8 410.2C290.8 394.7 274.7 384 255.1 384C237.3 384 221.2 394.7 213.2 410.2C161.6 395.9 120.4 356.4 103.9 305.7C118.3 297.4 127.1 281.8 127.1 264C127.1 244.6 116.5 227.9 99.99 220.3C116.2 149.1 179.9 96 255.1 96C291.5 96 324.3 107.6 350.9 127.2L373.7 104.3C341.2 79.05 300.4 64 256 64C163.1 64 85.66 129.9 67.85 217.6C47.22 222.9 32 241.7 32 264C32 287.8 49.35 307.6 72.1 311.4C91.43 375.7 143.6 425.8 209.1 442.2C213.8 463.8 233 480 256 480C278.1 480 298.2 463.8 302.9 442.2C386.3 421.3 448 345.9 448 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C318.1 0 374.9 22.08 419.3 58.8L463 15.03C472.4 5.657 487.6 5.657 496.1 15.03C506.3 24.4 506.3 39.6 496.1 48.97L314.9 231C318.2 238.7 320 247.1 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C264.9 192 273.3 193.8 280.1 197.1L304.8 173.3z"],
    "radiation": [512, 512, [], "f7b9", "M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1zM213.6 188L142.7 74.71C132.5 58.41 109.9 54.31 95.25 66.75c-44.94 38.1-76.19 91.82-85.17 152.8C7.266 238.7 22.67 255.8 42.01 255.8h133.8C175.8 227.2 191 202.3 213.6 188zM416.8 66.75c-14.67-12.44-37.21-8.338-47.41 7.965L298.4 188c22.6 14.3 37.8 39.2 37.8 67.8h133.8c19.34 0 34.74-17.13 31.93-36.26C492.9 158.6 461.7 104.8 416.8 66.75zM298.4 323.5C286.1 331.2 271.6 335.9 256 335.9s-30.1-4.701-42.4-12.4L142.7 436.9c-10.14 16.21-4.16 38.2 13.32 45.95C186.6 496.4 220.4 504 256 504s69.42-7.611 100-21.18c17.48-7.752 23.46-29.74 13.32-45.95L298.4 323.5z"],
    "radio": [512, 512, [128251], "f8d7", "M447.1 128L218.5 128l276.2-80.97c12.72-3.734 19.1-17.06 16.28-29.78c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9c-29.07 8.512-49.55 34.8-51.39 64.78L.0007 192v255.1c0 35.31 28.69 63.1 63.1 63.1h383.1c35.31 0 63.1-28.69 63.1-63.1V192C511.1 156.7 483.3 128 447.1 128zM80 248c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V263.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1V248zM208 391.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V391.1zM224 327.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1V311.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V327.1zM367.1 399.1c-44.16 0-80-35.84-80-79.1s35.84-80 80-80s79.1 35.85 79.1 80S412.2 399.1 367.1 399.1z"],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", "M447.1 128L218.5 128l276.2-80.97c12.72-3.734 19.1-17.06 16.28-29.78c-3.719-12.7-17-19.1-29.78-16.28L51.75 126.9C22.68 135.4 2.203 161.7 .3589 191.6L-.0001 192v255.1c0 35.31 28.69 63.1 63.1 63.1h383.1c35.31 0 63.1-28.69 63.1-63.1v-255.1C511.1 156.7 483.3 128 447.1 128zM208 423.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-8 7.1-8h111.1c4.406 0 7.1 3.594 7.1 8V423.1zM224 359.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V359.1zM383.1 447.1c-35.32 0-63.1-28.68-63.1-63.1s28.68-63.1 63.1-63.1c35.33 0 63.1 28.68 63.1 63.1S419.3 447.1 383.1 447.1zM415.1 256H96C78.33 256 64 241.7 64 224s14.33-31.1 31.1-31.1h319.1c17.67 0 31.1 14.33 31.1 31.1S433.7 256 415.1 256z"],
    "rainbow": [640, 512, [127752], "f75b", "M312.3 32.09C137.6 36.22 0 183.3 0 358V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464v-106.9c0-143.2 117.2-263.5 260.4-261.1C463.5 98.4 576 212.3 576 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C640 172.1 492.3 27.84 312.3 32.09zM313.5 224.2C244.8 227.6 192 286.9 192 355.7V464C192 472.8 199.2 480 208 480h32C248.8 480 256 472.8 256 464v-109.7c0-34.06 25.65-63.85 59.64-66.11C352.9 285.7 384 315.3 384 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C448 279.3 387 220.5 313.5 224.2zM313.2 128.1C191.4 131.7 96 234.9 96 356.8V464C96 472.8 103.2 480 112 480h32C152.8 480 160 472.8 160 464v-108.1c0-86.64 67.24-160.5 153.8-163.8C404.8 188.7 480 261.7 480 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C544 226.2 439.8 124.3 313.2 128.1z"],
    "raindrops": [448, 512, [], "f75c", "M50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C71.14 221.4 56.86 221.4 50.56 231.9zM224 155.4c0-26.72-31.79-83.96-50.56-115.4c-6.307-10.57-20.58-10.57-26.89 0C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4zM334.6 135.5c-6.916-10.01-22.27-10.01-29.19 0C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.5 128-121.7C448 305.2 368.2 184.1 334.6 135.5z"],
    "ram": [640, 512, [128015], "f70a", "M336 64C336 28.65 364.7 0 400 0C435.3 0 464 28.65 464 64V65.33C469.2 64.45 474.5 64 480 64C485.5 64 490.8 64.45 496 65.33V64C496 28.65 524.7 0 560 0C595.3 0 624 28.65 624 64V72C624 85.25 613.3 96 600 96C586.7 96 576 85.25 576 72V64C576 55.16 568.8 48 560 48C551.2 48 544 55.16 544 64V88.44C550.8 94.55 556.8 101.6 561.6 109.4L609.5 129.9C621.6 135.2 627.3 149.3 622.1 161.5C616.8 173.6 602.7 179.3 590.5 174.1L576 167.8V240C576 284.2 540.2 320 496 320H464C419.8 320 384 284.2 384 240V167.8L369.5 174.1C357.3 179.3 343.2 173.6 337.9 161.5C332.7 149.3 338.4 135.2 350.5 129.9L398.4 109.4C403.2 101.6 409.2 94.55 416 88.45V64C416 55.16 408.8 48 400 48C391.2 48 384 55.16 384 64V72C384 85.25 373.3 96 360 96C346.7 96 336 85.25 336 72L336 64zM464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM352 207.4V240C352 301.9 402.1 352 464 352H475.3C465.9 375.5 442.9 392 416 392C415.5 392 414.1 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C286.7 64 312.3 85.56 318.5 114.3C304.3 130.1 299.6 153.3 308.5 174.1C316.5 192.7 333.3 204.7 352 207.4L352 207.4z"],
    "ramp-loading": [384, 512, [], "f4d4", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V440.4L320 312.4V64H64V312.4L0 440.4V48zM372.4 488.8C373.2 490.3 373.7 491.9 373.9 493.4C375.5 502.8 368.3 512 358.1 512H25.89C15.68 512 8.531 502.8 10.08 493.4C10.33 491.9 10.83 490.3 11.58 488.8L96 320H288L372.4 488.8z"],
    "ranking-star": [640, 512, [], "e561", "M406.1 61.65C415.4 63.09 419.4 74.59 412.6 81.41L374.6 118.1L383.6 170.1C384.1 179.5 375.3 186.7 366.7 182.4L320.2 157.9L273.3 182.7C264.7 187 255 179.8 256.4 170.5L265.4 118.4L227.4 81.41C220.6 74.59 224.6 63.09 233.9 61.65L286.2 54.11L309.8 6.332C314.1-2.289 326.3-1.93 330.2 6.332L353.8 54.11L406.1 61.65zM384 256C401.7 256 416 270.3 416 288V480C416 497.7 401.7 512 384 512H256C238.3 512 224 497.7 224 480V288C224 270.3 238.3 256 256 256H384zM160 320C177.7 320 192 334.3 192 352V480C192 497.7 177.7 512 160 512H32C14.33 512 0 497.7 0 480V352C0 334.3 14.33 320 32 320H160zM448 416C448 398.3 462.3 384 480 384H608C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H480C462.3 512 448 497.7 448 480V416z"],
    "raygun": [576, 512, [], "e025", "M320 31.97h-16c-8.75 0-16 7.128-16 16v27.24C273.4 68.24 257.3 64.01 240 64.01L191.1 64L88.23 2.309C77.57-4.09 64 3.573 64 16.01v59.22C26.26 93.25 0 131.4 0 176c0 59.26 46.17 107.3 104.4 111.2l-70.48 120.8c-6.375 11-8.125 24.12-4.75 36.38c3.25 12.38 11.38 22.88 22.38 29.13l55.38 32c11.12 6.375 24.12 8.125 36.5 4.875c12.25-3.375 22.75-11.38 29.12-22.38L288 288v15.1c0 8.75 7.25 16 16 16H320c8.75 0 15.88-7.001 16-15.75V47.72C335.9 38.97 328.8 31.97 320 31.97zM112 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C136 189.2 125.3 199.1 112 199.1zM208 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C232 189.2 221.3 199.1 208 199.1zM569.4 119.4c-4.25-3-9.5-3.875-14.38-2.25L480 142.2h-64v-62.19c0-8.875-7.125-16-16-16L384 63.97c-8.75 0-16 7.126-16 16v192c0 8.754 7.25 16 16 16L400 288c8.875 0 16-7.248 16-16V206.2h64.13l74.75 25c4.875 1.625 10.25 .749 14.5-2.251C573.5 225.9 576 221.1 576 215.9V132.4C576 127.2 573.5 122.4 569.4 119.4z"],
    "receipt": [384, 512, [129534], "f543", "M13.97 2.196C22.49-1.72 32.5-.3214 39.62 5.778L80 40.39L120.4 5.778C129.4-1.926 142.6-1.926 151.6 5.778L192 40.39L232.4 5.778C241.4-1.926 254.6-1.926 263.6 5.778L304 40.39L344.4 5.778C351.5-.3214 361.5-1.72 370 2.196C378.5 6.113 384 14.63 384 24V488C384 497.4 378.5 505.9 370 509.8C361.5 513.7 351.5 512.3 344.4 506.2L304 471.6L263.6 506.2C254.6 513.9 241.4 513.9 232.4 506.2L192 471.6L151.6 506.2C142.6 513.9 129.4 513.9 120.4 506.2L80 471.6L39.62 506.2C32.5 512.3 22.49 513.7 13.97 509.8C5.456 505.9 0 497.4 0 488V24C0 14.63 5.456 6.112 13.97 2.196V2.196zM96 144C87.16 144 80 151.2 80 160C80 168.8 87.16 176 96 176H288C296.8 176 304 168.8 304 160C304 151.2 296.8 144 288 144H96zM96 368H288C296.8 368 304 360.8 304 352C304 343.2 296.8 336 288 336H96C87.16 336 80 343.2 80 352C80 360.8 87.16 368 96 368zM96 240C87.16 240 80 247.2 80 256C80 264.8 87.16 272 96 272H288C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240H96z"],
    "record-vinyl": [512, 512, [], "f8d9", "M256 160C202.9 160 160 202.9 160 256s42.92 96 96 96c53.08 0 96-42.92 96-96S309.1 160 256 160zM256 288C238.3 288 224 273.7 224 256s14.33-32 32-32c17.67 0 32 14.33 32 32S273.7 288 256 288zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S326.8 384 256 384z"],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", "M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128z"],
    "rectangle-ad": [576, 512, ["ad"], "f641", "M208 237.7L229.2 280H186.8L208 237.7zM416 280C416 293.3 405.3 304 392 304C378.7 304 368 293.3 368 280C368 266.7 378.7 256 392 256C405.3 256 416 266.7 416 280zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM229.5 173.3C225.4 165.1 217.1 160 208 160C198.9 160 190.6 165.1 186.5 173.3L114.5 317.3C108.6 329.1 113.4 343.5 125.3 349.5C137.1 355.4 151.5 350.6 157.5 338.7L162.8 328H253.2L258.5 338.7C264.5 350.6 278.9 355.4 290.7 349.5C302.6 343.5 307.4 329.1 301.5 317.3L229.5 173.3zM416 212.1C408.5 209.4 400.4 208 392 208C352.2 208 320 240.2 320 280C320 319.8 352.2 352 392 352C403.1 352 413.6 349.5 423 344.1C427.4 349.3 433.4 352 440 352C453.3 352 464 341.3 464 328V184C464 170.7 453.3 160 440 160C426.7 160 416 170.7 416 184V212.1z"],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM120 128C106.7 128 96 138.7 96 152V360C96 373.3 106.7 384 120 384C133.3 384 144 373.3 144 360V152C144 138.7 133.3 128 120 128zM176 368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V144C208 135.2 200.8 128 192 128C183.2 128 176 135.2 176 144V368zM264 128C250.7 128 240 138.7 240 152V360C240 373.3 250.7 384 264 384C277.3 384 288 373.3 288 360V152C288 138.7 277.3 128 264 128zM352 360C352 373.3 362.7 384 376 384C389.3 384 400 373.3 400 360V152C400 138.7 389.3 128 376 128C362.7 128 352 138.7 352 152V360zM464 128C455.2 128 448 135.2 448 144V368C448 376.8 455.2 384 464 384C472.8 384 480 376.8 480 368V144C480 135.2 472.8 128 464 128z"],
    "rectangle-code": [512, 512, [], "e322", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM294.2 167.9C285.3 177.8 286.1 192.1 295.9 201.8L356.1 256L295.9 310.2C286.1 319 285.3 334.2 294.2 344.1C303 353.9 318.2 354.7 328.1 345.8L408.1 273.8C413.1 269.3 416 262.8 416 256C416 249.2 413.1 242.7 408.1 238.2L328.1 166.2C318.2 157.3 303 158.1 294.2 167.9V167.9zM216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L155.9 256L216.1 201.8z"],
    "rectangle-history": [512, 512, [], "e4a2", "M512 448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C483.3 160 512 188.7 512 224V448zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392z"],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", "M320 368C320 427.5 349.5 480.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", "M320 368C320 427.5 349.5 480.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "rectangle-list": [576, 512, ["list-alt"], "f022", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256zM160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192C145.7 192 160 177.7 160 160zM160 352C160 334.3 145.7 320 128 320C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352zM224 136C210.7 136 200 146.7 200 160C200 173.3 210.7 184 224 184H448C461.3 184 472 173.3 472 160C472 146.7 461.3 136 448 136H224zM224 232C210.7 232 200 242.7 200 256C200 269.3 210.7 280 224 280H448C461.3 280 472 269.3 472 256C472 242.7 461.3 232 448 232H224zM224 328C210.7 328 200 338.7 200 352C200 365.3 210.7 376 224 376H448C461.3 376 472 365.3 472 352C472 338.7 461.3 328 448 328H224z"],
    "rectangle-pro": [640, 512, ["pro"], "e235", "M160 240H128V208H160C168.8 208 176 215.2 176 224C176 232.8 168.8 240 160 240zM288 208H320C328.8 208 336 215.2 336 224C336 232.8 328.8 240 320 240H288V208zM448 248C448 225.9 465.9 208 488 208C510.1 208 528 225.9 528 248V264C528 286.1 510.1 304 488 304C465.9 304 448 286.1 448 264V248zM576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM104 160C90.75 160 80 170.7 80 184V328C80 341.3 90.75 352 104 352C117.3 352 128 341.3 128 328V288H160C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160H104zM240 328C240 341.3 250.7 352 264 352C277.3 352 288 341.3 288 328V288H306.7L339.6 340.7C346.7 351.1 361.5 355.4 372.7 348.4C383.1 341.3 387.4 326.5 380.4 315.3L356.3 276.7C373 265.2 384 245.9 384 224C384 188.7 355.3 160 320 160H264C250.7 160 240 170.7 240 184V328zM488 160C439.4 160 400 199.4 400 248V264C400 312.6 439.4 352 488 352C536.6 352 576 312.6 576 264V248C576 199.4 536.6 160 488 160z"],
    "rectangle-terminal": [512, 512, [], "e236", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM102.3 151.8C93.35 161.6 94.01 176.7 103.8 185.7L180.5 256L103.8 326.3C94.01 335.3 93.35 350.4 102.3 360.2C111.3 369.1 126.4 370.6 136.2 361.7L232.2 273.7C237.2 269.1 240 262.7 240 255.1C240 249.3 237.2 242.9 232.2 238.3L136.2 150.3C126.4 141.4 111.3 142 102.3 151.8V151.8zM248 336C234.7 336 224 346.7 224 360C224 373.3 234.7 384 248 384H392C405.3 384 416 373.3 416 360C416 346.7 405.3 336 392 336H248z"],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320z"],
    "rectangle-vertical-history": [576, 512, [], "e237", "M512 0C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64C192 28.65 220.7 0 256 0H512zM96 72C96 58.75 106.7 48 120 48C133.3 48 144 58.75 144 72V440C144 453.3 133.3 464 120 464C106.7 464 96 453.3 96 440V72zM0 120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V392C48 405.3 37.25 416 24 416C10.75 416 0 405.3 0 392V120z"],
    "rectangle-wide": [640, 512, [], "f2fc", "M0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128z"],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "rectangles-mixed": [576, 512, [], "e323", "M0 80C0 53.49 21.49 32 48 32H272C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80zM384 80C384 53.49 405.5 32 432 32H528C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80zM288 304C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352C64 325.5 85.49 304 112 304H288z"],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", "M180.2 243.1C185 263.9 162.2 280.2 144.1 268.8L119.8 253.6l-50.9 81.43c-13.33 21.32 2.004 48.98 27.15 48.98h32.02c17.64 0 31.98 14.32 31.98 31.96c0 17.64-14.34 32.05-31.98 32.05H96.15c-75.36 0-121.3-82.84-81.47-146.8L65.51 219.8L41.15 204.5C23.04 193.1 27.66 165.5 48.48 160.7l91.43-21.15C148.5 137.7 157.2 142.9 159.2 151.6L180.2 243.1zM283.1 78.96l41.25 66.14l-24.25 15.08c-18.16 11.31-13.57 38.94 7.278 43.77l91.4 21.15c8.622 1.995 17.23-3.387 19.21-12.01l21.04-91.43c4.789-20.81-17.95-37.05-36.07-25.76l-24.36 15.2L337.4 45.14c-37.58-60.14-125.2-60.18-162.8-.0617L167.2 56.9C157.9 71.75 162.5 91.58 177.3 100.9c14.92 9.359 34.77 4.886 44.11-10.04l7.442-11.89C241.6 58.58 270.9 59.33 283.1 78.96zM497.3 301.3l-16.99-27.26c-9.336-14.98-29.06-19.56-44.04-10.21c-14.94 9.318-19.52 29.15-10.18 44.08l16.99 27.15c13.35 21.32-1.984 49-27.14 49h-95.99l.0234-28.74c0-21.38-25.85-32.09-40.97-16.97l-66.41 66.43c-6.222 6.223-6.222 16.41 .0044 22.63l66.42 66.34c15.12 15.1 40.95 4.386 40.95-16.98l-.0234-28.68h95.86C491.2 448.1 537.2 365.2 497.3 301.3z"],
    "reel": [448, 512, [], "e238", "M384 272H64v32h320V272zM64 176h320v-32H64V176zM32 64h32v48h320V64h32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32C0 49.67 14.33 64 32 64zM432 208H64v32h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM416 448h-32v-48H64V448H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 462.3 433.7 448 416 448zM64 368h320v-32H64V368z"],
    "refrigerator": [384, 512, [], "e026", "M0 160V64c0-35.35 28.65-64 64-64h256c35.35 0 64 28.65 64 64v96h-64V79.1C320 71.2 312.8 64 304 64S288 71.2 288 79.1V160H0zM320 192v176c0 8.8-7.2 16-16 16S288 376.8 288 368V192H0v288c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192H320z"],
    "registered": [512, 512, [174], "f25d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8zM272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176z"],
    "repeat": [512, 512, [128257], "f363", "M480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94C169.1 318.3 159 319.8 151.9 326.2l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94C337.4 191.3 340.7 192 343.1 192c5.812 0 11.57-2.125 16.07-6.156l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72c-7.047-6.312-17.19-7.875-25.83-4.094C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z"],
    "repeat-1": [512, 512, [128258], "f365", "M264 320C277.3 320 288 309.3 288 296v-80c0-7.719-3.703-14.97-9.969-19.47C271.8 192 263.7 190.8 256.4 193.2l-24 8C219.8 205.4 213 219 217.2 231.6C220.6 241.7 229.1 248 240 248v48C240 309.3 250.8 320 264 320zM480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94c-8.641-3.781-18.75-2.219-25.83 4.094l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94C337.4 191.3 340.7 192 343.1 192c5.812 0 11.57-2.125 16.07-6.156l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72C353-.1562 342.9-1.719 334.2 2.062C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z"],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", "M8.31 189.9l176-151.1c15.41-13.3 39.69-2.509 39.69 18.16v80.05C384.6 137.9 512 170.1 512 322.3c0 61.44-39.59 122.3-83.34 154.1c-13.66 9.938-33.09-2.531-28.06-18.62c45.34-145-21.5-183.5-176.6-185.8v87.92c0 20.7-24.31 31.45-39.69 18.16l-176-151.1C-2.753 216.6-2.784 199.4 8.31 189.9z"],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", "M136.3 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16V275.1c108.5 12.58 151.1 58.79 112.6 181.9c-5.031 16.09 14.41 28.56 28.06 18.62c43.75-31.81 83.34-92.69 83.34-154.1c0-131.3-94.86-173.2-224-183.5V56.02c0-20.67-24.28-31.46-39.69-18.16L136.3 189.9C125.2 199.4 125.2 216.6 136.3 226.2zM8.31 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16v-15.83L66.33 208l157.7-136.2V56.02c0-20.67-24.28-31.46-39.69-18.16l-176 151.1C-2.77 199.4-2.77 216.6 8.31 226.2z"],
    "reply-clock": [640, 512, ["reply-time"], "e239", "M496 320c-86.73 0-158.6-62.8-173.2-145.4C292 170.4 258.9 168.5 223.1 168.1V88.02c0-20.67-24.28-31.47-39.69-18.17l-176 152c-11.09 9.562-11.06 26.75 0 36.31l176 152c15.38 13.3 39.69 2.547 39.69-18.16V304.1c155.1 2.234 221.9 40.73 176.6 185.8c-5.031 16.09 14.41 28.56 28.06 18.62C472.4 476.6 512 415.8 512 354.3c0-12.56-1.17-24.02-2.852-34.99C504.8 319.7 500.4 320 496 320zM496 0C416.4 0 352 64.38 352 144S416.4 288 496 288S640 223.6 640 144S575.6 0 496 0zM544 160h-54.25C484.4 160 480 155.6 480 150.3V80C480 71.16 487.2 64 496 64C504.8 64 512 71.16 512 80V128h32c8.838 0 16 7.162 16 16C560 152.8 552.8 160 544 160z"],
    "republican": [640, 512, [], "f75e", "M544 191.1c0-88.37-71.62-159.1-159.1-159.1L159.1 32C71.62 32 0 103.6 0 191.1l.025 63.98h543.1V191.1zM176.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87L103.5 223.2C99.27 225.6 94.02 221.9 94.77 216.1l4.75-27.25l-19.75-19.37C76.15 166.9 78.15 160.9 83.02 160.2L110.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L145.5 156.2L172.9 160.2C177.9 160.9 179.8 166.9 176.3 170.4zM320.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25L272 210.4l-24.5 12.87C243.3 225.6 238 221.9 238.8 216.1L243.5 189.7l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12L254.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L289.5 156.2l27.37 4C321.9 160.9 323.8 166.9 320.3 170.4zM464.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87l-24.5 12.87c-4.25 2.375-9.5-1.375-8.75-6.25l4.75-27.25l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12l27.37-4l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0l12.25 24.87l27.37 4C465.9 160.9 467.8 166.9 464.3 170.4zM624 319.1L592 319.1c-8.799 0-15.1 7.199-15.1 15.1v63.99c0 8.748-7.25 15.1-15.1 15.1c-8.75 0-15.1-7.25-15.1-15.1l-.0313-111.1L.025 287.1v159.1c0 17.6 14.4 31.1 31.1 31.1L95.98 479.1c17.6 0 32.04-14.4 32.04-32v-63.98l191.1-.0169v63.99c0 17.6 14.36 32 31.96 32l64.04 .013c17.6 0 31.1-14.4 31.1-31.1l-.0417-96.01l32.04 .0006v43.25c0 41.79 29.91 80.03 71.48 84.35C599.3 484.5 640 446.9 640 399.1v-63.98C640 327.2 632.8 319.1 624 319.1z"],
    "restroom": [640, 512, [], "f7bd", "M319.1 0C306.8 0 296 10.8 296 24v464c0 13.2 10.8 24 23.1 24s24-10.8 24-24V24C344 10.8 333.2 0 319.1 0zM213.7 171.8C204.9 145.6 180.5 128 152.9 128H103.1C75.47 128 51.06 145.6 42.37 171.8L1.653 293.9c-5.594 16.77 3.469 34.89 20.22 40.48c12.68 4.211 25.93 .1426 34.13-9.18V480c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-144h16l.0003 144c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-155.2c6.041 6.971 14.7 11.25 24 11.25c3.344 0 6.75-.5313 10.13-1.656c16.75-5.594 25.81-23.72 20.22-40.48L213.7 171.8zM128 96c26.5 0 47.1-21.5 47.1-48S154.5 0 128 0S80 21.5 80 48S101.5 96 128 96zM511.1 96c26.5 0 48-21.5 48-48S538.5 0 511.1 0s-47.1 21.5-47.1 48S485.5 96 511.1 96zM638.3 293.9l-40.69-122.1C588.9 145.6 564.5 128 536.9 128h-49.88c-27.59 0-52 17.59-60.69 43.75l-40.72 122.1c-5.594 16.77 3.469 34.89 20.22 40.48c3.422 1.137 6.856 1.273 10.25 1.264L399.1 384h40v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h39.1l-15.99-47.98c3.342 0 6.747-.5313 10.12-1.656C634.9 328.8 643.9 310.6 638.3 293.9z"],
    "restroom-simple": [576, 512, [], "e23a", "M264 0h-16c-8.75 0-16 7.25-16 16v480c0 8.75 7.25 16 16 16h16c8.75 0 16-7.25 16-16v-480C280 7.25 272.8 0 264 0zM448 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S412.6 128 448 128zM575.4 363.6L527.1 194.8C521.3 174.2 502.4 160 480.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C317.7 373.8 325.4 384 336 384H384v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C570.6 384 578.3 373.8 575.4 363.6zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160z"],
    "retweet": [640, 512, [], "f079", "M614.2 334.8C610.5 325.8 601.7 319.1 592 319.1H544V176C544 131.9 508.1 96 464 96h-128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128C472.8 160 480 167.2 480 176v143.1h-48c-9.703 0-18.45 5.844-22.17 14.82s-1.656 19.29 5.203 26.16l80 80.02C499.7 445.7 505.9 448 512 448s12.28-2.344 16.97-7.031l80-80.02C615.8 354.1 617.9 343.8 614.2 334.8zM304 352h-128C167.2 352 160 344.8 160 336V192h48c9.703 0 18.45-5.844 22.17-14.82s1.656-19.29-5.203-26.16l-80-80.02C140.3 66.34 134.1 64 128 64S115.7 66.34 111 71.03l-80 80.02C24.17 157.9 22.11 168.2 25.83 177.2S38.3 192 48 192H96V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"],
    "rhombus": [448, 512, [], "e23b", "M438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1z"],
    "ribbon": [448, 512, [127895], "f4d6", "M6.05 444.3c-9.626 10.87-7.501 27.62 4.5 35.75l68.76 27.87c9.876 6.75 23.38 4.1 31.38-3.75l91.76-101.9L123.2 314.3L6.05 444.3zM441.8 444.3c0 0-292-324.5-295.4-329.1c15.38-8.5 40.25-17.1 77.51-17.1s62.13 9.5 77.51 17.1c-3.25 5.5-56.01 64.5-56.01 64.5l79.13 87.75l34.13-37.1c28.75-31.87 33.38-78.62 11.5-115.5L326.5 39.52c-4.25-7.25-9.876-13.25-16.75-17.1c-40.75-27.62-127.5-29.75-171.5 0C131.3 26.27 125.7 32.27 121.4 39.52L77.81 112.8C76.31 115.3 40.68 174.9 89.31 228.8l248.1 275.2c8.001 8.875 21.38 10.5 31.25 3.75l68.88-27.87C449.5 471.9 451.6 455.1 441.8 444.3z"],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", "M448 256c0 8.188-3.125 16.38-9.375 22.62l-160 160c-9.156 9.156-22.91 11.89-34.88 6.938C231.8 440.6 224 428.9 224 416v-96H32c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192V96c0-12.94 7.797-24.61 19.75-29.56c11.97-4.953 25.72-2.219 34.88 6.938l160 160C444.9 239.6 448 247.8 448 256z"],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", "M96 480h64C177.7 480 192 465.7 192 448S177.7 416 160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64C177.7 96 192 81.67 192 64S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256C0 437 42.98 480 96 480zM504.8 238.5l-144.1-136c-6.975-6.578-17.2-8.375-26-4.594c-8.803 3.797-14.51 12.47-14.51 22.05l-.0918 72l-128-.001c-17.69 0-32.02 14.33-32.02 32v64c0 17.67 14.34 32 32.02 32l128 .001l.0918 71.1c0 9.578 5.707 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C514.4 264.4 514.4 247.6 504.8 238.5z"],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", "M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64zM440.8 238.5l-144.1-136c-6.975-6.578-17.2-8.375-26-4.594C261.9 101.8 256.2 110.4 256.2 120V192H128.1C110.4 192 96.05 206.3 96.05 224v64c0 17.67 14.35 32 32.04 32h128.1v72c0 9.578 5.708 18.25 14.51 22.05c8.805 3.781 19.03 1.984 26-4.594l144.1-136C450.4 264.4 450.4 247.6 440.8 238.5z"],
    "right-left": [512, 512, ["exchange-alt"], "f362", "M32 160h319.9l.0791 72c0 9.547 5.652 18.19 14.41 22c8.754 3.812 18.93 2.078 25.93-4.406l112-104c10.24-9.5 10.24-25.69 0-35.19l-112-104c-6.992-6.484-17.17-8.217-25.93-4.408c-8.758 3.816-14.41 12.46-14.41 22L351.9 96H32C14.31 96 0 110.3 0 127.1S14.31 160 32 160zM480 352H160.1L160 279.1c0-9.547-5.652-18.19-14.41-22C136.9 254.2 126.7 255.9 119.7 262.4l-112 104c-10.24 9.5-10.24 25.69 0 35.19l112 104c6.992 6.484 17.17 8.219 25.93 4.406C154.4 506.2 160 497.5 160 488L160.1 416H480c17.69 0 32-14.31 32-32S497.7 352 480 352z"],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", "M504.3 273.6l-112.1 104c-6.992 6.484-17.18 8.218-25.94 4.406c-8.758-3.812-14.42-12.45-14.42-21.1L351.9 288H32C14.33 288 .0002 273.7 .0002 255.1S14.33 224 32 224h319.9l0-72c0-9.547 5.66-18.19 14.42-22c8.754-3.809 18.95-2.075 25.94 4.41l112.1 104C514.6 247.9 514.6 264.1 504.3 273.6z"],
    "right-long-to-line": [640, 512, [], "e444", "M608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64zM504.3 273.6L392.2 377.6C385.3 384.1 375.1 385.8 366.3 382C357.6 378.2 351.9 369.5 351.9 360V304H32C14.33 304 0 289.7 0 272V240C0 222.3 14.33 208 32 208H351.9V151.1C351.9 142.5 357.6 133.8 366.3 129.1C375.1 126.2 385.3 127.9 392.2 134.4L504.3 238.4C514.6 247.9 514.6 264.1 504.3 273.6V273.6z"],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", "M344.7 238.5l-144.1-136C193.7 95.97 183.4 94.17 174.6 97.95C165.8 101.8 160.1 110.4 160.1 120V192H32.02C14.33 192 0 206.3 0 224v64c0 17.68 14.33 32 32.02 32h128.1v72c0 9.578 5.707 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C354.3 264.4 354.3 247.6 344.7 238.5zM416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z"],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", "M32.05 319.1l128.1 .0003L160.1 392c0 9.578 5.708 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136c9.602-9.062 9.602-25.84 0-34.91L200.6 102.5C193.7 95.96 183.5 94.17 174.6 97.95C165.8 101.7 160.1 110.4 160.1 119.1L160.1 191.1L32.05 191.1c-17.69 0-32.02 14.33-32.02 32V287.1C.0228 305.7 14.36 319.1 32.05 319.1zM415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z"],
    "ring": [512, 512, [], "f70b", "M256 64C109.1 64 0 125.9 0 208v98.13C0 384.5 114.6 448 256 448s256-63.5 256-141.9V208C512 125.9 401.1 64 256 64zM256 288C203.1 288 155.1 279.1 120.4 264.6C155 249.9 201.6 240 256 240s101 9.875 135.6 24.62C356.9 279.1 308.9 288 256 288zM437.1 234.4C392.1 208.3 328.3 192 256 192S119.9 208.3 74.88 234.4C68 226.1 64 217.3 64 208C64 163.9 149.1 128 256 128c105.1 0 192 35.88 192 80C448 217.3 444 226.1 437.1 234.4z"],
    "ring-diamond": [384, 512, [], "e5ab", "M122.5 13.27C126.6 5.136 134.9 0 144 0H240C249.1 0 257.4 5.136 261.5 13.27L285.5 61.27C289 68.35 288.8 76.73 284.1 83.66L254.6 138.4C329.9 164.4 384 235.9 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320C0 235.9 54.12 164.4 129.4 138.4L99.02 83.66C95.17 76.73 94.99 68.35 98.53 61.27L122.5 13.27zM192 192C121.3 192 64 249.3 64 320C64 390.7 121.3 448 192 448C262.7 448 320 390.7 320 320C320 249.3 262.7 192 192 192z"],
    "rings-wedding": [512, 512, [], "f81b", "M351.2 160.7c14 22.12 23.75 46.62 28.63 72.24c51.63 21.1 79 78.74 64.13 132.7c-14.88 54.12-67.5 88.74-123 81.24C265.4 439.5 224 392.1 224 335.1c0-42.25 23.75-78.62 58.25-97.49C285.6 249.1 288 260.2 288 271.1c0 28.5-11 55.1-30.75 76.62c3.625 22.5 16.62 42.51 35.75 54.76C330.5 370.1 352 322.1 352 271.1c0-81.62-55.59-150.2-130.1-170.1l34.96-69.92L223.1 0h-95.1l-32 31.1l34.96 69.92C55.59 121.8 0 190.4 0 271.1c0 97.24 78.75 175.1 176 175.1c7.625 0 15.29-.7385 22.91-1.863c46.75 58.25 125.2 80.73 195.6 55.86C465 477.2 512 410.6 512 335.1C512 243.1 441.2 168.5 351.2 160.7zM64 271.1c.125-61.87 50.13-111.9 112-111.1c26.88 0 51.25 9.874 70.5 25.75C195 216.2 160 271.6 160 335.1c0 15.87 2.25 31.73 6.5 46.98C109.2 378.1 64 330.5 64 271.1z"],
    "road": [576, 512, [128739], "f018", "M256 96C256 113.7 270.3 128 288 128C305.7 128 320 113.7 320 96V32H394.8C421.9 32 446 49.08 455.1 74.63L572.9 407.2C574.9 413 576 419.2 576 425.4C576 455.5 551.5 480 521.4 480H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H54.61C24.45 480 0 455.5 0 425.4C0 419.2 1.06 413 3.133 407.2L120.9 74.63C129.1 49.08 154.1 32 181.2 32H255.1L256 96zM320 224C320 206.3 305.7 192 288 192C270.3 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320C305.7 320 320 305.7 320 288V224z"],
    "road-barrier": [640, 512, [], "e562", "M32 32C49.67 32 64 46.33 64 64V96H149.2L64 266.3V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32V32zM309.2 288H234.8L330.8 96H405.2L309.2 288zM458.8 96H533.2L437.2 288H362.8L458.8 96zM202.8 96H277.2L181.2 288H106.8L202.8 96zM576 117.7V64C576 46.33 590.3 32 608 32C625.7 32 640 46.33 640 64V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V288H490.8L576 117.7z"],
    "road-bridge": [640, 512, [], "e563", "M352 0H608C625.7 0 640 14.33 640 32V480C640 497.7 625.7 512 608 512H352C334.3 512 320 497.7 320 480V32C320 14.33 334.3 0 352 0zM456 224V288C456 301.3 466.7 312 480 312C493.3 312 504 301.3 504 288V224C504 210.7 493.3 200 480 200C466.7 200 456 210.7 456 224zM504 384C504 370.7 493.3 360 480 360C466.7 360 456 370.7 456 384V448C456 461.3 466.7 472 480 472C493.3 472 504 461.3 504 448V384zM456 64V128C456 141.3 466.7 152 480 152C493.3 152 504 141.3 504 128V64C504 50.75 493.3 40 480 40C466.7 40 456 50.75 456 64zM32 96H288V160H248V224H288V320C234.1 320 192 362.1 192 416V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 362.1 53.02 320 0 320V224H72V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96zM200 160H120V224H200V160z"],
    "road-circle-check": [640, 512, [], "e564", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "road-circle-exclamation": [640, 512, [], "e565", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "road-circle-xmark": [640, 512, [], "e566", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "road-lock": [640, 512, [], "e567", "M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L517.5 160.5C460.6 165.8 416 213.7 416 272V296.6C396.9 307.6 384 328.3 384 352V480H352V416C352 398.3 337.7 384 320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96zM352 224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C337.7 320 352 305.7 352 288V224zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "road-spikes": [640, 512, [], "e568", "M64 116.8C64 101 84.53 94.79 93.31 107.1L192 255.1V116.8C192 101 212.5 94.79 221.3 107.1L320 255.1V116.8C320 101 340.5 94.79 349.3 107.1L448 255.1V116.8C448 101 468.5 94.79 477.3 107.1L606.8 302.2C621 323.5 605.8 351.1 580.2 351.1H64L64 116.8zM608 383.1C625.7 383.1 640 398.3 640 415.1C640 433.7 625.7 447.1 608 447.1H32C14.33 447.1 0 433.7 0 415.1C0 398.3 14.33 383.1 32 383.1H608z"],
    "robot": [640, 512, [129302], "f544", "M9.375 233.4C3.375 239.4 0 247.5 0 256v128c0 8.5 3.375 16.62 9.375 22.62S23.5 416 32 416h32V224H32C23.5 224 15.38 227.4 9.375 233.4zM464 96H352V32c0-17.62-14.38-32-32-32S288 14.38 288 32v64H176C131.8 96 96 131.8 96 176V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V176C544 131.8 508.3 96 464 96zM256 416H192v-32h64V416zM224 296C201.9 296 184 278.1 184 256S201.9 216 224 216S264 233.9 264 256S246.1 296 224 296zM352 416H288v-32h64V416zM448 416h-64v-32h64V416zM416 296c-22.12 0-40-17.88-40-40S393.9 216 416 216S456 233.9 456 256S438.1 296 416 296zM630.6 233.4C624.6 227.4 616.5 224 608 224h-32v192h32c8.5 0 16.62-3.375 22.62-9.375S640 392.5 640 384V256C640 247.5 636.6 239.4 630.6 233.4z"],
    "robot-astromech": [512, 512, [], "e2d2", "M494.6 489.5l-30.59-68.14V240c0-26.47-21.53-48-48-48H95.1c-26.47 0-48 21.53-48 48v181.3l-30.59 68.14C16.46 491.5 16 493.8 16 496c0 12.88 11.99 16 15.1 16H112C120.8 512 128 504.8 128 496L127.1 384l54.63 54.63C188.6 444.6 196.8 448 205.3 448h101.5c8.486 0 16.62-3.371 22.63-9.373L384 384l.002 112c0 8.844 7.156 16 16 16h80C484 512 496 508.8 496 496C496 493.8 495.5 491.5 494.6 489.5zM304 351.1h-96c-8.836 0-16-7.164-16-16C192 327.2 199.2 320 208 320h96C312.8 320 320 327.2 320 335.1C320 344.8 312.8 351.1 304 351.1zM304 288H208C199.2 288 192 280.8 192 271.1C192 263.2 199.2 256 208 256h96C312.8 256 320 263.2 320 271.1C320 280.8 312.8 288 304 288zM384 128c0-70.69-57.31-128-128-128C164.1 0 127.1 83.22 127.1 133.5V160h256V128zM224 128C206.3 128 192 113.7 192 96c0-17.67 14.33-32 32-32s32 14.33 32 32C256 113.7 241.7 128 224 128zM304 128c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 120.8 312.8 128 304 128z"],
    "rocket": [512, 512, [], "f135", "M156.6 384.9L125.7 353.1C117.2 345.5 114.2 333.1 117.1 321.8C120.1 312.9 124.1 301.3 129.8 288H24C15.38 288 7.414 283.4 3.146 275.9C-1.123 268.4-1.042 259.2 3.357 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H200C202.4 124 204.8 120.3 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C391.8 307.2 387.1 309.6 384 311.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 224 496.6 224 488V380.8C209.9 385.6 197.6 389.7 188.3 392.7C177.1 396.3 164.9 393.2 156.6 384.9V384.9zM384 167.1C406.1 167.1 424 150.1 424 127.1C424 105.9 406.1 87.1 384 87.1C361.9 87.1 344 105.9 344 127.1C344 150.1 361.9 167.1 384 167.1z"],
    "rocket-launch": [512, 512, [128640], "e027", "M117.8 127.1H207C286.9-3.743 409.5-8.542 483.9 5.255C495.6 7.41 504.6 16.45 506.7 28.07C520.5 102.5 515.7 225.1 384 304.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 224 496.6 224 488V373.3C224 350.6 215 328.1 199 312.1C183 296.1 161.4 288 138.7 288H24C15.38 288 7.414 283.4 3.146 275.9C-1.123 268.4-1.042 259.2 3.357 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H117.8zM384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88zM166.5 470C117 519.5 .4762 511.5 .4762 511.5C.4762 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470zM119.8 392.2C108.3 380.8 89.81 380.8 78.38 392.2C61.92 408.7 64.58 447.4 64.58 447.4C64.58 447.4 103.3 450.1 119.8 433.6C131.2 422.2 131.2 403.7 119.8 392.2z"],
    "roller-coaster": [640, 512, [], "e324", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V190.1C0 102.8 70.77 32 158.1 32C209.9 32 258.4 57.37 287.9 99.9L416.9 285.6C431.8 307.2 456.4 320 482.6 320H496C540.2 320 576 284.2 576 240C576 207.2 556.3 179 528 166.7V264C528 277.3 517.3 288 504 288C490.7 288 480 277.3 480 264V160.6C465.8 162.2 451.1 166.4 439.3 173.2L432 177.1V251.3L357.6 144.2L409.2 116.7C434.7 103.1 463.1 96 492 96H496C575.5 96 640 160.5 640 240C640 242.7 639.9 245.4 639.8 248H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V359.8C563.8 367.9 550.4 374.2 536 378.4V456C536 469.3 525.3 480 512 480C498.7 480 488 469.3 488 456V384H482.6C467.1 384 453.6 381.8 440 377.6V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V351.9C381.5 343.5 372.2 333.5 364.3 322.1L344 292.9V456C344 469.3 333.3 480 319.1 480C306.7 480 295.1 469.3 295.1 456V223.8L247.1 154.7V456C247.1 469.3 237.3 480 223.1 480C210.7 480 199.1 469.3 199.1 456V105.9C187.2 99.47 172.8 96 158.1 96C156 96 154 96.06 151.1 96.19V456C151.1 469.3 141.3 480 127.1 480C114.7 480 103.1 469.3 103.1 456V113.1C79.81 130.1 63.1 158.2 63.1 190.1L64 448z"],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", "M449.9 39.96l-48.5 48.53C362.5 53.19 311.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.97 5.5 34.86-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c37.96 0 73 14.18 100.2 37.8L311.1 178C295.1 194.8 306.8 223.4 330.4 224h146.9C487.7 223.7 496 215.3 496 204.9V59.04C496 34.99 466.9 22.95 449.9 39.96zM441.8 289.6c-16.94-5.438-34.88 3.812-40.3 20.59C381.1 373.5 322.6 416 256 416c-37.96 0-73-14.18-100.2-37.8L200 334C216.9 317.2 205.2 288.6 181.6 288H34.66C24.32 288.3 16 296.7 16 307.1v145.9c0 24.04 29.07 36.08 46.07 19.07l48.5-48.53C149.5 458.8 200.6 480 255.1 480c94.45 0 177.4-60.34 206.4-150.2C467.9 313 458.6 294.1 441.8 289.6z"],
    "rotate-exclamation": [512, 512, [], "e23c", "M432 117.4V80C432 62.33 446.3 48 464 48C481.7 48 496 62.33 496 80V192C496 209.7 481.7 224 464 224H437.8C437.3 224 436.8 224 436.3 224H352C334.3 224 320 209.7 320 192C320 174.3 334.3 160 352 160H384C354.8 121.1 308.3 96 255.1 96C186.4 96 127.1 140.5 105.1 202.7C99.21 219.3 80.92 228.1 64.26 222.2C47.6 216.3 38.86 197.1 44.75 181.3C75.49 94.38 158.4 32 255.1 32C327.4 32 390.1 65.42 432 117.4V117.4zM280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM48 464C30.33 464 16 449.7 16 432V320C16 302.3 30.33 288 48 288H160C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352H127.1C157.2 390.9 203.7 416 256 416C325.6 416 384.9 371.5 406.9 309.3C412.8 292.7 431.1 283.9 447.7 289.8C464.4 295.7 473.1 314 467.2 330.7C436.5 417.6 353.6 480 256 480C184.6 480 121 446.6 80 394.6V432C80 449.7 65.67 464 48 464V464z"],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", "M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.84 0-95.17-15.58-134.2-44.86c-14.12-10.59-16.97-30.66-6.375-44.81c10.59-14.12 30.62-16.94 44.81-6.375c27.84 20.91 61 31.94 95.88 31.94C344.3 415.8 416 344.1 416 256s-71.69-159.8-159.8-159.8c-37.46 0-73.09 13.49-101.3 36.64l45.12 45.14c17.01 17.02 4.955 46.1-19.1 46.1H35.17C24.58 224.1 16 215.5 16 204.9V59.04c0-24.04 29.07-36.08 46.07-19.07l47.6 47.63C149.9 52.71 201.5 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z"],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", "M468.9 32.11c13.87 0 27.18 10.77 27.18 27.04v145.9c0 10.59-8.584 19.17-19.17 19.17h-145.7c-16.28 0-27.06-13.32-27.06-27.2c0-6.634 2.461-13.4 7.96-18.9l45.12-45.14c-28.22-23.14-63.85-36.64-101.3-36.64c-88.09 0-159.8 71.69-159.8 159.8S167.8 415.9 255.9 415.9c73.14 0 89.44-38.31 115.1-38.31c18.48 0 31.97 15.04 31.97 31.96c0 35.04-81.59 70.41-147 70.41c-123.4 0-223.9-100.5-223.9-223.9S132.6 32.44 256 32.44c54.6 0 106.2 20.39 146.4 55.26l47.6-47.63C455.5 34.57 462.3 32.11 468.9 32.11z"],
    "route": [512, 512, [], "f4d7", "M320 256C302.3 256 288 270.3 288 288C288 305.7 302.3 320 320 320H416C469 320 512 362.1 512 416C512 469 469 512 416 512H139.6C148.3 502.1 158.9 489.4 169.6 475.2C175.9 466.8 182.4 457.6 188.6 448H416C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384H320C266.1 384 223.1 341 223.1 288C223.1 234.1 266.1 192 320 192H362.1C340.2 161.5 320 125.4 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96C512 160 416 256 416 256H320zM416 128C433.7 128 448 113.7 448 96C448 78.33 433.7 64 416 64C398.3 64 384 78.33 384 96C384 113.7 398.3 128 416 128zM118.3 487.8C118.1 488 117.9 488.2 117.7 488.4C113.4 493.4 109.5 497.7 106.3 501.2C105.9 501.6 105.5 502 105.2 502.4C99.5 508.5 96 512 96 512C96 512 0 416 0 352C0 298.1 42.98 255.1 96 255.1C149 255.1 192 298.1 192 352C192 381.4 171.8 417.5 149.9 448C138.1 463.2 127.7 476.9 118.3 487.8L118.3 487.8zM95.1 384C113.7 384 127.1 369.7 127.1 352C127.1 334.3 113.7 320 95.1 320C78.33 320 63.1 334.3 63.1 352C63.1 369.7 78.33 384 95.1 384z"],
    "route-highway": [448, 512, [], "f61a", "M245.1 7.371C282.7 29.89 329.1 31.67 368.2 12.1L369.7 11.38C384.9 3.783 403.4 9.378 411.8 24.12L443.8 80.12C449.1 89.41 449.4 100.7 444.6 110.3L428.4 142.8C420.2 159.1 416 177 416 195.2C416 210.2 418.8 224.1 424.4 238.8L438.7 274.5C444.8 289.9 448 306.4 448 323C448 372.5 420 417.8 375.8 439.9L238.3 508.6C229.3 513.1 218.7 513.1 209.7 508.6L72.24 439.9C27.97 417.8 0 372.5 0 323C0 306.4 3.172 289.9 9.348 274.5L23.61 238.8C29.15 224.1 32 210.2 32 195.2C32 177 27.76 159.1 19.62 142.8L3.378 110.3C-1.407 100.7-1.092 89.41 4.216 80.12L36.22 24.12C44.64 9.378 63.12 3.783 78.31 11.38L79.75 12.1C118.9 31.67 165.3 29.89 202.9 7.371L207.5 4.56C217.7-1.52 230.3-1.52 240.5 4.56L245.1 7.371zM95.97 192C95.99 193.1 96 194.2 96 195.2C96 218.3 91.6 241.2 83.03 262.6L68.77 298.2C65.62 306.1 64 314.5 64 323C64 348.3 78.27 371.4 100.9 382.7L224 444.2L347.1 382.7C369.7 371.4 384 348.3 384 323C384 314.5 382.4 306.1 379.2 298.2L364.1 262.6C356.4 241.2 352 218.3 352 195.2C352 194.2 352 193.1 352 192H95.97z"],
    "route-interstate": [512, 512, [], "f61b", "M350.3 37.28C373.6 41.3 399.6 40.44 433.1 34.11C456.1 30.04 477.6 45.08 480.9 67.7C495.1 170.6 495 257.9 463.1 331.8C430.6 406.8 368.5 462.7 272.8 507.5C262.6 512.3 250.7 512.5 240.3 508.1C141.9 466.7 79.34 410.6 47.29 334.2C15.92 259.5 15.99 170.4 31.09 67.68C34.41 45.04 55.9 30.04 78.02 34.11C112.4 40.44 138.4 41.3 161.7 37.28C184.8 33.27 207.6 24.07 235.1 7.308C247.9-.5141 264.1-.5141 276.9 7.308C304.4 24.07 327.2 33.27 350.3 37.28V37.28zM85.25 192C85.68 237.5 92.33 276.2 106.3 309.4C129.2 364 173.8 408.7 255.3 444.9C335.9 405.4 380.9 360.5 404.4 306.4C418.4 273.8 425.4 236.3 426.3 191.1L85.25 192z"],
    "router": [576, 512, [], "f8da", "M200.3 105.5c83.69-77.05 219.8-77.05 303.5 0c9.75 8.979 24.94 8.338 33.91-1.424C541.9 99.49 544 93.65 544 87.83c0-6.477-2.594-12.95-7.75-17.69c-101.6-93.52-266.9-93.52-368.5 0C157.1 79.1 157.4 94.32 166.3 104.1C175.3 113.9 190.5 114.5 200.3 105.5zM528 320H376V247.1c0-13.25-10.75-23.1-23.1-23.1S328 234.7 328 247.1v72.01H48c-26.51 0-48 21.48-48 47.99v96C0 490.5 21.49 512 47.1 512H528c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM96 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C128 433.6 113.6 448 96 448zM192 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C224 433.6 209.6 448 192 448zM248.2 149.9C238.2 158.6 237.2 173.8 245.1 183.8C254.7 193.7 269.9 194.7 279.8 185.1c39.78-34.97 104.5-34.97 144.3 0c9.969 8.76 25.12 7.775 33.88-2.189C462 179.2 464 173.6 464 167.9c0-6.678-2.75-13.33-8.154-18.07C398.6 99.53 305.4 99.53 248.2 149.9z"],
    "rss": [448, 512, ["feed"], "f09e", "M25.57 176.1C12.41 175.4 .9117 185.2 .0523 198.4s9.173 24.65 22.39 25.5c120.1 7.875 225.7 112.7 233.6 233.6C256.9 470.3 267.4 480 279.1 480c.5313 0 1.062-.0313 1.594-.0625c13.22-.8438 23.25-12.28 22.39-25.5C294.6 310.3 169.7 185.4 25.57 176.1zM32 32C14.33 32 0 46.31 0 64s14.33 32 32 32c194.1 0 352 157.9 352 352c0 17.69 14.33 32 32 32s32-14.31 32-32C448 218.6 261.4 32 32 32zM63.1 351.9C28.63 351.9 0 380.6 0 416s28.63 64 63.1 64s64.08-28.62 64.08-64S99.37 351.9 63.1 351.9z"],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", "M240 32C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H128V352H288C305.7 352 320 366.3 320 384C320 401.7 305.7 416 288 416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64C64 46.33 78.33 32 96 32H240zM320 176C320 131.8 284.2 96 240 96H128V256H240C284.2 256 320 220.2 320 176z"],
    "rug": [640, 512, [], "e569", "M80 64V448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H32V360H24C10.75 360 0 349.3 0 336C0 322.7 10.75 312 24 312H32V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V200H24C10.75 200 0 189.3 0 176C0 162.7 10.75 152 24 152H32V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H80zM112 64H528V448H112V64zM616 112H608V152H616C629.3 152 640 162.7 640 176C640 189.3 629.3 200 616 200H608V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H608V312H616C629.3 312 640 322.7 640 336C640 349.3 629.3 360 616 360H608V400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H560V64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112z"],
    "rugby-ball": [512, 512, [], "e3c6", "M495.1 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.714 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 495.1 357.4 495.1 174.8zM384 144c0 4.094-1.562 8.188-4.688 11.31l-52.67 52.67l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688L304 230.6l-25.38 25.38l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69L230.6 303.1l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69l-52.69 52.69C152.2 382.4 148.1 384 144 384C135.5 384 128 377.1 128 368c0-4.094 1.562-8.188 4.688-11.31l52.69-52.69L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l20.69 20.69l25.38-25.38L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-8.528 6.865-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l25.38-25.38l-20.69-20.69c-3.125-3.125-4.688-7.219-4.688-11.31c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l52.67-52.67C359.8 129.6 363.9 128 368 128C376.5 128 384 134.9 384 144z"],
    "ruler": [512, 512, [128207], "f545", "M177.9 494.1C159.2 512.8 128.8 512.8 110.1 494.1L17.94 401.9C-.8054 383.2-.8054 352.8 17.94 334.1L68.69 283.3L116.7 331.3C122.9 337.6 133.1 337.6 139.3 331.3C145.6 325.1 145.6 314.9 139.3 308.7L91.31 260.7L132.7 219.3L180.7 267.3C186.9 273.6 197.1 273.6 203.3 267.3C209.6 261.1 209.6 250.9 203.3 244.7L155.3 196.7L196.7 155.3L244.7 203.3C250.9 209.6 261.1 209.6 267.3 203.3C273.6 197.1 273.6 186.9 267.3 180.7L219.3 132.7L260.7 91.31L308.7 139.3C314.9 145.6 325.1 145.6 331.3 139.3C337.6 133.1 337.6 122.9 331.3 116.7L283.3 68.69L334.1 17.94C352.8-.8055 383.2-.8055 401.9 17.94L494.1 110.1C512.8 128.8 512.8 159.2 494.1 177.9L177.9 494.1z"],
    "ruler-combined": [512, 512, [], "f546", "M0 464V48C0 21.49 21.49 0 48 0H144C170.5 0 192 21.49 192 48V96H112C103.2 96 96 103.2 96 112C96 120.8 103.2 128 112 128H192V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H192V288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H192V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V320H288V400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400V320H384V400C384 408.8 391.2 416 400 416C408.8 416 416 408.8 416 400V320H464C490.5 320 512 341.5 512 368V464C512 490.5 490.5 512 464 512H48C23.15 512 2.706 493.1 .2477 468.9C.0838 467.3 0 465.7 0 464z"],
    "ruler-horizontal": [640, 512, [], "f547", "M0 176C0 149.5 21.49 128 48 128H112V208C112 216.8 119.2 224 128 224C136.8 224 144 216.8 144 208V128H208V208C208 216.8 215.2 224 224 224C232.8 224 240 216.8 240 208V128H304V208C304 216.8 311.2 224 320 224C328.8 224 336 216.8 336 208V128H400V208C400 216.8 407.2 224 416 224C424.8 224 432 216.8 432 208V128H496V208C496 216.8 503.2 224 512 224C520.8 224 528 216.8 528 208V128H592C618.5 128 640 149.5 640 176V336C640 362.5 618.5 384 592 384H48C21.49 384 0 362.5 0 336V176z"],
    "ruler-triangle": [512, 512, [128208], "f61c", "M32 0H34.75C43.23 0 51.37 3.372 57.37 9.372L108.7 60.69L84.69 84.69C78.44 90.93 78.44 101.1 84.69 107.3C90.93 113.6 101.1 113.6 107.3 107.3L131.3 83.31L188.7 140.7L164.7 164.7C158.4 170.9 158.4 181.1 164.7 187.3C170.9 193.6 181.1 193.6 187.3 187.3L211.3 163.3L268.7 220.7L244.7 244.7C238.4 250.9 238.4 261.1 244.7 267.3C250.9 273.6 261.1 273.6 267.3 267.3L291.3 243.3L348.7 300.7L324.7 324.7C318.4 330.9 318.4 341.1 324.7 347.3C330.9 353.6 341.1 353.6 347.3 347.3L371.3 323.3L428.7 380.7L404.7 404.7C398.4 410.9 398.4 421.1 404.7 427.3C410.9 433.6 421.1 433.6 427.3 427.3L451.3 403.3L502.6 454.6C508.6 460.6 512 468.8 512 477.3V480C512 497.7 497.7 512 480 512H64C28.65 512 0 483.3 0 448V32C0 14.33 14.33 0 32 0zM128 256V384H256L128 256z"],
    "ruler-vertical": [256, 512, [], "f548", "M0 48C0 21.49 21.49 0 48 0H208C234.5 0 256 21.49 256 48V96H176C167.2 96 160 103.2 160 112C160 120.8 167.2 128 176 128H256V192H176C167.2 192 160 199.2 160 208C160 216.8 167.2 224 176 224H256V288H176C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320H256V384H176C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416H256V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V48z"],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", "M.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM320.8 282.2C321.3 283.3 322.2 284.8 325 287.1C332.2 292.8 343.7 297.1 362.9 303.8L364.2 304.3C380.3 309.1 402.9 317.9 419.1 332.4C429.5 340.5 437.9 351 443 364.7C448.1 378.4 449.1 393.2 446.8 408.7C442.7 436.8 426.4 457.1 403.1 469.6C381 480.7 354.9 482.1 329.9 477.6L329.7 477.5C320.4 475.8 309.2 471.8 300.5 468.6C294.4 466.3 287.9 463.7 282.7 461.6C280.2 460.6 278.1 459.8 276.4 459.1C259.9 452.7 251.8 434.2 258.2 417.7C264.6 401.2 283.1 393.1 299.6 399.5C302.2 400.5 304.8 401.5 307.5 402.6C312.3 404.5 317.4 406.5 322.9 408.6C331.7 411.9 338.2 413.1 341.6 414.6C357.2 417.5 368.3 415.5 374.5 412.4C379.4 409.9 382.5 406.3 383.5 399.3C384.5 392.4 383.7 388.8 383.1 387.1C382.4 385.4 381.3 383.5 378.6 381.2C371.7 375.4 360.4 370.8 341.6 364.2L338.6 363.1C323.1 357.7 301.6 350.2 285.3 337.2C275.8 329.7 266.1 319.7 261.5 306.3C256.1 292.8 254.9 278.2 257.2 263.1C265.6 205.1 324.2 185.1 374.1 194.2C380.1 195.5 401.4 200 409.5 202.6C426.4 207.8 435.8 225.7 430.6 242.6C425.3 259.5 407.4 268.9 390.5 263.7C385.8 262.2 368.2 258.2 362.6 257.2C347.1 254.5 336.8 256.8 329.1 260.4C323.7 263.7 321.1 267.1 320.5 272.4C319.6 278.4 320.4 281.2 320.8 282.2H320.8z"],
    "rupiah-sign": [512, 512, [], "e23d", "M.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM400 160C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V192C288 174.3 302.3 160 320 160H400zM448 272C448 245.5 426.5 224 400 224H352V320H400C426.5 320 448 298.5 448 272z"],
    "rv": [640, 512, [], "f7be", "M224 16C224 7.164 231.2 0 240 0H368C376.8 0 384 7.164 384 16V32H512C565 32 608 74.98 608 128C608 145.7 593.7 160 576 160H384V416H254.4C255.4 421.2 256 426.5 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 426.5 96.55 421.2 97.6 416H96L18.75 338.7C6.743 326.7 0 310.5 0 293.5V96C0 60.65 28.65 32 64 32H224V16zM112 128C103.2 128 96 135.2 96 144V208C96 216.8 103.2 224 112 224H240C248.8 224 256 216.8 256 208V144C256 135.2 248.8 128 240 128H112zM176 400C158.3 400 144 414.3 144 432C144 449.7 158.3 464 176 464C193.7 464 208 449.7 208 432C208 414.3 193.7 400 176 400zM416 192H516.6C529.5 192 542 196.5 552 204.7L619.5 259.8C632.5 270.5 640 286.4 640 303.2V384C640 401.7 625.7 416 608 416H574.4C575.4 421.2 576 426.5 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432V192zM496 464C513.7 464 528 449.7 528 432C528 425.4 525.1 419.2 522.5 414.1C516.8 405.6 507 400 496 400C484.2 400 473.8 406.4 468.3 416C465.6 420.7 464 426.2 464 432C464 449.7 478.3 464 496 464zM521.6 241.8C520.2 240.6 518.4 240 516.6 240H464V288H578.1L521.6 241.8z"],
    "s": [384, 512, [115], "53", "M349.9 379.1c-6.281 36.63-25.89 65.02-56.69 82.11c-24.91 13.83-54.08 18.98-83.73 18.98c-61.86 0-125.8-22.42-157.5-35.38c-16.38-6.672-24.22-25.34-17.55-41.7c6.641-16.36 25.27-24.28 41.7-17.55c77.56 31.64 150.6 39.39 186.1 19.69c13.83-7.672 21.67-19.42 24.69-36.98c7.25-42.31-18.2-56.75-103.7-81.38C112.6 266.6 15.98 238.7 34.11 133.2c5.484-32 23.64-59.36 51.14-77.02c45.59-29.33 115-31.87 206.4-7.688c17.09 4.531 27.27 22.05 22.75 39.13s-22.06 27.23-39.13 22.75C184 86.17 140.4 96.81 119.8 110c-12.55 8.062-20.17 19.5-22.66 34c-7.266 42.31 18.19 56.75 103.7 81.38C271.4 245.7 368 273.5 349.9 379.1z"],
    "sack": [512, 512, [], "f81c", "M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4z"],
    "sack-dollar": [512, 512, [128176], "f81d", "M320 96H192L144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96zM192 128H320C323.8 130.5 328.1 133.3 332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128V128zM276.1 224C276.1 212.9 267.1 203.9 255.1 203.9C244.9 203.9 235.9 212.9 235.9 224V230C230.3 231.2 224.1 232.9 220 235.1C205.1 241.9 192.1 254.5 188.9 272.8C187.1 283 188.1 292.9 192.3 301.8C196.5 310.6 203 316.8 209.6 321.3C221.2 329.2 236.5 333.8 248.2 337.3L250.4 337.9C264.4 342.2 273.8 345.3 279.7 349.6C282.2 351.4 283.1 352.8 283.4 353.7C283.8 354.5 284.4 356.3 283.7 360.3C283.1 363.8 281.2 366.8 275.7 369.1C269.6 371.7 259.7 373 246.9 371C240.9 370 230.2 366.4 220.7 363.2C218.5 362.4 216.3 361.7 214.3 361C203.8 357.5 192.5 363.2 189 373.7C185.5 384.2 191.2 395.5 201.7 398.1C202.9 399.4 204.4 399.9 206.1 400.5C213.1 403.2 226.4 407.4 235.9 409.6V416C235.9 427.1 244.9 436.1 255.1 436.1C267.1 436.1 276.1 427.1 276.1 416V410.5C281.4 409.5 286.6 407.1 291.4 405.9C307.2 399.2 319.8 386.2 323.1 367.2C324.9 356.8 324.1 346.8 320.1 337.7C316.2 328.7 309.9 322.1 303.2 317.3C291.1 308.4 274.9 303.6 262.8 299.9L261.1 299.7C247.8 295.4 238.2 292.4 232.1 288.2C229.5 286.4 228.7 285.2 228.5 284.7C228.3 284.3 227.7 283.1 228.3 279.7C228.7 277.7 230.2 274.4 236.5 271.6C242.1 268.7 252.9 267.1 265.1 268.1C269.5 269.7 283 272.3 286.9 273.3C297.5 276.2 308.5 269.8 311.3 259.1C314.2 248.5 307.8 237.5 297.1 234.7C292.7 233.5 282.7 231.5 276.1 230.3L276.1 224z"],
    "sack-xmark": [512, 512, [], "e56a", "M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM336.1 288.1C346.3 279.6 346.3 264.4 336.1 255C327.6 245.7 312.4 245.7 303 255L256 302.1L208.1 255C199.6 245.7 184.4 245.7 175 255C165.7 264.4 165.7 279.6 175 288.1L222.1 336L175 383C165.7 392.4 165.7 407.6 175 416.1C184.4 426.3 199.6 426.3 208.1 416.1L256 369.9L303 416.1C312.4 426.3 327.6 426.3 336.1 416.1C346.3 407.6 346.3 392.4 336.1 383L289.9 336L336.1 288.1z"],
    "sailboat": [576, 512, [], "e445", "M256 16C256 9.018 260.5 2.841 267.2 .7414C273.9-1.358 281.1 1.105 285.1 6.826L509.1 326.8C512.5 331.7 512.9 338.1 510.2 343.4C507.4 348.7 501.1 352 496 352H272C263.2 352 256 344.8 256 336V16zM212.1 96.54C219.1 98.4 224 104.7 224 112V336C224 344.8 216.8 352 208 352H80C74.3 352 69.02 348.1 66.16 344C63.3 339.1 63.28 333 66.11 328.1L194.1 104.1C197.7 97.76 205.1 94.68 212.1 96.54V96.54zM5.718 404.3C2.848 394.1 10.52 384 21.12 384H554.9C565.5 384 573.2 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.747 418.7L5.718 404.3z"],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", "M495.8 288H16.19C7.055 288-.6992 295.8 .0508 304.9c6.758 76.38 58.28 139.4 128.1 163.9V480c0 17.62 14.45 32 32.09 32h192.2c17.65 0 32.04-14.38 32.04-32v-11.5c69.46-24.62 120.8-87.5 127.4-163.6C512.7 295.8 505.1 288 495.8 288zM320 224c0 11.28 2.305 21.95 5.879 32h180.2C509.7 245.9 512 235.3 512 224c0-53.02-42.98-96-96-96S320 170.1 320 224zM96.09 256h73.29L84.69 171.3c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 249.4V112C208 103.2 215.2 96 224 96s16 7.156 16 16V256h52.66c-2.875-10.38-4.375-21.12-4.5-32c.125-70.63 57.39-127.9 128-128c2.625 0 5.127 .625 7.752 .75C406.3 76.88 380.9 64 352.2 64c-8.504 .125-17.1 1.411-25.23 3.786C309.3 26.66 268.9 0 224.1 0C179.4 0 138.9 26.62 121.2 67.75C113.1 65.38 104.6 64.13 96.09 64C43.07 64 .0508 107 .0508 160S43.07 256 96.09 256z"],
    "salt-shaker": [384, 512, [129474], "e446", "M383.3 438.9l-46.4-316.4C326.7 52.67 264.4 0 192 0S57.29 52.67 47.06 122.5V122.5l-46.4 316.5c-2.693 18.38 2.951 36.95 15.43 50.98C28.56 503.1 46.64 512 65.69 512h252.6c19.05 0 37.13-8.047 49.61-22.06C380.4 475.9 386 457.3 383.3 438.9zM240 80C248.8 80 256 87.16 256 96c0 8.836-7.164 16-16 16S224 104.8 224 96C224 87.16 231.2 80 240 80zM192 48c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16S176 72.84 176 64C176 55.16 183.2 48 192 48zM144 80C152.8 80 160 87.16 160 96c0 8.836-7.164 16-16 16S128 104.8 128 96C128 87.16 135.2 80 144 80zM65.69 448l37.54-256h177.5l37.54 256H65.69z"],
    "sandwich": [512, 512, [129386], "f81f", "M480 336h-64L319.1 384L224 336H32c-17.62 0-31.1 14.38-31.1 32L0 416c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32l-.0038-48C511.1 350.4 497.6 336 480 336zM497.9 239.3c-15-1.625-24-6.125-35.5-11.88C445.1 218.8 423.6 208 384.1 208s-61 10.75-78.25 19.38C291.3 234.8 280.6 240 256.3 240c-24.5 0-35.13-5.25-49.75-12.62C189.3 218.8 167.8 208 128.1 208S67 218.8 49.75 227.4c-11.5 5.75-20.5 10.25-35.63 11.88C6.125 240.3 0 247 0 255.1v32.13c0 4.5 1.1 8.875 5.375 11.88c3.375 3.125 8 4.5 12.5 4.125c28.5-2.625 46-11.38 60.5-18.62C93 277.3 103.6 272 128.1 272s35.13 5.25 49.75 12.62C195.1 293.3 216.6 304 256.3 304c39.5 0 61-10.75 78.25-19.38C349.1 277.3 359.8 272 384.1 272s35 5.25 49.63 12.62c14.5 7.25 31.88 16 60.38 18.62c4.5 .375 9.125-1.125 12.5-4.125C509.1 296.1 512 291.8 512 287.3V255.1C512 247 505.9 240.3 497.9 239.3zM480 64H32C14.38 64 0 78.38 0 96l.0038 48c0 17.62 14.37 32 31.1 32h448c17.62 0 31.1-14.38 31.1-32L512 96C512 78.38 497.6 64 480 64z"],
    "satellite": [512, 512, [128752], "f7bf", "M502.8 264.1l-80.37-80.37l47.87-47.88c13-13.12 13-34.37 0-47.5l-47.5-47.5c-13.12-13.12-34.38-13.12-47.5 0l-47.88 47.88L247.1 9.25C241 3.375 232.9 0 224.5 0c-8.5 0-16.62 3.375-22.5 9.25l-96.75 96.75c-12.38 12.5-12.38 32.62 0 45.12L185.5 231.5L175.8 241.4c-54-24.5-116.3-22.5-168.5 5.375c-8.498 4.625-9.623 16.38-2.873 23.25l107.6 107.5l-17.88 17.75c-2.625-.75-5-1.625-7.75-1.625c-17.75 0-32 14.38-32 32c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32c0-2.75-.875-5.125-1.625-7.75l17.75-17.88l107.6 107.6c6.75 6.75 18.62 5.625 23.12-2.875c27.88-52.25 29.88-114.5 5.375-168.5l10-9.873l80.25 80.36c12.5 12.38 32.62 12.38 44.1 0l96.75-96.75C508.6 304.1 512 295.1 512 287.5C512 279.1 508.6 270.1 502.8 264.1zM219.5 197.4L150.6 128.5l73.87-73.75l68.86 68.88L219.5 197.4zM383.5 361.4L314.6 292.5l73.75-73.88l68.88 68.87L383.5 361.4z"],
    "satellite-dish": [512, 512, [128225], "f7c0", "M216 104C202.8 104 192 114.8 192 128s10.75 24 24 24c79.41 0 144 64.59 144 144C360 309.3 370.8 320 384 320s24-10.75 24-24C408 190.1 321.9 104 216 104zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM188.9 346l27.37-27.37c2.625 .625 5.059 1.506 7.809 1.506c17.75 0 31.99-14.26 31.99-32c0-17.62-14.24-32.01-31.99-32.01c-17.62 0-31.99 14.38-31.99 32.01c0 2.875 .8099 5.25 1.56 7.875L166.2 323.4L49.37 206.5c-7.25-7.25-20.12-6-24.1 3c-41.75 77.88-29.88 176.7 35.75 242.4c65.62 65.62 164.6 77.5 242.4 35.75c9.125-5 10.38-17.75 3-25L188.9 346z"],
    "sausage": [512, 512, [], "f820", "M447.9 69.88l15.11-45.74C464.9 18.64 464 12.38 460.5 7.625C457 2.875 451.5 0 445.6 0h-59.25C380.5 0 375 2.875 371.5 7.625C368 12.38 367.1 18.64 369 24.14l15.25 45.73C346.9 83 320 118.2 320 160c0 88.25-71.75 160-160 160c-41.75 0-77 26.88-90.12 64.13L24.14 369C18.64 367.1 12.38 368 7.625 371.5C2.875 375 0 380.5 0 386.4v59.25C0 451.5 2.875 457 7.625 460.5c4.75 3.375 11.02 4.375 16.52 2.5l45.73-15.25C83 485.1 118.2 512 159.1 512C354.1 512 512 354.1 512 160C512 118.2 485.1 83 447.9 69.88zM160 400c-8.875 0-16-7.125-16-16S151.1 368 160 368c114.8 0 208-93.25 208-208c0-8.875 7.125-16 15.1-16S400 151.1 400 160C400 292.4 292.4 400 160 400z"],
    "saxophone": [640, 512, [127927], "f8dc", "M635.2 68.75l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75L448.1 94.1l-10.37-10.25c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L308.7 191.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 224.1l-108.1 108.1c-9.125 8.1-23.5 9.875-33.5 2C166.4 328.1 163.7 313.1 170.2 302.1l76.12-126.1h25.62c8.875 0 15.1-7.125 15.1-15.1V143.1c0-8.875-7.124-15.1-15.1-15.1H15.1c-8.875 0-16 7.125-16 15.1v15.1c0 8.875 7.125 15.1 15.1 15.1h11.5c-8.875 31.87-27.5 104.1-27.5 143.1c0 61.37 35 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 128-64l246.4-307.1c6.125-7.625 15.25-11.1 24.1-11.1h64.62C638.2 95.1 645.4 78.75 635.2 68.75zM95.1 343.1c-13.25 0-23.1-10.75-23.1-23.1c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C119.1 333.2 109.2 343.1 95.1 343.1zM128 247.1c-13.25 0-24-10.75-24-23.1c0-13.25 10.75-23.1 24-23.1s24 10.75 24 23.1C152 237.2 141.3 247.1 128 247.1z"],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", "M635.2 100.8l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75L448.1 127l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L404.7 128c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L308.7 223.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 256.1l-108.1 109c-9.125 8.1-23.5 9.875-33.5 1.1c-10.12-7.875-12.75-21.1-6.25-32.1l47.37-78.1h22.37c8.875 0 15.1-7.125 15.1-15.1V223.1c0-8.875-7.125-15.1-15.1-15.1H15.1c-8.875 0-15.1 7.125-15.1 15.1l.0001 16c0 8.5 6.75 15.5 15.25 15.87c-7.75 32.62-15.25 70.88-15.25 96.12c0 61.37 34.1 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 127.1-64l246.4-307.1C540.5 132.4 549.6 128 559.4 128h64.62C638.2 128 645.4 110.8 635.2 100.8zM87.1 391.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C111.1 381.2 101.2 391.1 87.1 391.1zM119.1 303.1c-13.25 0-23.1-10.75-23.1-24c0-13.25 10.75-23.1 23.1-23.1S143.1 266.7 143.1 279.1C143.1 293.2 133.2 303.1 119.1 303.1zM83.25 175.1C75.87 165.7 71.1 153.4 71.1 140.7c0-7.625 8.625-30.25 28.5-57.5c1.25 1.75 2.625 3.5 3.875 5.25l42.62 58.75l26.1-33.12c6.125 12.12 9.625 22.25 9.1 26.62c0 12.62-3.1 24.1-11.25 35.25l61.38 .0001c3.75-11.37 5.75-23.25 5.875-35.25c0-26.62-26-81.5-62.25-115.1C167.8 35 158.4 45 149.6 55.63C135 35.5 118.3 16.88 100 .0003c-49.12 45.62-84 104.1-84 140.7c.125 11.1 2.126 23.87 5.876 35.25L83.25 175.1z"],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", "M554.9 154.5c-17.62-35.25-68.12-35.38-85.87 0c-87 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 128 80s127.1-35.88 127.1-80C639.1 319.9 641.4 327.3 554.9 154.5zM439.1 320l71.96-144l72.17 144H439.1zM256 336c0-16.12 1.375-8.75-85.12-181.5c-17.62-35.25-68.12-35.38-85.87 0c-87 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 127.1 80S256 380.1 256 336zM127.9 176L200.1 320H55.96L127.9 176zM495.1 448h-143.1V153.3C375.5 143 393.1 121.8 398.4 96h113.6c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-128.4c-14.62-19.38-37.5-32-63.62-32S270.1 12.62 256.4 32H128C110.3 32 96 46.33 96 64S110.3 96 127.1 96h113.6c5.25 25.75 22.87 47 46.37 57.25V448H144c-26.51 0-48.01 21.49-48.01 48c0 8.836 7.165 16 16 16h416c8.836 0 16-7.164 16-16C544 469.5 522.5 448 495.1 448z"],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", "M85 250.5c-87 174.2-84.1 165.9-84.1 181.5C.0035 476.1 57.25 512 128 512s128-35.88 128-79.1c0-16.12 1.375-8.752-85.12-181.5C153.3 215.3 102.8 215.1 85 250.5zM55.96 416l71.98-143.1l72.15 143.1H55.96zM554.9 122.5c-17.62-35.25-68.08-35.37-85.83 0c-87 174.2-85.04 165.9-85.04 181.5c0 44.12 57.25 79.1 128 79.1s127.1-35.87 127.1-79.1C639.1 287.9 641.4 295.3 554.9 122.5zM439.1 288l72.04-143.1l72.08 143.1H439.1zM495.1 448h-143.1V153.3c20.83-9.117 36.72-26.93 43.78-48.77l126.3-42.11c16.77-5.594 25.83-23.72 20.23-40.48c-5.578-16.73-23.62-25.86-40.48-20.23l-113.3 37.76c-13.94-23.49-39.29-39.41-68.58-39.41c-44.18 0-79.1 35.82-79.1 80c0 2.961 .5587 5.771 .8712 8.648L117.9 129.7C101.1 135.3 92.05 153.4 97.64 170.1c4.469 13.41 16.95 21.88 30.36 21.88c3.344 0 6.768-.5186 10.13-1.644L273.8 145.1C278.2 148.3 282.1 151.1 288 153.3V496C288 504.8 295.2 512 304 512h223.1c8.838 0 16-7.164 16-15.1C543.1 469.5 522.5 448 495.1 448z"],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", "M554.9 250.5c-17.62-35.37-68.12-35.25-85.87 0c-86.38 172.7-85.04 165.4-85.04 181.5C383.1 476.1 441.3 512 512 512s127.1-35.88 127.1-79.1C639.1 416.4 642 424.7 554.9 250.5zM439.9 416l72.15-143.1l71.98 143.1H439.9zM512 192c13.41 0 25.89-8.471 30.36-21.88c5.594-16.76-3.469-34.89-20.23-40.48l-122.1-40.1c.3125-2.877 .8712-5.687 .8712-8.648c0-44.18-35.81-80-79.1-80c-29.29 0-54.65 15.92-68.58 39.41l-113.3-37.76C121.3-3.963 103.2 5.162 97.64 21.9C92.05 38.66 101.1 56.78 117.9 62.38l126.3 42.11c7.061 21.84 22.95 39.65 43.78 48.77v294.7H144c-26.51 0-47.1 21.49-47.1 47.1C96 504.8 103.2 512 112 512h223.1c8.836 0 15.1-7.164 15.1-15.1V153.3c5.043-2.207 9.756-4.965 14.19-8.115l135.7 45.23C505.2 191.5 508.7 192 512 192zM256 304c0-15.62 1.1-7.252-85.12-181.5c-17.62-35.37-68.08-35.25-85.83 0c-86.38 172.7-85.04 165.4-85.04 181.5c0 44.12 57.25 79.1 127.1 79.1S256 348.1 256 304zM128 144l72.04 143.1H55.92L128 144z"],
    "scalpel": [512, 512, [], "f61d", "M482.7 11.86c-29.23-20.88-70.21-13-93.44 14.25L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25l138.9-162.4C521.6 83.49 516.5 35.86 482.7 11.86zM0 512c88.97 .125 174.1-29.12 239.6-81.13c.2559-.25 .3828-.375 .6387-.5C272.3 404.6 288 366.4 288 328V320H179.1L0 512z"],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", "M495.2 114.4c26.36-30.88 21.24-78.5-12.49-102.5c-29.23-20.88-70.21-13-93.44 14.25L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25L495.2 114.4zM240.2 430.4C272.3 404.6 288 366.4 288 328V320H179.1L0 512c88.97 .125 174.1-29.12 239.6-81.13C239.8 430.6 239.9 430.5 240.2 430.4zM304 480h-64C231.2 480 224 487.2 224 496S231.2 512 240 512h64c8.836 0 16-7.164 16-16S312.8 480 304 480zM432 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S440.8 480 432 480zM560 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S568.8 480 560 480z"],
    "scanner-gun": [576, 512, ["scanner"], "f488", "M304 32C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H261.2L144.3 454.6C130.9 477.5 101.5 485.1 78.63 471.7L25.22 440.2C2.431 426.8-5.225 397.5 8.098 374.7L80.03 251.4C33.75 237.6 0 194.7 0 144C0 82.14 50.14 32 112 32H304zM552 32C565.3 32 576 42.75 576 56V72C576 85.25 565.3 96 552 96H440C426.7 96 416 85.25 416 72V56C416 42.75 426.7 32 440 32H552zM416 216C416 202.7 426.7 192 440 192H552C565.3 192 576 202.7 576 216V232C576 245.3 565.3 256 552 256H440C426.7 256 416 245.3 416 232V216zM552 416C565.3 416 576 426.7 576 440V456C576 469.3 565.3 480 552 480H440C426.7 480 416 469.3 416 456V440C416 426.7 426.7 416 440 416H552zM416 144C416 135.2 423.2 128 432 128H560C568.8 128 576 135.2 576 144C576 152.8 568.8 160 560 160H432C423.2 160 416 152.8 416 144zM560 288C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H432C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288H560zM416 368C416 359.2 423.2 352 432 352H560C568.8 352 576 359.2 576 368C576 376.8 568.8 384 560 384H432C423.2 384 416 376.8 416 368z"],
    "scanner-image": [576, 512, [], "f8f3", "M550.6 287.2L79.06 35.74c-15.59-8.25-35-2.405-43.3 13.19C27.45 64.52 33.34 83.9 48.94 92.24l367.1 195.8L47.98 287.1C21.47 287.1 0 309.5 0 335.1v96C0 458.5 21.49 480 48 480H528c26.51 0 48-21.49 48-48v-102.4C576 311.9 566.2 295.6 550.6 287.2zM127.1 399.1c0 8.801-7.199 16-16 16H80.01c-8.801 0-16-7.199-16-16v-31.99c0-8.801 7.199-16 16-16h31.99c8.801 0 16 7.2 16 16V399.1zM223.1 399.1c0 8.801-7.199 16-16 16H176c-8.801 0-16-7.199-16-16v-31.99c0-8.801 7.199-16 16-16h31.99c8.801 0 16 7.2 16 16V399.1z"],
    "scanner-keyboard": [512, 512, [], "f489", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM0 160C0 124.7 28.65 96 64 96H288C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160zM64 200C64 213.3 74.75 224 88 224H264C277.3 224 288 213.3 288 200V184C288 170.7 277.3 160 264 160H88C74.75 160 64 170.7 64 184V200zM64 336C64 344.8 71.16 352 80 352H144C152.8 352 160 344.8 160 336V304C160 295.2 152.8 288 144 288H80C71.16 288 64 295.2 64 304V336zM80 384C71.16 384 64 391.2 64 400V432C64 440.8 71.16 448 80 448H144C152.8 448 160 440.8 160 432V400C160 391.2 152.8 384 144 384H80zM192 336C192 344.8 199.2 352 208 352H272C280.8 352 288 344.8 288 336V304C288 295.2 280.8 288 272 288H208C199.2 288 192 295.2 192 304V336zM208 384C199.2 384 192 391.2 192 400V432C192 440.8 199.2 448 208 448H272C280.8 448 288 440.8 288 432V400C288 391.2 280.8 384 272 384H208z"],
    "scanner-touchscreen": [512, 512, [], "f48a", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM0 160C0 124.7 28.65 96 64 96H288C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160zM64 432C64 440.8 71.16 448 80 448H272C280.8 448 288 440.8 288 432V176C288 167.2 280.8 160 272 160H80C71.16 160 64 167.2 64 176V432zM288 24C288 10.75 298.7 0 312 0H328C341.3 0 352 10.75 352 24V64H288V24zM256 16V64H224V16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16zM384 16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16zM488 0C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24C448 10.75 458.7 0 472 0H488z"],
    "scarecrow": [512, 512, [], "f70d", "M256 448.1c-7.75 0-15.38-1.875-22.25-5.5L224 437.4L223.1 496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16L288 437.3l-9.75 5.25C271.4 446.3 263.8 448.1 256 448.1zM477.8 186.3L451.3 160l18.36-18.26c5-5 1.51-13.74-5.74-13.74L346.1 128c3.625-9.1 5.876-20.75 5.876-32c0-53-42.1-96-96-96S160 43 160 96c0 11.25 2.253 22 5.878 32L48 128c-7.127 0-10.74 8.615-5.741 13.74l18.49 18.26l-26.48 26.26c-3 3.125-3 8.235 0 11.36l26.48 26.38L42.38 242.3c-5 5-1.511 13.74 5.741 13.74h106.1l-26 141.3c-2.125 13 11.16 22.85 22.91 16.98l32.64-24.21c5-3.75 11.59-4.256 17.09-1.256L248.8 414.2c4.5 2.375 9.832 2.375 14.33 0l47.92-25.49c5.5-3 12.06-2.513 17.06 1.238l32.67 24.24c11.75 5.875 25.08-3.979 22.95-16.98l-25.84-141.2h106.1c7.125 0 10.74-8.615 5.738-13.74L451.3 224l26.36-26.26C480.8 194.5 480.8 189.5 477.8 186.3zM224 96C215.2 96 208 88.75 208 80S215.2 64 224 64c8.75 0 16 7.25 16 16S232.8 96 224 96zM288 112c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S296.8 112 288 112z"],
    "scarf": [512, 512, [129507], "f7c1", "M214.3 100.9c36.88-8.624 68-3.625 84.38 .25l-19.5 19.37l109.8 109.6c46.63-51.75 20.38-105.4 13.25-117.4l-43.67-73.43c-4.25-7.124-9.917-13.25-16.79-17.1c-40.63-27.5-127.4-29.58-171.4 .1667c-6.875 4.75-12.5 10.75-16.75 17.1l-43.63 73.12C108.4 115.1 72.75 174.8 121.4 228.4l135.1 140.8l113.1-113.1L214.3 100.9zM166 323.8l-118.4 118.1c-3.125 3.125-3.125 8.249 0 11.37l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l118.4-118.2L166 323.8zM120.8 278.6l-118.5 118.1c-3 2.1-3 8.125 0 11.25l11.38 11.25c3.125 3.125 8.126 3.125 11.25 0l118.4-118.1L120.8 278.6zM92.88 487.1c-3.125 3.125-3.125 8.125 0 11.25l11.38 11.37c3 2.1 8.125 2.1 11.25 0l118.4-118.2l-22.63-22.62L92.88 487.1zM301.8 368.9l-22.54 22.71l117.4 117.2c3.125 2.1 8.126 2.1 11.25 0l11.38-11.37c3-3.125 3-8.125 0-11.25L301.8 368.9zM509.8 395.8l-117.5-117.1l-22.5 22.62l117.3 116.1c3.125 3.125 8.25 3.125 11.25 0l11.38-11.25C512.8 403.9 512.8 398.9 509.8 395.8zM347 323.8l-22.63 22.5l117.4 117.2c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L347 323.8z"],
    "school": [640, 512, [127979], "f549", "M320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM256 512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM496 272C496 280.8 503.2 288 512 288H544C552.8 288 560 280.8 560 272V208C560 199.2 552.8 192 544 192H512C503.2 192 496 199.2 496 208V272zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM496 400C496 408.8 503.2 416 512 416H544C552.8 416 560 408.8 560 400V336C560 327.2 552.8 320 544 320H512C503.2 320 496 327.2 496 336V400zM320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88z"],
    "school-circle-check": [640, 512, [], "e56b", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "school-circle-exclamation": [640, 512, [], "e56c", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "school-circle-xmark": [640, 512, [], "e56d", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "school-flag": [576, 512, [], "e56e", "M288 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H320V95.53L410.3 160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H336V400C336 373.5 314.5 352 288 352C261.5 352 240 373.5 240 400V512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H165.7L256 95.53V32C256 14.33 270.3 0 288 0V0zM288 192C261.5 192 240 213.5 240 240C240 266.5 261.5 288 288 288C314.5 288 336 266.5 336 240C336 213.5 314.5 192 288 192zM80 224C71.16 224 64 231.2 64 240V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V240C128 231.2 120.8 224 112 224H80zM448 304C448 312.8 455.2 320 464 320H496C504.8 320 512 312.8 512 304V240C512 231.2 504.8 224 496 224H464C455.2 224 448 231.2 448 240V304zM80 352C71.16 352 64 359.2 64 368V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V368C128 359.2 120.8 352 112 352H80zM464 352C455.2 352 448 359.2 448 368V432C448 440.8 455.2 448 464 448H496C504.8 448 512 440.8 512 432V368C512 359.2 504.8 352 496 352H464z"],
    "school-lock": [640, 512, [], "e56f", "M336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160zM302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V271.1C640 210.1 589.9 159.1 528 159.1C466.1 159.1 416 210.1 416 271.1V296.6C396.9 307.6 384 328.3 384 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", "M396.8 51.2C425.1 22.92 470.9 22.92 499.2 51.2C506.3 58.27 506.3 69.73 499.2 76.8L216.5 359.5C221.3 372.1 224 385.7 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 287.1 112 287.1C126.3 287.1 139.9 290.7 152.5 295.5L191.1 255.1L152.5 216.5C139.9 221.3 126.3 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 126.3 221.3 139.9 216.5 152.5L255.1 191.1L396.8 51.2zM160 111.1C160 85.49 138.5 63.1 112 63.1C85.49 63.1 64 85.49 64 111.1C64 138.5 85.49 159.1 112 159.1C138.5 159.1 160 138.5 160 111.1zM112 448C138.5 448 160 426.5 160 400C160 373.5 138.5 352 112 352C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448zM278.6 342.6L342.6 278.6L499.2 435.2C506.3 442.3 506.3 453.7 499.2 460.8C470.9 489.1 425.1 489.1 396.8 460.8L278.6 342.6z"],
    "screen-users": [640, 512, ["users-class"], "f63d", "M96 64h448v160c24.62 0 47 9.625 64 25V49.63c0-27.38-21.5-49.63-48-49.63h-480c-26.5 0-48 22.25-48 49.63v199.4c17-15.38 39.38-25 64-25V64zM256.2 320c0 35.26 28.57 63.85 63.79 63.98C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM480.2 320c0 35.26 28.57 63.85 63.79 63.98C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256C508.8 256.2 480.2 284.7 480.2 320zM32.21 320c0 35.26 28.57 63.85 63.79 63.98C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416z"],
    "screencast": [576, 512, [], "e23e", "M496.1 32H80.54C36.46 32 .625 67.82 .625 111.9v65.95c10.5-1.234 21.13-2.043 31.96-2.043S54.05 176.6 64.55 177.8V111.9c0-8.805 7.18-15.98 15.98-15.98h415.5c8.805 0 15.98 7.176 15.98 15.98v287.6c0 8.805-7.18 15.98-15.98 15.98h-193.8c1.232 10.5 2.041 21.13 2.041 31.96s-.8086 21.45-2.041 31.95h193.8C540.2 479.4 576 443.6 576 399.5V111.9C576 67.82 540.2 32 496.1 32zM32.59 415.5c-17.65 0-31.96 14.31-31.96 31.96s14.31 31.95 31.96 31.95s31.96-14.3 31.96-31.95S50.24 415.5 32.59 415.5zM31.96 320.2C14.3 320.2 0 334.5 0 352.2c0 17.66 14.3 31.95 31.96 31.95c35.24 0 63.93 28.68 63.93 63.91C95.9 465.7 110.2 480 127.9 480s31.96-14.29 31.96-31.95C159.8 377.5 102.5 320.2 31.96 320.2zM32.59 223.7c-17.67 0-31.96 14.29-31.96 31.95s14.3 31.95 31.96 31.95c88.12 0 159.8 71.68 159.8 159.8c0 17.66 14.3 31.95 31.96 31.95c17.67 0 31.97-14.29 31.97-31.95C256.3 324.1 155.1 223.7 32.59 223.7z"],
    "screwdriver": [512, 512, [129691], "f54a", "M128 278.6l-117.1 116.9c-14.5 14.62-14.5 38.29 0 52.79l52.75 52.75c14.5 14.5 38.17 14.5 52.79 0L233.4 384c29.12-29.12 29.12-76.25 0-105.4S157.1 249.5 128 278.6zM447.1 0l-128 96L320 158L237 241.1C243.8 245.4 250.3 250.1 256 256c5.875 5.75 10.62 12.25 14.88 19L353.1 192h61.99l95.1-128L447.1 0z"],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", "M331.8 224.1c28.29 0 54.88 10.99 74.86 30.97l19.59 19.59c40.01-17.74 71.25-53.3 81.62-96.65c5.725-23.92 5.34-47.08 .2148-68.4c-2.613-10.88-16.43-14.51-24.34-6.604l-68.9 68.9h-75.6V97.2l68.9-68.9c7.912-7.912 4.275-21.73-6.604-24.34c-21.32-5.125-44.48-5.51-68.4 .2148c-55.3 13.23-98.39 60.22-107.2 116.4C224.5 128.9 224.2 137 224.3 145l82.78 82.86C315.2 225.1 323.5 224.1 331.8 224.1zM384 278.6c-23.16-23.16-57.57-27.57-85.39-13.9L191.1 158L191.1 95.99l-127.1-95.99L0 63.1l96 127.1l62.04 .0077l106.7 106.6c-13.67 27.82-9.251 62.23 13.91 85.39l117 117.1c14.62 14.5 38.21 14.5 52.71-.0016l52.75-52.75c14.5-14.5 14.5-38.08-.0016-52.71L384 278.6zM227.9 307L168.7 247.9l-148.9 148.9c-26.37 26.37-26.37 69.08 0 95.45C32.96 505.4 50.21 512 67.5 512s34.54-6.592 47.72-19.78l119.1-119.1C225.5 352.3 222.6 329.4 227.9 307zM64 472c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S88 434.7 88 448C88 461.3 77.25 472 64 472z"],
    "scribble": [512, 512, [], "e23f", "M169.1 23.33C186.5 8.317 207.1 0 230.3 0H231.4C280.3 0 320 39.65 320 88.57C320 112.1 310.7 134.6 294.1 151.2L103.2 342.1C98.59 346.7 96 352.9 96 359.4C96 373 107 384 120.6 384C127.1 384 133.3 381.4 137.9 376.8L360.8 153.9C377.4 137.3 399.9 128 423.4 128C472.3 128 512 167.7 512 216.6C512 240.1 502.7 262.6 486.1 279.2L397.8 367.4C388.1 376.3 384 388.3 384 400.9C384 426.9 405.1 448 430.1 448C437.2 448 443.4 446.5 448.9 443.8L465.7 435.4C481.5 427.5 500.7 433.9 508.6 449.7C516.5 465.5 510.1 484.7 494.3 492.6L477.6 500.1C463.1 508.2 447.1 512 430.1 512C369.6 512 320 462.1 320 400.9C320 371.4 331.7 343.1 352.6 322.2L440.8 233.9C445.4 229.3 448 223.1 448 216.6C448 203 437 192 423.4 192C416.9 192 410.7 194.6 406.1 199.2L183.2 422.1C166.6 438.7 144.1 448 120.6 448C71.65 448 32 408.3 32 359.4C32 335.9 41.33 313.4 57.94 296.8L248.8 105.9C253.4 101.3 256 95.08 256 88.57C256 75 245 64 231.4 64H230.3C223.9 64 217.8 66.38 213 70.68L53.53 215.7C40.45 227.6 20.21 226.6 8.322 213.5C-3.566 200.4-2.602 180.2 10.47 168.3L169.1 23.33z"],
    "scroll": [576, 512, [128220], "f70e", "M48 32C21.5 32 0 53.5 0 80v64C0 152.9 7.125 160 16 160H96V80C96 53.5 74.5 32 48 32zM256 380.6V320h224V128c0-53-43-96-96-96H111.6C121.8 45.38 128 61.88 128 80V384c0 38.88 34.62 69.63 74.75 63.13C234.3 442 256 412.5 256 380.6zM288 352v32c0 52.88-43 96-96 96h272c61.88 0 112-50.13 112-112c0-8.875-7.125-16-16-16H288z"],
    "scroll-old": [576, 512, [], "f70f", "M560 352H416l-32 32l-31.1-32h-64l.0006 32c0 52.88-43 96-96 96h272C525.6 480 575.6 430.3 576 368.7C576.1 359.6 569.1 352 560 352zM48 32c-26.5 0-48 21.5-48 48l-.001 64c0 8.875 7.125 16 15.1 16H96V80C96 53.5 74.5 32 48 32zM256 380.6V320h223.1L480 287.1l-4.342-4.343c-.1445-.125-.2539-.1289-.4062-.2813L448 256l31.1-31.1v-32L448 160l31.1-32c0 0 .1263-2.75-.2487-7.25C476 71.13 434.5 32 384 32H111.6C121.8 45.38 128 61.88 128 80L128 192l4.345 4.344c.1445 .125 .2539 .1289 .4062 .2813L160 224l-32 32l.0003 128c0 38.88 34.63 69.63 74.75 63.13C234.3 442 256 412.5 256 380.6z"],
    "scroll-torah": [640, 512, ["torah"], "f6a0", "M320 366.5l17.75-29.62l-35.5 .0011L320 366.5zM382.5 311.5l36.75-.0011l-18.38-30.75L382.5 311.5zM48 0C21.5 0 0 14.38 0 32v448c0 17.62 21.5 32 48 32S96 497.6 96 480V32C96 14.38 74.5 0 48 0zM419.2 200.5L382.4 200.5l18.5 30.79L419.2 200.5zM220.8 311.5l36.87-.0012l-18.5-30.87L220.8 311.5zM287.1 311.5L352.9 311.5l33.25-55.5l-33.25-55.5L287.1 200.5L253.9 256L287.1 311.5zM592 0C565.5 0 544 14.38 544 32v448c0 17.62 21.5 32 48 32s48-14.38 48-32V32C640 14.38 618.5 0 592 0zM128 480h384V32H128V480zM194.8 185.9c3.75-6.625 10.87-10.75 18.5-10.75L272.7 175.1l29.12-48.67C305.6 119.1 312.6 116.1 319.1 116.1c7.375-.125 14.25 3.916 17.1 10.17l29.25 48.87l59.5-.0019c7.625 0 14.62 4.124 18.38 10.75s3.626 14.75-.2493 21.25l-29.25 48.87l29.38 48.1c4 6.5 4.001 14.62 .2506 21.12c-3.75 6.625-10.87 10.75-18.5 10.75l-59.5 .0019l-29.12 48.67c-3.75 6.5-10.62 10.33-18.12 10.46c-7.375 0-14.25-3.874-18-10.25l-29.25-48.87l-59.5 .0019c-7.625 0-14.62-4.124-18.37-10.75S191.3 311.4 195.1 304.9l29.25-48.87L195 207C191.1 200.5 191 192.4 194.8 185.9zM319.1 145.5L302.2 175.1l35.37-.0011L319.1 145.5zM257.5 200.5L220.8 200.5l18.38 30.83L257.5 200.5z"],
    "scrubber": [512, 512, [], "f2f8", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z"],
    "scythe": [640, 512, [], "f710", "M549.8 0l-210.1 0C191.1 0 63.1 63.1 0 191.1L509.1 192L549.8 0zM632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-25.5 0l-59.75 288h-106.7c-17.67 0-31.99 14.33-31.99 32s14.32 32 31.99 32h93.49l-29.25 141c-.875 4.75 .375 9.5 3.5 13.25C486.7 509.9 491.2 512 495.1 512h31.5c7.623 0 14.25-5.5 15.62-13L639.5 38C641.2 28.62 638.7 18.1 632.6 11.62z"],
    "sd-card": [384, 512, [], "f7c2", "M320 0H128L0 128v320c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V64C384 28.75 355.3 0 320 0zM160 160H112V64H160V160zM240 160H192V64h48V160zM320 160h-48V64H320V160z"],
    "sd-cards": [448, 512, [], "e240", "M384 0H208L96 112V352c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V64C448 28.75 419.3 0 384 0zM304 160H256V64h48V160zM384 160h-48V64H384V160zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "seal": [512, 512, [], "e241", "M335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64z"],
    "seal-exclamation": [512, 512, [], "e242", "M222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94zM232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V152zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "seal-question": [512, 512, [], "e243", "M222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94zM169.4 166.5C164.9 179 171.5 192.7 183.1 197.2C196.5 201.6 210.2 195.1 214.6 182.6L215.1 181.3C216.2 178.1 219.2 176 222.6 176H280.9C289.2 176 296 182.8 296 191.1C296 196.6 293.1 201.6 288.4 204.3L244.1 229.7C236.6 234 232 241.9 232 250.5V264C232 277.3 242.7 288 256 288C269.1 288 279.8 277.5 279.1 264.4L312.3 245.9C331.9 234.7 344 213.8 344 191.1C344 156.3 315.7 128 280.9 128H222.6C198.9 128 177.8 142.9 169.8 165.3L169.4 166.5zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "seat-airline": [448, 512, [], "e244", "M64 143.6C64 150.1 65.32 156.5 67.88 162.5L80.53 192H320C337.7 192 352 206.3 352 224C352 241.7 337.7 256 320 256H107.1L121.7 288H416C428.1 288 439.2 294.8 444.6 305.7C450 316.5 448.9 329.5 441.6 339.2L398.4 396.8C389.3 408.9 375.1 416 360 416H264V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H120C106.7 512 96 501.3 96 488C96 474.7 106.7 464 120 464H216V416H170.2C131.8 416 97.09 393.1 81.96 357.8L9.056 187.7C3.081 173.8 0 158.7 0 143.6V32C0 14.33 14.33 0 32 0C49.67 0 64 14.33 64 32V143.6z"],
    "section": [256, 512, [], "e447", "M224.5 337.4c15.66-14.28 26.09-33.12 29.8-55.82c14.46-88.44-64.67-112.4-117-128.2L124.7 149.5C65.67 131.2 61.11 119.4 64.83 96.79c1.531-9.344 5.715-16.19 13.21-21.56c14.74-10.56 39.94-13.87 69.23-9.029c10.74 1.75 24.36 5.686 41.66 12.03c16.58 6 34.98-2.438 41.04-19.06c6.059-16.59-2.467-34.97-19.05-41.06c-21.39-7.842-38.35-12.62-53.28-15.06c-46.47-7.781-88.1-.5313-116.9 20.19C19.46 38.52 5.965 60.39 1.686 86.48C-5.182 128.6 9.839 156 31.47 174.7C15.87 188.1 5.406 207.8 1.686 230.5C-12.59 317.9 67.36 342.7 105.7 354.6l12.99 3.967c64.71 19.56 76.92 29.09 72.42 56.59c-1.279 7.688-4.84 18.75-21.23 26.16c-15.27 6.906-37.01 8.406-61.4 4.469c-16.74-2.656-37.32-10.5-55.49-17.41l-9.773-3.719c-16.52-6.156-34.95 2.25-41.16 18.75c-6.184 16.56 2.186 34.1 18.74 41.19l9.463 3.594c21.05 8 44.94 17.12 68.02 20.75c12.21 2.031 24.14 3.032 35.54 3.032c23.17 0 44.28-4.157 62.4-12.34c31.95-14.44 52.53-40.75 58.02-74.12C261.1 383.6 246.8 356.3 224.5 337.4zM64.83 240.8c3.303-20.28 21.22-28.1 38.09-31.04c.9258 .2891 15.81 4.852 15.81 4.852c64.71 19.56 76.92 29.09 72.39 56.62c-3.291 20.2-21.12 28.07-37.93 31.04c-5.488-1.746-28.49-8.754-28.49-8.754C65.67 275.2 61.11 263.4 64.83 240.8z"],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", "M64 95.1H0c0 123.8 100.3 224 224 224v128C224 465.6 238.4 480 255.1 480S288 465.6 288 448V320C288 196.3 187.7 95.1 64 95.1zM448 32c-84.25 0-157.4 46.5-195.8 115.3c27.75 30.12 48.25 66.88 59 107.5C424 243.1 512 147.9 512 32H448z"],
    "semicolon": [192, 512, [], "3b", "M68.55 295.5c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31s35.11-.6485 43.99-15.83l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C144.1 293.5 99.82 277.4 68.55 295.5zM96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192z"],
    "send-back": [640, 512, [], "f87e", "M192 0C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192zM192 64H64V192H192V64zM576 256C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320C384 284.7 412.7 256 448 256H576zM576 320H448V448H576V320zM192 288C245 288 288 245 288 192V96H416C451.3 96 480 124.7 480 160V224H448C394.1 224 352 266.1 352 320V416H224C188.7 416 160 387.3 160 352V288H192z"],
    "send-backward": [512, 512, [], "f87f", "M288 0C323.3 0 352 28.65 352 64V128H224C170.1 128 128 170.1 128 224V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288zM160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM224 448H448V224H224V448z"],
    "sensor": [448, 512, [], "e028", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z"],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", "M384 32C419.3 32 448 60.65 448 96V234.8C433.5 227.9 417.2 224 400 224C339.9 224 290.9 271.3 288.1 330.7C250.2 348.7 224 387.3 224 432C224 449.2 227.9 465.5 234.8 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM336 512C291.8 512 256 476.2 256 432C256 392.6 284.4 359.9 321.9 353.2C320.6 347.7 320 341.9 320 336C320 291.8 355.8 256 400 256C435 256 464.8 278.5 475.6 309.8C485.9 296.6 501.9 288 520 288C550.9 288 576 313.1 576 344C576 347.2 575.7 350.4 575.2 353.4C612.1 360.5 640 393 640 432C640 476.2 604.2 512 560 512H336z"],
    "sensor-fire": [640, 512, [], "e02a", "M384 32C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "sensor-on": [640, 512, [], "e02b", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120zM549.3 139.1C538.3 147.3 523.4 144.3 516 133.3C508.7 122.3 511.7 107.4 522.7 100L570.7 68.03C581.7 60.68 596.6 63.66 603.1 74.69C611.3 85.72 608.3 100.6 597.3 107.1L549.3 139.1zM616 232C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H536C522.7 280 512 269.3 512 256C512 242.7 522.7 232 536 232H616zM597.3 404C608.3 411.4 611.3 426.3 603.1 437.3C596.6 448.3 581.7 451.3 570.7 443.1L522.7 411.1C511.7 404.6 508.7 389.7 516 378.7C523.4 367.7 538.3 364.7 549.3 372L597.3 404z"],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", "M384 32C419.3 32 448 60.65 448 96V128C421.6 128 397.3 142.2 384.3 165.1L233.9 430C227.4 441.5 224 454.5 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32L384 32zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8V445.8zM463.1 272C463.1 263.2 456.8 256 447.1 256C439.2 256 431.1 263.2 431.1 272V360C431.1 368.8 439.2 376 447.1 376C456.8 376 463.1 368.8 463.1 360V272zM448 456C461.3 456 472 445.3 472 432C472 418.7 461.3 408 448 408C434.7 408 424 418.7 424 432C424 445.3 434.7 456 448 456z"],
    "server": [512, 512, [], "f233", "M480 288H32c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128C512 302.4 497.6 288 480 288zM352 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S365.3 408 352 408zM416 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S429.3 408 416 408zM480 32H32C14.38 32 0 46.38 0 64v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V64C512 46.38 497.6 32 480 32zM352 152c-13.25 0-24-10.75-24-24S338.8 104 352 104S376 114.8 376 128S365.3 152 352 152zM416 152c-13.25 0-24-10.75-24-24S402.8 104 416 104S440 114.8 440 128S429.3 152 416 152z"],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", "M411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5zM288 312C288 289.9 305.9 272 328 272H472C494.1 272 512 289.9 512 312V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V312zM0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384z"],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", "M503.7 226.2l-176 151.1c-15.38 13.3-39.69 2.545-39.69-18.16V272.1C132.9 274.3 66.06 312.8 111.4 457.8c5.031 16.09-14.41 28.56-28.06 18.62C39.59 444.6 0 383.8 0 322.3c0-152.2 127.4-184.4 288-186.3V56.02c0-20.67 24.28-31.46 39.69-18.16l176 151.1C514.8 199.4 514.8 216.6 503.7 226.2z"],
    "share-all": [576, 512, [], "f367", "M439.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16v82.84C94.86 149.1 0 191 0 322.3c0 61.44 39.59 122.3 83.34 154.1c13.66 9.938 33.09-2.531 28.06-18.62c-38.48-123.1 4.102-169.3 112.6-181.9v84.04c0 20.7 24.31 31.45 39.69 18.16l176-151.1C450.8 216.6 450.8 199.4 439.7 189.9zM567.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16V71.83l157.7 136.2l-157.7 136.2v15.83c0 20.7 24.31 31.45 39.69 18.16l176-151.1C578.8 216.6 578.8 199.4 567.7 189.9z"],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", "M568.9 143.5l-150.9-138.2C404.8-6.773 384 3.039 384 21.84V96C241.2 97.63 128 126.1 128 260.6c0 54.3 35.2 108.1 74.08 136.2c12.14 8.781 29.42-2.238 24.94-16.46C186.7 252.2 256 224 384 223.1v74.2c0 18.82 20.84 28.59 34.02 16.51l150.9-138.2C578.4 167.8 578.4 152.2 568.9 143.5zM416 384c-17.67 0-32 14.33-32 32v31.1l-320-.0013V128h32c17.67 0 32-14.32 32-32S113.7 64 96 64H64C28.65 64 0 92.65 0 128v319.1c0 35.34 28.65 64 64 64l320-.0013c35.35 0 64-28.66 64-64V416C448 398.3 433.7 384 416 384z"],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", "M285.4 197.1L191.3 244.1C191.8 248 191.1 251.1 191.1 256C191.1 260 191.8 263.1 191.3 267.9L285.4 314.9C302.6 298.2 326.1 288 352 288C405 288 448 330.1 448 384C448 437 405 480 352 480C298.1 480 256 437 256 384C256 379.1 256.2 376 256.7 372.1L162.6 325.1C145.4 341.8 121.9 352 96 352C42.98 352 0 309 0 256C0 202.1 42.98 160 96 160C121.9 160 145.4 170.2 162.6 186.9L256.7 139.9C256.2 135.1 256 132 256 128C256 74.98 298.1 32 352 32C405 32 448 74.98 448 128C448 181 405 224 352 224C326.1 224 302.6 213.8 285.4 197.1L285.4 197.1z"],
    "sheep": [640, 512, [128017], "f711", "M384 135.8L369.5 142.1C357.3 147.3 343.2 141.6 337.9 129.5C332.7 117.3 338.4 103.2 350.5 97.94L398.4 77.44C415.3 50.16 445.5 32 480 32C514.5 32 544.7 50.16 561.6 77.44L609.5 97.94C621.6 103.2 627.3 117.3 622.1 129.5C616.8 141.6 602.7 147.3 590.5 142.1L576 135.8V208C576 252.2 540.2 288 496 288H464C419.8 288 384 252.2 384 208L384 135.8zM464 160C472.8 160 480 152.8 480 144C480 135.2 472.8 128 464 128C455.2 128 448 135.2 448 144C448 152.8 455.2 160 464 160zM528 128C519.2 128 512 135.2 512 144C512 152.8 519.2 160 528 160C536.8 160 544 152.8 544 144C544 135.2 536.8 128 528 128zM352 208C352 269.9 402.1 320 464 320H479.5C479.8 322.6 480 325.3 480 328C480 363.3 451.3 392 416 392C415.5 392 414.1 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C278.9 64 299 76.04 310.3 94.15C302.9 108.5 301.6 126 308.5 142.1C316.5 160.7 333.3 172.7 352 175.4L352 208z"],
    "sheet-plastic": [384, 512, [], "e571", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V352H256C238.3 352 224 366.3 224 384V512H64C28.65 512 0 483.3 0 448V64zM171.3 52.69C165.1 46.44 154.9 46.44 148.7 52.69L52.69 148.7C46.44 154.9 46.44 165.1 52.69 171.3C58.93 177.6 69.06 177.6 75.31 171.3L171.3 75.31C177.6 69.07 177.6 58.94 171.3 52.69V52.69zM267.3 107.3C273.6 101.1 273.6 90.93 267.3 84.69C261.1 78.44 250.9 78.44 244.7 84.69L84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3C90.93 273.6 101.1 273.6 107.3 267.3L267.3 107.3zM384 384L256 512V384H384z"],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", "M192 32C262.7 32 320 89.31 320 160V320C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 320V160C256 124.7 227.3 96 192 96H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32H192zM160 480C142.3 480 128 465.7 128 448V192C128 174.3 142.3 160 160 160C177.7 160 192 174.3 192 192V416H320C355.3 416 384 387.3 384 352V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V352C448 422.7 390.7 480 320 480H160z"],
    "shelves": [640, 512, ["inventory"], "f480", "M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416zM368 128h96C472.8 128 480 120.8 480 112v-96C480 7.25 472.8 0 464 0h-96C359.2 0 352 7.25 352 16v96C352 120.8 359.2 128 368 128zM112 384h96C216.8 384 224 376.8 224 368v-96C224 263.2 216.8 256 208 256h-96C103.2 256 96 263.2 96 272v96C96 376.8 103.2 384 112 384zM272 384h96c8.75 0 16-7.25 16-16v-96C384 263.2 376.8 256 368 256h-96C263.2 256 256 263.2 256 272v96C256 376.8 263.2 384 272 384z"],
    "shelves-empty": [640, 512, [], "e246", "M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z"],
    "shield": [512, 512, [128737, "shield-blank"], "f132", "M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078z"],
    "shield-cat": [512, 512, [], "e572", "M199.1 272C199.1 263.2 207.2 256 215.1 256C224.8 256 231.1 263.2 231.1 272C231.1 280.8 224.8 288 215.1 288C207.2 288 199.1 280.8 199.1 272zM312 272C312 280.8 304.8 288 296 288C287.2 288 280 280.8 280 272C280 263.2 287.2 256 296 256C304.8 256 312 263.2 312 272zM256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM223.1 208L159.1 144V272C159.1 325 202.1 368 255.1 368C309 368 352 325 352 272V144L288 208H223.1z"],
    "shield-check": [512, 512, [], "f2f7", "M466.5 83.71l-192-80c-4.875-2.031-13.16-3.703-18.44-3.703c-5.312 0-13.55 1.672-18.46 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM352 200c0 5.531-1.901 11.09-5.781 15.62l-96 112C243.5 335.5 234.6 335.1 232 335.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48C162.3 276.3 160 270.1 160 263.1c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031l29.69 29.69l79.13-92.34c4.759-5.532 11.48-8.362 18.24-8.362C346.4 176 352 192.6 352 200z"],
    "shield-cross": [512, 512, [9960], "f712", "M466.5 83.71l-192-80C269.6 1.672 261.3 0 256.1 0C250.8 0 242.5 1.672 237.6 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM421.2 224H288v203.7c-11.4 7.871-22.32 14.26-32.08 18.81C245.3 441.7 234.6 435.6 224 428.5V224H90.88C86.15 203.8 82.99 182.4 81.35 160H224V78.67l32.05-13.35L288 78.63V160h142.6C428.1 182.7 425.8 204.1 421.2 224z"],
    "shield-dog": [512, 512, [], "e573", "M288 208C288 216.8 280.8 224 272 224C263.2 224 255.1 216.8 255.1 208C255.1 199.2 263.2 192 272 192C280.8 192 288 199.2 288 208zM256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM160.9 286.2L143.1 320L272 384V320H320C364.2 320 400 284.2 400 240V208C400 199.2 392.8 192 384 192H320L312.8 177.7C307.4 166.8 296.3 160 284.2 160H239.1V224C239.1 259.3 211.3 288 175.1 288C170.8 288 165.7 287.4 160.9 286.2H160.9zM143.1 176V224C143.1 241.7 158.3 256 175.1 256C193.7 256 207.1 241.7 207.1 224V160H159.1C151.2 160 143.1 167.2 143.1 176z"],
    "shield-exclamation": [512, 512, [], "e247", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v112C280 277.3 269.3 288 256 288S232 277.3 232 264V152zM256 384c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 384 256 384z"],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", "M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078zM256 444.8C393.1 378 431.1 230.1 432 141.4L256 66.77L256 444.8z"],
    "shield-heart": [512, 512, [], "e574", "M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM266.1 363.4L364.2 263.6C392.2 234.7 390.5 186.6 358.1 159.5C331.8 135.8 291.5 140.2 266.1 166.5L256.4 176.1L245.9 166.5C221.4 140.2 180.2 135.8 153 159.5C121.5 186.6 119.8 234.7 147.8 263.6L244.2 363.4C251.2 369.5 260.8 369.5 266.1 363.4V363.4z"],
    "shield-keyhole": [512, 512, [], "e248", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z"],
    "shield-minus": [512, 512, [], "e249", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z"],
    "shield-plus": [512, 512, [], "e24a", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z"],
    "shield-quartered": [576, 512, [], "e575", "M489.7 82.79C511.7 92.12 528.2 113.8 528 139.1C527.5 239.2 486.7 420.7 314.4 503.2C297.7 511.1 278.3 511.1 261.6 503.2C89.25 420.7 48.49 239.2 47.1 139.1C47.87 113.8 64.32 92.12 86.3 82.79L274.7 2.913C278.8 1.008 283.4-.0081 288-.0078C292.7-.0081 297.2 1.008 301.4 2.913L489.7 82.79zM122.1 224H288V66.77L112 141.4C112.3 165.5 115.2 193.1 122.1 224zM453.1 224H288V444.8C388.5 396.2 435.5 304.5 453.1 224V224z"],
    "shield-slash": [640, 512, [], "e24b", "M319.9 512c37.26 0 102.9-58.24 117.3-72.57L81.16 160.3C96.42 398.1 272.1 512 319.9 512zM639.1 487.1c0-7.118-3.152-14.16-9.189-18.89l-134.3-105.3C533.4 303.5 560 225.5 560 127.1c0-19.41-11.69-36.89-29.5-44.28l-192-80C333.6 1.672 325.3 0 320.1 0C314.8 0 306.5 1.672 301.6 3.703L128.9 75.68L38.81 5.109C34.41 1.672 29.19 0 24.03 0C10.2 0 .0008 11.29 .0008 24c0 7.118 3.152 14.16 9.189 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"],
    "shield-virus": [512, 512, [], "e06c", "M288 255.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1s16-7.163 16-15.1C304 263.2 296.8 255.1 288 255.1zM224 191.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 15.1 16s16-7.164 16-16C240 199.2 232.8 191.1 224 191.1zM466.5 83.68l-192-80.01C269.6 1.641 261.3 0 256.1 0C250.7 0 242.5 1.641 237.6 3.672l-192 80.01C27.69 91.07 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM384 255.1h-12.12c-19.29 0-32.06 15.78-32.06 32.23c0 7.862 2.918 15.88 9.436 22.4l8.576 8.576c3.125 3.125 4.688 7.218 4.688 11.31c0 8.527-6.865 15.1-16 15.1c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-6.519-6.519-14.53-9.436-22.4-9.436c-16.45 0-32.23 12.77-32.23 32.06v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.862 0-15.87 2.917-22.39 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-9.139 0-16-7.473-16-15.1c0-4.094 1.562-8.187 4.688-11.31l8.576-8.576c6.519-6.519 9.436-14.53 9.436-22.4c0-16.45-12.77-32.23-32.06-32.23H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c19.29 0 32.06-15.78 32.06-32.23c0-7.862-2.918-15.88-9.436-22.4L154.2 160.8C151 157.7 149.5 153.6 149.5 149.5c0-8.527 6.865-15.1 16-15.1c4.094 0 8.188 1.562 11.31 4.688L185.4 146.7C191.9 153.3 199.9 156.2 207.8 156.2c16.45 0 32.23-12.77 32.23-32.07V111.1c0-8.844 7.156-16 16-16s16 7.156 16 16v12.12c0 19.29 15.78 32.07 32.23 32.07c7.862 0 15.88-2.917 22.4-9.436l8.576-8.577c3.125-3.125 7.219-4.688 11.31-4.688c9.139 0 16 7.473 16 15.1c0 4.094-1.562 8.187-4.688 11.31l-8.576 8.577c-6.519 6.519-9.436 14.53-9.436 22.4c0 16.45 12.77 32.23 32.06 32.23h12.12c8.844 0 16 7.156 16 16S392.8 255.1 384 255.1z"],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z"],
    "ship": [576, 512, [128674], "f21a", "M192 32C192 14.33 206.3 0 224 0H352C369.7 0 384 14.33 384 32V64H432C458.5 64 480 85.49 480 112V240L524.4 254.8C547.6 262.5 553.9 292.3 535.9 308.7L434.9 401.4C418.7 410.7 400.2 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C175.8 416.5 157.3 410.7 141.1 401.3L40.09 308.7C22.1 292.3 28.45 262.5 51.59 254.8L96 239.1V111.1C96 85.49 117.5 63.1 144 63.1H192V32zM160 218.7L267.8 182.7C280.9 178.4 295.1 178.4 308.2 182.7L416 218.7V128H160V218.7zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", "M640 162.8c0 6.917-2.293 13.88-7.012 19.7l-49.96 61.63c-6.32 7.796-15.62 11.85-25.01 11.85c-7.01 0-14.07-2.262-19.97-6.919L480 203.3V464c0 26.51-21.49 48-48 48H208C181.5 512 160 490.5 160 464V203.3L101.1 249.1C96.05 253.7 88.99 255.1 81.98 255.1c-9.388 0-18.69-4.057-25.01-11.85L7.012 182.5C2.292 176.7-.0003 169.7-.0003 162.8c0-9.262 4.111-18.44 12.01-24.68l135-106.6C159.8 21.49 175.7 16 191.1 16H225.6C233.3 61.36 272.5 96 320 96s86.73-34.64 94.39-80h33.6c16.35 0 32.22 5.49 44.99 15.57l135 106.6C635.9 144.4 640 153.6 640 162.8z"],
    "shirt-long-sleeve": [640, 512, [], "e3c7", "M640 240.3V384c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V240.3l-2.062-7.898L496 150.4V448c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64V150.4L98.03 232.5L96 240.3V384c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32V240.3c0-19.16 4.918-38 14.28-54.72l71.03-126.8C100.1 32.36 128 16 158.3 16H224c0 53.02 42.98 96 96 96s96-42.98 96-96h65.53c30.38 0 58.39 16.41 73.24 42.92l70.95 126.6C635.1 202.3 640 221.1 640 240.3z"],
    "shirt-running": [384, 512, [], "e3c8", "M359.5 214.3L.668 470.6C3.922 493.1 23.76 512 48 512h288c26.51 0 48-21.49 48-48V256C374.2 242.1 366.4 228.8 359.5 214.3zM336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v136.4l339.1-242.2C337.1 137.7 336 124.9 336 112z"],
    "shirt-tank-top": [384, 512, [], "e3c9", "M384 256v208c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464V256c31.16-41.54 48-92.07 48-144v-96C48 7.162 55.16 0 64 0h32c8.836 0 16 7.162 16 16v64C112 124.2 147.8 160 192 160s80-35.82 80-80v-64C272 7.162 279.2 0 288 0h32c8.836 0 16 7.162 16 16v96C336 163.9 352.8 214.5 384 256z"],
    "shish-kebab": [512, 512, [], "f821", "M126.5 255.6c-11.87-12-31.25-12-43.25 0l-42.25 42.25c-11.1 12-11.1 31.38 0 43.25l129.9 129.9c11.87 12 31.25 12 43.25 0l42.25-42.25c12-12 12-31.38 0-43.38L126.5 255.6zM7.054 470.1c-9.396 9.375-9.403 24.61-.0166 33.99c9.381 9.383 24.6 9.388 33.98 .0049l59.23-59.21l-33.87-34L7.054 470.1zM234.7 147.4c-11.87-12-31.37-12-43.25 0L149.1 189.6c-11.87 12-11.87 31.38 0 43.38L278.1 362.9c12 11.88 31.37 11.88 43.25 0l42.37-42.38c11.88-11.88 11.88-31.38 0-43.25L234.7 147.4zM511.2 84.12c-3.875-29.75-21.13-55.75-47.5-71.25c-30.37-17.62-67.1-17.13-97.87 1.375c-42.62 26.75-58.12 79.75-35.87 124.6c1.5 2.875 2.25 7.125 0 9.5l-24.49 24.5l33.1 33.88l24.45-24.5c16.62-16.75 20.29-42.13 9.042-64.63c-9.625-19.5-5.999-48.25 19.62-63.37c14.12-8.5 31.62-8.583 45.87-.5833c14.25 8 23.21 20.96 25.21 36.46c1.25 10.38-.855 20.96-5.978 30.09c-3.75 6.375-3.354 14.29 1.896 19.54l12.25 12.29c6.75 6.75 18.12 6.126 23.5-1.749C508.6 130.9 514.2 107.4 511.2 84.12z"],
    "shoe-prints": [640, 512, [], "f54b", "M192 159.1L224 159.1V32L192 32c-35.38 0-64 28.62-64 63.1S156.6 159.1 192 159.1zM0 415.1c0 35.37 28.62 64.01 64 64.01l32-.0103v-127.1l-32-.0005C28.62 351.1 0 380.6 0 415.1zM337.5 287.1c-35 0-76.25 13.12-104.8 31.1C208 336.4 188.3 351.1 128 351.1v128l57.5 15.98c26.25 7.25 53 13.13 80.38 15.01c32.63 2.375 65.63 .743 97.5-6.132C472.9 481.2 512 429.2 512 383.1C512 319.1 427.9 287.1 337.5 287.1zM491.4 7.252c-31.88-6.875-64.88-8.625-97.5-6.25C366.5 2.877 339.8 8.752 313.5 16L256 32V159.1c60.25 0 80 15.62 104.8 31.1c28.5 18.87 69.75 31.1 104.8 31.1C555.9 223.1 640 191.1 640 127.1C640 82.75 600.9 30.75 491.4 7.252z"],
    "shop": [640, 512, ["store-alt"], "f54f", "M0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM64 224H128V384H320V224H384V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224zM512 224H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V224z"],
    "shop-lock": [640, 512, [], "e4a5", "M0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 174.5 625.2 190.3 606.3 191.9C586.1 172.2 558.5 160 528 160C497.5 160 469.8 172.2 449.6 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM384 224V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320V224H384zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", "M74.13 32.8L81.75 21.38C90.65 8.022 105.6 .001 121.7 .001H518.3C534.4 .001 549.3 8.022 558.2 21.38L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H277.3L320 225.5V224H384V275.7L512 375.1V224H576V426.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L74.13 32.8zM0 155.2C0 147.9 2.153 140.8 6.188 134.7L20.98 112.5L121.8 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM320 384V348.1L384 398.5V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320z"],
    "shovel": [512, 512, [], "f713", "M502.6 99.88l-90.51-90.51c-12.5-12.5-32.75-12.51-45.26 0l-45.25 45.25c-29.46 29.46-35.37 73.31-18.46 108.1L197.4 269.4L152.1 224.1c-12.5-12.5-32.75-12.5-45.25 0L38.97 291.1c-50.01 50-45.26 181-22.63 203.7c22.63 22.63 153.6 27.38 203.6-22.63l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25L242.6 314.6l105.8-105.8c35.65 16.91 79.51 11 108.1-18.46l45.26-45.25C515.1 132.6 515.1 112.4 502.6 99.88zM412.1 145.1c-12.48 12.48-32.78 12.47-45.26 0c-12.47-12.47-12.48-32.77 0-45.26l22.63-22.63l45.25 45.26L412.1 145.1z"],
    "shovel-snow": [512, 512, [], "f7c3", "M504.1 81.77l-74.98-75.01c-9.016-9.036-24.95-9.005-33.94 0l-29.02 29.05c-14.55 14.54-22.56 33.89-22.56 54.47c0 12.28 3.17 23.97 8.561 34.62l-93.53 93.69L210.2 169.2c-11.38-11.26-29.38-12.51-42-2.626l-155.9 120.3c-15.13 11.76-16.63 34.15-3 47.66l168 168.1c13.63 13.63 35.88 12.13 47.63-3.001l120.4-155.1c9.877-12.63 8.627-30.52-2.625-41.9L293.4 252.5l93.6-93.64c10.62 5.36 22.27 8.508 34.51 8.508c20.59 0 39.94-8.004 54.47-22.57l29.02-29.05C514.3 106.3 514.3 91.15 504.1 81.77zM111.1 351.9c-4.127 0-8.251-1.624-11.25-4.753c-6.25-6.128-6.25-16.38 0-22.51L180.7 244.6c6.125-6.378 16.38-6.378 22.5 0c6.25 6.13 6.25 16.38 0 22.51l-80.01 80.04C120.2 350.3 116.1 351.9 111.1 351.9zM267.3 331.2l-80.01 80.04c-3 3.127-7.124 4.753-11.25 4.753c-4.125 0-8.25-1.626-11.25-4.753c-6.252-6.128-6.252-16.38 0-22.51l80-80.04c6.127-6.253 16.38-6.253 22.5 0C273.5 314.8 273.6 325.1 267.3 331.2zM441.1 110.8c-10.94 11.01-30.08 11.01-41.02 0c-5.484-5.472-8.516-12.79-8.516-20.54s3.016-15.04 8.5-20.51l12.05-12.07l41.05 41.05L441.1 110.8z"],
    "shower": [512, 512, [128703], "f2cc", "M288 384c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C320 398.3 305.7 384 288 384zM416 256c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 270.3 433.7 256 416 256zM480 192c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 206.3 497.7 192 480 192zM288 320c0-17.67-14.33-32-32-32s-32 14.33-32 32c0 17.67 14.33 32 32 32S288 337.7 288 320zM320 224c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C352 238.3 337.7 224 320 224zM384 224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 209.7 366.3 224 384 224zM352 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C384 334.3 369.7 320 352 320zM347.3 91.31l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0l-6.631 6.631c-35.15-26.29-81.81-29.16-119.6-8.779L170.5 61.25C132.2 22.95 63.65 18.33 21.98 71.16C7.027 90.11 0 114.3 0 138.4V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464V131.9c0-19.78 16.09-35.87 35.88-35.87c9.438 0 18.69 3.828 25.38 10.5l16.61 16.61C121.5 160.9 124.3 207.6 150.6 242.7L144 249.4c-6.248 6.248-6.248 16.38 0 22.63l11.31 11.31c6.248 6.25 16.38 6.25 22.63 0l169.4-169.4C353.6 107.7 353.6 97.56 347.3 91.31z"],
    "shower-down": [384, 512, ["shower-alt"], "e24d", "M368 192H352c0-77.4-54.97-141.9-128-156.8v-19.22c0-8.838-7.164-15.1-16-15.1h-32c-8.836 0-16 7.162-16 15.1v19.22C86.97 50.05 32 114.6 32 192H16C7.164 192 0 199.2 0 207.1v32c0 8.836 7.164 16 16 16h352c8.836 0 16-7.164 16-16V208C384 199.2 376.8 192 368 192zM69.26 290.9c-2.375-3.703-8.148-3.703-10.52 0C54.28 297.8 32 333.3 32 349.8c0 18.95 14.35 34.31 31.1 34.31S96 368.7 96 349.8C96 333.3 73.72 297.8 69.26 290.9zM314.7 290.9C310.3 297.8 288 333.3 288 349.8c0 18.95 14.35 34.31 31.1 34.31S352 368.7 352 349.8c0-16.5-22.28-51.92-26.74-58.88C322.9 287.2 317.1 287.2 314.7 290.9zM122.7 418.8C118.3 425.7 96 461.1 96 477.7C96 496.6 110.3 512 127.1 512S160 496.6 160 477.7c0-16.5-22.28-51.93-26.74-58.88C130.9 415.1 125.1 415.1 122.7 418.8zM197.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C182.3 297.8 160 333.3 160 349.8c0 18.95 14.35 34.31 31.1 34.31S224 368.7 224 349.8C224 333.3 201.7 297.8 197.3 290.9zM250.7 418.8C246.3 425.7 224 461.1 224 477.7C224 496.6 238.4 512 256 512S288 496.6 288 477.7c0-16.5-22.28-51.93-26.74-58.88C258.9 415.1 253.1 415.1 250.7 418.8z"],
    "shredder": [512, 512, [], "f68a", "M136 488C136 501.3 146.7 512 159.1 512S184 501.3 184 488V416h-48V488zM40 488C40 501.3 50.75 512 63.1 512S88 501.3 88 488V416h-48V488zM232 488C232 501.3 242.7 512 256 512s24-10.75 24-23.1V416h-48V488zM448 192V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM384 192H128V64h229.5L384 90.51V192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296zM328 488C328 501.3 338.7 512 352 512s24-10.75 24-23.1V416h-48V488zM424 488C424 501.3 434.7 512 448 512s24-10.75 24-23.1V416h-48V488z"],
    "shrimp": [512, 512, [129424], "e448", "M288 320V128H64C46.34 128 32 113.6 32 96s14.34-32 32-32h368c8.844 0 16-7.156 16-16s-7.156-16-16-16H64C28.72 32 0 60.7 0 96s28.72 64 64 64h2.879c15.26 90.77 94.01 160 189.1 160H288zM192 216c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C216 205.3 205.3 216 192 216zM225.6 399.4c-4.75 12.36 1.406 26.25 13.78 31.02l5.688 2.188C233.3 434.1 224 443.8 224 456c0 13.25 10.75 24 24 24h72v-70.03l-63.38-24.38C244.3 380.9 230.4 386.1 225.6 399.4zM511.2 286.7c-.5488-5.754-2.201-11.1-3.314-16.65l-124.6 90.62c.3711 2.404 .7383 4.814 .7383 7.322c0 1.836-.3379 3.576-.5391 5.357l90.15 40.06C500.8 379.2 515.8 334.8 511.2 286.7zM352 413.1v66.08c37.23-3.363 71.04-18.3 97.94-41.21l-80.34-35.71C364.7 407.1 358.6 410.7 352 413.1zM497.9 237.7C470.1 172.4 402.8 128 328.4 128h-8.436v192h16c12.28 0 23.36 4.748 31.85 12.33L497.9 237.7z"],
    "shuffle": [512, 512, [128256, "random"], "f074", "M424.1 287c-15.13-15.12-40.1-4.426-40.1 16.97V352H336L153.6 108.8C147.6 100.8 138.1 96 128 96H32C14.31 96 0 110.3 0 128s14.31 32 32 32h80l182.4 243.2C300.4 411.3 309.9 416 320 416h63.97v47.94c0 21.39 25.86 32.12 40.99 17l79.1-79.98c9.387-9.387 9.387-24.59 0-33.97L424.1 287zM336 160h47.97v48.03c0 21.39 25.87 32.09 40.1 16.97l79.1-79.98c9.387-9.391 9.385-24.59-.0013-33.97l-79.1-79.98c-15.13-15.12-40.99-4.391-40.99 17V96H320c-10.06 0-19.56 4.75-25.59 12.81L254 162.7L293.1 216L336 160zM112 352H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c10.06 0 19.56-4.75 25.59-12.81l40.4-53.87L154 296L112 352z"],
    "shutters": [512, 512, [], "e449", "M488 384H24l-19.04 76.13C2.432 470.2 10.08 480 20.48 480h471c10.4 0 18.05-9.793 15.52-19.87L488 384zM32 96h448c17.66 0 32-14.34 32-32s-14.34-32-32-32H32C14.34 32 0 46.34 0 64S14.34 96 32 96zM488 128H24L4.961 204.1C2.432 214.2 10.08 224 20.48 224h471c10.4 0 18.05-9.793 15.52-19.87L488 128zM488 256H24l-19.04 76.13C2.432 342.2 10.08 352 20.48 352h471c10.4 0 18.05-9.793 15.52-19.87L488 256z"],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", "M129.1 480H128V384H352L245.2 448.1C210.4 468.1 170.6 480 129.1 480zM352 128H128V32H129.1C170.6 32 210.4 43.03 245.2 63.92L352 128zM104 128C130.2 128 153.4 140.6 168 160H456C525.3 160 591 182.7 635.2 241.6C641.6 250.1 641.6 261.9 635.2 270.4C591 329.3 525.3 352 456 352H168C153.4 371.4 130.2 384 104 384H96V480H80C53.49 480 32 458.5 32 432V384H40C17.91 384 0 366.1 0 344V168C0 145.9 17.89 128 39.96 128H32V80C32 53.49 53.49 32 80 32H96V128H104zM476.4 208C473.1 208 472 209.1 472 212.4V299.6C472 302 473.1 304 476.4 304C496.1 304 512 288.1 512 268.4V243.6C512 223.9 496.1 208 476.4 208z"],
    "shuttlecock": [512, 512, [], "f45b", "M483.1 191.1h-20c0 .8869 .0929 2.73 .0929 5.277c0 14.68-3.087 52.76-44.85 65.97l-91.14 28.75l-26.45 45.34l-77.97 36.42l-25.75-25.87l70.76-70.75l140.9-44.5c13.25-4.25 22.38-16.62 22.38-30.5V107.1c0-15.5-12.5-27.1-28.01-27.1h-94.14c-14 0-26.25 9.124-30.51 22.37L234.8 243.2L164 313.1l-25.75-25.75L174.6 210.3l45.44-26.42l28.76-91.12c13.76-43.63 54.39-44.75 68.1-44.75l2.142 .0033V27.1c0-15.37-12.63-27.1-28.01-27.1H237.3c-10.75 0-20.75 6.25-25.38 16.25l-116.5 250.2L56.19 305.8l150 149.1l39.26-39.26l250.3-116.5C505.6 295.4 512 285.5 512 274.6V219.1C512 204.6 499.4 191.1 483.1 191.1zM31.03 330.1c-20.69 20.69-31.04 47.84-31.04 74.1c0 56.66 45.53 106 106 106c27.16 0 54.32-10.35 75.01-31.04l2.637-2.607l-150-149.1L31.03 330.1z"],
    "sickle": [512, 512, [], "f822", "M129.9 308.7C123.7 302.5 113.4 302.5 107.2 308.8l-22.5 22.5c-6.25 6.25-6.25 16.5 0 22.75l2.625 2.75L9.373 434.8c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.07-78.13l2.75 2.75c6.25 6.25 16.38 6.25 22.63 0l22.63-22.62c6.252-6.251 6.248-16.39-.009-22.63L129.9 308.7zM318 0C220.1 0 149.1 68.51 131.9 149.9c-13.9 62.44 10.83 127.2 56.94 172.3L220.9 352l35.75-34.99C217.8 253.5 232.5 167.3 304 123.1c43.58-26.95 100.7-28.68 145.7-3.957c18.7 10.14 34.99 24.11 47.75 40.93c5.179 6.8 16.04 1.854 14.4-6.429C500.1 99.65 447.4 0 318 0z"],
    "sidebar": [512, 512, [], "e24e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM224 416H448V96H224V416zM88 96C74.75 96 64 106.7 64 120C64 133.3 74.75 144 88 144H136C149.3 144 160 133.3 160 120C160 106.7 149.3 96 136 96H88zM88 240H136C149.3 240 160 229.3 160 216C160 202.7 149.3 192 136 192H88C74.75 192 64 202.7 64 216C64 229.3 74.75 240 88 240zM88 288C74.75 288 64 298.7 64 312C64 325.3 74.75 336 88 336H136C149.3 336 160 325.3 160 312C160 298.7 149.3 288 136 288H88z"],
    "sidebar-flip": [512, 512, [], "e24f", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM288 96H64V416H288V96zM376 96C362.7 96 352 106.7 352 120C352 133.3 362.7 144 376 144H424C437.3 144 448 133.3 448 120C448 106.7 437.3 96 424 96H376zM448 216C448 202.7 437.3 192 424 192H376C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240H424C437.3 240 448 229.3 448 216zM376 288C362.7 288 352 298.7 352 312C352 325.3 362.7 336 376 336H424C437.3 336 448 325.3 448 312C448 298.7 437.3 288 424 288H376z"],
    "sigma": [384, 512, [8721], "f68b", "M352 480H32c-12.94 0-24.62-7.781-29.56-19.75c-4.969-11.97-2.219-25.72 6.938-34.88l169.4-169.4L9.375 86.64C.2188 77.48-2.531 63.73 2.438 51.76C7.375 39.8 19.06 32.01 32 32.01h320c17.69 0 32 14.31 32 32v64c0 17.69-14.31 31.1-32 31.1S320 145.7 320 128v-32H109.3l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25l-137.4 137.4H320v-32c0-17.69 14.31-32 31.1-32S384 366.3 384 384v64C384 465.7 369.7 480 352 480z"],
    "sign-hanging": [512, 512, ["sign"], "f4d9", "M96 0C113.7 0 128 14.33 128 32V64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0zM448 160C465.7 160 480 174.3 480 192V352C480 369.7 465.7 384 448 384H192C174.3 384 160 369.7 160 352V192C160 174.3 174.3 160 192 160H448z"],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", "M544 0c-17.67 0-32 14.33-32 31.1V480C512 497.7 526.3 512 544 512s32-14.33 32-31.1V31.1C576 14.33 561.7 0 544 0zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", "M240 256C213.6 256 192 277.6 192 303.1v160C192 490.4 213.6 512 239.1 512S288 490.4 288 464V303.1C288 277.6 266.4 256 240 256zM80 384C53.6 384 32 405.6 32 431.1v32C32 490.4 53.6 512 79.1 512S128 490.4 128 464v-32C128 405.6 106.4 384 80 384zM400 128C373.6 128 352 149.6 352 175.1v288C352 490.4 373.6 512 399.1 512C426.4 512 448 490.4 448 464V175.1C448 149.6 426.4 128 400 128zM560 0C533.6 0 512 21.6 512 47.1v416C512 490.4 533.6 512 559.1 512S608 490.4 608 464V47.1C608 21.6 586.4 0 560 0z"],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128z"],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", "M351.1 463.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-16.19l-96-75.24V463.1zM80 383.1c-26.4 0-48 21.6-48 48v31.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-31.1C128 405.6 106.4 383.1 80 383.1zM630.8 469.1L607.1 451.2V48c0-26.4-21.6-48-48-48s-48 21.6-48 48v327.1l-64-50.16V175.1c0-26.4-21.6-47.1-48-47.1s-48 21.6-48 48v74.58L38.81 5.111C34.41 1.673 29.19 0 24.03 0c-7.125 0-14.19 3.158-18.91 9.189C-3.068 19.63-1.25 34.72 9.187 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM192 304v160C192 490.4 213.6 512 240 512S288 490.4 288 464v-141.4L213.4 264.1C200.5 272.8 192 287.4 192 304z"],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", "M48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"],
    "signal-fair": [576, 512, ["signal-2"], "f68d", "M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"],
    "signal-good": [576, 512, ["signal-3"], "f68e", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"],
    "signal-slash": [640, 512, [], "f695", "M192 287.1c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-159.1C224 302.3 209.7 287.1 192 287.1zM64 383.1c-17.67 0-32 14.32-32 31.1v63.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.1C96 398.3 81.67 383.1 64 383.1zM288 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-107.4l-64-50.16V480zM630.8 469.1L607.1 451.2V32c0-17.67-14.33-32-31.1-32S543.1 14.33 543.1 32v369.1L480 350.9V128c0-17.67-14.33-32-32-32s-32 14.33-32 32v172.7l-64-50.16V224c0-17.67-14.33-32-32-32C309.3 192 300.4 197.5 294.6 205.6L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM416 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-7.102l-64-50.16V480z"],
    "signal-stream": [576, 512, [], "f8dd", "M183.7 149.1C173.8 141.2 158.6 142.2 149.8 152.2c-50.33 57.25-50.33 150.4 0 207.7c4.738 5.406 11.39 8.156 18.06 8.156c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.19-33.87c-34.97-39.78-34.97-104.5 0-144.3C194.7 173.9 193.7 158.7 183.7 149.1zM512.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C495 156.1 512 204.5 512 256c0 51.5-16.98 99.91-49.13 139.1c-11.05 13.78-8.844 33.94 4.953 45C473.7 445.7 480.8 448 487.8 448c9.375 0 18.66-4.094 24.98-11.97C553.6 385.2 576 321.3 576 256C576 190.7 553.6 126.8 512.8 75.96zM64 256c0-51.5 16.98-99.91 49.13-139.1c11.05-13.78 8.844-33.94-4.953-45c-13.75-10.97-33.89-8.812-44.98 4.938C22.44 126.8 0 190.7 0 256c0 65.28 22.44 129.2 63.19 180C69.52 443.9 78.8 448 88.17 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C80.98 355.9 64 307.5 64 256zM426.2 152.2c-8.727-9.965-23.9-10.93-33.91-2.187c-9.963 8.75-10.95 23.91-2.19 33.87c34.97 39.78 34.97 104.5 0 144.3c-8.758 9.969-7.773 25.12 2.19 33.87c4.566 4 10.21 5.969 15.84 5.969c6.678 0 13.32-2.75 18.06-8.156C476.5 302.6 476.5 209.4 426.2 152.2zM288 200C257.1 200 232 225.1 232 256S257.1 312 288 312S344 286.9 344 256S318.9 200 288 200z"],
    "signal-stream-slash": [640, 512, [], "e250", "M192.4 247.5L150 214.3c-12.1 49.99-2.779 106.2 31.83 145.6C186.6 365.3 193.2 368 199.9 368c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.191-33.88C198.6 306.1 190.3 276.4 192.4 247.5zM96 256c0-25.75 4.246-50.72 12.51-74.26L56.21 140.8C40.45 176.9 32 216.2 32 256c0 65.28 22.44 129.2 63.19 180C101.5 443.9 110.8 448 120.2 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C112.1 355.9 96 307.5 96 256zM630.8 469.1l-70.19-55.01C591.3 367.4 608 312.2 608 256c0-65.29-22.44-129.2-63.19-180c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C527 156.1 544 204.5 544 256c0 42.57-12.22 82.73-34.4 118.1l-39.48-30.94c37.48-57.45 33.8-138.9-11.97-191c-8.727-9.965-23.9-10.93-33.9-2.188c-9.963 8.75-10.95 23.91-2.191 33.88c31.01 35.27 34.38 90.09 10.41 129.8l-58.21-45.63C375.1 264.1 376 260.2 376 256c0-30.88-25.12-56-56-56c-8.889 0-16.92 2.68-24.38 6.389L38.81 5.113C28.34-3.059 13.31-1.246 5.109 9.191c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.187C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "signal-strong": [576, 512, ["signal-4"], "f68f", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"],
    "signal-weak": [576, 512, ["signal-1"], "f68c", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"],
    "signature": [640, 512, [], "f5b7", "M192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H416C405.7 319.1 396.1 315.1 390 306.7C384 298.4 382.4 287.6 385.6 277.9L398.1 240.4L303.7 268.7C291.9 321.5 272.2 372.2 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 95.1 447.5 95.1 407.5V335.6C95.1 293.2 123.8 255.8 164.4 243.7L248.8 218.3C253.6 191.1 255.1 163.5 255.1 135.8V128C255.1 110.3 241.7 96 223.1 96C206.3 96 191.1 110.3 191.1 128L192 160zM160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V335.6zM24 368H64V407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368zM616 416H283.5C291.7 400.3 299.2 384.3 305.9 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416z"],
    "signature-lock": [640, 512, [], "e3ca", "M96 160C96 177.7 81.67 192 64 192C46.33 192 32 177.7 32 160V128C32 74.98 74.98 32 128 32C181 32 224 74.98 224 128V135.8C224 156.6 222.8 177.4 220.4 198.1L342.8 161.3C354.2 157.9 366.6 161.1 374.1 169.7C383.3 178.3 386.1 190.8 382.4 202.1L364.4 255.1H417.1C416.4 261.2 416 266.6 416 271.1V296.6C406.3 302.2 398.2 310.3 392.6 319.1H320C309.7 319.1 300.1 315.1 294 306.7C288 298.4 286.4 287.6 289.6 277.9L302.1 240.4L207.7 268.7C195.9 321.5 176.2 372.2 149.3 419.2L135.4 443.5C122.5 466.1 98.51 480 72.5 480C32.46 480 0 447.5 0 407.5V335.6C0 293.2 27.81 255.8 68.41 243.7L152.9 218.3C157.6 191.1 160 163.5 160 135.8V128C160 110.3 145.7 96 128 96C110.3 96 96 110.3 96 128V160zM64 335.6V407.5C64 412.2 67.8 416 72.5 416C75.55 416 78.36 414.4 79.88 411.7L93.76 387.4C111.3 356.6 125.4 324.1 135.8 290.3L86.8 304.1C73.27 309 64 321.5 64 335.6V335.6zM209.9 368H384V416H187.5C195.7 400.3 203.2 384.3 209.9 368V368zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "signature-slash": [640, 512, [], "e3cb", "M138.9 83.55C154.9 52.91 187 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.4C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H440.6L501.8 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H563L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L138.9 83.55zM192.1 125.3L254.5 174.1C255.5 161.4 256 148.6 256 135.8V128C256 110.3 241.7 96 224 96C207.2 96 193.5 108.9 192.1 125.3V125.3zM355.3 253.2L385.9 277.1L398.2 240.4L355.3 253.2zM164.4 243.7L181.1 238.7L288.4 323.3C277.2 356.5 262.8 388.6 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7V243.7zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3zM24 368H64V407.5C64 410.4 64.12 413.2 64.34 416H24C10.75 416 .0013 405.3 .0013 392C.0013 378.7 10.75 368 24 368V368z"],
    "signs-post": [512, 512, ["map-signs"], "f277", "M223.1 32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32H441.4C445.6 32 449.7 33.69 452.7 36.69L500.7 84.69C506.9 90.93 506.9 101.1 500.7 107.3L452.7 155.3C449.7 158.3 445.6 160 441.4 160H63.1C46.33 160 31.1 145.7 31.1 128V64C31.1 46.33 46.33 32 63.1 32L223.1 32zM480 320C480 337.7 465.7 352 448 352H70.63C66.38 352 62.31 350.3 59.31 347.3L11.31 299.3C5.065 293.1 5.065 282.9 11.31 276.7L59.31 228.7C62.31 225.7 66.38 223.1 70.63 223.1H223.1V191.1H288V223.1H448C465.7 223.1 480 238.3 480 255.1V320zM255.1 512C238.3 512 223.1 497.7 223.1 480V384H288V480C288 497.7 273.7 512 255.1 512z"],
    "sim-card": [384, 512, [], "f7c4", "M0 64v384c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V128l-128-128H64C28.75 0 0 28.75 0 64zM224 256H160V192h64V256zM320 256h-64V192h32c17.75 0 32 14.25 32 32V256zM256 384h64v32c0 17.75-14.25 32-32 32h-32V384zM160 384h64v64H160V384zM64 384h64v64H96c-17.75 0-32-14.25-32-32V384zM64 288h256v64H64V288zM64 224c0-17.75 14.25-32 32-32h32v64H64V224z"],
    "sim-cards": [448, 512, [], "e251", "M336 0H160C124.8 0 96 28.75 96 64v288c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V112L336 0zM240 144h64V192h-64V144zM160 176c0-17.75 14.25-32 32-32h16V192H160V176zM208 352H192c-17.75 0-32-14.25-32-32V304h48V352zM304 352h-64V304h64V352zM384 320c0 17.75-14.25 32-32 32h-16V304H384V320zM384 272H160V224h224V272zM384 192h-48V144H352c17.75 0 32 14.25 32 32V192zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "sink": [512, 512, [], "e06d", "M496 288h-96V256l64 .0002c8.838 0 16-7.164 16-15.1v-15.1c0-8.838-7.162-16-16-16L384 208c-17.67 0-32 14.33-32 32v47.1l-64 .0005v-192c0-17.64 14.36-32 32-32s32 14.36 32 32v16c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-16c0-59.2-53.85-106-115.1-94.14C255.3 10.71 224 53.36 224 99.79v188.2L160 288V240c0-17.67-14.33-32-32-32L48 208c-8.836 0-16 7.162-16 16v15.1C32 248.8 39.16 256 48 256l64-.0002V288h-96c-8.836 0-16 7.164-16 16v32c0 8.836 7.164 16 16 16h480c8.836 0 16-7.164 16-16V304C512 295.2 504.8 288 496 288zM32 416c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-32H32V416z"],
    "siren": [448, 512, [], "e02d", "M128.3 166.1c.25-2.125 1.375-4.125 3-5.375c1.75-1.25 3.875-1.875 6-1.5L153.1 162.2c2 .25 4 1.375 5.25 3C159.6 166.1 160.3 169.1 160 171.2L135.9 352H400l-25-200c-4-31.1-31.25-55.1-63.5-55.1h-175c-32.25 0-59.5 24-63.5 55.1L48 352h55.5L128.3 166.1zM432 384h-416C7.125 384 0 391.1 0 400v64C0 472.9 7.125 480 16 480h416c8.875 0 16-7.125 16-16v-64C448 391.1 440.9 384 432 384z"],
    "siren-on": [640, 512, [], "e02e", "M224.3 167.2c.25-2.123 1.375-4.121 3-5.371c1.75-1.248 3.875-1.873 6-1.498l15.88 2.123c2 .25 4 1.373 5.25 2.998C255.6 167.2 256.3 169.4 256 171.5l-24.12 180.6H496l-25-199.8c-4-31.97-31.25-56.06-63.5-56.06h-175c-32.25 0-59.5 24.08-63.5 56.06L144 352.1h55.5L224.3 167.2zM536 112.2c4.75 0 9.375-1.374 13.25-3.997l48-31.98c7.375-4.621 11.62-12.76 11.12-21.5c-.5-8.744-5.625-16.49-13.5-20.23c-7.75-3.748-17-2.998-24.12 1.873l-48 31.97c-8.875 5.871-12.75 16.76-9.625 26.88C516.1 105.2 525.5 112.2 536 112.2zM90.75 108.2C97.88 113.2 107.1 114.1 115 110.2C122.9 106.4 128 98.7 128.5 89.95C129 81.21 124.8 73.07 117.3 68.45l-48-31.97C62.13 31.35 52.88 30.6 45 34.35C37.13 38.22 32 45.97 31.5 54.71C31 63.45 35.25 71.59 42.75 76.21L90.75 108.2zM112 224.1c0-13.24-10.75-23.99-24-23.99h-64c-13.25 0-24 10.71-24 23.95s10.75 24.03 24 24.03h64C101.3 248.1 112 237.4 112 224.1zM616 200.1h-64c-13.25 0-24 10.75-24 23.99s10.75 23.99 24 23.99h64c13.25 0 24-10.79 24-24.03S629.3 200.1 616 200.1zM528 384.1h-416c-8.875 0-16 7.119-16 15.99v63.95C96 472.9 103.1 480 112 480h416c8.875 0 16-7.119 16-15.99v-63.95C544 391.2 536.9 384.1 528 384.1z"],
    "sitemap": [576, 512, [], "f0e8", "M208 80C208 53.49 229.5 32 256 32H320C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H312V232H464C494.9 232 520 257.1 520 288V320H528C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H472V288C472 283.6 468.4 280 464 280H312V320H320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H264V280H112C107.6 280 104 283.6 104 288V320H112C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H56V288C56 257.1 81.07 232 112 232H264V192H256C229.5 192 208 170.5 208 144V80z"],
    "skeleton": [512, 512, [], "f620", "M496 160H288V128h144C440.9 128 448 120.9 448 112v-32C448 71.13 440.9 64 432 64H288V16C288 7.125 280.9 0 272 0h-32C231.1 0 224 7.125 224 16V64H80C71.13 64 64 71.13 64 80v32C64 120.9 71.13 128 80 128H224v32H16C7.125 160 0 167.1 0 176v32C0 216.9 7.125 224 16 224H224v32H80C71.13 256 64 263.1 64 272v32C64 312.9 71.13 320 80 320H224v32H112.1c-37.31 0-60.36 40.7-41.16 72.7l43.06 71.77C119.8 506.1 130.2 512 141.4 512h229.2c11.24 0 21.66-5.898 27.44-15.54l43.06-71.77C460.3 392.7 437.2 352 399.9 352H288v-32h144c8.875 0 16-7.125 16-16v-32C448 263.1 440.9 256 432 256H288V224h208C504.9 224 512 216.9 512 208v-32C512 167.1 504.9 160 496 160zM200 464c-13.25 0-24-10.75-24-24S186.7 416 200 416S224 426.7 224 440S213.3 464 200 464zM312 416c13.25 0 24 10.75 24 24s-10.75 24-24 24S288 453.3 288 440S298.7 416 312 416z"],
    "ski-boot": [512, 512, [], "e3cc", "M191.8 115.6l25.06-83.4L115.2 32.12c-15.25 0-28.39 10.77-31.38 25.72L40.54 274.3C112.1 249.4 168.1 191.8 191.8 115.6zM480 448v-74.33c0-13.08-7.967-24.85-20.12-29.71l-139.7-55.89L272 288.1c-8.836 0-16-7.16-16-15.99c0-8.834 7.164-15.99 16-15.99l56-.0654l8.084-32.33l9.01-31.66L288 192.2c-8.836 0-16-7.162-16-15.99c0-8.834 7.164-15.99 16-15.99l66.2-.0898l36.92-129.7c.6232-2.191 .895-4.31 .895-6.48c0-7.694-6.011-23.99-24.02-23.99c-10.47 0-20.12 7.131-23.12 17.66l-4.116 14.58L250.3 32.24l-27.82 92.58C194.7 217.3 122.7 285.6 33.38 310.1l-32.74 163.6c-.4275 2.136-.6324 4.258-.6324 6.342C.0004 497.3 13.1 512 32.01 512H480c17.67 0 32-14.33 32-31.99C512 462.3 497.7 448 480 448z"],
    "ski-boot-ski": [640, 512, [], "e3cd", "M241.5 90.75L259.1 32L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59L122.1 217.6C178.5 196.9 223.3 151.2 241.5 90.75zM616 384c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56h-512C10.75 464 0 474.8 0 488S10.75 512 24 512h512c57.34 0 104-46.66 104-104C640 394.8 629.3 384 616 384zM88.72 384.1C88.72 401.3 102.7 416 120.7 416L448 416c17.67 0 32-14.33 32-31.1V306.8c0-13.09-7.967-24.85-20.12-29.71L367.3 240H320C311.2 240 304 232.8 304 224c0-8.838 7.164-16 16-16h44.57l13.67-48H336C327.2 160 320 152.8 320 144C320 135.2 327.2 128 336 128h51.35l27.74-97.44c.6232-2.192 .9204-4.399 .9204-6.569c0-7.708-6.03-23.99-23.1-23.99c-10.49 0-20.11 6.893-23.11 17.44L364.8 32H292.5L272.1 99.94C249 176.7 189 232.9 114.8 253.1l-25.46 124.4C88.94 379.8 88.72 381.9 88.72 384.1z"],
    "skull": [512, 512, [128128], "f54c", "M416 400V464C416 490.5 394.5 512 368 512H320V464C320 455.2 312.8 448 304 448C295.2 448 288 455.2 288 464V512H224V464C224 455.2 216.8 448 208 448C199.2 448 192 455.2 192 464V512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9C415.1 399.3 416 399.6 416 400V400zM160 192C124.7 192 96 220.7 96 256C96 291.3 124.7 320 160 320C195.3 320 224 291.3 224 256C224 220.7 195.3 192 160 192zM352 320C387.3 320 416 291.3 416 256C416 220.7 387.3 192 352 192C316.7 192 288 220.7 288 256C288 291.3 316.7 320 352 320z"],
    "skull-cow": [640, 512, [], "f8de", "M52.04 54.48C49.55 61.95 48.67 69.87 49.45 77.7C52.31 106.3 76.33 128 105 128H128V224C57.21 224 0 166.1 0 95.47C0 66.44 9.875 38.05 28.05 15.33L35.51 6.006C40.35-.048 48.84-1.758 55.65 1.947C62.46 5.652 65.63 13.71 63.18 21.06L52.04 54.48zM400 96C444.2 96 480 131.8 480 176V288C480 325 454.8 356.2 420.7 365.3L393.1 475.6C387.7 497 368.5 512 346.5 512H293.5C271.5 512 252.3 497 246.9 475.6L219.3 365.3C185.2 356.2 160 325 160 288V176C160 131.8 195.8 96 240 96H400zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288zM604.5 6.006L611.1 15.33C630.1 38.04 640 66.44 640 95.47C640 166.1 582.8 224 512 224V128H534.1C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.048 604.5 6.006H604.5z"],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", "M368 128C368 172.4 342.6 211.5 304 234.4V256C304 273.7 289.7 288 272 288H175.1C158.3 288 143.1 273.7 143.1 256V234.4C105.4 211.5 79.1 172.4 79.1 128C79.1 57.31 144.5 0 223.1 0C303.5 0 368 57.31 368 128V128zM167.1 176C185.7 176 199.1 161.7 199.1 144C199.1 126.3 185.7 112 167.1 112C150.3 112 135.1 126.3 135.1 144C135.1 161.7 150.3 176 167.1 176zM280 112C262.3 112 248 126.3 248 144C248 161.7 262.3 176 280 176C297.7 176 312 161.7 312 144C312 126.3 297.7 112 280 112zM3.378 273.7C11.28 257.9 30.5 251.5 46.31 259.4L223.1 348.2L401.7 259.4C417.5 251.5 436.7 257.9 444.6 273.7C452.5 289.5 446.1 308.7 430.3 316.6L295.6 384L430.3 451.4C446.1 459.3 452.5 478.5 444.6 494.3C436.7 510.1 417.5 516.5 401.7 508.6L223.1 419.8L46.31 508.6C30.5 516.5 11.28 510.1 3.378 494.3C-4.526 478.5 1.881 459.3 17.69 451.4L152.4 384L17.69 316.6C1.881 308.7-4.526 289.5 3.378 273.7V273.7z"],
    "slash": [640, 512, [], "f715", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"],
    "slash-back": [320, 512, [], "5c", "M288 512c-11.12 0-21.91-5.781-27.81-16.12l-256-448c-8.781-15.34-3.438-34.89 11.91-43.66C31.47-4.594 51 .7656 59.78 16.12l256 448c8.781 15.34 3.438 34.89-11.91 43.66C298.9 510.6 293.4 512 288 512z"],
    "slash-forward": [320, 512, [], "2f", "M31.97 512c-5.375 0-10.84-1.359-15.84-4.219c-15.34-8.766-20.69-28.31-11.91-43.66l256-448c8.75-15.36 28.28-20.72 43.66-11.91c15.34 8.766 20.69 28.31 11.91 43.66l-256 448C53.88 506.2 43.09 512 31.97 512z"],
    "sleigh": [640, 512, [], "f7cc", "M63.1 32C66.31 32 68.56 32.24 70.74 32.71C124.1 37.61 174.2 67.59 203.4 114.3L207.7 121.1C247.7 185.1 317.8 224 393.3 224C423.5 224 448 199.5 448 169.3V128C448 110.3 462.3 96 480 96H544C561.7 96 576 110.3 576 128C576 145.7 561.7 160 544 160V256C544 309 501 352 448 352V384H384V352H192V384H128V352C74.98 352 32 309 32 256V96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H63.1zM640 392C640 440.6 600.6 480 552 480H63.1C46.33 480 31.1 465.7 31.1 448C31.1 430.3 46.33 416 63.1 416H552C565.3 416 576 405.3 576 392V384C576 366.3 590.3 352 608 352C625.7 352 640 366.3 640 384V392z"],
    "slider": [512, 512, [], "e252", "M352 96C387.3 96 416 124.7 416 160V224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H416V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 160H320V352H352V160zM32 224H224V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224z"],
    "sliders": [512, 512, ["sliders-h"], "f1de", "M0 416C0 398.3 14.33 384 32 384H86.66C99 355.7 127.2 336 160 336C192.8 336 220.1 355.7 233.3 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H233.3C220.1 476.3 192.8 496 160 496C127.2 496 99 476.3 86.66 448H32C14.33 448 0 433.7 0 416V416zM192 416C192 398.3 177.7 384 160 384C142.3 384 128 398.3 128 416C128 433.7 142.3 448 160 448C177.7 448 192 433.7 192 416zM352 176C384.8 176 412.1 195.7 425.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H425.3C412.1 316.3 384.8 336 352 336C319.2 336 291 316.3 278.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H278.7C291 195.7 319.2 176 352 176zM384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H265.3C252.1 156.3 224.8 176 192 176C159.2 176 131 156.3 118.7 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H118.7C131 35.75 159.2 16 192 16C224.8 16 252.1 35.75 265.3 64H480zM160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96z"],
    "sliders-simple": [512, 512, [], "e253", "M480 320C497.7 320 512 334.3 512 352C512 369.7 497.7 384 480 384H186.5C173.4 421.3 137.8 448 96 448C42.98 448 .0003 405 .0003 352C.0003 298.1 42.98 256 96 256C137.8 256 173.4 282.7 186.5 320H480zM64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352zM325.5 128C338.6 90.71 374.2 64 416 64C469 64 512 106.1 512 160C512 213 469 256 416 256C374.2 256 338.6 229.3 325.5 192H32C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128H325.5zM416 192C433.7 192 448 177.7 448 160C448 142.3 433.7 128 416 128C398.3 128 384 142.3 384 160C384 177.7 398.3 192 416 192z"],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", "M96 0C113.7 0 128 14.33 128 32V86.66C156.3 99 176 127.2 176 160C176 192.8 156.3 220.1 128 233.3V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V233.3C35.75 220.1 16 192.8 16 160C16 127.2 35.75 99 64 86.66V32C64 14.33 78.33 0 96 0V0zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM336 352C336 384.8 316.3 412.1 288 425.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V425.3C195.7 412.1 176 384.8 176 352C176 319.2 195.7 291 224 278.7V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V278.7C316.3 291 336 319.2 336 352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM448 480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V265.3C355.7 252.1 336 224.8 336 192C336 159.2 355.7 131 384 118.7V32C384 14.33 398.3 0 416 0C433.7 0 448 14.33 448 32V118.7C476.3 131 496 159.2 496 192C496 224.8 476.3 252.1 448 265.3V480zM416 160C398.3 160 384 174.3 384 192C384 209.7 398.3 224 416 224C433.7 224 448 209.7 448 192C448 174.3 433.7 160 416 160z"],
    "slot-machine": [640, 512, [], "e3ce", "M384 0H128C92.65 0 64 28.65 64 64h384C448 28.65 419.3 0 384 0zM592 128C565.5 128 544 149.5 544 176c0 14.16 6.246 26.76 16 35.54V416c0 17.66-14.34 32-32 32H448v-32c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64H64C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64v32c0 35.35 28.65 64 64 64h400c52.94 0 96-43.06 96-96V211.5C633.8 202.8 640 190.2 640 176C640 149.5 618.5 128 592 128zM166.6 208.1l-40 112C123.1 329.9 113.8 336 104 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L109.9 224H80C66.75 224 56 213.3 56 200S66.75 176 80 176h64c7.812 0 15.12 3.781 19.62 10.19C168.1 192.6 169.2 200.7 166.6 208.1zM310.6 208.1l-40 112C267.1 329.9 257.8 336 248 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L253.9 224H224C210.8 224 200 213.3 200 200S210.8 176 224 176h64c7.812 0 15.12 3.781 19.62 10.19C312.1 192.6 313.2 200.7 310.6 208.1zM392 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L397.9 224H368c-13.25 0-24-10.75-24-24S354.8 176 368 176h64c7.812 0 15.12 3.781 19.62 10.19c4.5 6.375 5.594 14.53 2.969 21.88l-40 112C411.1 329.9 401.8 336 392 336z"],
    "smog": [640, 512, [], "f75f", "M144 288h156.1C322.6 307.8 351.8 320 384 320s61.25-12.25 83.88-32H528C589.9 288 640 237.9 640 176s-50.13-112-112-112c-18 0-34.75 4.625-49.75 12.12C453.1 30.1 406.8 0 352 0c-41 0-77.75 17.25-104 44.75C221.8 17.25 185 0 144 0c-79.5 0-144 64.5-144 144S64.5 288 144 288zM136 464H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512H136C149.2 512 160 501.2 160 488S149.2 464 136 464zM616 368h-528C74.8 368 64 378.8 64 391.1S74.8 416 87.1 416h528c13.2 0 24-10.8 24-23.1S629.2 368 616 368zM552 464H231.1C218.8 464 208 474.8 208 487.1S218.8 512 231.1 512H552c13.2 0 24-10.8 24-23.1S565.2 464 552 464z"],
    "smoke": [640, 512, [], "f760", "M144 192c9.875 0 19.5 .875 29.12 2.5C197.3 136.8 253.8 96 320 96c26.25 0 52 6.75 75.13 19.25c9.25-10.25 20.12-18.5 31.62-25.88C403.8 54.88 364.6 32 320 32C288.4 32 259.9 43.88 237.6 62.75C215.3 25.25 174.8 0 128 0C57.25 0 0 57.25 0 128c0 38.25 17.12 72.13 43.75 95.63C72.25 203.8 106.8 192 144 192zM402.4 158.8C380.1 139.9 351.6 128 320 128C268.3 128 224.1 158.8 203.9 202.8C219.5 208.5 234.5 216.3 248 226.3C277.1 204 313.1 192 352 192c54.88 0 105.1 25.88 139 69.13C503.1 257.8 515.5 256 528 256c35.5 0 67.63 13.38 92.75 34.75C632.8 271.3 640 248.6 640 224c0-70.75-57.25-128-128-128C465.3 96 424.8 121.3 402.4 158.8zM528 288c-18 0-34.75 4.625-49.75 12.12C453.1 254.1 406.8 224 352 224C311 224 274.3 241.3 248 268.8C221.8 241.3 185 224 144 224C64.5 224 0 288.5 0 368S64.5 512 144 512h384c61.88 0 112-50.13 112-112S589.9 288 528 288z"],
    "smoking": [640, 512, [128684], "f48d", "M432 352h-384C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h384c8.75 0 16-7.25 16-16v-128C448 359.3 440.8 352 432 352zM400 464H224v-64h176V464zM536 352h-48C483.6 352 480 355.6 480 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C544 355.6 540.4 352 536 352zM632 352h-48C579.6 352 576 355.6 576 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C640 355.6 636.4 352 632 352zM553.3 87.13C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22 10.25 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.3 607.6 123.5 553.3 87.13zM487.8 141.6C463.8 125 448 99.25 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.6 156 444.3 181.1C466.8 196.8 480 222.3 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8C544 206.4 523 166.3 487.8 141.6z"],
    "snake": [512, 512, [128013], "f716", "M512 111.1C512 131.6 500.9 149.5 483.4 158.3L403.6 198.2C372.8 213.6 335.6 207.6 311.2 183.2L288 159.1H176C149.5 159.1 128 181.5 128 207.1C128 234.5 149.5 255.1 176 255.1H320C390.7 255.1 448 313.3 448 384C448 454.7 390.7 512 320 512H176L175.9 512H111.6C101.3 512 91.01 510.3 81.22 507.1L15.18 485.1C6.114 482 0 473.6 0 464C0 454.4 6.114 445.1 15.18 442.9L81.22 420.9C91.01 417.7 101.3 416 111.6 416H256L256.1 416H320C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352H176C96.47 352 32 287.5 32 207.1C32 128.5 96.47 63.1 176 63.1H288L311.2 40.77C335.6 16.42 372.8 10.39 403.6 25.79L483.4 65.69C500.9 74.46 512 92.39 512 111.1V111.1zM368 63.1C359.2 63.1 352 71.16 352 79.1C352 88.84 359.2 95.1 368 95.1C376.8 95.1 384 88.84 384 79.1C384 71.16 376.8 63.1 368 63.1zM368 159.1C376.8 159.1 384 152.8 384 143.1C384 135.2 376.8 127.1 368 127.1C359.2 127.1 352 135.2 352 143.1C352 152.8 359.2 159.1 368 159.1z"],
    "snooze": [448, 512, [128164, "zzz"], "f880", "M192 192h96c8.875 0 15.1-7.125 15.1-16v-32c0-8.875-7.125-16-16-16h-34.75l57.38-57.38C316.6 64.63 320 56.5 320 48V32c0-17.62-14.38-32-32-32H184C175.1 0 168 7.125 168 16v32c0 8.875 7.125 16 16 16h42.75L169.4 121.4C163.4 127.4 160 135.5 160 144V160C160 177.6 174.4 192 192 192zM192 223.1L39.1 224C26.75 224 15.1 234.8 15.1 248L16 296C16 309.3 26.75 320 40 320h50.5l-82.38 92.63C2.875 418.5 0 426.1 0 433.9V480c0 17.62 14.38 32 32 32h151.1c13.25 0 24-10.75 24-24L208 440C208 426.8 197.3 416 184 416H133.5l82.38-92.63C221.1 317.5 224 309.9 224 302.1V255.1C224 238.4 209.6 223.1 192 223.1zM448 272V256c0-17.62-14.38-32-32-32h-96c-8.875 0-16 7.125-16 16v32C303.1 280.9 311.1 288 320 288h34.75l-57.38 57.38C291.4 351.4 288 359.5 288 368V384c0 17.62 14.38 32 32 32h104c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-42.75l57.38-57.38C444.6 288.6 448 280.5 448 272z"],
    "snow-blowing": [640, 512, [], "f761", "M344 159c-6.609-11.47-21.34-15.41-32.78-8.781L294.1 160.1l.6816-2.545c2.859-10.69-3.469-21.66-14.14-24.5C270 130.2 259.1 136.5 256.2 147.2L245.2 188.4L200 214.4V156.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L200 99.71V88C200 74.75 189.3 64 176 64S152 74.75 152 88v11.71L150.1 97.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L152 156.3v58.15L101.6 185.4L90.61 144.2C87.75 133.5 76.83 127.2 66.13 130c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L42.5 151.2C31.06 144.6 16.33 148.5 9.72 160C3.095 171.5 7.016 186.2 18.5 192.8l10.18 5.875L26.11 199.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875l41.15-11.04L128 255.1L79.37 284.1L38.22 273C27.66 270.2 16.58 276.5 13.72 287.2c-2.859 10.69 3.469 21.66 14.12 24.5l2.566 .6875L20.23 318.2c-11.48 6.625-15.41 21.31-8.781 32.78c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559c-2.859 10.69 3.469 21.66 14.14 24.5c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21L152 297.6v50.15l-30.14 30.13c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0L152 404.3V424C152 437.3 162.8 448 176 448s24-10.75 24-24v-19.71l1.859 1.861C205.8 410.1 210.9 412 216 412s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L200 347.7V297.6l43.43 25.07l11.04 41.21c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.453-.2187 5.188-.6875c10.67-2.844 17-13.81 14.14-24.5l-.6836-2.555l17.09 9.867C313.3 362.1 317.4 364 321.5 364c8.281 0 16.36-4.312 20.8-12c6.625-11.47 2.704-26.16-8.78-32.78L316.4 309.3l2.572-.6895c10.66-2.844 16.98-13.81 14.12-24.5c-2.859-10.66-13.78-17-24.5-14.12L267.4 281.1L223.1 255.1l45.17-26.08l41.17 11.05c1.734 .4687 3.484 .6875 5.203 .6875c8.828 0 16.91-5.875 19.3-14.81c2.859-10.69-3.469-21.66-14.12-24.5L318.1 201.7l17.1-9.871C346.7 185.2 350.6 170.5 344 159zM416 240h136C600.5 240 640 200.5 640 152S600.5 64 552 64H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8C565.2 128 576 138.8 576 152S565.2 176 552 176H416c-17.67 0-32 14.31-32 32S398.3 240 416 240zM552 272H416c-17.67 0-32 14.31-32 32s14.33 32 32 32h136c13.23 0 24 10.78 24 24S565.2 384 552 384H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8c48.53 0 88-39.47 88-88S600.5 272 552 272z"],
    "snowflake": [512, 512, [10054, 10052], "f2dc", "M475.6 384.1C469.7 394.3 458.9 400 447.9 400c-5.488 0-11.04-1.406-16.13-4.375l-25.09-14.64l5.379 20.29c3.393 12.81-4.256 25.97-17.08 29.34c-2.064 .5625-4.129 .8125-6.164 .8125c-10.63 0-20.36-7.094-23.21-17.84l-17.74-66.92L288 311.7l.0002 70.5l48.38 48.88c9.338 9.438 9.244 24.62-.1875 33.94C331.5 469.7 325.4 472 319.3 472c-6.193 0-12.39-2.375-17.08-7.125l-14.22-14.37L288 480c0 17.69-14.34 32-32.03 32s-32.03-14.31-32.03-32l-.0002-29.5l-14.22 14.37c-9.322 9.438-24.53 9.5-33.97 .1875c-9.432-9.312-9.525-24.5-.1875-33.94l48.38-48.88L223.1 311.7l-59.87 34.93l-17.74 66.92c-2.848 10.75-12.58 17.84-23.21 17.84c-2.035 0-4.1-.25-6.164-.8125c-12.82-3.375-20.47-16.53-17.08-29.34l5.379-20.29l-25.09 14.64C75.11 398.6 69.56 400 64.07 400c-11.01 0-21.74-5.688-27.69-15.88c-8.932-15.25-3.785-34.84 11.5-43.75l25.96-15.15l-20.33-5.508C40.7 316.3 33.15 303.1 36.62 290.3S53.23 270 66.09 273.4L132 291.3L192.5 256L132 220.7L66.09 238.6c-2.111 .5625-4.225 .8438-6.305 .8438c-10.57 0-20.27-7.031-23.16-17.72C33.15 208.9 40.7 195.8 53.51 192.3l20.33-5.508L47.88 171.6c-15.28-8.906-20.43-28.5-11.5-43.75c8.885-15.28 28.5-20.44 43.81-11.5l25.09 14.64L99.9 110.7C96.51 97.91 104.2 84.75 116.1 81.38C129.9 77.91 142.1 85.63 146.4 98.41l17.74 66.92L223.1 200.3l-.0002-70.5L175.6 80.88C166.3 71.44 166.3 56.25 175.8 46.94C185.2 37.59 200.4 37.72 209.8 47.13l14.22 14.37L223.1 32c0-17.69 14.34-32 32.03-32s32.03 14.31 32.03 32l.0002 29.5l14.22-14.37c9.307-9.406 24.51-9.531 33.97-.1875c9.432 9.312 9.525 24.5 .1875 33.94l-48.38 48.88L288 200.3l59.87-34.93l17.74-66.92c3.395-12.78 16.56-20.5 29.38-17.03c12.82 3.375 20.47 16.53 17.08 29.34l-5.379 20.29l25.09-14.64c15.28-8.906 34.91-3.75 43.81 11.5c8.932 15.25 3.785 34.84-11.5 43.75l-25.96 15.15l20.33 5.508c12.81 3.469 20.37 16.66 16.89 29.44c-2.895 10.69-12.59 17.72-23.16 17.72c-2.08 0-4.193-.2813-6.305-.8438L379.1 220.7L319.5 256l60.46 35.28l65.95-17.87C458.8 270 471.9 277.5 475.4 290.3c3.473 12.78-4.082 25.97-16.89 29.44l-20.33 5.508l25.96 15.15C479.4 349.3 484.5 368.9 475.6 384.1z"],
    "snowflakes": [640, 512, [], "f7cf", "M443.7 127.9c-8.797-15.34-28.07-20.5-43.26-11.66l-25.75 14.88l5.416-20.41c3.391-12.81-4.258-25.94-16.96-29.38c-12.62-3.438-25.6 4.188-29.02 16.97L316.3 165.3L255.7 200.6V129.9l48.61-49.02C313.6 71.55 313.5 56.36 304.2 46.98C294.9 37.61 279.9 37.66 270.6 47.03L255.7 62.06L255.9 32c0-17.69-14.36-32-31.88-32S192.3 14.31 192.3 32v30.06L177.4 47.03C168.1 37.66 153 37.61 143.7 46.98c-9.293 9.375-9.387 24.56-.0938 33.94l48.62 49.02v70.64L131.6 165.3L113.9 98.34c-3.391-12.78-16.37-20.44-29.02-16.97C72.15 84.81 64.5 97.94 67.89 110.8l5.416 20.41L47.56 116.3C32.32 107.4 13.06 112.7 4.292 127.9c-8.75 15.31-3.62 34.89 11.56 43.73l25.88 15.09L21.39 192.3c-12.68 3.438-20.25 16.61-16.86 29.42C7.382 232.4 17.1 239.4 27.6 239.4c2.045 0 3.962-.25 6.021-.8125l66.34-17.92L160.5 256L99.96 291.3L33.62 273.4C21.01 269.1 7.941 277.5 4.533 290.3c-3.391 12.81 4.172 25.98 16.86 29.42l20.34 5.505l-25.88 15.09c-15.18 8.844-20.31 28.42-11.56 43.73C10.18 394.3 20.92 400 31.89 400c5.373 0 10.68-1.375 15.67-4.281l25.75-14.88l-5.416 20.41c-3.391 12.81 4.258 25.94 16.96 29.38c2.061 .5625 4.121 .8125 6.164 .8125c10.5 0 20.01-7.062 22.86-17.78l17.76-66.91l60.63-35.32v70.64l-48.62 49.02c-9.293 9.375-9.199 24.56 .0938 33.94c9.291 9.375 24.33 9.328 33.63-.0469l14.9-15.03V480c0 17.69 14.19 32 31.71 32s31.88-14.31 31.88-32l-.1539-30.06l14.9 15.03C275.2 469.7 281.3 472 287.4 472s12.21-2.297 16.86-6.984c9.293-9.375 9.387-24.56 .0938-33.94l-48.61-49.02V311.4l60.62 35.31l17.76 66.91c2.85 10.72 12.36 17.78 22.86 17.78c2.043 0 4.104-.25 6.164-.8125c12.7-3.438 20.35-16.56 16.96-29.38l-5.416-20.41l25.75 14.88C405.4 398.6 410.7 400 416.1 400c10.96 0 21.71-5.688 27.6-15.94c8.75-15.31 3.62-34.89-11.56-43.73l-25.88-15.09l20.34-5.505c12.68-3.438 20.25-16.61 16.86-29.42c-3.408-12.81-16.45-20.38-29.09-16.94l-66.34 17.92L287.4 256l60.54-35.29l66.34 17.92c2.059 .5625 3.976 .8125 6.021 .8125c10.5 0 20.22-7.031 23.07-17.75c3.391-12.81-4.172-25.98-16.86-29.42l-20.34-5.505L432.1 171.7C447.3 162.8 452.4 143.3 443.7 127.9zM609.9 256l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-23.03 23.03l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L542 256l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C523.7 317.7 529.8 320 535.1 320s12.28-2.344 16.97-7.031l23.03-23.03l23.03 23.03C603.7 317.7 609.8 320 615.1 320s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L609.9 256zM543.1 97.94l23.03 23.03C571.7 125.7 577.8 128 583.1 128s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L577.9 64l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-23.03 23.03l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L510 64l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C491.7 125.7 497.8 128 503.1 128s12.28-2.344 16.97-7.031L543.1 97.94z"],
    "snowman": [512, 512, [9924, 9731], "f7d0", "M510.9 152.3l-5.875-14.5c-3.25-8-12.62-11.88-20.75-8.625l-28.25 11.5v-29C455.1 103 448.7 96 439.1 96h-16c-8.75 0-16 7-16 15.62V158.5c0 .5 .25 1 .25 1.5l-48.98 20.6c-5.291-12.57-12.98-23.81-22.24-33.55c9.35-14.81 14.98-32.23 14.98-51.04C351.1 42.98 309 0 255.1 0S160 42.98 160 95.1c0 18.81 5.626 36.23 14.98 51.04C165.7 156.8 158.1 168.1 152.8 180.7L103.8 160c0-.5 .25-1 .25-1.5V111.6C104 103 96.76 96 88.01 96h-16c-8.75 0-16 7-16 15.62v29l-28.25-11.5c-8.125-3.25-17.5 .625-20.75 8.625l-5.875 14.5C-2.119 160.4 1.881 169.5 10.01 172.6L144.4 228.4C144.9 240.8 147.3 252.7 151.5 263.7c-33.78 29.34-55.53 72.04-55.53 120.3c0 52.59 25.71 98.84 64.88 128h190.2c39.17-29.17 64.88-75.42 64.88-128c0-48.25-21.76-90.95-55.53-120.3c4.195-11.03 6.599-22.89 7.091-35.27l134.4-55.8C510.1 169.5 514.1 160.4 510.9 152.3zM224 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S232.8 95.1 224 95.1zM256 367.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 335.1 256 335.1s15.1 7.25 15.1 15.1S264.8 367.1 256 367.1zM256 303.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 271.1 256 271.1s15.1 7.25 15.1 15.1S264.8 303.1 256 303.1zM256 239.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 207.1 256 207.1s15.1 7.25 15.1 15.1S264.8 239.1 256 239.1zM256 152c0 0-15.1-23.25-15.1-32S247.3 104 256 104s15.1 7.25 15.1 16S256 152 256 152zM287.1 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S296.7 95.1 287.1 95.1z"],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", "M384 32c0-17.6-14.4-32-32-32H96c-17.6 0-32 14.4-32 32v128h320V32zM448 208c0-8.836-7.164-16-16-16h-416c-8.836 0-16 7.164-16 16c0 26.51 21.49 48 48 48h10.38C41.87 284.3 32 316.9 32 352c0 57.28 25.11 108.7 64.89 143.8C108.7 506.3 123.1 512 139.8 512h168.5c15.54 0 30.68-5.508 42.35-15.76c49.72-43.66 76.71-112.6 60.8-186.7C407.3 290.4 399.8 272.5 390.1 256h9.934C426.5 256 448 234.5 448 208zM152 336c-13.38 0-24.07-10.84-24.07-24.07C127.1 298.7 138.8 288 152 288s23.93 10.84 23.93 23.93C175.1 325.2 165.1 336 152 336zM224 448c0 0-32-46.25-32-64s14.25-32 31.1-32s32 14.25 32 32S224 448 224 448zM295.9 336c-13.23 0-23.93-10.84-23.93-24.07C272 298.7 282.8 288 295.9 288c13.37 0 24.07 10.84 24.07 23.93C320.1 325.2 309.3 336 295.9 336z"],
    "snowplow": [640, 512, [], "f7d2", "M144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400zM336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400zM304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400zM176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400zM447.4 249.6C447.8 251.9 448.1 254.3 448 256.7V288H512V235.2C512 220.7 516.9 206.6 526 195.2L583 124C594.1 110.2 614.2 107.1 627.1 119C641.8 130.1 644 150.2 632.1 163.1L576 235.2V402.7L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L530.7 448C518.7 435.1 512 419.7 512 402.7V352H469.2C476.1 366.5 480 382.8 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 355.3 26.16 316.8 64 298.8V192C64 174.3 78.33 160 96 160H128V48C128 21.49 149.5 0 176 0H298.9C324.5 0 347.6 15.26 357.7 38.79L445.1 242.7C446.1 244.9 446.9 247.2 447.4 249.6H447.4zM298.9 64H192V160L256 224H367.5L298.9 64zM368 352H112C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448H368C394.5 448 416 426.5 416 400C416 373.5 394.5 352 368 352z"],
    "soap": [512, 512, [129532], "e06e", "M320 256c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C256 227.3 284.7 256 320 256zM160 288c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64H160zM384 64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 49.67 366.3 64 384 64zM208 96C234.5 96 256 74.51 256 48S234.5 0 208 0S160 21.49 160 48S181.5 96 208 96zM416 192c0 27.82-12.02 52.68-30.94 70.21C421.7 275.7 448 310.7 448 352c0 53.02-42.98 96-96 96H160c-53.02 0-96-42.98-96-96s42.98-96 96-96h88.91C233.6 238.1 224 216.7 224 192H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 234.1 469 192 416 192z"],
    "socks": [576, 512, [129510], "f696", "M319.1 32c0-11 3.125-21.25 8-30.38C325.4 .8721 322.9 0 319.1 0H192C174.4 0 159.1 14.38 159.1 32l.0042 32h160L319.1 32zM246.6 310.1l73.36-55l.0026-159.1h-160l-.0042 175.1l-86.64 64.61c-39.38 29.5-53.86 84.4-29.24 127c18.25 31.62 51.1 48.36 83.97 48.36c20 0 40.26-6.225 57.51-19.22l21.87-16.38C177.6 421 193.9 350.6 246.6 310.1zM351.1 271.1l-86.13 64.61c-39.37 29.5-53.86 84.4-29.23 127C254.9 495.3 287.2 512 320.1 512c20 0 40.25-6.25 57.5-19.25l115.2-86.38C525 382.3 544 344.2 544 303.1v-207.1h-192L351.1 271.1zM512 0h-128c-17.62 0-32 14.38-32 32l-.0003 32H544V32C544 14.38 529.6 0 512 0z"],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", "M320 128C320 139.8 316.8 150.9 311.2 160.4C343.2 163.1 368 191.1 368 224C368 259.3 339.3 288 304 288H80C44.65 288 16 259.3 16 224C16 191.1 40.84 163.1 72.8 160.4C67.21 150.9 64 139.8 64 128C64 92.65 92.65 64 128 64H174.1C192.8 64 208 48.8 208 30.06C208 21.06 204.4 12.42 198.1 6.059L192 0C262.7 0 320 57.31 320 128zM48 352V320H336V352C336 369.7 321.7 384 304 384H302.2L291.2 483.5C289.4 499.7 275.7 512 259.4 512H124.6C108.3 512 94.64 499.7 92.84 483.5L81.78 384H80C62.33 384 48 369.7 48 352H48z"],
    "solar-panel": [640, 512, [], "f5ba", "M575.4 25.72C572.4 10.78 559.2 0 543.1 0H96c-15.25 0-28.39 10.78-31.38 25.72l-63.1 320c-1.891 9.406 .5469 19.16 6.625 26.56S22.41 384 32 384h255.1v64.25H239.8c-26.26 0-47.75 21.49-47.75 47.75c0 8.844 7.168 16.01 16.01 16l223.1-.1667c8.828-.0098 15.99-7.17 15.99-16C447.1 469.5 426.6 448 400.2 448h-48.28v-64h256c9.594 0 18.67-4.312 24.75-11.72s8.516-17.16 6.625-26.56L575.4 25.72zM517.8 64l19.2 96h-97.98L429.2 64H517.8zM380.1 64l9.617 96H250l9.873-96H380.1zM210.8 64L201 160H103.1l19.18-96H210.8zM71.16 320l22.28-112h102.7L184.6 320H71.16zM233.8 320l11.37-112h149.7L406.2 320H233.8zM455.4 320l-11.5-112h102.7l22.28 112H455.4z"],
    "solar-system": [512, 512, [], "e02f", "M391.8 120.3c-16.62-16.62-42.01-17.62-60.76-4.743c-23.5-12.5-49.1-19.51-74.97-19.51c-72.37 0-135.8 48.63-154.5 118.6c-18.75 69.87 11.75 143.7 74.5 179.1c62.75 36.12 142 25.75 193.1-25.49c50.1-50.1 59.62-127.6 27.37-188.1C409.4 162.3 408.4 136.9 391.8 120.3zM335.2 335.2c-40.87 41.62-106.9 45.01-151.9 7.891C138.4 305.1 129.3 240.5 162.5 192.5c33.12-47.1 97.49-62.6 148.2-33.73c1 10.75 5.011 21.23 13.14 29.35c8.125 8.124 18.63 12.13 29.26 13.13C377.1 244 371.5 298.9 335.2 335.2zM255.1 192c-35.37 0-63.1 28.63-63.1 63.1S220.6 319.1 256 319.1S320 291.4 320 256S291.4 192 255.1 192zM336.9 447.6c-77.1 32.87-168.1 15.22-228-44.53c-69.5-69.62-79.25-176.5-29.5-256.7C104.9 152.4 131.1 139.9 142.6 116.4c11.38-23.62 4.1-51.87-15.37-68.24C106.9 31.77 77.88 31.64 57.38 47.89C36.88 64.14 30.25 92.53 41.62 116c-64.1 99.37-53.91 233.7 33.34 320.1c76.12 76.37 191.9 96.62 289.4 50.62c-2.125-1.75-4.529-3.25-6.529-5.375C348.2 472.5 341.1 460.8 336.9 447.6zM437.1 75c-76.12-76.37-191.1-96.61-289.5-50.62c2.125 1.75 4.527 3.249 6.527 5.374c9.625 9.749 16.73 21.49 20.98 34.61c77.1-32.87 168.1-15.22 228 44.53c69.5 69.62 79.25 176.5 29.5 256.7c-25.5-5.1-51.74 6.502-63.24 30c-11.38 23.62-5 51.87 15.37 68.24c20.37 16.37 49.37 16.5 69.87 .25s27.13-44.63 15.75-68.13C535.4 296.6 524.3 162.2 437.1 75z"],
    "sort": [320, 512, ["unsorted"], "f0dc", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z"],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", "M311.9 335.1l-132.4 136.8C174.1 477.3 167.1 480 160 480c-7.055 0-14.12-2.702-19.47-8.109l-132.4-136.8C-9.229 317.8 3.055 288 27.66 288h264.7C316.9 288 329.2 317.8 311.9 335.1z"],
    "sort-up": [320, 512, ["sort-asc"], "f0de", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"],
    "spa": [576, 512, [], "f5bb", "M568.3 192c-29 .125-135 6.124-213.9 82.1C321.2 304.7 301 338.3 288 369.9c-13-31.63-33.25-65.25-66.38-94.87C142.8 198.2 36.75 192.2 7.75 192C3.375 192 0 195.4 0 199.9c.25 27.88 7.125 126.2 88.75 199.3C172.8 481 256 479.1 288 479.1s115.2 1.025 199.3-80.85C568.9 326 575.8 227.7 576 199.9C576 195.4 572.6 192 568.3 192zM288 302.6c12.75-18.87 27.62-35.75 44.13-50.5c19-18.62 39.5-33.37 60.25-45.25c-16.5-70.5-51.75-133-96.75-172.3c-4.125-3.5-11-3.5-15.12 0c-45 39.25-80.25 101.6-96.75 172.1c20.37 11.75 40.5 26.12 59.25 44.37C260 266.4 275.1 283.7 288 302.6z"],
    "space-station-moon": [512, 512, [], "e033", "M224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160zM512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V256zM192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80zM256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352C347.3 352 432.6 338.4 505.2 314.8C478.6 427.9 377.1 512 256 512V512z"],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", "M160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160zM256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C316.5 0 372.2 21.02 416 56.15V96H352V160H448V224H510C511.3 234.5 512 245.2 512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320zM192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240zM256 352C300.3 352 343.3 348.8 384 342.8V384H448V425.3C401.1 478.5 332.5 512 256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352z"],
    "spade": [512, 512, [9824], "f2f4", "M472 196.3C523.4 244.9 525.5 325.1 476.9 377.3C428.3 428.6 347.3 430.8 295.1 382.2L288 374.6V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V374.6L216 382.2C164.7 430.8 83.69 428.6 35.07 377.3C-13.54 325.1-11.35 244.9 39.97 196.3L233.1 12.53C246.3 .8427 265.7 .843 278 12.53L472 196.3z"],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", "M624.5 347.7c-32.63-12.5-57.38 4.241-75.38 16.49c-17 11.5-23.25 14.37-31.38 11.37c-8.125-3.125-10.88-9.358-15.88-29.36c-3.375-13.12-7.5-29.47-18-42.72c2.25-3 4.5-5.875 6.375-8.625C500.5 304.5 513.8 312 532 312c33.1 0 50.87-25.75 61.1-42.88C604.6 253 609 248 616 248C629.3 248 640 237.3 640 224s-10.75-24-24-24c-34 0-50.88 25.75-62 42.88C543.4 259 539 264 532 264c-17.25 0-37.5-61.38-97.25-101.9L452 127.6C485.4 125.5 512 97.97 512 63.97C512 28.6 483.4 0 448 0s-64 28.6-64 63.97c0 13 4 25.15 10.62 35.28L376.5 135.5C359.5 130.9 340.9 128 320 128S280.5 130.9 263.5 135.5L245.4 99.25C252 89.13 256 76.97 256 63.97C256 28.6 227.4 0 192 0S128 28.6 128 63.97C128 97.97 154.5 125.5 188 127.6l17.25 34.5C145.6 202.5 125.1 264 108 264c-7 0-11.31-5-21.94-21.12C74.94 225.8 57.1 200 24 200C10.75 200 0 210.8 0 224s10.75 24 24 24c7 0 11.37 5 21.1 21.12C57.12 286.3 73.1 312 108 312c18.25 0 31.5-7.5 41.75-17.12C151.6 297.6 153.9 300.5 156.1 303.5c-10.5 13.25-14.62 29.59-18 42.72c-5 20-7.75 26.23-15.88 29.36c-8.125 3-14.37 .1314-31.37-11.37c-18.12-12.25-42.75-28.87-75.38-16.49c-12.38 4.75-18.62 18.61-13.88 30.98c4.625 12.38 18.62 18.62 30.88 13.87C40.75 389.6 46.88 392.4 64 403.9c13.5 9.125 30.75 20.86 52.38 20.86c7.125 0 14.88-1.248 23-4.373c32.63-12.5 40-41.34 45.25-62.46c2.25-8.75 4-14.49 6-18.86c16.62 13.62 37 25.86 61.63 34.23C242.3 410.3 220.1 464 192 464c-13.25 0-24 10.74-24 23.99S178.8 512 192 512c66.75 0 97-88.55 107.4-129.1C306.1 383.6 312.9 384 320 384s13.88-.4706 20.62-1.096C351 423.4 381.3 512 448 512c13.25 0 24-10.74 24-23.99S461.3 464 448 464c-28 0-50.25-53.74-60.25-90.74c24.75-8.375 45-20.56 61.63-34.19c2 4.375 3.75 10.11 6 18.86c5.375 21.12 12.62 49.96 45.25 62.46c8.25 3.125 15.88 4.373 23 4.373c21.62 0 38.83-11.74 52.46-20.86c17-11.5 23.29-14.37 31.42-11.37c12.38 4.75 26.25-1.492 30.88-13.87C643.1 366.3 637 352.5 624.5 347.7zM192 79.97c-8.875 0-16-7.125-16-16S183.1 47.98 192 47.98s16 7.118 16 15.99S200.9 79.97 192 79.97zM448 47.98c8.875 0 16 7.118 16 15.99s-7.125 16-16 16s-16-7.125-16-16S439.1 47.98 448 47.98z"],
    "sparkles": [512, 512, [10024], "f890", "M327.5 85.19L384 64L405.2 7.491C406.9 2.985 411.2 0 416 0C420.8 0 425.1 2.985 426.8 7.491L448 64L504.5 85.19C509 86.88 512 91.19 512 96C512 100.8 509 105.1 504.5 106.8L448 128L426.8 184.5C425.1 189 420.8 192 416 192C411.2 192 406.9 189 405.2 184.5L384 128L327.5 106.8C322.1 105.1 320 100.8 320 96C320 91.19 322.1 86.88 327.5 85.19V85.19zM257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3zM405.2 327.5C406.9 322.1 411.2 320 416 320C420.8 320 425.1 322.1 426.8 327.5L448 384L504.5 405.2C509 406.9 512 411.2 512 416C512 420.8 509 425.1 504.5 426.8L448 448L426.8 504.5C425.1 509 420.8 512 416 512C411.2 512 406.9 509 405.2 504.5L384 448L327.5 426.8C322.1 425.1 320 420.8 320 416C320 411.2 322.1 406.9 327.5 405.2L384 384L405.2 327.5z"],
    "speaker": [384, 512, [], "f8df", "M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 64c26.5 0 48 21.5 48 48S218.5 160 192 160S144 138.5 144 112S165.5 64 192 64zM192 448c-61.81 0-112-50.17-112-112S130.2 224 192 224s112 50.17 112 112S253.8 448 192 448zM192 272c-35.31 0-64 28.67-64 64s28.69 64 64 64s64-28.67 64-64S227.3 272 192 272z"],
    "speakers": [640, 512, [], "f8e0", "M112 336c0 35.33 28.69 64 64 64s64-28.67 64-64s-28.69-64-64-64S112 300.7 112 336zM256 48C256.1 33.22 263.4 11.72 272.4 0H48C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h224.4C263.4 500.3 256.1 478.8 256 464v-49.79C237.8 432.9 201.1 448 175.9 448c-61.84 0-112-50.17-112-112s50.16-112 112-112C201.1 224 237.8 239.1 256 257.8V48zM176 160C149.5 160 128 138.5 128 112S149.5 64 176 64S224 85.5 224 112S202.5 160 176 160zM592 0h-256C309.5 0 288 21.5 288 48v416c0 26.5 21.5 48 48 48h256c26.5 0 48-21.5 48-48v-416C640 21.5 618.5 0 592 0zM464 64C490.5 64 512 85.5 512 112S490.5 160 464 160S416 138.5 416 112S437.5 64 464 64zM464 448c-61.81 0-112-50.17-112-112S402.2 224 464 224S576 274.2 576 336S525.8 448 464 448zM464 272c-35.31 0-64 28.67-64 64s28.69 64 64 64s64-28.67 64-64S499.3 272 464 272z"],
    "spell-check": [576, 512, [], "f891", "M566.6 265.4c-12.5-12.5-32.75-12.5-45.25 0L352 434.8l-73.38-73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96c6.25 6.25 14.44 9.368 22.62 9.368s16.38-3.118 22.63-9.368l192-192C579.1 298.1 579.1 277.9 566.6 265.4zM221.5 211.7l-80-192C136.6 7.796 124.9 .0147 112 .0147S87.44 7.796 82.47 19.7l-80 192C-4.328 228 3.375 246.8 19.69 253.5c16.36 6.812 35.06-.9375 41.84-17.22l5.131-12.31h90.68l5.131 12.31c5.109 12.28 17.02 19.69 29.55 19.69c4.094 0 8.266-.7812 12.3-2.469C220.6 246.8 228.3 228 221.5 211.7zM93.33 160L112 115.2l18.67 44.81H93.33zM288 256h80c44.11 0 80-35.87 80-79.1c0-23.15-10.03-43.85-25.79-58.47C428.3 106.3 432 93.65 432 80.01c0-44.13-35.89-80-79.1-80L288 .0147c-17.67 0-32 14.31-32 31.1v192C256 241.7 270.3 256 288 256zM320 64.01h32c8.828 0 16 7.188 16 16s-7.172 16-16 16h-32V64.01zM320 160h48c8.828 0 16 7.188 16 16s-7.172 16-16 16H320V160z"],
    "spider": [576, 512, [128375], "f717", "M563.3 401.6c2.608 8.443-2.149 17.4-10.62 19.1l-15.35 4.709c-8.48 2.6-17.47-2.139-20.08-10.59L493.2 338l-79.79-31.8l53.47 62.15c5.08 5.904 6.972 13.89 5.08 21.44l-28.23 110.1c-2.151 8.57-10.87 13.78-19.47 11.64l-15.58-3.873c-8.609-2.141-13.84-10.83-11.69-19.4l25.2-98.02l-38.51-44.77c.1529 2.205 .6627 4.307 .6627 6.549c0 53.02-43.15 96-96.37 96S191.6 405 191.6 352c0-2.242 .5117-4.34 .6627-6.543l-38.51 44.76l25.2 98.02c2.151 8.574-3.084 17.26-11.69 19.4l-15.58 3.873c-8.603 2.141-17.32-3.072-19.47-11.64l-28.23-110.1c-1.894-7.543 0-15.53 5.08-21.44l53.47-62.15l-79.79 31.8l-24.01 77.74c-2.608 8.447-11.6 13.19-20.08 10.59l-15.35-4.709c-8.478-2.6-13.23-11.55-10.63-19.1l27.4-88.69c2.143-6.939 7.323-12.54 14.09-15.24L158.9 256l-104.7-41.73C47.43 211.6 42.26 205.1 40.11 199.1L12.72 110.4c-2.608-8.443 2.149-17.4 10.62-19.1l15.35-4.709c8.48-2.6 17.47 2.139 20.08 10.59l24.01 77.74l79.79 31.8L109.1 143.6C104 137.7 102.1 129.7 104 122.2l28.23-110.1c2.151-8.57 10.87-13.78 19.47-11.64l15.58 3.873C175.9 6.494 181.1 15.18 178.1 23.76L153.8 121.8L207.7 184.4l.1542-24.44C206.1 123.4 228.9 91.77 261.4 80.43c5.141-1.793 10.5 2.215 10.5 7.641V112h32.12V88.09c0-5.443 5.394-9.443 10.55-7.641C345.9 91.39 368.3 121 368.3 155.9c0 1.393-.1786 2.689-.2492 4.064L368.3 184.4l53.91-62.66l-25.2-98.02c-2.151-8.574 3.084-17.26 11.69-19.4l15.58-3.873c8.603-2.141 17.32 3.072 19.47 11.64l28.23 110.1c1.894 7.543 0 15.53-5.08 21.44l-53.47 62.15l79.79-31.8l24.01-77.74c2.608-8.447 11.6-13.19 20.08-10.59l15.35 4.709c8.478 2.6 13.23 11.55 10.63 19.1l-27.4 88.69c-2.143 6.939-7.323 12.54-14.09 15.24L417.1 256l104.7 41.73c6.754 2.691 11.92 8.283 14.07 15.21L563.3 401.6z"],
    "spider-black-widow": [576, 512, [], "f718", "M535.9 312.9c-2.141-6.928-7.311-12.52-14.07-15.21L417.1 256l104.7-41.72c6.768-2.697 11.95-8.299 14.09-15.24l27.4-88.69c2.608-8.443-2.149-17.4-10.63-19.1l-15.35-4.709c-8.48-2.6-17.47 2.139-20.08 10.59l-24.01 77.74l-79.79 31.8l53.47-62.15c5.08-5.904 6.974-13.89 5.08-21.44L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4L368.1 160c.0706-1.375 .2491-2.672 .2491-4.064c0-34.89-22.42-64.55-53.7-75.49c-5.154-1.803-10.55 2.197-10.55 7.641V112H271.9V88.07c0-5.426-5.36-9.434-10.5-7.641C228.9 91.77 206.2 123.4 208 160L207.7 184.4l-53.91-62.66l25.2-98.02C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L82.78 173.1L58.77 96.23C56.16 87.79 47.17 83.05 38.69 85.65l-15.35 4.709C14.86 92.96 10.11 101.9 12.72 110.4l27.4 88.71c2.141 6.928 7.311 12.52 14.07 15.21L158.9 256l-104.7 41.72C47.43 300.4 42.25 306 40.11 312.1l-27.4 88.69c-2.608 8.443 2.149 17.4 10.63 19.1l15.35 4.709c8.48 2.6 17.47-2.139 20.08-10.59l24.01-77.74l79.79-31.8l-53.47 62.15c-5.08 5.904-6.974 13.89-5.08 21.44l28.23 110.1c2.151 8.57 10.87 13.78 19.47 11.64l15.58-3.873c8.607-2.141 13.84-10.83 11.69-19.4l-25.2-98.02l38.51-44.76C192.1 347.7 191.6 349.8 191.6 352c0 53.02 43.15 96 96.37 96S384.4 405 384.4 352c0-2.242-.5098-4.344-.6627-6.549l38.51 44.77l-25.2 98.02c-2.153 8.574 3.082 17.26 11.69 19.4l15.58 3.873c8.605 2.141 17.32-3.072 19.47-11.64l28.23-110.1c1.892-7.543 0-15.53-5.08-21.44l-53.47-62.15l79.79 31.8l24.01 77.74c2.61 8.447 11.6 13.19 20.08 10.59l15.35-4.709c8.476-2.6 13.23-11.55 10.62-19.1L535.9 312.9zM326.5 371.3C330.5 376.5 326.8 384 320.1 384H255.9c-6.65 0-10.41-7.5-6.394-12.75L275.1 336L249.5 300.8C245.5 295.5 249.2 288 255.9 288h64.2c6.65 0 10.41 7.5 6.395 12.75L300 336L326.5 371.3z"],
    "spider-web": [576, 512, [128376], "f719", "M133.8 22.17C138.6 9.433 151.8 1.972 165.2 4.478L234.2 17.42C269.8 24.09 306.2 24.09 341.8 17.42L410.8 4.478C424.2 1.972 437.4 9.433 442.2 22.17L471.2 99.36C482.7 130 499.3 158.6 520.2 183.8L565.5 238.1C574.2 248.5 574.2 263.5 565.5 273.9L520.2 328.2C499.3 353.4 482.7 381.1 471.2 412.6L442.2 489.8C437.4 502.6 424.2 510 410.8 507.5L341.8 494.6C306.2 487.9 269.8 487.9 234.2 494.6L165.2 507.5C151.8 510 138.6 502.6 133.8 489.8L104.8 412.6C93.33 381.1 76.73 353.4 55.75 328.2L10.49 273.9C1.837 263.5 1.837 248.5 10.49 238.1L55.75 183.8C76.73 158.6 93.33 130 104.8 99.36L133.8 22.17zM167.1 92.8L157.3 119C143.6 155.6 123.8 189.6 98.77 219.6L88.45 231.1H133.1C156.5 204.4 174.8 172.8 186.8 138.6L189.3 131.6L167.1 92.8zM209.2 69.71L230.5 107.1C268.3 116.6 307.7 116.6 345.5 107.1L366.8 69.71L352.1 72.46C309.7 80.41 266.3 80.41 223.9 72.46L209.2 69.71zM408.9 92.8L386.7 131.6L389.2 138.6C401.2 172.8 419.5 204.4 442.9 231.1H487.6L477.2 219.6C452.2 189.6 432.4 155.6 418.7 119L408.9 92.8zM487.6 279.1H442.1C419.3 308.1 401.1 340.4 389.3 375.3L387.3 381.3L408.9 419.2L418.7 392.1C432.4 356.4 452.2 322.4 477.2 292.4L487.6 279.1zM366.8 442.3L347.3 408.1C309.4 396.4 268.1 395.3 230.5 404.9L209.2 442.3L223.9 439.5C266.3 431.6 309.7 431.6 352.1 439.5L366.8 442.3zM167.1 419.2L189.3 380.4L186.8 373.4C174.8 339.2 156.5 307.6 133.1 279.1H88.45L98.77 292.4C123.8 322.4 143.6 356.4 157.3 392.1L167.1 419.2zM193.2 279.1C203.3 294.1 212.1 310.7 219.7 327.1L246.6 279.1H193.2zM261.1 351.4C279.2 349.9 297.4 350.2 315.5 352.4L287.1 304.4L261.1 351.4zM356.6 327.7C364.2 311.1 373 295.2 383.1 279.1H329.4L356.6 327.7zM382.8 231.1C372.7 217 363.9 201.3 356.3 184.9L329.4 231.1H382.8zM314.7 160.1C296.9 162.6 279.1 162.6 261.3 160.1L287.1 207.6L314.7 160.1zM219.7 184.9C212.1 201.3 203.3 217 193.2 231.1H246.6L219.7 184.9z"],
    "spinner": [512, 512, [], "f110", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464zM0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256zM512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256zM74.98 437C56.23 418.3 56.23 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437V437zM142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9zM369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1V369.1z"],
    "spinner-third": [576, 512, [], "f3f4", "M256 32C256 14.33 270.3 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C500.9 399.3 481.3 404.6 465.1 395.7C450.7 386.9 445.5 367.3 454.3 351.1C470.6 323.8 480 291 480 255.1C480 149.1 394 63.1 288 63.1C270.3 63.1 256 49.67 256 31.1V32z"],
    "split": [512, 512, [], "e254", "M504.1 382.1c9.387 9.387 9.387 24.61 0 33.99l-80 79.98c-15.13 15.12-40.99 4.406-40.99-16.98V432H320c-9.125 0-17.84-3.906-23.91-10.75L177.6 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h145.6l118.5-133.3C302.2 83.91 310.9 80 320 80h63.97V32.06c0-21.39 25.86-32.11 40.99-16.98l80 79.98c9.387 9.383 9.387 24.6 0 33.99l-79.99 79.97c-15.13 15.12-40.1 4.406-40.1-16.98V144h-49.59L234.8 256l99.58 112h49.59V319.1c0-21.39 25.87-32.11 40.1-16.98L504.1 382.1z"],
    "splotch": [512, 512, [], "f5bc", "M349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38V47.38z"],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", "M449.5 242.2C436.4 257.8 419.8 270 400.1 277.8C382.2 285.6 361.7 288.8 341.4 287C326.2 284.5 311.8 278.4 299.5 269.1L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L243 212.5C233.7 200.2 227.6 185.8 225.1 170.6C223.3 150.3 226.5 129.9 234.3 111C242.1 92.22 254.3 75.56 269.9 62.47C337.8-5.437 433.1-20.28 482.7 29.35C532.3 78.95 517.4 174.2 449.5 242.2z"],
    "sportsball": [512, 512, [], "e44b", "M487.6 48.92C497.6 97.67 502.3 160.2 492.1 223.2C444.3 219.1 400.1 199.5 365.3 169.3L487.2 47.42C487.3 47.92 487.5 48.42 487.6 48.92V48.92zM464.8 24.57L342.7 146.7C312.3 111.6 292.6 66.95 288.7 17.87C338.5 11.37 395.9 12.87 461.5 23.83C462.6 24.02 463.7 24.26 464.8 24.57V24.57zM418.5 395.9L278.6 256L342.6 191.1C381.9 226.7 431.9 249.5 487.1 254.8C478.9 290.7 465.8 326.1 445.1 358.4C437.9 371.5 428.8 384.1 418.5 395.9zM255.1 233.4L115.8 93.16C141.1 70.11 171.9 50.88 208.9 37.14C223.1 31.54 240 26.89 257 23.27C262.1 79.05 284.1 129.7 320 169.4L255.1 233.4zM169.4 320C130.1 285.3 80.06 262.5 24.93 257.2C33.07 221.3 46.24 185.9 66.04 153.6C74.08 140.5 83.19 127.9 93.45 116.1L233.4 256L169.4 320zM191.1 342.6L255.1 278.6L396.2 418.8C370.9 441.9 340.1 461.1 303.1 474.9C288 480.5 271.1 485.1 254.1 488.7C249.9 432.9 227 382.3 191.1 342.6zM146.7 342.7L24.79 464.6C24.66 464.1 24.55 463.6 24.44 463.1C14.38 414.3 9.735 351.8 19.05 288.8C67.67 292.9 111.9 312.5 146.7 342.7H146.7zM169.3 365.3C199.7 400.4 219.4 445 223.3 494.1C173.5 500.6 116.1 499.1 50.51 488.2C49.38 487.1 48.28 487.7 47.2 487.4L169.3 365.3z"],
    "spray-can": [512, 512, [], "f5bd", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256zM320 64C320 81.67 305.7 96 288 96C270.3 96 256 81.67 256 64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z"],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", "M96 32C96 14.33 110.3 0 128 0H192C209.7 0 224 14.33 224 32V128H96V32zM224 160C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256C0 202.1 42.98 160 96 160H224zM160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416zM384 48C384 49.36 383 50.97 381.8 51.58L352 64L339.6 93.78C338.1 95 337.4 96 336 96C334.6 96 333 95 332.4 93.78L320 64L290.2 51.58C288.1 50.97 288 49.36 288 48C288 46.62 288.1 45.03 290.2 44.42L320 32L332.4 2.219C333 1 334.6 0 336 0C337.4 0 338.1 1 339.6 2.219L352 32L381.8 44.42C383 45.03 384 46.62 384 48zM460.4 93.78L448 64L418.2 51.58C416.1 50.97 416 49.36 416 48C416 46.62 416.1 45.03 418.2 44.42L448 32L460.4 2.219C461 1 462.6 0 464 0C465.4 0 466.1 1 467.6 2.219L480 32L509.8 44.42C511 45.03 512 46.62 512 48C512 49.36 511 50.97 509.8 51.58L480 64L467.6 93.78C466.1 95 465.4 96 464 96C462.6 96 461 95 460.4 93.78zM467.6 194.2L480 224L509.8 236.4C511 237 512 238.6 512 240C512 241.4 511 242.1 509.8 243.6L480 256L467.6 285.8C466.1 287 465.4 288 464 288C462.6 288 461 287 460.4 285.8L448 256L418.2 243.6C416.1 242.1 416 241.4 416 240C416 238.6 416.1 237 418.2 236.4L448 224L460.4 194.2C461 193 462.6 192 464 192C465.4 192 466.1 193 467.6 194.2zM448 144C448 145.4 447 146.1 445.8 147.6L416 160L403.6 189.8C402.1 191 401.4 192 400 192C398.6 192 397 191 396.4 189.8L384 160L354.2 147.6C352.1 146.1 352 145.4 352 144C352 142.6 352.1 141 354.2 140.4L384 128L396.4 98.22C397 97 398.6 96 400 96C401.4 96 402.1 97 403.6 98.22L416 128L445.8 140.4C447 141 448 142.6 448 144z"],
    "sprinkler": [512, 512, [], "e035", "M398.3 256L288 255.1v-160c0-17.67-14.33-31.1-32-31.1S224 78.33 224 95.1v160L113.8 256C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62l67.5 78.13L192 387.5V512h128v-124.5l24.88-24.88l67.5-78.13c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256zM152 152C165.2 152 176 141.2 176 128S165.2 104 152 104S128 114.8 128 128S138.8 152 152 152zM88 96C101.2 96 112 85.25 112 72S101.2 48 88 48S64 58.75 64 72S74.75 96 88 96zM112 184C112 170.8 101.2 160 88 160S64 170.8 64 184S74.75 208 88 208S112 197.2 112 184zM24 104C10.75 104 0 114.8 0 128s10.75 24 24 24S48 141.2 48 128S37.25 104 24 104zM24 0C10.75 0 0 10.75 0 24S10.75 48 24 48S48 37.25 48 24S37.25 0 24 0zM24 208C10.75 208 0 218.8 0 232S10.75 256 24 256S48 245.2 48 232S37.25 208 24 208zM360 152C373.2 152 384 141.2 384 128s-10.75-24-24-24S336 114.8 336 128S346.8 152 360 152zM424 160c-13.25 0-24 10.75-24 24s10.75 24 24 24S448 197.2 448 184S437.2 160 424 160zM424 48c-13.25 0-24 10.75-24 24S410.8 96 424 96S448 85.25 448 72S437.2 48 424 48zM488 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S512 141.2 512 128S501.3 104 488 104zM488 208c-13.25 0-24 10.75-24 24S474.8 256 488 256S512 245.2 512 232S501.3 208 488 208zM488 48C501.3 48 512 37.25 512 24S501.3 0 488 0S464 10.75 464 24S474.8 48 488 48z"],
    "sprinkler-ceiling": [384, 512, [], "e44c", "M88 384C74.75 384 64 394.8 64 408c0 13.21 10.82 24 24 24s24-10.69 24-24C112 394.8 101.2 384 88 384zM136 448c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 485.2 160 472C160 458.8 149.2 448 136 448zM192 384c-13.25 0-24 10.75-24 24S178.8 432 192 432s24-10.69 24-24C216 394.8 205.2 384 192 384zM136 320c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 357.2 160 344C160 330.8 149.2 320 136 320zM25.73 127.4L128 147.8v-65.28L64 69.76V0H0v96C0 111.3 10.75 124.4 25.73 127.4zM24 448C10.75 448 0 458.8 0 472s10.82 24 24 24s24-10.79 24-24C48 458.8 37.25 448 24 448zM320 0v69.76l-64 12.8v65.28l102.3-20.45C373.2 124.4 384 111.3 384 96V0H320zM360 448c-13.25 0-24 10.78-24 24c0 13.21 10.75 24 24 24S384 485.2 384 472C384 458.8 373.2 448 360 448zM288 192h-64V64c0-17.66-14.34-32-32-32S160 46.34 160 64v128H96C78.34 192 64 206.3 64 224s14.34 32 32 32h192c17.66 0 32-14.34 32-32S305.7 192 288 192zM296 384c-13.25 0-24 10.78-24 24c0 13.31 10.75 24 24 24S320 421.3 320 408S309.2 384 296 384zM248 368c13.25 0 24-10.79 24-24c0-13.25-10.75-24-24-24S224 330.8 224 344C224 357.2 234.8 368 248 368zM248 448C234.8 448 224 458.8 224 472c0 13.21 10.75 24 24 24s24-10.79 24-24C272 458.8 261.2 448 248 448z"],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96z"],
    "square-0": [448, 512, [], "e255", "M224 176C197.5 176 176 197.5 176 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C272 197.5 250.5 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z"],
    "square-1": [448, 512, [], "e256", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM288 384H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288c13.25 0 24 10.75 24 24S301.3 384 288 384z"],
    "square-2": [448, 512, [], "e257", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "square-3": [448, 512, [], "e258", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300C320 346.3 282.3 384 236 384z"],
    "square-4": [448, 512, [], "e259", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296S309.3 320 296 320z"],
    "square-5": [448, 512, [], "e25a", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9C320 348.5 284.5 384 240.1 384z"],
    "square-6": [448, 512, [], "e25b", "M224 240c-21.06 0-40 14.09-46.03 34.28C176.7 278.7 176 283.3 176 288c0 26.47 21.53 48 48 48s48-21.53 48-48S250.5 240 224 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C252.8 129.9 258.4 128 264 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C290.3 207.5 320 244.1 320 288C320 340.9 276.9 384 224 384z"],
    "square-7": [448, 512, [], "e25c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM317.1 163.4l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.438 0 16.28 4.438 20.59 11.69C320.9 146.9 321.1 155.9 317.1 163.4z"],
    "square-8": [448, 512, [], "e25d", "M240 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S257.7 272 240 272zM216 224h16C245.2 224 256 213.2 256 200S245.2 176 232 176h-16C202.8 176 192 186.8 192 200S202.8 224 216 224zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240 384h-32C163.9 384 128 348.1 128 304c0-25.06 11.81-47.19 29.9-61.87C149.3 230.3 144 215.8 144 200C144 160.3 176.3 128 216 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C308.2 256.8 320 278.9 320 304C320 348.1 284.1 384 240 384z"],
    "square-9": [448, 512, [], "e25e", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM279.7 308.4l-79.94 69.69C195.2 382.1 189.6 384 184 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C157.7 304.5 128 267.9 128 224c0-52.94 43.06-96 96-96s96 43.06 96 96C320 265.3 292.5 297.3 279.7 308.4zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272c21.06 0 40-14.09 46.03-34.28C271.3 233.3 272 228.7 272 224C272 197.5 250.5 176 224 176z"],
    "square-a": [448, 512, [], "e25f", "M183.1 295.6h80.04L224 208.5L183.1 295.6zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.1 381.8c-3.266 1.506-6.688 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H161.8l-12.03 26.18c-5.578 12.09-19.77 17.36-31.86 11.77c-12.03-5.557-17.28-19.9-11.73-31.99l95.99-208.1c7.844-17.08 35.75-17.08 43.59 0l95.99 208.1C347.3 361.9 342.1 376.2 330.1 381.8z"],
    "square-a-lock": [576, 512, [], "e44d", "M384 32C419.3 32 448 60.65 448 96V161.1C393.7 168.9 351.1 215.6 351.1 272V296.6C342.1 302.3 333.9 310.6 328.2 320.6L245.8 141.9C241.9 133.4 233.4 128 224 128C214.6 128 206.1 133.4 202.2 141.9L106.2 349.9C100.7 361.1 105.9 376.2 117.9 381.8C129.1 387.3 144.2 382.1 149.8 370.1L161.8 343.1H286.2L298.2 370.1C302.3 378.8 310.9 384 319.1 384V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32L384 32zM224 209.3L264 295.1H183.1L224 209.3zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240V240z"],
    "square-ampersand": [448, 512, [], "e260", "M204 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C229.6 180.3 225.2 176 219.9 176H196.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L204 210.9zM167 302.5C162.5 306.1 160 311.4 160 317.2C160 327.5 168.5 336 178.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L199.1 276.6L167 302.5zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM324 377.7C319.4 381.9 313.6 384 307.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C256.7 373.6 234.7 384 211.3 384H178.8C141.1 384 112 354 112 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L156.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C139.1 153.9 165 128 196.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L287.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L299.5 315.3l26.03 28.47C334.5 353.6 333.8 368.8 324 377.7z"],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z"],
    "square-arrow-down-left": [448, 512, [], "e261", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z"],
    "square-arrow-down-right": [448, 512, [], "e262", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z"],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z"],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z"],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z"],
    "square-arrow-up-left": [448, 512, [], "e263", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z"],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z"],
    "square-b": [448, 512, [], "e264", "M272 204c0-15.44-12.56-28-28-28H176v56h68C259.4 232 272 219.4 272 204zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM260 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h92C285.9 128 320 162.1 320 204c0 16.35-5.301 31.41-14.12 43.82C324.1 261.7 336 283.4 336 308C336 349.9 301.9 384 260 384zM260 280H176v56h84C275.4 336 288 323.4 288 308S275.4 280 260 280z"],
    "square-bolt": [448, 512, [], "e265", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM261.8 131.6L125.8 243.6C120.6 247.9 118.7 255 120.9 261.4C123.2 267.8 129.2 271.1 136 271.1H199.7L161.3 361.7C158.4 368.5 160.5 376.4 166.4 380.8C172.3 385.2 180.5 385 186.2 380.4L322.2 268.4C327.4 264.1 329.3 256.1 327.1 250.6C324.8 244.2 318.8 240 312 240H248.3L286.7 150.3C289.6 143.5 287.5 135.6 281.6 131.2C275.7 126.8 267.5 126.1 261.8 131.6V131.6z"],
    "square-c": [448, 512, [], "e266", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM167.2 312.3c14.93 15.13 34.76 23.49 55.86 23.49s40.94-8.32 55.88-23.49c9.33-9.418 24.55-9.545 33.95-.125c9.426 9.357 9.488 24.62 .1562 34.1C289 370.6 257 384 223.1 384c0 0 .0156 0 0 0c-33.1 0-65.95-13.41-89.96-37.74c-49.46-50.08-49.46-131.6 0-181.7c48-48.7 131.9-48.7 179.1 0c9.332 9.451 9.27 24.71-.1562 34.1c-9.395 9.357-24.59 9.326-33.95-.1562c-29.89-30.27-81.89-30.24-111.7 0C136.2 229.9 136.2 280.9 167.2 312.3z"],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z"],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z"],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z"],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z"],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM339.8 211.8C350.7 200.9 350.7 183.1 339.8 172.2C328.9 161.3 311.1 161.3 300.2 172.2L192 280.4L147.8 236.2C136.9 225.3 119.1 225.3 108.2 236.2C97.27 247.1 97.27 264.9 108.2 275.8L172.2 339.8C183.1 350.7 200.9 350.7 211.8 339.8L339.8 211.8z"],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", "M384 32H64C28.66 32 0 60.65 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z"],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z"],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z"],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.35 28.66 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z"],
    "square-code": [448, 512, [], "e267", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM262.2 167.9C253.3 177.8 254.1 192.1 263.9 201.8L324.1 256L263.9 310.2C254.1 319 253.3 334.2 262.2 344.1C271 353.9 286.2 354.7 296.1 345.8L376.1 273.8C381.1 269.3 384 262.8 384 256C384 249.2 381.1 242.7 376.1 238.2L296.1 166.2C286.2 157.3 271 158.1 262.2 167.9V167.9zM184.1 201.8C193.9 192.1 194.7 177.8 185.8 167.9C176.1 158.1 161.8 157.3 151.9 166.2L71.94 238.2C66.89 242.7 64 249.2 64 256C64 262.8 66.89 269.3 71.94 273.8L151.9 345.8C161.8 354.7 176.1 353.9 185.8 344.1C194.7 334.2 193.9 319 184.1 310.2L123.9 256L184.1 201.8z"],
    "square-d": [448, 512, [], "e268", "M222.4 176H176v160h46.41C267.4 336 304 300.1 304 256C304 211.9 267.4 176 222.4 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM222.4 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h70.41C293.9 128 352 185.4 352 256C352 326.6 293.9 384 222.4 384z"],
    "square-dashed": [448, 512, [], "e269", "M96 32H128V96H96C78.33 96 64 110.3 64 128V160H0V128C0 74.98 42.98 32 96 32zM64 192V320H0V192H64zM448 192V320H384V192H448zM384 160V128C384 110.3 369.7 96 352 96H320V32H352C405 32 448 74.98 448 128V160H384zM448 384C448 437 405 480 352 480H320V416H352C369.7 416 384 401.7 384 384V352H448V384zM64 384C64 401.7 78.33 416 96 416H128V480H96C42.98 480 0 437 0 384V352H64V384zM160 480V416H288V480H160zM160 32H288V96H160V32z"],
    "square-divide": [448, 512, [], "e26a", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136zM224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320z"],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM244.8 133.6C244.8 121.7 235.1 112 223.2 112C211.3 112 201.6 121.7 201.6 133.6V149.7C195.5 151.1 189.6 152.1 184.1 155.4C166.1 163.1 149.1 177.6 145.1 199.4C140.9 222.5 150.9 243.3 170.4 255.8C184.6 264.9 203.4 270.2 218.5 274.5C220.7 275.1 222.1 275.7 225.3 276.4C237.2 279.6 249.7 282.1 259.8 289.9C271.5 297.9 265.9 312.1 253.9 316.1C244.1 320.6 231.4 322.1 214.4 319.6C202.8 317.8 191.2 313.8 179.9 310C177.4 309.2 174.9 308.3 172.4 307.5C161.1 303.7 148.8 309.9 145.1 321.2C141.3 332.5 147.5 344.8 158.8 348.5C172.9 353.1 187.1 357.8 201.6 361L201.6 378.4C201.6 390.3 211.3 400 223.2 400C235.1 400 244.8 390.3 244.8 378.4L244.8 363.2C253.7 362.2 262.2 360.2 270 357C288.8 349.5 304.3 334.8 308.5 312.4C312.7 289.2 303.6 267.5 284.2 254.2C269.3 244 249.4 238.4 233.8 233.9C231.5 233.3 229.1 232.6 226.8 231.1C215.4 228.9 203.5 225.7 193.6 219.4C181.1 211.4 190.2 199.8 201.2 195C213.6 189.7 228.9 188.5 242.1 191C249.2 192.4 256.2 194.4 263.2 196.3C264.7 196.8 266.3 197.2 267.8 197.6C279.3 200.8 291.2 194.1 294.4 182.6C297.6 171.1 290.8 159.2 279.3 155.1C277.5 155.5 275.6 154.9 273.8 154.4C264.2 151.7 254.5 149 244.8 147.8L244.8 133.6z"],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z"],
    "square-down-left": [448, 512, [], "e26b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.9 222l-67.94 67.94l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.835 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.94-67.94c12.5-12.5 32.7-12.44 45.2 .0548l22.63 22.63C338.3 189.3 338.4 209.5 325.9 222z"],
    "square-down-right": [448, 512, [], "e26c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"],
    "square-e": [448, 512, [], "e26d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM264 232C277.3 232 288 242.8 288 256s-10.75 24-24 24H176v56h120c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176H176v56H264z"],
    "square-ellipsis": [448, 512, [], "e26e", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256zM352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C337.7 288 352 273.7 352 256zM96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256z"],
    "square-ellipsis-vertical": [448, 512, [], "e26f", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288zM224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128zM224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384z"],
    "square-envelope": [448, 512, ["envelope-square"], "f199", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM384 336c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V225.9l138.5 69.27C209.3 298.5 216.6 300.2 224 300.2s14.75-1.688 21.47-5.047L384 225.9V336zM384 190.1l-152.8 76.42c-4.5 2.25-9.812 2.25-14.31 0L64 190.1V176c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V190.1z"],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM200 152C200 138.8 210.8 128 224 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S200 293.3 200 280V152zM224 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C255.4 385.9 241.4 400 224 400z"],
    "square-f": [448, 512, [], "e270", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 176H176v64h88C277.3 240 288 250.8 288 264S277.3 288 264 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176z"],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 208C128 255.6 162.6 295.1 208 302.7V384H160C151.2 384 144 391.2 144 400C144 408.8 151.2 416 160 416H288C296.8 416 304 408.8 304 400C304 391.2 296.8 384 288 384H240V302.7C285.4 295.1 320 255.6 320 208V118.3C320 105.1 310 96 297.7 96H240L272 160L224 192L256 256L176 192L208 160L176 96H150.3C137.1 96 128 105.1 128 118.3V208z"],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", "M0 0H512V512H0V0z"],
    "square-g": [448, 512, [], "e271", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C290.3 370.7 258.2 384 224 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C181.4 117.5 261.5 115.3 312 160.6c9.875 8.844 10.72 24.02 1.875 33.89C305 204.4 289.8 205.2 280 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H248C234.8 288 224 277.3 224 264s10.75-24 24-24h80C341.3 240 352 250.8 352 264V274.9z"],
    "square-h": [448, 512, ["h-square"], "f0fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 360c0 13.25-10.75 24-24 24S288 373.3 288 360v-80H160v80C160 373.3 149.3 384 136 384S112 373.3 112 360v-208C112 138.8 122.8 128 136 128S160 138.8 160 152v80h128v-80C288 138.8 298.8 128 312 128s24 10.75 24 24V360z"],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM201.5 384.2C207.7 390.5 215.9 393.6 224 393.6C232.1 393.6 240.3 390.5 246.5 384.2L348.1 280.1C377.5 251.2 377.5 202.8 348.1 173C318.8 143.2 271.1 143.2 241.7 173L224 191L206.3 173C176.9 143.2 129.2 143.2 99.87 173C70.48 202.8 70.48 251.2 99.87 280.1L201.5 384.2z"],
    "square-i": [448, 512, [], "e272", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 336c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360s10.75-24 24-24h48v-160h-48C138.8 176 128 165.3 128 152S138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176h-48v160H296z"],
    "square-info": [448, 512, [8505, "info-square"], "f30f", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM224 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S192 177.7 192 160C192 142.3 206.3 128 224 128zM264 384h-80C170.8 384 160 373.3 160 360s10.75-24 24-24h16v-64H192c-13.25 0-24-10.75-24-24S178.8 224 192 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S277.3 384 264 384z"],
    "square-j": [448, 512, [], "e273", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM304 290.7C304 342.1 260.9 384 208 384s-96-41.86-96-93.33V280C112 266.8 122.8 256 136 256S160 266.8 160 280v10.67C160 315.7 181.5 336 208 336S256 315.7 256 290.7V152C256 138.8 266.8 128 280 128s24 10.75 24 24V290.7z"],
    "square-k": [448, 512, [], "e274", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM243.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C305.5 382.6 300.7 384 296 384c-7.609 0-15.09-3.609-19.75-10.34L206.9 273.4L176 303.9V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C241.9 240.7 243 241.3 243.7 242.3z"],
    "square-kanban": [448, 512, [], "e488", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM320 384C337.7 384 352 369.7 352 352V160C352 142.3 337.7 128 320 128C302.3 128 288 142.3 288 160V352C288 369.7 302.3 384 320 384zM256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V224C192 241.7 206.3 256 224 256C241.7 256 256 241.7 256 224V160zM128 320C145.7 320 160 305.7 160 288V160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160V288C96 305.7 110.3 320 128 320z"],
    "square-l": [448, 512, [], "e275", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v184h120c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z"],
    "square-list": [448, 512, [], "e489", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192C113.7 192 128 177.7 128 160zM128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352zM192 136C178.7 136 168 146.7 168 160C168 173.3 178.7 184 192 184H352C365.3 184 376 173.3 376 160C376 146.7 365.3 136 352 136H192zM192 232C178.7 232 168 242.7 168 256C168 269.3 178.7 280 192 280H352C365.3 280 376 269.3 376 256C376 242.7 365.3 232 352 232H192zM192 328C178.7 328 168 338.7 168 352C168 365.3 178.7 376 192 376H352C365.3 376 376 365.3 376 352C376 338.7 365.3 328 352 328H192z"],
    "square-m": [448, 512, [], "e276", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L144 226.2V360C144 373.3 133.3 384 120 384S96 373.3 96 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L224 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C345.3 132.4 352 141.6 352 152V360z"],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136z"],
    "square-n": [448, 512, [], "e277", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 360c0 10.5-6.828 19.78-16.84 22.91C300.8 383.6 298.4 384 296 384c-7.719 0-15.17-3.734-19.73-10.34L176 228.8V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L272 283.2V152C272 138.8 282.8 128 296 128S320 138.8 320 152V360z"],
    "square-nfi": [448, 512, [], "e576", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 176V336C64 344.8 71.16 352 80 352C88.84 352 96 344.8 96 336V233.8L162.3 344.2C165.1 350.4 173.3 353.3 180.3 351.4C187.2 349.5 191.1 343.2 191.1 336V176C191.1 167.2 184.8 160 175.1 160C167.2 160 159.1 167.2 159.1 176V278.2L93.72 167.8C90.02 161.6 82.66 158.7 75.73 160.6C68.8 162.5 64 168.8 64 176V176zM224 336C224 344.8 231.2 352 240 352C248.8 352 256 344.8 256 336V256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H256V192H304C312.8 192 320 184.8 320 176C320 167.2 312.8 160 304 160H240C231.2 160 224 167.2 224 176V336zM384 176C384 167.2 376.8 160 368 160C359.2 160 352 167.2 352 176V336C352 344.8 359.2 352 368 352C376.8 352 384 344.8 384 336V176z"],
    "square-o": [448, 512, [], "e278", "M224 176C179.9 176 144 211.9 144 256s35.89 80 80 80s80-35.89 80-80S268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S294.6 384 224 384z"],
    "square-p": [448, 512, [], "e279", "M248 176H176V256h72C270.1 256 288 238.1 288 216S270.1 176 248 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM248 304H176v56C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h96c48.53 0 88 39.47 88 88S296.5 304 248 304z"],
    "square-parking": [448, 512, [127359, "parking"], "f540", "M192 256V192H240C257.7 192 272 206.3 272 224C272 241.7 257.7 256 240 256H192zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM336 224C336 170.1 293 128 240 128H168C145.9 128 128 145.9 128 168V352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352V320H240C293 320 336 277 336 224z"],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", "M107.7 59.11C119.3 42.71 138.4 32 159.1 32H480C515.3 32 544 60.65 544 96V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L107.7 59.11zM227 152.7L287.1 200.4V192H336C353.7 192 368 206.3 368 224C368 235.5 361.9 245.6 352.8 251.2L404.2 291.5C421.4 274.2 432 250.3 432 224C432 170.1 389 128 336 128H263.1C247.3 128 233.1 138.2 227 152.7V152.7zM223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 287.1 369.7 287.1 352V322.9L486.9 479.6C484.6 479.9 482.3 480 480 480H159.1C124.7 480 95.1 451.3 95.1 416V171.6L223.1 272.5V352z"],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM325.8 139.7C310.1 124.1 284.8 124.1 269.2 139.7L247.8 161.1L318.7 232.1L340.1 210.7C355.8 195 355.8 169.7 340.1 154.1L325.8 139.7zM111.5 303.8L96.48 363.1C95.11 369.4 96.71 375.2 100.7 379.2C104.7 383.1 110.4 384.7 115.9 383.4L176 368.3C181.6 366.9 186.8 364 190.9 359.9L296.1 254.7L225.1 183.8L119.9 288.1C115.8 293.1 112.9 298.2 111.5 303.8z"],
    "square-person-confined": [448, 512, [], "e577", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM208 96C181.5 96 160 117.5 160 144C160 170.5 181.5 192 208 192C234.5 192 256 170.5 256 144C256 117.5 234.5 96 208 96zM240 306.7L198.6 265.4C191.4 258.1 181 254.8 170.9 256.4C160.7 258.1 151.1 264.5 147.4 273.7L99.39 369.7C91.48 385.5 97.89 404.7 113.7 412.6C129.5 420.5 148.7 414.1 156.6 398.3L184.8 342L239.4 396.7C251.8 409.1 268.6 416 286.1 416C322.5 416 352 386.5 352 350.1V248C352 217.1 326.9 192 296 192C265.1 192 240 217.1 240 248V306.7z"],
    "square-phone": [448, 512, ["phone-square"], "f098", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM351.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.63c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z"],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.63c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6z"],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM387.1 278.2l-27.41 43.85c-3.988 6.396-11.99 9.009-19.06 6.248l-54.81-21.92c-6.441-2.596-10.42-9.162-9.721-16.07l3.449-34.61c-36.49-12.46-76.29-12.47-112.8-.0034l3.445 34.61C171.8 297.2 167.8 303.8 161.3 306.4l-54.82 21.93c-7.037 2.797-15.11 .0947-19.07-6.259l-27.4-43.85C56.16 272 57.06 264.1 62.25 258.9c89.18-89.18 234.3-89.2 323.5-.0019C390.9 264.1 391.8 272 387.1 278.2z"],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 368C237.3 368 248 357.3 248 344V280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H248V168C248 154.7 237.3 144 224 144C210.7 144 200 154.7 200 168V232H136C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H200V344C200 357.3 210.7 368 224 368z"],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM256 160C256 142.3 241.7 128 224 128H128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192H224C241.7 192 256 177.7 256 160zM128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288H320C337.7 288 352 273.7 352 256C352 238.3 337.7 224 320 224H128zM192 352C192 334.3 177.7 320 160 320H128C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384H160C177.7 384 192 369.7 192 352z"],
    "square-poll-vertical": [448, 512, ["poll"], "f681", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 224C110.3 224 96 238.3 96 256V352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352V256C160 238.3 145.7 224 128 224zM192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V352zM320 288C302.3 288 288 302.3 288 320V352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V320C352 302.3 337.7 288 320 288z"],
    "square-q": [448, 512, [], "e27b", "M224 176C179.9 176 144 211.9 144 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C300.4 281.7 304 269.3 304 256C304 211.9 268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM344.1 343c9.375 9.375 9.375 24.56 0 33.94C340.3 381.7 334.2 384 328 384s-12.28-2.344-16.97-7.031l-15.15-15.15C275.4 375.8 250.6 384 224 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L344.1 343z"],
    "square-quarters": [448, 512, [], "e44e", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM384 416H64l160-160L64 96h320l-160 160L384 416z"],
    "square-question": [448, 512, ["question-square"], "f2fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S241.1 400 224 400zM293.1 258L248 286V288c0 13-11 24-24 24S200 301 200 288V272c0-8 4-16 12-21l57-34C276 213 280 206 280 198c0-12-10-22-22-22h-52C193.1 176 184 186 184 198c0 13-11 24-24 24s-24-11-24-24C136 159 167 128 205.1 128h52C297 128 328 159 328 198C328 222 315 245 293.1 258z"],
    "square-quote": [448, 512, [], "e329", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM208 280C208 319.7 175.7 352 136 352c-13.25 0-24-10.75-24-24S122.8 304 136 304C149.2 304 160 293.2 160 280V271.2C157.4 271.6 154.7 272 152 272C121.1 272 96 246.9 96 216S121.1 160 152 160S208 185.1 208 216V280zM352 280C352 319.7 319.7 352 280 352C266.8 352 256 341.3 256 328s10.75-24 24-24c13.23 0 24-10.77 24-24V271.2C301.4 271.6 298.7 272 296 272c-30.93 0-56-25.07-56-56S265.1 160 296 160S352 185.1 352 216V280z"],
    "square-r": [448, 512, [], "e27c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM323.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C313.8 382.5 308.9 384 304 384c-7.438 0-14.75-3.422-19.44-9.891L221.1 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128H256c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L323.4 345.9zM256 176H176v64H256c17.66 0 32-14.36 32-32S273.7 176 256 176z"],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", "M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z"],
    "square-ring": [448, 512, [], "e44f", "M224 160C170.1 160 128 202.1 128 256s42.98 96 96 96s96-42.98 96-96S277 160 224 160zM384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM224 416c-88.35 0-160-71.65-160-160s71.65-160 160-160s160 71.65 160 160S312.4 416 224 416z"],
    "square-root": [576, 512, [8730], "f697", "M207.1 512c-12.02 0-23.15-6.776-28.61-17.68L76.22 288H32c-17.67 0-32-14.31-32-32s14.33-31.1 32-31.1l64-.0049c12.12 0 23.2 6.849 28.62 17.69l73.31 146.6l91.02-364.1C292.5 10.01 305.3 .0098 320 .0098l224 .0049c17.67 0 32 14.31 32 31.1s-14.33 32-32 32h-199L239 487.8c-3.25 13-14.25 22.59-27.56 24.06C210.3 511.1 209.2 512 207.1 512z"],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", "M576 32.01c0-17.69-14.33-31.1-32-31.1l-224-.0049c-14.69 0-27.48 10-31.05 24.25L197.9 388.3L124.6 241.7C119.2 230.9 108.1 224 96 224L32 224c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h44.22l103.2 206.3c5.469 10.91 16.6 17.68 28.61 17.68c1.172 0 2.323-.0576 3.495-.1826c13.31-1.469 24.31-11.06 27.56-24.06l105.9-423.8H544C561.7 64.01 576 49.7 576 32.01zM566.6 233.4c-12.5-12.5-32.75-12.5-45.25 0L480 274.8l-41.38-41.37c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l41.38 41.38l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25C399.6 412.9 407.8 416 416 416s16.38-3.125 22.62-9.375L480 365.3l41.38 41.38C527.6 412.9 535.8 416 544 416s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-41.38-41.38L566.6 278.6C579.1 266.1 579.1 245.9 566.6 233.4z"],
    "square-rss": [448, 512, ["rss-square"], "f143", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM150.6 374.6C144.4 380.9 136.2 384 128 384s-16.38-3.121-22.63-9.371c-12.5-12.5-12.5-32.76 0-45.26C111.6 323.1 119.8 320 128 320s16.38 3.121 22.63 9.371C163.1 341.9 163.1 362.1 150.6 374.6zM249.6 383.9C249 383.1 248.5 384 247.1 384c-12.53 0-23.09-9.75-23.92-22.44C220.5 306.9 173.1 259.5 118.4 255.9c-13.22-.8438-23.25-12.28-22.39-25.5c.8594-13.25 12.41-22.81 25.52-22.38c77.86 5.062 145.3 72.5 150.4 150.4C272.8 371.7 262.8 383.1 249.6 383.9zM345 383.1C344.7 384 344.3 384 343.1 384c-12.8 0-23.42-10.09-23.97-23C315.6 254.6 225.4 164.4 119 159.1C105.8 159.4 95.47 148.3 96.02 135C96.58 121.8 107.9 111.2 121 112c130.7 5.469 241.5 116.3 246.1 246.1C368.5 372.3 358.3 383.4 345 383.1z"],
    "square-s": [448, 512, [], "e27d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM318.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C216.7 170.1 194.5 177.5 185.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C270.1 243.9 329.1 260.6 318.7 323.9z"],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM320 96C284.7 96 256 124.7 256 160C256 162.5 256.1 164.9 256.4 167.3L174.5 212C162.8 199.7 146.3 192 128 192C92.65 192 64 220.7 64 256C64 291.3 92.65 320 128 320C146.3 320 162.8 312.3 174.5 299.1L256.4 344.7C256.1 347.1 256 349.5 256 352C256 387.3 284.7 416 320 416C355.3 416 384 387.3 384 352C384 316.7 355.3 288 320 288C304.6 288 290.5 293.4 279.4 302.5L194.1 256L279.4 209.5C290.5 218.6 304.6 224 320 224C355.3 224 384 195.3 384 160C384 124.7 355.3 96 320 96V96z"],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM384 336C384 318.3 369.7 304 352 304H320V288C320 270.3 305.7 256 288 256C270.3 256 256 270.3 256 288V304H96C78.33 304 64 318.3 64 336C64 353.7 78.33 368 96 368H256V384C256 401.7 270.3 416 288 416C305.7 416 320 401.7 320 384V368H352C369.7 368 384 353.7 384 336zM192 144V128C192 110.3 177.7 96 160 96C142.3 96 128 110.3 128 128V144H96C78.33 144 64 158.3 64 176C64 193.7 78.33 208 96 208H128V224C128 241.7 142.3 256 160 256C177.7 256 192 241.7 192 224V208H352C369.7 208 384 193.7 384 176C384 158.3 369.7 144 352 144H192z"],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM112 128V160H96C78.33 160 64 174.3 64 192C64 209.7 78.33 224 96 224H112V384C112 401.7 126.3 416 144 416C161.7 416 176 401.7 176 384V224H192C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160H176V128C176 110.3 161.7 96 144 96C126.3 96 112 110.3 112 128zM336 128C336 110.3 321.7 96 304 96C286.3 96 272 110.3 272 128V288H256C238.3 288 224 302.3 224 320C224 337.7 238.3 352 256 352H272V384C272 401.7 286.3 416 304 416C321.7 416 336 401.7 336 384V352H352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288H336V128z"],
    "square-small": [320, 512, [], "e27e", "M0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160z"],
    "square-star": [448, 512, [], "e27f", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM209.7 112.9L173.4 186.4L92.36 198.1C86.33 199 81.32 203.2 79.44 209C77.56 214.8 79.13 221.2 83.49 225.4L142.1 282.6L128.3 363.3C127.3 369.3 129.7 375.4 134.7 378.1C139.6 382.6 146.1 383 151.5 380.2L223.1 342.1L296.5 380.2C301.9 383 308.4 382.6 313.3 378.1C318.3 375.4 320.7 369.3 319.7 363.3L305.9 282.6L364.5 225.4C368.9 221.2 370.4 214.8 368.6 209C366.7 203.2 361.7 199 355.6 198.1L274.6 186.4L238.3 112.9C235.7 107.5 230.1 104 223.1 104C217.9 104 212.3 107.5 209.7 112.9H209.7z"],
    "square-t": [448, 512, [], "e280", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM328 176h-80v184c0 13.25-10.75 24-24 24s-24-10.75-24-24V176h-80C106.8 176 96 165.3 96 152S106.8 128 120 128h208C341.3 128 352 138.8 352 152S341.3 176 328 176z"],
    "square-terminal": [448, 512, [], "e32a", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM70.31 151.8C61.35 161.6 62.01 176.7 71.78 185.7L148.5 256L71.78 326.3C62.01 335.3 61.35 350.4 70.31 360.2C79.26 369.1 94.45 370.6 104.2 361.7L200.2 273.7C205.2 269.1 208 262.7 208 255.1C208 249.3 205.2 242.9 200.2 238.3L104.2 150.3C94.45 141.4 79.26 142 70.31 151.8V151.8zM216 336C202.7 336 192 346.7 192 360C192 373.3 202.7 384 216 384H360C373.3 384 384 373.3 384 360C384 346.7 373.3 336 360 336H216z"],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM80 384C71.16 384 64 391.2 64 400C64 408.8 71.16 416 80 416H368C376.8 416 384 408.8 384 400C384 391.2 376.8 384 368 384H80zM288 192V304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V192H374.6C384.2 192 392 184.2 392 174.6C392 170.4 390.4 166.2 387.6 163.1L333.3 101.1C329.9 98.18 325.1 96 320 96C314.9 96 310.1 98.18 306.7 101.1L252.4 163.1C249.6 166.2 248 170.4 248 174.6C248 184.2 255.8 192 265.4 192H288zM96 192V304C96 312.8 103.2 320 112 320H144C152.8 320 160 312.8 160 304V192H182.6C192.2 192 200 184.2 200 174.6C200 170.4 198.4 166.2 195.6 163.1L141.3 101.1C137.9 98.18 133.1 96 128 96C122.9 96 118.1 98.18 114.7 101.1L60.39 163.1C57.56 166.2 56 170.4 56 174.6C56 184.2 63.79 192 73.39 192H96z"],
    "square-u": [448, 512, [], "e281", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 274.9C336 335.1 285.8 384 224 384s-112-48.94-112-109.1V152C112 138.8 122.8 128 136 128S160 138.8 160 152v122.9C160 308.6 188.7 336 224 336s64-27.41 64-61.09V152C288 138.8 298.8 128 312 128s24 10.75 24 24V274.9z"],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM350.8 246.1C348.3 252.1 342.5 256 336 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z"],
    "square-up-left": [448, 512, [], "e282", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z"],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z"],
    "square-user": [448, 512, [], "e283", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 128c39.77 0 72 32.23 72 72c0 39.76-32.23 72-72 72c-39.76 0-72-32.24-72-72C152 160.2 184.2 128 224 128zM81.61 416C89.44 361.8 135.6 320 192 320h64c56.38 0 102.6 41.79 110.4 96H81.61z"],
    "square-v": [448, 512, [], "e284", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM349.5 162.7l-104 208C241.4 378.9 233.1 384 224 384s-17.41-5.141-21.47-13.27l-104-208C92.61 150.9 97.41 136.5 109.3 130.5c11.92-5.891 26.28-1.125 32.2 10.73L224 306.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C350.6 136.5 355.4 150.9 349.5 162.7z"],
    "square-virus": [448, 512, [], "e578", "M160 224C160 206.3 174.3 192 192 192C209.7 192 224 206.3 224 224C224 241.7 209.7 256 192 256C174.3 256 160 241.7 160 224zM280 288C280 301.3 269.3 312 256 312C242.7 312 232 301.3 232 288C232 274.7 242.7 264 256 264C269.3 264 280 274.7 280 288zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM199.8 117.7C199.8 146.9 164.5 161.6 143.8 140.9C134.4 131.5 119.2 131.5 109.8 140.9C100.5 150.2 100.5 165.4 109.8 174.8C130.5 195.5 115.9 230.9 86.61 230.9C73.35 230.9 62.61 241.6 62.61 254.9C62.61 268.1 73.35 278.9 86.61 278.9C115.9 278.9 130.5 314.3 109.8 334.9C100.5 344.3 100.5 359.5 109.8 368.9C119.2 378.3 134.4 378.3 143.8 368.9C164.5 348.2 199.8 362.9 199.8 392.1C199.8 405.4 210.6 416.1 223.8 416.1C237.1 416.1 247.8 405.4 247.8 392.1C247.8 362.9 283.2 348.2 303.9 368.9C313.3 378.3 328.5 378.3 337.8 368.9C347.2 359.5 347.2 344.3 337.8 334.9C317.2 314.3 331.8 278.9 361.1 278.9C374.3 278.9 385.1 268.1 385.1 254.9C385.1 241.6 374.3 230.9 361.1 230.9C331.8 230.9 317.2 195.5 337.8 174.8C347.2 165.4 347.2 150.2 337.8 140.9C328.5 131.5 313.3 131.5 303.9 140.9C283.2 161.6 247.8 146.9 247.8 117.7C247.8 104.4 237.1 93.65 223.8 93.65C210.6 93.65 199.8 104.4 199.8 117.7H199.8z"],
    "square-w": [448, 512, [], "e285", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM366.9 159.1l-64 208C299.8 377.1 290.5 384 280 384h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L224 244.3l-32.83 121.9C188.4 376.6 179.1 383.8 168.4 384c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L166.5 273.4l34.36-127.6C203.6 135.3 213.1 128 224 128s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C363.7 132.1 370.8 146.4 366.9 159.1z"],
    "square-x": [448, 512, [], "e286", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C323 382.1 317.5 384 312 384c-6.812 0-13.59-2.891-18.34-8.5L224 293.2L154.3 375.5C149.6 381.1 142.8 384 135.1 384C130.5 384 125 382.1 120.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L192.6 256L117.7 167.5C109.1 157.4 110.4 142.2 120.5 133.7C130.6 125.1 145.8 126.4 154.3 136.5L224 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L255.4 256L330.3 344.5z"],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z"],
    "square-y": [448, 512, [], "e287", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM346.2 167.6L248 282.2V360c0 13.25-10.75 24-24 24s-24-10.75-24-24V282.2L101.8 167.6C93.16 157.6 94.31 142.4 104.4 133.8c10.08-8.625 25.22-7.438 33.84 2.594L224 236.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C353.7 142.4 354.8 157.6 346.2 167.6z"],
    "square-z": [448, 512, [], "e288", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L250.2 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L197.8 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "squid": [512, 512, [129425], "e450", "M289.9 336.9C288.2 337.5 286.7 338.5 285.3 339.8C284.1 341 283.1 342.5 282.4 344.1C281.8 345.7 281.4 347.5 281.4 349.2C281.4 351 281.8 352.7 282.4 354.4C283.1 356 284.1 357.5 285.3 358.7L321.3 394.2C322.8 395.7 324.6 396.9 326.5 397.7C328.5 398.5 330.6 398.9 332.7 398.9C334.8 398.9 336.9 398.5 338.8 397.7C340.8 396.9 342.5 395.7 344 394.2L404.8 333.8C409.3 329.3 414.7 325.7 420.6 323.3C426.5 320.9 432.8 319.7 439.2 319.8C445.6 319.8 451.9 321.1 457.7 323.7C463.6 326.2 468.9 329.8 473.3 334.4L508.1 373.1L508.3 373.6C510.8 376.6 512.2 380.5 512 384.5C511.9 388.5 510.3 392.2 507.5 395.1C491.1 411.6 469.1 421.5 445.8 422.8C422.5 424.1 399.6 416.7 381.4 402.1L366.6 416.9C361.6 421.9 355.5 425.7 348.9 428.1C342.3 430.5 335.2 431.4 328.2 430.7C316.4 429.4 305.5 424.1 297.3 415.6L265.9 384.2C262.6 380.8 258.1 378.1 253.4 378.1C248.7 378.1 244.2 380.8 240.9 384.2L240.5 384.5C237.2 387.8 235.4 392.3 235.4 397.1C235.4 401.8 237.2 406.3 240.5 409.6L260.8 429.9C269.8 438.9 274.9 451.1 274.9 463.8C274.9 476.6 269.8 488.8 260.8 497.8L252 506.5C249.3 509.3 245.7 511.1 241.9 511.5C238 511.1 234.1 511 230.9 508.9C228.1 507.5 227.4 505.8 226.2 503.8C225.1 501.7 224.4 499.5 224.2 497.2C223.1 494.8 224.3 492.5 225.1 490.3C225.9 488.1 227.2 486.1 228.8 484.5L238.2 475.1C241.2 472.1 242.9 468.1 242.9 463.8C242.9 459.6 241.2 455.5 238.2 452.5L198.7 413.1C196.8 411.2 194.5 409.8 192 408.1C189.5 408.1 186.9 407.8 184.3 408.2C181.6 408.5 179.1 409.3 176.9 410.7C174.6 412.1 172.7 414 171.3 416.3L148.4 445.5C145.4 449.7 143.9 454.8 144.2 459.9C144.6 465.1 146.8 469.9 150.4 473.6C152.4 475.6 154.7 477.2 157.3 478.3C159.9 479.4 162.7 479.1 165.6 479.1H175.2C179.1 479.9 182.9 481.2 185.9 483.6C188.9 486.1 191 489.5 191.8 493.3C192.2 495.6 192.1 497.1 191.4 500.2C190.8 502.5 189.7 504.5 188.2 506.3C186.7 508.1 184.9 509.5 182.7 510.5C180.6 511.5 178.3 512 176 511.1H165.4C158.4 512 151.5 510.7 145 508C138.6 505.4 132.7 501.5 127.7 496.6C118.6 487.4 113.2 475.3 112.3 462.4C111.4 449.5 115.2 436.8 122.9 426.4L145.3 397.6C148.3 393.4 149.7 388.2 149.2 382.1C148.8 377.8 146.5 372.9 142.8 369.2C139.1 365.6 134.3 363.3 129.1 362.8C123.9 362.4 118.7 363.7 114.4 366.7L85.79 389.1C75.47 396.9 62.71 400.6 49.83 399.8C36.96 398.9 24.83 393.4 15.65 384.3C10.67 379.4 6.731 373.5 4.046 367C1.36 360.5-.0152 353.6 .0001 346.6V335.1C.018 333.7 .5396 331.4 1.529 329.3C2.518 327.2 3.951 325.3 5.728 323.9C7.505 322.4 9.585 321.3 11.82 320.7C14.06 320.1 16.4 319.1 18.69 320.3C22.5 321.1 25.93 323.2 28.36 326.2C30.8 329.3 32.08 333.1 32 336.1V346.6C32.02 349.4 32.6 352.1 33.7 354.7C34.8 357.3 36.39 359.6 38.4 361.6C42.05 365.2 46.87 367.4 51.1 367.8C57.12 368.2 62.21 366.7 66.37 363.7L95.55 340.9C97.77 339.4 99.65 337.5 101.1 335.3C102.4 333 103.3 330.5 103.6 327.9C103.9 325.3 103.7 322.6 102.8 320.1C101.1 317.6 100.6 315.3 98.75 313.4L59.3 273.9C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.9L27.33 283.3C25.68 284.1 23.69 286.2 21.5 287C19.31 287.8 16.97 288.2 14.65 287.1C12.33 287.8 10.08 287.1 8.056 285.9C6.034 284.7 4.289 283.1 2.944 281.2C.7832 278-.1672 274.1 .26 270.2C.6872 266.4 2.465 262.8 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.7C105.5 274.1 110 276.8 114.7 276.8C119.4 276.8 123.9 274.1 127.2 271.7L127.6 271.3C130.9 267.1 132.8 263.5 132.8 258.8C132.8 254.1 130.9 249.6 127.6 246.2L96.16 214.8C87.66 206.6 82.3 195.7 80.99 183.1C80.34 176.1 81.25 169.9 83.65 163.2C86.05 156.6 89.88 150.6 94.88 145.6L109.6 130.7C94.1 112.6 87.62 89.63 88.92 66.36C90.22 43.08 100.1 21.11 116.7 4.702C119.5 1.928 123.3 .3095 127.3 .1616C131.2 .0138 135.1 1.347 138.1 3.902L138.7 4.126L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.71 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.3 226.7C154.5 227.1 155.1 228.1 157.6 229.6C159.2 230.3 160.1 230.6 162.8 230.6C164.5 230.6 166.3 230.3 167.9 229.6C169.5 228.1 170.1 227.1 172.2 226.7C173.5 225.4 174.5 223.9 175.2 222.2C175.9 220.5 176.2 218.6 176.2 216.8C176.1 204.5 178 192.2 181.1 180.5C188.7 160.1 199.5 143.1 213.6 127.1C231.8 109.8 251.5 93.3 272.6 78.56L256.6 20.13C255.9 17.66 255.8 15.06 256.4 12.56C256.9 10.06 258.1 7.73 259.7 5.758C261.3 3.787 263.4 2.235 265.8 1.233C268.1 .2304 270.7-.1933 273.2-.0022L371.8 7.614C383.4 8.667 394.8 11.11 405.8 14.88C435.1 6.157 465.4 1.158 496-.0022C500.2-.0022 504.3 1.684 507.3 4.684C510.3 7.685 512 11.75 512 15.1C510.8 46.56 505.8 76.86 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512.2 241.3 511.7 243.9 510.7 246.3C509.7 248.6 508.1 250.7 506.1 252.3C504.2 253.1 501.8 255.1 499.3 255.7C496.8 256.2 494.2 256.2 491.7 255.5L433.3 239.5C418.6 260.5 402.1 280.3 384 298.4C368.1 312.6 351.1 323.4 331.6 330.2C319.9 334.1 307.6 336.1 295.2 335.1C293.4 335.9 291.6 336.2 289.9 336.9L289.9 336.9zM195.3 291.3C198.3 288.3 200 284.2 200 279.1C200 276.8 199.1 273.7 197.3 271.1C195.5 268.5 193 266.4 190.1 265.2C187.2 264 183.1 263.7 180.9 264.3C177.8 264.9 174.9 266.4 172.7 268.7C170.4 270.9 168.9 273.8 168.3 276.9C167.7 279.1 168 283.2 169.2 286.1C170.4 289 172.5 291.5 175.1 293.3C177.7 295.1 180.8 295.1 184 295.1C188.2 295.1 192.3 294.3 195.3 291.3zM243.3 339.3C246.3 336.3 248 332.2 248 327.1C248 324.8 247.1 321.7 245.3 319.1C243.5 316.5 241 314.4 238.1 313.2C235.2 312 231.1 311.7 228.9 312.3C225.8 312.9 222.9 314.4 220.7 316.7C218.4 318.9 216.9 321.8 216.3 324.9C215.7 327.1 216 331.2 217.2 334.1C218.4 337 220.5 339.5 223.1 341.3C225.7 343.1 228.8 343.1 232 343.1C236.2 343.1 240.3 342.3 243.3 339.3z"],
    "squirrel": [576, 512, [], "f71a", "M182.9 287.8C180.6 287.9 178.3 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V247.6C320 249.9 320.5 252.1 321.3 254C341.5 204.1 352 150.4 352 96V75.2C352 69.01 357 64 363.2 64C378.4 64 391.9 71.61 400 83.24C408.1 71.61 421.6 64 436.8 64C442.1 64 448 69.01 448 75.2V96C501 96 544 138.1 544 192L535.8 204.4C520.9 226.6 495.9 240 469.2 240H448V298.8C433.5 291.9 417.2 288 400 288C386.9 288 374.4 290.2 362.7 294.4C354.3 297.3 349.1 306.5 352.9 314.8C355.9 323.1 365 327.5 373.3 324.5C381.7 321.6 390.6 320 400 320C418 320 434.6 325.1 448 335.1C467.4 350.6 480 373.8 480 400C480 418 474 434.6 464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H288C217.3 512 160 454.7 160 384C160 352.6 171.3 323.9 189.1 301.7C191.3 300.2 192 298.2 192 296.2C192 291.4 187.8 287.6 182.9 287.8V287.8zM448 176C456.8 176 464 168.8 464 160C464 151.2 456.8 144 448 144C439.2 144 432 151.2 432 160C432 168.8 439.2 176 448 176z"],
    "staff": [512, 512, [], "f71b", "M512 79.1v103.9c0 35.75-23.74 67.12-57.99 76.87l-10.51 3l-19.51 33.85c-4.375 7.623-14.24 10.27-21.87 5.774l-32.25-18.63L285.1 308.1c-13.12 3.75-24.1 10.76-34.62 20.38l-175.6 175.6c-9.375 9.375-24.5 9.375-33.87 0l-33.1-33.1c-9.375-9.373-9.375-24.5 0-33.87l88.99-88.99V303.1c0-8.875 7.126-16 15.1-16h44.12l26.5-26.49c21.12-21.13 47.33-36.48 76.08-44.73l157.3-45.01V95.1h-50.37l-11.5 23.12c-4 7.875-13.62 11.13-21.5 7.125L275.4 97.62c-7.873-3.875-11.12-13.5-7.123-21.37l16.01-32.02c13.5-27.12 41.23-44.23 71.48-44.23h76.25C476.1 0 512 35.88 512 79.1z"],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", "M222.5 48H288C341 48 384 90.98 384 144C384 197 341 240 288 240H248V160H288C296.8 160 304 152.8 304 144C304 135.2 296.8 128 288 128H220L215.5 272H256C309 272 352 314.1 352 368C352 421 309 464 256 464H240V384H256C264.8 384 272 376.8 272 368C272 359.2 264.8 352 256 352H212.1L208.5 496C208.2 504.9 200.9 512 191.1 512C183.1 512 175.8 504.9 175.5 496L174.5 464H135.1C113.9 464 95.1 446.1 95.1 424C95.1 401.9 113.9 384 135.1 384H171.1L170.1 352H151.1C98.98 352 55.1 309 55.1 256C55.1 208.4 90.6 168.9 135.1 161.3V256C135.1 264.8 143.2 272 151.1 272H168.5L164 128H122.6C113.6 146.9 94.34 160 72 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H161.5L160.1 31.98C160.1 31.33 160.1 30.69 160.1 30.05C161.5 13.43 175.1 0 192 0C208.9 0 222.5 13.43 223 30.05C223 30.69 223 31.33 223 31.98L222.5 48zM79.1 96C79.1 87.16 72.84 80 63.1 80C55.16 80 47.1 87.16 47.1 96C47.1 104.8 55.16 112 63.1 112C72.84 112 79.1 104.8 79.1 96z"],
    "stairs": [576, 512, [], "e289", "M576 64c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32H192v96c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-96c0-17.67 14.31-32 32-32h96V192c0-17.67 14.31-32 32-32h96V64c0-17.67 14.31-32 32-32h128C561.7 32 576 46.33 576 64z"],
    "stamp": [512, 512, [], "f5bf", "M366.2 256H400C461.9 256 512 306.1 512 368C512 388.9 498.6 406.7 480 413.3V464C480 490.5 458.5 512 432 512H80C53.49 512 32 490.5 32 464V413.3C13.36 406.7 0 388.9 0 368C0 306.1 50.14 256 112 256H145.8C175.7 256 200 231.7 200 201.8C200 184.3 190.8 168.5 180.1 154.8C167.5 138.5 160 118.1 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 118.1 344.5 138.5 331.9 154.8C321.2 168.5 312 184.3 312 201.8C312 231.7 336.3 256 366.2 256zM416 416H96V448H416V416z"],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", "M384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM268.9 305.2c-5.781 29.53-33.64 46.81-73.2 46.81c-6.656 0-13.71-.4844-20.96-1.484c-13.41-1.781-27.31-6.172-39.59-10.06l-5.656-1.797c-11.59-3.609-18.09-15.94-14.47-27.53c3.625-11.62 15.78-18.19 27.53-14.47l5.906 1.844c10.53 3.344 22.47 7.125 32.16 8.406c25.97 3.641 43.59-2.484 45.09-10.17c1.281-6.453-3.906-10.58-39.16-19.45L179.1 275.4C157 269.7 105.4 256.3 115.1 206.8c6.75-34.5 43.75-52.28 94.16-45.31C220.6 163 232.4 166.4 240.4 168.8C252 172.3 258.6 184.6 255.1 196.3C251.5 207.8 239.3 214.5 227.6 210.9C221.1 208.9 211.5 206.2 203.3 205.1c-25.75-3.531-43.53 2.5-45 10.19C157.5 219.4 156.6 224.1 190.1 232.8l7.188 1.828C227.8 242.3 278.7 255.1 268.9 305.2zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z"],
    "stapler": [640, 512, [], "e5af", "M640 299.3V432C640 458.5 618.5 480 592 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448V368H96C78.33 368 64 353.7 64 336V219.4L33.8 214C14.24 210.5 0 193.5 0 173.7C0 164.8 2.878 156.2 8.201 149.1L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C619.5 229.7 640 262.1 640 299.3H640zM448 288L128 230.9V304H448V288z"],
    "star": [576, 512, [61446, 11088], "f005", "M381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3z"],
    "star-and-crescent": [512, 512, [9770], "f699", "M340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.13-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4zM503.5 213.9l-76.38-11.12L392.9 133.5C391.1 129.9 387.5 128 384 128c-3.5 0-7.125 1.875-9 5.5l-34.13 69.25l-76.38 11.12c-8.125 1.125-11.38 11.25-5.5 17l55.25 53.88l-13 76c-1.125 6.5 3.1 11.75 9.75 11.75c1.5 0 3.125-.375 4.625-1.25l68.38-35.88l68.25 35.88c1.625 .875 3.125 1.25 4.75 1.25c5.75 0 10.88-5.25 9.75-11.75l-13-76l55.25-53.88C514.9 225.1 511.6 214.1 503.5 213.9z"],
    "star-christmas": [512, 512, [], "f7d4", "M119 152.1C123.7 157.7 129.8 160 136 160s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-48-48c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L119 152.1zM376 160c6.156 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C363.7 157.7 369.8 160 376 160zM392.1 359C388.3 354.3 382.2 352 376 352s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l48 48c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L392.1 359zM136 352c-6.156 0-12.28 2.344-16.97 7.031l-48 48c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l48-48c9.375-9.375 9.375-24.56 0-33.94C148.3 354.3 142.2 352 136 352zM493.6 232.4l-171.2-42.78l-42.78-171.2C276.8 7.406 267.3 0 256 0s-20.84 7.406-23.62 18.47L189.6 189.6L18.44 232.4C7.406 235.2 0 244.6 0 255.1c0 11.34 7.406 20.86 18.47 23.64l171.1 42.78l42.66 171.2C235 504.6 244.5 512 255.9 512s20.84-7.406 23.62-18.47l42.78-171.1l171.3-42.78C504.6 276.8 512 267.3 512 255.1C512 244.6 504.6 235.2 493.6 232.4z"],
    "star-exclamation": [576, 512, [], "f2f3", "M288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391H288.1zM264 152V264C264 277.3 274.7 288 288 288C301.3 288 312 277.3 312 264V152C312 138.7 301.3 128 288 128C274.7 128 264 138.7 264 152zM288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320z"],
    "star-half": [576, 512, [61731], "f089", "M288 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.995 275.8 .0131 287.1-.0391L288 439.8zM433.2 512C432.1 512.1 431 512.1 429.9 512H433.2z"],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", "M463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7zM288 376.4L288.1 376.3L399.7 435.9L378.4 309.6L469.2 219.8L343.8 201.4L288.1 86.85L288 87.14V376.4z"],
    "star-of-david": [512, 512, [10017], "f69a", "M490.7 345.4L435.6 256l55.1-89.38c14.87-24.25-3.62-54.61-33.12-54.61l-110.6-.005l-57.87-93.1C281.7 6.003 268.9 0 256 0C243.1 0 230.3 6.003 222.9 18L165 112H54.39c-29.62 0-47.99 30.37-33.12 54.62L76.37 256l-55.1 89.38C6.4 369.6 24.77 399.1 54.39 399.1h110.6l57.87 93.1C230.3 505.1 243.1 512 256 512c12.88 0 25.74-6.002 33.12-18l57.83-93.1h110.7C487.2 399.1 505.6 369.6 490.7 345.4zM256 73.77l23.59 38.23H232.5L256 73.77zM89.48 343.1l20.59-33.35l20.45 33.35H89.48zM110 201.3L89.48 168h41.04L110 201.3zM256 438.2l-23.59-38.25h47.08L256 438.2zM313.9 343.1H198L143.8 256l54.22-87.1h116L368.3 256L313.9 343.1zM381.3 343.1l20.67-33.29l20.52 33.29H381.3zM401.1 201.3l-20.51-33.29h41.04L401.1 201.3z"],
    "star-of-life": [512, 512, [], "f621", "M489.1 363.3l-24.03 41.59c-6.635 11.48-21.33 15.41-32.82 8.78l-129.1-74.56V488c0 13.25-10.75 24-24.02 24H231.1c-13.27 0-24.02-10.75-24.02-24v-148.9L78.87 413.7c-11.49 6.629-26.19 2.698-32.82-8.78l-24.03-41.59c-6.635-11.48-2.718-26.14 8.774-32.77L159.9 256L30.8 181.5C19.3 174.8 15.39 160.2 22.02 148.7l24.03-41.59c6.635-11.48 21.33-15.41 32.82-8.781l129.1 74.56L207.1 24c0-13.25 10.75-24 24.02-24h48.04c13.27 0 24.02 10.75 24.02 24l.0005 148.9l129.1-74.56c11.49-6.629 26.19-2.698 32.82 8.78l24.02 41.59c6.637 11.48 2.718 26.14-8.774 32.77L352.1 256l129.1 74.53C492.7 337.2 496.6 351.8 489.1 363.3z"],
    "star-sharp": [512, 512, [], "e28b", "M329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176z"],
    "star-sharp-half": [512, 512, [], "e28c", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", "M9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.5 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9zM256 335.5L338.2 399.4L306.7 300.4L394.7 232H288.6L256 129.5L256 335.5z"],
    "star-shooting": [512, 512, [127776], "e036", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.377-17-32.72-17.13-41.22 0l-46.87 95.25L19.73 267.2C.8538 269.1-6.744 293.2 7.006 306.5L82.88 380.5l-17.1 104.6c-3.125 18.88 16.72 33.05 33.35 24.18l93.77-49.38l93.75 49.38c7.75 4.127 17.14 3.365 24.26-1.762c7-5.125 10.61-13.89 9.108-22.39l-17.9-104.6l75.9-74C390.7 293.3 383.1 269.1 364.2 267.2zM311 200.1C315.7 205.7 321.9 208 328 208s12.28-2.344 16.97-7.031l160-160c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-160 160C301.7 176.4 301.7 191.6 311 200.1zM248 96c6.141 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C235.7 93.66 241.9 96 248 96zM471 199l-48 48c-9.375 9.375-9.375 24.56 0 33.94C427.7 285.7 433.9 288 440 288s12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94S480.4 189.7 471 199z"],
    "starfighter": [640, 512, [], "e037", "M384 256V464C384 472.8 376.8 480 368 480H272C263.2 480 256 472.8 256 464V256L286.2 14.02C287.2 6.009 294.1 0 302.1 0H337.9C345.9 0 352.8 6.009 353.8 14.02L384 256zM288 304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256V304zM48 72C61.25 72 72 82.75 72 96V120C85.25 120 96 130.7 96 144C96 157.3 85.25 168 72 168V352H128V320C128 302.3 142.3 288 160 288H192C209.7 288 224 302.3 224 320V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V470.4L72 444V448C72 461.3 61.25 472 48 472C34.75 472 24 461.3 24 448V168C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120V96C24 82.75 34.75 72 48 72zM592 72C605.3 72 616 82.75 616 96V120C629.3 120 640 130.7 640 144C640 157.3 629.3 168 616 168V448C616 461.3 605.3 472 592 472C578.7 472 568 461.3 568 448V444L480 470.4V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V320C416 302.3 430.3 288 448 288H480C497.7 288 512 302.3 512 320V352H568V168C554.7 168 544 157.3 544 144C544 130.7 554.7 120 568 120V96C568 82.75 578.7 72 592 72z"],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", "M32 32C49.67 32 64 46.33 64 64V211.2L139.6 196.1C163.3 137.4 220.8 96 288 96C355.2 96 412.7 137.4 436.4 196.1L512 211.2V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V300.8L436.4 315.9C412.7 374.6 355.2 416 288 416C220.8 416 163.3 374.6 139.6 315.9L64 300.8V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM272 350.7V317.1C266.1 316.5 260.6 314.1 255.5 311.1L232.4 334.3C243.9 342.5 257.4 348.2 271.1 350.7H272zM209.7 311.6L232.9 288.5C229.9 283.4 227.5 277.9 226 272H193.3C195.8 286.6 201.5 300.1 209.7 311.6V311.6zM193.3 240H226C227.5 234.1 229.9 228.6 232.9 223.5L209.7 200.4C201.5 211.9 195.8 225.4 193.3 240V240zM232.4 177.7L255.5 200.9C260.6 197.9 266.1 195.5 271.1 194V161.3C257.4 163.8 243.9 169.5 232.4 177.7H232.4zM320.5 311.1C315.4 314.1 309.9 316.5 304 317.1V350.7C318.6 348.2 332.1 342.5 343.6 334.3L320.5 311.1zM366.3 311.6C374.5 300.1 380.2 286.6 382.7 272H349.1C348.5 277.9 346.1 283.4 343.1 288.5L366.3 311.6zM349.1 240H382.7C380.2 225.4 374.5 211.9 366.3 200.4L343.1 223.5C346.1 228.6 348.5 234.1 349.1 240V240zM304 161.3V194C309.9 195.5 315.4 197.9 320.5 200.9L343.6 177.7C332.1 169.5 318.6 163.8 304 161.3H304zM310.8 278.5C316.5 272.7 320 264.8 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288C296.8 288 304.7 284.5 310.5 278.8L310.8 278.5z"],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", "M148.8 7.704C162.2 19.21 163.8 39.41 152.3 52.83L64 155.8V217.6L171.6 196.1C195.3 137.4 252.8 96 320 96C387.2 96 444.7 137.4 468.4 196.1L576 217.6V148.5L488.5 53.71C476.5 40.72 477.3 20.47 490.3 8.487C503.3-3.5 523.5-2.691 535.5 10.3L623 105.1C633.9 116.9 640 132.4 640 148.5V348.8C640 363.3 635.1 377.4 625.1 388.8L536.1 499.1C525.9 513.8 505.8 516 492 504.1C478.2 493.9 475.1 473.8 487 460L576 348.8V294.4L468.4 315.9C444.7 374.6 387.2 416 320 416C252.8 416 195.3 374.6 171.6 315.9L64 294.4V356.2L152.3 459.2C163.8 472.6 162.2 492.8 148.8 504.3C135.4 515.8 115.2 514.2 103.7 500.8L15.41 397.8C5.465 386.2 0 371.4 0 356.2V155.8C0 140.6 5.465 125.8 15.41 114.2L103.7 11.18C115.2-2.243 135.4-3.797 148.8 7.704V7.704zM304 350.7V317.1C298.1 316.5 292.6 314.1 287.5 311.1L264.4 334.3C275.9 342.5 289.4 348.2 304 350.7H304zM241.7 311.6L264.9 288.5C261.9 283.4 259.5 277.9 258 272H225.3C227.8 286.6 233.5 300.1 241.7 311.6V311.6zM225.3 240H258C259.5 234.1 261.9 228.6 264.9 223.5L241.7 200.4C233.5 211.9 227.8 225.4 225.3 240V240zM264.4 177.7L287.5 200.9C292.6 197.9 298.1 195.5 304 194V161.3C289.4 163.8 275.9 169.5 264.4 177.7H264.4zM352.5 311.1C347.4 314.1 341.9 316.5 336 317.1V350.7C350.6 348.2 364.1 342.5 375.6 334.3L352.5 311.1zM398.3 311.6C406.5 300.1 412.2 286.6 414.7 272H381.1C380.5 277.9 378.1 283.4 375.1 288.5L398.3 311.6zM381.1 240H414.7C412.2 225.4 406.5 211.9 398.3 200.4L375.1 223.5C378.1 228.6 380.5 234.1 381.1 240V240zM336 161.3V194C341.9 195.5 347.4 197.9 352.5 200.9L375.6 177.7C364.1 169.5 350.6 163.8 336 161.3H336zM342.8 278.5C348.5 272.7 352 264.8 352 256C352 238.3 337.7 224 320 224H319.1C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C328.8 288 336.7 284.5 342.5 278.8L342.8 278.5z"],
    "stars": [512, 512, [], "f762", "M259.7 86l49.66 20.63l20.62 49.67c1.125 2.375 3.498 3.707 5.998 3.707c2.5 0 4.876-1.332 6.001-3.707l20.62-49.67l49.62-20.63c2.375-1.125 3.748-3.501 3.748-6.002s-1.373-4.874-3.748-5.999L362.6 53.38l-20.62-49.63C340.9 1.375 338.5 0 336 0c-2.5 0-4.872 1.375-5.997 3.75l-20.62 49.63l-49.66 20.63c-2.375 1.125-3.712 3.499-3.712 5.999S257.3 84.88 259.7 86zM364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0L124.5 251.1L19.71 267.2C.8322 269.1-6.742 293.2 7.007 306.5l75.87 74l-17.1 104.6c-3.125 18.88 16.7 33.05 33.32 24.18l93.79-49.38l93.74 49.38c7.75 4.125 17.13 3.386 24.25-1.739c6.1-5.125 10.62-13.91 9.119-22.41L301.2 380.5l75.92-74C390.7 293.3 383.1 269.1 364.2 267.2zM509 219.3l-39.62-16.63l-16.62-39.63c-.875-1.875-2.751-3.003-4.751-3.003s-3.874 1.128-4.749 3.003l-16.62 39.63L387 219.3c-1.875 .8751-3.002 2.746-3.002 4.746c0 2 1.127 3.879 3.002 4.754l39.62 16.63l16.62 39.63c.875 1.875 2.749 2.995 4.749 2.995s3.876-1.12 4.751-2.995l16.62-39.63l39.62-16.63C510.9 227.9 512 226 512 224C512 222 510.9 220.1 509 219.3z"],
    "starship": [640, 512, [], "e039", "M480 256C480 273.7 465.7 288 448 288C430.3 288 416 273.7 416 256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256zM256 256C256 149.1 341.1 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C341.1 448 256 362 256 256zM448 320C483.3 320 512 291.3 512 256C512 220.7 483.3 192 448 192C412.7 192 384 220.7 384 256C384 291.3 412.7 320 448 320zM188.9 205.4L231.9 196.8C226.8 215.7 224 235.5 224 256C224 276.5 226.8 296.3 231.9 315.2L188.9 306.6L137 352H208C225.7 352 240 366.3 240 384C240 401.7 225.7 416 208 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64.13L129.6 294.7L127.4 294.3C109.1 290.6 96 274.6 96 256C96 237.4 109.1 221.4 127.4 217.7L129.6 217.3L64.13 159.1H32C14.33 159.1 0 145.7 0 127.1C0 110.3 14.33 95.1 32 95.1H208C225.7 95.1 240 110.3 240 127.1C240 145.7 225.7 159.1 208 159.1H137L188.9 205.4z"],
    "starship-freighter": [576, 512, [], "e03a", "M176 256C176 229.5 197.5 208 224 208C250.5 208 272 229.5 272 256C272 282.5 250.5 304 224 304C197.5 304 176 282.5 176 256zM224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V207.1C576 216.8 568.8 223.1 560 223.1H432C423.2 223.1 416 231.2 416 239.1V271.1C416 280.8 423.2 287.1 432 287.1H560C568.8 287.1 576 295.2 576 303.1V346.1C576 359.3 567.9 371.2 555.6 375.9L473.5 407.9C477.6 414.1 480 423.2 480 432C480 458.5 458.5 480 432 480H352C340.5 480 330.4 473.9 324.7 464.8C292.2 474.9 258.2 480 224 480V480zM224 336C268.2 336 304 300.2 304 256C304 211.8 268.2 176 224 176C179.8 176 144 211.8 144 256C144 300.2 179.8 336 224 336zM80 272C88.84 272 96 264.8 96 256C96 247.2 88.84 240 80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272zM112 144C103.2 144 96 151.2 96 160C96 168.8 103.2 176 112 176C120.8 176 128 168.8 128 160C128 151.2 120.8 144 112 144zM112 368C120.8 368 128 360.8 128 352C128 343.2 120.8 336 112 336C103.2 336 96 343.2 96 352C96 360.8 103.2 368 112 368z"],
    "steak": [576, 512, [129385], "f824", "M368.9 96c-27.38 0-51.88 23.71-62.63 60.33c-6.25 21.38-26.75 106.2-173.1 169.1c-138.9 60.38 163.9 169.5 321.3-9.792C492.5 273 487.1 190.5 442.8 140C417.9 111.6 391.6 96 368.9 96zM384 255.9c-17.62 0-32-14.25-32-32c0-17.62 14.38-32 32-32s32 14.38 32 32C416 241.6 401.6 255.9 384 255.9zM514.9 76.63C467.9 23.13 416.3 0 368.9 0c-70.63 0-131.9 51.13-154.8 129.4c-49.13 139.9-212.8 83.01-214.1 222.3c-1.25 121.6 139.3 164.6 256 160c87.75-3.375 187.4-37.08 270.5-131.8C596.8 299.8 591.6 164 514.9 76.63zM478.4 337.6c-76.13 86.75-164.2 107.8-224.7 110.1c-37.75 1.375-131.6-6.503-171.3-46.63c-2.5-2.5-59.53-61.76 37.97-104.1c71.63-31.25 132.3-71.26 155.2-149.6c14.88-50.63 51.5-83.38 93.38-83.38c32.5 0 66.35 19 97.98 54.88C521.1 181.8 527.3 281.9 478.4 337.6z"],
    "steering-wheel": [512, 512, [], "f622", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168.9 288H66.65C80.14 368.4 143.6 431.9 224 445.3V358.9L168.9 288zM288 358.9V445.3C368.4 431.9 431.9 368.4 445.3 288H343.1L288 358.9zM352 224H445.3C430.1 133.2 351.1 64 256 64C160.9 64 81.89 133.2 66.65 224H160L167.2 209.7C172.6 198.8 183.7 192 195.8 192H316.2C328.3 192 339.4 198.8 344.8 209.7L352 224z"],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", "M112 223.1H224C241.7 223.1 256 238.3 256 255.1C256 273.7 241.7 287.1 224 287.1H112V332.5C112 361.5 104.1 389.1 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H48V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96C140.8 96 112 124.8 112 160.4V223.1z"],
    "stethoscope": [576, 512, [129658], "f0f1", "M480 112c-44.18 0-80 35.82-80 80c0 32.84 19.81 60.98 48.11 73.31v78.7c0 57.25-50.25 104-112 104c-60 0-109.3-44.1-111.9-99.23C296.1 333.8 352 269.3 352 191.1V36.59c0-11.38-8.15-21.38-19.28-23.5L269.8 .4775c-13-2.625-25.54 5.766-28.16 18.77L238.4 34.99c-2.625 13 5.812 25.59 18.81 28.22l30.69 6.059L287.9 190.7c0 52.88-42.13 96.63-95.13 97.13c-53.38 .5-96.81-42.56-96.81-95.93L95.89 69.37l30.72-6.112c13-2.5 21.41-15.15 18.78-28.15L142.3 19.37c-2.5-13-15.15-21.41-28.15-18.78L51.28 12.99C40.15 15.24 32 25.09 32 36.59v155.4c0 77.25 55.11 142 128.1 156.8C162.7 439.3 240.6 512 336 512c97 0 176-75.37 176-168V265.3c28.23-12.36 48-40.46 48-73.25C560 147.8 524.2 112 480 112zM480 216c-13.25 0-24-10.75-24-24S466.7 168 480 168S504 178.7 504 192S493.3 216 480 216z"],
    "stocking": [384, 512, [], "f7d5", "M96.02 251.5l-39.01 26c-58.75 39.25-74.75 118.8-35.5 177.5C46.26 492 86.78 512 128.2 512c24.37 0 49.14-7 70.89-21.5L280.8 436c44.5-29.75 71.14-79.5 71.14-133.1L351.9 128H96.02L96.02 251.5zM351.1 0H96.01C78.41 0 64.01 14.4 64.01 32L64.01 64c0 17.6 14.41 32 32 32h255.1C369.6 96 384 81.6 384 64V32C384 14.4 369.6 0 351.1 0z"],
    "stomach": [512, 512, [], "f623", "M384 95.1c-54.25 0-90.88 32.62-109.1 63.1L256 159.1c-35.38 0-64-28.63-64-63.1V15.1C192 7.125 184.9 0 176 0h-32C135.1 0 128 7.125 128 15.1V95.1c0 70.75 57.25 128 128 128l.5-.0031C256.4 225.9 256 227.6 256 229.5v58.5c0 35.37-28.62 63.1-64 63.1H128c-70.75 0-128 57.25-128 128v15.1c0 8.875 7.125 15.1 15.1 15.1L48 511.1c8.875 0 16-7.124 16-15.1v-15.1c0-37.62 34.01-51.24 53.89-51.24c17.12 0 29.61 6.734 41.11 18.23c67.25 67.25 138.6 64.1 149.4 64.1C420.9 511.1 512 420.9 512 308.4V223.1C512 153.2 454.8 95.1 384 95.1zM448 308.4c0 9.25-1.02 18.17-2.77 26.92C423.7 341.4 400.3 336.2 384 319.1c-17.38-17.37-42.88-22.13-65.63-13.88C319.3 300.1 320 294.1 320 287.1V229.5c0-36.12 26.38-69.5 64-69.5c35.25 0 64 28.75 64 63.1V308.4z"],
    "stop": [384, 512, [9209], "f04d", "M384 128v255.1c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64H320C355.3 64 384 92.65 384 128z"],
    "stopwatch": [448, 512, [9201], "f2f2", "M272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM248 192C248 178.7 237.3 168 224 168C210.7 168 200 178.7 200 192V320C200 333.3 210.7 344 224 344C237.3 344 248 333.3 248 320V192z"],
    "stopwatch-20": [448, 512, [], "e06f", "M276 256C276 249.4 281.4 244 288 244C294.6 244 300 249.4 300 256V352C300 358.6 294.6 364 288 364C281.4 364 276 358.6 276 352V256zM272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM288 204C259.3 204 236 227.3 236 256V352C236 380.7 259.3 404 288 404C316.7 404 340 380.7 340 352V256C340 227.3 316.7 204 288 204zM172 256.5V258.8C172 262.4 170.7 265.9 168.3 268.6L129.2 312.5C115.5 327.9 108 347.8 108 368.3V384C108 395 116.1 404 128 404H192C203 404 212 395 212 384C212 372.1 203 364 192 364H148.2C149.1 354.8 152.9 346.1 159.1 339.1L198.2 295.2C207.1 285.1 211.1 272.2 211.1 258.8V256.5C211.1 227.5 188.5 204 159.5 204C136.8 204 116.8 218.5 109.6 239.9L109 241.7C105.5 252.2 111.2 263.5 121.7 266.1C132.2 270.5 143.5 264.8 146.1 254.3L147.6 252.6C149.3 247.5 154.1 244 159.5 244C166.4 244 171.1 249.6 171.1 256.5L172 256.5z"],
    "store": [576, 512, [], "f54e", "M495.5 223.2C491.6 223.7 487.6 224 483.4 224C457.4 224 434.2 212.6 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2H495.5zM499.7 254.9C503.1 254.4 508 253.6 512 252.6V448C512 483.3 483.3 512 448 512H128C92.66 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384H448V250.7C459.2 254.1 471.1 256 483.4 256C489 256 494.4 255.6 499.7 254.9L499.7 254.9z"],
    "store-lock": [640, 512, [], "e4a6", "M558.1 164.1C548.5 161.4 538.4 160 528 160C489.3 160 455.2 179.6 435.1 209.5C428.9 205.3 423.2 200.5 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1L558.1 164.1zM128 384H384V480C384 491.7 387.1 502.6 392.6 512H128C92.65 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "store-slash": [640, 512, [], "e071", "M94.92 49.09L117.7 13.13C122.8 4.98 131.9 .0007 141.6 .0007H498.4C508.1 .0007 517.2 4.979 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C489.4 224 466.2 212.6 450.3 195C434.4 212.6 411.2 224 385.1 224C359 224 335.8 212.6 319.9 195C314.4 201.1 308.1 206.4 301.2 210.7L480 350.9V250.7C491.2 254.1 503.1 256 515.4 256C521 256 526.4 255.6 531.7 254.9L531.7 254.9C535.1 254.4 540 253.6 544 252.6V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L94.92 49.09zM112.2 223.2C68.36 217.3 42.82 175.1 48.9 134.5L155.3 218.4C145.7 222 135.3 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2V223.2zM160 384H365.5L514.9 501.7C504.8 508.2 492.9 512 480 512H160C124.7 512 96 483.3 96 448V252.6C99.87 253.6 103.9 254.4 107.1 254.9L108.1 254.9C113.3 255.6 118.8 256 124.4 256C136.8 256 148.8 254.1 160 250.6V384z"],
    "strawberry": [512, 512, [], "e32b", "M299.4 117.4C273.2 90.67 235.5 63.1 189.7 63.1C108.6 63.1 0 155 0 328.7C0 469.4 33.9 512 183.3 512C357.5 512 448 402.7 448 322.3c0-45.81-26.67-83.47-53.4-109.7L299.4 117.4zM234.5 200C239.1 200 248 202.8 248 213.5C248 229.5 229.3 248 213.5 248C202.8 248 200 239.1 200 234.5C200 218.5 218.7 200 234.5 200zM170.5 136C175.1 136 184 138.8 184 149.5C184 165.5 165.3 184 149.5 184C138.8 184 136 175.1 136 170.5C136 154.5 154.7 136 170.5 136zM138.5 232C143.1 232 152 234.8 152 245.5C152 261.5 133.3 280 117.5 280C106.8 280 104 271.1 104 266.5C104 250.5 122.7 232 138.5 232zM85.46 376C74.8 376 72 367.1 72 362.5C72 346.5 90.65 328 106.5 328C111.1 328 120 330.8 120 341.5C120 357.5 101.3 376 85.46 376zM149.5 440C138.8 440 136 431.1 136 426.5C136 410.5 154.7 392 170.5 392C175.1 392 184 394.8 184 405.5C184 421.5 165.3 440 149.5 440zM181.5 344C170.8 344 168 335.1 168 330.5C168 314.5 186.7 296 202.5 296C207.1 296 216 298.8 216 309.5C216 325.5 197.3 344 181.5 344zM245.5 408C234.8 408 232 399.1 232 394.5C232 378.5 250.7 360 266.5 360C271.1 360 280 362.8 280 373.5C280 389.5 261.3 408 245.5 408zM277.5 312C266.8 312 264 303.1 264 298.5C264 282.5 282.7 264 298.5 264C303.1 264 312 266.8 312 277.5C312 293.5 293.3 312 277.5 312zM341.5 376C330.8 376 328 367.1 328 362.5C328 346.5 346.7 328 362.5 328C367.1 328 376 330.8 376 341.5C376 357.5 357.3 376 341.5 376zM447.4 108.9c26.14-27.63 48.64-64.69 48.64-84.88c0-13.35-10.89-24.05-24.11-24.05c-32.46 0-16.75 44.21-66.63 82.54C403.6 43.24 373.6 0 360.3 0C347.8 0 320 38.39 320 78.36c0 9.306 .8226 10.95 1.404 15.79c.2773 .2813 .5684 .5137 .8457 .7969l94.97 94.98c.2344 .2305 .4297 .4727 .6621 .7031C422.6 191.2 424 192 433.5 192C471.1 192 512 164.9 512 151.6C512 139.8 477.1 115.4 447.4 108.9z"],
    "street-view": [512, 512, [], "f21d", "M320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64zM288 160C323.3 160 352 188.7 352 224V272C352 289.7 337.7 304 320 304H318.2L307.2 403.5C305.4 419.7 291.7 432 275.4 432H236.6C220.3 432 206.6 419.7 204.8 403.5L193.8 304H192C174.3 304 160 289.7 160 272V224C160 188.7 188.7 160 224 160H288zM63.27 414.7C60.09 416.3 57.47 417.8 55.33 419.2C51.7 421.6 51.72 426.4 55.34 428.8C64.15 434.6 78.48 440.6 98.33 446.1C137.7 456.1 193.5 464 256 464C318.5 464 374.3 456.1 413.7 446.1C433.5 440.6 447.9 434.6 456.7 428.8C460.3 426.4 460.3 421.6 456.7 419.2C454.5 417.8 451.9 416.3 448.7 414.7C433.4 406.1 409.9 399.8 379.7 394.2C366.6 391.8 358 379.3 360.4 366.3C362.8 353.3 375.3 344.6 388.3 347C420.8 352.9 449.2 361.2 470.3 371.8C480.8 377.1 490.6 383.5 498 391.4C505.6 399.5 512 410.5 512 424C512 445.4 496.5 460.1 482.9 469C468.2 478.6 448.6 486.3 426.4 492.4C381.8 504.7 321.6 512 256 512C190.4 512 130.2 504.7 85.57 492.4C63.44 486.3 43.79 478.6 29.12 469C15.46 460.1 0 445.4 0 424C0 410.5 6.376 399.5 13.96 391.4C21.44 383.5 31.24 377.1 41.72 371.8C62.75 361.2 91.24 352.9 123.7 347C136.7 344.6 149.2 353.3 151.6 366.3C153.1 379.3 145.4 391.8 132.3 394.2C102.1 399.8 78.57 406.1 63.27 414.7H63.27z"],
    "stretcher": [640, 512, [], "f825", "M608 191.1H191.1L79.87 74.74c-11.75-13.25-32-14.38-45.25-2.625L10.74 93.37c-13.25 11.75-14.38 31.88-2.625 45.13L129.7 266.5C141.9 280.1 159.4 288 177.6 288H608c17.62 0 32-14.38 32-32v-32C640 206.4 625.6 191.1 608 191.1zM480 384c-12.61 0-24.29 3.773-34.2 10.07L409.3 368l67.2-48h-82.59L368 338.5L342.1 320H259.5l67.2 48l-36.5 26.07C280.3 387.8 268.6 384 255.1 384c-35.35 0-64 28.65-64 63.1c0 35.35 28.65 64 64 64S319.1 483.3 319.1 448c0-5.137-.765-10.07-1.908-14.85L368 397.5l49.91 35.65C416.8 437.9 415.1 442.9 415.1 448c0 35.35 28.65 64 64 64s64-28.65 64-64C544 412.7 515.3 384 480 384zM255.1 464c-8.822 0-16-7.178-16-16s7.178-16 15.1-16C264.8 432 271.1 439.2 271.1 448S264.8 464 255.1 464zM480 464c-8.822 0-16-7.178-16-16S471.2 432 480 432s16 7.178 16 16S488.8 464 480 464z"],
    "strikethrough": [512, 512, [], "f0cc", "M332.2 319.9c17.22 12.17 22.33 26.51 18.61 48.21c-3.031 17.59-10.88 29.34-24.72 36.99c-35.44 19.75-108.5 11.96-186-19.68c-16.34-6.686-35.03 1.156-41.72 17.53s1.188 35.05 17.53 41.71c31.75 12.93 95.69 35.37 157.6 35.37c29.62 0 58.81-5.156 83.72-18.96c30.81-17.09 50.44-45.46 56.72-82.11c3.998-23.27 2.168-42.58-3.488-59.05H332.2zM488 239.9l-176.5-.0309c-15.85-5.613-31.83-10.34-46.7-14.62c-85.47-24.62-110.9-39.05-103.7-81.33c2.5-14.53 10.16-25.96 22.72-34.03c20.47-13.15 64.06-23.84 155.4 .3438c17.09 4.531 34.59-5.654 39.13-22.74c4.531-17.09-5.656-34.59-22.75-39.12c-91.31-24.18-160.7-21.62-206.3 7.654C121.8 73.72 103.6 101.1 98.09 133.1C89.26 184.5 107.9 217.3 137.2 239.9L24 239.9c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1h464c13.25 0 24-10.75 24-23.1C512 250.7 501.3 239.9 488 239.9z"],
    "stroopwafel": [512, 512, [], "f551", "M188.1 210.8l-45.25 45.25l45.25 45.25l45.25-45.25L188.1 210.8zM301.2 188.1l-45.25-45.25L210.7 188.1l45.25 45.25L301.2 188.1zM210.7 323.9l45.25 45.25l45.25-45.25L255.1 278.6L210.7 323.9zM256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM442.6 295.6l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L391.8 278.6l-45.25 45.25l34 33.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-16.88 16.88l16.88 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-17 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-17l-34-33.88l-45.25 45.25l28.25 28.25c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0l-28.25-28.25L227.7 442.6c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-45.25-45.25l-33.88 34l16.88 16.88c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L131.6 403.1l-16.1 16.88c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-16.88l-17-17c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.1 17l33.88-34L120.2 278.6l-28.25 28.25c-3.125 3.125-8.25 3.125-11.38 0L69.37 295.6c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-28.25-28.25c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l45.25-45.25l-34-34l-16.88 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l16.88-17l-16.88-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.88 17l17-17c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l34 34l45.25-45.25L205.1 92c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l45.25 45.25l34-34l-17-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l17 16.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l17 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-34 34l45.25 45.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l28.25 28.25C445.7 287.4 445.7 292.5 442.6 295.6zM278.6 256l45.25 45.25l45.25-45.25l-45.25-45.25L278.6 256z"],
    "subscript": [512, 512, [], "f12c", "M480 448v-128c0-11.09-5.75-21.38-15.17-27.22c-9.422-5.875-21.25-6.344-31.14-1.406l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94c5.609 11.22 16.89 17.69 28.62 17.69v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 448 480 448zM320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z"],
    "suitcase": [512, 512, [129523], "f0f2", "M128 56C128 25.07 153.1 0 184 0H328C358.9 0 384 25.07 384 56V480H128V56zM176 96H336V56C336 51.58 332.4 48 328 48H184C179.6 48 176 51.58 176 56V96zM64 96H96V480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96zM448 480H416V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480z"],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", "M0 144v288C0 457.6 22.41 480 48 480H64V96H48C22.41 96 0 118.4 0 144zM464 96H448v384h16c25.59 0 48-22.41 48-48v-288C512 118.4 489.6 96 464 96zM384 48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H96v384h320V96h-32V48zM176 48h160V96h-160V48zM352 312C352 316.4 348.4 320 344 320H288v56c0 4.375-3.625 8-8 8h-48C227.6 384 224 380.4 224 376V320H168C163.6 320 160 316.4 160 312v-48C160 259.6 163.6 256 168 256H224V200C224 195.6 227.6 192 232 192h48C284.4 192 288 195.6 288 200V256h56C348.4 256 352 259.6 352 264V312z"],
    "suitcase-rolling": [448, 512, [], "f5c1", "M368 128h-47.95l.0123-80c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48L128 128H80C53.5 128 32 149.5 32 176v256C32 458.5 53.5 480 80 480h16.05L96 496C96 504.9 103.1 512 112 512h32C152.9 512 160 504.9 160 496L160.1 480h128L288 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16l.0492-16H368c26.5 0 48-21.5 48-48v-256C416 149.5 394.5 128 368 128zM176.1 48h96V128h-96V48zM336 384h-224C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352h224c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM336 256h-224C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224h224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256z"],
    "sun": [512, 512, [9728], "f185", "M256 159.1c-53.02 0-95.1 42.98-95.1 95.1S202.1 351.1 256 351.1s95.1-42.98 95.1-95.1S309 159.1 256 159.1zM509.3 347L446.1 255.1l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l19.7-109l109-19.7C510.4 368.8 515.6 356.1 509.3 347zM256 383.1c-70.69 0-127.1-57.31-127.1-127.1c0-70.69 57.31-127.1 127.1-127.1s127.1 57.3 127.1 127.1C383.1 326.7 326.7 383.1 256 383.1z"],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", "M120.2 154.2c4.672 4.688 10.83 7.031 16.97 7.031S149.5 158.9 154.2 154.2c9.375-9.375 9.375-24.56 0-33.93L108.9 74.97c-9.344-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L120.2 154.2zM256 112c13.25 0 24-10.75 24-24v-64C280 10.75 269.3 0 256 0S232 10.75 232 24v64C232 101.3 242.8 112 256 112zM112 256c0-13.25-10.75-24-24-24h-64C10.75 232 0 242.8 0 256s10.75 24 24 24h64C101.3 280 112 269.3 112 256zM374.8 161.2c6.141 0 12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.94s-24.59-9.375-33.94 0l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.93C362.5 158.9 368.7 161.2 374.8 161.2zM256 400c-13.25 0-24 10.75-24 24v64C232 501.3 242.8 512 256 512s24-10.75 24-24v-64C280 410.8 269.3 400 256 400zM120.2 357.8l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.93S129.6 348.4 120.2 357.8zM488 232h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C501.3 280 512 269.3 512 256S501.3 232 488 232zM391.8 357.8c-9.344-9.375-24.56-9.372-33.94 .0031s-9.375 24.56 0 33.93l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L391.8 357.8zM256 144C194.1 144 144 194.1 144 256c0 61.86 50.14 112 112 112s112-50.14 112-112C368 194.1 317.9 144 256 144z"],
    "sun-cloud": [640, 512, [127780], "f763", "M576 223.1c-12 0-23.12 3.5-32.75 9.25C539.8 192.2 505.9 159.1 464 159.1c-38.75 0-71.13 27.63-78.38 64.25c-.5 0-1-.25-1.625-.25c-35.25 0-64 28.75-64 64s28.75 64 64 64h192c35.25 0 64-28.75 64-64S611.3 223.1 576 223.1zM325.3 363.4C305.3 376.3 281.6 384 256 384c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128c46.04 0 86.06 24.52 108.6 60.1c15.28-29.75 43.27-51.29 76.25-58.31l-50.44-9.115l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l21.47-115.5L384 383.1C361.8 383.1 341.6 376.1 325.3 363.4zM336.9 204.7C319.8 177.9 290.1 160 256 160c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.21 0 33.13-4.896 47.1-12.83C293.7 324.3 288 306.8 288 287.1C288 252.2 307.8 221.2 336.9 204.7z"],
    "sun-dust": [512, 512, [], "f764", "M165.5 346.5C142.3 323.3 128 291.3 128 256c0-70.69 57.31-128 128-128c35.35 0 67.35 14.33 90.51 37.49l43.92-43.92l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7L165.5 346.5zM160 256c0 26.51 10.74 50.51 28.11 67.88l135.8-135.8C306.5 170.7 282.5 160 256 160C202.1 160 160 202.1 160 256zM160 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S177.8 448 160 448zM480 192c17.75 0 32-14.25 32-32s-14.25-32-32-32s-32 14.25-32 32S462.3 192 480 192zM320 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 288 320 288zM400 208c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 208 400 208zM240 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S257.8 368 240 368zM480 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 448 480 448zM400 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 368 400 368zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM480 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 288 480 288z"],
    "sun-haze": [640, 512, [], "f765", "M320 160C266.1 160 224 202.1 224 256h192C416 202.1 373 160 320 160zM129.9 256H192c0-70.69 57.31-127.1 128-127.1S448 185.3 448 256h62.11l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L320 65.89L228.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L185.6 121.6L76.56 141.3C65.63 143.2 60.4 155.9 66.74 164.1L129.9 256zM87.1 336h320c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-320C74.8 288 64 298.8 64 312S74.8 336 87.1 336zM480 312c0 13.2 10.8 23.1 24 23.1h112c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-112C490.8 288 480 298.8 480 312zM200 464H87.1C74.8 464 64 474.8 64 488S74.8 512 87.1 512h112C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464h-320c-13.2 0-24 10.8-24 23.1S282.8 512 296 512h320c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400c0-13.2-10.8-23.1-24-23.1h-528C10.8 376 0 386.8 0 400s10.8 23.1 23.1 23.1h528C565.2 424 576 413.2 576 400z"],
    "sun-plant-wilt": [640, 512, [], "e57a", "M192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM160 0C166.3 0 172 3.708 174.6 9.467L199.4 64.89L256.1 43.23C262 40.98 268.7 42.4 273.1 46.86C277.6 51.32 279 57.99 276.8 63.88L255.1 120.6L310.5 145.4C316.3 147.1 320 153.7 320 160C320 166.3 316.3 172 310.5 174.6L255.1 199.4L276.8 256.1C279 262 277.6 268.7 273.1 273.1C268.7 277.6 262 279 256.1 276.8L199.4 255.1L174.6 310.5C172 316.3 166.3 320 160 320C153.7 320 147.1 316.3 145.4 310.5L120.6 255.1L63.88 276.8C57.99 279 51.32 277.6 46.86 273.1C42.4 268.7 40.98 262 43.23 256.1L64.89 199.4L9.467 174.6C3.708 172 0 166.3 0 160C0 153.7 3.708 147.1 9.467 145.4L64.89 120.6L43.23 63.88C40.98 57.99 42.4 51.32 46.86 46.86C51.32 42.4 57.99 40.98 63.88 43.23L120.6 64.89L145.4 9.467C147.1 3.708 153.7 0 160 0V0zM160 224C195.3 224 224 195.3 224 160C224 124.7 195.3 96 160 96C124.7 96 96 124.7 96 160C96 195.3 124.7 224 160 224zM504 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 .0003 497.7 .0003 480C.0003 462.3 14.33 448 32 448H456V272C456 254.3 441.7 240 424 240C406.3 240 392 254.3 392 272V293.4C406.8 301.1 416 316.5 416 338C416 357.3 394.5 390.1 368 416C341.5 390.1 320 357.6 320 338C320 316.5 329.2 301.1 344 293.4V271.1C344 227.8 379.8 191.1 424 191.1C435.4 191.1 446.2 194.4 456 198.7V175.1C456 131.8 491.8 95.1 536 95.1C580.2 95.1 616 131.8 616 175.1V229.4C630.8 237.1 640 252.5 640 274C640 293.3 618.5 326.1 592 352C565.5 326.1 544 293.6 544 274C544 252.5 553.2 237.1 568 229.4V175.1C568 158.3 553.7 143.1 536 143.1C518.3 143.1 504 158.3 504 175.1V448z"],
    "sunglasses": [576, 512, [128374], "f892", "M574.1 280.4l-45.38-181.7c-5.875-23.75-21.5-43.1-43-55.75c-21.5-11.88-47-14.12-70.25-6.375L400.3 41.64c-8.375 2.75-12.88 11.87-10 20.25l5 15.12c2.75 8.375 11.88 12.87 20.25 10.12l13.12-4.375c10.88-3.625 23.04-3.625 33.17 1.75c10.25 5.25 17.71 14.62 20.46 25.75l38.38 153.9C494.4 255.9 467 251.8 439.5 251.6c-34.75 0-74 6.998-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-27.5 .125-54.92 4.251-81.17 12.5l38.38-153.9C96.5 99.14 104 89.76 114.3 84.51C124.4 79.14 136.5 79.14 147.4 82.76L160.5 87.14c4 1.375 8.375 1.01 12.25-.8648c3.75-1.875 6.625-5.26 8-9.26l5-15.21C188.6 53.43 183.1 44.39 175.7 41.64l-15.25-5.125c-23.25-7.748-48.71-5.5-70.21 6.375c-21.5 11.75-37.13 31.1-43 55.75L1.875 280.4C.75 285.5 .125 290.6 0 295.9v70.25C0 428.1 51.62 480 115.3 480h37.04c60.38 0 110.5-46 114.1-105.4l2.875-38.62h35.75l2.875 38.62C313.3 433.1 363.3 480 423.7 480h37.04C524.4 480 576 428.1 576 366.1v-70.25C576 290.6 575.4 285.5 574.1 280.4zM64.25 367.9C64.25 367.3 64 366.8 64 366.1v-37.62c23.25-8.373 47.88-12.75 72.63-12.87c9.125 0 18.12 1.25 27.12 2.5L64.25 367.9zM372.4 365.9l-2.875-37.37c22.38-8.498 46-12.87 70-12.87c9.5 .125 19.12 .875 28.62 2.25L372.4 365.9z"],
    "sunrise": [576, 512, [127749], "f766", "M62.41 432h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02c6.332-9.127 1.104-21.75-9.826-23.72l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16c-9.125-6.334-21.74-1.107-23.72 9.826l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72L62.41 432zM203.3 432h165c-16.56-28.59-47.1-48.01-82.52-48.01S219.9 403.4 203.3 432zM551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 512 24 512H551.1C565.2 512 576 501.2 576 487.1C576 474.8 565.2 463.1 551.1 463.1zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"],
    "sunset": [576, 512, [127751], "f767", "M62.41 432h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02c6.332-9.127 1.104-21.75-9.826-23.72l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16c-9.125-6.334-21.74-1.107-23.72 9.826l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72L62.41 432zM203.3 432h165c-16.56-28.59-47.1-48.01-82.52-48.01S219.9 403.4 203.3 432zM551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 511.1 24 511.1H551.1c13.2 0 24-10.8 24-24C576 474.8 565.2 463.1 551.1 463.1zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"],
    "superscript": [512, 512, [], "f12b", "M480 160v-128c0-11.09-5.75-21.37-15.17-27.22C455.4-1.048 443.6-1.548 433.7 3.39l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94C392.1 73.55 404.3 80.01 416 80.01v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 160 480 160zM320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z"],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", "M405.9 295.5L506.3 125.6C531 152.3 548.4 186.3 554.7 224.4L567.3 299.6C571.2 323.4 548.5 342.9 525.6 335.3L405.9 295.5zM393.5 66.05C426.3 70.9 456.7 84.09 482.1 103.6L374.8 285.2L323.1 268C308.5 263.1 293.2 261 277.9 261.6L393.5 66.05zM235.6 270.4L96.14 318.7L246.6 64H357.5L235.6 270.4zM21.26 224.4C36.63 132.2 116.1 64.57 209.5 64L49.42 334.8C26.98 341.5 4.951 322.3 8.857 298.9L21.26 224.4zM32 384V369C40.55 369.7 49.47 368.7 58.36 365.6L251.3 298.8C271.3 291.9 292.1 291.7 313 298.4L518.5 366.6C527.1 369.5 535.7 370.4 544 369.7V384C544 419.3 515.3 448 480 448C460.9 448 443.7 439.6 432 426.3C420.3 439.6 403.1 448 384 448C364.9 448 347.7 439.6 336 426.3C324.3 439.6 307.1 448 288 448C268.9 448 251.7 439.6 240 426.3C228.3 439.6 211.1 448 192 448C172.9 448 155.7 439.6 144 426.3C132.3 439.6 115.1 448 96 448C60.65 448 32 419.3 32 384V384z"],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", "M224 480C100.3 480 0 429.9 0 368V144C0 82.14 100.3 32 224 32C347.7 32 448 82.14 448 144V368C448 429.9 347.7 480 224 480zM308.2 198.4C272.9 184.9 244.4 162.4 226.2 135C210.2 138.9 189.9 145.6 169.4 155.9C150.8 165.2 132.8 177.1 117.1 191.9C146.2 201.9 183.3 208 223.1 208C254.9 208 283.8 204.5 308.2 198.4H308.2zM64 144C64 154.4 70.16 164.1 81.09 172.8C101.5 149.6 126.1 132.4 151.4 120.1C171.5 110 191.6 102.9 208.9 98.19C207.2 92.37 205.1 86.44 205.1 80.44C125.7 84.18 64 111.2 64 144L64 144zM368.6 171.4C378.5 163.1 384 153.8 384 144C384 111.6 323.9 84.85 245.8 80.59C255.1 123 299.1 165.9 368.6 171.4V171.4z"],
    "swatchbook": [512, 512, [], "f5c3", "M0 32C0 14.33 14.33 0 32 0H160C177.7 0 192 14.33 192 32V416C192 469 149 512 96 512C42.98 512 0 469 0 416V32zM128 64H64V128H128V64zM64 256H128V192H64V256zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440zM224 416V154L299.4 78.63C311.9 66.13 332.2 66.13 344.7 78.63L435.2 169.1C447.7 181.6 447.7 201.9 435.2 214.4L223.6 425.9C223.9 422.7 224 419.3 224 416V416zM374.8 320H480C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H182.8L374.8 320z"],
    "sword": [512, 512, [128481], "f71c", "M110.1 227.6c-6.25-6.248-16.37-6.248-22.62 0l-18.75 18.75c-5.498 5.373-6.249 13.87-1.999 20.25l53.37 79.99l-53.5 53.5l-29.25-14.62c-5.375-2.748-11.75-1.623-16 2.625l-17.25 17.25c-5.5 5.375-5.5 14.25 0 19.62l82.87 82.87c5.375 5.5 14.25 5.5 19.62 0l17.25-17.25c4.25-4.25 5.375-10.62 2.625-16l-14.62-29.25l53.5-53.5l79.99 53.41c6.375 4.25 14.87 3.5 20.25-2l18.75-18.79c6.25-6.25 6.25-16.37 0-22.62L110.1 227.6zM493.7 .1497l-93.74 15.88L171.9 244.1l95.99 95.99l228.1-228.1l15.87-93.75C513.3 7.781 504.2-1.35 493.7 .1497z"],
    "sword-laser": [512, 512, [], "e03b", "M9.375 412.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l79.12-79.12l-90.5-90.5L9.375 412.1zM105.5 327.3l79.25 79.25l22.62-22.62L128.1 304.6L105.5 327.3zM195.1 236.8c-3.125-3.125-8.125-3.125-11.25 0L173.4 248.1c-3.125 3.125-3.125 8.125 0 11.25l79.25 79.25c3.125 3.125 8.125 3.125 11.25 0l11.38-11.38c3.125-3.125 3.125-8.123 0-11.25L195.1 236.8zM139.5 293.4l79.12 79.12l22.62-22.62L162.1 270.8L139.5 293.4zM504.1 7.02c-9.125-9.125-23.87-9.375-33.25-.625L225.6 232.4l53.1 53.1l225.1-246.1C514.4 30.89 514.1 16.14 504.1 7.02z"],
    "sword-laser-alt": [512, 512, [], "e03c", "M128.1 361.3l-107.5 107.4l22.62 22.75l107.5-107.5L128.1 361.3zM94.25 327.3l-84.87 84.87c-12.5 12.5-12.5 32.75 0 45.25l107.5-107.5L94.25 327.3zM308.9 256H171.1c-4.25 0-8.25 1.75-11.25 4.75L105.5 315.9l90.62 90.62l124.1-123.1C330.5 273.4 323.3 256 308.9 256zM504.1 7.02c-9.123-9.125-23.87-9.375-33.37-.625L225.1 232h103.5l176.1-191.6C514.4 30.89 514.1 16.14 504.1 7.02zM54.62 502.6c12.5 12.5 32.75 12.5 45.25 0l84.87-84.87l-22.62-22.62L54.62 502.6z"],
    "swords": [512, 512, [9876], "f71d", "M309.4 389.4l79.1-80.01L93.38 13.39L15.26 .1367c-8.875-1.25-16.37 6.251-15.12 15.13l13.25 78.13L309.4 389.4zM507.2 462.1l-59.25-59.26l31.62-59.01c3.375-6.251 2.25-13.88-2.75-18.88L459.2 307.4c-6.25-6.251-16.37-6.251-22.62 0L307.3 436.8c-6.25 6.251-6.25 16.42 0 22.54l17.58 17.63c4.1 5.001 12.62 6.125 18.87 2.75l58.1-31.63l59.25 59.26c6.25 6.251 16.5 6.251 22.75 0l22.5-22.5C513.5 478.6 513.5 468.3 507.2 462.1zM498.6 93.4l13.25-78.13c1.25-8.876-6.25-16.38-15.12-15.13l-78.12 13.25l-139.1 140l79.1 80.01L498.6 93.4zM153.4 278.7L100 332L75.3 307.3c-6.25-6.251-16.42-6.251-22.54 0l-17.62 17.58c-4.1 5.001-6.125 12.63-2.75 18.88l31.62 59.01L4.768 462.1c-6.25 6.251-6.25 16.5 0 22.75l22.5 22.5c6.25 6.251 16.5 6.251 22.75 0l59.25-59.26l58.1 31.63c6.25 3.375 13.87 2.25 18.87-2.75l17.5-17.63c6.25-6.251 6.25-16.42 0-22.54l-24.63-24.71l53.37-53.38L153.4 278.7z"],
    "swords-laser": [640, 512, [], "e03d", "M135 7.019c-9.125 9.125-9.375 23.87-.625 33.37L360 286v-103.5L168.4 6.394C158.9-2.355 144.1-2.105 135 7.019zM411.3 191.8c-10-10.25-27.26-3.066-27.26 11.31l.0001 136.9c-.1251 4.25 1.626 8.25 4.627 11.25l55.28 55.25l90.54-90.62L411.3 191.8zM489.2 383.9l107.4 107.5l22.76-22.62l-107.5-107.5L489.2 383.9zM630.6 412.1l-84.91-84.87l-22.64 22.62l107.6 107.5C643.1 444.9 643.1 424.6 630.6 412.1zM455.2 417.8l84.91 84.87c12.51 12.5 32.77 12.5 45.27 0l-107.6-107.5L455.2 417.8zM256 313.3l42.75-46.75L256 220V313.3zM400.8 155l104.9-114.7c8.75-9.375 8.5-24.12-.625-33.25s-23.88-9.375-33.25-.625l-128.1 117.6l37.88 34.75c5.875-2.5 12.25-3.875 18.62-3.875C400.4 154.9 400.5 155 400.8 155zM196.6 224.6l-28.75 29.12c-12.5-12.5-32.75-12.5-45.25 0C110.1 266.3 110.1 286.5 122.5 299l-113.1 113.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l119.4-118.4C222.2 381.3 224 377.1 224 372.9V235.9C224 221.6 206.6 214.5 196.6 224.6zM168.5 360.5c-8.75 0-16-7.25-16-15.1c0-8.875 7.25-15.1 16-15.1c8.875 0 16 7.124 16 15.1C184.5 353.3 177.4 360.5 168.5 360.5z"],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", "M500.3 7.253C507.7 13.33 512 22.41 512 32V176C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128V71.03L352 90.23V208C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160V64C288 48.75 298.8 35.61 313.7 32.62L473.7 .6218C483.1-1.259 492.9 1.175 500.3 7.253H500.3zM192 .0003C209.7 .0003 224 14.33 224 32C224 49.67 209.7 64 192 64H32C14.33 64 .0006 49.67 .0006 32C.0006 14.33 14.33 .0003 32 .0003H192zM342.6 502.6C330.1 515.1 309.9 515.1 297.4 502.6C284.9 490.1 284.9 469.9 297.4 457.4L457.4 297.4C469.9 284.9 490.1 284.9 502.6 297.4C515.1 309.9 515.1 330.1 502.6 342.6L342.6 502.6zM.0006 128C.0006 110.3 14.33 96 32 96H192C209.7 96 224 110.3 224 128C224 145.7 209.7 160 192 160H144V192C144 209.7 129.7 224 112 224C94.33 224 80 209.7 80 192V160H32C14.33 160 .0006 145.7 .0006 128zM368 328C368 350.1 350.1 368 328 368C305.9 368 288 350.1 288 328C288 305.9 305.9 288 328 288C350.1 288 368 305.9 368 328zM432 472C432 449.9 449.9 432 472 432C494.1 432 512 449.9 512 472C512 494.1 494.1 512 472 512C449.9 512 432 494.1 432 472zM145.9 384.8L169.4 361.4C181.9 348.9 202.1 348.9 214.6 361.4C227.1 373.9 227.1 394.1 214.6 406.6L189.9 431.3L215.2 457.1C227.4 470.8 226.8 491.1 214 503.2C201.2 515.4 180.9 514.8 168.8 502L144.7 476.6L131.9 489.4C117.4 503.9 97.74 512 77.25 512C34.59 512 0 477.4 0 434.7V433.8C0 414.4 7.247 395.7 20.33 381.3L33.38 366.9C22.55 354.3 16 337.9 16 320C16 280.2 48.24 248 88 248C127.8 248 160 280.2 160 320C160 341.5 150.6 360.8 135.6 373.1L145.9 384.8zM64 433.8V434.7C64 442.1 69.94 448 77.26 448C80.77 448 84.14 446.6 86.63 444.1L100.6 430.1L81.14 409.5L67.68 424.3C65.31 426.9 64 430.3 64 433.8H64zM104 320C104 311.2 96.84 304 88 304C79.16 304 72 311.2 72 320C72 328.8 79.16 336 88 336C96.84 336 104 328.8 104 320z"],
    "synagogue": [640, 512, [128333], "f69b", "M309.8 3.708C315.7-1.236 324.3-1.236 330.2 3.708L451.2 104.5C469.5 119.7 480 142.2 480 165.1V512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H160V165.1C160 142.2 170.5 119.7 188.8 104.5L309.8 3.708zM326.1 124.3C323.9 118.9 316.1 118.9 313 124.3L297.2 152.4L264.9 152.1C258.7 152.1 254.8 158.8 257.9 164.2L274.3 191.1L257.9 219.8C254.8 225.2 258.7 231.9 264.9 231.9L297.2 231.6L313 259.7C316.1 265.1 323.9 265.1 326.1 259.7L342.8 231.6L375.1 231.9C381.3 231.9 385.2 225.2 382.1 219.8L365.7 191.1L382.1 164.2C385.2 158.8 381.3 152.1 375.1 152.1L342.8 152.4L326.1 124.3zM512 244.5L540.1 213.3C543.1 209.9 547.5 208 552 208C556.5 208 560.9 209.9 563.9 213.3L627.7 284.2C635.6 292.1 640 304.4 640 316.3V448C640 483.3 611.3 512 576 512H512V244.5zM128 244.5V512H64C28.65 512 0 483.3 0 448V316.3C0 304.4 4.389 292.1 12.32 284.2L76.11 213.3C79.14 209.9 83.46 208 88 208C92.54 208 96.86 209.9 99.89 213.3L128 244.5z"],
    "syringe": [512, 512, [128137], "f48e", "M504.1 71.03l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L422.1 56L384 94.06l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0c-8.467 8.467-8.873 21.47-2.047 30.86l149.1 149.1C446.3 222.1 451.1 224 456 224c6.141 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L417.9 128L456 89.94l15.03 15.03C475.7 109.7 481.9 112 488 112s12.28-2.344 16.97-7.031C514.3 95.59 514.3 80.41 504.1 71.03zM208.8 154.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C264.2 238.4 260.1 240 256 240S247.8 238.4 244.7 235.3L186.1 176.8L144.8 218.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C200.2 302.4 196.1 304 192 304S183.8 302.4 180.7 299.3L122.1 240.8L82.75 280.1C70.74 292.1 64 308.4 64 325.4v88.68l-56.97 56.97c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.86 512 24 512s12.28-2.344 16.97-7.031L97.94 448h88.69c16.97 0 33.25-6.744 45.26-18.75l187.6-187.6l-149.1-149.1L208.8 154.1z"],
    "t": [384, 512, [116], "54", "M384 64.01c0 17.67-14.33 32-32 32h-128v352c0 17.67-14.33 31.99-32 31.99s-32-14.32-32-31.99v-352H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h320C369.7 32.01 384 46.34 384 64.01z"],
    "table": [512, 512, [], "f0ce", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM224 256V160H64V256H224zM64 320V416H224V320H64zM288 416H448V320H288V416zM448 256V160H288V256H448z"],
    "table-cells": [512, 512, ["th"], "f00a", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM152 96H64V160H152V96zM208 160H296V96H208V160zM448 96H360V160H448V96zM64 288H152V224H64V288zM296 224H208V288H296V224zM360 288H448V224H360V288zM152 352H64V416H152V352zM208 416H296V352H208V416zM448 352H360V416H448V352z"],
    "table-cells-large": [512, 512, ["th-large"], "f009", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H288V224H448V96zM448 288H288V416H448V288zM224 224V96H64V224H224zM64 416H224V288H64V416z"],
    "table-columns": [512, 512, ["columns"], "f0db", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 416H224V160H64V416zM448 160H288V416H448V160z"],
    "table-layout": [512, 512, [], "e290", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V160H448V96zM64 416H128V224H64V416zM448 224H192V416H448V224z"],
    "table-list": [512, 512, ["th-list"], "f00b", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 160H128V96H64V160zM448 96H192V160H448V96zM64 288H128V224H64V288zM448 224H192V288H448V224zM64 416H128V352H64V416zM448 352H192V416H448V352z"],
    "table-picnic": [512, 512, [], "e32d", "M480 224h-74.33l-38.4-96H416c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H96C78.33 64 64 78.33 64 96c0 17.67 14.33 32 32 32h48.73L106.3 224H32C14.33 224 0 238.3 0 256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 238.3 497.7 224 480 224zM175.3 224L213.7 128h84.66l38.4 96H175.3zM34.28 404.1c-6.562 16.41 1.438 35.03 17.84 41.59C56 447.3 60.03 448 64 448c12.69 0 24.72-7.594 29.72-20.12L136.9 320H67.93L34.28 404.1zM444.1 320h-68.94l43.15 107.9C423.3 440.4 435.3 448 448 448c3.969 0 8-.7187 11.88-2.281c16.41-6.562 24.41-25.19 17.84-41.59L444.1 320z"],
    "table-pivot": [512, 512, [], "e291", "M0 96C0 60.65 28.65 32 64 32H128V160H0V96zM448 160H160V32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V192H128V416H448V160zM414.8 246.1C412.3 252.1 406.5 256 400 256H384V304C384 330.5 362.5 352 336 352H288V368C288 374.5 284.1 380.3 278.1 382.8C272.1 385.3 265.3 383.9 260.7 379.3L228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L260.7 292.7C265.3 288.1 272.1 286.7 278.1 289.2C284.1 291.7 288 297.5 288 303.1V319.1H336C344.8 319.1 352 312.8 352 303.1V255.1H336C329.5 255.1 323.7 252.1 321.2 246.1C318.7 240.1 320.1 233.3 324.7 228.7L356.7 196.7C362.9 190.4 373.1 190.4 379.3 196.7L411.3 228.7C415.9 233.3 417.3 240.1 414.8 246.1L414.8 246.1z"],
    "table-rows": [512, 512, ["rows"], "e292", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM128 224H448V96H128V224zM448 288H128V416H448V288z"],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", "M416 287.1c27.99 0 53.68 9.254 74.76 24.51c14.03-29.82 21.06-62.13 21.06-94.43c0-103.1-79.37-218.1-216.5-218.1c-59.94 0-120.4 23.71-165.5 68.95l-54.66 54.8C73.61 125.3 72.58 126.1 71.14 128.5l230.7 230.7C322.8 317.2 365.8 287.1 416 287.1zM290.3 392.1l-238.6-238.6C38.74 176.2 32.3 199.4 32.3 221.9c0 30.53 11.71 59.94 34.29 82.58l36.6 36.7l-92.38 81.32c-7.177 6.255-10.81 15.02-10.81 23.81c0 8.027 3.032 16.07 9.164 22.24l34.05 34.2c6.145 6.16 14.16 9.205 22.15 9.205c8.749 0 17.47-3.649 23.7-10.86l81.03-92.85l35.95 36.04c23.62 23.68 54.41 35.23 85.37 35.23c4.532 0 9.205-.2677 13.72-.7597c-10.56-18.61-17.12-39.89-17.12-62.81C288 408.1 288.1 400.5 290.3 392.1zM415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320z"],
    "table-tree": [512, 512, [], "e293", "M224 240C224 231.2 231.2 224 240 224H400C408.8 224 416 231.2 416 240V272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272V240zM400 320C408.8 320 416 327.2 416 336V368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H400zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 160H128V224C128 232.8 135.2 240 144 240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H144C138.4 272 133 271 128 269.3V320C128 328.8 135.2 336 144 336H240C248.8 336 256 343.2 256 352C256 360.8 248.8 368 240 368H144C117.5 368 96 346.5 96 320V160H64V416H448V160z"],
    "tablet": [448, 512, ["tablet-android"], "f3fb", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM288 447.1C288 456.8 280.8 464 272 464H175.1C167.2 464 160 456.8 160 448S167.2 432 175.1 432h96C280.8 432 288 439.2 288 447.1z"],
    "tablet-button": [448, 512, [], "f10a", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM224 464c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 464 224 464z"],
    "tablet-rugged": [448, 512, [], "f48f", "M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62v16l-23.25 11.62C3.424 350.3 .0492 355.8 .0492 361.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.62-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z"],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM288 448c0 8.837-7.163 16-15.1 16H175.1c-8.837 0-15.1-7.163-15.1-16s7.163-16 15.1-16h96C280.8 432 288 439.2 288 448zM384 384H64v-320h320V384z"],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480zM384 384H64v-320h320V384z"],
    "tablets": [640, 512, [], "f490", "M159.1 191.1c-81.1 0-147.5 58.51-159.9 134.8C-.7578 331.5 3.367 336 8.365 336h303.3c4.998 0 8.996-4.5 8.248-9.25C307.4 250.5 241.1 191.1 159.1 191.1zM311.5 368H8.365c-4.998 0-9.123 4.5-8.248 9.25C12.49 453.5 78.88 512 159.1 512s147.4-58.5 159.8-134.8C320.7 372.5 316.5 368 311.5 368zM362.9 65.74c-3.502-3.502-9.504-3.252-12.25 .75c-45.52 62.76-40.52 150.4 15.88 206.9c56.52 56.51 144.2 61.39 206.1 15.88c4.002-2.875 4.252-8.877 .75-12.25L362.9 65.74zM593.4 46.61c-56.52-56.51-144.2-61.39-206.1-16c-4.002 2.877-4.252 8.877-.75 12.25l211.3 211.4c3.5 3.502 9.504 3.252 12.25-.75C654.8 190.8 649.9 103.1 593.4 46.61z"],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", "M576 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64V128C640 92.8 611.2 64 576 64zM64 296C64 291.6 67.63 288 72 288h16C92.38 288 96 291.6 96 296v16C96 316.4 92.38 320 88 320h-16C67.63 320 64 316.4 64 312V296zM336 384h-256C71.2 384 64 376.8 64 368C64 359.2 71.2 352 79.1 352h256c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM128 312v-16C128 291.6 131.6 288 136 288h16C156.4 288 160 291.6 160 296v16C160 316.4 156.4 320 152 320h-16C131.6 320 128 316.4 128 312zM192 312v-16C192 291.6 195.6 288 200 288h16C220.4 288 224 291.6 224 296v16C224 316.4 220.4 320 216 320h-16C195.6 320 192 316.4 192 312zM256 312v-16C256 291.6 259.6 288 264 288h16C284.4 288 288 291.6 288 296v16C288 316.4 284.4 320 280 320h-16C259.6 320 256 316.4 256 312zM352 312C352 316.4 348.4 320 344 320h-16C323.6 320 320 316.4 320 312v-16C320 291.6 323.6 288 328 288h16C348.4 288 352 291.6 352 296V312zM352 237.7C352 247.9 344.4 256 334.9 256H81.07C71.6 256 64 247.9 64 237.7V146.3C64 136.1 71.6 128 81.07 128h253.9C344.4 128 352 136.1 352 146.3V237.7zM560 384h-160c-8.801 0-16-7.201-16-16c0-8.801 7.199-16 16-16h160c8.801 0 16 7.199 16 16C576 376.8 568.8 384 560 384z"],
    "taco": [512, 512, [127790], "f826", "M255.1 191.1c-130.1 0-237.9 107.4-255.7 247.1C-2.431 460.6 12.94 480 32.45 480h447c19.5 0 35-19.38 32.13-40.88C493.9 299.4 386.1 191.1 255.1 191.1zM111.1 415.1c-8.875 0-15.1-7.127-15.1-16s7.122-15.1 15.1-15.1c8.875 0 16 7.124 16 15.1S120.9 415.1 111.1 415.1zM175.1 351.1c-8.875 0-15.1-7.127-15.1-16s7.121-15.1 15.1-15.1s16 7.122 16 15.1S184.9 351.1 175.1 351.1zM7.32 279.4C9.82 288.5 11.32 298.1 11.82 307.6C63.95 218.5 154.8 159.1 255.1 159.1s192 58.5 244.1 147.6c.5001-9.5 2.063-18.1 4.563-28.25c0 0 0 .125 0 0c5.126-17.25 11.06-37 4.188-55.13c-7.126-19-24.75-29.38-40.25-38.38c-9.501-5.625-19.38-11.38-23.75-17.63c-4.75-6.625-7.376-18.5-9.876-30c-3.875-18-8.334-38.55-23.59-50.67c-15.63-12.38-36.05-10.95-54.05-9.704c-10.75 .75-22 1.5-29.13-1.125c-7.001-2.5-15.13-10.13-23-17.5c-29-27.13-50.63-44.5-98.39 0C198.1 66.49 190.7 74.24 183.8 76.74c-7.251 2.5-18.38 1.75-29.25 1C136.6 76.49 116.3 75.07 100.5 87.57C85.41 99.57 80.95 120.1 76.95 138.2C74.45 149.7 71.95 161.5 67.2 168.2C62.83 174.5 52.95 180.2 43.45 185.7C27.95 194.9 10.32 205.1 3.195 224.2C-3.681 242.4 2.195 262.1 7.32 279.4C7.195 279.4 7.195 279.2 7.32 279.4z"],
    "tag": [448, 512, [127991], "f02b", "M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z"],
    "tags": [512, 512, [], "f02c", "M472.8 168.4C525.1 221.4 525.1 306.6 472.8 359.6L360.8 472.9C351.5 482.3 336.3 482.4 326.9 473.1C317.4 463.8 317.4 448.6 326.7 439.1L438.6 325.9C472.5 291.6 472.5 236.4 438.6 202.1L310.9 72.87C301.5 63.44 301.6 48.25 311.1 38.93C320.5 29.61 335.7 29.7 344.1 39.13L472.8 168.4zM.0003 229.5V80C.0003 53.49 21.49 32 48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5L.0003 229.5zM112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112z"],
    "tally": [640, 512, ["tally-5"], "f69c", "M128 32C145.7 32 160 46.33 160 64V275.6L224 254.3V64C224 46.33 238.3 32 256 32C273.7 32 288 46.33 288 64V232.9L352 211.6V64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64V190.3L480 168.9V64C480 46.33 494.3 32 512 32C529.7 32 544 46.33 544 64V147.6L597.9 129.6C614.6 124.1 632.8 133.1 638.4 149.9C643.9 166.6 634.9 184.8 618.1 190.4L544 215.1V448C544 465.7 529.7 480 512 480C494.3 480 480 465.7 480 448V236.4L416 257.7V448C416 465.7 401.7 480 384 480C366.3 480 352 465.7 352 448V279.1L288 300.4V448C288 465.7 273.7 480 255.1 480C238.3 480 223.1 465.7 223.1 448V321.7L159.1 343.1V448C159.1 465.7 145.7 480 127.1 480C110.3 480 95.1 465.7 95.1 448V364.4L42.12 382.4C25.35 387.9 7.231 378.9 1.642 362.1C-3.947 345.4 5.114 327.2 21.88 321.6L96 296.9V64C96 46.33 110.3 32 128 32V32z"],
    "tally-1": [448, 512, [], "e294", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"],
    "tally-2": [448, 512, [], "e295", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z"],
    "tally-3": [448, 512, [], "e296", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32zM320 448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V448z"],
    "tally-4": [448, 512, [], "e297", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448zM288 32C305.7 32 320 46.33 320 64V448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V448z"],
    "tamale": [320, 512, [129748], "e451", "M312 256c0-8.838-7.164-16-16-16h-272c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h106.1L98.69 311.1c-1.818 2.729-2.629 5.891-2.629 8.938C96.06 328.1 103.2 336 112 336c5.156 0 10.22-2.5 13.31-7.125L160 284.8l34.75 44.03C197.8 333.5 202.9 336 208.1 336C216.8 336 224 328.1 224 320.1c0-3.047-.8086-6.209-2.629-8.938L189.9 272H296C304.8 272 312 264.8 312 256zM24 208h61.52L72.03 73.73C71.59 69.33 74.81 65.42 79.22 64.98C83.5 64.36 87.53 67.75 87.97 72.14L101.5 208H152V64c0-4.422 3.594-8 8-8S168 59.58 168 64v144h50.63l13.41-135.9c.4375-4.391 4.344-7.734 8.75-7.156c4.406 .4375 7.625 4.344 7.188 8.75L234.6 208H296c1.352 0 2.623 .2891 3.945 .3984L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l20.05 144.4C21.38 208.3 22.65 208 24 208zM296 304h-42.71C255.1 309.1 256 314.5 256 320.1c0 13.48-5.635 25.63-14.62 34.35l6.592 84.03c.3438 4.406-2.938 8.25-7.344 8.594C240.4 447.1 240.2 447.1 240 447.1c-4.156 0-7.656-3.188-7.969-7.375l-5.865-75.29C220.6 366.7 214.5 368 208.1 368c-15.53 0-29.99-7.457-39.01-20.03L168 346.6V448c0 4.422-3.594 8-8 8S152 452.4 152 448v-101.3l-.9824 1.246C141.1 360.5 127.5 368 112 368c-6.447 0-12.58-1.318-18.2-3.637l-5.828 75.32C87.66 443.9 84.16 447.1 80 447.1c-.1875 0-.4062 0-.625-.0313c-4.406-.3438-7.688-4.188-7.344-8.594l6.553-84.11c-8.934-8.713-14.53-20.83-14.53-34.27c0-5.545 .9219-10.96 2.709-16.06H24c-1.352 0-2.623-.2891-3.945-.3984L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-20.05-144.4C298.6 303.7 297.4 304 296 304z"],
    "tank-water": [448, 512, [], "e452", "M224 224c30.94 0 56-24.03 56-53.66S223.1 64 223.1 64S168 140.7 168 170.3S193.1 224 224 224zM384 32h-135.7c13.12 17.5 25.95 35.17 37.66 53.63C288 88.96 290.2 92.45 292.4 96H384v216.7c-22.53 13.02-51.17 11.2-71.97-5.439L297.1 296c-5.824-4.672-14.14-4.672-19.97 0l-14.05 11.23c-23.36 18.69-56.58 18.69-79.94 0L169.1 296c-5.824-4.672-14.14-4.672-19.97 0L135.1 307.2C115.2 323.9 86.53 325.7 64 312.7V96h91.65c2.145-3.553 4.287-7.039 6.432-10.37C173.8 67.17 186.6 49.5 199.7 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32z"],
    "tape": [576, 512, [], "f4db", "M288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256zM544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 318.7 422.3 375.3 380.8 416H544zM224 352C277 352 320 309 320 256C320 202.1 277 160 224 160C170.1 160 128 202.1 128 256C128 309 170.1 352 224 352z"],
    "tarp": [576, 512, [], "e57b", "M576 288H448C430.3 288 416 302.3 416 320V448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V288zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM448 448V320H576L448 448z"],
    "tarp-droplet": [576, 512, [], "e57c", "M224 100C224 75.95 257.7 29.93 276.2 6.49C282.3-1.226 293.7-1.226 299.8 6.49C318.3 29.93 352 75.95 352 100C352 133.1 323.3 160 288 160C252.7 160 224 133.1 224 100V100zM64 128H197.5C210.6 165.3 246.2 192 288 192C329.8 192 365.4 165.3 378.5 128H512C547.3 128 576 156.7 576 192V352H448C430.3 352 416 366.3 416 384V512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128V128zM96 256C113.7 256 128 241.7 128 224C128 206.3 113.7 192 96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256zM448 512V384H576L448 512z"],
    "taxi": [576, 512, [128662, "cab"], "f1ba", "M352 0C369.7 0 384 14.33 384 32V64L384 64.15C422.6 66.31 456.3 91.49 469.2 128.3L504.4 228.8C527.6 238.4 544 261.3 544 288V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V432H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V288C32 261.3 48.36 238.4 71.61 228.8L106.8 128.3C119.7 91.49 153.4 66.31 192 64.15L192 64V32C192 14.33 206.3 0 224 0L352 0zM197.4 128C183.8 128 171.7 136.6 167.2 149.4L141.1 224H434.9L408.8 149.4C404.3 136.6 392.2 128 378.6 128H197.4zM128 352C145.7 352 160 337.7 160 320C160 302.3 145.7 288 128 288C110.3 288 96 302.3 96 320C96 337.7 110.3 352 128 352zM448 288C430.3 288 416 302.3 416 320C416 337.7 430.3 352 448 352C465.7 352 480 337.7 480 320C480 302.3 465.7 288 448 288z"],
    "taxi-bus": [640, 512, [], "e298", "M48 416H32C14.33 416 0 401.7 0 384V74.46C0 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V96C362.1 96 343.6 110.7 337.8 130.8C331.7 132.1 325.7 134 319.1 136.4V120C319.1 106.7 309.3 96 295.1 96H207.1V224H249.9L233.6 272.9C208.5 290.2 191.1 319.2 191.1 352V416H127.1V448C127.1 465.7 113.7 480 95.1 480H79.1C62.33 480 47.1 465.7 47.1 448L48 416zM64 200C64 213.3 74.75 224 88 224H176V96H88C74.75 96 64 106.7 64 120V200zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296zM368 152C368 138.7 378.7 128 392 128H472C485.3 128 496 138.7 496 152V160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1H368V152zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"],
    "teddy-bear": [576, 512, [], "e3cf", "M154.6 103.5c-1.535 6.334-2.611 12.82-2.611 19.56C152 196.5 212.9 256 288 256s135.1-59.53 135.1-132.1c0-6.732-1.076-13.22-2.611-19.56C437.3 93.6 447.1 76.11 447.1 56c0-30.93-25.07-56-55.1-56c-24.25 0-44.7 15.5-52.48 37.06c-34.11-6.055-68.91-6.055-103 0C228.7 15.5 208.3 0 184 0c-30.93 0-55.1 25.07-55.1 56C128 76.11 138.7 93.6 154.6 103.5zM336 96C344.8 96 352 103.2 352 112C352 120.8 344.8 128 336 128S320 120.8 320 112C320 103.2 327.2 96 336 96zM351.1 176C351.1 202.5 323.3 224 288 224S224 202.5 224 176S252.7 128 288 128S351.1 149.5 351.1 176zM240 96C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128S224 120.8 224 112C224 103.2 231.2 96 240 96zM288 192c17.67 0 31.1-10.75 31.1-24c0-13.26-14.32-24-31.1-24S256 154.7 256 168C256 181.3 270.3 192 288 192zM537.7 354.9c-29.34-9.812-61.09 6.062-70.84 35.41L463.6 400h-15.62v-64.83c33.16-23.18 63.23-53.74 88.12-91.67c14.56-22.19 8.375-51.94-13.78-66.47c-22.12-14.56-51.9-8.406-66.46 13.78C415.3 252.6 358.4 288 299.6 288H276.4C217.6 288 160.7 252.6 120.1 190.8C105.6 168.7 75.89 162.4 53.67 177C31.51 191.6 25.33 221.3 39.89 243.5c24.89 37.92 54.96 68.49 88.12 91.67V400H112.4l-3.25-9.719c-9.75-29.34-41.47-45.16-70.84-35.41c-29.34 9.781-45.19 41.5-35.4 70.84l16 48C26.51 496.6 47.92 512 72.01 512h431.1c24.09 0 45.5-15.44 53.12-38.28l16-48C582.9 396.4 567 364.7 537.7 354.9zM192 416c0-35.35 28.65-64 63.1-64h63.1c35.34 0 63.1 28.65 63.1 64H192z"],
    "teeth": [576, 512, [], "f62e", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM144 336C144 362.5 122.5 384 96 384s-48-21.5-48-48v-32C48 295.1 55.13 288 64 288h64c8.875 0 16 7.125 16 16V336zM144 240C144 248.9 136.9 256 128 256H64C55.13 256 48 248.9 48 240v-32C48 181.5 69.5 160 96 160s48 21.5 48 48V240zM272 336C272 362.5 250.5 384 224 384s-48-21.5-48-48v-32C176 295.1 183.1 288 192 288h64c8.875 0 16 7.125 16 16V336zM272 242.3C272 249.9 265.9 256 258.3 256H189.7C182.1 256 176 249.9 176 242.3V176C176 149.5 197.5 128 224 128s48 21.54 48 48V242.3zM400 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C304 295.1 311.1 288 320 288h64c8.875 0 16 7.125 16 16V336zM400 242.3C400 249.9 393.9 256 386.3 256h-68.57C310.1 256 304 249.9 304 242.3V176C304 149.5 325.5 128 352 128s48 21.54 48 48V242.3zM528 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C432 295.1 439.1 288 448 288h64c8.875 0 16 7.125 16 16V336zM528 240C528 248.9 520.9 256 512 256h-64c-8.875 0-16-7.125-16-16v-32C432 181.5 453.5 160 480 160s48 21.5 48 48V240z"],
    "teeth-open": [576, 512, [], "f62f", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM144 368C144 394.5 122.5 416 96 416s-48-21.5-48-48v-32C48 327.1 55.13 320 64 320h64c8.875 0 16 7.125 16 16V368zM272 368C272 394.5 250.5 416 224 416s-48-21.5-48-48v-32C176 327.1 183.1 320 192 320h64c8.875 0 16 7.125 16 16V368zM400 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM528 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM144 208C144 216.9 136.9 224 128 224H64C55.13 224 48 216.9 48 208v-32C48 149.5 69.5 128 96 128s48 21.5 48 48V208zM272 210.3C272 217.9 265.9 224 258.3 224H189.7C182.1 224 176 217.9 176 210.3V144C176 117.5 197.5 96 224 96s48 21.54 48 48V210.3zM400 210.3C400 217.9 393.9 224 386.3 224h-68.57C310.1 224 304 217.9 304 210.3V144C304 117.5 325.5 96 352 96s48 21.54 48 48V210.3zM528 208C528 216.9 520.9 224 512 224h-64c-8.875 0-16-7.125-16-16v-32C432 149.5 453.5 128 480 128s48 21.5 48 48V208z"],
    "telescope": [640, 512, [128301], "e03e", "M638.8 216.8l-85.7-206.1C550.8 4.429 544.2 0 538.3 0c-1.75 0-4.511 .5475-6.136 1.219l-117.3 48.61c-5.438 2.266-9.874 8.877-9.874 14.77c0 1.766 .5059 4.502 1.193 6.127l85.73 206.9c2.25 5.453 8.893 9.895 14.8 9.895c1.75 0 4.473-.5345 6.098-1.206l117.3-48.61C635.6 235.5 640 228.9 640 222.1C640 221.2 639.4 218.5 638.8 216.8zM380.4 92.14L74.25 241.7C65.9 245.8 61.99 254.1 65.21 262.8l8.753 21.13L9.878 310.4C4.44 312.7 0 319.3 0 325.2c0 1.75 .5625 4.499 1.219 6.124l20.06 48.42c2.25 5.453 8.876 9.876 14.78 9.876c1.75 0 4.497-.5469 6.122-1.219L106.2 361.9l8.737 21.09c3.219 7.781 12.52 11.49 21.27 8.479l127-43.69c.168 .2168 .3561 .4824 .5261 .6973L217.4 479.1c-4.406 12.5 2.126 26.22 14.63 30.63C234.6 511.6 237.3 512 239.1 512c9.875 0 19.16-6.157 22.63-16l42.9-121.6c4.686 .959 9.507 1.551 14.48 1.551s9.822-.5039 14.51-1.463l42.87 121.5C380.8 505.8 390.1 512 399.1 512c2.656 0 5.344-.4375 8.001-1.375c12.5-4.406 19.03-18.13 14.63-30.63l-46.42-131.5c9.734-12.28 15.79-27.6 15.79-44.49c0-.1309-.0436-.2406-.0436-.3714l66.58-22.87L380.4 92.14zM319.1 327.1c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24C343.1 317.2 333.2 327.1 319.1 327.1z"],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", "M159.1 322.9l-.0002-18.92C159.1 295.1 152.9 287.1 144 287.1c-8.875 0-15.1 7.115-15.1 15.99L128 322.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM255.1 112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144c0-34-12.25-64.88-32-89.5V112zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112C96 85.5 117.5 64 144 64c26.5 0 47.1 21.5 47.1 48v192.3C219.5 324.9 230.7 360.8 219.9 393.4zM499.1 343c-13.77-11.03-33.92-8.75-44.97 5L448 356.8V64c0-17.69-14.33-32-32-32s-32 14.31-32 32v292.8L376.1 348c-11.03-13.81-31.19-16.03-44.97-5c-13.81 11.06-16.05 31.19-5 45l64 80C397.1 475.6 406.3 480 416 480s18.92-4.406 24.98-12l64-80C516 374.2 513.8 354.1 499.1 343z"],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", "M159.1 322.9V112C159.1 103.1 152.9 96 144 96C135.1 96 128 103.1 128 112v210.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM255.1 112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144c0-34-12.25-64.88-32-89.5V112zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112c0-26.5 21.5-48.01 48-48.01c26.5 0 47.1 21.51 47.1 48.01v192.3C219.5 324.9 230.7 360.8 219.9 393.4zM504.1 124l-64-80c-12.12-15.19-37.84-15.19-49.97 0l-64 80c-11.05 13.81-8.812 33.94 5 45c13.75 11.03 33.94 8.781 44.97-5L384 155.2V448c0 17.69 14.33 32 32 32s32-14.31 32-32V155.2L455 164c6.312 7.906 15.61 12 25 12c7.016 0 14.08-2.281 19.97-7C513.8 157.9 516 137.8 504.1 124z"],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", "M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448zM160 320c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S186.5 320 160 320z"],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", "M176 322.9V112c0-8.75-7.25-16-16-16s-16 7.25-16 16v210.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", "M176 322.9l.0002-114.9c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-high": [512, 512, [], "f769", "M160 322.9V112C160 103.3 152.8 96 144 96S128 103.3 128 112v210.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128zM256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48S192 85.5 192 112V304.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z"],
    "temperature-list": [512, 512, [], "e299", "M160 322.9V160c0-8.75-7.25-16-16-16S128 151.3 128 160v162.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM256 112c0-61.87-50.13-112-112-112S32 50.13 32 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1s144-64.5 144-143.1c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448zM352 96h128c17.67 0 32-14.33 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32S334.3 96 352 96zM480 160h-128c-17.67 0-32 14.33-32 32s14.33 32 32 32h128c17.67 0 32-14.33 32-32S497.7 160 480 160zM480 288h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h96c17.67 0 32-14.33 32-32S497.7 288 480 288z"],
    "temperature-low": [512, 512, [], "f76b", "M160 322.9V304C160 295.3 152.8 288 144 288S128 295.3 128 304v18.88C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.1c19.75 14.75 32 38.38 32 63.88C224 412.1 188.1 448 144 448zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", "M176 322.9l.0002-50.88c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", "M544 278.5V112c0-61.87-50.13-112-111.1-112s-111.1 50.13-111.1 112v166.5c-19.75 24.62-31.1 55.5-31.1 89.5c0 79.5 64.5 143.1 143.1 143.1C511.5 512 576 447.5 576 368C576 334 563.7 303.1 544 278.5zM432 448c-44.12 0-79.99-35.87-79.99-79.1c0-25.5 12.25-48.88 31.1-63.75v-192.2c0-26.5 21.5-48 47.1-48c26.5 0 47.1 21.5 47.1 48v192.2c19.75 14.75 31.1 38.25 31.1 63.75C512 412.1 476.1 448 432 448zM448 322.9V304c0-8.75-7.251-16-16-16c-8.748 0-15.1 7.25-15.1 16v18.88c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 47.1 48c26.5 0 48-21.5 48-48C480 347.1 466.6 329.5 448 322.9zM268.3 305.4C273.4 292.3 279.7 279.7 288 267.9l.0072-6.397L223.1 223.1l64.88-37.46l-.0029-55.35L199.1 182.4V124.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L199.1 67.71V56c0-13.25-10.75-24-24-24s-24 10.75-24 24v11.71L149.3 65.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l30.14 30.13v58.15L100.8 153.4L89.75 112.2C86.89 101.5 75.97 95.19 65.27 98.03c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L41.64 119.2C30.2 112.6 15.47 116.5 8.859 128C2.234 139.5 6.156 154.2 17.64 160.8l10.18 5.875L25.25 167.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875L76.78 194.9L127.1 223.1L78.51 252.1L37.36 241C26.8 238.2 15.72 244.5 12.86 255.2C10 265.8 16.33 276.8 26.98 279.7l2.566 .6875L19.38 286.2C7.891 292.8 3.969 307.5 10.59 319c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559C50 335.2 56.33 346.1 67 348.1c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21l48.62-28.07v50.15L121 345.8c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0l1.859-1.861V392c0 13.25 10.75 24 24 24s24-10.75 24-24v-19.71L201 374.2C204.9 378.1 210 380 215.1 380s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L199.1 315.7V265.6L268.3 305.4z"],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", "M223.1 160C188.7 160 159.1 188.8 159.1 224s28.75 64 64 64c35.25 0 64-28.75 64-64S259.2 160 223.1 160zM511.1 322.9V112c0-8.75-7.249-16-16-16c-8.75 0-16 7.25-16 16v210.9C461.4 329.5 447.1 347.1 447.1 368c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48C543.1 347.1 530.6 329.5 511.1 322.9zM607.1 278.5V112c0-61.88-50.12-112-112-112c-61.88 0-112 50.13-112 112v166.5C364.2 303.1 351.1 334 351.1 368c0 79.5 64.5 144 144 144S640 447.5 640 368C640 334 627.8 303.1 607.1 278.5zM495.1 448c-44.13 0-80.01-35.88-80.01-80c0-25.5 12.25-48.88 32-63.75V112c0-26.5 21.51-48 48.01-48c26.5 0 48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C575.1 412.1 540.1 448 495.1 448zM351.1 267.9V112c0-16.88 3.5-33 8.875-48.13L278.1 91.25L237.6 8.375c-5.625-11.12-21.63-11.12-27.25 0L168.1 91.25L81.1 61.88C69.22 58 57.97 69.25 61.85 81.13L91.22 169L8.344 210.4c-11.12 5.625-11.12 21.5 0 27.12L91.22 279l-29.38 87.88C57.85 378.8 69.22 390 81.1 386.1l87.88-29.38l41.38 82.88c5.625 11.12 21.63 11.12 27.13 0l41.38-82.88l41.13 13.62c0-.75-.125-1.625-.125-2.5C319.1 332.1 330.1 297.8 351.1 267.9zM156.1 291.9c-37.5-37.38-37.38-98.38 0-135.8s98.25-37.38 135.8 0c37.38 37.38 37.38 98.38 0 135.8S193.6 329.3 156.1 291.9z"],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", "M176 322.9V160c0-8.75-7.25-16-16-16s-16 7.25-16 16v162.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H32C14.33 96 0 81.67 0 64zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V224H32C14.33 224 0 209.7 0 192z"],
    "tennis-ball": [512, 512, [127934], "f45e", "M363.1 319.8c-48.7 34.11-74.45 88.51-74.45 143.8c0 15.11 1.922 30.29 5.823 45.15c110.6-16.7 197.9-104 214.4-214.7c-14.72-3.875-29.85-6.031-45.1-6.031C428.9 288.1 393.7 298.4 363.1 319.8zM49.59 223.3c110.6 0 173.8-93.19 173.8-174.1c0-15.12-1.924-30.31-5.828-45.17c-110.4 16.67-197.5 103.7-214.3 214.1C18.35 221.3 33.95 223.3 49.59 223.3zM255.1-.0031c-1.928 0-3.793 .244-5.711 .287C253.1 15.98 255.8 31.95 255.8 47.85c0 97.43-76.7 208.1-207.5 208.1c-16.18 0-32.29-1.914-48-5.613c-.041 1.902-.285 3.756-.285 5.67c0 141.4 114.6 256 256 256c1.932 0 3.797-.2482 5.719-.2912c-3.677-15.69-5.488-31.65-5.488-47.55c0-96.97 76.25-207.9 207.1-207.9c16.3 0 32.55 1.901 48.39 5.631c.0449-1.977 .299-3.896 .299-5.881C511.1 114.6 397.4-.0031 255.1-.0031z"],
    "tent": [576, 512, [], "e57d", "M269.4 5.961C280.5-1.987 295.5-1.987 306.6 5.961L530.6 165.1C538 171.2 542.8 179.4 543.8 188.5L575.8 476.5C576.8 485.5 573.9 494.6 567.8 501.3C561.8 508.1 553.1 512 544 512H416L288 288V512H32C22.9 512 14.23 508.1 8.156 501.3C2.086 494.6-.8093 485.5 .1958 476.5L32.2 188.5C33.2 179.4 38 171.2 45.4 165.1L269.4 5.961z"],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", "M241.8 111.9C250.7 121.8 249.9 136.1 240.1 145.8L160.1 217.8C150.9 226.1 137.1 226.1 127.9 217.8L47.94 145.8C38.09 136.1 37.29 121.8 46.16 111.9C55.03 102.1 70.2 101.3 80.05 110.2L119.1 146.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V146.1L207.9 110.2C217.8 101.3 232.1 102.1 241.8 111.9H241.8zM364.6 134.5C376.1 125.8 391.9 125.8 403.4 134.5L571.4 262.5C578 267.6 582.4 275 583.6 283.3L608.4 448C625.9 448.2 640 462.4 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H159.6L184.4 283.3C185.6 275 189.1 267.6 196.6 262.5L364.6 134.5zM384 448H460.8L384 320V448z"],
    "tent-arrow-left-right": [576, 512, [], "e57f", "M568.1 78.16C573.1 82.71 576 89.2 576 96C576 102.8 573.1 109.3 568.1 113.8L488.1 185.8C478.2 194.7 463 193.9 454.2 184.1C445.3 174.2 446.1 159 455.9 150.2L489.5 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H489.5L455.9 41.84C446.1 32.97 445.3 17.8 454.2 7.945C463-1.907 478.2-2.706 488.1 6.161L568.1 78.16zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tent-arrow-turn-left": [576, 512, [], "e580", "M86.54 72H456C522.3 72 576 125.7 576 192V232C576 245.3 565.3 256 552 256C538.7 256 528 245.3 528 232V192C528 152.2 495.8 120 456 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tent-arrows-down": [576, 512, [], "e581", "M209.8 111.9C218.7 121.8 217.9 136.1 208.1 145.8L128.1 217.8C118.9 226.1 105.1 226.1 95.94 217.8L15.94 145.8C6.093 136.1 5.294 121.8 14.16 111.9C23.03 102.1 38.2 101.3 48.06 110.2L88 146.1V24C88 10.75 98.75 0 112 0C125.3 0 136 10.75 136 24V146.1L175.9 110.2C185.8 101.3 200.1 102.1 209.8 111.9H209.8zM561.8 111.9C570.7 121.8 569.9 136.1 560.1 145.8L480.1 217.8C470.9 226.1 457.1 226.1 447.9 217.8L367.9 145.8C358.1 136.1 357.3 121.8 366.2 111.9C375 102.1 390.2 101.3 400.1 110.2L440 146.1V24C440 10.75 450.7 0 464 0C477.3 0 488 10.75 488 24V146.1L527.9 110.2C537.8 101.3 552.1 102.1 561.8 111.9H561.8zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tents": [640, 512, [], "e582", "M396.6 6.546C408.1-2.182 423.9-2.182 435.4 6.546L603.4 134.5C610 139.6 614.4 147 615.6 155.3L639.6 315.3C641 324.5 638.3 333.8 632.2 340.9C626.2 347.9 617.3 352 608 352H461.5L455.3 310.5C452.8 294 444 279.2 430.8 269.1L262.8 141.1C254.6 134.9 245.4 130.9 235.8 129.1L396.6 6.546zM411.4 294.5C418 299.6 422.4 307 423.6 315.3L447.6 475.3C449 484.5 446.3 493.8 440.2 500.9C434.2 507.9 425.3 512 416 512H319.1L223.1 352V512H32C22.68 512 13.83 507.9 7.753 500.9C1.674 493.8-1.028 484.5 .3542 475.3L24.35 315.3C25.59 307 29.98 299.6 36.61 294.5L204.6 166.5C216.1 157.8 231.9 157.8 243.4 166.5L411.4 294.5z"],
    "terminal": [576, 512, [], "f120", "M9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 256L9.372 86.63zM544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C238.3 480 224 465.7 224 448C224 430.3 238.3 416 256 416H544z"],
    "text": [448, 512, [], "f893", "M448 64.01v64c0 17.69-14.31 32-32 32s-32-14.31-32-32v-32h-128v320h48c17.69 0 32 14.31 32 32s-14.31 31.1-32 31.1h-160c-17.69 0-32-14.31-32-31.1s14.31-32 32-32H192v-320H64v32c0 17.69-14.31 32-32 32s-32-14.31-32-32v-64c0-17.69 14.31-32 32-32h384C433.7 32.01 448 46.33 448 64.01z"],
    "text-height": [576, 512, [], "f034", "M288 32.01H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h64v320H96c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32s-14.33-32-32-32H192v-320h64v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C320 46.33 305.7 32.01 288 32.01zM521.4 361.4L512 370.8V141.3l9.375 9.375C527.6 156.9 535.8 160 544 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-64-64c-12.5-12.5-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 141.3v229.5l-9.375-9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l64 64C463.6 476.9 471.8 480 480 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25S533.9 348.9 521.4 361.4z"],
    "text-size": [640, 512, [], "f894", "M256 416H224v-320h96v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h96v320H128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S273.7 416 256 416zM608 224h-256c-17.67 0-32 14.31-32 31.1v32c0 17.69 14.33 32 32 32s32-14.31 32-32h64v128h-16c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H512v-128h64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32C640 238.3 625.7 224 608 224z"],
    "text-slash": [640, 512, ["remove-format"], "f87d", "M352 416H306.7l18.96-64.1L271.4 308.5L239.1 416H192c-17.67 0-32 14.31-32 32s14.33 31.99 31.1 31.99h160C369.7 480 384 465.7 384 448S369.7 416 352 416zM630.8 469.1l-276.4-216.7l45.63-156.5H512v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H192c-17.67 0-32 14.31-32 32v36.11L38.81 5.13c-10.47-8.219-25.53-6.37-33.7 4.068s-6.349 25.54 4.073 33.69l591.1 463.1c4.406 3.469 9.61 5.127 14.8 5.127c7.125 0 14.17-3.164 18.9-9.195C643.1 492.4 641.2 477.3 630.8 469.1zM300.1 209.9l-82.08-64.33C221.5 140.5 224 134.7 224 128v-32h109.3L300.1 209.9z"],
    "text-width": [448, 512, [], "f035", "M416 32.01H32c-17.67 0-32 14.31-32 32v63.1c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h128v128H176c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-31.1-32-31.1H256v-128h128v32c0 17.69 14.33 32 32 32s32-14.32 32-32V64.01C448 46.33 433.7 32.01 416 32.01zM374.6 297.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l9.375 9.375h-229.5L118.6 342.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25l64 64C79.63 476.9 87.81 480 96 480s16.38-3.118 22.62-9.368c12.5-12.5 12.5-32.75 0-45.25l-9.375-9.375h229.5l-9.375 9.375c-12.5 12.5-12.5 32.75 0 45.25C335.6 476.9 343.8 480 352 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25L374.6 297.4z"],
    "thermometer": [512, 512, [], "f491", "M483.1 162.6L229.8 415.9l-99.87-.0001l-88.99 89.02c-9.249 9.377-24.5 9.377-33.87 0c-9.374-9.252-9.374-24.51 0-33.88l88.99-89.02l.0003-100.9l49.05-49.39l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1l41.24-41.52l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8l41.24-41.52l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63l-52.09-52.09l49.68-50.02c36.37-36.51 94.37-40.88 131.9-10.25C526.2 61.11 518.9 127.8 483.1 162.6z"],
    "theta": [384, 512, [], "f69e", "M192 16.01c-105.9 0-192 107.7-192 240s86.13 239.1 192 239.1s192-107.6 192-239.1S297.9 16.01 192 16.01zM192 80.01c62.62 0 114.8 62.21 125.8 144H66.22C77.21 142.2 129.4 80.01 192 80.01zM192 432c-62.62 0-114.8-62.21-125.8-144h251.6C306.8 369.8 254.6 432 192 432z"],
    "thought-bubble": [512, 512, [], "e32e", "M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384zM384 80c-3.281 0-6.438 .3125-9.594 .7187C355.1 32.17 308.3 0 256 0C204.4 0 157.8 31.59 138.2 79.27C134.8 78.84 131.4 78.5 128 78.5c-70.59 0-128 57.48-128 128.1s57.41 127.9 128 127.9c12.62 0 25.41-2.062 38.13-6.125C182.9 362.7 217.4 384.5 256 384.5c38.03 0 72.31-21.27 89.31-54.77C358.2 333.9 371.2 336 384 336c70.59 0 128-57.37 128-127.9S454.6 80 384 80z"],
    "thumbs-down": [512, 512, [61576, 128078], "f165", "M96 32.04H32c-17.67 0-32 14.32-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1V64.03C128 46.36 113.7 32.04 96 32.04zM467.3 240.2C475.1 231.7 480 220.4 480 207.9c0-23.47-16.87-42.92-39.14-47.09C445.3 153.6 448 145.1 448 135.1c0-21.32-14-39.18-33.25-45.43C415.5 87.12 416 83.61 416 79.98C416 53.47 394.5 32 368 32h-58.69c-34.61 0-68.28 11.22-95.97 31.98L179.2 89.57C167.1 98.63 160 112.9 160 127.1l.1074 160c0 0-.0234-.0234 0 0c.0703 13.99 6.123 27.94 17.91 37.36l16.3 13.03C276.2 403.9 239.4 480 302.5 480c30.96 0 49.47-24.52 49.47-48.11c0-15.15-11.76-58.12-34.52-96.02H464c26.52 0 48-21.47 48-47.98C512 262.5 492.2 241.9 467.3 240.2z"],
    "thumbs-up": [512, 512, [61575, 128077], "f164", "M128 447.1V223.1c0-17.67-14.33-31.1-32-31.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 479.1 128 465.6 128 447.1zM512 224.1c0-26.5-21.48-47.98-48-47.98h-146.5c22.77-37.91 34.52-80.88 34.52-96.02C352 56.52 333.5 32 302.5 32c-63.13 0-26.36 76.15-108.2 141.6L178 186.6C166.2 196.1 160.2 210 160.1 224c-.0234 .0234 0 0 0 0L160 384c0 15.1 7.113 29.33 19.2 38.39l34.14 25.59C241 468.8 274.7 480 309.3 480H368c26.52 0 48-21.47 48-47.98c0-3.635-.4805-7.143-1.246-10.55C434 415.2 448 397.4 448 376c0-9.148-2.697-17.61-7.139-24.88C463.1 347 480 327.5 480 304.1c0-12.5-4.893-23.78-12.72-32.32C492.2 270.1 512 249.5 512 224.1z"],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", "M32 32C32 14.33 46.33 0 64 0H320C337.7 0 352 14.33 352 32C352 49.67 337.7 64 320 64H290.5L301.9 212.2C338.6 232.1 367.5 265.4 381.4 306.9L382.4 309.9C385.6 319.6 383.1 330.4 377.1 338.7C371.9 347.1 362.3 352 352 352H32C21.71 352 12.05 347.1 6.04 338.7C.0259 330.4-1.611 319.6 1.642 309.9L2.644 306.9C16.47 265.4 45.42 232.1 82.14 212.2L93.54 64H64C46.33 64 32 49.67 32 32zM224 384V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384H224z"],
    "tick": [128, 512, [], "e32f", "M126.1 109.8L101.7 255C98.43 274.1 82.55 288 63.99 288S29.55 274.1 26.25 255L1.044 109.9c-3.416-19.63 1.648-39.64 13.85-54.93c24.34-30.57 73.86-30.57 98.2 0C125.3 70.21 130.4 90.22 126.1 109.8z"],
    "ticket": [576, 512, [127903], "f145", "M128 160H448V352H128V160zM512 64C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512zM96 352C96 369.7 110.3 384 128 384H448C465.7 384 480 369.7 480 352V160C480 142.3 465.7 128 448 128H128C110.3 128 96 142.3 96 160V352z"],
    "ticket-airline": [640, 512, [], "e29a", "M576 64C611.3 64 640 92.65 640 128V192C604.7 192 576 220.7 576 256C576 291.3 604.7 320 640 320V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM432 144C440.8 144 448 136.8 448 128C448 119.2 440.8 112 432 112C423.2 112 416 119.2 416 128C416 136.8 423.2 144 432 144zM432 208C440.8 208 448 200.8 448 192C448 183.2 440.8 176 432 176C423.2 176 416 183.2 416 192C416 200.8 423.2 208 432 208zM432 240C423.2 240 416 247.2 416 256C416 264.8 423.2 272 432 272C440.8 272 448 264.8 448 256C448 247.2 440.8 240 432 240zM432 336C440.8 336 448 328.8 448 320C448 311.2 440.8 304 432 304C423.2 304 416 311.2 416 320C416 328.8 423.2 336 432 336zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM120 224L100.8 198.4C97.78 194.4 93.04 192 88 192H74.25C69.04 192 65.22 196.9 66.48 201.9L79.03 252.1C79.67 254.7 79.67 257.3 79.03 259.9L66.48 310.1C65.22 315.1 69.04 320 74.25 320H88C93.04 320 97.78 317.6 100.8 313.6L120 288H176L147.5 373.5C145.8 378.6 149.6 384 155.1 384H186.2C194.8 384 202.6 379.5 206.9 372.1L256 288H302.9C318.1 288 334.4 281.6 345.7 270.3C353.6 262.4 353.6 249.6 345.7 241.7C334.4 230.4 318.1 223.1 302.9 223.1H256L206.9 139.9C202.6 132.5 194.8 127.1 186.2 127.1H155.1C149.6 127.1 145.8 133.3 147.5 138.5L176 223.1L120 224z"],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", "M0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128z"],
    "tickets-airline": [640, 512, [], "e29b", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V160C613.5 160 592 181.5 592 208C592 234.5 613.5 256 640 256V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM528 128C536.8 128 544 120.8 544 112C544 103.2 536.8 96 528 96C519.2 96 512 103.2 512 112C512 120.8 519.2 128 528 128zM528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192zM528 224C519.2 224 512 231.2 512 240C512 248.8 519.2 256 528 256C536.8 256 544 248.8 544 240C544 231.2 536.8 224 528 224zM528 320C536.8 320 544 312.8 544 304C544 295.2 536.8 288 528 288C519.2 288 512 295.2 512 304C512 312.8 519.2 320 528 320zM265.3 106.5L288.4 176H245.8L226.6 150.4C223.5 146.4 218.8 144 213.8 144H200C194.8 144 190.1 148.9 192.2 153.9L204.8 204.1C205.4 206.7 205.4 209.3 204.8 211.9L192.2 262.1C190.1 267.1 194.8 272 200 272H213.8C218.8 272 223.5 269.6 226.6 265.6L245.8 240H288.4L265.3 309.5C263.5 314.7 267.4 320 272.9 320H303.1C312.5 320 320.4 315.5 324.7 308.1L364.4 240H404.7C420.7 240 436.1 233.6 447.5 222.3C455.4 214.4 455.4 201.6 447.5 193.7C436.1 182.4 420.7 175.1 404.7 175.1H364.4L324.7 107.9C320.4 100.5 312.5 95.1 303.1 95.1H272.9C267.4 95.1 263.5 101.3 265.3 106.5V106.5zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "tilde": [448, 512, [63135], "7e", "M348.1 384c-26.31 0-52.03-10.66-70.63-29.25l-152.3-152.2c-6.688-6.688-15.94-10.5-25.38-10.5C80.09 192 64 208.1 64 227.9v92.12c0 17.69-14.31 32-32 32s-32-14.31-32-32V227.9c0-55.06 44.81-99.88 99.88-99.88c26.31 0 52.03 10.66 70.63 29.25l152.3 152.2c6.688 6.688 15.94 10.5 25.38 10.5C367.9 320 384 303.9 384 284.1V192c0-17.69 14.31-32 32-32s32 14.31 32 32V284.1C448 339.2 403.2 384 348.1 384z"],
    "timeline": [640, 512, [], "e29c", "M160 224H480V169.3C451.7 156.1 432 128.8 432 96C432 51.82 467.8 16 512 16C556.2 16 592 51.82 592 96C592 128.8 572.3 156.1 544 169.3V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H352V342.7C380.3 355 400 383.2 400 416C400 460.2 364.2 496 320 496C275.8 496 240 460.2 240 416C240 383.2 259.7 355 288 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C67.75 156.1 48 128.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 128.8 188.3 156.1 160 169.3V224zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM512 72C498.7 72 488 82.75 488 96C488 109.3 498.7 120 512 120C525.3 120 536 109.3 536 96C536 82.75 525.3 72 512 72zM320 440C333.3 440 344 429.3 344 416C344 402.7 333.3 392 320 392C306.7 392 296 402.7 296 416C296 429.3 306.7 440 320 440z"],
    "timeline-arrow": [640, 512, [], "e29d", "M160 224H320V169.3C291.7 156.1 272 128.8 272 96C272 51.82 307.8 16 352 16C396.2 16 432 51.82 432 96C432 128.8 412.3 156.1 384 169.3V224H530.7L489.4 182.6C476.9 170.1 476.9 149.9 489.4 137.4C501.9 124.9 522.1 124.9 534.6 137.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L534.6 374.6C522.1 387.1 501.9 387.1 489.4 374.6C476.9 362.1 476.9 341.9 489.4 329.4L530.7 288H256V342.7C284.3 355 304 383.2 304 416C304 460.2 268.2 496 224 496C179.8 496 144 460.2 144 416C144 383.2 163.7 355 192 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C67.75 156.1 48 128.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 128.8 188.3 156.1 160 169.3V224zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM352 72C338.7 72 328 82.75 328 96C328 109.3 338.7 120 352 120C365.3 120 376 109.3 376 96C376 82.75 365.3 72 352 72zM224 440C237.3 440 248 429.3 248 416C248 402.7 237.3 392 224 392C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440z"],
    "timer": [512, 512, [], "e29e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 184.4 29.46 119.6 76.84 73.14C89.46 60.78 109.7 60.98 122.1 73.6C134.5 86.23 134.3 106.5 121.6 118.9C86.03 153.7 64 202.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 160.9 378.8 81.89 288 66.65V96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96V32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256zM272.1 239C282.3 248.4 282.3 263.6 272.1 272.1C263.6 282.3 248.4 282.3 239 272.1L159 192.1C149.7 183.6 149.7 168.4 159 159C168.4 149.7 183.6 149.7 192.1 159L272.1 239z"],
    "tire": [512, 512, [], "f631", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM309.9 290.4L371.8 310.6C353.5 349.4 316.2 377.5 271.1 383L271.9 317.1C287.8 313.9 301.3 303.9 309.9 290.4L309.9 290.4zM320 256C320 240.6 314.5 226.4 305.5 215.4L343.7 162.7C368.5 186.1 384 219.2 384 256C384 264.3 383.2 272.3 381.7 280.2L319.9 260C319.1 258.7 320 257.4 320 256L320 256zM279.6 196.5C272.3 193.6 264.3 192 256 192C247.7 192 239.7 193.6 232.4 196.5L194.2 143.9C212.5 133.8 233.6 128 255.1 128C278.4 128 299.5 133.8 317.8 143.9L279.6 196.5zM206.5 215.4C197.5 226.4 192 240.6 192 256C192 257.4 192 258.7 192.1 260L130.3 280.2C128.8 272.3 128 264.3 128 255.1C128 219.2 143.5 186.1 168.3 162.7L206.5 215.4zM239.9 317.1L239.1 383C195.7 377.5 158.5 349.4 140.2 310.6L202.1 290.4C210.6 303.9 224.1 313.9 239.9 317.1H239.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416z"],
    "tire-flat": [512, 512, [], "f632", "M224 288C224 270.3 238.3 256 256 256C273.7 256 288 270.3 288 288C288 305.7 273.7 320 256 320C238.3 320 224 305.7 224 288zM271.1 415L271.9 349.1C287.8 345.9 301.3 335.9 309.9 322.4L371.8 342.6C353.5 381.4 316.2 409.5 271.1 415L271.1 415zM381.7 312.2L319.9 292C319.1 290.7 320 289.4 320 288C320 272.6 314.5 258.4 305.5 247.4L343.7 194.7C368.5 218.1 384 251.2 384 288C384 296.3 383.2 304.3 381.7 312.2L381.7 312.2zM232.4 228.5L194.2 175.9C212.5 165.8 233.6 160 255.1 160C278.4 160 299.5 165.8 317.8 175.9L279.6 228.5C272.3 225.6 264.3 224 255.1 224C247.7 224 239.7 225.6 232.4 228.5H232.4zM128 288C128 251.2 143.5 218.1 168.3 194.7L206.5 247.4C197.5 258.4 192 272.6 192 288C192 289.4 192 290.7 192.1 292L130.3 312.2C128.8 304.3 128 296.3 128 288H128zM140.2 342.6L202.1 322.4C210.6 335.9 224.1 345.9 239.9 349.1L239.1 415C195.7 409.5 158.5 381.4 140.2 342.6H140.2zM512 288C512 335.3 499.2 379.7 476.8 417.7C497.1 423.3 512 441.9 512 464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464C0 441.9 14.93 423.3 35.25 417.7C12.85 379.7 0 335.3 0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288zM352 416C390.9 386.8 416 340.3 416 288C416 199.6 344.4 128 256 128C167.6 128 96 199.6 96 288C96 340.3 121.1 386.8 159.1 416C186.7 436.1 219.1 448 256 448C289.1 448 319.9 437.9 345.5 420.7C347.7 419.2 349.9 417.6 352 416V416z"],
    "tire-pressure-warning": [512, 512, [], "f633", "M384 32C384 14.33 398.3 .0003 416 .0003C433.7 .0003 448 14.33 448 32V54.46C448 78.53 451.9 102.5 459.5 125.3L461.1 132.7C466.8 147.2 473.5 161.4 481.3 177.1C498.8 212.7 514.7 259.7 508.8 313.3C503.4 361.9 480.7 412.3 432 461.1V496C432 504.8 424.8 512 416 512H384C375.2 512 368 504.8 368 496V488H336V496C336 504.8 328.8 512 320 512H288C279.2 512 272 504.8 272 496V488H239.1V496C239.1 504.8 232.8 512 223.1 512H191.1C183.2 512 175.1 504.8 175.1 496V488H143.1V496C143.1 504.8 136.8 512 127.1 512H95.1C87.16 512 79.1 504.8 79.1 496V461.1C31.34 412.3 8.575 361.9 3.236 313.3C-2.658 259.7 13.17 212.7 30.72 177.1C38.5 161.4 45.21 147.2 50.02 132.7L52.5 125.3C60.12 102.5 63.1 78.53 63.1 54.46V32C63.1 14.33 78.33 0 95.1 0C113.7 0 127.1 14.33 127.1 32V54.46C127.1 85.41 123 116.2 113.2 145.5L110.7 152.1C104.4 171.1 95.93 189.6 88.12 205.5C73.46 235.2 62.8 269.4 66.85 306.3C70.59 340.3 87.26 380.4 132.6 424H379.4C424.7 380.4 441.4 340.3 445.1 306.3C449.2 269.4 438.5 235.2 423.9 205.5C416.1 189.6 407.6 171.1 401.3 152.1L398.8 145.5C388.1 116.2 384 85.41 384 54.46V32zM280 232C280 245.3 269.3 256 255.1 256C242.7 256 231.1 245.3 231.1 232V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120V232zM223.1 320C223.1 302.3 238.3 288 255.1 288C273.7 288 288 302.3 288 320C288 337.7 273.7 352 255.1 352C238.3 352 223.1 337.7 223.1 320z"],
    "tire-rugged": [512, 512, [], "f634", "M232 184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184C280 197.3 269.3 208 256 208C242.7 208 232 197.3 232 184zM194.9 210.9C207.5 215 214.4 228.6 210.3 241.2C206.3 253.8 192.7 260.7 180.1 256.6C167.5 252.5 160.6 238.9 164.7 226.3C168.8 213.7 182.3 206.8 194.9 210.9zM317.1 210.9C329.7 206.8 343.2 213.7 347.3 226.3C351.4 238.9 344.5 252.5 331.9 256.6C319.3 260.7 305.7 253.8 301.7 241.2C297.6 228.6 304.5 215 317.1 210.9V210.9zM278.9 328.4C271.1 317.6 273.5 302.6 284.2 294.8C294.9 287 309.9 289.4 317.7 300.1C325.5 310.9 323.1 325.9 312.4 333.7C301.7 341.5 286.7 339.1 278.9 328.4V328.4zM233.1 328.4C225.3 339.1 210.3 341.5 199.6 333.7C188.8 325.9 186.5 310.9 194.3 300.1C202.1 289.4 217.1 287 227.8 294.8C238.5 302.6 240.9 317.6 233.1 328.4V328.4zM320 40C320 40.42 319.1 40.85 319.1 41.27C334.9 45.7 349.2 51.66 362.6 58.94C362.9 58.63 363.2 58.31 363.5 58.01L374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2L453.1 148.5C453.7 148.8 453.4 149.1 453.1 149.4C460.3 162.8 466.3 177.1 470.7 192C471.2 192 471.6 192 472 192H488C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320H472C471.6 320 471.2 319.1 470.7 319.1C466.3 334.9 460.3 349.2 453.1 362.6C453.4 362.9 453.7 363.2 453.1 363.5L465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3L363.5 453.1C363.2 453.7 362.9 453.4 362.6 453.1C349.2 460.3 334.9 466.3 319.1 470.7C319.1 471.2 320 471.6 320 472V488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488V472C192 471.6 192 471.2 192 470.7C177.1 466.3 162.8 460.3 149.4 453.1C149.1 453.4 148.8 453.7 148.5 453.1L137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8L58.01 363.5C58.31 363.2 58.62 362.9 58.94 362.6C51.66 349.2 45.7 334.9 41.27 319.1C40.85 319.1 40.42 320 40 320H24C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192H40C40.42 192 40.85 192 41.27 192C45.7 177.1 51.66 162.8 58.94 149.4C58.62 149.1 58.31 148.8 58.01 148.5L46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7L148.5 58.01C148.8 58.31 149.1 58.63 149.4 58.94C162.8 51.66 177.1 45.7 192 41.27C192 40.85 192 40.42 192 40V24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24V40zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384z"],
    "toggle-large-off": [576, 512, [], "e5b0", "M0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256zM192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C262.7 384 320 326.7 320 256C320 185.3 262.7 128 192 128zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H335.1C365.5 161.1 384 206.8 384 256C384 305.2 365.5 350 335.1 384H384z"],
    "toggle-large-on": [576, 512, [], "e5b1", "M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128C313.3 128 256 185.3 256 256C256 326.7 313.3 384 384 384z"],
    "toggle-off": [576, 512, [], "f204", "M192 352C138.1 352 96 309 96 256C96 202.1 138.1 160 192 160C245 160 288 202.1 288 256C288 309 245 352 192 352zM384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448zM384 128H192C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128z"],
    "toggle-on": [576, 512, [], "f205", "M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 352C437 352 480 309 480 256C480 202.1 437 160 384 160C330.1 160 288 202.1 288 256C288 309 330.1 352 384 352z"],
    "toilet": [448, 512, [128701], "f7d8", "M432 48C440.8 48 448 40.75 448 32V16C448 7.25 440.8 0 432 0h-416C7.25 0 0 7.25 0 16V32c0 8.75 7.25 16 16 16H32v158.7C11.82 221.2 0 237.1 0 256c0 60.98 33.28 115.2 84.1 150.4l-19.59 64.36C59.16 491.3 74.53 512 96.03 512h255.9c21.5 0 36.88-20.75 30.62-41.25L363 406.4C414.7 371.2 448 316.1 448 256c0-18.04-11.82-34.85-32-49.26V48H432zM96 72C96 67.63 99.63 64 104 64h48C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-48C99.63 96 96 92.38 96 88V72zM224 288C135.6 288 64 273.7 64 256c0-17.67 71.63-32 160-32s160 14.33 160 32C384 273.7 312.4 288 224 288z"],
    "toilet-paper": [576, 512, [129531], "f71e", "M127.1 0C74.98 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h280.9c13.88 0 26-8.75 30.38-21.88c12.88-38.5 24.75-72.37 24.75-126L351.1 192c0-83.62 23.62-153.5 60.5-192H127.1zM95.99 224C87.11 224 79.99 216.9 79.99 208S87.11 192 95.99 192s16 7.125 16 16S104.9 224 95.99 224zM159.1 224c-8.875 0-16-7.125-16-16S151.1 192 159.1 192s16 7.125 16 16S168.9 224 159.1 224zM223.1 224C215.1 224 207.1 216.9 207.1 208S215.1 192 223.1 192c8.875 0 16 7.125 16 16S232.9 224 223.1 224zM287.1 224C279.1 224 271.1 216.9 271.1 208S279.1 192 287.1 192c8.875 0 16 7.125 16 16S296.9 224 287.1 224zM479.1 0c-53 0-96 86.06-96 192.1C383.1 298.1 426.1 384 479.1 384S576 298 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.38-64 32-64c17.63 0 32 28.62 32 64S497.6 256 479.1 256z"],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", "M127.1 0C74.98 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h280.9c13.88 0 26-8.75 30.38-21.88c12.88-38.5 24.75-72.37 24.75-126L351.1 192c0-83.62 23.62-153.5 60.5-192H127.1zM479.1 0c-53 0-96 86.06-96 192.1C383.1 298.1 426.1 384 479.1 384S576 298 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.38-64 32-64c17.63 0 32 28.62 32 64S497.6 256 479.1 256z"],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", "M416 384c53 0 96-85.1 96-192c0-105.1-43-192-96-192s-96 86-96 192C320 298 363 384 416 384zM416 128c17.62 0 31.1 28.62 31.1 64S433.6 256 416 256s-32-28.62-32-64S398.4 128 416 128zM287.1 192c0-83.6 23.68-153.5 60.44-192H96C43 0 0 86 0 192c0 106 43 192 96 192h252.4C311.7 345.5 287.1 275.6 287.1 192zM422.1 415.7L128 416v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-137C490.3 385.5 459.1 412.6 422.1 415.7z"],
    "toilet-paper-check": [640, 512, [], "e5b2", "M444.2 0C397.2 49.59 384 126.5 384 192C384 350.8 356.7 438.1 341.3 475.9C331.3 499.9 308.2 512 285.9 512H48.02C36.49 512 25.85 505.8 20.17 495.8C14.49 485.7 14.61 473.5 20.54 463.6C30.34 445.8 35.98 425.4 41.05 405.9C52.3 362.8 64.02 293.5 64.02 192C64.02 85.96 106.1 0 160 0L444.2 0zM291.3 187.3C297.6 181.1 297.6 170.9 291.3 164.7C285.1 158.4 274.9 158.4 268.7 164.7L207.1 225.4L179.3 196.7C173.1 190.4 162.9 190.4 156.7 196.7C150.4 202.9 150.4 213.1 156.7 219.3L196.7 259.3C202.9 265.6 213.1 265.6 219.3 259.3L291.3 187.3zM416 192C416 85.96 458.1 0 512 0C565 0 608 85.96 608 192C608 298 565 384 512 384C458.1 384 416 298 416 192zM512 256C529.7 256 544 227.3 544 192C544 156.7 529.7 128 512 128C494.3 128 480 156.7 480 192C480 227.3 494.3 256 512 256z"],
    "toilet-paper-slash": [640, 512, [], "e072", "M63.98 191.1v172.1c0 41.12-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1l280.9-.0059c13.87 0 25.1-8.75 30.37-21.87c10.08-30.15 19.46-57.6 23.1-93.78L66.51 148.8C64.9 162.7 63.98 177.1 63.98 191.1zM630.8 469.1l-109.8-86.02c48.75-9.144 86.94-91.2 86.94-191.1C607.1 86 564.1 0 511.1 0s-96 86-96 191.1c0 49.25 9.362 94.03 24.62 128l-56.62-44.38l.0049-83.65c0-83.62 23.62-153.5 60.5-191.1H159.1C135.2 0 112.7 18.93 95.72 49.72L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187C-3.061 19.62-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM479.1 191.1c0-35.37 14.37-64 32-64c17.62 0 32 28.63 32 64S529.6 255.1 511.1 255.1C494.4 255.1 479.1 227.4 479.1 191.1z"],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", "M416 384c53 0 96-85.1 96-192c0-105.1-43-192-96-192s-96 86-96 192C320 298 363 384 416 384zM416 128c17.62 0 31.1 28.62 31.1 64S433.6 256 416 256s-32-28.62-32-64S398.4 128 416 128zM287.1 192c0-83.6 23.68-153.5 60.44-192H96C43 0 0 86 0 192c0 106 43 192 96 192h252.4C311.7 345.5 287.1 275.6 287.1 192zM47.97 224c-8.875 0-16-7.125-16-16S39.11 192 47.99 192s15.99 7.125 15.99 16S56.85 224 47.97 224zM111.1 223.1c-8.875 0-16-7.125-16-16S103.1 192 111.1 192s16 7.124 16 15.1S120.9 223.1 111.1 223.1zM175.1 223.1c-8.875 0-15.99-7.12-15.99-15.99S167.1 192 175.1 192s15.1 7.121 15.1 15.1S184.9 223.1 175.1 223.1zM239.1 224C231.1 224 223.1 216.9 223.1 208s7.122-15.1 15.1-15.1s15.1 7.122 15.1 15.1S248.9 224 239.1 224zM422.1 415.7L128 416v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-137C490.3 385.5 459.1 412.6 422.1 415.7z"],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", "M66.53 148.8C64.93 162.7 64 177.1 64 192c0 106 42.1 192 95.1 192h206.6L66.53 148.8zM630.8 469.1L576 426.1v-83.15c-11.06 21.68-24.61 39.28-40 51.8l-26.08-20.44C548.3 349.2 576 277.1 576 192c0-106-43-192-96-192s-95.1 86-95.1 192c0 33.81 4.408 65.53 12.08 93.13l-38.88-30.47C354.1 234.8 351.1 214.1 351.1 192c0-83.6 23.68-153.5 60.44-192H160C135.3 0 112.8 18.1 95.8 49.77L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM480 256c-17.62 0-32-28.62-32-64S462.4 128 480 128s31.1 28.62 31.1 64S497.6 256 480 256zM192 416v64c0 17.67 14.33 32 32 32h305.9l-122.5-96H192z"],
    "toilet-paper-xmark": [512, 512, [], "e5b3", "M96 0H348.2C336.6 12.25 327 26.9 319.5 41.92C299.5 81.99 288 135.1 288 192C288 248.9 299.5 302 319.5 342.1C327 357.1 336.6 371.8 348.2 384H96C42.98 384 0 298 0 192C0 85.96 42.98 0 96 0V0zM188.7 132.7L152 169.4L115.3 132.7C109.1 126.4 98.93 126.4 92.69 132.7C86.44 138.9 86.44 149.1 92.69 155.3L129.4 192L92.69 228.7C86.44 234.9 86.44 245.1 92.69 251.3C98.93 257.6 109.1 257.6 115.3 251.3L152 214.6L188.7 251.3C194.9 257.6 205.1 257.6 211.3 251.3C217.6 245.1 217.6 234.9 211.3 228.7L174.6 192L211.3 155.3C217.6 149.1 217.6 138.9 211.3 132.7C205.1 126.4 194.9 126.4 188.7 132.7zM320 192C320 108.4 346.7 37.28 384 10.93C394 3.85 404.8 0 416 0C469 0 512 85.96 512 192C512 226.1 507.3 259.8 499.2 288C482.6 345.4 451.5 384 416 384C404.8 384 394 380.2 384 373.1C346.7 346.7 320 275.6 320 192zM384 192C384 227.3 398.3 256 416 256C433.7 256 448 227.3 448 192C448 156.7 433.7 128 416 128C398.3 128 384 156.7 384 192zM416 416C460.8 416 492.9 380.8 512 343.1V464C512 490.5 490.5 512 464 512H208C181.5 512 160 490.5 160 464V416H416z"],
    "toilet-portable": [320, 512, [], "e583", "M0 32C0 14.33 14.33 0 32 0H288C305.7 0 320 14.33 320 32V64H0V32zM320 96V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V96H320zM256 240C256 231.2 248.8 224 240 224C231.2 224 224 231.2 224 240V304C224 312.8 231.2 320 240 320C248.8 320 256 312.8 256 304V240z"],
    "toilets-portable": [576, 512, [], "e584", "M224 0C241.7 0 256 14.33 256 32V64H0V32C0 14.33 14.33 0 32 0H224zM0 96H256V488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V96zM176 240V304C176 312.8 183.2 320 192 320C200.8 320 208 312.8 208 304V240C208 231.2 200.8 224 192 224C183.2 224 176 231.2 176 240zM544 0C561.7 0 576 14.33 576 32V64H320V32C320 14.33 334.3 0 352 0H544zM320 96H576V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V480H368V488C368 501.3 357.3 512 344 512C330.7 512 320 501.3 320 488V96zM496 240V304C496 312.8 503.2 320 512 320C520.8 320 528 312.8 528 304V240C528 231.2 520.8 224 512 224C503.2 224 496 231.2 496 240z"],
    "tomato": [512, 512, [], "e330", "M441.1 157.5c-5.789 9.805-14.96 17.03-26.12 20.04c2.351 30.66-28.95 56.2-62.12 42.72l-97.73-43.1L157.3 220.7c-31.05 12.53-63.72-11.59-61.18-43.25C85.12 174.4 75.96 167.2 70.18 157.3C29.21 185.4 0 233.7 0 303.6C0 455.3 145.1 512 236.3 512h39.42C365.7 512 512 454.1 512 303.6C512 233.9 482.9 185.6 441.1 157.5zM108.3 147c1.924 0-.4141 .3047 41.58-7.441L128.9 176.6C124.9 185.8 135.1 195.1 145.3 190.1l110.7-48.79l110.6 48.79c10.28 4.148 20.46-5.221 16.45-14.37l-20.96-36.98c42.08 7.836 39.77 7.535 41.71 7.535c10.95 0 16.45-12.07 8.709-19.11c-1.986-1.803-46.59-40.5-133.4-46.78c-2.006-30.05-16.59-58.32-40.8-76.48c-10.62-8-25.69-5.797-33.63 4.812C196.8 20.21 199 35.26 209.6 43.21c12.23 9.164 19.79 23.13 21.62 38.16C145.5 87.98 101.6 126.1 99.62 127.9C91.86 134.1 97.41 147 108.3 147z"],
    "tombstone": [448, 512, [], "f720", "M415.1 191.1C415.1 85.99 329.1 0 223.1 0C117.1 0 31.1 86 31.1 192L32 416h384L415.1 191.1zM320 192c0 8.875-7.125 16-16 16l-56.01-.0005L248 336c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16L199.1 208L144 208C135.1 208 128 200.9 128 192V176C128 167.1 135.1 160 144 160l55.99 .0005L200 112c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16l-.0073 47.1L304 160C312.9 160 320 167.1 320 176V192zM432 448h-416C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h416c8.875 0 16-7.125 16-16v-32C448 455.1 440.9 448 432 448z"],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", "M415.1 191.1c0-105.1-86-191.1-192-191.1c-106 0-191.1 86-191.1 192L32 416h384L415.1 191.1zM432 448h-416c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16v-31.1C448 455.1 440.9 448 432 448z"],
    "toolbox": [512, 512, [129520], "f552", "M502.6 182.6l-45.25-45.25C451.4 131.4 443.3 128 434.8 128H384V80C384 53.5 362.5 32 336 32h-160C149.5 32 128 53.5 128 80V128H77.25c-8.5 0-16.62 3.375-22.62 9.375L9.375 182.6C3.375 188.6 0 196.8 0 205.3V304h128v-32C128 263.1 135.1 256 144 256h32C184.9 256 192 263.1 192 272v32h128v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272v32h128V205.3C512 196.8 508.6 188.6 502.6 182.6zM336 128h-160V80h160V128zM384 368c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32H192v32C192 376.9 184.9 384 176 384h-32C135.1 384 128 376.9 128 368v-32H0V448c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-112h-128V368z"],
    "tooth": [448, 512, [129463], "f5c9", "M394.1 212.8c-20.04 27.67-28.07 60.15-31.18 93.95c-3.748 41.34-8.785 82.46-17.89 122.8l-6.75 29.64c-2.68 12.14-13.29 20.78-25.39 20.78c-12 0-22.39-8.311-25.29-20.23l-29.57-121.2C254.1 322.6 240.1 311.4 224 311.4c-16.18 0-30.21 11.26-34.07 27.23l-29.57 121.2c-2.893 11.92-13.39 20.23-25.29 20.23c-12.21 0-22.71-8.639-25.5-20.78l-6.643-29.64c-9.105-40.36-14.14-81.48-17.1-122.8C81.93 272.1 73.9 240.5 53.86 212.8c-18.75-25.92-27.11-60.15-18.43-96.57c9.428-39.59 40.39-71.75 78.85-82.03c20.14-5.25 39.54-.4375 57.32 9.077l86.14 56.54c6.643 4.375 15.11 1.86 18.96-4.264c4.07-6.454 2.25-15.09-4.18-19.36l-24.21-15.86c3-1.531 6.215-2.735 9-4.813c22.39-16.84 48.75-28.65 76.39-21.33c38.46 10.28 69.43 42.43 78.85 82.03C421.2 152.7 412.9 187 394.1 212.8z"],
    "toothbrush": [576, 512, [129701], "f635", "M64 224h352c35.38 0 64-28.62 64-64c0-70.75-57.25-128-128-128c23.62 23.62 6.875 64-26.5 64H64C28.63 96 0 124.6 0 160S28.63 224 64 224zM560 416H448V264C448 259.6 444.4 256 440 256h-16C419.6 256 416 259.6 416 264V416h-32V264C384 259.6 380.4 256 376 256h-16C355.6 256 352 259.6 352 264V416h-32V264C320 259.6 316.4 256 312 256h-16C291.6 256 288 259.6 288 264V416H256V264C256 259.6 252.4 256 248 256h-16C227.6 256 224 259.6 224 264V416H192V264C192 259.6 188.4 256 184 256h-16C163.6 256 160 259.6 160 264V416H128V264C128 259.6 124.4 256 120 256h-16C99.63 256 96 259.6 96 264V416H64V264C64 259.6 60.38 256 56 256h-16C35.63 256 32 259.6 32 264V416H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 16 480h544c8.875 0 16-7.125 16-16v-32C576 423.1 568.9 416 560 416z"],
    "torii-gate": [512, 512, [9961], "f6a1", "M0 80V0L71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V80C512 106.5 490.5 128 464 128H448V192H384V128H288V192H224V128H128V192H64V128H48C21.49 128 0 106.5 0 80zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V288H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V288H32z"],
    "tornado": [448, 512, [127786], "f76f", "M407.8 42.09c7.531-6.562 10.22-17.12 6.688-26.5C410.1 6.219 401.1 0 391.1 0L24.16 .0313c-13 0-23.66 10.38-24 23.38C-.5495 50.32 1.349 74.22 4.945 95.98h353.9C367.9 80.76 383.4 63.34 407.8 42.09zM387.7 195.9c-22.02-25.33-38.96-44.87-39-67.93H12.05c11.47 40.4 30.38 71.34 53.15 96h345.8C403.4 214.1 395.4 204.8 387.7 195.9zM303.6 485.3c-1.125 10.12 4.249 19.84 13.44 24.28C320.3 511.2 323.9 512 327.4 512c6.219 0 12.34-2.406 16.94-7c43.73-43.61 73.32-83.63 89.35-121h-148.6C300.8 408.6 308.7 440 303.6 485.3zM431.7 255.1H100.5C127.1 276.3 155.8 291.6 182.4 305.8c28.14 15.01 54.04 28.9 74.73 46.14h186.8C446.4 341.1 447.1 330.4 448 320C448 295.4 441.4 274.6 431.7 255.1z"],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", "M160.9 59.01C149.3 52.6 134.7 56.76 128.3 68.39C117.6 87.6 112 109.4 112 131.4c0 19.03 4.031 37.44 11.98 54.62c4.047 8.777 12.73 13.93 21.8 13.93c3.375 0 6.797-.7187 10.05-2.219C167.9 192.2 173.1 177.1 167.5 165.9C162.5 155.1 160 143.5 160 131.4c0-13.93 3.547-27.69 10.25-39.81C176.7 80.04 172.5 65.42 160.9 59.01zM62.61 2.363C46.17-4.32 27.58 3.676 20.95 20.02C7.047 54.36 0 90.69 0 127.1C0 165.3 7.047 201.7 20.95 236C25.98 248.5 37.97 256 50.63 256C54.61 256 58.69 255.3 62.61 253.7C79 247 86.91 228.4 80.27 212C69.47 185.3 64 157.1 64 128c0-29.06 5.469-57.3 16.27-83.99C86.91 27.64 79 8.988 62.61 2.363zM555 20.02c-6.609-16.41-25.23-24.31-41.66-17.66c-16.39 6.625-24.3 25.28-17.66 41.65C506.5 70.7 512 98.95 512 128c0 29.06-5.469 57.31-16.27 83.1C489.1 228.4 497 247 513.4 253.7C517.3 255.3 521.4 256 525.4 256c12.66 0 24.64-7.562 29.67-20C568.1 201.7 576 165.3 576 127.1C576 90.69 568.1 54.36 555 20.02zM420.2 58.23c-12.03 5.562-17.28 19.81-11.72 31.84C413.5 100.9 416 112.5 416 124.6c0 13.94-3.547 27.69-10.25 39.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.47 21.02-12.37C458.4 168.4 464 146.6 464 124.6c0-19.03-4.031-37.43-11.98-54.62C446.5 57.89 432.1 52.7 420.2 58.23zM301.8 65.45C260.5 56.78 224 88.13 224 128c0 23.63 12.95 44.04 32 55.12v296.9c0 17.67 14.33 32 32 32s32-14.33 32-32V183.1c23.25-13.54 37.42-40.96 30.03-71.18C344.4 88.91 325 70.31 301.8 65.45z"],
    "tower-cell": [576, 512, [], "e585", "M62.62 2.339C78.1 8.97 86.9 27.63 80.27 44.01C69.79 69.9 64 98.24 64 128C64 157.8 69.79 186.1 80.27 211.1C86.9 228.4 78.1 247 62.62 253.7C46.23 260.3 27.58 252.4 20.95 236C7.428 202.6 0 166.1 0 128C0 89.87 7.428 53.39 20.95 19.99C27.58 3.612 46.23-4.293 62.62 2.339V2.339zM513.4 2.339C529.8-4.293 548.4 3.612 555.1 19.99C568.6 53.39 576 89.87 576 128C576 166.1 568.6 202.6 555.1 236C548.4 252.4 529.8 260.3 513.4 253.7C497 247 489.1 228.4 495.7 211.1C506.2 186.1 512 157.8 512 128C512 98.24 506.2 69.9 495.7 44.01C489.1 27.63 497 8.969 513.4 2.338V2.339zM477.1 466.8C484.4 482.8 477.3 501.8 461.2 509.1C445.2 516.4 426.2 509.3 418.9 493.2L398.3 448H177.7L157.1 493.2C149.8 509.3 130.8 516.4 114.8 509.1C98.67 501.8 91.56 482.8 98.87 466.8L235.9 165.2C228.4 154.7 224 141.9 224 128C224 92.65 252.7 64 288 64C323.3 64 352 92.65 352 128C352 141.9 347.6 154.7 340.1 165.2L477.1 466.8zM369.2 384L354.7 352H221.3L206.8 384H369.2zM250.4 288H325.6L288 205.3L250.4 288zM152 128C152 147.4 156 165.8 163.3 182.4C168.6 194.5 163.1 208.7 150.9 213.1C138.8 219.3 124.6 213.8 119.3 201.6C109.5 179 104 154.1 104 128C104 101.9 109.5 76.96 119.3 54.39C124.6 42.25 138.8 36.7 150.9 42.01C163.1 47.31 168.6 61.46 163.3 73.61C156 90.23 152 108.6 152 128V128zM472 128C472 154.1 466.5 179 456.7 201.6C451.4 213.8 437.2 219.3 425.1 213.1C412.9 208.7 407.4 194.5 412.7 182.4C419.1 165.8 424 147.4 424 128C424 108.6 419.1 90.24 412.7 73.61C407.4 61.46 412.9 47.32 425.1 42.01C437.2 36.7 451.4 42.25 456.7 54.39C466.5 76.96 472 101.9 472 128V128z"],
    "tower-control": [448, 512, [], "e2a2", "M264 0C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H248V96H288C305.7 96 320 110.3 320 128H405.4C431.1 128 451.2 153.4 443.9 178.1L403.5 320.2C419.5 321.9 432 335.5 432 352C432 369.7 417.7 384 400 384H368V480C368 497.7 353.7 512 336 512H112C94.33 512 80 497.7 80 480V384H48C30.33 384 16 369.7 16 352C16 335.5 28.47 321.9 44.49 320.2L4.145 178.1C-3.156 153.4 16.03 128 42.61 128H128C128 110.3 142.3 96 160 96H200V48H184C170.7 48 160 37.25 160 24C160 10.75 170.7 0 184 0H264zM128 192H74.42L110.8 319.2C110.8 319.5 110.9 319.7 110.1 320H128V192zM176 320H272V192H176V320zM320 192V320H337L337.1 319.5L337.2 319.2L373.6 192H320z"],
    "tower-observation": [512, 512, [], "e586", "M241.7 3.378C250.7-1.126 261.3-1.126 270.3 3.378L430.3 83.38C446.1 91.28 452.5 110.5 444.6 126.3C439 137.5 427.7 143.1 416 144V224C416 241.7 401.7 256 384 256H379.1L411.1 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H384.5C384.2 512 383.8 512 383.4 512H128.6C128.2 512 127.9 512 127.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H100.9L132.9 256H128C110.3 256 96 241.7 96 224V144C84.27 143.1 72.98 137.5 67.38 126.3C59.47 110.5 65.88 91.28 81.69 83.38L241.7 3.378zM314.5 448L256 399.2L197.5 448H314.5zM193.1 284.3L256 336.8L318.9 284.3L314.2 256H197.8L193.1 284.3zM183.9 339.2L172.8 406.1L218.5 368L183.9 339.2zM293.5 368L339.2 406.1L328.1 339.2L293.5 368zM176 128C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H176z"],
    "tractor": [640, 512, [128668], "f722", "M96 64C96 28.65 124.7 0 160 0H266.3C292.5 0 316 15.93 325.8 40.23L373.7 160H480V126.2C480 101.4 485.8 76.88 496.9 54.66L499.4 49.69C507.3 33.88 526.5 27.47 542.3 35.38C558.1 43.28 564.5 62.5 556.6 78.31L554.1 83.28C547.5 96.61 544 111.3 544 126.2V160H600C622.1 160 640 177.9 640 200V245.4C640 261.9 631.5 277.3 617.4 286.1L574.1 313.2C559.9 307.3 544.3 304 528 304C488.7 304 453.9 322.9 431.1 352H352C352 369.7 337.7 384 320 384H311.8C310.1 388.8 308.2 393.5 305.1 398.1L311.8 403.9C324.3 416.4 324.3 436.6 311.8 449.1L289.1 471.8C276.6 484.3 256.4 484.3 243.9 471.8L238.1 465.1C233.5 468.2 228.8 470.1 224 471.8V480C224 497.7 209.7 512 192 512H160C142.3 512 128 497.7 128 480V471.8C123.2 470.1 118.5 468.2 113.9 465.1L108.1 471.8C95.62 484.3 75.36 484.3 62.86 471.8L40.24 449.1C27.74 436.6 27.74 416.4 40.24 403.9L46.03 398.1C43.85 393.5 41.9 388.8 40.19 384H32C14.33 384 0 369.7 0 352V320C0 302.3 14.33 288 32 288H40.19C41.9 283.2 43.85 278.5 46.03 273.9L40.24 268.1C27.74 255.6 27.74 235.4 40.24 222.9L62.86 200.2C71.82 191.3 84.78 188.7 96 192.6L96 64zM160 64V160H304.7L266.3 64H160zM176 256C131.8 256 96 291.8 96 336C96 380.2 131.8 416 176 416C220.2 416 256 380.2 256 336C256 291.8 220.2 256 176 256zM440 424C440 394.2 454.8 367.9 477.4 352C491.7 341.9 509.2 336 528 336C530.7 336 533.3 336.1 535.9 336.3C580.8 340.3 616 378.1 616 424C616 472.6 576.6 512 528 512C479.4 512 440 472.6 440 424zM528 448C541.3 448 552 437.3 552 424C552 410.7 541.3 400 528 400C514.7 400 504 410.7 504 424C504 437.3 514.7 448 528 448z"],
    "trademark": [640, 512, [8482], "f25c", "M618.1 97.67c-13.02-4.375-27.45 .1562-35.72 11.16L464 266.7l-118.4-157.8c-8.266-11.03-22.64-15.56-35.72-11.16C296.8 102 288 114.2 288 128v256c0 17.69 14.33 32 32 32s32-14.31 32-32v-160l86.41 115.2c12.06 16.12 39.13 16.12 51.19 0L576 224v160c0 17.69 14.33 32 32 32s32-14.31 32-32v-256C640 114.2 631.2 102 618.1 97.67zM224 96.01H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h64v223.1c0 17.69 14.33 31.99 32 31.99s32-14.3 32-31.99V160h64c17.67 0 32-14.31 32-32S241.7 96.01 224 96.01z"],
    "traffic-cone": [512, 512, [], "f636", "M173.7 128L216 20.3C220.8 8.053 232.7 0 245.8 0H266.2C279.3 0 291.2 8.053 295.1 20.3L338.3 128H173.7zM363.4 192L401.1 288H110.9L148.6 192H363.4zM48 448L85.71 352H426.3L464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48z"],
    "traffic-light": [320, 512, [128678], "f637", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"],
    "traffic-light-go": [320, 512, [], "f638", "M184 240C184 253.3 173.3 264 160 264C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216C173.3 216 184 226.7 184 240zM136 112C136 98.75 146.7 88 160 88C173.3 88 184 98.75 184 112C184 125.3 173.3 136 160 136C146.7 136 136 125.3 136 112zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160z"],
    "traffic-light-slow": [320, 512, [], "f639", "M136 368C136 354.7 146.7 344 160 344C173.3 344 184 354.7 184 368C184 381.3 173.3 392 160 392C146.7 392 136 381.3 136 368zM136 112C136 98.75 146.7 88 160 88C173.3 88 184 98.75 184 112C184 125.3 173.3 136 160 136C146.7 136 136 125.3 136 112zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160z"],
    "traffic-light-stop": [320, 512, [], "f63a", "M136 368C136 354.7 146.7 344 160 344C173.3 344 184 354.7 184 368C184 381.3 173.3 392 160 392C146.7 392 136 381.3 136 368zM184 240C184 253.3 173.3 264 160 264C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216C173.3 216 184 226.7 184 240zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"],
    "trailer": [640, 512, [], "e041", "M496 32C522.5 32 544 53.49 544 80V320H608C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H496zM64 112V264.2C73.83 256.1 84.55 249 96 243.2V112C96 103.2 88.84 96 80 96C71.16 96 64 103.2 64 112V112zM176 224C181.4 224 186.7 224.2 192 224.7V112C192 103.2 184.8 96 176 96C167.2 96 160 103.2 160 112V224.7C165.3 224.2 170.6 224 176 224zM256 243.2C267.4 249 278.2 256.1 288 264.2V112C288 103.2 280.8 96 272 96C263.2 96 256 103.2 256 112V243.2zM352 112V304C352 312.8 359.2 320 368 320C376.8 320 384 312.8 384 304V112C384 103.2 376.8 96 368 96C359.2 96 352 103.2 352 112zM480 112C480 103.2 472.8 96 464 96C455.2 96 448 103.2 448 112V304C448 312.8 455.2 320 464 320C472.8 320 480 312.8 480 304V112zM96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM176 432C193.7 432 208 417.7 208 400C208 382.3 193.7 368 176 368C158.3 368 144 382.3 144 400C144 417.7 158.3 432 176 432z"],
    "train": [448, 512, [128646], "f238", "M352 0C405 0 448 42.98 448 96V352C448 399.1 412.8 439.7 366.9 446.9L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9L81.14 446.9C35.18 439.7 0 399.1 0 352V96C0 42.98 42.98 0 96 0H352zM64 192C64 209.7 78.33 224 96 224H352C369.7 224 384 209.7 384 192V96C384 78.33 369.7 64 352 64H96C78.33 64 64 78.33 64 96V192zM224 384C250.5 384 272 362.5 272 336C272 309.5 250.5 288 224 288C197.5 288 176 309.5 176 336C176 362.5 197.5 384 224 384z"],
    "train-subway": [448, 512, ["subway"], "f239", "M352 0C405 0 448 42.98 448 96V352C448 399.1 412.8 439.7 366.9 446.9L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9L81.14 446.9C35.18 439.7 0 399.1 0 352V96C0 42.98 42.98 0 96 0H352zM64 224C64 241.7 78.33 256 96 256H176C193.7 256 208 241.7 208 224V128C208 110.3 193.7 96 176 96H96C78.33 96 64 110.3 64 128V224zM272 96C254.3 96 240 110.3 240 128V224C240 241.7 254.3 256 272 256H352C369.7 256 384 241.7 384 224V128C384 110.3 369.7 96 352 96H272zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320zM352 384C369.7 384 384 369.7 384 352C384 334.3 369.7 320 352 320C334.3 320 320 334.3 320 352C320 369.7 334.3 384 352 384z"],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", "M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM216 192C229.3 192 240 202.7 240 216V296C240 309.3 229.3 320 216 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H216zM272 216C272 202.7 282.7 192 296 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H296C282.7 320 272 309.3 272 296V216zM160 376C160 362.7 170.7 352 184 352C197.3 352 208 362.7 208 376C208 389.3 197.3 400 184 400C170.7 400 160 389.3 160 376zM352 376C352 389.3 341.3 400 328 400C314.7 400 304 389.3 304 376C304 362.7 314.7 352 328 352C341.3 352 352 362.7 352 376z"],
    "train-track": [576, 512, [], "e453", "M215.1 96H360.9L353.6 74.12C348.1 57.35 357.1 39.23 373.9 33.64C390.6 28.05 408.8 37.12 414.4 53.88L428.4 96H464C481.7 96 496 110.3 496 128C496 145.7 481.7 160 464 160H449.7L471.1 224H504C521.7 224 536 238.3 536 256C536 273.7 521.7 288 504 288H492.4L513.7 352H544C561.7 352 576 366.3 576 384C576 401.7 561.7 416 544 416H535.1L542.4 437.9C547.9 454.6 538.9 472.8 522.1 478.4C505.4 483.9 487.2 474.9 481.6 458.1L467.6 416H108.4L94.36 458.1C88.77 474.9 70.65 483.9 53.88 478.4C37.11 472.8 28.05 454.6 33.64 437.9L40.94 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H62.27L83.6 288H72C54.33 288 40 273.7 40 256C40 238.3 54.33 224 72 224H104.9L126.3 160H112C94.33 160 80 145.7 80 128C80 110.3 94.33 96 112 96H147.6L161.6 53.88C167.2 37.12 185.4 28.05 202.1 33.64C218.9 39.23 227.9 57.35 222.4 74.12L215.1 96zM193.7 160L172.4 224H403.6L382.3 160H193.7zM424.9 288H151.1L129.7 352H446.3L424.9 288z"],
    "train-tram": [448, 512, [128650], "e5b4", "M86.76 48C74.61 48 63.12 53.52 55.53 63.01L42.74 78.99C34.46 89.34 19.36 91.02 9.007 82.74C-1.343 74.46-3.021 59.36 5.259 49.01L18.04 33.03C34.74 12.15 60.03 0 86.76 0H361.2C387.1 0 413.3 12.15 429.1 33.03L442.7 49.01C451 59.36 449.3 74.46 438.1 82.74C428.6 91.02 413.5 89.34 405.3 78.99L392.5 63.01C384.9 53.52 373.4 48 361.2 48H248V96H288C341 96 384 138.1 384 192V352C384 382.6 369.7 409.8 347.4 427.4L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.74 512H43.04C33.06 512 28.06 499.9 35.12 492.9L100.6 427.4C78.3 409.8 64 382.6 64 352V192C64 138.1 106.1 96 160 96H200V48H86.76zM160 160C142.3 160 128 174.3 128 192V224C128 241.7 142.3 256 160 256H288C305.7 256 320 241.7 320 224V192C320 174.3 305.7 160 288 160H160zM160 320C142.3 320 128 334.3 128 352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352C192 334.3 177.7 320 160 320zM288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384z"],
    "train-tunnel": [512, 512, [], "e454", "M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM328 192C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H328zM288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384z"],
    "transformer-bolt": [384, 512, [], "e2a4", "M224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-24V24C296 10.74 285.3 0 272 0s-24 10.74-24 24V32H224c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128zM384 208v-32C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176v32C0 216.8 7.164 224 16 224v224C7.164 448 0 455.2 0 464v32C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16v-32c0-8.838-7.164-16-16-16V224C376.8 224 384 216.8 384 208zM271.2 344.5l-112 100C156.6 446.8 153.3 448 149.1 448c-2.871 0-5.769-.8887-8.232-2.68c-5.277-3.842-7.219-10.83-4.648-16.83L170.8 352H121.1c-5.824 0-11.05-3.609-13.1-9.078c-2.051-5.455-.5195-11.62 3.885-15.46l112-99.99c4.895-4.307 12.11-4.648 17.45-.7793c5.277 3.842 7.219 10.83 4.648 16.83L213.2 320h48.76c5.824 0 11.05 3.609 13.1 9.078C277.2 334.5 275.6 340.7 271.2 344.5zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H136V24C136 10.74 125.3 0 112 0S88 10.74 88 24V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM64 128h96c8.836 0 16-7.164 16-16C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128z"],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", "M498.6 .0003h-94.37c-17.96 0-26.95 21.71-14.25 34.41L411.1 55.61l-67.01 67.01C318.8 105.9 288.6 96 256 96S193.2 105.9 167.9 122.6L151.6 106.3l6.061-6.062c6.25-6.248 6.25-16.38 0-22.63L146.3 66.34c-6.25-6.248-16.38-6.248-22.63 0L117.7 72.41L100.9 55.61L122.1 34.41c12.7-12.7 3.703-34.41-14.25-34.41H13.44C6.016 .0003 0 6.016 0 13.44v94.37c0 17.96 21.71 26.95 34.41 14.25l21.2-21.2l16.8 16.8L66.35 123.7c-6.25 6.248-6.25 16.38 0 22.63l11.31 11.31c6.25 6.248 16.38 6.248 22.63 0l6.061-6.061L122.6 167.9C105.9 193.2 96 223.4 96 256c0 77.4 54.97 141.9 128 156.8v19.23l-16-.0014c-8.836 0-16 7.165-16 16v15.1c0 8.836 7.164 16 16 16L224 480v16c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-16l16-.0001c8.836 0 16-7.164 16-16v-15.1c0-8.836-7.164-16-16-16L288 432v-19.23c73.03-14.83 128-79.37 128-156.8c0-32.6-9.867-62.85-26.61-88.14l67.01-67.01l21.2 21.2C490.3 134.8 512 125.8 512 107.8V13.44C512 6.016 505.1 .0003 498.6 .0003zM256 336c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 300.1 300.1 336 256 336z"],
    "transporter": [512, 512, [], "e042", "M152.6 276.5l31.38-37.75L184 416h64v-96h16v96h64l.0065-177.3l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM93.75 108.4L64 96L51.63 66.25C50.88 64.88 49.5 64 48 64S45.13 64.88 44.38 66.25L32 96L2.25 108.4C.875 109.1 0 110.5 0 112s.875 2.875 2.25 3.625L32 128l12.38 29.75C45.13 159.1 46.5 160 48 160s2.875-.875 3.625-2.25L64 128l29.75-12.38C95.13 114.9 96 113.5 96 112S95.13 109.1 93.75 108.4zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38z"],
    "transporter-1": [512, 512, [], "e043", "M336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 288h144l.0065-49.25l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM93.75 364.4L64 352l-12.38-29.75C50.88 320.9 49.5 320 48 320s-2.875 .875-3.625 2.25L32 352l-29.75 12.38C.875 365.1 0 366.5 0 368s.875 2.875 2.25 3.625L32 384l12.38 29.75C45.13 415.1 46.5 416 48 416s2.875-.875 3.625-2.25L64 384l29.75-12.38C95.13 370.9 96 369.5 96 368S95.13 365.1 93.75 364.4z"],
    "transporter-2": [512, 512, [], "e044", "M338.2 151C325.1 136.4 308 128 289 128h-66C204 128 185.1 136.4 173.9 151L113 224h286L338.2 151zM112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 364.4L480 352l-12.38-29.75C466.9 320.9 465.5 320 464 320s-2.875 .875-3.625 2.25L448 352l-29.75 12.38C416.9 365.1 416 366.5 416 368s.875 2.875 2.25 3.625L448 384l12.38 29.75C461.1 415.1 462.5 416 464 416s2.875-.875 3.625-2.25L480 384l29.75-12.38C511.1 370.9 512 369.5 512 368S511.1 365.1 509.8 364.4zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38z"],
    "transporter-3": [512, 512, [], "e045", "M93.75 140.4L64 128L51.63 98.25C50.88 96.88 49.5 96 48 96S45.13 96.88 44.38 98.25L32 128L2.25 140.4C.875 141.1 0 142.5 0 144s.875 2.875 2.25 3.625L32 160l12.38 29.75C45.13 191.1 46.5 192 48 192s2.875-.875 3.625-2.25L64 160l29.75-12.38C95.13 146.9 96 145.5 96 144S95.13 141.1 93.75 140.4zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z"],
    "transporter-4": [512, 512, [], "e2a5", "M93.75 396.4L64 384l-12.38-29.75C50.88 352.9 49.5 352 48 352s-2.875 .875-3.625 2.25L32 384l-29.75 12.38C.875 397.1 0 398.5 0 400s.875 2.875 2.25 3.625L32 416l12.38 29.75C45.13 447.1 46.5 448 48 448s2.875-.875 3.625-2.25L64 416l29.75-12.38C95.13 402.9 96 401.5 96 400S95.13 397.1 93.75 396.4zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"],
    "transporter-5": [512, 512, [], "e2a6", "M93.75 172.4L64 160L51.63 130.3C50.88 128.9 49.5 128 48 128S45.13 128.9 44.38 130.3L32 160L2.25 172.4C.875 173.1 0 174.5 0 176s.875 2.875 2.25 3.625L32 192l12.38 29.75C45.13 223.1 46.5 224 48 224s2.875-.875 3.625-2.25L64 192l29.75-12.38C95.13 178.9 96 177.5 96 176S95.13 173.1 93.75 172.4zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM336 416c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416H336z"],
    "transporter-6": [512, 512, [], "e2a7", "M112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM509.8 396.4L480 384l-12.38-29.75C466.9 352.9 465.5 352 464 352s-2.875 .875-3.625 2.25L448 384l-29.75 12.38C416.9 397.1 416 398.5 416 400s.875 2.875 2.25 3.625L448 416l12.38 29.75C461.1 447.1 462.5 448 464 448s2.875-.875 3.625-2.25L480 416l29.75-12.38C511.1 402.9 512 401.5 512 400S511.1 397.1 509.8 396.4z"],
    "transporter-7": [512, 512, [], "e2a8", "M93.75 300.4L64 288L51.63 258.3C50.88 256.9 49.5 256 48 256S45.13 256.9 44.38 258.3L32 288L2.25 300.4C.875 301.1 0 302.5 0 304s.875 2.875 2.25 3.625L32 320l12.38 29.75C45.13 351.1 46.5 352 48 352s2.875-.875 3.625-2.25L64 320l29.75-12.38C95.13 306.9 96 305.5 96 304S95.13 301.1 93.75 300.4zM509.8 76.38L480 64l-12.38-29.75C466.9 32.88 465.5 32 464 32s-2.875 .875-3.625 2.25L448 64l-29.75 12.38C416.9 77.13 416 78.5 416 80s.875 2.875 2.25 3.625L448 96l12.38 29.75C461.1 127.1 462.5 128 464 128s2.875-.875 3.625-2.25L480 96l29.75-12.38C511.1 82.88 512 81.5 512 80S511.1 77.13 509.8 76.38zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"],
    "transporter-empty": [320, 512, [], "e046", "M288 448H32c-17.62 0-32 14.38-32 32v32h320v-32C320 462.4 305.6 448 288 448z"],
    "trash": [448, 512, [], "f1f8", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L394.8 466.1z"],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM207 199L127 279C117.7 288.4 117.7 303.6 127 312.1C136.4 322.3 151.6 322.3 160.1 312.1L199.1 273.9V408C199.1 421.3 210.7 432 223.1 432C237.3 432 248 421.3 248 408V273.9L287 312.1C296.4 322.3 311.6 322.3 320.1 312.1C330.3 303.6 330.3 288.4 320.1 279L240.1 199C236.5 194.5 230.4 191.1 223.1 191.1C217.6 191.1 211.5 194.5 207 199V199z"],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM111.1 208V432C111.1 440.8 119.2 448 127.1 448C136.8 448 143.1 440.8 143.1 432V208C143.1 199.2 136.8 192 127.1 192C119.2 192 111.1 199.2 111.1 208zM207.1 208V432C207.1 440.8 215.2 448 223.1 448C232.8 448 240 440.8 240 432V208C240 199.2 232.8 192 223.1 192C215.2 192 207.1 199.2 207.1 208zM304 208V432C304 440.8 311.2 448 320 448C328.8 448 336 440.8 336 432V208C336 199.2 328.8 192 320 192C311.2 192 304 199.2 304 208z"],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM207 199L127 279C117.7 288.4 117.7 303.6 127 312.1C136.4 322.3 151.6 322.3 160.1 312.1L199.1 273.9V408C199.1 421.3 210.7 432 223.1 432C237.3 432 248 421.3 248 408V273.9L287 312.1C296.4 322.3 311.6 322.3 320.1 312.1C330.3 303.6 330.3 288.4 320.1 279L240.1 199C236.5 194.5 230.4 191.1 223.1 191.1C217.6 191.1 211.5 194.5 207 199V199z"],
    "trash-can-check": [448, 512, [], "e2a9", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM339.8 275.8C350.7 264.9 350.7 247.1 339.8 236.2C328.9 225.3 311.1 225.3 300.2 236.2L192 344.4L147.8 300.2C136.9 289.3 119.1 289.3 108.2 300.2C97.27 311.1 97.27 328.9 108.2 339.8L172.2 403.8C183.1 414.7 200.9 414.7 211.8 403.8L339.8 275.8z"],
    "trash-can-clock": [576, 512, [], "e2aa", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM31.1 128H416V192.7C386.7 195.4 359.4 205.2 336 220.5V207.1C336 199.2 328.8 191.1 320 191.1C311.2 191.1 304 199.2 304 207.1V247.2C274.2 278.7 255.1 321.2 255.1 368C255.1 427.5 285.6 480.1 330.8 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM111.1 208V432C111.1 440.8 119.2 448 127.1 448C136.8 448 143.1 440.8 143.1 432V208C143.1 199.2 136.8 192 127.1 192C119.2 192 111.1 199.2 111.1 208zM207.1 208V432C207.1 440.8 215.2 448 223.1 448C232.8 448 239.1 440.8 239.1 432V208C239.1 199.2 232.8 192 223.1 192C215.2 192 207.1 199.2 207.1 208zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-can-list": [640, 512, [], "e2ab", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM384 464C384 490.5 362.5 512 336 512H79.1C53.49 512 31.1 490.5 31.1 464V128H384V464zM159.1 208C159.1 199.2 152.8 192 143.1 192C135.2 192 127.1 199.2 127.1 208V432C127.1 440.8 135.2 448 143.1 448C152.8 448 159.1 440.8 159.1 432V208zM287.1 208C287.1 199.2 280.8 192 271.1 192C263.2 192 255.1 199.2 255.1 208V432C255.1 440.8 263.2 448 271.1 448C280.8 448 287.1 440.8 287.1 432V208zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"],
    "trash-can-plus": [448, 512, [], "e2ac", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM223.1 432C237.3 432 248 421.3 248 408V344H312C325.3 344 336 333.3 336 320C336 306.7 325.3 296 312 296H248V232C248 218.7 237.3 208 223.1 208C210.7 208 199.1 218.7 199.1 232V296H135.1C122.7 296 111.1 306.7 111.1 320C111.1 333.3 122.7 344 135.1 344H199.1V408C199.1 421.3 210.7 432 223.1 432z"],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", "M98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L195.6 128H512V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM303.1 212.1L336 238V207.1C336 199.2 328.8 191.1 319.1 191.1C311.2 191.1 303.1 199.2 303.1 207.1V212.1zM400 288.2L432 313.3V208C432 199.2 424.8 192 416 192C407.2 192 400 199.2 400 208V288.2zM127.1 448V196.9L207.1 259.9V432C207.1 440.8 215.2 448 223.1 448C232.8 448 239.1 440.8 239.1 432V285.1L303.1 335.5V432C303.1 440.8 311.2 448 319.1 448C328.8 448 336 440.8 336 432V360.7L400 411.2V432C400 440.8 407.2 448 416 448C423.5 448 429.7 442.9 431.5 435.1L497.8 488.2C486.1 502.7 468.1 512 448 512H191.1C156.7 512 127.1 483.3 127.1 448V448z"],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM416 448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128H416V448zM183.9 198.2L103.9 270.2C98.89 274.7 95.1 281.2 95.1 288C95.1 294.8 98.89 301.3 103.9 305.8L183.9 377.8C193.8 386.7 208.1 385.9 217.8 376.1C226.7 366.2 225.9 351 216.1 342.2L182.5 312H240C262.1 312 280 329.9 280 352V392C280 405.3 290.7 416 304 416C317.3 416 328 405.3 328 392V352C328 303.4 288.6 264 240 264H182.5L216.1 233.8C225.9 224.1 226.7 209.8 217.8 199.9C208.1 190.1 193.8 189.3 183.9 198.2H183.9z"],
    "trash-can-xmark": [448, 512, [], "e2ae", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM143 272.1L190.1 319.1L143 367C133.7 376.4 133.7 391.6 143 400.1C152.4 410.3 167.6 410.3 176.1 400.1L223.1 353.9L271 400.1C280.4 410.3 295.6 410.3 304.1 400.1C314.3 391.6 314.3 376.4 304.1 367L257.9 319.1L304.1 272.1C314.3 263.6 314.3 248.4 304.1 239C295.6 229.7 280.4 229.7 271 239L223.1 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1V272.1z"],
    "trash-check": [448, 512, [], "e2af", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM339.8 251.8C350.7 240.9 350.7 223.1 339.8 212.2C328.9 201.3 311.1 201.3 300.2 212.2L192 320.4L147.8 276.2C136.9 265.3 119.1 265.3 108.2 276.2C97.27 287.1 97.27 304.9 108.2 315.8L172.2 379.8C183.1 390.7 200.9 390.7 211.8 379.8L339.8 251.8z"],
    "trash-clock": [576, 512, [], "e2b0", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM411.9 193.1C324.2 203.1 255.1 277.6 255.1 368C255.1 427.5 285.6 480.1 330.8 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L411.9 193.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-list": [640, 512, [], "e2b1", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM31.1 128H384L362.8 466.1C361.2 492.3 340.3 512 314.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"],
    "trash-plus": [448, 512, [], "e2b2", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM223.1 432C237.3 432 248 421.3 248 408V344H312C325.3 344 336 333.3 336 320C336 306.7 325.3 296 312 296H248V232C248 218.7 237.3 208 223.1 208C210.7 208 199.1 218.7 199.1 232V296H135.1C122.7 296 111.1 306.7 111.1 320C111.1 333.3 122.7 344 135.1 344H199.1V408C199.1 421.3 210.7 432 223.1 432z"],
    "trash-slash": [640, 512, [], "e2b3", "M98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.849 247.7 .0003 259.8 .0003H380.2C392.3 .0003 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L195.6 128H512L497.2 364.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM149.2 466.1L132.5 200.4L487.1 480.5C481.2 498.1 463.5 512 442.9 512H197.1C171.7 512 150.8 492.3 149.2 466.1H149.2z"],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L394.8 466.1zM183.9 198.2L103.9 270.2C98.89 274.7 95.1 281.2 95.1 288C95.1 294.8 98.89 301.3 103.9 305.8L183.9 377.8C193.8 386.7 208.1 385.9 217.8 376.1C226.7 366.2 225.9 351 216.1 342.2L182.5 312H240C262.1 312 280 329.9 280 352V392C280 405.3 290.7 416 304 416C317.3 416 328 405.3 328 392V352C328 303.4 288.6 264 240 264H182.5L216.1 233.8C225.9 224.1 226.7 209.8 217.8 199.9C208.1 190.1 193.8 189.3 183.9 198.2H183.9z"],
    "trash-xmark": [448, 512, [], "e2b4", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM143 272.1L190.1 319.1L143 367C133.7 376.4 133.7 391.6 143 400.1C152.4 410.3 167.6 410.3 176.1 400.1L223.1 353.9L271 400.1C280.4 410.3 295.6 410.3 304.1 400.1C314.3 391.6 314.3 376.4 304.1 367L257.9 319.1L304.1 272.1C314.3 263.6 314.3 248.4 304.1 239C295.6 229.7 280.4 229.7 271 239L223.1 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1V272.1z"],
    "treasure-chest": [576, 512, [], "f723", "M352 336c0 8.875-7.125 16-16 16h-96C231.1 352 224 344.9 224 336V288H128v192h320V288h-96V336zM0 128v128h96V32C43 32 0 75 0 128zM0 448c0 17.62 14.38 32 32 32h64V288H0V448zM480 32v224h96V128C576 75 533 32 480 32zM304 304v-64C304 231.1 296.9 224 288 224S272 231.1 272 240v64C272 312.9 279.1 320 288 320S304 312.9 304 304zM480 480h64c17.62 0 32-14.38 32-32V288h-96V480zM128 256h96V208C224 199.1 231.1 192 240 192h96C344.9 192 352 199.1 352 208V256h96V32H128V256z"],
    "tree": [448, 512, [127794], "f1bb", "M413.8 447.1L256 448l0 31.99C256 497.7 241.8 512 224.1 512c-17.67 0-32.1-14.32-32.1-31.99l0-31.99l-158.9-.0099c-28.5 0-43.69-34.49-24.69-56.4l68.98-79.59H62.22c-25.41 0-39.15-29.8-22.67-49.13l60.41-70.85H89.21c-21.28 0-32.87-22.5-19.28-37.31l134.8-146.5c10.4-11.3 28.22-11.3 38.62-.0033l134.9 146.5c13.62 14.81 2.001 37.31-19.28 37.31h-10.77l60.35 70.86c16.46 19.34 2.716 49.12-22.68 49.12h-15.2l68.98 79.59C458.7 413.7 443.1 447.1 413.8 447.1z"],
    "tree-christmas": [512, 512, [127876], "f7db", "M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5l-134.8-160.1l-13.46 26.79C285.7 183.3 271.6 192 255.1 192c-15.64 0-29.72-8.684-36.74-22.66L204.8 140.5L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312C178.8 312 168 301.3 168 288s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM319.1 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 319.1 440zM181 88.15l44.48 22.35l22.35 44.48C249.5 158.3 252.8 160 255.1 160s6.465-1.677 8.149-5.027L286.5 110.5l44.48-22.35c6.699-3.365 6.699-12.93 0-16.3L286.5 49.51l-22.35-44.48c-3.367-6.701-12.93-6.701-16.3 0L225.5 49.51L181 71.85C174.3 75.22 174.3 84.78 181 88.15z"],
    "tree-city": [640, 512, [], "e587", "M288 48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48zM352 112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368zM352 304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM512 400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400zM224 160C224 166 223 171 222 176C242 190 256 214 256 240C256 285 220 320 176 320H160V480C160 498 145 512 128 512C110 512 96 498 96 480V320H80C35 320 0 285 0 240C0 214 13 190 33 176C32 171 32 166 32 160C32 107 74 64 128 64C181 64 224 107 224 160z"],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", "M512 288c0 27.84-10.25 51.44-30.61 70.53c-18.08 16.95-42.67 25.47-67.45 25.47L288 384l0 96C288 497.7 273.8 512 256.1 512S223.1 497.7 223.1 480L224 384l-125.9 .0002c-24.79 .0001-49.37-8.525-67.45-25.47C10.25 339.4 0 315.8 0 288c0-19.38 5.375-36.1 16-52.1s25-27.62 43-35c-9.375-16-12.88-32.5-10.5-49.5s9.125-31.62 20.5-44s25.12-20.5 41.5-24.5S143.4 79.63 160 87C162.6 62.38 173.1 41.63 191.5 25S231.4 0 256 0s46.13 8.375 64.5 25S349.4 62.38 352 87c16.62-7.375 33.13-8.1 49.5-4.1s30.12 12.12 41.5 24.5s18.12 27 20.5 44s-.875 33.5-9.5 49.5H453c18 7.375 32.38 19 43 35S512 268.6 512 288z"],
    "tree-decorated": [512, 512, [], "f7dc", "M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.37 0 32.87-22.5 19.37-37.25l-134.1-146.5c-9.999-10.1-28.5-10.1-38.5 0l-134.9 146.5c-13.62 14.75-1.1 37.25 19.37 37.25h44.75L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1L40.42 455.6c-18.1 21.88-3.75 56.38 24.75 56.38h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM264 160c0-13.25 10.75-24 23.1-24s23.1 10.75 23.1 24s-10.75 24-23.1 24S264 173.3 264 160zM320 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 320 440z"],
    "tree-large": [512, 512, [], "f7dd", "M446.8 512H65.17c-28.5 0-43.75-34.5-24.75-56.38L130.3 352H94.29c-25.62 0-39.5-29.25-23.25-48.5L166 192H121.3c-21.37 0-32.1-22.5-19.37-37.25l134.9-146.5c9.999-10.1 28.5-10.1 38.5 0l134.1 146.5C423.8 169.5 412.3 192 390.9 192h-44.75l94.87 111.5C457.3 322.8 443.4 352 417.8 352H381.8l89.87 103.6C490.5 477.4 475.4 512 446.8 512z"],
    "tree-palm": [576, 512, [127796], "f82b", "M575.7 172.9c1.875 9.875-6.499 19.12-17.75 19.12L503.1 192l-23.1-48L455.1 192h-134.7c14.87 56.62 41.12 179.5 26.37 293C345.6 500.6 331.6 512 315.9 512H260.8c-20.75 0-36.12-19.5-30.1-39.63C244.1 415.2 266.3 305 255.6 200.2l-146.1 146.1c-7.1 8-20.37 7.375-26.12-1C48.01 293.6 61.76 212.1 118.8 155.1c3.375-3.375 7.125-5.1 10.75-9.125L96.01 79.1L72.01 128L18.01 127.1c-11.25 0-19.62-9.25-17.75-19.12C11.89 47.25 78.63 0 159.3 0c74.12 0 135.9 40.12 154.5 94.5c27.1-18.75 63.62-30.5 102.1-30.5C497.4 63.1 564.1 111.2 575.7 172.9z"],
    "trees": [640, 512, [], "f724", "M298.4 288H329c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L268.4 160h28.88c9.127 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12L203.6 4.875c-6-6.5-17.25-6.5-23.25 0L69.97 122.3c-6 6.5-7.75 16-4.125 24.12C69.34 154.6 77.59 160 86.72 160h28.88L37.46 250.9c-5.875 6.875-7.125 16-3.375 24.12C37.96 283 45.84 288 54.96 288h30.63l-79.88 90.5c-6 6.75-7.377 16.12-3.625 24.25C5.834 410.8 14.08 416 23.09 416H160v64C160 497.7 174.3 512 192 512S224 497.7 224 480V416h136.9c9 0 17.25-5.25 21-13.25c3.75-8.125 2.5-17.5-3.5-24.25L298.4 288zM634.3 378.5L554.4 288h30.63c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L524.4 160h28.88c9.125 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12l-110.3-117.4c-6-6.5-17.25-6.5-23.25 0l-95.14 101.3c11.13 15.38 14 35.25 6.377 52.88c-4 9.375-10.38 17.12-18.25 22.75l41.5 48.25c14 16.25 17.13 39.25 8.002 58.62c-4.25 8.875-10.5 16.12-18.13 21.5l41.63 47.13c8.625 9.875 13.37 14.2 13.62 26.7L416 480C416 497.7 430.3 512 448 512C465.7 512 480 497.7 480 480V416h136.9c9.002 0 17.25-5.25 21-13.25C641.7 394.6 640.3 385.3 634.3 378.5z"],
    "triangle": [512, 512, [9650], "f2ec", "M506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8z"],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", "M506.3 417l-213.3-364c-16.33-28-57.54-28-73.98 0l-213.2 364C-10.59 444.9 9.849 480 42.74 480h426.6C502.1 480 522.6 445 506.3 417zM232 168c0-13.25 10.75-24 24-24S280 154.8 280 168v128c0 13.25-10.75 24-23.1 24S232 309.3 232 296V168zM256 416c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 401.9 273.4 416 256 416z"],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", "M497.8 368.1c18.13 28.75 18.97 65.25 2.219 94.75c-17.13 30.5-49.25 49.25-84.13 49.12H96.12c-34.88 .125-66.97-18.56-84.09-49.06c-16.75-29.5-15.94-66.06 2.187-94.81L173.1 109.3c11.75-19 29.63-32.19 50.01-39.31v-37.1C223.1 14.33 238.3 0 255.1 0c17.67 0 32.05 14.33 32.05 32v37.1c20.5 7.125 38.24 20.34 49.99 39.34l36.15 58.55l96.94-96.9c9.365-9.367 24.65-9.326 33.97 .0938c9.299 9.404 9.258 24.55-.0937 33.91l-196.3 196.3c2.256 6.203 3.271 12.5 3.328 18.83c.0117 1.029-.3994 2.073-.4443 3.099c-.2305 5.07-.8516 10.06-2.404 14.86c-.709 2.23-2.008 4.164-2.988 6.293c-1.537 3.297-2.967 6.584-5.139 9.553c-1.92 2.672-4.434 4.812-6.83 7.141c-1.588 1.521-2.731 3.375-4.52 4.726c-.5215 .3984-1.156 .5296-1.687 .9085c-.8613 .6152-1.402 1.52-2.307 2.092c-2.293 1.473-4.889 1.971-7.311 3.076c-2.312 1.047-4.52 2.193-6.926 2.914c-3.652 1.107-7.275 1.598-11.03 1.945c-2.246 .209-4.416 .4473-6.668 .3848c-3.904-.0996-7.627-.7207-11.44-1.617c-2.045-.4844-4.018-.9824-6.012-1.701c-3.916-1.389-7.516-3.25-11.09-5.502c-.8867-.5645-1.913-.7581-2.776-1.375c-.8145-.5781-1.302-1.431-2.077-2.047C218.5 363.4 216.5 362.6 214.9 361c-1.453-1.463-2.184-3.334-3.449-4.916c-1.346-1.664-2.484-3.377-3.625-5.168c-2.133-3.371-3.988-6.729-5.354-10.41c-.7773-2.061-1.236-4.148-1.77-6.287c-.9004-3.678-1.658-7.266-1.814-11.04c-.1191-2.506 .2207-4.967 .4375-7.494C199.6 312.2 199.9 308.8 200.9 305.4c.2207-.8027 .1158-1.623 .3736-2.42c.791-2.414 2.328-4.349 3.41-6.594c.9766-2.025 1.348-4.221 2.584-6.156c.3809-.6016 .9941-.9531 1.395-1.537c2.172-3.164 4.877-5.742 7.607-8.379C217.1 278.7 219.4 276.7 221.4 275.3c3.523-2.637 7.514-4.459 11.56-6.221C234.4 268.4 235.8 267.4 237.3 266.9c5.682-1.896 11.69-2.904 17.89-2.896c.1113 0 .2168-.0488 .3281-.0488c.1484 .002 .2817-.0334 .4302-.0314c6.375 .125 12.75 1.219 18.75 3.344l52.87-52.84L283.5 143.1C275.1 129.6 261.5 128 256 128S236.9 129.5 228.5 143.1l-159.9 258.6c-5.75 9.123-6.125 20.62-.75 29.1c5.75 10.25 16.63 16.5 28.25 16.25h319.8c11.62 .25 22.5-6 28.25-16.25c5.375-9.375 5-20.88-.75-29.1l-72.51-117.4l46.49-46.56L497.8 368.1z"],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", "M640 463.9c0-8.814-2.424-18.05-7.845-26.36l-271.1-417.1c-8.858-13.6-24.51-20.4-40.17-20.4c-15.65 0-31.31 6.799-40.17 20.4l-271.1 417.1c-5.429 8.331-7.848 17.56-7.848 26.37C-.0001 488.1 19.89 512 48.02 512h543.1C620.2 512 640 488.9 640 463.9zM292 159.1c15.5 0 27.1 12.5 27.1 28s-12.5 28-27.1 28c-15.5 0-27.1-12.5-27.1-28S276.5 159.1 292 159.1zM288 431.1c0 8.875-7.126 16-15.1 16c-8.873 0-15.1-7.125-15.1-16v-32.75l-46.25-30l-18.25 67c-1.1 6.875-8.25 11.75-15.5 11.75c-12.16 0-16.04-10.8-16.04-16.08c0-1.376 .1743-2.776 .5386-4.173l29.75-109l83.12 53.63c9.123 5.875 14.62 16 14.62 26.88V431.1zM336 447.1l12.01-30.01c2.375-6 8.25-10 14.87-10h35.62l-94.93-58.38c0 0 .125 0 0 0l-103.9-64c-1.438-.8818-7.616-5.075-7.616-13.51c0-3.504 1.081-6.893 3.241-9.741l11.5-15.5c9.209-12.25 23.5-19.17 38.36-19.17c3.491 0 7.016 .3821 10.51 1.167l24.62 7.25C297.7 239.1 312 254.7 315.8 273.2l10.62 52.75l87.62 54l21.12-42.5c2.656-5.186 7.938-8.783 14.5-8.783c5.379 0 10.43 2.81 13.37 7.283l71.75 112L336 447.1z"],
    "trillium": [512, 512, [], "e588", "M159.1 160C159.1 95.91 221.6 31.82 246.1 8.867C251.8 3.586 260.2 3.586 265.9 8.866C290.4 31.82 352 95.91 352 160C352 175.7 348.2 190.4 341.6 203.5C357.8 203.5 374.2 207.7 389.3 216.4C444.8 248.4 469.5 333.8 477.1 366.5C478.9 374.1 474.6 381.4 467.2 383.6C435.1 393.4 348.8 414.7 293.3 382.7C276.7 373.1 264.1 359.3 255.9 343.5C247.8 359.3 235.1 373.1 218.6 382.7C163.1 414.7 76.75 393.4 44.61 383.7C37.22 381.4 32.98 374.1 34.73 366.5C42.36 333.8 67.05 248.4 122.6 216.4C137.7 207.7 154.1 203.5 170.4 203.5C163.7 190.4 159.1 175.7 159.1 160L159.1 160zM256 200C233.9 200 216 217.9 216 240C216 262.1 233.9 280 256 280C278.1 280 296 262.1 296 240C296 217.9 278.1 200 256 200zM384 160C384 147.5 382.2 135.2 379.2 123.4C417.8 110.6 447.4 111.5 462.1 113.4C477 115.3 485.8 130.5 480 144.3C474.4 157.6 461 182.7 432.3 208.1C424.2 201.3 415.2 194.4 405.3 188.7C397.1 184.4 390.4 181 382.7 178.4C383.6 172.4 384 166.2 384 160V160zM132.8 123.4C129.8 135.2 127.1 147.5 127.1 160C127.1 166.2 128.4 172.3 129.3 178.3C121.5 180.1 113.9 184.4 106.6 188.7C96.67 194.4 87.72 201.3 79.62 208.9C50.95 182.7 37.57 157.6 31.98 144.3C26.17 130.5 34.96 115.3 49.85 113.4C64.56 111.5 94.21 110.6 132.8 123.4H132.8zM234.6 410.4C242.3 405.9 249.5 400.7 255.9 394.9C262.4 400.7 269.5 405.9 277.3 410.4C286.4 415.7 296.1 419.8 305.9 422.9C297.7 458.1 283.3 484.5 274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1C228.7 484.5 214.2 458.9 206.1 422.8C215.9 419.7 225.4 415.6 234.6 410.4V410.4z"],
    "trophy": [576, 512, [127942], "f091", "M572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1078-23.7-.1559-33.02C447.3 13.63 433.2 0 415.8 0H160.2C142.8 0 128.7 13.63 128.2 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 31.41 22.06 31.41 41.37C256 428.5 236.5 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.163 16 15.1 16h223.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-23.86 0-43.36-19.5-43.36-43.35c0-19.31 12.71-36.57 31.41-41.37c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.47 178.6 47.01 135.7 48.38 112h80.39c5.359 59.62 20.35 131.1 57.67 189.1C137.4 281.6 100.9 254.4 77.41 219.8zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", "M572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1076-23.7-.156-33.02C447.3 13.63 433.2 0 415.8 0H160.2c-17.35 0-31.43 13.63-31.92 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 31.41 22.06 31.41 41.37C256 428.5 236.5 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.162 16 15.1 16H399.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-23.86 0-43.36-19.5-43.36-43.35c0-19.31 12.71-36.57 31.41-41.37c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.47 178.6 47.01 135.7 48.38 112h80.39C134.1 171.6 149.1 243.1 186.4 301.1C137.4 281.6 100.8 254.4 77.41 219.8zM370 146.3l-36.34 35.3l8.58 49.98c.8945 5.227-4.584 9.207-9.273 6.742l-44.85-23.57L243.3 238.3C238.6 240.8 233.1 236.8 234 231.6l8.578-49.98L206.3 146.3C202.5 142.6 204.6 136.2 209.8 135.4l50.26-7.344l22.43-45.43c2.346-4.75 9.119-4.75 11.46 0l22.43 45.43l50.08 7.316C371.7 136.1 373.8 142.6 370 146.3zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trowel": [512, 512, [], "e589", "M343.9 213.4L245.3 312L310.6 377.4C318.5 385.3 321.8 396.8 319.1 407.6C316.4 418.5 308.2 427.2 297.5 430.5L41.55 510.5C30.18 514.1 17.79 511 9.373 502.6C.9565 494.2-2.093 481.8 1.458 470.5L81.46 214.5C84.8 203.8 93.48 195.6 104.4 192.9C115.2 190.3 126.7 193.5 134.6 201.4L200 266.7L298.6 168.1C284.4 153.5 284.5 130.1 298.9 115.6L394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.9 227.5 358.5 227.6 343.9 213.4V213.4z"],
    "trowel-bricks": [512, 512, [], "e58a", "M240.8 4.779C250.3 10.61 256 20.91 256 32V104H345C348.6 90.2 361.1 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C361.1 176 348.6 165.8 345 152H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779V4.779zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256V320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320V256zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384H128zM480 384C497.7 384 512 398.3 512 416V480C512 497.7 497.7 512 480 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H480z"],
    "truck": [640, 512, [128666, 9951], "f0d1", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-arrow-right": [640, 512, [], "e58b", "M0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM256.1 95.03C247.6 85.66 232.4 85.66 223 95.03C213.7 104.4 213.7 119.6 223 128.1L262.1 168H96C82.75 168 72 178.7 72 192C72 205.3 82.75 216 96 216H262.1L223 255C213.7 264.4 213.7 279.6 223 288.1C232.4 298.3 247.6 298.3 256.1 288.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175L256.1 95.03z"],
    "truck-bolt": [640, 512, [], "e3d0", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464zM270.3 87.16C273.6 80.52 271.9 72.47 266.3 67.72C260.6 62.96 252.3 62.75 246.4 67.2L118.4 163.2C112.9 167.3 110.6 174.5 112.8 181.1C114.1 187.6 121.1 192 128 192H182.1L145.7 264.8C142.4 271.5 144.1 279.5 149.7 284.3C155.4 289 163.7 289.3 169.6 284.8L297.6 188.8C303.1 184.7 305.4 177.5 303.2 170.9C301 164.4 294.9 160 287.1 160H233.9L270.3 87.16z"],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", "M208 96C216.8 96 224 103.2 224 112V160H240C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96zM0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM208 64C146.1 64 96 114.1 96 176C96 237.9 146.1 288 208 288C269.9 288 320 237.9 320 176C320 114.1 269.9 64 208 64z"],
    "truck-container": [640, 512, [], "f4dc", "M352 32C378.5 32 400 53.49 400 80V240C400 266.5 378.5 288 352 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H352zM80 80C71.16 80 64 87.16 64 96V224C64 232.8 71.16 240 80 240C88.84 240 96 232.8 96 224V96C96 87.16 88.84 80 80 80zM224 224C224 232.8 231.2 240 240 240C248.8 240 256 232.8 256 224V96C256 87.16 248.8 80 240 80C231.2 80 224 87.16 224 96V224zM160 80C151.2 80 144 87.16 144 96V224C144 232.8 151.2 240 160 240C168.8 240 176 232.8 176 224V96C176 87.16 168.8 80 160 80zM304 224C304 232.8 311.2 240 320 240C328.8 240 336 232.8 336 224V96C336 87.16 328.8 80 320 80C311.2 80 304 87.16 304 96V224zM432 168C432 154.7 442.7 144 456 144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V352C0 334.3 14.33 320 32 320H432V168zM480 256H584.1L535 194.9C533.5 193.1 531.2 192 528.8 192H480V256zM528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368zM208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432zM80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368z"],
    "truck-container-empty": [640, 512, [], "e2b5", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V352C0 334.3 14.33 320 32 320H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-droplet": [640, 512, [], "e58c", "M0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM208 272C247.8 272 280 242.4 280 205.1C280 179 240.6 123 220.1 95.71C213.1 87.54 202 87.54 195.9 95.71C175.4 123 136 179 136 205.1C136 242.4 168.2 272 208 272V272z"],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", "M112 0C85.49 0 64 21.49 64 48V96H16C7.163 96 0 103.2 0 112C0 120.8 7.163 128 16 128H272C280.8 128 288 135.2 288 144C288 152.8 280.8 160 272 160H48C39.16 160 32 167.2 32 176C32 184.8 39.16 192 48 192H240C248.8 192 256 199.2 256 208C256 216.8 248.8 224 240 224H16C7.163 224 0 231.2 0 240C0 248.8 7.163 256 16 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H64V416C64 469 106.1 512 160 512C213 512 256 469 256 416H384C384 469 426.1 512 480 512C533 512 576 469 576 416H608C625.7 416 640 401.7 640 384C640 366.3 625.7 352 608 352V237.3C608 220.3 601.3 204 589.3 192L512 114.7C499.1 102.7 483.7 96 466.7 96H416V48C416 21.49 394.5 0 368 0H112zM544 237.3V256H416V160H466.7L544 237.3zM160 464C133.5 464 112 442.5 112 416C112 389.5 133.5 368 160 368C186.5 368 208 389.5 208 416C208 442.5 186.5 464 160 464zM528 416C528 442.5 506.5 464 480 464C453.5 464 432 442.5 432 416C432 389.5 453.5 368 480 368C506.5 368 528 389.5 528 416z"],
    "truck-field": [640, 512, [], "e58d", "M32 96C32 60.65 60.65 32 96 32H320C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 223.1H544C579.3 223.1 608 252.7 608 287.1V319.1C625.7 319.1 640 334.3 640 352C640 369.7 625.7 384 608 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 319.1 32 319.1V287.1C14.33 287.1 0 273.7 0 255.1V159.1C0 142.3 14.33 127.1 32 127.1V96zM469.9 224L427.2 128H384V224H469.9zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z"],
    "truck-field-un": [640, 512, [], "e58e", "M320 32C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 224H544C579.3 224 608 252.7 608 288V320C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32L320 32zM384 128V224H469.9L427.2 128H384zM160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336zM480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432zM253.3 135.1C249.4 129.3 242.1 126.6 235.4 128.7C228.6 130.7 224 136.9 224 144V240C224 248.8 231.2 256 240 256C248.8 256 256 248.8 256 240V196.8L290.7 248.9C294.6 254.7 301.9 257.4 308.6 255.3C315.4 253.3 320 247.1 320 240V144C320 135.2 312.8 128 304 128C295.2 128 288 135.2 288 144V187.2L253.3 135.1zM128 144C128 135.2 120.8 128 112 128C103.2 128 96 135.2 96 144V208C96 234.5 117.5 256 144 256C170.5 256 192 234.5 192 208V144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144V208C160 216.8 152.8 224 144 224C135.2 224 128 216.8 128 208V144z"],
    "truck-flatbed": [640, 512, [], "e2b6", "M608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H88.44C106 332.4 131.6 320 160 320C188.4 320 213.1 332.4 231.6 352H352V128C352 110.3 366.3 96 384 96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-front": [512, 512, [], "e2b7", "M0 80C0 35.82 35.82 0 80 0H432C476.2 0 512 35.82 512 80V368C512 394.2 499.4 417.4 480 432V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V432C12.57 417.4 0 394.2 0 368V80zM129.9 152.2L112 224H400L382.1 152.2C378.5 137.1 365.7 128 351 128H160.1C146.3 128 133.5 137.1 129.9 152.2H129.9zM96 288C78.33 288 64 302.3 64 320C64 337.7 78.33 352 96 352C113.7 352 128 337.7 128 320C128 302.3 113.7 288 96 288zM416 352C433.7 352 448 337.7 448 320C448 302.3 433.7 288 416 288C398.3 288 384 302.3 384 320C384 337.7 398.3 352 416 352z"],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464zM112 176C112 184.8 119.2 192 128 192H176V240C176 248.8 183.2 256 192 256H224C232.8 256 240 248.8 240 240V192H288C296.8 192 304 184.8 304 176V144C304 135.2 296.8 128 288 128H240V80C240 71.16 232.8 64 224 64H192C183.2 64 176 71.16 176 80V128H128C119.2 128 112 135.2 112 144V176z"],
    "truck-monster": [640, 512, [], "f63b", "M419.2 25.6L496 128H576C593.7 128 608 142.3 608 160V224C625.7 224 640 238.3 640 256C640 273.7 625.7 287.1 608 288C578.8 249.1 532.3 224 480 224C427.7 224 381.2 249.1 351.1 288H288C258.8 249.1 212.3 224 160 224C107.7 224 61.18 249.1 31.99 288C14.32 287.1 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H224V48C224 21.49 245.5 0 272 0H368C388.1 0 407.1 9.484 419.2 25.6H419.2zM288 128H416L368 64H288V128zM168 256C180.1 256 190.1 264.9 191.8 276.6C199.4 278.8 206.7 281.9 213.5 285.6C222.9 278.5 236.3 279.3 244.9 287.8L256.2 299.1C264.7 307.7 265.5 321.1 258.4 330.5C262.1 337.3 265.2 344.6 267.4 352.2C279.1 353.9 288 363.9 288 376V392C288 404.1 279.1 414.1 267.4 415.8C265.2 423.4 262.1 430.7 258.4 437.5C265.5 446.9 264.7 460.3 256.2 468.9L244.9 480.2C236.3 488.7 222.9 489.5 213.5 482.4C206.7 486.1 199.4 489.2 191.8 491.4C190.1 503.1 180.1 512 167.1 512H151.1C139.9 512 129.9 503.1 128.2 491.4C120.6 489.2 113.3 486.1 106.5 482.4C97.09 489.5 83.7 488.7 75.15 480.2L63.83 468.9C55.28 460.3 54.53 446.9 61.58 437.5C57.85 430.7 54.81 423.4 52.57 415.8C40.94 414.1 31.1 404.1 31.1 392V376C31.1 363.9 40.94 353.9 52.57 352.2C54.81 344.6 57.85 337.3 61.58 330.5C54.53 321.1 55.28 307.7 63.83 299.1L75.15 287.8C83.7 279.3 97.09 278.5 106.5 285.6C113.3 281.9 120.6 278.8 128.2 276.6C129.9 264.9 139.9 255.1 151.1 255.1L168 256zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432zM448.2 276.6C449.9 264.9 459.9 256 472 256H488C500.1 256 510.1 264.9 511.8 276.6C519.4 278.8 526.7 281.9 533.5 285.6C542.9 278.5 556.3 279.3 564.9 287.8L576.2 299.1C584.7 307.7 585.5 321.1 578.4 330.5C582.1 337.3 585.2 344.6 587.4 352.2C599.1 353.9 608 363.9 608 376V392C608 404.1 599.1 414.1 587.4 415.8C585.2 423.4 582.1 430.7 578.4 437.5C585.5 446.9 584.7 460.3 576.2 468.9L564.9 480.2C556.3 488.7 542.9 489.5 533.5 482.4C526.7 486.1 519.4 489.2 511.8 491.4C510.1 503.1 500.1 512 488 512H472C459.9 512 449.9 503.1 448.2 491.4C440.6 489.2 433.3 486.1 426.5 482.4C417.1 489.5 403.7 488.7 395.1 480.2L383.8 468.9C375.3 460.3 374.5 446.9 381.6 437.5C377.9 430.7 374.8 423.4 372.6 415.8C360.9 414.1 352 404.1 352 392V376C352 363.9 360.9 353.9 372.6 352.2C374.8 344.6 377.9 337.3 381.6 330.5C374.5 321.1 375.3 307.7 383.8 299.1L395.1 287.8C403.7 279.3 417.1 278.5 426.5 285.6C433.3 281.9 440.6 278.8 448.2 276.6L448.2 276.6zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z"],
    "truck-moving": [640, 512, [], "f4df", "M416 32C451.3 32 480 60.65 480 96V144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V96C0 60.65 28.65 32 64 32H416zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-pickup": [640, 512, [128763], "f63c", "M272 32H368.6C388.1 32 406.5 40.84 418.6 56.02L527.4 192H576C593.7 192 608 206.3 608 224V288C625.7 288 640 302.3 640 320C640 337.7 625.7 352 608 352H574.9C575.6 357.2 576 362.6 576 368C576 429.9 525.9 480 464 480C402.1 480 352 429.9 352 368C352 362.6 352.4 357.2 353.1 352H286.9C287.6 357.2 288 362.6 288 368C288 429.9 237.9 480 176 480C114.1 480 64 429.9 64 368C64 362.6 64.39 357.2 65.13 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288V224C32 206.3 46.33 192 64 192H224V80C224 53.49 245.5 32 272 32H272zM368.6 96H288V192H445.4L368.6 96zM176 416C202.5 416 224 394.5 224 368C224 341.5 202.5 320 176 320C149.5 320 128 341.5 128 368C128 394.5 149.5 416 176 416zM464 416C490.5 416 512 394.5 512 368C512 341.5 490.5 320 464 320C437.5 320 416 341.5 416 368C416 394.5 437.5 416 464 416z"],
    "truck-plane": [640, 512, [], "e58f", "M256 86.06L256 182.9L256 184V411.5L256.1 411.6C257.3 433.8 269.8 452.9 288 463.4V496C288 501.2 288.8 506.3 290.4 510.1L200 480.9L109.1 511.2C104.2 512.8 98.82 511.1 94.64 508.1C90.47 505.1 88 501.1 88 496V464C88 459.1 90.21 454.5 94 451.5L144 411.5V330.3L20.6 367.3C15.75 368.8 10.51 367.9 6.449 364.8C2.391 361.8 0 357.1 0 352V288C0 282.4 2.949 277.2 7.768 274.3L144 192.5V86.06C144 54.68 169.4 0 200 0C231.5 0 256 54.68 256 86.06V86.06zM288 176C288 149.5 309.5 128 336 128H592C618.5 128 640 149.5 640 176V400C640 420.9 626.6 438.7 608 445.3V488C608 501.3 597.3 512 584 512H568C554.7 512 544 501.3 544 488V448H384V488C384 501.3 373.3 512 360 512H344C330.7 512 320 501.3 320 488V445.3C301.4 438.7 288 420.9 288 400V176zM367.8 254.7L352 304H576L560.2 254.7C556.9 246 548.9 240 539.7 240H388.3C379.1 240 371.1 246 367.8 254.7H367.8zM568 400C581.3 400 592 389.3 592 376C592 362.7 581.3 352 568 352C554.7 352 544 362.7 544 376C544 389.3 554.7 400 568 400zM360 352C346.7 352 336 362.7 336 376C336 389.3 346.7 400 360 400C373.3 400 384 389.3 384 376C384 362.7 373.3 352 360 352z"],
    "truck-plow": [640, 512, [], "f7de", "M128 192V80C128 53.49 149.5 32 176 32H269.9C292.4 32 313.2 43.8 324.8 63.07L402.1 192H448C465.7 192 480 206.3 480 224V288H512V176C512 168.7 514.5 161.7 519 156L583 76.01C594.1 62.21 614.2 59.97 627.1 71.01C641.8 82.05 644 102.2 632.1 115.1L576 187.2V356.8L632.1 428C644 441.8 641.8 461.9 627.1 472.1C614.2 484 594.1 481.8 583 467.1L519 387.1C514.5 382.3 512 375.3 512 368V352H474.5C478.1 362 480 372.8 480 384C480 437 437 480 384 480C330.1 480 288 437 288 384C288 372.8 289.9 362 293.5 352H224C222.1 352 220.2 351.8 218.4 351.5C222 361.7 224 372.6 224 384C224 437 181 480 128 480C74.98 480 32 437 32 384C32 372.8 33.92 362 37.46 352H32C14.33 352 0 337.7 0 320V224C0 206.3 14.33 192 32 192L128 192zM192 192H327.5L269.9 96H192V192zM128 352C110.3 352 96 366.3 96 384C96 401.7 110.3 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352zM384 352C366.3 352 352 366.3 352 384C352 401.7 366.3 416 384 416C401.7 416 416 401.7 416 384C416 366.3 401.7 352 384 352z"],
    "truck-ramp": [640, 512, [], "f4e0", "M528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V400C640 461.9 589.9 512 528 512L528 512zM528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448z"],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", "M640 .0003V400C640 461.9 589.9 512 528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0L640 .0003zM528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352zM23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L92.1 156.1L112.8 233.4C115.1 241.9 123.9 246.1 132.4 244.7L163.3 236.4C171.8 234.1 176.9 225.3 174.6 216.8L153.9 139.5L200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7z"],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", "M640 .0003V400C640 461.9 589.9 512 528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0L640 .0003zM528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352zM294.5 209.2C303.2 206.8 311.9 207 320 209.3V334.8L33.98 411.5L13.27 334.2C6.412 308.6 21.61 282.3 47.21 275.4C72.82 268.5 99.14 283.7 106 309.4L110.1 324.8L264.7 283.4L260.6 267.9C253.7 242.3 268.9 216 294.5 209.2V209.2zM8.023 252.8C-1.125 218.6 19.14 183.5 53.28 174.4L238.7 124.7C272.9 115.6 307.1 135.8 317.1 169.1L318.8 176.4C308.3 174.8 297.2 175.3 286.2 178.2C248.8 188.3 224.8 223.2 227 260.4L131.2 286C114.6 252.7 76.32 234.5 38.93 244.5C27.94 247.4 18.1 252.5 9.745 259.2L8.023 252.8z"],
    "truck-tow": [640, 512, [], "e2b8", "M96 0H145.6C154.8 0 163.5 3.909 169.5 10.74L384 252V128C384 110.3 398.3 96 416 96H498.7C515.7 96 531.1 102.7 544 114.7L621.3 192C633.3 204 640 220.3 640 237.3V376C640 398.1 622.1 416 600 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V304C0 277.5 21.49 256 48 256H192L96 64V176C96 202.5 74.51 224 48 224C21.49 224 0 202.5 0 176V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V32C64 14.33 78.33 0 96 0zM576 256V237.3L498.7 160H448V256H576zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "trumpet": [640, 512, [127930], "f8e3", "M624 64c-5.125 0-10 2.522-13 6.647c-19.88 25.88-42.09 49.85-66.22 71.72c-15.38 13-32.9 25.62-52.52 36C486.8 181.2 466.5 192 432.3 192H400V160c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 15.1L352 192H312V160c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 16v32H224L223.1 159.1C223.1 151.1 216.9 144 208 144H192C183.1 144 176 151.1 176 160v32h-128c0-8.875-7.125-16-16-16L16.02 176c-8.875 0-16.02 7.125-16.02 15.1L0 256c0 8.875 7.125 16 16 16H32c8.875 0 16-7.132 16-16.01L81.75 256C70.75 274.9 64 296.6 64 320c.125 70.63 57.38 127.9 128 128h224c53 0 96-43 96-96v-31.38c-10.88-8.5-22.5-16.12-34.63-22.75C468.8 293.4 458.6 290.9 448 289.5V352c0 17.62-14.38 32-32 32h-16V256l32.13 .0098c34.5 0 54.5 10.63 60.13 13.63c17.5 9.375 33.99 20.49 49.24 33.24c39.38 34.63 69 73.75 69.25 74C613.6 381.4 618.6 384 624 384c12.12 0 16-11 16-16V79.1C640 67.1 629.3 64 624 64zM176 381.7C147.8 374.5 128 349.1 128 320s19.75-54.49 48-61.74V381.7zM264 384H224V256h40V384zM352 384H312V256H352V384z"],
    "tty": [512, 512, ["teletype"], "f1e4", "M271.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C277.3 352 271.1 357.4 271.1 364zM367.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C373.3 352 367.1 357.4 367.1 364zM275.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.376 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 261.4 282.6 256 275.1 256zM83.96 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C95.96 453.4 90.59 448 83.96 448zM175.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C181.3 352 175.1 357.4 175.1 364zM371.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.372 12 11.1 12h39.1c6.625 0 12-5.375 12-12v-40C383.1 261.4 378.6 256 371.1 256zM467.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.369 12 11.99 12h39.1c6.625 0 12.01-5.375 12.01-12v-40C479.1 261.4 474.6 256 467.1 256zM371.1 448h-232c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h232c6.625 0 12-5.375 12-12v-40C383.1 453.4 378.6 448 371.1 448zM179.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.38 12 12 12h39.1c6.625 0 11.1-5.375 11.1-12v-40C191.1 261.4 186.6 256 179.1 256zM467.1 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 453.4 474.6 448 467.1 448zM79.96 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C85.34 352 79.96 357.4 79.96 364zM83.96 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.383 12 12.01 12H83.97c6.625 0 11.99-5.375 11.99-12v-40C95.96 261.4 90.59 256 83.96 256zM504.9 102.9C367.7-34.31 144.3-34.32 7.083 102.9c-7.975 7.973-9.375 20.22-3.391 29.74l42.17 67.47c6.141 9.844 18.47 13.88 29.35 9.632l84.36-33.74C169.5 172.1 175.6 161.1 174.5 151.3l-5.303-53.27c56.15-19.17 117.4-19.17 173.6 .0059L337.5 151.3c-1.139 10.59 4.997 20.78 14.96 24.73l84.35 33.73c10.83 4.303 23.22 .1608 29.33-9.615l42.18-67.48C514.3 123.2 512.9 110.9 504.9 102.9z"],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", "M348 96C341.4 96 336 101.4 336 108v40C336 154.6 341.4 160 348 160h40C394.6 160 400 154.6 400 148v-40C400 101.4 394.6 96 388 96H348zM444 96C437.4 96 432 101.4 432 108v40C432 154.6 437.4 160 444 160h40C490.6 160 496 154.6 496 148v-40C496 101.4 490.6 96 484 96H444zM396 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C384 58.63 389.4 64 396 64zM528 108v40C528 154.6 533.4 160 540 160h40C586.6 160 592 154.6 592 148v-40C592 101.4 586.6 96 580 96h-40C533.4 96 528 101.4 528 108zM492 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C480 58.63 485.4 64 492 64zM300 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288 58.63 293.4 64 300 64zM628 0H588c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.374 12 11.1 12h39.1C634.6 64 640 58.63 640 52v-40C640 5.375 634.6 0 628 0zM628 192h-40C581.4 192 576 197.4 576 204v40C576 250.6 581.4 256 588 256h40C634.6 256 640 250.6 640 244v-40C640 197.4 634.6 192 628 192zM493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09C209.1 155.2 212.8 140.3 207.4 127.5L160.8 18.93C154.7 5.026 139.7-2.599 124.1 .8073L24.22 24.06C9.969 27.31 0 39.84 0 54.49C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM300 256h40C346.6 256 352 250.6 352 244v-40C352 197.4 346.6 192 340 192h-40C293.4 192 288 197.4 288 204v40C288 250.6 293.4 256 300 256zM532 192h-136C389.4 192 384 197.4 384 204v40C384 250.6 389.4 256 396 256h136C538.6 256 544 250.6 544 244v-40C544 197.4 538.6 192 532 192z"],
    "tugrik-sign": [384, 512, [], "e2ba", "M352 32C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H224V183L312.2 160.1C329.4 156.7 346.8 167.1 351 184.2C355.3 201.4 344.9 218.8 327.8 223L224 248.1V279L312.2 256.1C329.4 252.7 346.8 263.1 351 280.2C355.3 297.4 344.9 314.8 327.8 319L224 344.1V448C224 465.7 209.7 480 191.1 480C174.3 480 159.1 465.7 159.1 448V360.1L71.76 383C54.62 387.3 37.24 376.9 32.95 359.8C28.67 342.6 39.09 325.2 56.24 320.1L159.1 295V264.1L71.76 287C54.62 291.3 37.24 280.9 32.96 263.8C28.67 246.6 39.09 229.2 56.24 224.1L160 199V96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H352z"],
    "turkey": [640, 512, [], "f725", "M636.4 155.6c-7.375 19.5-26.62 33.38-47.5 33.88c-10.75 .375-21.25-2.5-30.25-8.251c-15.12-9.626-33.87-11.63-48.63-1.375c-27.62 19.25-69.87 57.25-90.62 120.5c-14.37 44-51.87 78.51-97.75 83.01c-4.25 .3751-8.5 .6251-12.62 .6251c-57.37 0-101.7-39.5-113.6-89.76c-.875-3.625-3.1-6.25-7.75-6.25H171.2c-2.5 0-4.75 1-6.25 2.875C163.5 292.6 162.9 295.1 163.2 297.4c3.1 20 12.12 39 23.87 55.63c28.12 40 72.62 63 121.9 63c5.25 0 10.37-.25 15.75-.7501c56.87-5.625 105.1-46.88 124.1-105c11.25-35.25 32.5-66.5 60.1-90.13c40.75 52.88 65.28 113.9 65.28 163.9C576 498.9 447 512 288 512S0 498.9 0 383.1s129-288 287.1-288c45.87 0 88.1 14.61 127.4 37.86c23.87-10.38 32.62-17.25 48.12-28c13.25-9.126 18.12-25.5 14.5-41.13c-1.5-6.875-1.625-14-.3746-20.88c2.75-15.25 11.87-28.5 25.12-36.38c13.25-7.876 29.25-9.626 43.87-4.75c19.87 6.5 34.12 25.13 36.12 46c1.25 12.88-2.375 25.88-10.25 36.25c7.75-2.25 15.87-2.75 23.87-1.375C628.5 89.47 648.6 123.2 636.4 155.6z"],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", "M96 32C113.7 32 128 46.33 128 64V99.29L247.2 65.23C264.2 60.38 281.9 70.22 286.8 87.21C291.6 104.2 281.8 121.9 264.8 126.8L128 165.9V195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9V416H191.8C260 416 316.2 362.5 319.6 294.4L320 286.4C320.9 268.8 335.9 255.2 353.6 256C371.2 256.9 384.8 271.9 383.1 289.6L383.6 297.6C378.5 399.8 294.1 480 191.8 480H96C78.33 480 64 465.7 64 448V280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.217 230.1 23.21 225.2L64 213.6V184.1L40.79 190.8C23.8 195.6 6.087 185.8 1.232 168.8C-3.623 151.8 6.216 134.1 23.21 129.2L64 117.6V64C64 46.33 78.33 32 96 32L96 32z"],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", "M313.6 392.3l-104 112c-9.5 10.23-25.69 10.23-35.19 0l-104-112c-6.484-6.984-8.219-17.17-4.406-25.92S78.45 352 88 352H160V80C160 71.19 152.8 64 144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80V352h72c9.547 0 18.19 5.656 22 14.41S320.1 385.3 313.6 392.3z"],
    "turn-down-left": [512, 512, [], "e331", "M119.7 409.6l-112-104c-10.23-9.5-10.23-25.69 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406s14.41 12.45 14.41 22L160 256h272C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32V240c0 44.11-35.88 80-80 80H160l-.0005 72c0 9.547-5.656 18.19-14.41 22S126.7 416.1 119.7 409.6z"],
    "turn-down-right": [512, 512, [], "e455", "M366.4 414C357.7 410.2 352 401.5 352 392L352 319.1H80C35.87 319.1 0 284.1 0 239.1V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V239.1C64 248.8 71.19 255.1 80 255.1H352L352 184C352 174.5 357.7 165.8 366.4 162C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C514.6 279.9 514.6 296.1 504.3 305.6L392.3 409.6C385.3 416.1 375.2 417.8 366.4 414V414z"],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", "M318 145.6c-3.812 8.75-12.45 14.41-22 14.41L224 160v272c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V160L88 159.1c-9.547 0-18.19-5.656-22-14.41S63.92 126.7 70.41 119.7l104-112c9.498-10.23 25.69-10.23 35.19 0l104 112C320.1 126.7 321.8 136.8 318 145.6z"],
    "turntable": [576, 512, [], "f8e4", "M512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM224 416c-88.38 0-160-71.63-160-160s71.63-160 160-160s160 71.63 160 160S312.4 416 224 416zM512 267.9c0 9.875-2.375 19.62-6.75 28.62l-19 37.75c8 4 11.12 13.62 7.25 21.5l-25.75 51.38c-3.875 7.875-13.5 11.12-21.5 7.125L417.8 400c-8-4-11.12-13.5-7.25-21.5l25.75-51.38C440.1 319.3 449.8 316 457.8 320l18.88-37.88C478.8 277.7 480 272.8 480 267.8V112C480 103.2 487.2 96 496 96S512 103.2 512 112V267.9zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"],
    "turtle": [576, 512, [128034], "f726", "M345.2 288H70.79C49.37 288 32 270.6 32 249.2V208C32 110.8 110.8 32 208 32C305.2 32 384 110.8 384 208V249.2C384 270.6 366.6 288 345.2 288zM480 288C478 288 476 287.9 474.1 287.7C457.9 341 409.8 380.4 352 383.8V440C352 462.1 334.1 480 312 480H264C241.9 480 224 462.1 224 440V384H192V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H344C383.8 320 416 287.8 416 248V176C416 140.7 444.7 112 480 112C533 112 576 154.1 576 208V224C576 259.3 547.3 288 512 288H480zM496 224C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192C487.2 192 480 199.2 480 208C480 216.8 487.2 224 496 224z"],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", "M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64v-288h512V352z"],
    "tv-music": [640, 512, [], "f8e6", "M240 320C266.5 320 288 305.6 288 288V203.1l96-37.5v60.38C378.8 224.7 373.4 224 368 224C341.5 224 320 238.4 320 256s21.5 32 48 32S416 273.6 416 256V112c0-5.125-2.375-9.875-6.5-12.88S400 95.25 395.3 96.75l-128 47.25C260.5 146.1 256 152.3 256 159.3v98.75C250.8 256.7 245.4 256 240 256C213.5 256 192 270.4 192 288S213.5 320 240 320zM512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64V64h512V352z"],
    "tv-retro": [512, 512, [128250], "f401", "M322 96l55.03-55.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-87.05 86.95L169 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L190.1 96L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160c0-35.35-28.65-63.1-64-63.1L322 96zM448.1 208c13.25 0 24.03 10.74 24.03 23.1c0 13.25-10.75 24-24 24s-24-10.75-24-24C424.1 218.7 434.8 208 448.1 208zM384.1 384c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011c35.35 0 64.01 28.65 64.01 63.1V384zM424.1 312c0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24S424.1 325.3 424.1 312z"],
    "typewriter": [512, 512, [], "f8e7", "M480 192h-32V77.26c0-8.488-3.373-16.63-9.375-22.63l-45.26-45.26C387.4 3.369 379.2 0 370.8 0H96C78.4 0 64 14.4 64 32v160H32C14.4 192 0 206.4 0 224v32c0 17.62 14.38 32 32 32v176C32 490.5 53.49 512 80 512h352c26.51 0 48-21.49 48-48V288c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM128 64h192v48C320 120.9 327.1 128 336 128H384v64h-18.75c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H128V64zM368 296v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C336 291.6 339.6 288 344 288h16C364.4 288 368 291.6 368 296zM304 360c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V360zM296 320h-16c-4.375 0-8-3.625-8-8v-16C272 291.6 275.6 288 280 288h16c4.375 0 8 3.625 8 8v16C304 316.4 300.4 320 296 320zM240 360C240 355.6 243.6 352 248 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V360zM232 320h-16C211.6 320 208 316.4 208 312v-16C208 291.6 211.6 288 216 288h16C236.4 288 240 291.6 240 296v16C240 316.4 236.4 320 232 320zM176 360C176 355.6 179.6 352 184 352h16c4.375 0 8 3.625 8 8v16C208 380.4 204.4 384 200 384h-16c-4.375 0-8-3.625-8-8V360zM168 320h-16C147.6 320 144 316.4 144 312v-16C144 291.6 147.6 288 152 288h16C172.4 288 176 291.6 176 296v16C176 316.4 172.4 320 168 320zM104 320h-16C83.63 320 80 316.4 80 312v-16C80 291.6 83.63 288 88 288h16C108.4 288 112 291.6 112 296v16C112 316.4 108.4 320 104 320zM136 384h-16c-4.375 0-8-3.625-8-8v-16C112 355.6 115.6 352 120 352h16c4.375 0 8 3.625 8 8v16C144 380.4 140.4 384 136 384zM368 440c0 4.375-3.625 8-8 8h-208c-4.375 0-8-3.625-8-8v-16C144 419.6 147.6 416 152 416h208c4.375 0 8 3.625 8 8V440zM400 376c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V376zM432 312c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C400 291.6 403.6 288 408 288h16c4.375 0 8 3.625 8 8V312z"],
    "u": [384, 512, [117], "55", "M384 64.01v225.7c0 104.1-86.13 190.3-192 190.3s-192-85.38-192-190.3V64.01C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v225.7c0 69.67 57.42 126.3 128 126.3s128-56.67 128-126.3V64.01c0-17.67 14.33-32 32-32S384 46.34 384 64.01z"],
    "ufo": [640, 512, [128760], "e047", "M500.9 214.4C584.9 237.5 640 276.2 640 320C640 390.7 496.7 448 320 448C143.3 448 0 390.7 0 320C0 276.2 55.08 237.5 139.1 214.4C154.8 128.8 229.9 64 320 64C410.2 64 485.2 128.8 500.9 214.4V214.4zM320 112C260.8 112 210.4 149.9 191.7 202.7C186.7 216.9 184 232.1 184 248C184 248 224 288 320 288C416 288 456 248 456 248C456 232.1 453.3 216.9 448.3 202.7C429.6 149.9 379.2 112 320 112V112zM320 400C333.3 400 344 389.3 344 376C344 362.7 333.3 352 320 352C306.7 352 296 362.7 296 376C296 389.3 306.7 400 320 400zM128 304C114.7 304 104 314.7 104 328C104 341.3 114.7 352 128 352C141.3 352 152 341.3 152 328C152 314.7 141.3 304 128 304zM512 352C525.3 352 536 341.3 536 328C536 314.7 525.3 304 512 304C498.7 304 488 314.7 488 328C488 341.3 498.7 352 512 352z"],
    "ufo-beam": [576, 512, [], "e048", "M141.4 111.6C159.1 47.25 218.1 0 288 0C357.9 0 416.9 47.25 434.6 111.6C519.2 131.1 576 166.1 576 208C576 269.9 447.1 320 288 320C128.9 320 .001 269.9 .001 208C.001 166.1 56.77 131.1 141.4 111.6V111.6zM288 192C368 192 392 152 392 152C392 104 358.7 48 288 48C217.3 48 184 104 184 152C184 152 208 192 288 192zM96 184C82.75 184 72 194.7 72 208C72 221.3 82.75 232 96 232C109.3 232 120 221.3 120 208C120 194.7 109.3 184 96 184zM480 232C493.3 232 504 221.3 504 208C504 194.7 493.3 184 480 184C466.7 184 456 194.7 456 208C456 221.3 466.7 232 480 232zM288 232C274.7 232 264 242.7 264 256C264 269.3 274.7 280 288 280C301.3 280 312 269.3 312 256C312 242.7 301.3 232 288 232zM78.51 316.9C92.8 322.4 108.2 327.4 124.5 331.8L45.69 498.3C40.02 510.3 25.71 515.4 13.73 509.7C1.748 504-3.363 489.7 2.311 477.7L78.51 316.9zM451.5 331.8C467.8 327.4 483.2 322.4 497.5 316.9L573.7 477.7C579.4 489.7 574.3 504 562.3 509.7C550.3 515.4 535.1 510.3 530.3 498.3L451.5 331.8z"],
    "umbrella": [576, 512, [], "f0e9", "M255.1 301.7v130.3c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C175.8 490.6 206.2 512 239.1 512C284.1 512 320 476.1 320 431.1v-130.3c-9.094-7.908-19.81-13.61-32-13.61C275.7 288.1 265.6 292.9 255.1 301.7zM575.7 280.9C547.1 144.5 437.3 62.61 320 49.91V32.01c0-17.69-14.31-32.01-32-32.01S255.1 14.31 255.1 32.01v17.91C138.3 62.61 29.48 144.5 .2949 280.9C-1.926 290.1 8.795 302.1 18.98 292.2c52-55.01 107.7-52.39 158.6 37.01c5.312 9.502 14.91 8.625 19.72 0C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c4.812 8.625 14.41 9.502 19.72 0c51-89.52 107.1-91.39 158.6-37.01C567.3 302.2 577.9 290.1 575.7 280.9z"],
    "umbrella-beach": [640, 512, [127958], "f5ca", "M115.4 136.8l102.1 37.35c35.13-81.62 86.25-144.4 139-173.7c-95.88-4.875-188.8 36.96-248.5 111.7C101.2 120.6 105.2 133.2 115.4 136.8zM247.6 185l238.5 86.87c35.75-121.4 18.62-231.6-42.63-253.9c-7.375-2.625-15.12-4.062-23.12-4.062C362.4 13.88 292.1 83.13 247.6 185zM521.5 60.51c6.25 16.25 10.75 34.62 13.13 55.25c5.75 49.87-1.376 108.1-18.88 166.9l102.6 37.37c10.13 3.75 21.25-3.375 21.5-14.12C642.3 210.1 598 118.4 521.5 60.51zM528 448h-207l65-178.5l-60.13-21.87l-72.88 200.4H48C21.49 448 0 469.5 0 496C0 504.8 7.163 512 16 512h544c8.837 0 16-7.163 16-15.1C576 469.5 554.5 448 528 448z"],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", "M288 34.19V32c0-17.67-14.33-32-32-32S224 14.33 224 32v2.188C108.6 48.36 16.65 137.8 .3184 251.6C-2.436 270.8 13 288 32.55 288h446.9c19.55 0 34.99-17.19 32.24-36.38C495.3 137.8 403.4 48.36 288 34.19zM223.1 432.1c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C143.8 490.6 174.2 512 207.1 512C252.1 512 288 476.1 288 431.1V320H223.1V432.1z"],
    "underline": [448, 512, [], "f0cd", "M416 448H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 448 416 448zM48 64.01H64v160c0 88.22 71.78 159.1 160 159.1s160-71.78 160-159.1v-160h16c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1l-96-.0049c-17.69 0-32 14.32-32 32s14.31 32 32 32H320v160c0 52.94-43.06 95.1-96 95.1S128 276.1 128 224v-160h16c17.69 0 32-14.31 32-32s-14.31-32-32-32l-96 .0049c-17.69 0-32 14.31-32 31.1S30.31 64.01 48 64.01z"],
    "unicorn": [640, 512, [129412], "f727", "M632 32h-100.2c5.875-6.125 10.29-13.61 12.04-22.36c1-5-2.938-9.643-7.938-9.643L416 0C345.3 0 288 57.25 288 128H160C131.2 128 105.6 141 88 161.1L88 160C39.5 160 0 199.5 0 248V304C0 312.9 7.125 320 16 320h16c8.875 0 16-7.125 16-16L48 248c0-13.25 6.875-24.38 16.75-31.62c-.125 2.5-.7514 5.002-.7514 7.627c0 27.62 11.87 52.5 30.5 69.1l-25.76 68.87c-4.496 12.04-5.232 25.16-2.111 37.63l21.85 87.27C92.04 502 104.8 512 119.5 512h32.99c20.81 0 36.09-19.55 31.05-39.74l-21.3-85.38l23.87-63.62l102 22.37V480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.3C403.8 298 416.1 270.5 416.1 240c0-.25-.125-.375-.125-.625V136.9L432 144l18.75 37.72c7.455 14.91 25.12 21.6 40.57 15.36l32.53-13.05c12.16-4.912 20.15-16.68 20.15-29.8l-.0518-70.93l92.46-36.67C643 42.26 639.9 32 632 32zM479.9 96C471 96 463.9 88.88 463.9 80S471 64 479.9 64c8.875 0 16.02 7.125 16.02 16S488.8 96 479.9 96z"],
    "uniform-martial-arts": [640, 512, [], "e3d1", "M144 288h113.5l51.91-133.4L240.8 16H158.3c-30.28 0-58.2 16.36-73 42.78L14.28 185.6C4.918 202.3 0 221.2 0 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3L98.03 232.5L144 150.4V288zM423.9 405.4c5.438 8.156 8.041 17.39 8.041 26.54C431.1 458.6 410.4 480 384 480c-16.05 0-30.97-7.975-39.94-21.38L320 422.5L295.9 458.7C286.1 472 272.1 480 256 480c-26.42 0-47.98-21.38-47.98-48.08c0-9.144 2.603-18.38 8.042-26.54L230.3 384H144v64c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-64h-86.31L423.9 405.4zM144 352h146.1l-47.42 71.13c-1.819 2.729-2.628 5.891-2.628 8.937C240.1 440.1 247.2 448 256 448c5.156 0 10.22-2.5 13.31-7.125L320 364.8l50.69 76.03C373.8 445.5 378.8 448 384 448c8.776 0 15.94-7.023 15.94-15.94c0-3.047-.809-6.209-2.628-8.937L349.9 352H496v-32h-352V352zM625.7 185.6l-70.95-126.6C539.9 32.41 511.9 16 481.5 16h-82.31L291.8 288H496V150.4l45.94 81.99L544 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3C640 221.1 635.1 202.3 625.7 185.6z"],
    "union": [384, 512, [8899], "f6a2", "M192 480c-105.9 0-192-86.12-192-191.1V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1c0 70.59 57.41 128 128 128s128-57.41 128-128V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1C384 393.9 297.9 480 192 480z"],
    "universal-access": [512, 512, [], "f29a", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 80c22.09 0 40 17.91 40 40S278.1 160 256 160S216 142.1 216 120S233.9 80 256 80zM374.6 215.1L315.3 232C311.6 233.1 307.8 233.6 304 234.4v62.32l30.64 87.34c4.391 12.5-2.188 26.19-14.69 30.59C317.3 415.6 314.6 416 312 416c-9.906 0-19.19-6.188-22.64-16.06l-25.85-70.65c-2.562-7.002-12.46-7.002-15.03 0l-25.85 70.65C219.2 409.8 209.9 416 200 416c-2.641 0-5.312-.4375-7.953-1.344c-12.5-4.406-19.08-18.09-14.69-30.59L208 296.7V234.4C204.2 233.6 200.4 233.1 196.7 232L137.4 215.1C124.7 211.4 117.3 198.2 120.9 185.4S137.9 165.2 150.6 168.9l59.25 16.94c30.17 8.623 62.15 8.623 92.31 0l59.25-16.94c12.7-3.781 26.02 3.719 29.67 16.47C394.7 198.2 387.3 211.4 374.6 215.1z"],
    "unlock": [448, 512, [128275], "f09c", "M144 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64C179.8 64 144 99.82 144 144L144 192z"],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", "M224 64C179.8 64 144 99.82 144 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"],
    "up": [384, 512, ["arrow-alt-up"], "f357", "M381.6 236.3C376.6 248.2 364.9 256 352 256h-96v192c0 17.67-14.33 32-32 32h-64c-17.67 0-32-14.33-32-32V256H32c-12.94 0-24.61-7.797-29.56-19.75C-2.516 224.3 .2188 210.5 9.375 201.4l159.1-160C175.6 35.13 183.8 32 192 32s16.38 3.125 22.62 9.375l160 160C383.8 210.5 386.5 224.3 381.6 236.3z"],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", "M249.6 392.3l-104 112c-9.094 9.781-26.09 9.781-35.19 0l-103.1-112c-6.484-6.984-8.219-17.17-4.406-25.92S14.45 352 24 352H80V160H24C14.45 160 5.812 154.3 1.999 145.6C-1.813 136.8-.0781 126.7 6.406 119.7l104-112c9.094-9.781 26.09-9.781 35.19 0l104 112c6.484 6.984 8.219 17.17 4.406 25.92C250.2 154.3 241.5 160 232 160H176v192h56c9.547 0 18.19 5.656 22 14.41S256.1 385.3 249.6 392.3z"],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", "M512 256c0 6.797-2.891 13.28-7.938 17.84l-80 72C419.6 349.9 413.8 352 408 352c-3.312 0-6.625-.6875-9.766-2.078C389.6 346.1 384 337.5 384 328V288h-96v96l40-.0013c9.484 0 18.06 5.578 21.92 14.23s2.25 18.78-4.078 25.83l-72 80C269.3 509.1 262.8 512 255.1 512s-13.28-2.89-17.84-7.937l-71.1-80c-6.328-7.047-7.938-17.17-4.078-25.83s12.44-14.23 21.92-14.23l39.1 .0013V288H128v40c0 9.484-5.578 18.06-14.23 21.92C110.6 351.3 107.3 352 104 352c-5.812 0-11.56-2.109-16.06-6.156l-80-72C2.891 269.3 0 262.8 0 256s2.891-13.28 7.938-17.84l80-72C95 159.8 105.1 158.3 113.8 162.1C122.4 165.9 128 174.5 128 184V224h95.1V128l-39.1-.0013c-9.484 0-18.06-5.578-21.92-14.23S159.8 94.99 166.2 87.94l71.1-80c9.125-10.09 26.56-10.09 35.69 0l72 80c6.328 7.047 7.938 17.17 4.078 25.83s-12.44 14.23-21.92 14.23l-40 .0013V224H384V184c0-9.484 5.578-18.06 14.23-21.92c8.656-3.812 18.77-2.266 25.83 4.078l80 72C509.1 242.7 512 249.2 512 256z"],
    "up-from-bracket": [448, 512, [], "e590", "M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512zM241.5 7.201L377.5 151.3C384 158.3 385.8 168.5 382 177.3C378.2 186.1 369.6 191.8 359.1 191.8L288 191.9L287.1 319.9C287.1 337.6 273.7 351.9 255.1 351.9H191.1C174.3 351.9 159.1 337.6 159.1 319.9L159.1 191.9L87.1 191.8C78.42 191.8 69.75 186.1 65.95 177.3C62.17 168.5 63.97 158.3 70.54 151.3L206.5 7.201C215.6-2.4 232.4-2.4 241.5 7.201V7.201z"],
    "up-from-dotted-line": [448, 512, [], "e456", "M377.4 183.5C384 190.5 385.8 200.7 382 209.5C378.2 218.3 369.6 224 360 224H288V352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352V224H88C78.42 224 69.75 218.3 65.96 209.5C62.17 200.7 63.97 190.5 70.55 183.5L206.6 39.52C211.1 34.72 217.4 32 224 32C230.6 32 236.9 34.72 241.4 39.52L377.4 183.5zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", "M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416zM56 223.8H128v128.1c0 17.69 14.33 32.04 32 32.04h64c17.67 0 32-14.35 32-32.04V223.8h72c9.578 0 18.25-5.708 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1c-9.062-9.601-25.84-9.601-34.91 0l-136 144.1c-6.578 6.974-8.375 17.2-4.594 26C37.75 218.1 46.42 223.8 56 223.8z"],
    "up-left": [384, 512, [], "e2bd", "M358.6 377.4l-45.26 45.25c-12.5 12.5-32.76 12.5-45.25 0L138.5 293l-67.88 67.88c-9.148 9.148-22.92 11.89-34.87 6.938C23.79 362.9 16 351.2 16 338.3l0-226.3c0-8.836 3.58-16.84 9.369-22.63C31.16 83.58 39.16 80 47.1 80h226.3c12.95 0 24.61 7.789 29.57 19.75c4.949 11.95 2.209 25.72-6.939 34.87l-67.88 67.88l129.6 129.6C371.1 344.6 371.1 364.9 358.6 377.4z"],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", "M285.1 145.7c-3.81 8.758-12.45 14.42-21.1 14.42L192 160.1V480c0 17.69-14.33 32-32 32s-32-14.31-32-32V160.1L55.1 160.1c-9.547 0-18.19-5.658-22-14.42c-3.811-8.758-2.076-18.95 4.408-25.94l104-112.1c9.498-10.24 25.69-10.24 35.19 0l104 112.1C288.1 126.7 289.8 136.9 285.1 145.7z"],
    "up-right": [384, 512, [], "e2be", "M70.63 422.6l-45.25-45.26c-12.5-12.5-12.5-32.76 0-45.25l129.6-129.6L87.1 134.6c-9.148-9.148-11.89-22.92-6.938-34.87C85.12 87.79 96.78 80 109.7 80h226.3c8.836 0 16.84 3.58 22.63 9.369c5.789 5.791 9.371 13.79 9.371 22.63L368 338.3c0 12.95-7.789 24.61-19.75 29.57c-11.95 4.949-25.72 2.209-34.87-6.939l-67.88-67.88l-129.6 129.6C103.4 435.1 83.13 435.1 70.63 422.6z"],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", "M208 281.4c-12.5-12.5-32.76-12.5-45.26-.002l-78.06 78.07l-30.06-30.06c-6.125-6.125-14.31-9.367-22.63-9.367c-4.125 0-8.279 .7891-12.25 2.43c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C.0013 501.3 10.75 512 24 512h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.49 12.5-32.75 .002-45.25L208 281.4zM487.1 0h-136c-12.94 0-24.63 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.87l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.06-78.07l30.06 30.06c9.156 9.141 22.87 11.84 34.87 6.937C504.2 184.6 512 172.9 512 159.1V23.1C512 10.74 501.3 0 487.1 0z"],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", "M384 320c-17.67 0-32 14.33-32 32v96H64V160h96c17.67 0 32-14.32 32-32s-14.33-32-32-32L64 96c-35.35 0-64 28.65-64 64V448c0 35.34 28.65 64 64 64h288c35.35 0 64-28.66 64-64v-96C416 334.3 401.7 320 384 320zM488 0H352c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.88L370.8 96L169.4 297.4c-12.5 12.5-12.5 32.75 0 45.25C175.6 348.9 183.8 352 192 352s16.38-3.125 22.62-9.375L416 141.3l41.38 41.38c9.156 9.141 22.88 11.84 34.88 6.938C504.2 184.6 512 172.9 512 160V24C512 10.74 501.3 0 488 0z"],
    "up-to-dotted-line": [448, 512, [], "e457", "M64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM377.4 279.5C384 286.5 385.8 296.7 382 305.5C378.2 314.3 369.6 320 360 320H288V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V320H88C78.42 320 69.75 314.3 65.96 305.5C62.17 296.7 63.97 286.5 70.55 279.5L206.6 135.5C211.1 130.7 217.4 128 224 128C230.6 128 236.9 130.7 241.4 135.5L377.4 279.5zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64z"],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", "M56 319.9L128 319.9v128.1c0 17.69 14.33 32.02 32 32.02h64c17.67 0 32-14.34 32-32.02V319.9l72-.0311c9.578 0 18.25-5.709 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1c-9.062-9.602-25.84-9.602-34.91 0l-136 144.1C31.97 286.3 30.17 296.6 33.95 305.4C37.75 314.2 46.42 319.9 56 319.9zM351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z"],
    "upload": [512, 512, [], "f093", "M105.4 182.6c12.5 12.49 32.76 12.5 45.25 .001L224 109.3V352c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32V109.3l73.38 73.38c12.49 12.49 32.75 12.49 45.25-.001c12.49-12.49 12.49-32.75 0-45.25l-128-128C272.4 3.125 264.2 0 256 0S239.6 3.125 233.4 9.375L105.4 137.4C92.88 149.9 92.88 170.1 105.4 182.6zM480 352h-160c0 35.35-28.65 64-64 64s-64-28.65-64-64H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z"],
    "usb-drive": [640, 512, [], "f8e9", "M0 160v192c0 35.35 28.65 64 64 64L448 416V96L64 96C28.65 96 0 124.7 0 160zM608 128h-128v256h128c17.67 0 32-14.33 32-32V160C640 142.3 625.7 128 608 128zM584 312c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V312zM584 216c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V216z"],
    "user": [448, 512, [62144, 128100], "f007", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"],
    "user-alien": [448, 512, [], "e04a", "M206.7 378.1c10.23 7.832 24.32 7.832 34.55 0C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM240 236c0-33.13 26.88-60 60-60h24c6.625 0 12 5.375 12 12v8C336 229.1 309.1 256 276 256h-24C245.4 256 240 250.6 240 244V236zM112 196v-8C112 181.4 117.4 176 124 176h24C181.1 176 208 202.9 208 236v8C208 250.6 202.6 256 196 256h-24C138.9 256 112 229.1 112 196zM319.7 352.5c-20.72 20.3-41.57 37.69-58.92 51.03C250.2 411.6 237.2 416 224 416s-26.23-4.43-36.78-12.51c-17.33-13.33-38.17-30.7-58.88-50.99C57.07 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.9 355.2 319.7 352.5z"],
    "user-astronaut": [448, 512, [], "f4fb", "M176 448C167.3 448 160 455.3 160 464V512h32v-48C192 455.3 184.8 448 176 448zM272 448c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S280.8 448 272 448zM164 172l8.205 24.62c1.215 3.645 6.375 3.645 7.59 0L188 172l24.62-8.203c3.646-1.219 3.646-6.375 0-7.594L188 148L179.8 123.4c-1.215-3.648-6.375-3.648-7.59 0L164 148L139.4 156.2c-3.646 1.219-3.646 6.375 0 7.594L164 172zM336.1 315.4C304 338.6 265.1 352 224 352s-80.03-13.43-112.1-36.59C46.55 340.2 0 403.3 0 477.3C0 496.5 15.52 512 34.66 512H128v-64c0-17.75 14.25-32 32-32h128c17.75 0 32 14.25 32 32v64h93.34C432.5 512 448 496.5 448 477.3C448 403.3 401.5 340.2 336.1 315.4zM64 224h13.5C102.3 280.5 158.4 320 224 320s121.8-39.5 146.5-96H384c8.75 0 16-7.25 16-16v-96C400 103.3 392.8 96 384 96h-13.5C345.8 39.5 289.6 0 224 0S102.3 39.5 77.5 96H64C55.25 96 48 103.3 48 112v96C48 216.8 55.25 224 64 224zM104 136C104 113.9 125.5 96 152 96h144c26.5 0 48 17.88 48 40V160c0 53-43 96-96 96h-48c-53 0-96-43-96-96V136z"],
    "user-bounty-hunter": [448, 512, [], "e2bf", "M89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0C170.4 0 123.4 27.6 96 69.22V32c8.836 0 16-7.164 16-16C112 7.162 104.8 0 96 0H80C71.16 0 64 7.162 64 16c0 0 .2891 247.7 .3984 247.6C64.86 278.1 74.79 290.7 89.3 293.9zM329.7 156.2l.8125 13.76c-25.14 13.92-64.23 43.82-72.69 97.02L248 269.1V171.5L329.7 156.2zM224 48c46.57 0 85.95 30.06 99.72 72H124.2C137.9 78.14 177.4 48 224 48zM118.3 156.2L200 171.5v97.63L190.2 266.1C181.7 213.8 142.6 183.9 117.5 169.9L118.3 156.2zM320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM160 464l64-48l64 48H160z"],
    "user-check": [640, 512, [], "f4fc", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM632.3 134.4c-9.703-9-24.91-8.453-33.92 1.266l-87.05 93.75l-38.39-38.39c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C499.5 285.5 505.6 288 512 288h.4375c6.531-.125 12.72-2.891 17.16-7.672l104-112C642.6 158.6 642 143.4 632.3 134.4z"],
    "user-chef": [448, 512, [], "e3d2", "M96 93.06V176c0 70.75 57.25 128 128 128s128-57.25 128-128V93.06C370.6 86.45 384 68.87 384 48C384 21.49 362.5 0 336 0c-14.42 0-27.2 6.488-36 16.55C291.2 6.488 278.4 0 264 0C247.3 0 232.6 8.564 224 21.53C215.4 8.564 200.7 0 184 0C169.6 0 156.8 6.488 148 16.55C139.2 6.488 126.4 0 112 0C85.49 0 64 21.49 64 48C64 68.87 77.4 86.45 96 93.06zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160zM352 356.5v-35.29l-224 89.59V512h288c17.67 0 32-14.33 32-32C448 420.4 407.1 370.8 352 356.5zM208 448C199.2 448 192 440.8 192 432C192 423.2 199.2 416 208 416s16 7.162 16 16C224 440.8 216.8 448 208 448zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 440.8 312.8 448 304 448zM96 320v36.53C40.89 370.8 0 420.4 0 480c0 17.67 14.33 32 32 32h64v-122.8l106.4-42.57L96 320z"],
    "user-clock": [640, 512, [], "f4fd", "M496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v48h32c8.838 0 16 7.164 16 15.1S552.8 384 544 384zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 368c0-19.3 3.221-37.82 8.961-55.2C311.9 307.2 293.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H395C349.7 480.2 320 427.6 320 368z"],
    "user-cowboy": [448, 512, [], "f8ea", "M342.5 113.6C331.5 64 310.1 0 278.2 0c-10.37 0-19.68 4.5-27.43 10.5c-15.25 11.88-36.77 11.88-52.02 0C191 4.5 181.8 0 171.4 0C138.6 0 118 64.5 106.9 114.1C133 124 170.7 132.6 223.1 132.6C278.1 132.6 316.4 123.8 342.5 113.6zM96.01 223.8C96.01 294.5 153.4 352 223.1 352c70.74 0 127.1-57.25 127.1-128c70.49-40.75 94.73-105.1 95.11-106.9c2.75-7.625-1.062-15.81-8.686-19.44C430.8 94.19 421.7 96.38 416.5 103c-.3749 .625-44.74 61.63-192.5 61.63c-146.9 0-191.6-60.38-192.5-61.63C26.39 96.38 17.27 94.13 9.647 97.63c-7.749 3.5-11.5 11.88-8.749 19.5C1.273 118.1 25.52 183.1 96.01 223.8zM447 472.2C434 420.4 387.5 384 334 384H114c-53.45 0-100 36.38-113 88.24C-4.043 492.4 11.19 512 32 512h383.1C436.8 512 452.1 492.4 447 472.2z"],
    "user-crown": [448, 512, [], "f6a4", "M224 272c70.75 0 128-57.25 128-128V0l-64 32l-64-32L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"],
    "user-doctor": [448, 512, ["user-md"], "f0f0", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM128 370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3C0 401.3 54.02 332.9 128 311.2V370.3zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z"],
    "user-doctor-hair": [448, 512, [], "e458", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V323.4C393.1 338.8 448 403.6 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 403.6 54.89 338.8 128 323.4V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V320L161.3 320H286.7L288 320V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"],
    "user-doctor-hair-long": [448, 512, [], "e459", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V323.4C393.1 338.8 448 403.6 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 403.6 54.89 338.8 128 323.4V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V320L161.3 320H286.7L288 320V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM0 482.3C0 401.3 54.02 332.9 128 311.2V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3H0zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424zM592 0C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48C384 21.49 405.5 0 432 0L592 0z"],
    "user-gear": [640, 512, ["user-cog"], "f4fe", "M425.1 482.6c-2.303-1.25-4.572-2.559-6.809-3.93l-7.818 4.493c-6.002 3.504-12.83 5.352-19.75 5.352c-10.71 0-21.13-4.492-28.97-12.75c-18.41-20.09-32.29-44.15-40.22-69.9c-5.352-18.06 2.343-36.87 17.83-45.24l8.018-4.669c-.0664-2.621-.0664-5.242 0-7.859l-7.655-4.461c-12.3-6.953-19.4-19.66-19.64-33.38C305.6 306.3 290.4 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c5.727 0 10.9-1.727 15.66-4.188c-2.271-4.984-3.86-10.3-3.86-16.06V482.6zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM610.5 373.3c2.625-14 2.625-28.5 0-42.5l25.75-15c3-1.625 4.375-5.125 3.375-8.5c-6.75-21.5-18.25-41.13-33.25-57.38c-2.25-2.5-6-3.125-9-1.375l-25.75 14.88c-10.88-9.25-23.38-16.5-36.88-21.25V212.3c0-3.375-2.5-6.375-5.75-7c-22.25-5-45-4.875-66.25 0c-3.25 .625-5.625 3.625-5.625 7v29.88c-13.5 4.75-26 12-36.88 21.25L394.4 248.5c-2.875-1.75-6.625-1.125-9 1.375c-15 16.25-26.5 35.88-33.13 57.38c-1 3.375 .3751 6.875 3.25 8.5l25.75 15c-2.5 14-2.5 28.5 0 42.5l-25.75 15c-3 1.625-4.25 5.125-3.25 8.5c6.625 21.5 18.13 41 33.13 57.38c2.375 2.5 6 3.125 9 1.375l25.88-14.88c10.88 9.25 23.38 16.5 36.88 21.25v29.88c0 3.375 2.375 6.375 5.625 7c22.38 5 45 4.875 66.25 0c3.25-.625 5.75-3.625 5.75-7v-29.88c13.5-4.75 26-12 36.88-21.25l25.75 14.88c2.875 1.75 6.75 1.125 9-1.375c15-16.25 26.5-35.88 33.25-57.38c1-3.375-.3751-6.875-3.375-8.5L610.5 373.3zM496 400.5c-26.75 0-48.5-21.75-48.5-48.5s21.75-48.5 48.5-48.5c26.75 0 48.5 21.75 48.5 48.5S522.8 400.5 496 400.5z"],
    "user-graduate": [512, 512, [], "f501", "M45.63 79.75L52 81.25v58.5C45 143.9 40 151.3 40 160c0 8.375 4.625 15.38 11.12 19.75L35.5 242C33.75 248.9 37.63 256 43.13 256h41.75c5.5 0 9.375-7.125 7.625-13.1L76.88 179.8C83.38 175.4 88 168.4 88 160c0-8.75-5-16.12-12-20.25V87.13L128 99.63l.001 60.37c0 70.75 57.25 128 128 128s127.1-57.25 127.1-128L384 99.62l82.25-19.87c18.25-4.375 18.25-27 0-31.5l-190.4-46c-13-3-26.62-3-39.63 0l-190.6 46C27.5 52.63 27.5 75.38 45.63 79.75zM359.2 312.8l-103.2 103.2l-103.2-103.2c-69.93 22.3-120.8 87.2-120.8 164.5C32 496.5 47.53 512 66.67 512h378.7C464.5 512 480 496.5 480 477.3C480 400 429.1 335.1 359.2 312.8z"],
    "user-group": [640, 512, [128101, "user-friends"], "f500", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h138C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM432 256C493.9 256 544 205.9 544 144S493.9 32 432 32c-25.11 0-48.04 8.555-66.72 22.51C376.8 76.63 384 101.4 384 128c0 35.52-11.93 68.14-31.59 94.71C372.7 243.2 400.8 256 432 256z"],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", "M224 272c70.75 0 128-57.25 128-128V0L288 32L224 0L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM544 144C544 82.14 493.9 32 432 32c-17.3 0-33.45 4.285-48 11.38V144c0 31.09-9.285 59.89-24.69 84.47C378.9 245.4 404.1 256 432 256C493.9 256 544 205.9 544 144zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h137.1C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320z"],
    "user-hair": [448, 512, [], "e45a", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-hair-buns": [448, 512, [], "e3d3", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM88 192c5.836 0 11.36-1.197 16.53-3.104C122.8 237.4 169.2 272 224 272s101.2-34.65 119.5-83.1C348.6 190.8 354.2 192 360 192c26.51 0 48-21.49 48-48v-32c0-26.51-21.49-48-48-48c-8.203 0-15.86 2.156-22.61 5.783C316.2 28.47 273.6 0 224 0S131.8 28.47 110.6 69.78C103.9 66.16 96.2 64 88 64c-26.51 0-48 21.49-48 48v32C40 170.5 61.49 192 88 192zM144 128c0-7.029 1.201-13.73 2.912-20.23C153.6 110.2 160.5 112 168 112c24.29 0 45.16-13.69 56-33.62C234.8 98.31 255.7 112 280 112c7.502 0 14.45-1.781 21.09-4.229C302.8 114.3 304 120.1 304 128v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128z"],
    "user-hair-long": [448, 512, [], "e45b", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", "M237.4 271.3C232.1 271.8 228.5 272 224 272C219.5 272 215 271.8 210.6 271.3L192.1 288.1C187.5 294.4 179.8 296.9 172.2 295.7C164.5 294.5 157.1 289.6 154.5 282.7L148.4 270.5L128.9 278.3C119.7 281.1 109.1 279.6 102.3 272.3C95.59 264.9 94.08 254.2 98.53 245.3C107 228.2 109.5 223 110.7 218.2C111.4 215.3 111.8 212.3 111.9 205.8C101.8 187.5 95.1 166.4 95.1 144V128C95.1 120.9 96.57 114 97.67 107.3C91.8 102.9 87.1 95.88 87.1 88C87.1 74.75 98.74 64 111.1 64H113.1C135.3 25.74 176.6 0 223.1 0C271.4 0 312.7 25.74 334.9 64H336C349.3 64 360 74.75 360 88C360 95.88 356.2 102.9 350.3 107.3C351.4 114 352 120.9 352 128V144C352 166.4 346.2 187.5 336.1 205.8C336.2 212.3 336.6 215.3 337.3 218.2C338.5 223 340.1 228.2 349.5 245.3C353.9 254.2 352.4 264.9 345.7 272.3C338.9 279.6 328.3 281.1 319.1 278.3L299.6 270.5L293.5 282.7C290 289.6 283.5 294.5 275.8 295.7C268.2 296.9 260.5 294.4 255 288.1L237.4 271.3zM302.3 111.4C271.6 108.2 243.8 93.47 224 70.78C204.2 93.47 176.4 108.2 145.7 111.4C144.6 116.7 144 122.3 144 128V144C144 162 149.1 178.6 160 192C174.6 211.4 197.8 224 224 224C250.2 224 273.4 211.4 288 192C298 178.6 304 162 304 144V128C304 122.3 303.4 116.7 302.3 111.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-headset": [448, 512, [], "f82d", "M48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224zM208 224h32c22.88 0 43.98 12.2 55.36 31.95L304 256c26.5 0 48-21.5 48-47.1V192c0-70.75-57.25-128-128-128s-128 57.25-128 128c0 40.38 19.12 75.99 48.37 99.49C144.2 290.2 144 289.3 144 288C144 252.6 172.6 224 208 224zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352z"],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", "M224 320c65.25 0 118.5-49 126.4-112H97.63C105.5 271 158.8 320 224 320zM88 176h272c4.375 0 8-3.625 8-8V136c0-4.375-3.625-8-8-8H352c0-45-26.88-85.62-68.38-103.2L256 80V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16V80L164.4 24.75C122.9 42.38 96 83 96 128H88c-4.375 0-8 3.625-8 8v31.1C80 172.4 83.63 176 88 176zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352z"],
    "user-injured": [448, 512, [], "f728", "M277.4 11.98C261.1 4.469 243.1 0 224 0C170.3 0 124.5 33.13 105.5 80h81.07L277.4 11.98zM342.5 80c-7.895-19.47-20.66-36.19-36.48-49.51L240 80H342.5zM224 256c70.7 0 128-57.31 128-128c0-5.48-.9453-10.7-1.613-16H97.61C96.95 117.3 96 122.5 96 128C96 198.7 153.3 256 224 256zM272 416h-45.14l58.64 93.83C305.4 503.1 320 485.8 320 464C320 437.5 298.5 416 272 416zM274.7 304H173.3c-5.393 0-10.71 .3242-15.98 .8047L206.9 384H272c44.13 0 80 35.88 80 80c0 18.08-6.252 34.59-16.4 48h77.73C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM0 477.3C0 496.5 15.52 512 34.66 512H64v-169.1C24.97 374.7 0 423.1 0 477.3zM96 322.4V512h153.1L123.7 311.3C114.1 314.2 104.8 317.9 96 322.4z"],
    "user-large": [512, 512, ["user-alt"], "f406", "M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288zM351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320z"],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", "M284.9 320l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512l448-.0039c.0137 0-.0137 0 0 0l-14.13-.0013L284.9 320zM630.8 469.1l-249.5-195.5c48.74-22.1 82.65-72.1 82.65-129.6c0-79.53-64.47-143.1-143.1-143.1c-69.64 0-127.3 49.57-140.6 115.3L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "user-lock": [640, 512, [], "f502", "M592 288H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM528 288h-64V208c0-17.62 14.38-32 32-32s32 14.38 32 32V288zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z"],
    "user-minus": [640, 512, [], "f503", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM616 200h-144C458.8 200 448 210.8 448 224s10.75 24 24 24h144C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-music": [640, 512, [], "f8eb", "M389.4 347.7C358.8 320.6 318.7 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h320.5C333.4 493.4 320 468.3 320 440C320 399 348 364.7 389.4 347.7zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM601.7 160.6l-96 19.2C490.8 182.8 480 195.1 480 211.2v161.2C469.9 369.7 459.3 368 448 368c-53.02 0-96 32.23-96 72c0 39.76 42.98 72 96 72s96-32.24 96-72V300.2l70.28-14.05C629.2 283.1 640 269.1 640 254.7V192C640 171.8 621.5 156.7 601.7 160.6z"],
    "user-ninja": [512, 512, [129399], "f504", "M64 192c27.25 0 51.75-11.5 69.25-29.75c15 54 64 93.75 122.8 93.75c70.75 0 127.1-57.25 127.1-128s-57.25-128-127.1-128c-50.38 0-93.63 29.38-114.5 71.75C124.1 47.75 96 32 64 32c0 33.37 17.12 62.75 43.13 80C81.13 129.3 64 158.6 64 192zM208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96zM337.8 306.9L256 416L174.2 306.9C93.36 321.6 32 392.2 32 477.3c0 19.14 15.52 34.67 34.66 34.67H445.3c19.14 0 34.66-15.52 34.66-34.67C480 392.2 418.6 321.6 337.8 306.9z"],
    "user-nurse": [448, 512, [], "f82f", "M224 304c70.75 0 128-57.25 128-128V65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V176C96 246.8 153.3 304 224 304zM184 71.63c0-2.75 2.25-5 5-5h21.62V45c0-2.75 2.25-5 5-5h16.75c2.75 0 5 2.25 5 5v21.62H259c2.75 0 5 2.25 5 5v16.75c0 2.75-2.25 5-5 5h-21.62V115c0 2.75-2.25 5-5 5H215.6c-2.75 0-5-2.25-5-5V93.38H189c-2.75 0-5-2.25-5-5V71.63zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160zM327.2 312.8L224 416L120.8 312.8c-69.93 22.3-120.8 87.25-120.8 164.6C.0006 496.5 15.52 512 34.66 512H413.3c19.14 0 34.66-15.46 34.66-34.61C447.1 400.1 397.1 335.1 327.2 312.8z"],
    "user-nurse-hair": [448, 512, [], "e45d", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V175.1C352 246.7 294.7 303.1 224 303.1C153.3 303.1 96 246.7 96 175.1V135.1C96 133.3 96.1 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.92 192 61.33V66.67C192 71.09 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.09 256 66.67V61.33C256 56.92 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM129.1 323.2L224 423.1L318.9 323.2C392.5 338.1 448 403.2 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 403.2 55.46 338.1 129.1 323.2V323.2z"],
    "user-nurse-hair-long": [448, 512, [], "e45e", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V170.1C352 204.9 365.5 237.5 389.5 261.5L393.4 265.4C397.6 269.6 400 275.4 400 281.4C400 293.9 389.9 303.1 377.4 303.1H70.63C58.13 303.1 48 293.9 48 281.4C48 275.4 50.38 269.6 54.63 265.4L58.51 261.5C82.51 237.5 96 204.9 96 170.1V135.1C96 133.3 96.09 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.91 192 61.33V66.67C192 71.08 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.08 256 66.67V61.33C256 56.91 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM141.3 336.1L224 423.1L306.7 336.1C385.3 339.6 448 404.4 448 483.8C448 499.4 435.4 511.1 419.8 511.1H28.16C12.61 511.1 0 499.4 0 483.8C0 404.4 62.69 339.6 141.3 336.1V336.1z"],
    "user-pen": [640, 512, ["user-edit"], "f4ff", "M223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h286.4c-1.246-5.531-1.43-11.31-.2832-17.04l14.28-71.41c1.943-9.723 6.676-18.56 13.68-25.56l45.72-45.72C363.3 322.4 321.2 304 274.7 304zM371.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L371.4 420.6zM629.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.14l72.01 72.01l38.13-38.13C643.5 292.5 643.5 269.7 629.5 255.7z"],
    "user-pilot": [448, 512, [], "e2c0", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.85c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.7505 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 23.1C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-23.1C160.9 90.35 157.8 80.75 161.7 72.85zM319.7 352.5L224 416l-95.7-63.49C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9401-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4z"],
    "user-pilot-tie": [448, 512, [], "e2c1", "M97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9401-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4zM78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.84c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.75 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 24C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-24C160.9 90.34 157.8 80.75 161.7 72.84zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448z"],
    "user-plus": [640, 512, [], "f234", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM616 200h-48v-48C568 138.8 557.3 128 544 128s-24 10.75-24 24v48h-48C458.8 200 448 210.8 448 224s10.75 24 24 24h48v48C520 309.3 530.8 320 544 320s24-10.75 24-24v-48h48C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-police": [448, 512, [], "e333", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9399-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4zM320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM358.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L320 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L305.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L334.1 426l21.85 3.18C359.8 429.7 361.4 434.6 358.5 437.3z"],
    "user-police-tie": [448, 512, [], "e334", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM390.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L352 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L337.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L366.1 426l21.85 3.18C391.8 429.7 393.4 434.6 390.5 437.3zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9399-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4z"],
    "user-robot": [448, 512, [], "e04b", "M224 0C232.8 0 240 7.164 240 16V64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128C80 92.65 108.7 64 144 64H208V16C208 7.164 215.2 0 224 0zM160 192C177.7 192 192 177.7 192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160C128 177.7 142.3 192 160 192zM288 128C270.3 128 256 142.3 256 160C256 177.7 270.3 192 288 192C305.7 192 320 177.7 320 160C320 142.3 305.7 128 288 128zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240zM16 144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144zM416 128C424.8 128 432 135.2 432 144V240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128zM352 352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H352zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM224 448C232.8 448 240 455.2 240 464V512H208V464C208 455.2 215.2 448 224 448zM304 512H272V464C272 455.2 279.2 448 288 448C296.8 448 304 455.2 304 464V512z"],
    "user-robot-xmarks": [448, 512, [], "e4a7", "M224 0C232.8 0 240 7.164 240 16V64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128C80 92.65 108.7 64 144 64H208V16C208 7.164 215.2 0 224 0zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240zM119.5 136.5L143 160L119.5 183.5C114.8 188.2 114.8 195.8 119.5 200.5C124.2 205.2 131.8 205.2 136.5 200.5L159.1 176.1L183.5 200.5C188.2 205.2 195.8 205.2 200.5 200.5C205.2 195.8 205.2 188.2 200.5 183.5L176.1 160L200.5 136.5C205.2 131.8 205.2 124.2 200.5 119.5C195.8 114.8 188.2 114.8 183.5 119.5L159.1 143L136.5 119.5C131.8 114.8 124.2 114.8 119.5 119.5C114.8 124.2 114.8 131.8 119.5 136.5L119.5 136.5zM264.5 119.5C259.8 114.8 252.2 114.8 247.5 119.5C242.8 124.2 242.8 131.8 247.5 136.5L271 159.1L247.5 183.5C242.8 188.2 242.8 195.8 247.5 200.5C252.2 205.2 259.8 205.2 264.5 200.5L288 176.1L311.5 200.5C316.2 205.2 323.8 205.2 328.5 200.5C333.2 195.8 333.2 188.2 328.5 183.5L304.1 160L328.5 136.5C333.2 131.8 333.2 124.2 328.5 119.5C323.8 114.8 316.2 114.8 311.5 119.5L288 143L264.5 119.5zM16 144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144zM416 128C424.8 128 432 135.2 432 144V240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128zM352 352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H352zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM224 448C232.8 448 240 455.2 240 464V512H208V464C208 455.2 215.2 448 224 448zM304 512H272V464C272 455.2 279.2 448 288 448C296.8 448 304 455.2 304 464V512z"],
    "user-secret": [448, 512, [128373], "f21b", "M377.7 338.8l37.15-92.87C419 235.4 411.3 224 399.1 224h-57.48C348.5 209.2 352 193 352 176c0-4.117-.8359-8.057-1.217-12.08C390.7 155.1 416 142.3 416 128c0-16.08-31.75-30.28-80.31-38.99C323.8 45.15 304.9 0 277.4 0c-10.38 0-19.62 4.5-27.38 10.5c-15.25 11.88-36.75 11.88-52 0C190.3 4.5 181.1 0 170.7 0C143.2 0 124.4 45.16 112.5 88.98C63.83 97.68 32 111.9 32 128c0 14.34 25.31 27.13 65.22 35.92C96.84 167.9 96 171.9 96 176C96 193 99.47 209.2 105.5 224H48.02C36.7 224 28.96 235.4 33.16 245.9l37.15 92.87C27.87 370.4 0 420.4 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 420.4 420.1 370.4 377.7 338.8zM176 479.1L128 288l64 32l16 32L176 479.1zM271.1 479.1L240 352l16-32l64-32L271.1 479.1zM320 186C320 207 302.8 224 281.6 224h-12.33c-16.46 0-30.29-10.39-35.63-24.99C232.1 194.9 228.4 192 224 192S215.9 194.9 214.4 199C209 213.6 195.2 224 178.8 224h-12.33C145.2 224 128 207 128 186V169.5C156.3 173.6 188.1 176 224 176s67.74-2.383 96-6.473V186z"],
    "user-shakespeare": [448, 512, [], "e2c2", "M336.3 329.1C319.3 313.6 296.9 304 272 304h-96c-24.85 0-47.28 9.645-64.33 25.07C47.09 349.6 0 408.1 0 480C0 497.6 14.33 512 32 512h176c0-8.799 7.164-15.96 16-15.96S240 503.2 240 512H416c17.67 0 32-14.37 32-31.96C448 408.1 400.9 349.6 336.3 329.1zM224 464.1c-8.836 0-16-7.023-16-15.82s7.164-15.93 16-15.93s16 7.131 16 15.93S232.8 464.1 224 464.1zM224 383.6c-32.79 0-66.31 4.852-95.97 14.3c.8652-25.58 22.05-46.02 47.95-46.05h96.04c25.9 .0234 47.09 20.46 47.95 46.05C290.3 388.5 256.8 383.6 224 383.6zM256 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S240 119.2 240 128C240 136.8 247.2 144 256 144zM109.3 272h53.98C181.4 281.9 201.9 288 224 288s42.62-6.123 60.77-16h53.98C363.7 272 384 251.7 384 226.7c0-12-4.768-23.51-13.25-32C358.7 182.7 352 166.5 352 149.5V128c0-70.69-57.31-128-128-128S96 57.31 96 128v21.49c0 16.97-6.742 33.25-18.75 45.25C68.77 203.2 64 214.7 64 226.7C64 251.7 84.26 272 109.3 272zM144 128c0-44.11 35.89-80 80-80s80 35.89 80 80v32c0 40-29.6 72.94-68 78.79V224c0-6.625-5.375-12-12-12S212 217.4 212 224v14.79C173.6 232.9 144 200 144 160V128zM192 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S176 119.2 176 128C176 136.8 183.2 144 192 144zM188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1c-6.625 0-12 5.377-12 12C176 198.6 181.4 204 188 204z"],
    "user-shield": [640, 512, [], "f505", "M622.3 271.1l-115.1-45.01c-4.125-1.629-12.62-3.754-22.25 0L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9c9.625 3.75 18 1.625 22.25 0C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM496 462.4V273.2l95.5 37.38C585.9 397.8 530.6 446 496 462.4zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320.6 310.3C305.9 306.3 290.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c3.143 0 5.967-1.004 8.861-1.789C369.7 469.8 324.1 400.3 320.6 310.3z"],
    "user-slash": [640, 512, [], "f506", "M95.1 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7c5.625 0 10.73-1.65 15.42-4.029L264.9 304.3C171.3 306.7 95.1 383.1 95.1 477.3zM630.8 469.1l-277.1-217.9c54.69-14.56 95.18-63.95 95.18-123.2C447.1 57.31 390.7 0 319.1 0C250.2 0 193.7 55.93 192.3 125.4l-153.4-120.3C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "user-tag": [640, 512, [], "f507", "M351.8 367.3v-44.1C328.5 310.7 302.4 304 274.7 304H173.3c-95.73 0-173.3 77.65-173.3 173.4C.0005 496.5 15.52 512 34.66 512h378.7c11.86 0 21.82-6.337 28.07-15.43l-61.65-61.57C361.7 416.9 351.8 392.9 351.8 367.3zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.75 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.647 33.15 18.65 45.15l90.31 90.27c12.5 12.5 32.74 12.5 45.24 0l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM447.8 343.9c-13.25 0-24-10.62-24-24c0-13.25 10.75-24 24-24c13.38 0 24 10.75 24 24S461.1 343.9 447.8 343.9z"],
    "user-tie": [448, 512, [], "f508", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"],
    "user-tie-hair": [448, 512, [], "e45f", "M352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 512C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72z"],
    "user-tie-hair-long": [448, 512, [], "e460", "M352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1V128C95.1 57.31 153.3 0 223.1 0C294.7 0 352 57.31 352 128H352zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 512C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72z"],
    "user-unlock": [640, 512, [], "e058", "M592 288h-128V208c0-17.62 14.38-32 32-32s32 14.38 32 32V224H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z"],
    "user-visor": [448, 512, [], "e04c", "M105 174.6C123.8 222.2 169.8 256 224 256s100.2-33.77 118.1-81.39C357.1 171.4 368 159.3 368 144v-64c0-17.62-14.38-32-32-32h-12.85C299.8 19 264.3 0 224 0S148.2 19 124.8 48H112c-17.62 0-32 14.38-32 32v64C80 159.3 90.91 171.4 105 174.6zM128 96h192v32H128V96zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM353.3 463.9C352.9 464 352.4 464 352 464c-1.25 0-2.5-.625-3.25-1.625c-12.25-17.25-17.62-23-19.88-25c-.5 0-.875 .125-1.375 .375c-3.25 1-12.25 5.5-37 24.75c-1.375 1-3 1.125-4.5 .375C284.6 462.1 283.9 460.5 284 459c3.875-36.5 15.88-66.5 35.75-89.5C320.5 368.6 321.6 368 322.9 368c1.25 .125 2.375 .625 3 1.625c18.88 24.62 29 55 30.12 90.25C356 461.8 355 463.3 353.3 463.9z"],
    "user-vneck": [448, 512, [], "e461", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM307.8 306.3C387.4 319.5 448 388.7 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 388.7 60.64 319.5 140.2 306.3L224 432L307.8 306.3z"],
    "user-vneck-hair": [448, 512, [], "e462", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM297.2 320.3C381.4 325.7 448 395.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.7 66.62 325.7 150.8 320.3L224 424L297.2 320.3z"],
    "user-vneck-hair-long": [448, 512, [], "e463", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM295.8 320.3C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.3L224 416L295.8 320.3z"],
    "user-xmark": [640, 512, ["user-times"], "f235", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM577.9 223.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 190.1l-47.03-47.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L544 257.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L577.9 223.1z"],
    "users": [640, 512, [], "f0c0", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192z"],
    "users-between-lines": [640, 512, [], "e591", "M0 24C0 10.75 10.75 0 24 0H616C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H24C10.75 48 0 37.25 0 24zM0 488C0 474.7 10.75 464 24 464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488zM211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160zM32 320C32 284.7 60.65 256 96 256H192C204.2 256 215.7 259.4 225.4 265.4C188.2 280.5 159.8 312.6 149.6 352H64C46.33 352 32 337.7 32 320V320zM415.9 264.6C425.3 259.1 436.3 256 448 256H544C579.3 256 608 284.7 608 320C608 337.7 593.7 352 576 352H493.6C483.2 311.9 453.1 279.4 415.9 264.6zM391.2 290.4C423.3 297.8 449.3 321.3 460.1 352C463.7 362 465.6 372.8 465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 372.8 179.5 362 183.1 352C193.6 322.3 218.3 299.2 249.1 291.1C256.1 289.1 265.1 288 273.6 288H369.6C377 288 384.3 288.8 391.2 290.4zM563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160zM241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176z"],
    "users-gear": [640, 512, ["users-cog"], "f509", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM368 400c0-16.69 3.398-32.46 8.619-47.36C374.3 352.5 372.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h266.1C389.5 485.6 368 445.5 368 400zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 21.47-5.625 41.38-14.65 59.34C462.2 263.4 486.1 256 512 256c42.48 0 80.27 18.74 106.6 48h3.756C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM618.1 366.7c-5.025-16.01-13.59-30.62-24.75-42.71c-1.674-1.861-4.467-2.326-6.699-1.023l-19.17 11.07c-8.096-6.887-17.4-12.28-27.45-15.82V295.1c0-2.514-1.861-4.746-4.281-5.213c-16.56-3.723-33.5-3.629-49.32 0C484.9 291.2 483.1 293.5 483.1 295.1v22.24c-10.05 3.537-19.36 8.932-27.45 15.82l-19.26-11.07c-2.139-1.303-4.932-.8379-6.697 1.023c-11.17 12.1-19.73 26.71-24.66 42.71c-.7441 2.512 .2793 5.117 2.42 6.326l19.17 11.17c-1.859 10.42-1.859 21.21 0 31.64l-19.17 11.17c-2.234 1.209-3.164 3.816-2.42 6.328c4.932 16.01 13.49 30.52 24.66 42.71c1.766 1.863 4.467 2.328 6.697 1.025l19.26-11.07c8.094 6.887 17.4 12.28 27.45 15.82v22.24c0 2.514 1.77 4.746 4.188 5.211c16.66 3.723 33.5 3.629 49.32 0c2.42-.4648 4.281-2.697 4.281-5.211v-22.24c10.05-3.535 19.36-8.932 27.45-15.82l19.17 11.07c2.141 1.303 5.025 .8379 6.699-1.025c11.17-12.1 19.73-26.7 24.75-42.71c.7441-2.512-.2773-5.119-2.512-6.328l-19.17-11.17c1.953-10.42 1.953-21.22 0-31.64l19.17-11.17C618.7 371.8 619.7 369.2 618.1 366.7zM512 432c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C544 417.7 529.7 432 512 432z"],
    "users-line": [640, 512, [], "e592", "M211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96zM32 256C32 220.7 60.65 192 96 192H192C204.2 192 215.7 195.4 225.4 201.4C188.2 216.5 159.8 248.6 149.6 288H64C46.33 288 32 273.7 32 256V256zM415.9 200.6C425.3 195.1 436.3 192 448 192H544C579.3 192 608 220.7 608 256C608 273.7 593.7 288 576 288H493.6C483.2 247.9 453.1 215.4 415.9 200.6zM391.2 226.4C423.3 233.8 449.3 257.3 460.1 288C463.7 298 465.6 308.8 465.6 320C465.6 337.7 451.3 352 433.6 352H209.6C191.9 352 177.6 337.7 177.6 320C177.6 308.8 179.5 298 183.1 288C193.6 258.3 218.3 235.2 249.1 227.1C256.1 225.1 265.1 224 273.6 224H369.6C377 224 384.3 224.8 391.2 226.4zM563.2 96C563.2 131.3 534.5 160 499.2 160C463.9 160 435.2 131.3 435.2 96C435.2 60.65 463.9 32 499.2 32C534.5 32 563.2 60.65 563.2 96zM241.6 112C241.6 67.82 277.4 32 321.6 32C365.8 32 401.6 67.82 401.6 112C401.6 156.2 365.8 192 321.6 192C277.4 192 241.6 156.2 241.6 112zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608z"],
    "users-medical": [640, 512, [], "f830", "M628 380h-48v-48c0-6.627-5.373-12-12-12h-48c-6.627 0-12 5.373-12 12v48h-48c-6.627 0-12 5.373-12 12v48c0 6.627 5.373 12 12 12h48v48c0 6.627 5.373 12 12 12h48c6.627 0 12-5.373 12-12v-48h48c6.627 0 12-5.373 12-12v-48C640 385.4 634.6 380 628 380zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h63.7C494.4 294.3 506.4 288 520 288h48c13.57 0 25.58 6.309 33.65 16h20.73C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM476 484h-16c-24.26 0-44-19.74-44-44v-48c0-10.1 4.199-20.94 10.89-28.66C409.4 356.1 390.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h321.5C476.8 508.2 476 504.2 476 500V484zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160z"],
    "users-rays": [640, 512, [], "e593", "M112.1 79.03C122.3 88.4 122.3 103.6 112.1 112.1C103.6 122.3 88.4 122.3 79.03 112.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L112.1 79.03zM599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97L560.1 112.1C551.6 122.3 536.4 122.3 527 112.1C517.7 103.6 517.7 88.4 527 79.03L599 7.029zM7.029 471L79.03 399C88.4 389.7 103.6 389.7 112.1 399C122.3 408.4 122.3 423.6 112.1 432.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM527 432.1C517.7 423.6 517.7 408.4 527 399C536.4 389.7 551.6 389.7 560.1 399L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L527 432.1zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM265.5 289.5C266.3 289.3 267.1 289.1 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C396.6 293.1 416.9 309.7 426.3 331.1C426.9 333.3 427.4 334.6 427.9 336C430.6 343.5 432 351.6 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.4 312.5 240.6 294.6 265.5 289.5V289.5zM127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176z"],
    "users-rectangle": [640, 512, [], "e594", "M223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM96 309.3C96 279.9 119.9 256 149.3 256H218.7C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3H96zM395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4H395.1zM372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1V288.1zM512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM544 0C597 0 640 42.98 640 96V416C640 469 597 512 544 512H96C42.98 512 0 469 0 416V96C0 42.98 42.98 0 96 0H544zM64 416C64 433.7 78.33 448 96 448H544C561.7 448 576 433.7 576 416V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V416z"],
    "users-slash": [640, 512, [], "e073", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM396.6 285.5C413.4 267.2 423.8 242.9 423.8 216c0-57.44-46.54-104-103.1-104c-35.93 0-67.07 18.53-85.59 46.3L193.1 126.1C202.4 113.1 208 97.24 208 80C208 35.82 172.2 0 128 0C103.8 0 82.52 10.97 67.96 27.95L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7L396.6 285.5zM270.1 352C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c11.62 0 21.54-6.583 25.95-15.96L325.7 352H270.1zM186.1 243.2L121.6 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C202.4 286.8 191.8 266.1 186.1 243.2z"],
    "users-viewfinder": [640, 512, [], "e595", "M48 136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V32C0 14.33 14.33 0 32 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136zM127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192zM480 24C480 10.75 490.7 0 504 0H608C625.7 0 640 14.33 640 32V136C640 149.3 629.3 160 616 160C602.7 160 592 149.3 592 136V48H504C490.7 48 480 37.25 480 24zM48 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H32C14.33 512 0 497.7 0 480V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464zM504 464H592V376C592 362.7 602.7 352 616 352C629.3 352 640 362.7 640 376V480C640 497.7 625.7 512 608 512H504C490.7 512 480 501.3 480 488C480 474.7 490.7 464 504 464z"],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", "M221.6 148.7C224.7 161.3 224.8 174.5 222.1 187.2C219.3 199.1 213.6 211.9 205.6 222.1C191.1 238.6 173 249.1 151.1 254.1V472C151.1 482.6 147.8 492.8 140.3 500.3C132.8 507.8 122.6 512 111.1 512C101.4 512 91.22 507.8 83.71 500.3C76.21 492.8 71.1 482.6 71.1 472V254.1C50.96 250.1 31.96 238.9 18.3 222.4C10.19 212.2 4.529 200.3 1.755 187.5C-1.019 174.7-.8315 161.5 2.303 148.8L32.51 12.45C33.36 8.598 35.61 5.197 38.82 2.9C42.02 .602 45.97-.4297 49.89 .0026C53.82 .4302 57.46 2.303 60.1 5.259C62.74 8.214 64.18 12.04 64.16 16V160H81.53L98.62 11.91C99.02 8.635 100.6 5.621 103.1 3.434C105.5 1.248 108.7 .0401 111.1 .0401C115.3 .0401 118.5 1.248 120.9 3.434C123.4 5.621 124.1 8.635 125.4 11.91L142.5 160H159.1V16C159.1 12.07 161.4 8.268 163.1 5.317C166.6 2.366 170.2 .474 174.1 .0026C178-.4262 181.1 .619 185.2 2.936C188.4 5.253 190.6 8.677 191.5 12.55L221.6 148.7zM448 472C448 482.6 443.8 492.8 436.3 500.3C428.8 507.8 418.6 512 408 512C397.4 512 387.2 507.8 379.7 500.3C372.2 492.8 368 482.6 368 472V352H351.2C342.8 352 334.4 350.3 326.6 347.1C318.9 343.8 311.8 339.1 305.8 333.1C299.9 327.1 295.2 320 291.1 312.2C288.8 304.4 287.2 296 287.2 287.6L287.1 173.8C288 136.9 299.1 100.8 319.8 70.28C340.5 39.71 369.8 16.05 404.1 2.339C408.1 .401 414.2-.3202 419.4 .2391C424.6 .7982 429.6 2.62 433.9 5.546C438.2 8.472 441.8 12.41 444.2 17.03C446.7 21.64 447.1 26.78 448 32V472z"],
    "utensils-slash": [640, 512, [], "e464", "M96.35 172.2L248 291.2V472C248 482.6 243.8 492.8 236.3 500.3C228.8 507.8 218.6 512 208 512C197.4 512 187.2 507.8 179.7 500.3C172.2 492.8 168 482.6 168 472V254.1C147 250.1 128.1 238.8 114.5 222.3C103.1 208.1 96.73 190.5 96.35 172.2zM639.8 485.1C640.6 491.4 638.8 497.8 634.9 502.8C630.1 507.8 625.2 511.1 618.9 511.8C612.6 512.6 606.2 510.8 601.2 506.9L9.184 42.88C4.231 38.93 1.038 33.19 .3029 26.89C-.4322 20.6 1.35 14.28 5.26 9.292C9.171 4.309 14.89 1.074 21.18 .2925C27.46-.4893 33.8 1.245 38.82 5.119L116.6 66.11L128.5 12.42C129.3 8.547 131.6 5.128 134.8 2.829C138 .5309 141.1-.4791 145.9-.001C149.8 .4339 153.5 2.31 156.1 5.265C158.7 8.219 160.2 12.04 160.1 15.1V100.2L181.8 117.2L182.4 117.7L194.6 11.9C195 8.632 196.6 5.617 199.1 3.431C201.5 1.244 204.7 .0365 208 .0365C211.3 .0365 214.5 1.244 216.9 3.431C219.4 5.617 220.1 8.632 221.4 11.9L238.5 159.1H256V15.1C255.1 12.07 257.4 8.264 259.1 5.313C262.6 2.362 266.2 .4704 270.1-.001C274-.4823 278 .5424 281.2 2.868C284.4 5.193 286.7 8.648 287.5 12.54L317.7 148.8C320.3 160 320.7 171.6 318.7 182.9C316.7 194.3 312.5 205.1 306.3 214.7L383.3 275.2L384 173.8C384 136.9 395.1 100.8 415.8 70.27C436.5 39.7 465.9 16.04 500.1 2.335C504.1 .3971 510.2-.3242 515.4 .2352C520.6 .7942 525.6 2.616 529.9 5.542C534.3 8.468 537.8 12.41 540.3 17.02C542.7 21.63 543.1 26.78 544 31.1V401.1L630.8 469.1C635.8 473 639.1 478.8 639.8 485.1L639.8 485.1z"],
    "utility-pole": [512, 512, [], "e2c3", "M488 32c-13.25 0-24 10.75-24 23.1V64h-32V55.1C432 42.75 421.3 32 408 32S384 42.75 384 55.1V64h-96V16C288 7.163 280.8 0 272 0h-32C231.2 0 224 7.163 224 16V64H128V55.1C128 42.75 117.3 32 104 32S80 42.75 80 55.1V64h-32V55.1C48 42.75 37.25 32 24 32S0 42.75 0 55.1V96c0 17.67 14.33 32 32 32h51.16L224 221.9V512h64V221.9L428.8 128H480c17.67 0 32-14.33 32-32V55.1C512 42.75 501.3 32 488 32zM140.8 128H224v55.44L140.8 128zM288 128h83.16L288 183.4V128z"],
    "utility-pole-double": [512, 512, [], "e2c4", "M488 32c-13.25 0-24 10.75-24 23.1V64h-32V55.1C432 42.75 421.3 32 408 32S384 42.75 384 55.1V64h-96V16C288 7.163 280.8 0 272 0h-32C231.2 0 224 7.163 224 16V64H128V55.1C128 42.75 117.3 32 104 32S80 42.75 80 55.1V64h-32V55.1C48 42.75 37.25 32 24 32S0 42.75 0 55.1V96c0 17.67 14.33 32 32 32h51.16L224 221.9V256H128V247.1C128 234.7 117.3 224 104 224S80 234.7 80 247.1V256h-32V247.1C48 234.7 37.25 224 24 224S0 234.7 0 247.1V288c0 17.67 14.33 32 32 32h51.16L224 413.9V512h64v-98.1L428.8 320H480c17.67 0 32-14.33 32-32V247.1C512 234.7 501.3 224 488 224S464 234.7 464 247.1V256h-32V247.1C432 234.7 421.3 224 408 224S384 234.7 384 247.1V256h-96V221.9L428.8 128H480c17.67 0 32-14.33 32-32V55.1C512 42.75 501.3 32 488 32zM140.8 320H224v55.44L140.8 320zM371.2 320L288 375.4V320H371.2zM140.8 128H224v55.44L140.8 128zM288 128h83.16L288 183.4V128z"],
    "v": [384, 512, [118], "56", "M381.5 76.33l-160 384C216.6 472.2 204.9 480 192 480s-24.56-7.757-29.53-19.68l-160-384c-6.797-16.31 .9062-35.05 17.22-41.84c16.38-6.859 35.08 .9219 41.84 17.22L192 364.8l130.5-313.1c6.766-16.3 25.47-24.09 41.84-17.22C380.6 41.28 388.3 60.01 381.5 76.33z"],
    "vacuum": [640, 512, [], "e04d", "M143.3 256l-41.13 192H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h160C184.9 512 192 504.9 192 496v-32C192 455.1 184.9 448 176 448H167.6l41.14-192H143.3zM640 128c-.125-70.63-57.38-127.9-128-128H301.6c-60 0-112.6 42.47-125.1 101.2L150.1 224h65.5L239 114.6C245.5 85.11 271.5 64.13 301.6 64H512c32.63 .125 59.88 24.75 63.38 57.25c3.5 32.38-18.01 62.25-49.89 69.25C489.2 150.6 437.9 128 384 128c-17.62 0-32 14.38-32 32v165.7c-7.68 2.73-15 6.227-21.64 10.72c-10.21 6.906-19.04 15.73-25.94 25.94C294.1 377.7 288 396.1 288 416c0 52.95 43.05 96 96 96h128c35.38 0 64-28.62 64-64v-128c0-25.62-5.145-51-15.02-74.63C607.1 226.1 640 181.1 640 128zM384 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S401.6 448 384 448z"],
    "vacuum-robot": [512, 512, [], "e04e", "M437 74.99C337-24.1 174.1-25 74.99 74.99C-24.1 174.1-24.99 337 74.99 437c99.99 99.99 262 99.99 362 .0027C536.1 337 536.1 174.1 437 74.99zM203.3 395.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.563-11.31-4.688l-64-64c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.63 0l64 64C209.6 378.9 209.6 389.1 203.3 395.3zM283.3 379.3C280.2 382.4 276.1 383.1 272 383.1s-8.188-1.563-11.31-4.688L132.7 251.3c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.62 0l128 128C289.6 362.9 289.6 373.1 283.3 379.3zM299.3 299.3C296.2 302.4 292.1 303.1 288 303.1s-8.188-1.562-11.31-4.687l-64-64C206.4 229.1 206.4 218.9 212.7 212.7s16.38-6.25 22.63 0l64 64C305.6 282.9 305.6 293.1 299.3 299.3zM379.3 379.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.563-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.63c27.47-27.47 42.84-63.31 43.31-100.9c.4687-38.13-14.44-74.31-41.98-101.8c-27.52-27.53-62.72-41.97-101.8-41.97C218.6 112.5 182.8 127.8 155.3 155.3c-6.25 6.25-16.38 6.25-22.63 0s-6.25-16.38 0-22.63c33.41-33.41 77.13-52.13 123.1-52.69c45.98-1.094 91.14 17.66 124.8 51.34c33.69 33.69 51.92 78.03 51.36 124.8C431.4 302.2 412.7 345.9 379.3 379.3z"],
    "value-absolute": [512, 512, [], "f6a6", "M374.6 137.4c-12.5-12.5-32.75-12.5-45.25 0L256 210.8L182.6 137.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l73.38 73.37l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25C143.6 380.9 151.8 384 160 384s16.38-3.125 22.62-9.375L256 301.3l73.38 73.38C335.6 380.9 343.8 384 352 384s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-73.38-73.38l73.38-73.37C387.1 170.1 387.1 149.9 374.6 137.4zM32 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C64 46.33 49.67 32.01 32 32.01zM480 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C512 46.33 497.7 32.01 480 32.01z"],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", "M592 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H48C21.49 384 0 362.5 0 336V104C0 64.24 32.24 32 72 32H465.1C483.1 32 501.9 40.34 514.1 54.78L624.1 186.5C634.7 197.1 640 212.6 640 227.7V336C640 362.5 618.5 384 592 384zM64 192H160V96H72C67.58 96 64 99.58 64 104V192zM545.1 192L465.1 96H384V192H545.1zM320 192V96H224V192H320zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432z"],
    "vault": [576, 512, [], "e2c5", "M144 240C144 195.8 179.8 160 224 160C268.2 160 304 195.8 304 240C304 284.2 268.2 320 224 320C179.8 320 144 284.2 144 240zM512 0C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480H496L480 512H416L400 480H176L160 512H96L80 480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H512zM224 400C312.4 400 384 328.4 384 240C384 151.6 312.4 80 224 80C135.6 80 64 151.6 64 240C64 328.4 135.6 400 224 400zM480 221.3C498.6 214.7 512 196.9 512 176C512 149.5 490.5 128 464 128C437.5 128 416 149.5 416 176C416 196.9 429.4 214.7 448 221.3V336C448 344.8 455.2 352 464 352C472.8 352 480 344.8 480 336V221.3z"],
    "vector-circle": [512, 512, [], "e2c6", "M192 32C192 14.33 206.3 0 224 0H288C305.7 0 320 14.33 320 32V41.28C392.2 62.78 449.2 119.8 470.7 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H470.7C449.2 392.2 392.2 449.2 320 470.7V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V470.7C119.8 449.2 62.78 392.2 41.28 320H32C14.33 320 0 305.7 0 288V224C0 206.3 14.33 192 32 192H41.28C62.78 119.8 119.8 62.78 192 41.28V32zM317.6 108.3C312.7 119.9 301.3 128 288 128H224C210.7 128 199.3 119.9 194.4 108.3C155.6 124.5 124.5 155.6 108.3 194.4C119.9 199.3 128 210.7 128 224V288C128 301.3 119.9 312.7 108.3 317.6C124.5 356.4 155.6 387.5 194.4 403.7C199.3 392.1 210.7 384 224 384H288C301.3 384 312.7 392.1 317.6 403.7C356.4 387.5 387.5 356.4 403.7 317.6C392.1 312.7 384 301.3 384 288V224C384 210.7 392.1 199.3 403.7 194.4C387.5 155.6 356.4 124.5 317.6 108.3zM240 80H272V48H240V80zM272 432H240V464H272V432zM432 272H464V240H432V272zM80 240H48V272H80V240z"],
    "vector-polygon": [448, 512, [], "e2c7", "M0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64H320C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H384.3L351.4 217.6C351.8 219.7 352 221.8 352 224V288C352 290.2 351.8 292.3 351.4 294.4L384.3 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448H128C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352V160C14.33 160 0 145.7 0 128V64zM322.2 372.3L292.3 320H256C238.3 320 224 305.7 224 288V224C224 206.3 238.3 192 256 192H292.3L322.2 139.7C320.8 136.1 320 132.1 320 128H128C128 145.7 113.7 160 96 160V352C113.7 352 128 366.3 128 384H320C320 379.9 320.8 375.9 322.2 372.3zM48 112H80V80H48V112zM368 112H400V80H368V112zM80 400H48V432H80V400zM368 432H400V400H368V432zM304 240H272V272H304V240z"],
    "vector-square": [448, 512, [], "f5cb", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160V352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448H128C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352V160C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64H320C320 46.33 334.3 32 352 32H416zM368 80V112H400V80H368zM96 160V352C113.7 352 128 366.3 128 384H320C320 366.3 334.3 352 352 352V160C334.3 160 320 145.7 320 128H128C128 145.7 113.7 160 96 160zM48 400V432H80V400H48zM400 432V400H368V432H400zM80 112V80H48V112H80z"],
    "vent-damper": [640, 512, [], "e465", "M176 272h288C472.8 272 480 264.8 480 256s-7.168-16-16-16h-288C167.2 240 160 247.2 160 256S167.2 272 176 272zM176 208h288C472.8 208 480 200.8 480 192s-7.168-16-16-16h-288C167.2 176 160 183.2 160 192S167.2 208 176 208zM608 160h-32V128c0-35.36-28.64-64-64-64H128C92.64 64 64 92.64 64 128v32H32C14.34 160 0 174.3 0 192v128c0 17.66 14.34 32 32 32h32v32c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64v-32h32c17.66 0 32-14.34 32-32V192C640 174.3 625.7 160 608 160zM512 384H128V128h384V384zM176 336h288c8.832 0 16-7.168 16-16s-7.168-16-16-16h-288C167.2 304 160 311.2 160 320S167.2 336 176 336z"],
    "venus": [384, 512, [9792], "f221", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"],
    "venus-double": [640, 512, [9890], "f226", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272zM624 176C624 78.8 545.2 0 448 0c-39.02 0-74.95 12.85-104.1 34.34c18.38 19.7 32.94 42.91 42.62 68.58C403.2 88.83 424.5 80 448 80c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96c-23.57 0-44.91-8.869-61.63-23.02c-9.572 25.45-23.95 48.54-42.23 68.23C365.1 332.7 389.3 344 416 348.1V384h-48c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H416v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V448h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H480v-35.05C561.9 333.9 624 262.3 624 176z"],
    "venus-mars": [640, 512, [9892], "f228", "M256 384H208v-35.05C289.9 333.9 352 262.3 352 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H96c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48H256c8.838 0 16-7.164 16-16v-32C272 391.2 264.8 384 256 384zM176 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C272 228.9 228.9 272 176 272zM624 0h-112.4c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.55 24.55c-29.97-20.66-64.81-31.05-99.74-31.05c-15.18 0-30.42 2.225-45.19 6.132c13.55 22.8 22.82 48.36 26.82 75.67c6.088-1.184 12.27-1.785 18.45-1.785c24.58 0 49.17 9.357 67.88 28.07c37.43 37.43 37.43 98.33 0 135.8c-18.71 18.71-43.3 28.07-67.88 28.07c-23.55 0-46.96-8.832-65.35-26.01c-15.92 18.84-34.93 35.1-56.75 47.35c11.45 5.898 20.17 16.3 23.97 28.82C331.5 406 365.7 416 400 416c45.04 0 90.08-17.18 124.5-51.55c60.99-60.99 67.73-155.6 20.47-224.1l24.55-24.55l29.56 29.56c4.889 4.889 10.9 7.078 16.8 7.078C628.2 152.4 640 142.8 640 128.4V16C640 7.164 632.8 0 624 0z"],
    "vest": [448, 512, [], "e085", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32c-4.75 0-9.375 1.406-13.31 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0H96C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V288c0-3.439 .5547-6.855 1.643-10.12l13.49-40.48L150.2 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L224 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM131.3 371.3l-48 48C80.19 422.4 76.09 424 72 424s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l48-48c6.25-6.25 16.38-6.25 22.62 0S137.6 365.1 131.3 371.3zM387.3 419.3C384.2 422.4 380.1 424 376 424s-8.188-1.562-11.31-4.688l-48-48c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l48 48C393.6 402.9 393.6 413.1 387.3 419.3z"],
    "vest-patches": [448, 512, [], "e086", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32c-4.75 0-9.375 1.406-13.31 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0H96C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V288c0-3.439 .5547-6.855 1.643-10.12l13.49-40.48L150.2 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L224 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM63.5 272.5c-4.656-4.688-4.656-12.31 0-17c4.688-4.688 12.31-4.688 17 0L96 271l15.5-15.5c4.688-4.688 12.31-4.688 17 0c4.656 4.688 4.656 12.31 0 17L113 288l15.5 15.5c4.656 4.688 4.656 12.31 0 17C126.2 322.8 123.1 324 120 324s-6.156-1.156-8.5-3.5L96 305l-15.5 15.5C78.16 322.8 75.06 324 72 324s-6.156-1.156-8.5-3.5c-4.656-4.688-4.656-12.31 0-17L79 288L63.5 272.5zM96 456c-22.09 0-40-17.91-40-40S73.91 376 96 376S136 393.9 136 416S118.1 456 96 456zM359.2 335.8L310.7 336C306.1 336 303.1 333 304 329.3l.2158-48.53c.1445-14.4 12.53-25.98 27.21-24.67c12.79 1.162 22.13 12.62 22.06 25.42l-.0557 5.076l5.069-.0566c12.83-.0352 24.24 9.275 25.4 22.08C385.2 323.3 373.7 335.7 359.2 335.8z"],
    "vial": [512, 512, [129514], "f492", "M502.6 169.4l-160-160C336.4 3.125 328.2 0 320 0s-16.38 3.125-22.62 9.375c-12.5 12.5-12.5 32.75 0 45.25l6.975 6.977l-271.4 271c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-9.1 72.88-30.12l275.2-274.6l7.365 7.367C463.6 220.9 471.8 224 480 224s16.38-3.125 22.62-9.375C515.1 202.1 515.1 181.9 502.6 169.4zM310.6 256H200.2l149.3-149.1l55.18 55.12L310.6 256z"],
    "vial-circle-check": [512, 512, [], "e596", "M0 64C0 46.33 14.33 32 32 32H224C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96V266.8C203.8 295.4 192 330.3 192 368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V96C14.33 96 0 81.67 0 64V64zM96 192H160V96H96V192zM512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368zM412.7 324.7L352 385.4L323.3 356.7C317.1 350.4 306.9 350.4 300.7 356.7C294.4 362.9 294.4 373.1 300.7 379.3L340.7 419.3C346.9 425.6 357.1 425.6 363.3 419.3L435.3 347.3C441.6 341.1 441.6 330.9 435.3 324.7C429.1 318.4 418.9 318.4 412.7 324.7H412.7z"],
    "vial-virus": [576, 512, [], "e597", "M256 32C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96V207.1C252.9 209.1 249.9 211.5 247.2 214.2C225.3 236.1 225.3 271.6 247.2 293.4C247.4 293.6 247.4 293.7 247.5 293.8L247.5 293.8C247.5 293.9 247.5 294.1 247.4 294.4C247.3 294.6 247.1 294.8 247.1 294.8L247 294.9C246.1 294.9 246.8 294.9 246.6 294.9C215.7 294.9 190.6 319.1 190.6 350.9C190.6 381.8 215.7 406.9 246.6 406.9C246.8 406.9 246.1 406.9 247 406.9L247.1 406.9C247.1 406.1 247.3 407.1 247.4 407.4C247.5 407.7 247.5 407.9 247.5 407.1L247.5 408C247.4 408.1 247.4 408.2 247.2 408.3C236 419.5 230.6 434.2 230.8 448.8C213.3 467.1 188 480 160 480C106.1 480 64 437 64 384V96C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H256zM192 192V96H128V192H192zM383.8 189.7C397.1 189.7 407.8 200.4 407.8 213.7C407.8 242.9 443.2 257.6 463.9 236.9C473.3 227.5 488.5 227.5 497.8 236.9C507.2 246.2 507.2 261.4 497.8 270.8C477.2 291.5 491.8 326.9 521.1 326.9C534.3 326.9 545.1 337.6 545.1 350.9C545.1 364.1 534.3 374.9 521.1 374.9C491.8 374.9 477.2 410.3 497.8 430.9C507.2 440.3 507.2 455.5 497.8 464.9C488.5 474.3 473.3 474.3 463.9 464.9C443.2 444.2 407.8 458.9 407.8 488.1C407.8 501.4 397.1 512.1 383.8 512.1C370.6 512.1 359.8 501.4 359.8 488.1C359.8 458.9 324.5 444.2 303.8 464.9C294.4 474.3 279.2 474.3 269.8 464.9C260.5 455.5 260.5 440.3 269.8 430.9C290.5 410.3 275.9 374.9 246.6 374.9C233.4 374.9 222.6 364.1 222.6 350.9C222.6 337.6 233.4 326.9 246.6 326.9C275.9 326.9 290.5 291.5 269.8 270.8C260.5 261.4 260.5 246.2 269.8 236.9C279.2 227.5 294.4 227.5 303.8 236.9C324.5 257.6 359.8 242.9 359.8 213.7C359.8 200.4 370.6 189.7 383.8 189.7H383.8zM352 352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288C334.3 288 320 302.3 320 320C320 337.7 334.3 352 352 352zM416 360C402.7 360 392 370.7 392 384C392 397.3 402.7 408 416 408C429.3 408 440 397.3 440 384C440 370.7 429.3 360 416 360z"],
    "vials": [512, 512, [], "f493", "M200 32h-176C10.75 32 0 42.74 0 56C0 69.25 10.75 80 24 80H32v320C32 444.1 67.88 480 112 480S192 444.1 192 400v-320h8C213.3 80 224 69.25 224 56C224 42.74 213.3 32 200 32zM144 256h-64V80h64V256zM488 32h-176C298.7 32 288 42.74 288 56c0 13.25 10.75 24 24 24H320v320c0 44.13 35.88 80 80 80s80-35.88 80-80v-320h8C501.3 80 512 69.25 512 56C512 42.74 501.3 32 488 32zM432 256h-64V80h64V256z"],
    "video": [576, 512, ["video-camera"], "f03d", "M384 112v288c0 26.51-21.49 48-48 48h-288c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48h288C362.5 64 384 85.49 384 112zM576 127.5v256.9c0 25.5-29.17 40.39-50.39 25.79L416 334.7V177.3l109.6-75.56C546.9 87.13 576 102.1 576 127.5z"],
    "video-arrow-down-left": [576, 512, [], "e2c8", "M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM296.1 184.1l-135 135H216c13.25 0 24 10.75 24 23.1s-10.75 24-24 24h-112c-13.25 0-24-10.75-24-24v-112c0-13.25 10.75-24 24-24S128 218.8 128 232v54.06l135-135C267.7 146.4 273.8 144 280 144s12.28 2.344 16.97 7.031C306.3 160.4 306.3 175.6 296.1 184.1zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"],
    "video-arrow-up-right": [576, 512, [], "e2c9", "M525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8zM336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM304 280c0 13.25-10.75 23.1-24 23.1S256 293.3 256 280V225.1l-135 135C116.3 365.7 110.2 368 104 368s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l135-135H168c-13.25 0-24-10.75-24-24s10.75-23.1 24-23.1h112c13.25 0 24 10.75 24 24V280z"],
    "video-plus": [576, 512, [], "f4e1", "M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM272 279.1H215.1v56C215.1 349.3 205.3 360 192 360c-13.27 0-23.1-10.74-23.1-23.1V279.1H111.1C98.73 279.1 88 269.3 88 256c0-13.26 10.74-23.1 23.1-23.1H168V175.1C168 162.7 178.7 152 192 152s23.1 10.74 23.1 23.1V232H272C285.3 232 296 242.7 296 256S285.3 279.1 272 279.1zM525.6 101.7L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.13 525.6 101.7z"],
    "video-slash": [640, 512, [], "f4e2", "M32 399.1c0 26.51 21.49 47.1 47.1 47.1h287.1c19.57 0 36.34-11.75 43.81-28.56L32 121.8L32 399.1zM630.8 469.1l-89.21-69.92l15.99 11.02c21.22 14.59 50.41-.2971 50.41-25.8V127.5c0-25.41-29.07-40.37-50.39-25.76l-109.6 75.56l.0001 148.5l-32-25.08l.0001-188.7c0-26.51-21.49-47.1-47.1-47.1H113.9L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "vihara": [640, 512, [], "f6a7", "M280.1 22.03L305.8 4.661C307.1 3.715 308.4 2.908 309.9 2.246C313.1 .7309 316.6-.0029 319.1 0C323.4-.0029 326.9 .7309 330.1 2.246C331.6 2.909 332.9 3.716 334.2 4.661L359 22.03C392.1 45.8 430.8 63.52 470.8 74.42L493.8 80.71C495.6 81.17 497.4 81.83 499 82.68C502.2 84.33 504.1 86.66 507.1 89.43C510.8 94.38 512.7 100.7 511.8 107.2C511.4 109.1 510.6 112.6 509.3 115C507.7 118.2 505.3 120.1 502.6 123.1C498.3 126.3 492.1 128.1 487.5 128H480V184.1L491.7 193.3C512.8 210 536.6 222.9 562.2 231.4L591.1 241.1C592.7 241.6 594.2 242.2 595.7 243C598.8 244.8 601.4 247.2 603.5 249.1C605.5 252.8 606.9 256 607.6 259.6C608.1 262.2 608.2 265 607.7 267.8C607.2 270.6 606.3 273.3 604.1 275.7C603.2 278.8 600.8 281.5 598 283.5C595.2 285.5 591.1 286.9 588.4 287.6C586.8 287.9 585.1 288 583.4 288H544V353.9C564.5 376.7 591.4 393 621.4 400.6C632 403 640 412.6 640 424C640 437.3 629.3 448 616 448H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V448H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V448H24C10.75 448 0 437.3 0 424C0 412.6 7.962 403 18.63 400.6C48.61 393 75.51 376.7 96 353.9V288H56.55C54.87 288 53.2 287.9 51.57 287.6C48.03 286.9 44.77 285.5 41.96 283.5C39.16 281.5 36.77 278.8 35.03 275.7C33.69 273.3 32.76 270.6 32.31 267.8C31.85 265 31.9 262.2 32.41 259.6C33.07 256 34.51 252.8 36.53 249.1C38.55 247.2 41.19 244.8 44.34 243C45.78 242.2 47.32 241.6 48.94 241.1L77.81 231.4C103.4 222.9 127.2 210 148.3 193.3L160 184.1V128H152.5C147 128.1 141.7 126.3 137.4 123.1C134.7 120.1 132.3 118.2 130.7 115C129.4 112.6 128.6 109.1 128.2 107.2C127.3 100.7 129.2 94.38 132.9 89.43C135 86.66 137.8 84.33 140.1 82.68C142.6 81.83 144.4 81.17 146.2 80.71L169.2 74.42C209.2 63.52 247 45.8 280.1 22.03H280.1zM223.1 128V192H416V128H223.1zM159.1 352H480V288H159.1V352z"],
    "violin": [640, 512, [127931], "f8ed", "M471.1 96.01c13.25 0 24-10.75 24-24c0-13.25-10.75-24-24-24c-13.25 0-24 10.75-24 24C447.1 85.26 458.7 96.01 471.1 96.01zM519.1 48.01c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S506.7 48.01 519.1 48.01zM237.6 415.9l-13.45-13.47c-5.375-5.375-13.82-6.25-20.2-2l-68.83 45.83c-4 2.75-6.642 6.996-7.017 11.75c-.5 4.75 1.118 9.503 4.62 12.88l36.39 36.38c3.377 3.5 8.125 5.114 12.87 4.614c4.75-.375 9.001-3.011 11.75-7.011l45.86-68.81C243.8 429.7 242.9 421.3 237.6 415.9zM615.1 96.01c-13.25 0-24 10.75-24 24s10.75 24 24 24C629.2 144 640 133.3 640 120S629.2 96.01 615.1 96.01zM457.8 227.5l177.5-177.5c6.25-6.254 6.266-16.43 .0161-22.68l-22.59-22.59c-6.252-6.25-16.42-6.251-22.67-.0007l-177.5 177.5c-12.13-8.75-25.54-15.78-40.16-19.15c-32.88-7.754-65.77-.9639-88.65 21.04c2.75 7.879 4.098 16.03 4.223 24.28C288.1 237.8 272.1 264.6 246.3 278.6c-25.75 14-57.25 12.9-81.75-3.099c-2.5 1.875-4.834 3.879-7.209 6.004c-31.25 31.13-36.55 79.22-19.42 124.5l48.25-32.26c19-12.62 44.38-10.12 60.63 6.004l13.38 13.5c16.13 16.25 18.63 41.5 6 60.5l-32.13 48.25c45.13 17.13 93.28 11.74 124.4-19.39c2.25-2.375 4.244-4.869 6.244-7.494c-18.63-28.25-17.4-65.24 3.106-92.12c20.63-26.88 55.93-37.55 88.06-26.93c21.88-22.88 28.64-55.68 21.01-88.44C473.5 253 466.5 239.6 457.8 227.5zM567.1 144c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24C591.1 154.8 581.2 144 567.1 144zM345 7.031c-9.376-9.375-24.56-9.375-33.94 0L7.032 311c-9.376 9.375-9.376 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031l304-304C354.4 31.59 354.4 16.41 345 7.031z"],
    "virus": [512, 512, [], "e074", "M288 43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55zM224 176C197.5 176 176 197.5 176 224C176 250.5 197.5 272 224 272C250.5 272 272 250.5 272 224C272 197.5 250.5 176 224 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z"],
    "virus-covid": [512, 512, [], "e4a8", "M192 24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280V81.62C310.7 85.8 338.8 97.88 362.3 115.7L386.1 91.95L374.8 80.64C365.4 71.26 365.4 56.07 374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2C455.9 146.6 440.7 146.6 431.4 137.2L420 125.9L396.3 149.7C414.1 173.2 426.2 201.3 430.4 232H464V216C464 202.7 474.7 192 488 192C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320C474.7 320 464 309.3 464 296V280H430.4C426.2 310.7 414.1 338.8 396.3 362.3L420 386.1L431.4 374.8C440.7 365.4 455.9 365.4 465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3C365.4 455.9 365.4 440.7 374.8 431.4L386.1 420L362.3 396.3C338.8 414.1 310.7 426.2 280 430.4V464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488C192 474.7 202.7 464 216 464H232V430.4C201.3 426.2 173.2 414.1 149.7 396.3L125.9 420.1L137.2 431.4C146.6 440.7 146.6 455.9 137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8C56.07 365.4 71.27 365.4 80.64 374.8L91.95 386.1L115.7 362.3C97.88 338.8 85.8 310.7 81.62 280H48V296C48 309.3 37.25 320 24 320C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192C37.25 192 48 202.7 48 216V232H81.62C85.8 201.3 97.88 173.2 115.7 149.7L91.95 125.9L80.64 137.2C71.26 146.6 56.07 146.6 46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.33 127.8 37.33 137.2 46.7C146.6 56.07 146.6 71.27 137.2 80.64L125.9 91.95L149.7 115.7C173.2 97.88 201.3 85.8 232 81.62V48H216C202.7 48 192 37.26 192 24V24zM192 176C165.5 176 144 197.5 144 224C144 250.5 165.5 272 192 272C218.5 272 240 250.5 240 224C240 197.5 218.5 176 192 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z"],
    "virus-covid-slash": [640, 512, [], "e4a9", "M134.1 79.83L167.3 46.7C176.6 37.33 191.8 37.33 201.2 46.7C210.6 56.07 210.6 71.27 201.2 80.64L189.9 91.95L213.7 115.7C237.2 97.88 265.3 85.8 295.1 81.62V48H279.1C266.7 48 255.1 37.26 255.1 24C255.1 10.75 266.7 .0003 279.1 .0003H360C373.3 .0003 384 10.75 384 24C384 37.26 373.3 48 360 48H344V81.62C374.7 85.8 402.8 97.88 426.3 115.7L450.1 91.95L438.8 80.64C429.4 71.26 429.4 56.07 438.8 46.7C448.2 37.32 463.4 37.32 472.7 46.7L529.3 103.3C538.7 112.6 538.7 127.8 529.3 137.2C519.9 146.6 504.7 146.6 495.4 137.2L484 125.9L460.3 149.7C478.1 173.2 490.2 201.3 494.4 232H528V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V280H494.4C491.2 303.3 483.4 325.2 472.1 344.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.1 79.83zM149.2 213.5L401.3 412.2C383.7 421.3 364.4 427.6 344 430.4V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H279.1C266.7 512 255.1 501.3 255.1 488C255.1 474.7 266.7 464 279.1 464H295.1V430.4C265.3 426.2 237.2 414.1 213.7 396.3L189.9 420.1L201.2 431.4C210.6 440.7 210.6 455.9 201.2 465.3C191.8 474.7 176.6 474.7 167.3 465.3L110.7 408.7C101.3 399.4 101.3 384.2 110.7 374.8C120.1 365.4 135.3 365.4 144.6 374.8L155.1 386.1L179.7 362.3C161.9 338.8 149.8 310.7 145.6 280H111.1V296C111.1 309.3 101.3 320 87.1 320C74.74 320 63.1 309.3 63.1 296V216C63.1 202.7 74.74 192 87.1 192C101.3 192 111.1 202.7 111.1 216V232H145.6C146.5 225.7 147.7 219.6 149.2 213.5L149.2 213.5z"],
    "virus-slash": [640, 512, [], "e075", "M134.7 80.27C135.9 78.4 137.3 76.62 138.1 74.98C151.5 62.48 171.7 62.48 184.2 74.98L192.4 83.15C227.7 118.4 287.1 93.44 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.4 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C497.2 288 474.4 318.1 476.5 348.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.7 80.27zM264.6 182.1L334.3 236.7C335.4 232.7 336 228.4 336 224C336 197.5 314.5 176 288 176C279.5 176 271.5 178.2 264.6 182.1V182.1zM107.5 224C122.5 224 135.2 218.6 144.7 210L401.1 412.7C375.6 415.7 352 437.2 352 468.5V480C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480V468.5C287.1 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 288 107.5 288H95.1C78.33 288 63.1 273.7 63.1 256C63.1 238.3 78.33 224 95.1 224H107.5z"],
    "viruses": [640, 512, [], "e076", "M346.5 213.3h16.16C374.5 213.3 384 203.8 384 192c0-11.79-9.541-21.33-21.33-21.33h-16.16c-38.01 0-57.05-45.96-30.17-72.84l11.44-11.44c8.332-8.332 8.331-21.83-.0012-30.17c-8.334-8.334-21.83-8.332-30.17 .002L286.2 67.66C259.3 94.54 213.3 75.51 213.3 37.49V21.33C213.3 9.542 203.8 0 192 0S170.7 9.542 170.7 21.33v16.16c0 38.01-45.96 57.05-72.84 30.17L86.4 56.23c-8.334-8.334-21.83-8.336-30.17-.002c-8.332 8.334-8.333 21.84-.0012 30.17L67.66 97.83c26.88 26.88 7.842 72.84-30.17 72.84H21.33C9.541 170.7 0 180.2 0 192c0 11.79 9.541 21.33 21.33 21.33h16.16c38.01 0 57.05 45.96 30.17 72.84L56.23 297.6c-8.332 8.334-8.328 21.84 .0043 30.17c4.168 4.168 9.621 6.248 15.08 6.248s10.92-2.082 15.08-6.25L97.83 316.3c26.88-26.88 72.84-7.842 72.84 30.17v16.16C170.7 374.5 180.2 384 192 384s21.33-9.543 21.33-21.33v-16.16c0-38.01 45.96-57.05 72.84-30.17l11.43 11.43c4.168 4.168 9.625 6.25 15.08 6.25s10.91-2.08 15.08-6.248c8.332-8.332 8.333-21.83 .0012-30.17L316.3 286.2C289.5 259.3 308.5 213.3 346.5 213.3zM160 192C142.3 192 128 177.7 128 160c0-17.67 14.33-32 32-32s32 14.33 32 32C192 177.7 177.7 192 160 192zM240 224C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192S256 199.2 256 208C256 216.8 248.8 224 240 224zM624 352h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.253-22.62-.0031l-8.576 8.576C546.5 294.9 512 280.6 512 252.1V240C512 231.2 504.8 224 496 224S480 231.2 480 240v12.12c0 28.51-34.47 42.79-54.63 22.63l-8.576-8.576c-6.25-6.25-16.37-6.253-22.62-.0031s-6.253 16.38-.0031 22.63l8.576 8.576C422.9 317.5 408.6 352 380.1 352H368c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.253 16.37-.0031 22.62c3.125 3.125 7.222 4.691 11.32 4.691s8.188-1.562 11.31-4.688l8.576-8.576C445.5 441.1 480 455.4 480 483.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.184-1.559 11.31-4.684c6.25-6.25 6.253-16.38 .0031-22.63l-8.576-8.576C569.1 418.5 583.4 384 611.9 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM480 384c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C512 369.7 497.7 384 480 384z"],
    "voicemail": [640, 512, [], "f897", "M495.1 96c-53.13 0-102 29.25-127 76.13c-25 46.88-22.25 103.8 7.25 147.9H263.7c36.63-54.88 31.25-127.8-13-176.8c-44.38-48.87-116.4-61.37-174.6-30.25s-87.88 97.88-71.75 162c16 64 73.63 108.1 139.6 108.1h352C575.5 384 640 319.5 640 240S575.5 96 495.1 96zM63.99 240c0-44.12 35.88-80 80-80s80 35.88 80 80s-35.88 79.1-80 79.1S63.99 284.1 63.99 240zM495.1 320c-44.13 0-80-35.88-80-79.1s35.88-80 80-80s80 35.88 80 80S540.1 320 495.1 320z"],
    "volcano": [512, 512, [127755], "f770", "M304.4 224H207.6C197.7 224 188.5 228.5 182.4 236.3l-55.63 71l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l-55-70.25C323.5 228.5 314.3 224 304.4 224zM159.1 144c12.88 0 24.75-3.875 34.75-10.38L223.1 192h64l29.25-58.38C327.3 140.1 339.1 144 352 144c35.25 0 64-28.75 64-64s-28.75-64-64-64c-15.75 0-30 5.875-41.25 15.38C299.6 12.75 279.4 0 255.1 0C232.6 0 212.4 12.75 201.2 31.38C189.1 21.88 175.7 16 159.1 16c-35.25 0-64 28.75-64 64S124.7 144 159.1 144zM505.5 460.8l-100.8-128.6l-41 47.63C352.8 392.6 336.8 400 320 400s-32.75-7.25-43.75-20.25L244.6 343C239.7 337.3 232.6 334 225.1 334H224.7c-7.751 .25-14.88 3.75-19.63 9.75c-22.13 27.5-68.13 27.5-90.13 0l-8.376-10.62l-100.1 127.6C-9.397 481.9 5.727 512 32.1 512h447.9C506.3 512 521.4 481.9 505.5 460.8z"],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", "M200.3 106C185.4 80.24 165.2 53.9 137.4 29.26C55.75 72.05 0 157.4 0 256c0 21.33 2.898 41.94 7.814 61.75C53.59 182.1 155.1 124.9 200.3 106zM381.7 281.1c1.24-9.223 2.414-22.08 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6C267.1 .4896 261.6 0 256 0C225.5 0 196.5 5.591 169.4 15.36c93.83 90.15 102.6 198.5 102.8 231.7C287.8 255.9 327.3 275.1 381.7 281.1zM240.1 246.5C239.1 228.5 236.9 184.7 214.9 134.6C173.6 151.6 60.4 211.7 26.67 369.2c15.66 31.64 37.52 59.66 64.22 82.23C122 325.1 211.5 263.3 240.1 246.5zM326.5 10.07c74.79 84.9 89.5 175.9 89.5 234c0 15.45-1.042 28.56-2.27 38.61l.5501 .0005c29.54 0 62.2-4.325 97.16-15.99C511.6 263.1 512 259.6 512 256C512 139.1 433.6 40.72 326.5 10.07zM255.7 274.5c-15.43 9.086-51.89 33.63-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.83 0 69.02-5.021 108.1-17.69c19.08-28.59 32.41-61.34 38.71-96.47C474.5 311.1 443 315 414.4 315C334.6 315 276.5 286.3 255.7 274.5zM153.1 379.3c-14.91 25.71-27.62 56.33-35.03 92.72C158.6 497.2 205.5 512 256 512c69 0 131.5-27.43 177.5-71.82c-25.42 5.105-49.71 7.668-72.38 7.668C258.6 447.8 185.5 402.1 153.1 379.3z"],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", "M444.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256S467.1 200.4 444.6 181.9zM505.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256S550.2 144.9 505.1 108zM333.2 34.84c-11.5-5.187-25.01-3.116-34.43 5.259L163.8 160H80c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C304.7 477.2 312.3 480 320 480c4.438 0 8.959-.9313 13.16-2.837C344.7 472 352 460.6 352 448V64C352 51.41 344.7 39.1 333.2 34.84z"],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", "M412.6 182c-10.28-8.334-25.41-6.867-33.75 3.402c-8.406 10.24-6.906 25.35 3.375 33.74C393.5 228.4 400 241.8 400 255.1c0 14.17-6.5 27.59-17.81 36.83c-10.28 8.396-11.78 23.5-3.375 33.74c4.719 5.806 11.62 8.802 18.56 8.802c5.344 0 10.75-1.779 15.19-5.399C435.1 311.5 448 284.6 448 255.1S435.1 200.4 412.6 182zM473.1 108.2c-10.22-8.334-25.34-6.898-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C476.6 172.1 496 213.3 496 255.1s-19.44 82.1-53.31 110.7c-10.25 8.396-11.75 23.5-3.344 33.74c4.75 5.775 11.62 8.771 18.56 8.771c5.375 0 10.75-1.779 15.22-5.431C518.2 366.9 544 313 544 255.1S518.2 145 473.1 108.2zM534.4 33.4c-10.22-8.334-25.34-6.867-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C559.9 116.3 592 183.9 592 255.1s-32.09 139.7-88.06 185.5c-10.25 8.396-11.75 23.5-3.344 33.74C505.3 481 512.2 484 519.2 484c5.375 0 10.75-1.779 15.22-5.431C601.5 423.6 640 342.5 640 255.1S601.5 88.34 534.4 33.4zM301.2 34.98c-11.5-5.181-25.01-3.076-34.43 5.29L131.8 160.1H48c-26.51 0-48 21.48-48 47.96v95.92c0 26.48 21.49 47.96 48 47.96h83.84l134.9 119.8C272.7 477 280.3 479.8 288 479.8c4.438 0 8.959-.9314 13.16-2.835C312.7 471.8 320 460.4 320 447.9V64.12C320 51.55 312.7 40.13 301.2 34.98z"],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", "M412.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C393.5 228.4 400 241.8 400 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C435.1 311.6 448 284.7 448 256S435.1 200.4 412.6 181.9zM301.2 34.84c-11.5-5.187-25.01-3.116-34.43 5.259L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9313 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84z"],
    "volume-off": [320, 512, [], "f026", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"],
    "volume-slash": [640, 512, [128263], "f2e2", "M630.8 469.1l-88.78-69.59C583.9 362.8 608 310.9 608 256c0-57.12-25.84-111.1-70.88-147.1c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.38 3.344 33.78C540.6 172.9 560 213.3 560 256c0 42.69-19.44 83.09-53.31 110.9c-1.045 .8574-1.599 2.029-2.46 3.013l-44.33-34.74c.5039 .0313 .9713 .3249 1.477 .3249c5.344 0 10.75-1.781 15.19-5.406C499.1 311.6 512 284.7 512 256c0-28.65-12.91-55.62-35.44-74.06c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.38 3.375 33.78C457.5 228.4 464 241.8 464 256s-6.5 27.62-17.81 36.88c-7.719 6.311-10.48 16.41-7.824 25.39L384 275.7V64c0-12.59-7.337-24.01-18.84-29.16c-11.5-5.188-25.01-3.116-34.43 5.259L214.9 143.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-50.34L88.75 166.3C74.05 174.5 64 189.1 64 208z"],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", "M301.2 34.85c-11.5-5.188-25.02-3.122-34.44 5.253L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9c5.984 5.312 13.58 8.094 21.26 8.094c4.438 0 8.972-.9375 13.17-2.844c11.5-5.156 18.82-16.56 18.82-29.16V64C319.1 51.41 312.7 40 301.2 34.85zM513.9 255.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L480 222.1L432.1 175c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L480 289.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L513.9 255.1z"],
    "vr-cardboard": [640, 512, [], "f729", "M576 64H64c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64l128.3 .0001c25.18 0 48.03-14.77 58.37-37.73l27.76-61.65c7.875-17.5 24-28.63 41.63-28.63s33.75 11.13 41.63 28.63l27.75 61.63c10.35 22.98 33.2 37.75 58.4 37.75L576 448c35.2 0 64-28.8 64-64v-256C640 92.8 611.2 64 576 64zM160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z"],
    "w": [576, 512, [119], "57", "M573.1 75.25l-144 384c-4.703 12.53-16.67 20.77-29.95 20.77c-.4062 0-.8125 0-1.219-.0156c-13.77-.5156-25.66-9.797-29.52-23.03L288 178.3l-81.28 278.7c-3.859 13.23-15.75 22.52-29.52 23.03c-13.75 .4687-26.33-7.844-31.17-20.75l-144-384c-6.203-16.55 2.188-34.98 18.73-41.2C37.31 27.92 55.75 36.23 61.97 52.78l110.2 293.1l85.08-291.7C261.3 41.41 273.8 32.01 288 32.01s26.73 9.396 30.72 23.05l85.08 291.7l110.2-293.1c6.219-16.55 24.67-24.86 41.2-18.73C571.8 40.26 580.2 58.7 573.1 75.25z"],
    "waffle": [512, 512, [129479], "e466", "M272 336h64v-64h-63.1L272 336zM176 336h64l.002-64H176V336zM176 176v64h64L240 176H176zM272 240H336v-64h-64L272 240zM511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-10.49-1.242-21.1 1.08-30.16 6.346C246.9 1.406 236.3-.9219 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM416 240c8.844 0 16 7.156 16 16S424.8 272 416 272h-48v64H416c8.844 0 16 7.156 16 16s-7.156 16-16 16h-48V416c0 8.844-7.156 16-16 16s-16-7.156-16-16v-48h-64V416c0 8.844-7.156 16-16 16S240 424.8 240 416v-48h-64V416c0 8.844-7.156 16-16 16S144 424.8 144 416v-48H96c-8.844 0-16-7.156-16-16s7.156-16 16-16h48v-64H96C87.16 272 80 264.8 80 256S87.16 240 96 240h48v-64H96C87.16 176 80 168.8 80 160S87.16 144 96 144h48V96c0-8.844 7.156-16 16-16S176 87.16 176 96v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48H416c8.844 0 16 7.156 16 16S424.8 176 416 176h-48v64H416z"],
    "wagon-covered": [640, 512, [], "f8ee", "M4.508 57.42C-5.178 30.3 16.1 2.14 44.84 4.056L194.1 14.01C210.9 15.13 224 29.09 224 45.94V224H64L4.508 57.42zM352 15.1C369.7 15.1 384 30.33 384 47.1V223.1H256V47.1C256 30.33 270.3 15.1 288 15.1H352zM64 287.1C64 270.3 78.33 255.1 96 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H542.4C563.1 340.3 576 368.7 576 400C576 461.9 525.9 512 464 512C407.6 512 360.9 470.3 353.1 416H286.9C279.1 470.3 232.4 512 176 512C114.1 512 64 461.9 64 400C64 368.7 76.87 340.3 97.62 319.1H96C78.33 319.1 64 305.7 64 287.1H64zM114 416C119.8 438.5 137.5 456.2 160 461.1V416H114zM160 338C137.5 343.8 119.8 361.5 114 384H160V338zM192 461.1C214.5 456.2 232.2 438.5 237.1 416H192V461.1zM192 384H237.1C232.2 361.5 214.5 343.8 192 338V384zM448 461.1V416H402C407.8 438.5 425.5 456.2 448 461.1zM402 384H448V338C425.5 343.8 407.8 361.5 402 384zM480 416V461.1C502.5 456.2 520.2 438.5 525.1 416H480zM525.1 384C520.2 361.5 502.5 343.8 480 338V384H525.1zM595.2 4.055C623.9 2.14 645.2 30.3 635.5 57.42L576 223.1H416V45.94C416 29.09 429.1 15.13 445.9 14.01L595.2 4.055z"],
    "walker": [448, 512, [], "f831", "M128.1 223.1L63.04 487.8C58.76 504.9 41.38 515.3 24.24 511C7.093 506.8-3.331 489.4 .9552 472.2L100.8 72.72C111.5 29.98 149.9 0 193.1 0H320C373 0 416 42.98 416 96V392.6C435.1 403.6 448 424.3 448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 424.3 332.9 403.6 352 392.6V224L128.1 223.1zM193.1 63.1C179.3 63.1 166.5 73.99 162.9 88.24L144.1 159.1H352V95.1C352 78.33 337.7 63.1 320 63.1H193.1zM384 464C392.8 464 400 456.8 400 448C400 439.2 392.8 432 384 432C375.2 432 368 439.2 368 448C368 456.8 375.2 464 384 464z"],
    "walkie-talkie": [384, 512, [], "f8ef", "M352 96h-32V80C320 71.16 312.8 64 304 64h-32C263.2 64 256 71.16 256 80V96h-32V80C224 71.16 216.8 64 208 64h-32C167.2 64 160 71.16 160 80V96H112V23.1C112 10.74 101.3 0 88 0S64 10.74 64 23.1V96H32C14.4 96 0 110.4 0 128v178.7c0 8.484 3.373 16.62 9.371 22.62L32 352v112C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V352l22.63-22.63C380.6 323.4 384 315.2 384 306.7V128C384 110.4 369.6 96 352 96zM288 312C288 316.4 284.4 320 280 320h-176C99.63 320 96 316.4 96 312v-16C96 291.6 99.63 288 104 288h176C284.4 288 288 291.6 288 296V312zM288 248C288 252.4 284.4 256 280 256h-176C99.63 256 96 252.4 96 248v-16C96 227.6 99.63 224 104 224h176C284.4 224 288 227.6 288 232V248zM288 184C288 188.4 284.4 192 280 192h-176C99.63 192 96 188.4 96 184v-16C96 163.6 99.63 160 104 160h176C284.4 160 288 163.6 288 168V184z"],
    "wallet": [512, 512, [], "f555", "M448 32C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H80C71.16 96 64 103.2 64 112C64 120.8 71.16 128 80 128H448C483.3 128 512 156.7 512 192V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM416 336C433.7 336 448 321.7 448 304C448 286.3 433.7 272 416 272C398.3 272 384 286.3 384 304C384 321.7 398.3 336 416 336z"],
    "wand": [512, 512, [], "f72a", "M376.3 191.1l-279.2 309.5c-12.25 13.5-33.38 14.13-46.37 1.133l-41.4-41.41c-12.1-12.1-12.35-34.09 1.145-46.34l117.5-106V271.1c0-8.874 7.124-16 15.1-16h42.62l279.1-251.8c6.374-5.75 15.1-5.5 22.12 .625l19.5 19.37c5.999 6.125 6.249 15.75 .5 22.12L415.1 147.1v28c0 8.874-7.124 16-15.1 16H376.3z"],
    "wand-magic": [512, 512, ["magic"], "f0d0", "M14.06 463.3C-4.686 444.6-4.686 414.2 14.06 395.4L395.4 14.06C414.2-4.686 444.6-4.686 463.3 14.06L497.9 48.64C516.6 67.38 516.6 97.78 497.9 116.5L116.5 497.9C97.78 516.6 67.38 516.6 48.64 497.9L14.06 463.3zM347.6 187.6L452.6 82.58L429.4 59.31L324.3 164.3L347.6 187.6z"],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", "M248.8 4.994C249.9 1.99 252.8 .0001 256 .0001C259.2 .0001 262.1 1.99 263.2 4.994L277.3 42.67L315 56.79C318 57.92 320 60.79 320 64C320 67.21 318 70.08 315 71.21L277.3 85.33L263.2 123C262.1 126 259.2 128 256 128C252.8 128 249.9 126 248.8 123L234.7 85.33L196.1 71.21C193.1 70.08 192 67.21 192 64C192 60.79 193.1 57.92 196.1 56.79L234.7 42.67L248.8 4.994zM427.4 14.06C446.2-4.686 476.6-4.686 495.3 14.06L529.9 48.64C548.6 67.38 548.6 97.78 529.9 116.5L148.5 497.9C129.8 516.6 99.38 516.6 80.64 497.9L46.06 463.3C27.31 444.6 27.31 414.2 46.06 395.4L427.4 14.06zM461.4 59.31L356.3 164.3L379.6 187.6L484.6 82.58L461.4 59.31zM7.491 117.2L64 96L85.19 39.49C86.88 34.98 91.19 32 96 32C100.8 32 105.1 34.98 106.8 39.49L128 96L184.5 117.2C189 118.9 192 123.2 192 128C192 132.8 189 137.1 184.5 138.8L128 160L106.8 216.5C105.1 221 100.8 224 96 224C91.19 224 86.88 221 85.19 216.5L64 160L7.491 138.8C2.985 137.1 0 132.8 0 128C0 123.2 2.985 118.9 7.491 117.2zM359.5 373.2L416 352L437.2 295.5C438.9 290.1 443.2 288 448 288C452.8 288 457.1 290.1 458.8 295.5L480 352L536.5 373.2C541 374.9 544 379.2 544 384C544 388.8 541 393.1 536.5 394.8L480 416L458.8 472.5C457.1 477 452.8 480 448 480C443.2 480 438.9 477 437.2 472.5L416 416L359.5 394.8C354.1 393.1 352 388.8 352 384C352 379.2 354.1 374.9 359.5 373.2z"],
    "wand-sparkles": [512, 512, [], "f72b", "M3.682 149.1L53.32 170.7L74.02 220.3c1.016 2.043 3.698 3.696 5.977 3.696c.0078 0-.0078 0 0 0c2.271-.0156 4.934-1.661 5.946-3.696l20.72-49.63l49.62-20.71c2.023-1.008 3.68-3.681 3.691-5.947C159.1 141.7 158.3 139 156.3 138L106.9 117.4L106.5 117L85.94 67.7C84.93 65.66 82.27 64.02 80 64c-.0078 0 .0078 0 0 0c-2.279 0-4.966 1.649-5.981 3.692L53.32 117.3L3.682 138C1.652 139.1 0 141.7 0 144C0 146.3 1.652 148.9 3.682 149.1zM511.1 368c-.0039-2.273-1.658-4.95-3.687-5.966l-49.57-20.67l-20.77-49.67C436.9 289.7 434.3 288 432 288c-2.281 0-4.948 1.652-5.964 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.684 3.683-3.687 5.956c.0039 2.262 1.662 4.954 3.687 5.966l49.57 20.67l20.77 49.67C427.1 446.3 429.7 448 432 448c2.277 0 4.944-1.656 5.96-3.699l20.69-49.63l49.65-20.71C510.3 372.9 511.1 370.3 511.1 368zM207.1 64l12.42 29.78C221 95.01 222.6 96 223.1 96s2.965-.9922 3.575-2.219L239.1 64l29.78-12.42c1.219-.6094 2.215-2.219 2.215-3.578c0-1.367-.996-2.969-2.215-3.578L239.1 32L227.6 2.219C226.1 .9922 225.4 0 223.1 0S221 .9922 220.4 2.219L207.1 32L178.2 44.42C176.1 45.03 176 46.63 176 48c0 1.359 .9928 2.969 2.21 3.578L207.1 64zM399.1 191.1c8.875 0 15.1-7.127 15.1-16v-28l91.87-101.7c5.75-6.371 5.5-15.1-.4999-22.12L487.8 4.774c-6.125-6.125-15.75-6.375-22.12-.625L186.6 255.1H144c-8.875 0-15.1 7.125-15.1 15.1v36.88l-117.5 106c-13.5 12.25-14.14 33.34-1.145 46.34l41.4 41.41c12.1 12.1 34.13 12.36 46.37-1.133l279.2-309.5H399.1z"],
    "warehouse": [640, 512, [], "f494", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM152 512C138.7 512 128 501.3 128 488V432H512V488C512 501.3 501.3 512 488 512H152zM128 336H512V400H128V336zM128 224H512V304H128V224z"],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM488 384C501.3 384 512 394.7 512 408V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V408C352 394.7 362.7 384 376 384H488zM128 247.1C128 234.7 138.7 223.1 152 223.1H296C309.3 223.1 320 234.7 320 247.1V328C320 341.3 309.3 352 296 352H152C138.7 352 128 341.3 128 328V247.1zM296 384C309.3 384 320 394.7 320 408V488C320 501.3 309.3 512 296 512H152C138.7 512 128 501.3 128 488V408C128 394.7 138.7 384 152 384H296z"],
    "washing-machine": [448, 512, ["washer"], "f898", "M260.8 284.3C251.3 294.3 237.9 300 224 300S196.7 294.4 187.2 284.4c-20.04 20.5-52.76 20.88-73.3 1C112.7 291.5 112.1 297.8 112 304c0 61.88 50.15 112 112 112s112-50.13 112-112c-.123-6.25-.7461-12.5-1.867-18.75C313.6 305.3 280.9 304.9 260.8 284.3zM384 .0002H63.98C28.63 .0002 0 28.63 0 64v416c0 17.62 14.31 32 31.98 32h384c17.67 0 31.98-14.38 31.98-32V64C448 28.63 419.4 .0002 384 .0002zM184 64C197.3 64 208 74.75 208 88s-10.74 24-23.96 24C170.7 112 160 101.3 160 88S170.7 64 184 64zM64 88c0-13.25 10.82-24 24-24c13.31 0 24 10.75 24 24s-10.69 24-24 24C74.82 112 64 101.3 64 88zM224 448c-79.52 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"],
    "watch": [384, 512, [8986], "f2e1", "M272 0C298.5 0 320 21.49 320 48V72.15C283.7 46.84 239.6 32 192 32C144.4 32 100.3 46.84 64 72.15V48C64 21.49 85.49 0 112 0H272zM64 464V439.8C100.3 465.2 144.4 480 192 480C239.6 480 283.7 465.2 320 439.8V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM384 256C384 362 298 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C298 64 384 149.1 384 256zM168 176V256C168 264 172 271.5 178.7 275.1L226.7 307.1C237.7 315.3 252.6 312.3 259.1 301.3C267.3 290.3 264.3 275.4 253.3 268L216 243.2V176C216 162.7 205.3 152 191.1 152C178.7 152 167.1 162.7 167.1 176L168 176z"],
    "watch-apple": [384, 512, [], "e2cb", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM192 298.7C215.6 298.7 234.7 279.6 234.7 256C234.7 232.4 215.6 213.3 192 213.3C168.4 213.3 149.3 232.4 149.3 256C149.3 279.6 168.4 298.7 192 298.7zM245.3 320C227.7 320 213.3 334.3 213.3 352C213.3 369.7 227.7 384 245.3 384C263 384 277.3 369.7 277.3 352C277.3 334.3 263 320 245.3 320zM138.7 384C156.3 384 170.7 369.7 170.7 352C170.7 334.3 156.3 320 138.7 320C120.1 320 106.7 334.3 106.7 352C106.7 369.7 120.1 384 138.7 384zM245.3 128C227.7 128 213.3 142.3 213.3 160C213.3 177.7 227.7 192 245.3 192C263 192 277.3 177.7 277.3 160C277.3 142.3 263 128 245.3 128zM138.7 192C156.3 192 170.7 177.7 170.7 160C170.7 142.3 156.3 128 138.7 128C120.1 128 106.7 142.3 106.7 160C106.7 177.7 120.1 192 138.7 192zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "watch-calculator": [384, 512, [], "f8f0", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM80 144C71.16 144 64 151.2 64 160V192C64 200.8 71.16 208 80 208H304C312.8 208 320 200.8 320 192V160C320 151.2 312.8 144 304 144H80zM88 296C101.3 296 112 285.3 112 272C112 258.7 101.3 248 88 248C74.75 248 64 258.7 64 272C64 285.3 74.75 296 88 296zM192 248C178.7 248 168 258.7 168 272C168 285.3 178.7 296 192 296C205.3 296 216 285.3 216 272C216 258.7 205.3 248 192 248zM296 296C309.3 296 320 285.3 320 272C320 258.7 309.3 248 296 248C282.7 248 272 258.7 272 272C272 285.3 282.7 296 296 296zM88 336C74.75 336 64 346.7 64 360C64 373.3 74.75 384 88 384C101.3 384 112 373.3 112 360C112 346.7 101.3 336 88 336zM192 384C205.3 384 216 373.3 216 360C216 346.7 205.3 336 192 336C178.7 336 168 346.7 168 360C168 373.3 178.7 384 192 384zM296 336C282.7 336 272 346.7 272 360C272 373.3 282.7 384 296 384C309.3 384 320 373.3 320 360C320 346.7 309.3 336 296 336zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "watch-fitness": [384, 512, [], "f63e", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM320 464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464H320zM0 160C0 115.8 35.82 80 80 80H304C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160zM100.8 264.1L180.9 341.3C187.1 347.3 196.9 347.3 203.1 341.3L283.2 264.1C303.3 244.7 303.3 212.5 283.2 193C264 174.6 233.7 174.6 214.6 193L192 214.9L169.4 193C150.3 174.6 119.1 174.6 100.8 193C80.72 212.5 80.72 244.7 100.8 264.1V264.1z"],
    "watch-smart": [384, 512, [], "e2cc", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM216 160C216 146.7 205.3 136 192 136C178.7 136 168 146.7 168 160V256C168 262.4 170.5 268.5 175 272.1L223 320.1C232.4 330.3 247.6 330.3 256.1 320.1C266.3 311.6 266.3 296.4 256.1 287L216 246.1V160zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "water": [576, 512, [], "f773", "M549.8 237.5c-31.23-5.719-46.84-20.06-47.13-20.31C490.4 205 470.3 205.1 457.7 216.8c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62C298.4 204.9 278.3 205.1 265.7 216.8c-1 .9375-25.14 23-73.73 23S119.3 217.8 118.6 217.2C106.4 204.9 86.35 205 73.74 216.9C73.09 217.4 57.48 231.8 26.24 237.5c-17.38 3.188-28.89 19.84-25.72 37.22c3.188 17.38 19.78 29.09 37.25 25.72C63.1 295.8 82.49 287.1 95.96 279.2c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72C578.7 257.4 567.2 240.7 549.8 237.5zM549.8 381.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 361.9 432.6 384 384 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 361.9 240.6 384 192 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 436.3 20.31 448 37.78 444.6C63.1 440 82.49 431.3 95.96 423.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 434.9 339.5 448 384.1 448c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 448 572.3 436.3 575.5 418.9C578.7 401.5 567.2 384.9 549.8 381.7zM37.78 156.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.14 23-73.73 23S119.3 73.76 118.6 73.2C106.4 60.95 86.35 61.04 73.74 72.85C73.09 73.45 57.48 87.79 26.24 93.51c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 148.1 20.31 159.8 37.78 156.4z"],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", "M37.76 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.53 24.71 96.11 24.71c44.55 0 76.42-13.15 95.94-24.68c19.52 11.53 51.51 24.68 96.06 24.68c44.58 0 76.49-13.18 95.99-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.74-22.07-73.38-22.63C298.4 284.9 278.3 285.1 265.7 296.8c-1 .9375-25.14 23-73.73 23S119.3 297.8 118.6 297.2C106.4 284.9 86.33 285 73.72 296.9C73.07 297.4 57.46 311.8 26.22 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 372.1 20.29 383.8 37.76 380.4zM549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 384 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 192 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 500.3 20.31 512 37.78 508.6C63.1 504 82.49 495.3 95.96 487.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 498.9 339.5 512 384.1 512c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.7 465.5 567.2 448.9 549.8 445.7zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", "M37.74 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.54 24.71 96.12 24.71c44.55 0 76.42-13.15 95.93-24.68c19.52 11.53 51.52 24.68 96.07 24.68c44.58 0 76.48-13.18 95.98-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22C518.5 311.8 502.9 297.4 502.6 297.2c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.13 23-73.72 23s-72.74-22.07-73.38-22.63c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.13 23-73.72 23S119.2 297.8 118.6 297.2C106.4 284.9 86.31 285 73.71 296.9C73.05 297.4 57.44 311.8 26.21 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.674 372.1 20.27 383.8 37.74 380.4zM549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 383.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 191.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 500.3 20.29 512 37.76 508.6C63.08 504 82.47 495.3 95.94 487.4c19.5 11.53 51.52 24.62 96.1 24.62c44.55 0 76.43-13.06 95.95-24.59C307.5 498.9 339.5 512 384 512c44.58 0 76.49-13.09 95.99-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.6 465.5 567.1 448.9 549.8 445.7zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", "M320 128c0 .375-.1992 .6855-.2129 1.057C319.8 129.9 320 130.7 320 131.6V128zM192 383.1V288h192v95.99c39.6-.1448 53.95-17.98 64-26.83V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32s32-14.33 32-32c0-53-42.1-95.1-95.1-95.1C420.1 32 384 81.94 384 131.6V224H192V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32c17.3 0 31.2-13.79 31.79-30.94c-1.227-49.01-37.99-97.06-95.79-97.06C170.1 32 128 74.1 128 128v229.2C138.5 366.4 151.4 383.8 192 383.1zM576 445c0-15.14-10.82-28.59-26.25-31.42c-48.52-8.888-45.5-29.48-69.6-29.48c-25.02 0-31.19 31.79-96.18 31.79c-48.59 0-72.72-22.06-73.38-22.62c-6.141-6.157-14.26-9.188-22.42-9.188c-24.75 0-31.59 31.81-96.2 31.81c-48.59 0-72.69-22.03-73.41-22.59c-6.125-6.157-14.24-9.196-22.4-9.196c-8.072 0-16.18 2.976-22.45 8.852c-29.01 26.25-73.75 12.54-73.75 52.08c0 16.08 12.77 32.07 31.71 32.07c9.77 0 39.65-7.34 64.26-21.84c19.5 11.53 51.51 24.69 96.08 24.69s76.46-13.12 95.96-24.66c19.53 11.53 51.52 24.62 96.06 24.62c44.59 0 76.51-13.12 96.01-24.66c24.71 14.57 54.74 21.83 64.24 21.83C563.2 477.1 576 461.3 576 445z"],
    "watermelon-slice": [512, 512, [], "e337", "M425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96c46.81 46.81 72.59 109 72.59 175.2s-25.78 128.4-72.59 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.537 395.9 0 402 0 408.4s2.537 12.47 7.037 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM216.2 432c57.63 0 111.8-22.45 152.6-63.22c40.77-40.76 63.22-94.95 63.22-152.6c0-57.64-22.45-111.8-63.22-152.6l-16.96-16.96l-305.2 305.2l16.96 16.96C104.4 409.5 158.6 432 216.2 432zM355.3 275.3c-6.246 6.246-16.35 6.272-22.6 .0184l-16.02-16.02c-6.25-6.252-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.03 16.02C361.6 258.1 361.6 269.1 355.3 275.3zM308.7 148.7c6.25-6.25 16.38-6.25 22.62 0l16.03 16.01c6.25 6.252 6.225 16.37-.0252 22.62c-6.244 6.248-16.35 6.269-22.6 .0129l-16.02-16.01C302.4 165.1 302.4 154.1 308.7 148.7zM275.3 355.3c-6.246 6.246-16.35 6.278-22.61 .0239l-16.02-16.03c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02C281.6 338.1 281.6 349.1 275.3 355.3zM228.7 228.7c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02c6.25 6.25 6.231 16.36-.0194 22.61C261.1 273.6 250.1 273.6 244.7 267.4L228.7 251.3C222.4 245.1 222.4 234.1 228.7 228.7zM148.7 308.7c6.25-6.25 16.38-6.25 22.62 0L187.3 324.7c6.25 6.25 6.236 16.36-.0136 22.61c-6.246 6.246-16.36 6.277-22.61 .0234l-16.01-16.03C142.4 325.1 142.4 314.1 148.7 308.7z"],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", "M640 240v32c0 8.875-7.125 15.1-16 15.1h-124.2l-55.13 110.2c-5.875 11.87-18.63 18.75-31.75 17.62c-13.25-1.375-24.25-10.62-27.75-23.5L323.8 167.3L255.2 486.8C252.2 501 239.8 511.5 225.1 512H224c-14.25 0-26.88-9.5-30.75-23.25L135.9 288H16c-8.875 0-16-7.125-16-15.1V240c0-8.875 7.125-15.1 16-15.1H160c14.25 0 26.88 9.503 30.75 23.25l28.75 100.7L288.8 25.27c3-14.37 15.62-24.87 30.37-25.25c14.75-.5 27.88 9.375 31.75 23.62l74 271.1l26.5-52.1C456.8 230.9 467.9 224 480 224h144C632.9 224 640 231.1 640 240z"],
    "wave-sine": [640, 512, [8767], "f899", "M638.6 297.2C633 315.9 580.4 480 463.1 480C346.4 480 294.5 285.9 288.1 263.8C275.2 209 229.5 96 176 96C117.1 96 73.34 197.6 62.67 233.2C57.57 250.1 39.75 259.7 22.83 254.7C5.889 249.6-3.72 231.7 1.358 214.8C6.983 196.1 59.56 32 176 32c117.6 0 169.5 194.1 175 216.3C364.8 302.1 410.5 416 463.1 416c58.92 0 102.7-101.6 113.3-137.2c5.109-16.94 22.97-26.44 39.84-21.47C634.1 262.4 643.7 280.3 638.6 297.2z"],
    "wave-square": [640, 512, [], "f83e", "M476 480h-152c-19.88 0-36-16.12-36-36v-348H192v156c0 19.88-16.12 36-36 36H31.1C14.33 288 0 273.7 0 256s14.33-31.1 31.1-31.1H128v-156c0-19.88 16.12-36 36-36h152c19.88 0 36 16.12 36 36v348h96v-156c0-19.88 16.12-36 36-36h124C625.7 224 640 238.3 640 256s-14.33 32-31.1 32H512v156C512 463.9 495.9 480 476 480z"],
    "wave-triangle": [640, 512, [], "f89a", "M633.6 274.9l-143.1 192.3C483.6 475.2 474.1 480 463.1 480s-19.56-4.758-25.59-12.83L176 116.8L57.6 274.9C47.02 289.1 26.99 291.9 12.8 281.3c-14.14-10.61-16.1-30.71-6.391-44.85l143.1-192.3c12.06-16.15 39.12-16.15 51.19 0l262.4 350.4l118.4-158.1c10.59-14.18 30.62-16.1 44.8-6.417C641.3 240.6 644.2 260.7 633.6 274.9z"],
    "waveform": [640, 512, [], "f8f1", "M640 287.1c0 17.67-14.33 32.02-31.1 32.02H576c-9.547 0-18.34-4.218-24.31-11.19l-24.39 113.9c-3.25 15.12-17.25 25.09-32.3 25.28c-15.45-.5-28.37-11.97-30.65-27.25L446.3 300.7l-30.78 184.6C412.1 500.7 399.5 512 383.9 512c-15.78-.1875-29.34-11.84-31.55-27.47L319.1 258.3l-32.33 226.2C285.5 500.2 272.1 511.8 256.3 512l-.375-.0416c-15.64 0-28.9-11.27-31.47-26.7L193.7 300.6l-18.02 120.1c-2.281 15.28-15.19 26.75-30.64 27.25c-15.94-.2813-29.05-10.15-32.29-25.28L88.31 308.8C82.34 315.8 73.55 320 64 320H31.1C14.33 320 0 305.7 0 287.1S14.33 256 31.1 256h8.939l24.7-74.12c5.545-16.58 23.98-25.93 41.16-20.13c10.86 3.664 18.39 13.67 20.79 24.88l10.85 50.72l21.96-146.4c2.327-15.51 15.65-26.1 31.34-26.1c15.64 0 29.26 11.33 31.83 26.76l30 180l34.77-243.3c2.517-17.62 19.11-30.21 37.43-26.98c13.94 2.458 24.16 14.65 26.16 28.67l34.52 241.6l30-180C419 75.32 432.4 64 448 64c15.68 0 29.3 11.62 31.63 27.13l21.94 146.2l11.14-52.05c3.605-16.76 20.04-28.22 37.93-24.59c11.55 2.345 20.53 11.59 24.26 22.77l24.18 72.54h8.94C625.7 256 640 270.3 640 287.1z"],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", "M224 96C206.3 96 192 110.3 192 127.1v256C192 401.7 206.3 416 223.1 416S256 401.7 256 384V127.1C256 110.3 241.7 96 224 96zM32 224C14.33 224 0 238.3 0 255.1S14.33 288 31.1 288S64 273.7 64 256S49.67 224 32 224zM320 0C302.3 0 288 14.33 288 31.1V480C288 497.7 302.3 512 319.1 512S352 497.7 352 480V31.1C352 14.33 337.7 0 320 0zM128 192C110.3 192 96 206.3 96 223.1V288C96 305.7 110.3 320 127.1 320S160 305.7 160 288V223.1C160 206.3 145.7 192 128 192zM608 224c-17.67 0-32 14.33-32 31.1S590.3 288 608 288s32-14.33 32-31.1S625.7 224 608 224zM416 128C398.3 128 384 142.3 384 159.1v192C384 369.7 398.3 384 415.1 384S448 369.7 448 352V159.1C448 142.3 433.7 128 416 128zM512 64c-17.67 0-32 14.33-32 31.1V416C480 433.7 494.3 448 511.1 448C529.7 448 544 433.7 544 416V95.1C544 78.33 529.7 64 512 64z"],
    "weight-hanging": [512, 512, [], "f5cd", "M510.3 445.9L437.3 153.8C433.5 138.5 420.8 128 406.4 128H346.1c3.625-9.1 5.875-20.75 5.875-32c0-53-42.1-96-96-96S159.1 43 159.1 96c0 11.25 2.25 22 5.875 32H105.6c-14.38 0-27.13 10.5-30.88 25.75l-73.01 292.1C-6.641 479.1 16.36 512 47.99 512h416C495.6 512 518.6 479.1 510.3 445.9zM256 128C238.4 128 223.1 113.6 223.1 96S238.4 64 256 64c17.63 0 32 14.38 32 32S273.6 128 256 128z"],
    "weight-scale": [512, 512, ["weight"], "f496", "M310.3 97.25c-8-3.5-17.5 .25-21 8.5L255.8 184C233.8 184.3 216 202 216 224c0 22.12 17.88 40 40 40S296 246.1 296 224c0-10.5-4.25-20-11-27.12l33.75-78.63C322.3 110.1 318.4 100.8 310.3 97.25zM448 64h-56.23C359.5 24.91 310.7 0 256 0S152.5 24.91 120.2 64H64C28.75 64 0 92.75 0 128v320c0 35.25 28.75 64 64 64h384c35.25 0 64-28.75 64-64V128C512 92.75 483.3 64 448 64zM256 304c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S326.6 304 256 304z"],
    "whale": [640, 512, [128011], "f72c", "M480 128c-91.09 0-176.7 35.47-241.1 99.87l-85.66 82.69c-6.312 6.094-14.62 9.437-23.41 9.437C111.2 320 96 304.8 96 286.2c0-31.56 12.28-61.2 34.58-83.52l9.811-9.811l56.75 13.61C207.6 208.6 218.4 205.3 226 197.7l57.28-57.28c9.016-9.016 4.332-24.48-8.221-26.96L191.3 96.7L174.5 12.9C172 .3524 156.6-4.333 147.6 4.682L90.28 61.96C82.68 69.56 79.41 80.43 81.53 90.86l13.61 56.74L49.13 193.6C17.44 225.3 0 267.4 0 312.3c0 92.5 75.25 167.7 167.8 167.7H544c52.94 0 96-43.06 96-95.1V288C640 199.8 568.2 128 480 128zM384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z"],
    "wheat": [512, 512, [], "f72d", "M496 0C504.8 0 512 7.164 512 16V40C512 88.6 472.6 128 424 128H400C391.2 128 384 120.8 384 112V88C384 39.4 423.4 0 472 0H496zM316.8 38.63C350.9 72.7 361.7 121.2 349.3 164.5C392.6 152.1 441.1 162.9 475.2 197L486.5 208.3C492.7 214.6 492.7 224.7 486.5 230.1L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L327.2 230.1L295.3 261.1C323.8 264.7 351.5 277 373.4 298.8L384.7 310.2C390.9 316.4 390.9 326.5 384.7 332.8L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.07 299.2 21.07 305.5 27.31L316.8 38.63z"],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", "M416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1zM316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C464.5 187.2 470 191.9 475.2 197L486.5 208.3C492.7 214.6 492.7 224.7 486.5 230.1L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L327.2 230.1L295.3 261.1C323.8 264.7 351.5 277 373.4 298.8L384.7 310.2C390.9 316.4 390.9 326.5 384.7 332.8L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.07 299.2 21.07 305.5 27.31L316.8 38.63z"],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", "M416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1zM316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C463.3 186.3 467.6 189.8 471.7 193.7C426.3 199.9 386.5 223.5 359.1 257.4C352 253.3 345.4 248.3 339.4 242.3L327.2 230.1L295.3 261.1C312.5 263.6 329.5 268.8 345 277.4C329.1 303.9 320 334.9 320 368C320 369 320 370.1 320 371.1C290.9 375.6 260 366.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.06 299.2 21.06 305.5 27.31L316.8 38.63zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "wheat-awn-slash": [640, 512, [], "e338", "M224.7 150.8C227.4 147.2 230.4 143.7 233.7 140.5L245 129.1C251.3 122.9 261.4 122.9 267.6 129.1L278.1 140.5C299.1 161.4 312.1 187.9 315.5 215.3L345.9 184.8L335.5 174.4C298 136.9 298 76.12 335.5 38.63L346.8 27.31C353.1 21.07 363.2 21.07 369.5 27.31L380.8 38.63C385.3 43.15 389.4 47.94 393.1 52.93L439 7.03C448.4-2.343 463.6-2.343 472.1 7.03C482.3 16.4 482.3 31.6 472.1 40.97L414.7 99.2C419.9 120.7 419.4 143.2 413.3 164.5C433.6 158.7 455.1 157.1 475.7 162.4L535 103C544.4 93.66 559.6 93.66 568.1 103C578.3 112.4 578.3 127.6 568.1 136.1L522.8 183.2C528.5 187.2 534 191.9 539.2 197L550.5 208.3C556.7 214.6 556.7 224.7 550.5 230.1L539.2 242.3C501.7 279.8 440.9 279.8 403.4 242.3L391.2 230.1L362.5 258.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L224.7 150.8zM480.1 128.1C471.6 138.3 456.4 138.3 447 128.1C437.7 119.6 437.7 104.4 447 95.03L535 7.029C544.4-2.343 559.6-2.343 568.1 7.029C578.3 16.4 578.3 31.6 568.1 40.97L480.1 128.1zM213.7 317.1L243.2 287.6L293.8 327.5L257.5 363.8C285.1 366.5 313.7 378.8 335.5 400.7L346.8 411.1C353.1 418.2 353.1 428.4 346.8 434.6L335.5 445.9C298 483.4 237.3 483.4 199.8 445.9L187.6 433.7L118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6C60.88 490.1 60.88 469.9 73.37 457.4L142.3 388.5L131.9 378C94.39 340.6 94.39 279.8 131.9 242.3L143.2 230.1C149.4 224.7 159.6 224.7 165.8 230.1L177.1 242.3C198.1 263.3 210.3 289.7 213.7 317.1L213.7 317.1z"],
    "wheat-slash": [640, 512, [], "e339", "M224.7 150.8C227.4 147.2 230.4 143.7 233.7 140.5L245 129.1C251.3 122.9 261.4 122.9 267.6 129.1L278.1 140.5C299.1 161.4 312.1 187.9 315.5 215.3L345.9 184.8L335.5 174.4C298 136.9 298 76.12 335.5 38.63L346.8 27.31C353.1 21.07 363.2 21.07 369.5 27.31L380.8 38.63C414.9 72.7 425.7 121.2 413.3 164.5C456.6 152.1 505.1 162.9 539.2 197L550.5 208.3C556.7 214.6 556.7 224.7 550.5 230.1L539.2 242.3C501.7 279.8 440.9 279.8 403.4 242.3L391.2 230.1L362.5 258.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L224.7 150.8zM560 0C568.8 0 576 7.164 576 16V40C576 88.6 536.6 128 488 128H464C455.2 128 448 120.8 448 112V88C448 39.4 487.4 0 536 0H560zM213.7 317.1L243.2 287.6L293.8 327.5L257.5 363.8C285.1 366.5 313.7 378.8 335.5 400.7L346.8 411.1C353.1 418.2 353.1 428.4 346.8 434.6L335.5 445.9C298 483.4 237.3 483.4 199.8 445.9L187.6 433.7L118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6C60.88 490.1 60.88 469.9 73.37 457.4L142.3 388.5L131.9 378C94.39 340.6 94.39 279.8 131.9 242.3L143.2 230.1C149.4 224.7 159.6 224.7 165.8 230.1L177.1 242.3C198.1 263.3 210.3 289.7 213.7 317.1L213.7 317.1z"],
    "wheelchair": [512, 512, [], "f193", "M510.3 421.9c-5.594-16.75-23.53-25.84-40.47-20.22l-19.38 6.438l-41.7-99.97C403.9 295.1 392.2 288 379.1 288h-97.78l-10.4-48h65.11c17.69 0 32-14.31 32-32s-14.31-32-32-32h-78.98L255.6 169.2C251.8 142.1 227.2 124.8 201.2 128.5C174.1 132.2 156.7 156.5 160.5 182.8l23.68 140.4C185.8 339.6 199.6 352 216 352h141.4l44.86 107.9C407.3 472.3 419.3 480 432 480c3.344 0 6.781-.5313 10.12-1.656l48-16C506.9 456.8 515.9 438.7 510.3 421.9zM160 464c-61.76 0-112-50.24-112-112c0-54.25 38.78-99.55 90.06-109.8L130.1 195C56.06 209 0 273.9 0 352c0 88.37 71.63 160 160 160c77.4 0 141.9-54.97 156.8-128h-49.1C252.9 430.1 210.6 464 160 464zM192 96c26.51 0 48-21.49 48-48S218.5 0 192 0S144 21.49 144 48S165.5 96 192 96z"],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", "M416 48C416 74.51 394.5 96 368 96C341.5 96 320 74.51 320 48C320 21.49 341.5 0 368 0C394.5 0 416 21.49 416 48zM172.8 54.4C182.3 47.29 194.9 46 205.6 51.05L322.1 105.9C351.3 119.6 358.9 157.5 337.4 181.4L299.1 224H416C425.6 224 434.7 228.3 440.7 235.7C446.8 243.1 449.3 252.9 447.4 262.3L415.4 422.3C411.9 439.6 395.1 450.8 377.7 447.4C360.4 443.9 349.2 427.1 352.6 409.7L376.1 288H306.7C315.3 307.6 320 329.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 263.6 71.63 192 160 192C171.1 192 181.1 193.1 192.4 195.3L246.6 141.1L195.8 117.2L147.2 153.6C133.1 164.2 113 161.3 102.4 147.2C91.8 133.1 94.66 113 108.8 102.4L172.8 54.4zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448z"],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", "M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM422.7 224H89.49L69.39 96h373.2L422.7 224z"],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", "M252.1 345.4l45.25 45.38c12.5 12.5 32.88 12.5 45.38 0l45.25-45.38c12.5-12.5 12.5-32.75 0-45.25l-45.25-45.38c-12.5-12.5-32.88-12.5-45.38 0L252.1 300.1C239.6 312.6 239.6 332.9 252.1 345.4zM479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM416.5 284.8c18.56 25.04 16.73 60.52-5.928 83.18l-45.28 45.41c-12.09 12.09-28.18 18.75-45.31 18.75s-33.22-6.656-45.35-18.78L229.4 368c0 0 .002 .0039 0 0L159.9 368c-35.29 0-64-28.71-64-64V287.7L64.02 96h383.1L416.5 284.8zM159.9 336.1L212.2 336c-1-4.25-1.5-8.75-1.5-13.25c0-17.12 6.75-33.25 18.75-45.38L255.9 251V240c0-17.75-14.25-32-32-32h-64c-17.75 0-32 14.25-32 32v64C127.9 321.8 142.1 336.1 159.9 336.1z"],
    "whistle": [640, 512, [], "f460", "M627.7 326.8L491.5 220.8L448 248L416 224l22.27-44.55l-98.62-76.7C307.5 78.43 267.4 64 224 64C185.1 64 149.1 75.63 118.8 95.46C107.7 76.7 87.41 64 63.1 64C28.65 64-.0003 92.65-.0003 128c0 28.46 18.7 52.31 44.4 60.62C36.51 209.6 31.1 232.3 31.1 256c0 106 85.96 192 192 192c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM79.66 129.7C75.92 133.9 72.39 138.4 69.03 142.1C67.42 143.5 65.78 144 63.1 144C55.18 144 47.1 136.8 47.1 128s7.178-16 16-16S79.1 119.2 79.1 128C79.1 128.6 79.72 129.1 79.66 129.7zM224 320c-35.35 0-64-28.66-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C288 291.3 259.3 320 224 320z"],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", "M319.1 351.1c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01S355.3 351.1 319.1 351.1zM320 191.1c-70.25 0-137.9 25.6-190.5 72.03C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 191.1 320 191.1zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z"],
    "wifi-exclamation": [640, 512, [], "e2cf", "M8.906 201.1c12.22 12.78 32.47 13.12 45.25 .9375c52.51-50.38 117.1-84 186.9-98.57L240.1 76.31C239.6 62.6 242.8 49.73 248.3 38.16c-89.22 14.35-172.1 54.92-238.4 118.6C-2.906 168.1-3.312 189.2 8.906 201.1zM129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312c22.15-19.58 47.83-34.2 75.33-43.65l-2.465-66.28C202.4 213.5 162.9 234.5 129.5 264zM630.2 156.7c-66.24-63.55-148.1-104.1-238.1-118.5c4.609 9.73 7.434 20.49 7.852 31.97l.0313 5.781l-1.055 28.37c69.82 14.57 134.4 48.19 186.9 98.57C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM395.3 202.1l-2.461 66.28C420.3 277.8 445.1 292.4 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C477.1 234.5 437.6 213.5 395.3 202.1zM318.5 327.1c22.12 .8652 40.73-16.83 41.57-39.53c0 0 7.965-215.8 7.922-217.1C366.1 44.2 344.7 22.1 318.2 24.04C291.7 25.07 271 47.95 272 75.13l7.92 213.3C280.8 309.7 297.4 327.1 318.5 327.1zM320 368c-30.93 0-56 25.07-56 56S289.1 480 319.1 480S376 454.9 376 424S350.9 368 320 368z"],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352zM320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192z"],
    "wifi-slash": [640, 512, [], "f6ac", "M129.5 264c-13.25 11.72-14.5 31.94-2.812 45.19C138.5 322.4 158.7 323.7 171.9 312C188.9 296.9 208.1 284.9 228.5 275.8l-55.39-43.41C157.7 241.5 143.1 252 129.5 264zM326.6 352.7c-2.203-.2285-4.345-.6829-6.608-.6829c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01c0-7.564-1.545-14.71-3.956-21.44L326.6 352.7zM9.838 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375c12.48-11.98 25.86-22.66 39.61-32.73L41.44 129.2C30.56 137.8 19.99 146.1 9.838 156.7zM364.9 260.7C402.1 268.5 438.6 285.9 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C524.1 295.9 523.7 275.7 510.5 264C457.9 217.6 390.2 192 319.1 192C306.9 192 293.9 193.2 281 194.1L186.1 120.6C228.5 104.7 273.6 96 319.1 96c99.59 0 194 37.97 265.8 106.9c6.219 5.938 14.19 8.906 22.16 8.906c8.406 0 16.81-3.281 23.09-9.844c12.22-12.75 11.81-33-.9375-45.25C546.3 76.28 436.2 32 319.1 32C252.7 32 187.7 47.19 128.4 75.35L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7L364.9 260.7z"],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", "M384 416c0 35.34-28.66 64-64 64s-64-28.66-64-64s28.66-63.1 64-63.1S384 380.7 384 416z"],
    "wind": [512, 512, [], "f72e", "M32 192h320c52.94 0 96-43.06 96-96s-43.06-96-96-96h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c17.66 0 32 14.34 32 32s-14.34 32-32 32H32C14.31 128 0 142.3 0 160S14.31 192 32 192zM160 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c17.66 0 32 14.34 32 32s-14.34 32-32 32H128c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S212.9 320 160 320zM416 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h384c17.66 0 32 14.34 32 32s-14.34 32-32 32h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S468.9 224 416 224z"],
    "wind-turbine": [512, 512, [], "f89b", "M398.7 425.8l-88.35-182.3c-5.928-13.6-6.191-28.1-.7305-42.79l73.28-179.1c3.217-8.111-.75-17.29-8.861-20.51c-6.725-2.668-14.4-.4258-18.64 5.443L241.3 163.2c-8.692 12.02-21.82 20.08-36.47 22.4L13.32 215.9C5.521 217.2-.1652 224 .0028 231.9c.1797 7.93 6.214 14.69 14.1 15.54l189.7 20.53c14.75 1.594 28.26 9 37.53 20.58l130.3 153.5c4.963 6.189 13.74 7.742 20.53 3.629C398.1 441.6 401.8 433 398.7 425.8zM255.1 248c-13.26 0-24-10.74-24-23.1c0-13.26 10.74-23.1 24-23.1c13.25 0 23.1 10.74 23.1 23.1C279.1 237.3 269.3 248 255.1 248zM350.1 479.1h-48.33l-4.996-76.66L220.1 314l-10.79 165.1H161.9c-13.98 .0156-26.75 7.918-33 20.42c-1.979 3.951-.3784 8.756 3.573 10.73c1.096 .5469 2.311 .838 3.536 .8458h240c4.418-.002 8.001-3.585 7.997-8.003c0-1.242-.2895-2.468-.8462-3.578C376.9 487.9 364.1 479.1 350.1 479.1z"],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", "M320 303.1c0-35.28 28.72-64.02 64-64.02h31.37C407.4 134.7 320.6 50.55 212.8 48.06C97.97 45.4 2.713 136.3 .0566 251.2c-2.658 114.8 88.29 210.1 203.1 212.8c75.33 1.744 142-36.93 179.9-96.07C348.2 367.4 320 338.1 320 303.1zM184 152C184 138.8 194.8 128 208 128S232 138.8 232 152v112C232 277.3 221.3 288 208 288S184 277.3 184 264V152zM208 384C190.3 384 176 369.7 176 352c0-17.67 14.33-32 32-32s32 14.33 32 32C240 369.7 225.7 384 208 384zM552 272l-167.1-.0085C366.3 271.1 352 286.3 352 303.1s14.33 32 32 32L552 336c13.23 0 24 10.78 24 24S565.2 384 552 384H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40c48.53 0 88-39.47 88-88S600.5 272 552 272zM480 240h72C600.5 240 640 200.5 640 152S600.5 64 552 64H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40C565.2 128 576 138.8 576 152S565.2 176 552 176H480c-17.67 0-32 14.31-32 32S462.3 240 480 240z"],
    "window": [512, 512, [], "f40e", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM192 96C174.3 96 160 110.3 160 128C160 145.7 174.3 160 192 160C209.7 160 224 145.7 224 128C224 110.3 209.7 96 192 96zM288 160C305.7 160 320 145.7 320 128C320 110.3 305.7 96 288 96C270.3 96 256 110.3 256 128C256 145.7 270.3 160 288 160z"],
    "window-flip": [512, 512, ["window-alt"], "f40f", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM448 128C448 110.3 433.7 96 416 96C398.3 96 384 110.3 384 128C384 145.7 398.3 160 416 160C433.7 160 448 145.7 448 128zM288 128C288 145.7 302.3 160 320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 128zM256 128C256 110.3 241.7 96 224 96C206.3 96 192 110.3 192 128C192 145.7 206.3 160 224 160C241.7 160 256 145.7 256 128z"],
    "window-frame": [512, 512, [129695], "e04f", "M496 448H480V32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v416H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448zM416 224h-144V64H416V224zM96 64h144v160H96V64zM96 288h144v160H96V288zM272 448V288H416v160H272z"],
    "window-frame-open": [512, 512, [], "e050", "M480 32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v256h448V32zM240 224H96v-160h144V224zM416 224h-144v-160H416V224zM496 448H480v-128h-64v128H96v-128H32v128H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448z"],
    "window-maximize": [512, 512, [128470], "f2d0", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160H416C433.7 160 448 145.7 448 128C448 110.3 433.7 96 416 96H96z"],
    "window-minimize": [512, 512, [128469], "f2d1", "M0 448C0 430.3 14.33 416 32 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H32C14.33 480 0 465.7 0 448z"],
    "window-restore": [512, 512, [], "f2d2", "M432 64H208C199.2 64 192 71.16 192 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V320H432C440.8 320 448 312.8 448 304V80C448 71.16 440.8 64 432 64zM0 192C0 156.7 28.65 128 64 128H320C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192zM96 256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H96C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256z"],
    "windsock": [512, 512, [], "f777", "M128 96H64V32c0-17.67-14.33-32-32-32S0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V320h64v44.8l80-16V67.2l-80-16V96zM128 272H64v-128h64V272zM272 335.1l96-19.2V99.2L272 80V335.1zM492.7 124.1L432 112v191.1l60.71-12.14C503.9 289.6 512 279.8 512 268.3V147.7C512 136.2 503.9 126.4 492.7 124.1z"],
    "wine-bottle": [512, 512, [], "f72f", "M507.3 72.57l-67.88-67.88c-6.252-6.25-16.38-6.25-22.63 0l-22.63 22.62c-6.25 6.254-6.251 16.38-.0006 22.63l-76.63 76.63c-46.63-19.75-102.4-10.75-140.4 27.25l-158.4 158.4c-25 25-25 65.51 0 90.51l90.51 90.52c25 25 65.51 25 90.51 0l158.4-158.4c38-38 47-93.76 27.25-140.4l76.63-76.63c6.25 6.25 16.5 6.25 22.75 0l22.63-22.63C513.5 88.95 513.5 78.82 507.3 72.57zM179.3 423.2l-90.51-90.51l122-122l90.51 90.52L179.3 423.2z"],
    "wine-glass": [320, 512, [127863], "f4e3", "M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM77.72 48h164.6L249.4 128H70.58L77.72 48z"],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", "M272 504c0 4.375-3.625 8-8.002 8H55.98c-4.377 0-8.002-3.625-8.002-8c0-22.12 17.88-40 40.01-40h40.01v-117.1c-68.52-16-118-79.99-111.4-154.2L32.47 14.5C33.22 6.25 40.1 0 48.23 0h85.6l32.88 48.25l-85.52 56L202.7 224L153.2 119.8l85.52-56L208.2 0h63.56c8.127 0 15 6.25 15.75 14.5l15.88 178.1c6.625 74.25-42.88 138.2-111.4 154.1V464h40.01C254.1 464 272 481.9 272 504z"],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", "M232 464h-40.01v-117.3c68.52-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.625 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.625 8 8.002 8h208c4.377 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2c-13.64 3.16-27.84 3.148-41.48-.0371C91.88 289.2 60.09 245.2 64.38 197.1L77.7 48h164.6L255.6 197.2c4.279 48.01-27.5 91.93-74.46 102.8L180.4 300.2z"],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", "M119.1 224H183L224.1 56.24C228.5 41.99 241.3 32 256 32C270.7 32 283.5 41.99 287 56.24L328.1 224H392.9L449.6 53.88C455.2 37.12 473.4 28.05 490.1 33.64C506.9 39.23 515.9 57.35 510.4 74.12L460.4 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H439.1L382.4 458.1C377.9 471.6 364.1 480.5 350.8 479.1C336.6 479.4 324.4 469.6 320.1 455.8L279 288H232.1L191 455.8C187.6 469.6 175.4 479.4 161.2 479.1C147 480.5 134.1 471.6 129.6 458.1L72.94 288H32C14.33 288 .001 273.7 .001 256C.001 238.3 14.33 224 32 224H51.6L1.643 74.12C-3.946 57.35 5.115 39.23 21.88 33.64C38.65 28.05 56.77 37.12 62.36 53.88L119.1 224zM140.4 288L155.6 333.6L167 288H140.4zM248.1 224H263L256 195.9L248.1 224zM344.1 288L356.4 333.6L371.6 288H344.1z"],
    "worm": [512, 512, [], "e599", "M256 96C256 42.98 298.1 0 352 0H390.4C439.9 0 480 40.12 480 89.6V376C480 451.1 419.1 512 344 512C268.9 512 208 451.1 208 376V296C208 273.9 190.1 256 168 256C145.9 256 128 273.9 128 296V464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464V296C32 220.9 92.89 160 168 160C243.1 160 304 220.9 304 296V376C304 398.1 321.9 416 344 416C366.1 416 384 398.1 384 376V192H352C298.1 192 256 149 256 96zM376 64C362.7 64 352 74.75 352 88C352 101.3 362.7 112 376 112C389.3 112 400 101.3 400 88C400 74.75 389.3 64 376 64z"],
    "wreath": [448, 512, [], "f7e2", "M298.9 384.7l-74.87 31.25L149.1 384.7c-10.38-3.5-21.12 4.374-21.12 15.25l-.003 95.98c0 10.87 10.75 18.62 21.12 15.24l74.87-31.24l74.87 31.24c10.38 3.5 21.12-4.373 21.12-15.24l.0074-95.98C319.1 389.1 309.2 381.3 298.9 384.7zM447.1 224c0-16.88-8.749-31.66-21.87-40.29c8.875-12.88 11.22-29.88 4.72-45.5c-6.625-15.88-20.59-26.11-36.34-28.86c3.25-15.37-.3079-31.87-12.18-43.74s-28.44-15.38-43.69-12.13c-2.75-15.75-13.02-29.87-28.89-36.37c-15.5-6.496-32.48-3.998-45.48 4.748c-8.625-13.12-23.39-21.87-40.27-21.87S192.4 8.749 183.8 21.87c-13-8.871-30.02-11.28-45.52-4.779C122.5 23.72 112.1 37.74 109.5 53.49c-15.38-3.25-31.9 .2154-43.78 12.09c-12 11.87-15.47 28.41-12.1 43.78c-15.88 2.75-29.93 12.99-36.43 28.86C10.69 153.7 13.25 170.7 21.1 183.7c-13.25 8.621-21.1 23.39-21.1 40.26c0 16.87 8.749 31.63 21.87 40.26C13 277.1 10.63 294.1 17.13 309.7c6.625 15.75 20.62 25.71 36.5 28.46c-3.375 15.5-.0475 32.11 12.08 44.11c8.5 8.625 19.55 12.76 30.8 13.51c1-11.38 5.735-21.1 13.98-30.12C119.5 356.8 131.5 351.9 144 351.9c5.25 0 10.25 .75 15.25 2.5l64.88 26.87l64.88-26.87c4.875-1.625 10-2.5 15.25-2.5c25 0 45.38 19.25 47.5 43.74c11.25-.625 22.24-4.86 30.87-13.48c12-11.1 15.51-28.63 12.13-44.13c15.75-2.75 29.87-12.62 36.49-28.49c6.5-15.63 4.008-32.62-4.867-45.5C439.3 255.6 447.1 240.9 447.1 224zM301.5 250.2c-2.75 8.875-1.125 20.13-6.25 27.5c-5.25 7.5-16.12 9.375-23.38 14.87c-7.125 5.375-12.12 15.62-20.62 18.5C243 313.9 233.1 308.7 224 308.7S205 313.9 196.8 311.1c-8.5-2.875-13.5-13.12-20.62-18.5C168.9 287.2 157.1 285.2 152.8 277.7C147.6 270.4 149.3 259.1 146.5 250.2C143.8 241.6 136 233.5 136 223.1c0-9.5 7.749-17.66 10.5-26.28c2.75-8.871 1.146-20.22 6.271-27.6c5.25-7.5 16.1-9.274 23.35-14.77c7.125-5.375 12.12-15.62 20.62-18.5C205 134.1 214.9 139.2 224 139.2s19-5.125 27.25-2.375c8.5 2.875 13.5 13.12 20.62 18.5c7.25 5.371 18.12 7.371 23.38 14.87c5.125 7.375 3.5 18.63 6.25 27.5c2.75 8.621 10.5 16.78 10.5 26.28C311.1 233.5 304.3 241.6 301.5 250.2z"],
    "wrench": [512, 512, [128295], "f0ad", "M507.6 122.8c-2.904-12.09-18.25-16.13-27.04-7.338l-76.55 76.56l-83.1-.0002l0-83.1l76.55-76.56c8.791-8.789 4.75-24.14-7.336-27.04c-23.69-5.693-49.34-6.111-75.92 .2484c-61.45 14.7-109.4 66.9-119.2 129.3C189.8 160.8 192.3 186.7 200.1 210.1l-178.1 178.1c-28.12 28.12-28.12 73.69 0 101.8C35.16 504.1 53.56 512 71.1 512s36.84-7.031 50.91-21.09l178.1-178.1c23.46 7.736 49.31 10.24 76.17 6.004c62.41-9.84 114.6-57.8 129.3-119.2C513.7 172.1 513.3 146.5 507.6 122.8zM80 456c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C104 445.3 93.25 456 80 456z"],
    "wrench-simple": [384, 512, [], "e2d1", "M384 172.4c0 71.02-38.7 132.8-96 166v125.5C288 490.5 266.5 512 240 512h-96C117.5 512 96 490.5 96 463.1v-125.5c-57.3-33.22-96-94.99-96-166c0-74.41 42.4-138.8 104.3-170.6C115.1-3.711 128 3.992 128 16.1v143.9l64 64l64-64V16.1c0-12.11 12.93-19.81 23.7-14.27C341.6 33.67 384 98.04 384 172.4z"],
    "x": [384, 512, [120], "58", "M376.6 427.5c11.31 13.58 9.484 33.75-4.094 45.06c-5.984 4.984-13.25 7.422-20.47 7.422c-9.172 0-18.27-3.922-24.59-11.52L192 305.1l-135.4 162.5c-6.328 7.594-15.42 11.52-24.59 11.52c-7.219 0-14.48-2.438-20.47-7.422c-13.58-11.31-15.41-31.48-4.094-45.06l142.9-171.5L7.422 84.5C-3.891 70.92-2.063 50.75 11.52 39.44c13.56-11.34 33.73-9.516 45.06 4.094L192 206l135.4-162.5c11.3-13.58 31.48-15.42 45.06-4.094c13.58 11.31 15.41 31.48 4.094 45.06l-142.9 171.5L376.6 427.5z"],
    "x-ray": [512, 512, [], "f497", "M208 352C199.2 352 192 359.2 192 368C192 376.8 199.2 384 208 384S224 376.8 224 368C224 359.2 216.8 352 208 352zM304 384c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S288 359.2 288 368C288 376.8 295.2 384 304 384zM496 96C504.8 96 512 88.84 512 80v-32C512 39.16 504.8 32 496 32h-480C7.164 32 0 39.16 0 48v32C0 88.84 7.164 96 16 96H32v320H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h480c8.836 0 16-7.164 16-16v-32c0-8.836-7.164-16-16-16H480V96H496zM416 216C416 220.4 412.4 224 408 224H272v32h104C380.4 256 384 259.6 384 264v16C384 284.4 380.4 288 376 288H272v32h69.33c25.56 0 40.8 28.48 26.62 49.75l-21.33 32C340.7 410.7 330.7 416 319.1 416H192c-10.7 0-20.69-5.347-26.62-14.25l-21.33-32C129.9 348.5 145.1 320 170.7 320H240V288H136C131.6 288 128 284.4 128 280v-16C128 259.6 131.6 256 136 256H240V224H104C99.6 224 96 220.4 96 216v-16C96 195.6 99.6 192 104 192H240V160H136C131.6 160 128 156.4 128 152v-16C128 131.6 131.6 128 136 128H240V104C240 99.6 243.6 96 248 96h16c4.4 0 8 3.6 8 8V128h104C380.4 128 384 131.6 384 136v16C384 156.4 380.4 160 376 160H272v32h136C412.4 192 416 195.6 416 200V216z"],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z"],
    "xmark-large": [448, 512, [], "e59b", "M393.4 41.37C405.9 28.88 426.1 28.88 438.6 41.37C451.1 53.87 451.1 74.13 438.6 86.63L269.3 255.1L438.6 425.4C451.1 437.9 451.1 458.1 438.6 470.6C426.1 483.1 405.9 483.1 393.4 470.6L223.1 301.3L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L223.1 210.7L393.4 41.37z"],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", "M480 80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384h384V80zM368.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0L288 241.9L240.1 288.1c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 208L207 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L288 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L321.9 208L368.1 255zM528 288H512v112c0 8.836-7.164 16-16 16h-416C71.16 416 64 408.8 64 400V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288z"],
    "xmarks-lines": [640, 512, [], "e59a", "M608 32C625.7 32 640 46.33 640 64C640 81.67 625.7 96 608 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H608zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608zM7.029 167C16.4 157.7 31.6 157.7 40.97 167L96 222.1L151 167C160.4 157.7 175.6 157.7 184.1 167C194.3 176.4 194.3 191.6 184.1 200.1L129.9 256L184.1 311C194.3 320.4 194.3 335.6 184.1 344.1C175.6 354.3 160.4 354.3 151 344.1L96 289.9L40.97 344.1C31.6 354.3 16.4 354.3 7.029 344.1C-2.343 335.6-2.343 320.4 7.029 311L62.06 256L7.029 200.1C-2.343 191.6-2.343 176.4 7.029 167V167zM320 222.1L375 167C384.4 157.7 399.6 157.7 408.1 167C418.3 176.4 418.3 191.6 408.1 200.1L353.9 256L408.1 311C418.3 320.4 418.3 335.6 408.1 344.1C399.6 354.3 384.4 354.3 375 344.1L320 289.9L264.1 344.1C255.6 354.3 240.4 354.3 231 344.1C221.7 335.6 221.7 320.4 231 311L286.1 256L231 200.1C221.7 191.6 221.7 176.4 231 167C240.4 157.7 255.6 157.7 264.1 167L320 222.1zM455 167C464.4 157.7 479.6 157.7 488.1 167L544 222.1L599 167C608.4 157.7 623.6 157.7 632.1 167C642.3 176.4 642.3 191.6 632.1 200.1L577.9 256L632.1 311C642.3 320.4 642.3 335.6 632.1 344.1C623.6 354.3 608.4 354.3 599 344.1L544 289.9L488.1 344.1C479.6 354.3 464.4 354.3 455 344.1C445.7 335.6 445.7 320.4 455 311L510.1 256L455 200.1C445.7 191.6 445.7 176.4 455 167V167z"],
    "y": [384, 512, [121], "59", "M378 82.61L224 298.3v149.8c0 17.67-14.31 31.1-32 31.1S160 465.7 160 448V298.3L5.969 82.61C-4.313 68.23-.9688 48.25 13.41 37.97c14.34-10.27 34.38-6.922 44.63 7.453L192 232.1l133.1-187.5c10.28-14.37 30.28-17.7 44.63-7.453C384.1 48.25 388.3 68.23 378 82.61z"],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", "M159.1 198.3L261.4 46.25C271.2 31.54 291 27.57 305.8 37.37C320.5 47.18 324.4 67.04 314.6 81.75L219.8 223.1H272C289.7 223.1 304 238.3 304 255.1C304 273.7 289.7 287.1 272 287.1H192V319.1H272C289.7 319.1 304 334.3 304 352C304 369.7 289.7 384 272 384H192V448C192 465.7 177.7 480 159.1 480C142.3 480 127.1 465.7 127.1 448V384H47.1C30.33 384 15.1 369.7 15.1 352C15.1 334.3 30.33 319.1 47.1 319.1H127.1V287.1H47.1C30.33 287.1 15.1 273.7 15.1 255.1C15.1 238.3 30.33 223.1 47.1 223.1H100.2L5.374 81.75C-4.429 67.04-.456 47.18 14.25 37.37C28.95 27.57 48.82 31.54 58.62 46.25L159.1 198.3z"],
    "yin-yang": [512, 512, [9775], "f6ad", "M256 128C238.3 128 224 142.4 224 160S238.3 192 256 192s31.97-14.38 31.97-32S273.7 128 256 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-17.68 0-31.97-14.38-31.97-32S238.3 320 256 320s31.97 14.38 31.97 32S273.7 384 256 384zM256 256c-53.04 0-96.03 43-96.03 96S202.1 448 256 448c-106.1 0-192.1-86-192.1-192S149.9 64 256 64c53.04 0 96.03 43 96.03 96S309 256 256 256z"],
    "z": [384, 512, [122], "5a", "M384 448c0 17.67-14.31 32-32 32H32c-12.41 0-23.72-7.188-28.97-18.42c-5.281-11.25-3.562-24.53 4.375-34.06l276.3-331.5H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h320c12.41 0 23.72 7.188 28.97 18.42c5.281 11.25 3.562 24.53-4.375 34.06L100.3 416H352C369.7 416 384 430.3 384 448z"]
  };

  bunker(function () {
    defineIcons('fas', icons);
    defineIcons('fa-solid', icons);
  });

}());
